# Generic deck of things.
#
init python:

    class Deck:
        nameM = "Deck"              # Only for debug to identify the instance
        msgM = None                 # Temporary storeage
        pileM = []                  # List of things to pick from

        # Constructor.
        #
        # list  - list for things
        # name  - name of this deck for debug (default "Deck")
        #
        def __init__(self, list, name="Deck"):
            self.nameM = name
            self.pileM = list
            self.msgM = None

        # Set the list to use, so a Ren'Py revertable list can be used for
        # rollback or an already initialised list can be used.
        #
        def setList(self, list):
            self.pileM = list

        # Set the name of this deck for debug messages.
        #
        def setName(self, name):
            self.nameM = name

        # Add a thing to the deck.
        # Thing can be of any type.
        #
        def add(self, thing):
            self.pileM.append(thing)
            if debugM:
                dbg("Deck-{}.add({})".format(self.nameM, thing))

        # Add a list of things to the deck.
        # Thing can be of any type.
        #
        def addAll(self, listThings):
            for thing in listThings:
                self.pileM.append(thing)
            # self.pileM.update(listThings) - not for Revertable list
            if debugM:
                dbg("Dech-{}.addAll({}-things)".format(self.nameM, len(listThings)))

        # Draw a random thing from the deck.
        # Returns the thing, or None if empty.
        #
        def draw(self):
            result = None
            total = len(self.pileM)
            if total > 0:
                idx = renpy.random.randint(0, total-1)
                result = self.pileM.pop(idx)
            if debug:
                dbg("Deck-{}.draw()={} from {}".format(self.nameM, result, total))
            return result

        # Is the deck empty?
        #
        def isEmpty(self):
            return len(self.pileM) == 0
