# Generic set of flags.
#
init python:

    class Flags:
        # flagStr = "Unused"
        # flagSet = set()

        # Constructor.
        #
        # flagSet   - storage set
        #
        def __init__(self, flagSet):
            self.flagSet = flagSet
            self.flagStr = "Unused"

        # Assign the set to use.
        # Must be called before use!
        #
        def setSet(self, flagSet):
            self.flagSet = flagSet
            self.flagStr = self.debug()
            if debug:
                dbg("Flags.setSet({}) size={}".format(type(flagSet), len(flagSet)))

        # Set a flag.
        #
        def set(self, name):
            self.flagSet.add(name)
            self.flagStr = self.debug()

            if debug:
                dbg("Flags.set({})".format(name))

        # Set several flags.
        #
        def setEach(self, *names):
            for name in names:
                self.flagSet.add(name)
            self.flagStr = self.debug()

            if debug:
                dbg("Flags.setEach({})".format(names))

        # Clear a flag.
        #
        def clear(self, name):
            self.flagSet.discard(name)
            self.flagStr = self.debug()

            if debug:
                dbg("Flags.clear({})".format(name))

        # Clear all flags.
        #
        def clearAll(self):
            self.flagSet.clear()
            self.flagStr = self.debug()

            if debugM:
                dbg("Flags.clearAll()")

        # Clear several flags.
        #
        def clearEach(self, *names):
            for name in names:
                self.flagSet.discard(name)
            self.flagStr = self.debug()

            if debug:
                dbg("Flags.clearEach({})".format(names))

        # Test and clear a flag.
        #
        def isConsume(self, name):
            result = False
            if name in self.flagSet:
                self.flagSet.discard(name)
                self.flagStr = self.debug()
                result = True

            if debugM:
                dbg("Flags.isConsume({})={}".format(name, result))

            return result

        # Set a flag once, and return true if just set.
        #
        def isOnce(self, name):
            if name in self.flagSet:
                result = False
            else:
                self.flagSet.add(name)
                self.flagStr = self.debug()
                result = True
            if debugM:
                dbg("Flags.isOnce({})={}".format(name, result))
            return result

        # Test a flag.
        #
        def isSet(self, name):
            result = name in self.flagSet

            if debugM:
                dbg("Flags.isSet({})={}".format(name, result))

            return result

        # List the set flags.
        #
        def debug(self, group=4):
            total = len(self.flagSet)
            if total == 0:
                return "Empty"

            count = 1
            result = ""
            for name in sorted(self.flagSet):
                result += name
                total -= 1
                if count < group:
                    result += " "
                    count += 1
                elif total > 0:
                    result += "\n"
                    count = 0
            return result

# EoF
