#
# Debug controls
#
label debugMenu(newBg=True):
    if not debugShow:
        return
    $ renpy.dynamic('done', 'name', 'npc', 'npcName', 'origBg', 'origDebug', 'prompt', 'usr')
    $ origBg = lastBg
    if newBg:
        $ showBg('debug')
    # show screen debugStats
    $ origDebug = debug
    $ debug = False
    $ npc = None
    $ done = False
    while not done:
        $ prompt = addMenuAlt("-- Debug Menu v{} --".format(version), "Debug Menu")
        menu:
            "[prompt]"
            "Player":
                call debugPc from debug_player
            "NPCs":
                call debugNpcs from debug_npc
            "State":
                call debugState from debug_state
            "Achievements":
                call debugAchievements from debug_achievements
            "Call":
                $ prompt = "Enter label:"
                $ name = renpy.input(prompt, length=36)
                $ name = name.strip()
                if not isEmpty(name):
                    call expression name from debug_call
            "Save marker":
                $ prompt = "Enter new save name marker, \"-\" to clear, or nothing to leave unchanged: "
                if savePrefix == None:
                    $ prompt += "(currently clear)"
                else:
                    $ prompt += "(currently \"{}\")".format(savePrefix)
                $ name = renpy.input(prompt, length=8)
                $ name = name.strip()
                if not isEmpty(name):
                    if name == "-":
                        $ savePrefix = None
                    else:
                        $ savePrefix = name
                    $ updateSaveName()
            "Tests":
                call testMenu from debug_test
            "Return to game":
                $ npc = None
                $ debug = origDebug
                if not hasattr(renpy.store,'newBg') or newBg:
                    $ restoreBg(origBg)
                $ done = True
        # Bodge missing done flag.
        #
        if not hasattr(renpy.store,'done'):
            $ done = False
    return



    # No-op label for testing/debugging.
    #
label .noop:
    "Called Debug.noop"
    return



    # Reject label for testing/debugging.
    #
label .reject:
    "Called Debug.reject"
    return
