#
# Debug account.
#
label debugAccount:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        menu:
            "Select account"
            "Reg/PC Joint" if regJoint != None:
                call .account(regJoint, "RegJoint") from dbg_act_reg
            "Back":
                $ done = True
    return



    # Change one account.
    #
label .account(act, actName):
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = "{}: bal={:1,.2f} foodBill={:1,.2f}".format(actName, act.getBalance(), act.getFoodBill())
        $ prompt += "\nfoodLim={} overdrawn={} overLim={}".format(act.isFoodLim(), act.isOverdrawn(), act.isOverLim())
        $ prompt += "\noverdraftLim={:0.2f} overDays={}".format(act.getOverdraftLim(), act.getOverDays())
        menu:
            "[prompt]"
            "Balance":
                call .balance from dbg_act_bal
            "Food bill":
                call .foodBill from dbg_act_bill
            "Overdraft":
                call .overdraft from dbg_act_over
            "Back":
                $ done = True
    return



    # Adjust balance
    #
label .balance:
    $ renpy.dynamic('done', 'orig')
    $ orig = act.getBalance()
    $ done = False
    while not done:
        $ prompt = "{}: bal={:1,.2f} foodBill={:1,.2f}".format(actName, act.getBalance(), act.getFoodBill())
        menu:
            "[prompt]"
            "+100":
                $ act.earn(100)
            "+10":
                $ act.earn(10)
            "+1":
                $ act.earn(1)
            "Zero":
                $ act.earn(-act.getBalance())
            "-1":
                $ act.earn(-1)
            "-10":
                $ act.earn(-10)
            "-100":
                $ act.earn(-100)
            "Back":
                $ done = True
                if act.getBalance() != orig:
                    $ dbgCheat()
    return



    # Adjust food bill
    #
label .foodBill:
    $ renpy.dynamic('done', 'orig')
    $ orig = act.getFoodBill()
    $ done = False
    while not done:
        $ prompt = "{} foodBill={:1,.2f} foodLim={}".format(actName, act.getFoodBill(), act.isFoodLim())
        menu:
            "[prompt]"
            "+100":
                $ act.addFoodCost(100)
            "+10":
                $ act.addFoodCost(10)
            "+1":
                $ act.addFoodCost(1)
            "Zero":
                $ act.addFoodCost(-act.getFoodBill())
            "-1":
                $ act.addFoodCost(-1)
            "-10":
                $ act.addFoodCost(-10)
            "-100":
                $ act.addFoodCost(-100)
            "Toggle food limited":
                $ act.foodLimM ^= True
            "Back":
                $ done = True
                if act.getFoodBill() != orig:
                    $ dbgCheat()
    return



    # Adjust overdraft
    #
label .overdraft:
    $ renpy.dynamic('done', 'orig', 'num', 'numStr')
    $ orig = act.daysOverM
    $ done = False
    while not done:
        $ prompt = "{}: bal={:1,.2f} overdraft={:1,.2f} isOver={} overDays={}".format(actName, act.getBalance(), act.getOverdraftLim(), act.isOverdrawn(), act.getOverDays())
        menu:
            "[prompt]"
            "Set overdraft limit":
                $ prompt = "New overdraft limit: was={:1,.2f}".format(act.getOverdraftLim())
                $ numStr = renpy.input(prompt, "", allow="0123456789")
                $ numStr = numStr.strip()
                if not isEmpty(numStr):
                    $ num = int(numStr)
                    $ act.setOverdraftLim(num)
                    $ dbgCheat()
            "Over days +10":
                $ act.daysOverM += 10
            "Over days +1":
                $ act.daysOverM += 1
            "Over days -1":
                $ act.daysOverM = max(0, act.daysOverM - 1)
            "Over days -10":
                $ act.daysOverM = max(0, act.daysOverM - 10)
            "Back":
                $ done = True
                if act.daysOverM != orig:
                    $ dbgCheat()
    return
