#
# Debug events
#
label debugEvents:
    $ renpy.dynamic('done', 'opt', 'sched')
    $ done = False
    while not done:
        $ prompt = gt.debugEvents(99)
        menu:
            "[prompt]"
            "Select":
                call .schedSelect from dbg_evt_sel
            "New":
                $ sched = gt.scheduleOnDay('debugMenu.noop', gt.dayNum)
                if sched == None:
                    dbg "Event already scheduled"
                else:
                    $ sched.rejLabel = 'debug.reject'
                    call .schedEdit(sched) from dbg_evt_new
            "Test":
                $ tmp = gt.getEventNow()
                if tmp == None:
                    dbg "No event scheduled now."
                else:
                    call expression tmp.evLabel from dbg_evt_test
                    $ gt.doneEvent(tmp)
            "Back":
                $ done = True
    return



    # Select an entry.
    #
label .schedSelect:
    $ renpy.dynamic('done', 'listLen', 'sched')
    $ done = False
    $ opt = 0
    while not done:
        $ listLen = gt.lenEvents()
        if listLen == 0:
            dbg "Event list empty."
            return
        if opt >= listLen:
            $ opt = listLen - 1
        $ sched = eventList[opt]
        $ prompt = "Event: {} of {}: {}".format(opt+1, listLen, sched)
        menu:
            "[prompt]"
            "Next" if opt < listLen - 1:
                $ opt += 1
            "Prev" if opt > 0:
                $ opt -= 1
            "Edit":
                call .schedEdit(sched) from dbg_evt_sel_edit
            "Back":
                $ done = True
    return


    # Edit an entry.
    #
label .schedEdit(sched):
    $ renpy.dynamic('done', 'name', 'usr')
    $ done = False
    while not done:
        $ prompt = "Event: " + str(sched)
        if sched.desc != None:
            $ prompt += " \"" + sched.desc + "\""
        if sched.rejLabel != None:
            $ prompt += " or " + sched.rejLabel
        menu:
            "[prompt]"
            "Desc":
                $ prompt = "New desc:"
                $ name = renpy.input(prompt, length=24)
                $ name = name.strip()
                $ dbg("Name: '{}'' {} len={}".format(name, type(name), len(name)))
                if isEmpty(name):
                    $ name = None
                $ sched.desc = name
            "Event":
                $ prompt = "New label:"
                $ name = renpy.input(prompt, length=24)
                $ name = name.strip()
                if not isEmpty(name):
                    $ sched.evLabel = name
                    $ dbgCheat()
            "Reject":
                $ prompt = "New reject label:"
                $ name = renpy.input(prompt, length=24)
                $ name = name.strip()
                if isEmpty(name):
                    $ name = None
                $ sched.rejLabel = name
                $ dbgCheat()
            "Day":
                $ prompt = "New day number:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ sched.dayNum = int(usr)
                    $ dbgCheat()
            "Start Hour":
                $ prompt = "New start hour:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ sched.startHr = int(usr)
                    $ dbgCheat()
            "End Hour":
                $ prompt = "New end hour:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ sched.endHr = int(usr)
                    $ dbgCheat()
            "Delete":
                $ gt.doneEvent(sched)
                $ dbgCheat()
                $ done = True
            "Back":
                $ gt.evStr = gt.debugEvents()
                $ done = True
    return
