#
# Debug fans
#
label debugFans:
    $ renpy.dynamic('coll', 'collName', 'done')
    $ done = False
    while not done:
        menu:
            "Choose fan base to inspect or change."
            "[socSite]":
                $ coll = socFans
                $ collName = socSite
                call .fans from dbg_fans_soc
            "[pornSite]":
                $ coll = pornFans
                $ collName = pornSite
                call .fans from dbg_fans_porn
            "Back":
                $ done = True
    return



    # Change fans.
    #
label .fans:
    $ renpy.dynamic('active', 'done')
    $ done = False
    while not done:
        $ active = coll.isActive()
        $ prompt = collName + ": active={} bal={:0,.2f} prog={:0.2f}".format(active, coll.getBalance(), coll.getProgress())
        if active:
            $ prompt += "\nfans={} income={:0,.2f}".format(coll.fans(), coll.income())
            $ prompt += " newFans={} lostFans={}".format(coll.isNewFans(), coll.isLostFans())
            $ prompt += "\nvideos={} vidToday={} vidDiffToday={} ".format(coll.getVideos(), coll.isVidToday(), coll.isVidDiffToday())
            $ prompt += "\nlastVideo={}".format(coll.getLastVideo())
        menu:
            "[prompt]"
            "Activate" if not active:
                $ coll.setActive(True)
                $ dbgCheat()
            "Deactivate" if active:
                $ coll.setActive(False)
                $ dbgCheat()
            "Maximums":
                call .maxes from dbg_fans_max
            "Progress" if active:
                call .progress from dbg_fans_prog
            "Back":
                $ done = True
    return


    # Adjust maximums.
    #
label .maxes:
    $ renpy.dynamic('done', 'num', 'numStr')
    $ done = False
    while not done:
        $ prompt = "{}: maxFans={:1,d} maxIncome={:0,.2f} maxVideos={:1,d}".format(collName, coll.getFansMax(), coll.getIncomeMax(), coll.getVideosMax())
        menu:
            "[prompt]"
            "Change max fans":
                $ prompt = "Maximum fans: was={:1,d}".format(coll.getMaxFans())
                $ numStr = renpy.input(prompt, length=24)
                $ numStr = numStr.strip()
                if not isEmpty(numStr):
                    $ num = int(numStr)
                    if num > 0:
                        $ coll.setFansMax(num)
                        $ dbgCheat()
            "Change max income":
                $ prompt = "Maximum income: was={:0,.2f}".format(coll.getMaxIncome())
                $ numStr = renpy.input(prompt, length=24)
                $ numStr = numStr.strip()
                if not isEmpty(numStr):
                    $ num = int(numStr)
                    if num > 0:
                        $ coll.setIncomeMax(num)
                        $ dbgCheat()
            "Change max videos":
                $ prompt = "Maximum vdeos: was={:1,d}".format(coll.getMaxVideos())
                $ numStr = renpy.input(prompt, length=24)
                $ numStr = numStr.strip()
                if not isEmpty(numStr):
                    $ num = int(numStr)
                    if num > 0:
                        $ coll.setVideosMax(num)
                        $ dbgCheat()
            "Back":
                $ done = True
    return



    # Adjust progress.
    #
label .progress:
    $ renpy.dynamic('done', 'orig', 'prog')
    $ orig = coll.getProgress()
    $ done = False
    while not done:
        $ prog = coll.getProgress()
        $ prompt = collName + ": prog={:0.2f} factor={:0.4f}".format(prog, coll.factor())
        $ prompt += "\nfans={} income={:0,.2f}".format(coll.fans(), coll.income())
        menu:
            "[prompt]"
            "Max" if prog < 100:
                $ coll.addProg(100)
            "+10" if prog <= 90:
                $ coll.addProg(10)
            "+1" if prog <= 99:
                $ coll.addProg(1)
            "-1" if prog >= 1:
                $ coll.addProg(-1)
            "-10" if prog >= 10:
                $ coll.addProg(-10)
            "Min" if prog > 0:
                $ coll.addProg(-100)
            "Back":
                $ done = True
                if coll.getProgress() != orig:
                    $ dbgCheat()
    return
