#
# Debug NPCs
#
label debugNpcs:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        menu:
            "Choose an NPC"
            "Alicia":
                $ npc = alicia
                $ npcName = "Alicia"
                call .npc(npc, npcName) from dbg_alicia
            "Lacy":
                $ npc = lacy
                $ npcName = "Lacy"
                call .npc(npc, npcName) from dbg_lacy
            "Nicola":
                $ npc = nicola
                $ npcName = "Nicola"
                call .npc(npc, npcName) from dbg_nicola
            "Reg":
                $ npc = reg
                $ npcName = "Reg"
                call .npc(npc, npcName) from dbg_reg
            "Sofia":
                $ npc = sofia
                $ npcName = "Sofia"
                call .npc(npc, npcName) from dbg_sofia
            "Steve":
                $ npc = steve
                $ npcName = "Steve"
                call .npc(npc, npcName) from dbg_steve
            "Back":
                $ done = True
    return



    # Change NPC
    #
label .npc(npc, npcName):
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = "{}: metCount={} canCall={} dateCount={:1d} dateLastDay={}".format(npcName, npc.metCount, npc.canCall, npc.dateCount, npc.dateLastDay)
        $ prompt += "\nromance={:1.1f} feeder={:1.1f}".format(npc.romance, npc.feeder)
        menu:
            "[prompt]"
            "Opinion":
                call .npcOpinion from dbg_npc_opinion
            "Romance":
                call .npcRomance from dbg_npc_romance
            "Stats":
                call debugNpcStats(npc, npcName) from dbg_npc_stats
            "Test chat":
                $ debug = True
                call expression npcName.lower() + ".chat" from dbg_npc_chat
                $ debug = False
            "Back":
                $ done = True
    return


    # Adjust NPC opinion
    #
label .npcOpinion:
    $ renpy.dynamic('done', 'orig')
    $ orig = npc.pcMinBfp
    $ done = False
    while not done:
        $ prompt = "{} opinion={}".format(npcName, npc.opinionPc())
        $ prompt += "\npcMinBfp={:0.1f}%/{:0.1f}lb".format(npc.pcMinBfp, pc.getMassForBfp(npc.pcMinBfp) * 2.2)
        $ prompt += "\npcMaxBfp={:0.1f}%/{:0.1f}lb tooFat={:0.1f}/{:0.1f}lb".format(npc.pcMaxBfp, pc.getMassForBfp(npc.pcMaxBfp) * 2.2, npc.getTooFatMass() * 2.2, npc.getTooFatMass(100.0) * 2.2)
        $ prompt += "\npcBfp={:0.1f}%/{:0.1f}lb".format(pc.getBodyFatPer(), pc.weightLb)
        menu:
            "[prompt]"
            "+2%% min bfp":
                $ npc.pcMinBfp += 2.0
            "-2%% min bfp":
                $ npc.pcMinBfp -= 2.0
                if npc.pcMinBfp < 0.0:
                    $ npc.pcMinBfp = 0.0
            "+2%% max bfp":
                $ npc.pcMaxBfp += 2.0
            "-2%% max bfp":
                $ npc.pcMaxBfp -= 2.0
                if npc.pcMaxBfp < 0.0:
                    $ npc.pcMaxBfp = 0.0
            "Back":
                $ done = True
                if npc.pcMinBfp != orig:
                    $ dbgCheat()
    return



    # Romance.
    #
label .npcRomance:
    $ renpy.dynamic('done', 'orig')
    $ orig = npc.romance
    $ done = False
    while not done:
        menu:
            "[npcName].romance=[npc.romance] breakup=[npc.breakup] breakCount=[npc.breakCount] breakUntil=[npc.breakUntil]"
            "Max":
                $ npc.romance = 100
            "+10":
                $ npc.addRomance(10)
            "+1":
                $ npc.addRomance(1)
            "Zero":
                $ npc.romance = 0
            "-1" if npc.romance > 0:
                $ npc.addRomance(-1)
            "-10" if npc.romance > 0:
                $ npc.addRomance(-10)

            "Break up 2 days" if not npc.breakup:
                $ npc.setBreakDays(2)
                $ dbgCheat()
            "Break over (force)" if npc.isOnBreak():
                $ npc.breakUntil = 0
                $ dbgCheat()
            "Make up:" if npc.breakup and not npc.isOnBreak():
                $ npc.makeup()
                $ dbgCheat()
            "Make up (force)" if npc.breakup and npc.isOnBreak():
                $ npc.makeup()
                $ dbgCheat()
            "Back":
                $ done = True
                if npc.romance != orig:
                    $ dbgCheat()
    return
