#
# Debug NPC stats
#
label debugNpcStats(npc, npcName):
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = "{}: canCall={} fancy={:1.2f} feedee={:1.2f} feeder={:1.2f}".format(npcName, npc.canCall, npc.fancy, npc.feedee, npc.feeder)
        menu:
            "[prompt]"
            "Fancy":
                call .npcFancy from dbg_npc_fancy
            "Feedee":
                call .npcFeedee from dbg_npc_feedee
            "Feeder":
                call .npcFeeder from dbg_npc_feeder
            "Tips":
                call .npcTips from dbg_npc_tips
            "Toggle canCall":
                $ npc.canCall = not npc.canCall
            "Back":
                $ done = True
    return



    # Change fancy state.
    #
label .npcFancy:
    $ renpy.dynamic('done', 'orig')
    $ orig = npc.fancy
    $ done = False
    while not done:
        menu:
            "[npcName].fancy [npc.fancy]"
            "+10":
                $ npc.addFancy(10)
            "+1":
                $ npc.addFancy(1)
            "-1":
                $ npc.addFancy(-1)
            "-10":
                $ npc.addFancy(-10)
            "Back":
                $ done = True
                if npc.fancy != orig:
                    $ dbgCheat()
    return



    # Change feedee state.
    #
label .npcFeedee:
    $ renpy.dynamic('done', 'orig')
    $ orig = npc.feedee
    $ done = False
    while not done:
        menu:
            "[npcName].feedee [npc.feedee]"
            "+10":
                $ npc.addFeedee(10)
            "+1":
                $ npc.addFeedee(1)
            "-1":
                $ npc.addFeedee(-1)
            "-10":
                $ npc.addFeedee(-10)
            "Back":
                $ done = True
                if npc.feedee != orig:
                    $ dbgCheat()
    return



    # Change feeder state.
    #
label .npcFeeder:
    $ renpy.dynamic('done', 'orig')
    $ orig = npc.feeder
    $ done = False
    while not done:
        menu:
            "[npcName].feeder [npc.feeder]"
            "+10":
                $ npc.addFeeder(10)
            "+1":
                $ npc.addFeeder(1)
            "-1":
                $ npc.addFeeder(-1)
            "-10":
                $ npc.addFeeder(-10)
            "Back":
                $ done = True
                if npc.feeder != orig:
                    $ dbgCheat()
    return



    # Change tips.
    #
label .npcTips:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ tmp = 0
        if npc.tipYes > 0:
            $ tmp = npc.tipYes * 100.0 / (npc.tipYes + npc.tipNo)
        menu:
            "[npcName]: tipYes=[npc.tipYes] tipNo=[npc.tipNo] prop=[tmp:0.2f]"
            "Yes +1":
                $ npc.tip(True)
                $ dbgCheat()
            "No +1":
                $ npc.tip(False)
                $ dbgCheat()
            "Reset":
                $ npc.tipYes = 0
                $ npc.tipNo = 0
                $ dbgCheat()
            "Back":
                $ done = True
    return
