#
# Player stats
#
label debugPcStats:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        menu:
            "Choose player stat"
            "Energy":
                call .energy from dbg_pc_energy
            "Fullness":
                call .fullness from dbg_pc_full
            "Glutton":
                call .glutton from dbg_pc_glutton
            "Greed":
                call .greed from dbg_pc_greed
            "Kink":
                call .kink from dbg_pc_kink
            "Money":
                call .money from dbg_pc_money
            "Mood":
                call .mood from dbg_pc_mood
            "Stuffing":
                call .stuffing from dbg_pc_stuffing
            "Back":
                $ done = True
    return



    # Energy
    #
label .energy:
    $ renpy.dynamic('done', 'orig')
    $ done = False
    $ orig = pc.energy
    while not done:
        menu:
            "Energy=[pc.energy]"
            "Full":
                $ pc.energy = 10
            "+1" if pc.energy < 10:
                $ pc.energy += 1
            "-1" if pc.energy > 0:
                $ pc.energy -= 1
            "One":
                $ pc.energy = 1
            "Zero":
                $ pc.energy = 0
            "Back":
                $ done = True
                if pc.energy != orig:
                    $ dbgCheat()
    return



    # Fullness.
    #
label .fullness:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.full
    $ done = False
    while not done:
        $ mealsize = pc.getMealSize()
        $ prompt = "Fullness: full={:0.2f} fullness={:0.1f}% fullnessNow={:0.1f}%".format(pc.full, pc.getFullness(), pc.getFullnessNow())
        $ prompt += "\n glutton={} mealsize={}".format(pc.isGlutton(), mealsize)
        menu:
            "[prompt]"
            "Full":
                $ pc.full = pc.getFullLimit()
            "+1":
                $ pc.full += 1
            "+0.2":
                $ pc.full += 0.2
            "-0.2":
                $ pc.full -= 0.2
            "-1":
                $ pc.full -= 1
            "Empty":
                $ pc.full = 0
            "Back":
                $ done = True
                if pc.full != orig:
                    $ dbgCheat()
        if pc.full < 0:
            $ pc.full = 0
    return



    # Glutton.
    #
label .glutton:
    $ renpy.dynamic('done', 'orig', 'origRdy')
    $ orig = pc.isGlutton()
    $ origRdy = pc.isGluttonRdy()
    $ done = False
    while not done:
        $ prompt = "Gluttony: ready={} isReady={} glutton={}".format(pc.gluttonRdy, pc.isGluttonRdy(), pc.isGlutton())
        $ prompt += "\nGreed={:0.1f} mood={:0.1f}".format(pc.greed, pc.mood)
        $ prompt = addMenuAlt(prompt, "Debug menu")
        menu:
            "[prompt]"
            "Disable glutton" if pc.isGlutton():
                $ pc.setGlutton(False)
            "Enable glutton" if not pc.isGlutton():
                $ pc.setGlutton(True)
            "Clear ready" if pc.gluttonRdy:
                $ pc.clearGluttonRdy()
            "Satisfy ready" if not pc.gluttonRdy:
                $ pc.gluttonRdy = True
            "Back":
                $ done = True
                if pc.isGlutton() != orig or pc.isGluttonRdy() != origRdy:
                    $ dbgCheat()
    return



    # Greed.
    #
label .greed:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.greed
    $ done = False
    while not done:
        $ mealsize = pc.getMealSize()
        $ prompt = "Greed: {:0.1f}".format(pc.greed)
        $ prompt += "\n glutton={} mealsize={}".format(pc.isGlutton(), mealsize)
        menu:
            "[prompt]"
            "Max":
                $ pc.greed = 100
            "+10":
                $ pc.addGreed(10)
            "+1":
                $ pc.addGreed(1)
            "-1":
                $ pc.addGreed(-1)
            "-10":
                $ pc.addGreed(-10)
            "Zero":
                $ pc.greed = 0
            "Back":
                $ done = True
                if pc.greed != orig:
                    $ dbgCheat()
    return



    # Kink.
    #
label .kink:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.kink
    $ done = False
    while not done:
        menu:
            "Kink [pc.kink:0.1f]"
            "Max":
                $ pc.kink = 100
            "+10":
                $ pc.addKink(10)
            "+1":
                $ pc.addKink(1)
            "-1":
                $ pc.addKink(-1)
            "-10":
                $ pc.addKink(-10)
            "Zero":
                $ pc.kink = 0
            "Back":
                $ done = True
                if pc.kink != orig:
                    $ dbgCheat()
    return



    # Money.
    #
label .money:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.money
    $ done = False
    while not done:
        menu:
            "Money=[pc.money]"
            "+100":
                $ pc.earn(100)
            "+10":
                $ pc.earn(10)
            "+1":
                $ pc.earn(1)
            "-1":
                $ pc.spend(1)
            "-10":
                $ pc.spend(10)
            "-100":
                $ pc.spend(100)
            "Zero":
                $ pc.money = 0
            "Back":
                $ done = True
                if pc.money != orig:
                    $ dbgCheat()
    return



    # Mood.
    #
label .mood:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.mood
    $ done = False
    while not done:
        menu:
            "Mood=[pc.mood] [pc.moodStr]"
            "Min":
                $ pc.setMood(0)
            "Mid":
                $ pc.setMood(50)
            "Max":
                $ pc.setMood(100)
            "+5":
                $ pc.addMood(5)
            "+1":
                $ pc.addMood(1)
            "-1":
                $ pc.addMood(-1)
            "-5":
                $ pc.addMood(-5)
            "Back":
                $ done = True
                if pc.mood != orig:
                    $ dbgCheat()
    return


    # Stuffing.
    #
label .stuffing:
    $ renpy.dynamic('done', 'isStuff', 'orig')
    $ orig = pc.stuffing
    $ done = False
    while not done:
        $ mealsize = pc.getMealSize()
        $ isStuff = pc.isStuffing()
        if isStuff:
            $ prompt = "Stuffing: {:0.1f}".format(pc.stuffing)
        else:
            $ prompt = "Stuffing: disabled"
        $ prompt += "\n glutton={} mealsize={}".format(pc.isGlutton(), mealsize)
        menu:
            "[prompt]"
            "Enable" if not isStuff:
                $ pc.setStuffingEnabled(True)
            "Disable" if isStuff:
                $ pc.setStuffingEnabled(False)
            "Max" if isStuff:
                $ pc.stuffing = 100
            "+10" if isStuff:
                $ pc.addStuffing(10)
            "+1" if isStuff:
                $ pc.addStuffing(1)
            "-1" if isStuff:
                $ pc.addStuffing(-1)
            "-10" if isStuff:
                $ pc.addStuffing(-10)
            "Zero" if isStuff:
                $ pc.stuffing = 0
            "Back":
                $ done = True
                if pc.stuffing != orig:
                    $ dbgCheat()
    return
