#
# Debug player weight
#
label debugPcWeight:
    $ renpy.dynamic('done', 'oldFat')
    $ oldFat = pc.fat
    $ done = False
    while not done:
        $ prompt = "Weight {:0.1f}kg/{:0.1f}lb gsize={}({:0.2f})".format(pc.weightKg, pc.weightLb, pc.gsize, pc.getSizeFracUnlim())
        $ prompt += "\nFat {:0.1f}kg/{:0.1f}lb bfp={:0.2f}%".format(pc.fat, pc.fat*2.2, pc.getBodyFatPer())
        $ prompt += "\nFatLim {:0.1f}kg dietConsider={} soft={} hard={}".format(pc.fatLim, pc.isDietConsider(), pc.isSoftLim(), pc.isHardLim())
        $ prompt += "\nHips circIn={:0.1f} widthIn={:0.1f} spreadIn={:0.1f}".format(pcHipsCircIn(), pcHipsWidthIn(), pcHipsSpreadIn())
        if npc != None:
            $ prompt += "\n{} opinion {}".format(npcName, npc.opinionPc())
        menu:
            "[prompt]"
            "+10kg":
                $ pc.fat += 10
            "+5kg":
                $ pc.fat += 5
            "+1kg":
                $ pc.fat += 1
            "-1kg" if pc.fat >= 1:
                $ pc.fat -= 1
            "-5kg" if pc.fat >= 5:
                $ pc.fat -= 5
            "-10kg" if pc.fat >= 10:
                $ pc.fat -= 10
            "Fat limit":
                call .fatLim from dbg_pc_fatlim
            "Back":
                $ done = True
                if pc.fat != oldFat:
                    $ dbgCheat()
        $ pc.fat = max(0, pc.fat)
        $ pc.updateWeight()
        call pcSize.check from dbg_pc_weight_check
    return


    # Player fat limit
    #
label .fatLim:
    $ renpy.dynamic('done', 'orig')
    $ orig = pc.fatLim
    $ done = False
    while not done:
        $ prompt = "FatLim {:0.1f}kg fat={:0.1f}kg {:0.1f}%".format(pc.fatLim, pc.fat, pc.getFatProgress())
        $ prompt += "\nWeight {:0.1f}kg of {:0.1f}kg/{:0.1f}lb ".format(pc.weightKg, pc.getMassFatLim(), pc.getMassFatLim()*2.2)
        menu:
            "[prompt]"
            "Set to current fat":
                $ pc.fatLim = pc.fat
            "+10kg":
                $ pc.addLim(10)
            "+5kg":
                $ pc.addLim(5)
            "+1kg":
                $ pc.addLim(1)
            "-1kg":
                $ pc.addLim(-1)
            "-5kg":
                $ pc.addLim(-5)
            "-10kg":
                $ pc.addLim(-10)
            "Limits" if config.developer:
                call .limits from dbg_pc_fatlim_limits
            "Back":
                $ done = True
                if pc.fatLim != orig:
                    $ dbgCheat()
    return



    # Player limits
    #
label .limits:
    $ renpy.dynamic('done', 'gHard', 'num', 'numStr')
    $ done = False
    while not done:
        # What could gsize be?
        $ ghard = sizeLookup(pc.massHardLim)
        $ prompt = "{{b}}Here be Dragons!{{/b}}\ngsizeMax={}".format(pc.gsizeMax)
        $ prompt += "\nmassHardLim={:0,.1f}kg/{:0,.1f}lb".format(pc.massHardLim, pc.massHardLim*2.2)
        $ prompt += "\nmassSoftLim={:0,.1f}kg/{:0,.1f}lb".format(pc.massSoftLim, pc.massSoftLim*2.2)
        menu:
            "[prompt]"
            "Set maximum gsize":
                $ prompt = "New value: (was {})".format(pc.gsizeMax)
                $ numStr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(numStr):
                    $ num = max(11, int(numStr))
                    if num >= 11:
                        $ pc.gsizeMax = num
                        $ dbgCheat()
            "Set maximum gsize to match hard limit" if pc.gsizeMax != ghard:
                $ pc.gsizeMax = ghard
                $ dbgCheat()
            "Set hard limit kg":
                $ prompt = "New value: (was {:0,.1f})".format(pc.massHardLim)
                $ numStr = renpy.input(prompt, "", allow="0.123456789")
                if not isEmpty(numStr):
                    $ num = max(hardLimKg, float(numStr))
                    $ pc.massHardLim = num
                    $ pc.massSoftLim = min(pc.massSoftLim, pc.massHardLim - 18.0)
                    $ dbgCheat()
            "Set hard limit lb":
                $ prompt = "New value: (was {:0,.1f})".format(pc.massHardLim*2.2)
                $ numStr = renpy.input(prompt, "", allow="0.123456789")
                if not isEmpty(numStr):
                    $ num = max(hardLimKg, float(numStr)/2.2)
                    $ pc.massHardLim = num
                    $ pc.massSoftLim = min(pc.massSoftLim, pc.massHardLim - 18.0)
                    $ dbgCheat()
            "Set soft limit kg":
                $ prompt = "New value: (was {:0,.1f})".format(pc.massSoftLim)
                $ numStr = renpy.input(prompt, "", allow="0.123456789")
                if not isEmpty(numStr):
                    $ num = max(softLimKg, float(numStr))
                    $ pc.massSoftLim = num
                    $ pc.massHardLim = max(pc.massHardLim, pc.massSoftLim + 18.0)
                    $ dbgCheat()
            "Set soft limit lb":
                $ prompt = "New value: (was {:0,.1f})".format(pc.massSoftLim*2.2)
                $ numStr = renpy.input(prompt, "", allow="0.123456789")
                if not isEmpty(numStr):
                    $ num = max(softLimKg, float(numStr)/2.2)
                    $ pc.massSoftLim = num
                    $ pc.massHardLim = max(pc.massHardLim, pc.massSoftLim + 18.0)
                    $ dbgCheat()
            "Back":
                $ done = True
    return
