#
# World debug.
#
label debugWorld:
    $ renpy.dynamic('done', 'usr')
    $ done = False
    while not done:
        $ prompt = "World: loc={} home={} work={}".format(world.locLabel, world.homeLabel, world.workLabel)
        $ prompt += "\ndayOver={}, noReturn={} noSleep={} working={}".format(world.dayOver, world.noReturn, world.noSleep, world.working)
        if world.tmpHomeLabel != None:
            $ prompt += "\ntmpHomeLabel={}".format(world.tmpHomeLabel)
        if world.tmpWorkLabel != None:
            $ prompt += "\ntmpWorkLabel={}".format(world.tmpWorkLabel)
        menu:
            "[prompt]"
            "Set Loc":
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=24)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.setLoc(usr)
                    $ dbgCheat()
            "Set Home":
                $ prompt = "New home label:"
                $ usr = renpy.input(prompt, length=24)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.homeLabel = usr
                    $ dbgCheat()
            "Temporary Home":
                call .worldTmpHome from dbg_world_tmp_home
            "Work":
                call .worldWork from dbg_world_work
            "Part Time Work":
                call .worldPartWork from dbg_world_part_work
            "Temporary Work":
                call .worldTmpWork from dbg_world_tmp_work
            "Flags":
                call .worldFlags from dbg_world_flags
            "Veils are on: turn off" if veils:
                $ veils = False
            "Veils are off: turn on" if not veils:
                $ veils = True
            "Back":
                $ done = True
    return



    # Toggle world flags.
    #
label .worldFlags:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = "Flags: dayOver={}, noReturn={} noSleep={} working={} ".format(world.dayOver, world.noReturn, world.noSleep, world.working)
        menu:
            "[prompt]"
            "Day over":
                $ world.dayOver = not world.dayOver
                $ dbgCheat()
            "No return":
                $ world.noReturn = not world.noReturn
                $ dbgCheat()
            "No sleep":
                $ world.noSleep = not world.noSleep
                $ dbgCheat()
            "Working":
                $ world.working = not world.working
                $ dbgCheat()
            "Back":
                $ done = True
    return


    # Adjust part time work
    #
label .worldPartWork:
    $ renpy.dynamic('done', 'usr')
    $ done = False
    while not done:
        if world.partWorkLabel == None:
            $ prompt = "Not defined"
        else:
            $ prompt = "partWorkLabel={} startDay={} lastDay={} startHr={} endHr={} daysOw={} \
            ".format(world.partWorkLabel, world.partWorkStartDay, world.partWorkLastDay, world.partWorkStartHr, world.partWorkEndHr, world.partWorkDays)
        $ prompt += "\nisPartWorkDay={} isPartWorkTime={}".format(world.isPartWorkDay(), world.isPartWorkTime())
        menu:
            "[prompt]"
            "Create" if world.partWorkLabel == None:
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.partWorkLabel = usr
                    $ dbgCheat()
            "Set loc" if world.partWorkLabel != None:
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.partWorkLabel = usr
                    $ dbgCheat()
            "Start day" if world.partWorkLabel != None:
                $ prompt = "New start day:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.partWorkStartDay = int(usr)
                    $ dbgCheat()
            "Last day" if world.partWorkLabel != None:
                $ prompt = "New end day:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.partWorkLastDay = int(usr)
                    $ dbgCheat()
            "Start hour" if world.partWorkLabel != None:
                $ prompt = "New start hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.partWorkStartHr = int(usr)
                    $ dbgCheat()
            "End hour" if world.partWorkLabel != None:
                $ prompt = "New end hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.partWorkEndHr = int(usr)
                    $ dbgCheat()
            "Days of week" if world.partWorkLabel != None:
                if world.partWorkDays == None:
                    $ world.partWorkDays = []
                call .worldWorkDayToggle(world.partWorkDays) from dbg_world_part_work_days
            "Clear" if world.partWorkLabel != None:
                $ world.clearPartWork()
                $ dbgCheat()
            "Back":
                $ done = True
    return



    # Adjust temporary home location.
    #
label .worldTmpHome:
    $ renpy.dynamic('done', 'usr')
    $ done = False
    while not done:
        $ prompt = "TmpHome: {} tmpWakeHr={} tmpHomeLastDay={}".format(world.tmpHomeLabel, world.tmpWakeHr, world.tmpHomeLastDay)
        menu:
            "[prompt]"
            "Set tmp home":
                $ prompt = "New temporary home label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.tmpHomeLabel = usr
                    $ dbgCheat()
            "Tmp wake hour" if world.tmpHomeLabel != None:
                $ prompt = "New start hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpWakeHr = int(usr)
                    $ dbgCheat()
            "Tmp home last day" if world.tmpHomeLabel != None:
                $ prompt = "New start hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpHomeLastDay = int(usr)
                    $ dbgCheat()
            "Clear" if world.tmpHomeLabel != None:
                $ world.tmpHomeLabel = None
                $ dbgCheat()
            "Back":
                $ done = True
    return



    # Adjust temp work
    #
label .worldTmpWork:
    $ renpy.dynamic('done', 'usr')
    $ done = False
    while not done:
        if world.tmpWorkLabel == None:
            $ prompt = "Not defined"
        else:
            $ prompt = "tmpWorkLabel={} startDay={} lastDay={} startHr={} endHr={} daysOw={} \
            ".format(world.tmpWorkLabel, world.tmpWorkStartDay, world.tmpWorkLastDay, world.tmpWorkStartHr, world.tmpWorkEndHr, world.tmpWorkDays)
        $ prompt += "\nisTmpWorkDay={} isTmpWorkTime={}".format(world.isTmpWorkDay(), world.isTmpWorkTime())
        menu:
            "[prompt]"
            "Create" if world.tmpWorkLabel == None:
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.tmpWorkLabel = usr
                    $ dbgCheat()
            "Set loc" if world.tmpWorkLabel != None:
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.tmpWorkLabel = usr
                    $ dbgCheat()
            "Start day" if world.tmpWorkLabel != None:
                $ prompt = "New start day:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpWorkStartDay = int(usr)
                    $ dbgCheat()
            "Last day" if world.tmpWorkLabel != None:
                $ prompt = "New end day:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpWorkLastDay = int(usr)
                    $ dbgCheat()
            "Start hour" if world.tmpWorkLabel != None:
                $ prompt = "New start hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpWorkStartHr = int(usr)
                    $ dbgCheat()
            "End hour" if world.tmpWorkLabel != None:
                $ prompt = "New end hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.tmpWorkEndHr = int(usr)
                    $ dbgCheat()
            "Days of week" if world.tmpWorkLabel != None:
                if world.tmpWorkDays == None:
                    $ world.tmpWorkDays = []
                call .worldWorkDayToggle(world.tmpWorkDays) from dbg_world_tmp_work_days
            "Clear" if world.tmpWorkLabel != None:
                $ world.clearTmpWork()
                $ dbgCheat()
            "Back":
                $ done = True
    return



    # Adjust work.
    #
label .worldWork:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        if world.workLabel == None:
            $ prompt = "Not defined"
        else:
            $ prompt = "workLabel={}  startHr={} endHr={} daysOw={} \
            ".format(world.workLabel, world.workStartHr, world.workEndHr, world.workDays)
        $ prompt += "\nisWorkDay={} isWorkTime={}".format(world.isWorkDay(), world.isWorkTime())
        menu:
            "[prompt]"
            "Set loc":
                $ prompt = "New location label:"
                $ usr = renpy.input(prompt, length=36)
                $ usr = usr.strip()
                if not isEmpty(usr):
                    $ world.setWork(usr)
                    $ dbgCheat()
            "Start hour" if world.workLabel != None:
                $ prompt = "New start hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.workStartHr = int(usr)
                    $ dbgCheat()
            "End hour" if world.workLabel != None:
                $ prompt = "New end hour 0..23:"
                $ usr = renpy.input(prompt, "", allow="0123456789")
                if not isEmpty(usr):
                    $ world.workEndHr = int(usr)
                    $ dbgCheat()
            "Days of week":
                call .worldWorkDayToggle(world.workDays) from dbg_world_work_days
            "Back":
                $ done = True
    return



    # Toggle work days in a list.
    #
label .worldWorkDayToggle(coll):
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = "Days: "
        if len(coll) == 0:
            $ prompt += "None"
        else:
            python:
                for dayOw in coll:
                    prompt += str(dayOw) + " "
        menu:
            "[prompt]"
            "Monday":
                $ toggleDayOw(coll, 0)
                $ dbgCheat()
            "Tuesday":
                $ toggleDayOw(coll, 1)
                $ dbgCheat()
            "Wednesday":
                $ toggleDayOw(coll, 2)
                $ dbgCheat()
            "Thursday":
                $ toggleDayOw(coll, 3)
                $ dbgCheat()
            "Friday":
                $ toggleDayOw(coll, 4)
                $ dbgCheat()
            "Saturday":
                $ toggleDayOw(coll, 5)
                $ dbgCheat()
            "Sunday":
                $ toggleDayOw(coll, 6)
                $ dbgCheat()
            "Back":
                $ done = True
    return
