#
# Give player an option to do over.
#
# Return false if they choose game over (does not set game over).
# Return true if they want to continue.
#
label wlsEpilogue:
    "
    One of the options you are offered is being transfered to a bariatric
    care facility.
    "
    $ prompt = addMenuAlt("Do you accept the offer of weight loss surgery?")
    menu:
        "[prompt]"
        "No. This is how it ends":
            return False
        "Yes. I have to do this to continue":
            pass

    "
    The team assess your condition, stabilise you, then perform the necessary
    surgery.
    "
    # Reset player weight.
    #
    $ tmp = pc.getMass()
    $ pc.massHardLim = hardLimKg                    # Restore hard limit
    $ pc.massSoftLim = softLimKg                    # Restore soft limit
    $ pc.setMassPlateau(None)                       # Reset plateau mass
    $ pc.gsizeMax = 11                              # New max gsize
    $ pc.fat = pc.random(260, 320)/2.2 - pc.base    # Random weight 260 to 320 lbs
    $ pc.fatLim = pc.fat + 5                        # Only allow another 11lbs
    $ pc.setGlutton(False)                          # Cured of gluttony
    $ pc.setStuffingEnabled(False)                  # Cured of stuffing/erotic feeding
    $ pc.greed = int(pc.greed / 5)                  # A lot less greedy
    $ pc.setMood(30)                                # No longer in a good mood
    # Fix up size and weight.
    $ pc.gsize = sizeLookup(pc.getMass())           
    $ pc.updateWeight()
    $ pc.updateLastWeight()
    $ pc.lastScaleLb = int(round(pc.getMass()*2.2 + 1))
    # Flags
    $ flags.clear('ssbbw')
    $ flags.clear('wrHips')
    if pc.getMass() < 300/2.2:
        $ flags.clear('bbw')
    $ counters.delete('wrHipsSeq')
    # Still dieting.
    $ pc.dietStart(365, 210/2.2)                    # And still dieting
    $ pc.dietWill = 99                              # Determined
    $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')

    # Passage of time.
    # Pick a day based on PC's weight loss.
    #
    $ tmp = int(math.ceil((tmp - pc.getMass())/1.5)) + 28
    $ gt.setDay(gt.getDay() + tmp)
    "
    Months and months pass on a very restricted diet as the team monitor
    your recovery. It's a long, difficult, and painful process.
    "
    $ gt.setDay(gt.getNextDayNum(4))
    "
    Finally the doctor in charge of your case agrees that you can leave the
    facility if you can find someone to look after your ongoing recovery.
    Joe agrees to take you in once more. You've no one else to turn to.
    "
    $ gt.setDay(gt.getNextDayNum(0))
    "
    You are finally discharged into Joe's care with a strict diet plan in
    place. While you are much reduced from your previous size, you are still
    very overweight and have a long way to go to.
    "

    # Back into Joe's care.
    #
    $ world.setHome('nwGas')
    $ world.setWork('nwGas')
    $ world.setLoc('nwGas')
    $ world.clearPartWork()
    $ world.clearTmpWork()
    $ world.clearTmpHome()
    $ world.setWakeHour(8)
    $ world.setWorkHours(9, 17)
    $ counters.delete('gasChocStash')
    $ counters.delete('gasIcecream')
    $ counters.delete('gasLasagna')

    # Relationships.
    #
    if reg.isRomanceRaw():
        $ reg.setBreakDays(30)
        $ reg.setRomance(1)
    if sofia.isRomanceRaw():
        $ sofia.setBreakDays(30)
        $ sofia.setRomance(1)
    if steve.isRomanceRaw():
        $ steve.setBreakDays(30)
        $ steve.setRomance(1)

    # Fan base.
    #
    $ socFans.progressM /= 4
    $ pornFans.progressM /= 6

    # Repair swings and slides.
    #
    $ flags.clear('neverSwing')
    $ flags.clear('neverSlide')

    # New day.
    #
    $ world.setDayOver()
    return True
