#
# Visiting the bar
#
define barName = "Ermintrude's Bar and Grill"

label nwBar:
    $ world.setLoc('nwTown')

    # Decide what is being served.
    #
    $ hour = gt.hour

    if hour < 12:
        call .closed from nw_bar_closed
    elif hour < 18:
        call .enter from nw_bar_day_enter
        call nwBarDrink from nw_bar_day_drink
    elif pc.meals >= 3:
        $ mealsize = pc.getMealSize()
        $ prompt = "You've already had {} meals today {}.".format(cardinal(pc.meals), pc.name)
        $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
        menu:
            "[prompt]"
            "And?" if not dayFlags.isSet('barEve') and not pc.isDietImmob():
                $ dayFlags.set('barEve')
                call .enter from nw_bar_four_meal_enter
                call nwBarEve from nw_bar_four_meal_eat
            "Have a drink (or some bar snacks)":
                call .enter from nw_bar_four_meal_drink_enter
                call nwBarDrink from nw_bar_four_meal_drink
            "Leave":
                return
    else:
        if not dayFlags.isSet('barEve'):
            $ dayFlags.set('barEve')
            call .enter from nw_bar_meal_enter
            call nwBarEve from nw_bar_meal_eat
        else:
            $ prompt = addMenuAlt("You've already eaten one dinner here today.")
            menu:
                "[prompt]"
                "Have a drink (or some bar snacks)":
                    call .enter from nw_bar_drink_enter
                    call nwBarDrink from nw_bar_drink
                "Leave":
                    return
    return

    # Enter size check.
    #
label .enter:
    # dbg "nwBar.enter"
    if dayFlags.isOnce('barVisit'):
        $ tmp = evtCounters.inc('barVisits')
    else:
        $ tmp = evtCounters.get('barVisits')
    if pc.gsize >= 11:
        "
        The door to the bar is a bit of a squeeze,
        but you make it though after a struggle.
        "
        if tmp >= 20:
            "
            Your entrance is greeted by a chorus of \"[pc.name]!\"
            from the regulars.
            You get a few hugs, and a peck on the cheek.
            It's good to feel welcome.
            "
            $ pc.addMood(0.1)
    elif tmp >= 20:
        "
        As you enter the bar you a greeted by a chorus of \"[pc.name]!\"
        from the regulars.
        You get a few hugs, and a peck on the cheek.
        It's good to feel welcome.
        "
        $ pc.addMood(0.1)
    return



label .exitBar(headHome=False):
    if pc.drunk > 4:
        if gsize >= 11 and headHome:
            "
            You stagger out of the bar, having a great deal of difficulty
            with the stupid shrunken door, then head home.
            "
        elif gsize >= 11:
            "
            You stagger out of the bar, having a great deal of difficulty
            with the stupid shrunken door.
            "
        elif gsize >=9 and headHome:
            "You stagger out of the bar, get your hips through the door
            on the third try, and head home."
        elif gsize >=9:
            "You stagger out of the bar, and get your hips through the door
            on the third try."
        elif headHome:
            "You stagger out of the bar and head home."
        else:
            "You stagger out of the bar."
    elif gsize >= 11 and headHome:
        "
        You squeeze yourself through the doorway and head home.
        "
    elif gsize >= 11:
        "
        You squeeze yourself through the doorway to the world outside.
        "
    elif headHome:
        "You leave the bar and walk home."
    else:
        "You leave the bar."
    return



    # Out of hours
    #
label .closed:
    "
    The bar appears to be closed at the moment.
    The lights are off, and the door shut.
    "
    if gt.hour < 12:
        "Checking the opening hours it looks like they don't open until lunchtime."
    if pc.isDiet():
        pc "Well that's going to make dieting easier."
    return
