#
# Normal bar service with munchies.
#
label nwBarDrink:

    $ world.setLoc('nwBarDrink')
    $ renpy.dynamic('adjArse', 'adjBoob',' regular')
    $ regular = evtCounters.get('barVisits') > 50
    $ order = ""
    $ cost = 0
    $ scale = 1
    $ treat = False
    $ gsize = pc.gsize
    $ adjArse = pc.adjArse()
    $ mealsize = pc.getMealSize()
    $ foodMenu.resetMealAcc()
    $ pdrink = None

    # Drinking by myself.
    #
    $ showBg('barstool')

    if gt.isBetween(18, 21):
        "The booths and tables in the dining area are pretty busy with people
        having meals, but thankfully there's space to sit at the central bar area."
    else:
        "The bar isn't as busy as it can be in the evening rush and you head
        to the central bar area."
    call .sit from nw_bar_drink_sit
    call .greet from nw_bar_drink_greet
    return



    # -------------------------------------------------------------------------
    # Interface
    # -------------------------------------------------------------------------

    # Present the player with choices. (optional, required at their home location)
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwBarDrink.freeChoice"
    $ scale = 1
    $ treat = False
    $ gsize = pc.gsize
    $ mealsize = pc.getMealSize()
    $ prompt = "What should I have?"
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    if pdrink == 'cocktail':
        $ pdrink = None
    $ prompts = {
        'again'         : "Same again " + food.getCostStr(pdrink),
        }
    menu:
        "[prompt]"
        "[prompts[again]]" if pdrink != None and (treat or pc.canAffordFood(pdrink, cost)):
            pc "Same again please."
            $ food.add(pdrink)
            $ cost += food.getCost(pdrink)
            call .drink from nw_bar_drink_free_again

        "Have a drink":
            call .drinkMenu from nw_bar_drink_free_drink_menu
            call .drink from nw_bar_drink_free_drink

        "Ask for the food menu":
            call .snackMenu from nw_bar_drink_free_snack_menu
            call .snackEat from nw_bar_drink_free_snack

        "Stay for your evening meal" if gt.hour >= 18 and pc.meals < 3 and not dayFlags.isSet('barEve'):
            $ dayFlags.set('barEve')
            call .bill from nw_bar_drink_free_eve_bill
            call .stand from nw_bar_drink_free_eve_stand
            if not world.isDayOver():
                if gsize >= 8:
                    "You waddle over to one of the booths."
                elif pc.drunk > 4:
                    "You weave your way over to an empty booth."
                else:
                    "You head over to one of the booths."
                call nwBarEve.alreadyHere from nw_bar_drink_free_eve_eat

        "Leave":
            call .bill from nw_bar_drink_free_leave_bill
            call .stand  from nw_bar_drink_free_leave_stand
            if not world.isDayOver():
                $ world.setLoc('nwTown')
                call nwBar.exitBar from nw_bar_drink_free_leave_exit
    return



    # Return home from here. (optional)
    # If implemented describe the player returning to their home.
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwBarDrink.retHomeFromHere({})".format(toLoc))
    call .bill from nw_bar_drink_ret_bill
    call .stand from nw_bar_drink_ret_stand
    # Check that not already home as a result of .stand and .fallingDownDrunk
    if not world.isHome():
        call nwBar.exitBar(True) from nw_bar_drink_ret_exit
        $ world.setLocHome()
    return


    # -------------------------------------------------------------------------
    # Local calls
    # -------------------------------------------------------------------------

    # Find a seat.
    #
label .sit:
    if gsize >= 8 and regular:
        "
        You find your barstools still pushed next to each other and
        heave your [adjArse] bum onto both of them.
        "
    elif gsize >= 8:
        "
        You find a couple of the barstools next to each other and push them together.
        Then you heave your [adjArse] bum onto both of them.
        "
    elif gsize >= 5 and regular:
        "
        You wobble over to your seat at the bar you plop your [adjArse] butt down.
        The seat really isn't big enough, there's a lot of overhang all round.
        You did ask if they had any others, but all the barstools are identical.
        "
    elif gsize >= 5:
        "
        Finding a seat at the bar you plop your [adjArse] butt down.
        These really could do with being a bit bigger,
        it's not exactly comfortable, and there's a lot of overhang.
        "
    elif gsize >= 3 and regular:
        "
        You take your normal seat at the bar, your [adjArse] bum and thighs
        are wider than the seat now.
        "
    elif gsize >= 3:
        "
        You take a seat at the bar, your [adjArse] bum and thighs
        are wider than the seat now.
        "
    elif regular:
        "
        YOu take your normal seat at the bar.
        Yes, it's got to the point the other regulars know where you sit.
        "
    else:
        "
        You take a seat at the bar and wait to be served.
        "
    return



    # Barman greet.
    #
label .greet:
    if regular:
        barman "Hi, [pc.name], good to see you again."
    elif gt.hour < 12:
        barman "Good morning, [pc.name]."
        pc "Morning."
    elif gt.hour < 18:
        barman "Good afternoon, [pc.name]."
        pc "Afternoon."
    else:
        barman "Good evening, [pc.name]."
        pc "Evening."
    return



    # Stand up.
    #
label .stand:
    # dbg "nwBarDrink.stand"
    $ renpy.dynamic('drunk', 'pissed')
    $ drunk = pc.drunk > 4
    $ pissed = pc.drunk > 8
    if drunk and not pissed:
        $ setAchievementVisible('fallingDown')
    if gsize >= 8 and pissed:
        "
        You slip off your barstools,
        losing your balance as the girls swing around,
        and then the floor is rushing up to greet you.
        "
        call .fallingDownDrunk from nw_bar_stand_heavy
    elif gsize >= 8 and drunk:
        "
        You slip off your barstools,
        losing your balance as the girls swing around,
        but manage to regain your unsteady feet.
        "
        pc "It's okay, just a bit wobbly."
        lacy "Wobbley doesn't even begin to cover what you are, my girl."
    elif gsize >= 8:
        "
        You slip off your barstools,
        nearly toppling over as the girls swing around,
        then put the stools back as you found them.
        "
    elif gsize >= 5 and pissed:
        "
        You slip off your barstool, wobble, and take a series
        of ever more unbalanced steps before ending on the floor.
        "
        call .fallingDownDrunk from nw_bar_stand_fat
    elif gsize >= 5 and drunk:
        "
        You slip off your barstool, take some very wobbly steps
        and catch yourself against a table.
        "
        pc "It's okay, just a bit wobbly."
        lacy "You, my girl, are all kinds of wobbly."
    elif gsize >= 5:
        if pc.isDietConsider():
            "
            You get down from the barstool.
            That's a lot of wobble girl!
            "
        else:
            "You hop down from the barstool with a generous wobble."
    elif gsize >= 3 and pissed:
        if pc.isDietConsider():
            "
            You hop down from the barstool.
            That's a bit too much jiggle girl.
            Woah! The room spins any your legs go from under you.
            "
        else:
            "You hop down from the barstool with a nice jiggle.
            Woah! The room spins any your legs go from under you."
        call .fallingDownDrunk  from nw_bar_stand_plump
    elif gsize >= 3 and drunk:
        if pc.isDietConsider():
            "
            You hop down from the barstool.
            That's a bit too much jiggle girl.
            It takes a few drunk steps to get your balance.
            "
        else:
            "You hop down from the barstool with a nice jiggle.
            It takes a few drunk steps to get your balance."
    elif gsize >= 3:
        if pc.isDietConsider():
            "
            You hop down from the barstool.
            That's a bit too much jiggle girl!
            "
        else:
            "You hop down from the barstool with a nice jiggle."
    elif pissed:
        "You hop off your barstool, and your legs just go from underneath you."
        call .fallingDownDrunk  from nw_bar_stand_normal
    elif drunk:
        "You hop off your barstool and the world spins."
        barman "You okay there?"
        pc "I'm good."
    else:
        "You hop down from the barstool."
    return



    # Lacy and the barman get the PC home.
    #
label .fallingDownDrunk:
    # dbg "nwBarDrink.fallingDownDrunk"
    if evtCounters.inc('barFall') < 5:
        lacy "Are you okay [pc.name]?"
        barman "Is she alright?"
        lacy "I think so. [pc.name], still with us?"
        pc "Ohh, owwww, yes."
        call achievements.award('fallingDown') from nw_bar_drink_falling_down_award
    else:
        lacy "[pc.name], not again."
        barman "Is she alright?"
        lacy "She'll be fine, it's not her first rodeo."
        pc "Did you get his number?"
    "
    Between the two of them they sit you up and ply you with coffee
    until the room isn't quite as spinny.
    "
    lacy "Let's get you home before anything else happens."
    pc "I love you Lacy. You're so sweet. I could kiss you. And you too kind sir."
    lacy "I know, you get all luvvy-duvvy after a few too many drinks."
    pc "I forgot my, ... no, wait here it is."
    lacy "Let's get you in my car. Do you think you can stand?"
    pc "Shotgun!"
    lacy "No, no, absolutely not. You are going in the back."
    "
    You are vaguely aware of being man handled into the back seat.
    "
    lacy "We're here. [pc.name], do you have your key?"
    pc "B-flat. [uniNotes]Sing with me and find the key.[uniNotes] ... I really fancy a fry-up."
    "Lacy starts going through your pockets. You lean heavily against her."
    pc "I didn't know you ... felt that way 'bout me."
    "You try to kiss her, and miss. Lacy gets the door open."
    lacy "In you go. Here are your keys. Drink plenty of water.
        And [pc.name], you are not to use the stove in your state, no fry ups!"
    lacy "And heaven help your head in the morning."
    $ world.setDayOver()
    $ world.setNoReturn()
    $ world.setLocHome()
    $ flags.set('agBarFall')
    return



    # Drink menu.
    #
label .drinkMenu:
    # dbg "nwBarDrink.drinkMenu"
    $ renpy.dynamic('drunk', 'pissed')
    $ drunk = pc.drunk > 4
    $ pissed = pc.drunk > 8
    if pc.drunk >= 12:
        barman "No, [pc.name]. I think that's enough."
        pc "But I'm a good girl I am."
        barman "You start off good, then you get flirty, then you get ... worse."
        return
    barman "What would you like [pc.name]?"
    if pissed:
        "You try your best seductive smile. Hmmm, not working. Is he gay?"
        barman "I'm at work [pc.name]. You don't need to seduce me to get served."
        pc "And after work? Can I get served then?"
        barman "Let's try this again. What would you like {i}to drink{/i}?"
    elif drunk:
        "You smile sweetly."
    $ prompt = pc.appendPrompt("What do I want to drink?", gt.hour, mealsize)
    $ foodMenu.start(barName, "Drinks")
    $ foodMenu.addFood('beer', "Beer", cost, 1, treat)
    $ foodMenu.addFood('cokept', "Coke", cost, 1, treat)
    $ foodMenu.addFood('cokeptz', "Diet Coke", cost, 1, treat)
    $ foodMenu.addFood('wine', "Wine", cost, 0, treat)
    $ foodMenu.addFood('shot', "Tequila", cost, 0, treat)
    $ foodMenu.addNothing()
    $ foodMenu.check()
    if pdrink:
        $ foodMenu.addFood('again', "Same again", cost, 0, treat, pdrink)
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        "again" if pdrink:
            if drunk:
                pc "Another please."
            else:
                pc "Same again please."
            $ foodMenuSeln = pdrink
            $ food.add(pdrink)
            $ cost += food.getCost(pdrink)
        'beer':
            pc "I'd like a beer."
            $ food.add("beer")
            $ pdrink = "beer"
        'cokept':
            pc "I'd like a coke please."
            $ food.add("cokept")
            $ pdrink = "cokept"
        'cokeptz':
            pc "I'd like a diet coke please."
            $ food.add("cokeptz")
            $ pdrink = "cokeptz"
        'shot':
            if drunk:
                pc "Tequila!"
            else:
                pc "A shot of tequila please"
            $ food.add("shot")
            $ pdrink = "shot"
        'wine':
            pc "I'd like a glass of wine please."
            $ food.add("wine")
            $ pdrink = "wine"
        "Cocktails?":
            pc "Can you make me a cocktail please?"
            barman "I can see what I can do; we're more of a beer bar."
            call .cockMenu from nw_bar_drink_cock
        'nothing':
            pc "I'm good, thank you."
            $ pdrink = None
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return



    # Improvised cocktails.
    #
label .cockMenu:
    $ tmp = food.getCostStr('cocktail')
label .cockChoice:
    $ renpy.dynamic('done')
    $ done = False
    while not done:
        $ prompt = addMenuAlt("What are you going to ask for?")
        menu:
            "[prompt]"
            "Sex on the beach":
                if drunk:
                    pc "I'd like to have sex on the beech"
                    barman "Would you now? We're a bit far from the coast."
                    pci "That might just have come across as a bit slutty [pc.name],
                    you know what you're like when you've had a few."
                else:
                    pc "Could you make sex on the beach?"
                barman "No cranberry juice I'm afraid. Lets see. How about ..."
                $ prompt = addMenuAlt("Do you want to try one of his alternatives?")
                menu:
                    "[prompt]"
                    "Sex in the vineyard (with grape juice) [tmp]" if treat or pc.canAffordFood('cocktail', cost):
                        if drunk:
                            pc "Is there a vineyard near here?"
                        else:
                            pc "Let's try that. It sounds fun."
                        "
                        He mixes it up, and it comes out quite pale.
                        You try a sip and it's much sweeter than the original.
                        "
                        $ pdrink = 'cocktail'
                        $ done = True
                    "Sex in the woods (with berry juice) [tmp]" if treat or pc.canAffordFood('cocktail', cost):
                        if drunk:
                            pc "I'm up for that!"
                        else:
                            pc "Let's try that. It sounds fun."
                        "
                        He mixes it up, and it comes out quite dark, almost purple.
                        You try a sip and it's a little sweeter than the original.
                        "
                        $ pdrink = 'cocktail'
                        $ done = True
                    "Not one of those":
                        pass
            "The one with chocolate and cream":
                if pissed:
                    pc "Angel's yummy tits! Or is it tit? Do I only get one?"
                    barman "You're lucky your getting any, [pc.name]. I ought to be cutting you off."
                elif drunk:
                    pc "Angel's tit, no, tip. Could be her tits, they're so yummy.
                        It's so yummy. Tits so yummy."
                else:
                    pc "I think it's called Angel's tip?"
                    barman "I think we've some crème de cacao, and the kitchen will have cream."
                "
                He pours crème de cacao into a glass, floats cream on top with a
                spoon and adds a cherry.
                "
                if pissed:
                    pc "Can't be having her nipples out!"
                    "
                    You pick the cherry off and bring it to your lips,
                    as seductively as you can, then eat it.
                    "
                elif drunk:
                    pc "Is the cherry supposed to be her tip, no, nip?
                        It's a nipple tipple."
                "You take a hard sip to get some of the cacao with the cream."
                pc "That's two of my three favourite things in that glass."
                if pissed:
                    pc "Want to know what the third is?
                        Clue. It can't be drunk.
                        I'm drunk.
                        But sometimes swallowed, sometimes eaten."
                $ pdrink = 'cocktail'
                $ done = True
            "Nothing":
                pc "I don't want to put you to any trouble."
                barman "It's not a problem [pc.name]"
                $ pdrink = None
                $ done = True
    # End of while not done
    if pdrink is not None:
        $ food.add(pdrink)
        $ cost += food.getCost(pdrink)
    return



    # Drinking.
    #
label .drink:
    # dbg "nwBarDrink.drink"

    if pdrink == 'beer':
        $ prompt = "beer"
    elif pdrink == 'cocktail':
        $ prompt = "cocktail"
    elif pdrink == 'cokept':
        $ prompt = "coke"
    elif pdrink == 'cokeptz':
        $ prompt = "diet coke"
    elif pdrink == 'wine':
        $ prompt = "wine"
    else:
        $ prompt = "drink"

    if pdrink != None:
        """
        You sip your [prompt], half watching the game on the big TV.

        Unlike the other people here you aren't really paying attention
        to the game and the plays.
        Rather rating the competitors on the Fuck, Marry, Avoid scale.
        """
        $ pc.eatFood(food)
        $ gt.addHours(1)
    return



    # Bar snacks menu.
    #
label .snackMenu:
    # dbg "nwBarDrink.snack"
    $ pmain = None
    $ prompt = pc.appendPrompt("What do I want to eat?", gt.hour, mealsize)
    $ foodMenu.start(barName, "Bar Snacks")
    $ foodMenu.addFood('chicktend', "Chicken tenders", cost, 1, treat)
    $ foodMenu.addFood('mozzsticks', "Mozzarella sticks", cost, 0, treat)
    $ foodMenu.addFood('loadskins', "Loaded potato skins", cost, 1, treat)
    $ foodMenu.addFood('ribshalf', "Ribs half rack", cost, 3, treat)
    $ foodMenu.addFood('sliders', "Sliders", cost, 2, treat)
    $ foodMenu.addFood('salad', "Or there is a salad", cost, 0, treat)
    $ foodMenu.addNothing()
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'chicktend':
            pc "Some chicken tenders please?"
            $ food.add("chicktend")
            $ pmain = "chicktend"
        'loadskins':
            pc "Can I get the loaded skins please?"
            $ food.add("loadskins")
            $ pmain = "loadskins"
        'mozzsticks':
            pc "Can I get some mozzeralla sticks please?"
            $ food.add("mozzsticks")
            $ pmain = "mozzsticks"
        'ribshalf':
            pc "The half rack of ribs please?"
            $ food.add("ribshalf")
            $ pmain = "ribshalf"
        'sliders':
            pc "Can I have the sliders please?"
            $ food.add("sliders")
            $ pmain = "sliders"
        'salad':
            pc "I'll have the salad, thank you."
            $ food.add("salad")
            $ pmain = "salad"
        'nothing':
            pc "I'm good, thank you."
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return



    # Eating bar snacks.
    #
label .snackEat:
    if pmain == None:
        return

    elif pmain == 'chicktend':
        "
        Succulent chicken, crumbed and fried, a couple of dips, and
        absolutely no need for cutlery.
        You munch away with half an eye on the game.
        "
    elif pmain == 'loadskins':
        "
        Hollowed out buttery potato skins, filled with cheese and bacon pieces.
        And a sour cream dip, you know, just in case you needed more calories.
        You munch away with half an eye on the game.
        "
    elif pmain == 'mozzsticks':
        "
        Melting mozzarella, breadcrumbed and fried, and a marinara dip,
        what's not to like.
        You munch away with half an eye on the game.
        "
    elif pmain == 'ribshalf':
        "
        So temptingly glossy and sweet looking, there's no dainty way to
        eat these. So, you set to with gusto, gnawing and sucking at
        each one in turn to get every morsel.
        You catch some middle aged guy watching - dream on!
        "
    elif pmain == 'sliders':
        "
        Itty-bitty beefburgers, what's not to like?
        Well, obviously they could be bigger.
        But if they were bigger you couldn't stuff a whole one in your mouth
        at once and imagine you were some kind of kaiju.
        No, not going to do that now, obviously.
        "
    elif pmain == 'salad' and pc.isDietRestricted():
        "
        Munch, crunch; I suppose this will have to do.
        Wait, some thoughtless -ing f... has ordered the ribs, sucking meat and
        glaze off the bones. You can smell it from here!
        [pc.name] stop drooling and eat your salad.
        "
    elif pmain == 'salad':
        if pc.isDietRestricted():
            "
            This is the reality of dieting isn't it.
            Mindlessly munching leaves as a penance for being a fat cow.
            How do cows get fat eating stuff like this anyway?
            I suppose the whole floor being food helps,
            that and spending your whole day eating.
            "
        else:
            "
            This is a very girly thing to do isn't it.
            Surrounded by grease laden choices, and here you are picking at a salad.
            You don't even want it do you?
            No, I thought not.
            At least the dressing has flavour.
            You spoon more on.
            "
    # Consider the first bar snack a 'lunch'.
    if dayFlags.isOnce('barSnack') and pc.meals < 3:
        $ food.setMeal(True)
    $ pc.eatFood(food)
    $ gt.addHours(1)
    return



    # Pay your bill.
    #
label .bill:
    if cost == 0:
        return
    if treat:
        barman "No bill this evening."
    else:
        if pc.drunk > 4:
            "The barman slides your bill across and you stare at it until the total comes into focus: $[cost:0.2f]."
        else:
            "The barman slides your bill across and you glance at the total: $[cost:0.2f]."
        $ tmp = pc.roundUp(cost, 15)
        $ prompt = addMenuAlt("Add a tip?")
        menu:
            "[prompt]"
            "Pay $[cost:0.2f]":
                "You pay the bill."
                $ pc.spend(cost)

            "Pay with tip $[tmp:0.2f]" if pc.canAfford(tmp):
                "You pay the bill and add a tip."
                $ pc.spend(tmp)
                barman "Thank you kindly [pc.name]!"

            "You can't afford a proper tip, give him $[pc.money]" if not pc.canAfford(tmp):
                "You empty what cash you do have onto the bar."
                barman "[pc.name], I can't take that."
                $ pc.spend(cost)
    $ cost = 0
    return
