#
# Weekday evening trip to the bar.
#
label nwBarEveJoe:
    $ world.setLoc('nwBarEveJoe')
    call .greet from nw_bar_eve_joe_greet
    call lacy.sizeNotice from nw_bar_eve_joe_size

label .afterGreet:
    $ gsize = pc.gsize
    $ mealsize = pc.getMealSize(True)
    $ foodMenu.resetMealAcc()
    $ treat = True
    $ order = ""
    $ cost = 0
    $ scale = 1.0
    $ unbutton = False
    $ lacyFeed = not lacy.isPcTooFat()

    lacy "What can I get you both this evening? The usual Joe?"
    joe "Yup."
    lacy "And you [pc.name]?"
    if pc.isDiet():
        call .lacyDiet from nw_bar_eve_joe_lacy_diet

    if mealsize == 0:
        pc "I'm not actually hungry really."
        lacy "Oh. Well I'm sure you'll get peckish once Joe's eating.
        Let me get you a beer and some nibbles."
        $ food.add("beer")
        $ food.add("peanuts")
        $ pdrink = 'beer'
        $ order = "a beer and some nibbles"
    else:
        call nwBarEve.barFood(True) from nw_bar_eve_joe_food_menu
        lacy "And what sides would you like with that?"
        call nwBarEve.barSides(True) from nw_bar_eve_joe_side_menu
        lacy "Anything to drink?"
        call nwBarEve.barDrink from nw_bar_eve_joe_drink_menu
    lacy "So that's Joe's regular and [order] for you [pc.name].
        Great, that will be with you shortly."

    if flags.isConsume("lacyOrder"):
        pc "She got my order wrong!"
        joe "No, not really, she just thinks you need a little more skin on your bones."
        joe "You don't have to finish it."
    elif lacyFeed:
        pc "She did it again Joe."
        joe "I know, she doesn't like seeing you so thin."
        joe "You don't have to finish it."
    elif flags.isSet('joePromise') and foodMenu.getAccPlates() > 2:
        joe "Remember your promise to me [pc.name]?"
        pc "Ah, ooops. I just fell into my old bad habits."

    if mealsize > 3:
        "
        Lacy is soon back with the food, and you eagerly dig in
        before Joe even has his napkin in place.
        "
    else:
        "
        Lacy is soon back with the food.
        "
    call nwBarEve.barMainEat from nw_bar_eve_joe_food_eat
    call nwBarEve.barFinishDrink from nw_bar_eve_joe_drink_fin
    call nwBarEve.checkStuff from nw_bar_eve_joe_check

    if dayFlags.isConsume('joeUnbutton'):
        joe "[pc.name], do you even remember promising to diet?"
        pc "I'm sorry Joe. I got carried away. It was so tasty and I was so hungry."

    if mealsize > 3:
        "You finish before Joe, and chat until Lacy comes to clear the table."
    elif mealsize < 3:
        "Joe finishes before you,
        and gets engrossed in the game on the wall mounted TV
        while you finish."
        "Lacy is soon back to clear the table."
    else:
        "Lacy returns to clear the table once you are both done."

    if flags.isConsume('lacyUnbutton'):
        call nwBarEve.lacyUnbutton from nw_bar_eve_joe_lacy_open

    lacy "Was the meal to your liking?"
    if foodMenu.isSpaceFor(foodMenu.mealAcc):
        if not pc.isDietImmob() and pc.isGreedy(30):
            pc "Very much so. I could eat it again."
            if flags.isSet('joePromise'):
                pc "But of course I won't, will I Joe?"
                joe "No [pc.name], you promised not to overindulge."
            else:
                call .seconds from nw_bar_eve_joe_seconds
        else:
            pc "Very much so. I could eat it again, but I shouldn't."
    else:
        pc "Very much so."
    $ food.clear()

    joe "Be a dear, and get another round in would you? On my tab."
    "
    You walk up to the bar with the empties and wait to catch the barman's eye.
    "
    call .barWaitChat from nw_bar_eve_joe_bar_chat

    "You catch the barman's eye."
    pc "Two beers please."
    barman "On Joe's tab?"
    pc "Yes, thank you."
    $ food.add("beer")
    "
    You carry the drinks back to the table, and set one in front of Joe.
    "
    $ pc.eatFood(food)
    $ gt.addHours(1)

    $ food.clear()
    $ order = ""
    lacy "Can I interest you in a dessert?"
    if foodMenu.isSpaceFor(2) and pc.isGreedy(10):
        lacy "It's going to be yes, isn't it, I don't know why I asked."
    call nwBarEve.barPudMenu(True) from nw_bar_eve_joe_pub_menu

    if psweet != None:
        lacy "One [order] coming right up."
        if flags.isSet('joePromise') and foodMenu.getAccPlates() > 3:
            joe "You really ought not to be eating that [pc.name].
                But I guess you've ordered it now."
            pc "I'm sorry Joe. Sweet things bring out the worst in me."
        call nwBarEve.barPudEat from nw_bar_eve_joe_pud_eat
        call nwBarEve.checkStuff from nw_bar_eve_joe_pud_check
        if dayFlags.isConsume('joeUnbutton'):
            joe "[pc.name], do you even remember promising to diet?"
            pc "I'm sorry Joe. I got carried away. It was so tasty and I was so hungry."
        "
        Lacy comes to clear your table again.
        "
        if flags.isConsume('lacyUnbutton'):
            call nwBarEve.lacyUnbutton from nw_bar_eve_joe_pud_lacy_open

    call .barStuffed from nw_bar_eve_joe_stuffed
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    joe "We should probably head back."
    if pc.getSizeUnlim() > 11:
        pc "Sure, I'm ready. Can you give me a hand?"
        "
        Joe comes round to your side and helps you get your bulk out of
        the booth.
        "
    else:
        pc "Sure, I'm ready to crash."

    if unbutton:
        if pc.getFullness > 150:
            if evtCounters.inc('barShames') < 10:
                "
                You try to fasten yourself up, but it's not happening.
                This is going to be embarrassing.
                "
            else:
                "
                You try to fasten yourself up, but it's not happening.
                At least the regulars are used to seeing your naked tummy now.
                "
        else:
            "
            You manage, with some effort, to fasten yourself up before leaving.
            It's done, but so very tight!
            "

    joe "Goodnight Lacy, excellent as ever."
    pc "It was, wasn't it. Goodbye Lacy."
    if unbutton:
        $ picker.start()
        if gsize < 4:   # Not fat yet.
            $ picker.addOption("and overstuffed {}".format(pc.name))
            $ picker.addOption("and swollen {}".format(pc.name))
            $ picker.addOption("and {}. Nice panties by the way".format(pc.name))
            $ picker.addOption("and {}, you greedy girl".format(pc.name))
            $ picker.addOption("and {} our valued customer".format(pc.name))
            $ picker.addOption("and you {}, who never knows when to stop".format(pc.name))
            $ picker.addOption("{} and your food baby".format(pc.name))
        else:
            $ picker.addOption("and you Miss Piggy")
            $ picker.addOption("and \"Busta Button\" {}".format(pc.name))
            $ picker.addOption("and \"These fit yesterday\" {}".format(pc.name))
            $ picker.addOption("and \"I don't know my own limits\" {}".format(pc.name))
            $ picker.addOption("and {} our most dedicated customer".format(pc.name))
            $ picker.addOption("and {}, who never knows when to stop eating".format(pc.name))
            if pc.isGlutton():
                $ picker.addOption("and the insatiable {}".format(pc.name))
        if gsize >= 11:
            $ picker.addOption("and \"Booth Buster\" {}".format(pc.name))
            if flags.isSet('wrHips'):
                $ picker.addOption("{0}, and {0}'s hips".format(pc.name))

        $ tmp = picker.choose(txtLru, 5, 2)
        lacy "Goodnight Joe, [tmp]. See you both soon."
    else:
        lacy "Goodnight Joe, [pc.name]. See you both soon."

    return



    # Greetings from the regulars.
    #
label .greet:
    $ tmp = evtCounters.inc('barVisits')
    if tmp < 10:
        "
        As Joe leads you into the noisy bar he's welcomed with a chorus
        of regulars calling \"Joe!\" and a few friendly back slaps.
        "
    elif tmp == 10:
        "
        As Joe leads you into the noisy bar you are both greeted by
        the chorus of regulars: \"Joe, [pc.name]!\"
        So you are one of the regulars now?
        He gets a few friendly back slaps.
        You get a few hugs, and a peck on the cheek.
        "
        $ pc.addMood(0.5)
        call achievements.award('regular') from nw_bar_eve_joe_greet_award
    else:
        "
        As Joe leads you into the noisy bar you are both greeted by
        the chorus of regulars: \"Joe, [pc.name]!\"
        He gets a few friendly back slaps.
        You get a few hugs, and a peck on the cheek.
        "
    return



    # Explain that you are on a diet.
    #
label .lacyDiet:
    if pc.cheatDay:
        pc "Lacy, I'm trying to diet, but I've already blown it today,
            so it's a bit of a cheat day."
        if lacyFeed:
            lacy "You hardly need to diet [pc.name],
                but it's nice to have a bit of a blow out occasionally isn't it."
        else:
            lacy "It's nice to have a bit of a blow out occasionally,
            a break from the tedium of dieting."
    else:
        pc "Before we start, you should probably know I'm trying to diet."
        if lacyFeed:
            lacy "You hardly need to diet [pc.name],
                and this probably isn't the best place for it."
        lacy "Are you sure I can't tempt you?"
        if pc.testDietWill():
            pc "I'm going to have to resist I'm afraid."
            lacy "Oh, okay."
            $ lacyFeed = False
        elif flags.isConsume('dietStopWill'):
            pc "I give in. I suck at dieting and never really lose much."
            lacy "I know that feeling all too well."
            pc "The greedy girl is back! Let me at that menu."
            lacy "Well, you do seem happier for stopping."
            $ mealsize = pc.getMealSize()
        else:
            pc "I don't honestly have the willpower to resist.
                It's going to have to be a cheat day.
                Let me see that menu!"
            "Lacy smiles and hands you the laminated menu."
            $ mealsize = pc.getMealSize()
    return



    # Waiting at the bar.
    #
label .barWaitChat:
    if steve.isNotMet():
        call steve.atBar from nw_bar_eve_joe_steve_first
        return
    if gt.dayNum <= 6:
        $ clearHere()
    elif alicia.isMet():
        $ whoIsHere(25, alicia, steve)
    else:
        $ whoIsHere(40, steve)
    if steveHere:
        call steve.atBar from nw_bar_eve_joe_steve
    elif aliciaHere:
        call alicia.atBar from nw_bar_eve_joe_alicia
    else:
        $ rnd = pc.random(1,2)

        if rnd == 1:
            "
            Some lads dressed almost identically in flannel shirts and jeans
            are getting a round in, but the barman is soon with you.
            "
        else:
            "
            A rather buxom woman in a strappy top is drunkly trying to chat up
            the barman, yet he's staying calm and professional.
            "
    return



    # Comment on pc fullness.
    #
label .barStuffed:
    $ fullness = pc.getFullness()

    if fullness >= 150:
        "You lean back cradling your swollen belly."
        pc "Joe, I am so stuffed it hurts."
        $ pc.addGreed(0.2)
        if lacyFeed:
            joe "I did say you didn't have to eat it all."
            if gsize < 3:
                pc "I know, but after months of going hungry it was hard not to."
            else:
                pc "I know, but I was enjoying it."
                if foodMenu.mealAcc >= 4:
                    joe "You've certainly got an appetite."
        else:
            joe "Don't look at me, I didn't make you eat it all."
    elif fullness >= 95:
        "You lean back and look down at your taut gut, rubbing it."
        pc "Joe, I am really full."
        $ pc.addGreed(0.1)
        if lacyFeed:
            joe "I did say you didn't have to eat it all."
            if gsize < 3:
                pc "I know, but after months of going hungry it was hard not to."
            else:
                pc "I know, but I was enjoying it."
                if foodMenu.mealAcc >= 4:
                    joe "You've certainly got a good appetite now."
        else:
            joe "Don't look at me, I didn't make you eat it all."
    else:
        if pc.isDietImmob():
            pc "That was good, but I'm still so very hungry."
            joe "I'm afraid it going to be that way for a while [pc.name].
                You got used to some really big meals."
        elif pc.isDietRestricted():
            pc "That was good, but I'm still hungry."
            joe "I know it's not easy."
        else:
            pc "That was good, I needed that."
            if lacyFeed:
                joe "Yes, I think you did."
            elif foodMenu.mealAcc >= 6:
                joe "You've certainly got an appetite on you these days."
    return



    # Joe buys seconds.
    #
label .seconds:
    if pmain == 'salad':
        "Lacy grins, but doesn't offer you seconds.
        What would be the point of more salad anyway?"
        return

    if not pc.isGreedy(50):
        "Lacy grins, but doesn't offer you seconds.
        It would have been embarrasing if she did in front of Joe."
        return

    if evtCounters.get('barSecondsJoe') <= 5:
        $ rnd = pc.randomGreed(0, 80)
        if not rnd:
            "Lacy grins, but doesn't offer you seconds.
            You really wish she would."
            return

        joe "You're not curious Lacy? To see if she really could?"
        if evtCounters.get('barSeconds'):
            lacy "Oh, I know she can, and have seen her do it!
                But I don't think we should be encouraging her to get any bigger."
            joe "Really? I hardly think she needs any encouraging these days."
        else:
            lacy "Well, yes, I am,
                but I don't think we should be encouraging her to get any bigger."
            joe "I hardly think she needs any encouraging these days."

        pc "I'm still here you know."
        lacy "It's your tab this is going on Joe."
        joe "I guess that makes it my call then."
        pc "Hello? I'm pretty sure you can't miss me, it's not like I'm small."

        joe "[pc.name], You could really eat your dinner again?"
        $ prompt = addMenuAlt("Do I want seconds?")
        menu:
            "[prompt]"
            "Yes please!":
                pc "Yes, I think I could eat another. Let's see."
            "I could, but diet" if pc.isDiet():
                pc "I totally could, but I'm going to say no as I am trying to diet."
                joe "Sorry, I shouldn't have suggested it."
                return
            "I could, but dessert" if not pc.isDiet():
                pc "I totally could, but I want to save some room for dessert."
                joe "Fair enough. I know how much you like sweet things."
                return

        $ dayFlags.set('joeSeconds')
    else:
        "
        Lacy looks at Joe, who looks at you, then back at her, and nods slightly.
        Lacy sighs, and turns to you.
        "
        lacy "By any chance would you like another helping [pc.name]?"
        $ prompt = addMenuAlt("Do I want seconds?")
        menu:
            "[prompt]"
            "Yes please!":
                pc "Yes please. I'm hungry and I really could eat it again."
            "I could, but diet" if pc.isDiet():
                pc "I totally could, but I'm going to say no as I am trying to diet."
                lacy "That was you dieting? We do have salad you know."
                pc "I know."
                return
            "I could, but dessert" if not pc.isDiet():
                pc "I totally could, but I want to save some room for dessert."
                lacy "That figures."
                return
    lacy "Right, back shortly."
    "
    Lacy is soon back with more food.
    "
    $ evtCounters.inc('barSecondsJoe')
    $ evtCounters.inc('barSeconds')
    $ dayFlags.set('agSeconds')
    $ food.setMeal(False)
    $ foodMenu.mealAcc *= 2
    call nwBarEve.barMainEat(True) from nw_bar_eve_joe_sec_eat
    call nwBarEve.barFinishDrink from nw_bar_eve_joe_sec_drink
    call nwBarEve.checkStuff from nw_bar_eve_joe_sec_check
    joe "Well, she wasn't wrong. She did eat it again."
    pc "And it was every bit as good the second time!"
    if evtCounters.isLte('barSecondsJoe', 2):
        call achievements.award('seconds') from nw_bar_eve_joe_sec_award 
    if flags.isConsume('lacyUnbutton'):
        call nwBarEve.lacyUnbutton from nw_bar_eve_joe_sec_lacy_open

    return
