
#
# Clothes Shop
#
define clothesName = "Alicia's Attire"

    # Enter the clothes store.
    # Open 8..19 Mon-Sat.
    # Changes location to store.
    # Runs .enter, .checkEmergency, and .checkTab
    #
label nwClothes:
    $ dbgLogDet("nwClothes")
    $ renpy.dynamic('oldTab')
    if world.isLoc('nwTown'):
        "
        You cross the quiet street to the town's only clothes shop.
        "
    else:
        "
        You head into town and to the only clothes shop.
        "
    # Decide if they are open.
    #
    $ hour = gt.hour

    if gt.dayOw == 6:       # Closed Sundays
        call .closed from nw_clothes_sun_closed
    elif hour < 8:          # Closed before 8
        call .closed from nw_clothes_early
    elif hour >= 19:        # Closed after 7
        call .closed from nw_clothes_late
    else:
        $ world.setLoc('nwClothes')
        $ oldTab = aliciaTab
        call .enter from nw_clothes_enter
        call .checkEmergency from nw_clothes_emergency
        if oldTab == aliciaTab:
            call .checkTab from nw_clothes_tab
    return



    # -------------------------------------------------------------------------
    # Interface
    # -------------------------------------------------------------------------

    # Present the player with choices. (optional, required at their home location)
    # Do one of them.
    #
label .freeChoice:
    $ dbgLogDet("nwClothes.freeChoice")
    $ prompt = pc.appendPrompt("What to do you want to look at?", 0, None)
    menu:
        "[prompt]"
        "Look at bras":
            call .lookBra from nw_clothes_free_bra
        "Look at jeans":
            call .lookJeans from nw_clothes_free_jeans
        "Look at panties":
            call .lookPanties from nw_clothes_free_panties
        "Look at swimwear":
            call .lookSwimwear from nw_clothes_free_swim
        "Look at t-shirts":
            call .lookTshirt from nw_clothes_free_tshirt
        "Just a measurement":
            call .lookMeasure from nw_clothes_free_measure
        "Head outside":
            $ gt.addHours(1)
            $ pc.useEnergy(1)
            call .pay from nw_clothes_free_pay
            call .cupcakes from nw_clothes_free_cupcakes
            pc "Bye Alicia!"
            if aliciaTab > 0:
                alicia "Goodbye [pc.name]"
            else:
                alicia "Goodbye [pc.name], have an excellent day."
            call nwTown from nw_clothes_free_leave
        "Debug" if debugMenus:
            call debugMenu from nw_clothes_free_debug
    return



    # -------------------------------------------------------------------------
    # Local calls
    # -------------------------------------------------------------------------

    # Out of hours
    #
label .closed:
    $ world.setLoc('nwTown')
    "
    The shop appears to be closed at the moment.
    The lights are off, and the door shut.
    "
    if gt.hour < 8:
        "Checking the opening hours it looks like they don't open this early in the morning."
    if gt.dayOw == 6:
        "Checking the opening hours it looks like they don't open on a Sunday."
    return

    # Enter the shop.
    #
label .enter:
    if pc.gsize >= 11:
        "
        The door to the shop is a bit of a squeeze, and sets a bell ringing
        as you struggle through.
        Clothes are arranged along both walls and hung from central
        displays. There seems to be some of everything.
        "
    else:
        "
        A bell rings as you enter the shop.
        Clothes are arranged along both walls and hung from central
        displays. There seems to be some of everything.
        "
    if not alicia.isMet():
        alicia "Hi hun, I don't think we've met.
            I'm Alicia."
        pc "Hi Alicia, I'm [pc.name], and I've not been in town long.
            You're right, this is my first time in here."
        alicia "Welcome, feel free to have a look around."
        "
        The woman standing next to the counter is smartly dressed yet in
        a casual way that complements her darker skin tones.
        She's taller than you, but at 5'3\" most people are.
        What really draws your attention though is her smile.
        "
        $ alicia.meet()
    else:
        alicia "Hi hun, I hope you are having a beautiful day!"
        pc "It is rather nice out, isn't it Alicia."
        alicia "Rather a shame to be stuck in here."
    $ cost = 0
    return

    # Check for satorial emergency
    #
label .checkEmergency:
    $ dbgLogDet("nwClothes.checkEmergency")
    $ gsize = pc.gsize
    $ cost = 0
    if gt.isWeekend():
        if not pcClothes.hasAll(gsize, ckBra, ckPanties, ckJeans, ckTshirt):
            call .emergencyWeekend from nw_clothes_emerg_weekend
    else:
        if not pcClothes.hasAll(gsize, ckBra, ckPanties, ckJeans):
            call .emergencyWeekday from nw_clothes_emerg_weekday
    return

    # New weekday clothes needed!
    #
label .emergencyWeekday:
    $ dbgLogDet("nwClothes.emergencyWeekday")
    $ cost = 0
    call .emergencyFittingRoom from nw_clothes_emerg_weekday_fit
    call .emergencyBra from nw_clothes_emerg_weekday_bra
    call .emergencyPanties from nw_clothes_emerg_weekday_panties
    call .emergencyJeans from nw_clothes_emerg_weekday_jeans
    call .emergencyBill from nw_clothes_emerg_weekday_bill
    return

    # New weekday clothes needed!
    #
label .emergencyWeekend:
    $ dbgLogDet("nwClothes.emergencyWeekend")
    $ cost = 0
    call .emergencyFittingRoom from nw_clothes_emerg_weekend_fit
    call .emergencyBra from nw_clothes_emerg_weekend_bra
    call .emergencyPanties from nw_clothes_emerg_weekend_panties
    call .emergencyTshirt from nw_clothes_emerg_weekend_tshirt
    call .emergencyJeans from nw_clothes_emerg_weekend_jeans
    call .emergencyBill from nw_clothes_emerg_weekend_bill
    return

    # Go into fitting room.
    #
label .emergencyFittingRoom:
    $ dbgLogDet("nwClothes.emergencyFittingRoom")
    alicia "Right, let's get you into the fitting room before you burst a seam!"
    "
    Alicia quickly leads you into the fitting room at the back of the store.
    "
    if gsize >= 11:
        pc "My clothes are not {i}that{/i} bad.
            You could really use a larger fitting room though."
        alicia "I'm saying nothing. None of my other customers have a problem."
    elif gsize >= 9:
        pc "My clothes are not {i}that{/i} bad.
            It's a bit cramped in here though for the two of us."
        alicia "I suppose I could stand to lose a few pounds."
        if pc.isDietConsider():
            pc "Okay, point taken. You look just fine by the way."
        else:
            pc "And I could lose a hundred and still be bigger than you.
                Not going to happen though!"
    else:
        pc "My clothes are not {i}that{/i} bad."
    alicia "Right,
        lets get that top off and your jeans and we can see what we are dealing with."
    return

    # New bra?
    #
label .emergencyBra:
    $ dbgLogDet("nwClothes.emergencyBra")
    if pcClothes.has(gsize, ckBra):
        alicia "Your bra still looks like it fits.
            Got a bit of life left in that yet."
    else:
        alicia "You really are overflowing aren't you!
            Going to need a bigger bra for sure."
        call .braFit() from nw_clothes_emerg_bra
    return

    # New panties?
    #
label .emergencyPanties:
    $ dbgLogDet("nwClothes.emergencyPanties")
    if pcClothes.has(gsize, ckPanties):
        alicia "Those panties look like they still fit.
            Those will be fine for a while yet."
    else:
        alicia "These panties look more like a thong on you now!
            That's got to be uncomfortable."
        pc "It is a bit."
        call .pantiesFit from nw_clothes_emerg_panties
    return

    # New jeans?
    #
label .emergencyJeans:
    $ dbgLogDet("nwClothes.emergencyJeans")
    if pcClothes.has(gsize, ckJeans):
        alicia "Your jeans still look fine [pc.name].
            No need to replace them at the moment."
    else:
        alicia "These jeans look like they've been painted on!
            How did you even manage to get into them?"
        pc "It wasn't easy, a lot of tugging and wriggling!
            And some swearing."
        alicia "Definitely going to need a larger size."
        call .jeansFit() from nw_clothes_emerg_jeans
    return

    # New tshirt?
    #
label .emergencyTshirt:
    $ dbgLogDet("nwClothes.emergencyTshirt")
    if pcClothes.has(gsize, ckTshirt):
        alicia "At least your t-shirt fits."
    else:
        alicia "This t-shirt isn't really covering everything up any more is it?
            Your belly is peeking out."
        call .tshirtFit from nw_clothes_emerg_tshirt
    return

    # Bra fitting.
    # Use adj = 0 for an emergency fit.
    # Use adj = 1 to size up.
    #
label .braFit(adj=0):
    $ renpy.dynamic('asize', 'tsize', 'under', 'underNxt' 'over', 'cup', 'price')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ tsize = gsize + adj                               # Desired size
    $ under = chestSize(asize)                          # Current underbust measurement
    $ underNxt = chestSize(tsize)                       # Next underbust measurement
    $ over = int(round(under + 1 + asize))              # Current overbust measurement
    $ cup = cupSize(tsize)                              # Current cup size
    $ price = max(45, 5*int(round(tsize*120.0/55)))     # Price of desired size
    $ dbgLogDet("nwClothes.braFit({}): gsize={} asize={:0.2f} tsize={} under={} underNxt={} over={} cup={} price={}".format(adj, gsize, asize, tsize, under, underNxt, over, cup, price))
    if dayFlags.isOnce('aliciaBust'):
        if gsize < 7:
            alicia "Okay, I'm going to need you to take your bra off,
                and lean forward a bit."
        else:
            alicia "Okay, I'm going to need you to take your bra off,
                and lean forward a bit.
                If it helps, hold on to the back of that chair."
        "
        Alicia measures you around the chest, and then around your chest
        and breasts.
        "
    else:
        alicia "I already measured your chest and bust today,
            and I remember what they were."
    if tsize == 12:
        alicia "So your underbust is [under] inches,
            and your overbust is [over].
            That means you probably looking at a [underNxt][cup].
            I'm afraid I don't have anything
            that big. I could try to special order something?"
        pc "That sounds very expensive, I'll wait until I need to."
        alicia "Okay, but don't leave it to the last minute.
            They take a while to arrive."
        return
    elif tsize >= 9:
        alicia "So your underbust is [under] inches,
            and your overbust is [over].
            That means you probably need a [underNxt][cup].
            These more unusual sizes are a bit more expensive,
            so it will come to \$[price] I'm afraid and there's
            not much choice.
            Black again?"
        pc "I like black. Let me see what options I've got."
        alicia "There were only two that might fit."
        pc "Just two? These both look rather, what's a good word? Industrial."
        $ tmp = "sixteen"
        if tsize == 10:
            $ tmp = "twenty"
        elif tsize == 11:
            $ tmp = "twenty four"
        alicia "There's more engineering than design to these for sure.
            But they have to support [tmp] pounds of breast tissue."
        if pc.isDietConsider():
            pc "I guess. That is a lot. I think I prefer the bra on the left."
            $ prompt = "Just my breasts now weigh [tmp] pounds."
            if adj == 1:
                $ prompt = "Just my breasts might soon weigh [tmp] pounds."
            call pcDiet.thinkPrompt from nw_clothes_bra_fit
        else:
            if adj == 0:
                pc "My girls are that heavy? I'll have to keep feeding them!
                    I think I prefer the bra in your right hand."
            else:
                pc "My girls might get that heavy? I'll have to keep feeding them!
                    I think I prefer the bra in your right hand."
    elif tsize >= 5:
        alicia "So your underbust is [under] inches,
            and your overbust is [over].
            That means you probably need a [underNxt][cup].
            These bigger sizes are a bit more expensive,
            so it will come to \$[price] I'm afraid.
            I'll get you some to try.
            Black again?"
        pc "I like black. Whatever you've got thats feminine in that size."
        "
        Alicia brings back a selection,
        and you pick the one you think is best.
        "
    else:
        alicia "So your underbust is [under] inches,
            and your overbust is [over].
            That means you probably need a [underNxt][cup].
            I'll get you some to try. They're all around \$[price].
            Black again?"
        pc "I like black. Something delicate and pretty."
        "
        Alicia brings back quite a selection,
        and it takes some time time find your favourite.
        "

    if adj == 1:
        if pc.canAfford(price, cost):
            $ prompt = addMenuAlt("Buy a {}{} bra for ${}?".format(underNxt, cup, price))
            menu:
                "[prompt]"
                "Yes":
                    if pc.isDietConsider():
                        pc "I'll take it, just in case Alicia."
                    else:
                        pc "I'll take it, probably going to need them before long."
                "No":
                    pc "Sorry to trouble you Alicia, but I'll wait for now."
                    if pc.isDietConsider():
                        alicia "Okay hun."
                    else:
                        alicia "Don't leave it too long hun."
                    return
        else:
            pc "Sorry to be a bother Alicia, but I can't afford that now."
            return
    else:
        pc "I'll take it, I kinda have to!"
    $ pcClothes.buy(ckBra, tsize)
    $ cost += price
    if adj == 0:
        pc "I'll keep it on now if you don't mind?"
        alicia "You'll feel a lot more comfortable if you do."
    return

    # Jeans fitting.
    # Use adj = 0 for an emergency fit.
    # Use adj = 1 to size up.
    #
label .jeansFit(adj=0):
    $ renpy.dynamic('asize', 'tsize', 'waist', 'hip', 'dress', 'price')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ tsize = gsize + adj                               # Desired size
    $ waist = waistSize(asize)                          # Current waist measurement
    $ hips = hipSize(asize)                             # Current hip measurement
    $ dress = dressSize(tsize)                          # Desired dress size
    $ letters = letterSizeB(tsize)                      # Letter sizing
    $ aletters = aan(letters, True)                     # a/an letter size
    $ price = max(45, 5*int(round(tsize*90.0/55)))      # Price of desired size
    $ dbgLogDet("nwClothes.jeansFit({}): gsize={} asize={:0.2f} tsize={} waist={} hips={} dress={} letters={} price={}".format(adj, gsize, asize, tsize, waist, hips, dress, letters, price))
    if dayFlags.isOnce('aliciaWaist'):
        if gsize >= 9:
            "
            Alicia takes out her tape and measures you around the waist,
            and then around the fullest part of your hips.
            "
            alicia "I'm going to have to find my longer tape measure hun.
                You're more than six feet around!"
            if pc.isDietConsider():
                if gsize == 9:
                    pc "Really? That's not good."
                    alicia "It's, how to put this, unusual.
                        But somehow you make it look good."
                    pc "Thank you Alicia. I don't feel good though."
                    $ pc.addLim(0.7)
                    if not pd.diet:
                        $ prompt = "I'm too big for a regular tape measure to go around my hips."
                        call pcDiet.thinkPrompt from nw_clothes_jeans_fit
                else:
                    pc "I've gotten really wide haven't I?"
                    alicia "It's, how to put this, unusual.
                        But somehow you make it look good."
                    pc "Thank you Alicia. I don't feel good though. It's too much."
                    $ pc.addLim(1)
            else:
                if gsize == 11:
                    if pc.isWrHips():
                        $ hips = max(104, pcHipsCircIn())
                        $ tmp = cardinal(hips - 97)
                        $ dress = "36 or more"
                        if flags.isOnce('wrHips'):
                            $ counters.set('wrHipsSeq', 1)
                        alicia "Oh my goodness [pc.name]!
                            I think I remember an \"article\" in one of
                            the tabloids about the woman who has the world's
                            biggest hips. Yours are bigger, like [tmp] inches bigger!"
                        pc "Fuck! Really? I'm that much bigger than her?"
                        alicia "Yep. Looks like you are. Damn hun,
                            you are [waist] inches around the waist,
                            and a record-breaking [hips] at the hips."
                        pc "Wow."
                        alicia "You do realise no one has {i}ever{/i} had to make jeans
                            this big before? They'd need to be custom made
                            and I don't even know where to start with that."
                        pc "Oh. That sounds very expensive."
                        alicia "It won't be cheap, that's for sure."
                        return
                    else:
                        $ hips = min(102, hips)
                pc "These hips don't lie!"
                alicia "It can't be easy being that wide though."
                pc "They do sometimes knock things over, but I like them."
        else:
            "
            Alicia takes out her tape and measures you around the waist,
            and then around the fullest part of your hips.
            "
    else:
        alicia "I already measured your hips and waist today,
            and I'm pretty sure I can remember them."
    if tsize == 12:
        alicia "So you are [waist] inches around the waist, and
            an impressive [hips] at the hips hun.
            You'd need a size [waist]/28 or [aletters] and I'm afraid I don't have anything
            that big. I could try to special order something?"
        pc "That sounds very expensive, I'll wait until I need to."
        alicia "Okay, but don't leave it to the last minute.
            It could take some time."
        return
    elif tsize >= 9:
        alicia "So you are [waist] inches around the waist,
            and an impressive [hips] at the hips hun.
            You'd need a size [waist]/28 or [aletters] with a extra curvy fit.
            These bigger sizes are a bit more expensive,
            so it will come to \$[price] I'm afraid."
        if waist == 56:
            pc "Wait, my waist is twice as big around as my leg is long?"
            alicia "You are getting pretty round hun."
    elif tsize >= 7:
        alicia "So you are [waist] inches around the waist, and [hips] at the hips hun.
            You'd need a size [waist]/28 or [aletters] with a curvy fit.
            These bigger sizes are a bit more expensive,
            so it will come to \$[price] I'm afraid."
    else:
        alicia "So you are [waist] inches around the waist, and [hips] at the hips hun.
            You'd need a size [waist]/28 or [aletters].
            That's going to cost \$[price] I'm afraid."
    if adj == 1:
        if pc.canAfford(price, cost):
            $ prompt = addMenuAlt("Buy some size {}/28 jeans for ${}?".format(letters, price))
            menu:
                "[prompt]"
                "Yes":
                    if pc.isDietConsider():
                        pc "I'll take them, just in case Alicia."
                    else:
                        pc "I'll take them, probably going to need them before long."
                "No":
                    pc "Sorry to trouble you Alicia, but I'll wait for now."
                    if pc.isDietConsider():
                        alicia "Okay hun."
                    else:
                        alicia "Don't leave it too long hun."
                    return
        else:
            pc "Sorry to be a bother Alicia, but I can't afford that now."
            return
    else:
        pc "I'll take them, I kinda have to!"
    $ pcClothes.buy(ckJeans, tsize)
    $ cost += price
    if adj == 0:
        pc "I'll put them on now if you don't mind?"
        alicia "It will be easier than getting you back into your old ones!"
        pc "Yes, that did take a while this morning."
    return

    # Panties fitting.
    # Use adj = 0 for an emergency fit.
    # Use adj = 1 to size up.
    #
label .pantiesFit(adj=0):
    $ renpy.dynamic('asize', 'tsize', 'waist', 'hip', 'letters', 'price')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ tsize = gsize + adj                               # Desired size
    $ waist = waistSize(asize)                          # Current waist measurement
    $ hips = hipSize(asize)                             # Current hip measurement
    $ whr = waist * 1.0 / hips                          # Waist to hip ratio
    $ letters = letterSizeB(tsize)                      # Desired dress size
    $ aletters = aan(letters, True)                     # A/an letter size
    $ price = max(20, 5*int(round(tsize*35.0/55)))      # Price of desired size
    $ dbgLogDet("nwClothes.pantiesFit({}): gsize={} asize={:0.2f} tsize={} waist={} hips={} whr={:0.2f} letters={} price={}".format(adj, gsize, asize, tsize, waist, hips, whr, letters, price))
    if dayFlags.isOnce('aliciaWaist'):
        alicia "This should be nice and simple, I just need to check your size."
        "
        Alicia takes out her tape and measures you around the waist,
        and then around the fullest part of your hips.
        "
        if gsize >= 9:
            alicia "I'm going to have to find my longer tape measure hun.
                You're more than six feet around! Sorry it might be a bit cold
                as it hasn't been in my pocket."
            if pc.isDietConsider():
                if gsize == 9:
                    pc "Really? That's not good."
                    alicia "A low hip to waist ratio is supposed to be good for
                        health and fertility. And yours would be [whr:0.2f],
                        which is pretty amazing, and some say sexy."
                    pc "Thank you Alicia for trying to cheer me up."
                    $ pc.addLim(0.7)
                    if not pc.isDiet():
                        $ prompt = "I'm too big for a regular tape measure to go around my hips."
                        call pcDiet.thinkPrompt from nw_clothes_panties_fit
                else:
                    pc "I've gotten really wide haven't I?"
                    alicia "A low hip to waist ratio is supposed to be good for
                        health and fertility. And yours would be [whr:0.2f],
                        which is pretty amazing, and some say sexy."
                    pc "Thank you Alicia for trying to cheer me up."
                    $ pc.addLim(1)
            else:
                pc "These hips are one of my best features! Oooh, that is cold."
                alicia "If you could keep still, it would help."
                pc "I'm naturally jiggly."
                alicia "I've lost the other end. If you could hold that there
                    while I go around again."
                pc "Okay. You'll get your steps in measuring these thunder thighs."
                alicia "Damn hun."
                pc "Really? How big am I, I can't see."
                if gsize == 11:
                    if pc.isWrHips():
                        $ hips = max(104, pcHipsCircIn())
                        $ tmp = cardinal(hips - 97)
                        $ letters = "7X or bigger"
                        if flags.isOnce('wrHips'):
                            $ counters.set('wrHipsSeq', 1)
                        alicia "Well, I think I remember an \"article\" in one of
                            the tabloids about the woman who has the world's
                            biggest hips. Yours are bigger, like [tmp] inches bigger!"
                        pc "Fuck! Really? I'm that much bigger than her?"
                        alicia "Yes, you are.
                            Damn hun, no wonder you had trouble with the door!"
                        pc "So, just how wide am I?"
                        alicia "Let's see. Stand with one hip against the wall
                            and I'll put the back of the chair against the other,
                            then we can measure the gap."
                        pc "Okay. I guess that will work."
                        $ tmp = feetAndInches(pcHipsWidthIn())
                        alicia "That's [tmp].
                            Over a metre!
                            Doors are only three foot wide hun."
                        pc "It's a good job I'm soft and squishy then."
                    else:
                        $ hips = min(102, hips)
                else:
                    alicia "Well you're certainly the biggest hipped girl I've had in here!"
    else:
        alicia "I already measured you earlier, so there's no need to do that again."
    if tsize == 12:
        alicia "So you are [waist] inches around the waist,
            and an impressive [hips] at the hips hun.
            You'd need [aletters] size and I'm afraid I don't have anything
            that big. I could try to special order something?"
        pc "That sounds very expensive, I'll wait until I need to."
        alicia "Okay, but don't leave it to the last minute.
            It could take some time."
        return
    elif tsize >= 8:
        alicia "So you are [waist] inches around the waist,
            and an impressive [hips] at the hips hun.
            You'd need [aletters] size in a style that goes above those hips.
            These bigger sizes are a bit more expensive,
            so it will come to \$[price] I'm afraid."
    else:
        alicia "So you are [waist] inches around the waist, and [hips] at the hips hun.
            You'd need a size [letters]. That's going to cost \$[price] I'm afraid."
    if adj == 1:
        if pc.canAfford(price, cost):
            $ prompt = addMenuAlt("Buy some {} panties for ${}?".format(letters, price))
            menu:
                "[prompt]"
                "Yes":
                    if pc.isDietConsider():
                        pc "I'll take them, just in case Alicia."
                    else:
                        pc "I'll take them, probably going to need them before long."
                "No":
                    pc "Sorry to trouble you Alicia, but I'll wait for now."
                    if pc.isDietConsider():
                        alicia "Okay hun."
                    else:
                        alicia "Don't leave it too long hun."
                    return
        else:
            pc "Sorry to be a bother Alicia, but I can't afford that now."
            return
    else:
        pc "I'll take them, I kinda have to!"
    $ pcClothes.buy(ckPanties, tsize)
    $ cost += price
    if adj == 0:
        pc "I'll put them on now if you don't mind?"
        alicia "Not a problem, I'll just step out for you."
    return

    # Swimsuit fitting.
    # Use adj = 0 for a first fit.
    # Use adj = 1 to size up.
    #
label .swimsuitFit(adj=0):
    $ renpy.dynamic('asize', 'tsize', 'letters', 'lettersp', 'price')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ tsize = gsize + adj                               # Desired size
    $ letters = letterSizeT(tsize)                      # Desired swimsuit size
    $ lettersp = letterSizeT(tsize+1)                   # Desired plus swimsuit size
    $ aletters = aan(letters, True)                     # A/an letters
    $ alettersp = aan(lettersp, True)                   # A/an lettersp
    $ price = max(45, 5*int(round(tsize*85.0/55)))      # Price of desired size
    $ dbgLogDet("nwClothes.swimsuitFit({}): gsize={} asize={:0.2f} tsize={} letters={} lettersp={} price={}".format(adj, gsize, asize, tsize, letters, lettersp, price))
    "
    Alicia just looks you up and down thoughtfully.
    "
    if tsize == 12:
        alicia "You're going to need ... a 6X, maybe even an 7X in swimwear
            with those hips, and I just don't carry anything that big.
            I could try to special order something?"
        pc "That sounds very expensive, I'll wait until I need to."
        alicia "Okay, but don't leave it to the last minute.
            It could take some time."
        return
    elif tsize >= 7:
        alicia "You're going to need ... [aletters] in swimwear."
        pc "Even with how curvy I'm getting?"
        alicia "That's the wonder power of Lycra!
            Worst case you might need [alettersp] in some styles that cover
            more of those hips. These tend to run about \$[price].
            Usual thing with bigger sizes costing more."
    else:
        alicia "You're going to need ... [aletters] in swimwear.
            There's plenty of choice,
            and they're around \$[price]."
    pc "Well, that was easy. No measurements?"
    alicia "No, I'm a pretty good judge after all these years.
        I get swimwear sizes right all the time."
    if gsize >= 4:
        if pc.isDietConsider():
            pc "Do you think I can still wear a bikini? I feel really big these days."
            alicia "Of course you can.
                The whole point of a bikini is to expose as much flesh as possible
                so you get an almost all over tan."
            pc "Yeah, but this is rather more flesh than I'd like."
            alicia "So? If you're having a good time, and enjoying yourself,
                you won't care. Flaunt those curves!"
            pc "Thank you Alicia."
            $ pc.addLim(0.5)
        else:
            pc "I can still rock a bikini can't I?"
            alicia "You just answered your own question. Of course you can!"
    "You browse for something that catches your eye in the right size."
    if pc.canAfford(price, cost):
        $ prompt = addMenuAlt("Buy some {} swimwear for ${}?".format(letters, price))
        menu:
            "[prompt]"
            "Yes":
                if adj == 0:
                    pc "I'll take this one Alicia."
                elif pc.isDietConsider():
                    pc "I'll take this one, just in case Alicia."
                else:
                    pc "I'll take this one, probably going to need them before long."
            "No":
                pc "Sorry to trouble you Alicia, but I'll wait for now."
                if pc.isDietConsider():
                    alicia "Okay hun."
                else:
                    alicia "Don't leave it too long hun."
                return
    else:
        pc "Sorry to be a bother Alicia, but I can't afford that now."
        return
    $ pcClothes.buy(ckSwimsuit, tsize)
    $ cost += price
    return

    # T-shirt fitting.
    # Use adj = 0 for an emergency fit.
    # Use adj = 1 to size up.
    #
label .tshirtFit(adj=0):
    $ renpy.dynamic('asize', 'tsize', 'under', 'underNxt', 'letters', 'price')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ tsize = gsize + adj                               # Desired size
    $ under = chestSize(asize)                          # Current underbust measurement
    $ underNxt = chestSize(tsize)                       # Next underbust measurement
    $ letters = letterSizeT(tsize)                      # Desired t-shirt size
    $ price = max(15, 5*int(round(tsize*20.0/55)))      # Price of desired size
    $ dbgLogDet("nwClothes.tshirtFit({}): gsize={} asize={:0.2f} tsize={} under={} underNxt={} letters={} price={}".format(adj, gsize, asize, tsize, under, underNxt, letters, price))
    "
    Alicia just looks you up and down thoughtfully.
    "
    if tsize == 12:
        alicia "You're going to need ... a size [letters] in a t-shirt,
            but I'm afraid I don't carry any that big.
            I could try to special order something?"
        pc "That sounds very expensive, I'll wait until I need to."
        alicia "Okay, but don't leave it to the last minute.
            It could take some time."
        return
    elif gsize >= 8:
        alicia "You're going to need ... a size [letters] in a t-shirt."
        pc "Even with these puppies stuffed inside?"
        alicia "Yep, even with those. The larger sizes tend to run a bit big.
            Worst case you take the next one up. There's plenty of choice,
            and they're around \$[price]."
    else:
        alicia "You're going to need ... a size [letters] in a t-shirt.
            There's plenty of choice,
            and they're around \$[price]."
    pc "Well, that was easy. No measurements?"
    alicia "No, I'm a pretty good judge after all these years.
        Bras and jeans I do measure, I'm not that good, but
        I get t-shirt sizes right almost all of the time."
    "You browse for something you'd like in the right size."
    if adj == 1:
        if pc.canAfford(price, cost):
            $ prompt = addMenuAlt("Buy a {} t-shirt for ${}?".format(letters, price))
            menu:
                "[prompt]"
                "Yes":
                    if pc.isDietConsider():
                        pc "I'll take this one, just in case Alicia."
                    else:
                        pc "I'll take this one, probably going to need them before long."
                "No":
                    pc "Sorry to trouble you Alicia, but I'll wait for now."
                    if pc.isDietConsider():
                        alicia "Okay hun."
                    else:
                        alicia "Don't leave it too long hun."
                    return
        else:
            pc "Sorry to be a bother Alicia, but I can't afford that now."
            return
    else:
        pc "I'll take this one, I kinda have to!"
    $ pcClothes.buy(ckTshirt, tsize)
    $ cost += price
    if adj == 0:
        pc "I'll wear it out if you don't mind?"
        alicia "Go ahead hun."
    return

    # PC just wants to be measured.
    #
label .justMeasure:
    $ renpy.dynamic('asize', 'under', 'over', 'cup', 'waist', 'hip', 'letters', 'whr', 'jeansFit')
    $ asize = gsize + sizeProgress(pc.getMass(), gsize)/100.0 # Fractional gsize
    $ under = chestSize(asize)                          # Current underbust measurement
    $ over = int(round(under + 1 + asize))              # Current overbust measurement
    $ cup = cupSize(gsize)                              # Current cup size
    $ waist = waistSize(asize)                          # Current waist measurement
    $ hips = hipSize(asize)                             # Current hip measurement
    $ whr = waist * 1.0 / hips                          # Waist to hip ratio
    $ letters = letterSizeB(gsize)                      # Desired letter size
    $ aletters = aan(letters, True)                     # A/an letter size
    $ dress = dressSize(gsize)                          # Desired dress size
    $ jeansFit = ""                                     # Jeans fit
    $ dbgLogDet("nwClothes.justMeasure(): gsize={} asize={:0.2f} under={} over={} cup={} waist={} hips={} letters={} dress={}".format(gsize, asize, under, over, cup, waist, hips, letters, dress))

    if gsize < 7:
        alicia "Okay, I'm going to need you to take your bra off,
            and lean forward a bit."
    else:
        alicia "Okay, I'm going to need you to take your bra off,
            and lean forward a bit.
            If it helps, hold on to the back of that chair."
    "
    Alicia measures you around the chest, and then around your chest
    and breasts. Then she gets you to stand up and she measures
    around the waist and around the fullest part of your hips.
    "
    if gsize >= 9:
        alicia "I'm going to have to find my longer tape measure hun.
            You're more than six feet around! Sorry it might be a bit cold
            as it hasn't been in my pocket."
        $ jeansFit = " in an extra curvy fit"
        if pc.isDietConsider():
            if gsize == 9:
                pc "Really? That's not good."
                alicia "A low hip to waist ratio is supposed to be good for
                    health and fertility. And yours would be [whr:0.2f],
                    which is pretty amazing, and some say sexy."
                pc "Thank you Alicia for trying to cheer me up."
                $ pc.addLim(0.7)
                if not pc.isDiet():
                    $ prompt = "I'm too big for a regular tape measure to go around my hips."
                    call pcDiet.thinkPrompt  from nw_clothes_measure_fit
            else:
                pc "I've gotten really wide haven't I?"
                alicia "A low hip to waist ratio is supposed to be good for
                    health and fertility. And yours would be [whr:0.2f],
                    which is pretty amazing, and some say sexy."
                pc "Thank you Alicia for trying to cheer me up."
                $ pc.addLim(1)
        else:
            pc "These hips are one of my best features! Oooh, that is cold."
            alicia "If you could keep still, it would help."
            pc "I'm naturally jiggly."
            alicia "I've lost the other end. If you could hold that there
                while I go around again."
            pc "Okay. You'll get your steps in measuring these thunder thighs."
            alicia "Damn hun."
            pc "Really? How big am I, I can't see."
        if gsize == 11:
            if pc.isWrHips():
                $ hips = max(104, pcHipsCircIn())
                $ tmp = cardinal(hips - 97)
                $ letters = "7X or bigger"
                if flags.isOnce('wrHips'):
                    $ counters.set('wrHipsSeq', 1)
                alicia "Well, I think I remember an \"article\" in one of
                    the tabloids about the woman who has the world's
                    biggest hips. Yours are bigger, like [tmp] inches bigger!"
                pc "Fuck! Really? I'm that much bigger than her?"
                alicia "Yes, you are.
                    Damn hun, no wonder you had trouble with the door!"
                pc "So, just how wide am I?"
                alicia "Let's see. Stand with one hip against the wall
                    and I'll put the back of the chair against the other,
                    then we can measure the gap."
                pc "Okay. I guess that will work."
                $ tmp = feetAndInches(pcHipsWidthIn())
                alicia "That's [tmp].
                    Over a metre!
                    Doors are only three foot wide hun."
                pc "It's a good job I'm soft and squishy then."
            else:
                $ hips = min(102, hips)
        else:
            alicia "Well you're certainly the biggest hipped girl I've had in here!"
    elif gsize >= 7:
        $ jeansFit = " in a curvy fit"
    if hips >= 104:
        alicia "So your underbust is [under] inches, and your overbust is [over].
            That means you probably looking at a [under][cup] bra and dress size [dress]."
        alicia "You are [waist] inches around the waist,
            and those record-breaking hips are [hips] around hun.
            No one makes anything that big!"
    elif gsize >= 8:
        alicia "So your underbust is [under] inches, and your overbust is [over].
            That means you probably looking at a [under][cup] bra and dress size [dress].
            You are [waist] inches around the waist, and an impressive [hips] at the hips hun,
            so a size [waist]/28 or [aletters][jeansFit]."
    else:
        alicia "So your underbust is [under] inches, and your overbust is [over].
            That means you probably looking at a [under][cup] bra and dress size [dress].
            You are [waist] inches around the waist, and [hips] at the hips hun,
            so a size [waist]/28 or [aletters][jeansFit]."
    if pc.isDietConsider():
        pc "Thank you. That's not good news, but I needed to know."
        alicia "It's okay hun. Look after yourself, okay?"
    elif pc.isDiet():
        pc "Thank you. I was hoping I'd be smaller."
        alicia "It's okay hun. As I said, it takes a while.
            Look after yourself, okay?"
    else:
        pc "Thank you Alicia, that's what I wanted to hear."
        if gsize > 2:
            alicia "Okay, just don't get too carried away hun."
    return

    # Emergency clothing bill
    #
label .emergencyBill:
    $ dbgLogDet("nwClothes.emergencyBill")
    "
    Alicia leaves you to pick up your old things.
    When you come out of the changing room she's busy at the register.
    "
    alicia "I'm afraid fixing this little disaster is going to cost \$[cost] hun."
    if not pc.canAfford(10):
        pc "Ouch, I don't have anything like that!"
        "
        Alicia gives you a look. That's only fair in the circumstances.
        "
        if aliciaTab > 0:
            $ aliciaTab += cost
            alicia "Right, I'll have to add this to your tab
                which would bring it to \$[aliciaTab]."
            alicia "You really ought to think about spending less on food
                and pay off your debts."
            $ prompt = "I owe Alicia \$[aliciaTab], so I need to save money and not grow out of these clothes."
            call pcDiet.thinkPrompt from nw_clothes_emerg_bill_tab
            if pc.isDiet():
                pc "You're right Alicia, I'm going to diet and get you your money.
                    I'm so sorry."
            else:
                pc "I'm so sorry. I'll pay you back as soon as I can."
        else:
            $ aliciaTab += cost
            alicia "[pc.name], this was a bit of an emergency
                so I'll put it on a tab for now.
                I'll need you to pay it off as soon as you can though."
    elif pc.canAfford(cost+10):
        pc "It has to be done."
        $ pc.spend(cost)
        alicia "Thank you."
    else:
        $ tmp = 5 * int(round((pc.money + 6)/10))
        pc "Ouch, I don't have enough to cover that."
        "
        Alicia gives you a look. That's only fair in the circumstances.
        "
        alicia "[pc.name], this was a bit of an emergency, what do you have?"
        pc "I can afford \$[tmp] right now?"
        $ cost -= tmp
        if aliciaTab > 0:
            $ aliciaTab += cost
            alicia "Right, give me what you can, and I'll put the remainder
                of [cost] on your tab which would bring it to \$[aliciaTab]."
            alicia "You really ought to think about spending less on food
                and pay off your debts."
            $ prompt = "I owe Alicia \$[aliciaTab], so I need to save money and not grow out of these clothes."
            call pcDiet.thinkPrompt  from nw_clothes_emerg_bill_part
            if pc.isDiet():
                pc "You're right Alicia, I'm going to diet and get you your money.
                    I'm so sorry."
            else:
                pc "I'm so sorry. I'll pay you back as soon as I can."
        else:
            alicia "Right, give me what you can, and I'll put the remainder
                of \$[cost] on a tab for you.
                I'll need you to pay it off as soon as you can though."
            $ aliciaTab += cost
        $ pc.spend(tmp)
    $ cost = 0
    return

    # Bring up owed money.
    #
label .checkTab:
    $ dbgLogDet("nwClothes.checkTab")
    if aliciaTab == 0:
        return

    alicia "[pc.name], hun. Can we talk about your tab?"
    if pc.canAfford(aliciaTab):
        pc "Sure, I can settle it now if that would help?"
        alicia "It would be a weight off my mind dear."
        pc "Here you go, \$[aliciaTab], I think that's everything I owe you."
        $ pc.spend(aliciaTab)
        $ aliciaTab = 0
        alicia "Thank you so much! That does clear it."
        "
        Alicia puts the notes in the register,
        then steps around the counter to give you a hug.
        "
    elif not pc.canAfford(10):
        pc "I'm so sorry Alicia, I don't have anything I can give you."
        alicia "Maybe next time?"
        pc "I'm doing my level best."
    else:
        $ tmp = 5 * int(round((pc.money + 6)/10))
        pc "I can afford \$[tmp] right now. Does that help?"
        $ pc.spend(tmp)
        $ aliciaTab -= tmp;
        alicia "Every little helps, thank you. Just \$[aliciaTab] left now."
    return

    # Looking at bras.
    #
label .lookBra:
    $ dbgLogDet("nwClothes.lookBra")
    $ renpy.dynamic('prog', 'fitTxt')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ fitTxt = fitDesc(prog)
    "
    You wonder over to the display of bras of all kinds and colours.
    Delicate, lacy, and flattering.
    After a while Alicia walks over.
    "
    alicia "Anything I can do to help you choose?"
    $ prompt = "What should I tell her?"
    $ prompt += " My current bra is " + fitTxt
    if pcClothes.has(gsize+1, ckBra):
        $ prompt += ", but I already have a bigger one."
    else:
        $ prompt += ". I don't have anything bigger though."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Just looking":
            pc "They're all so beautiful. You've got good taste."
            alicia "Thank you hun."
            if gsize >= 9:
                pc "It's a shame none of them would fit me anymore."
                alicia "That's the unfortunate price to pay for being so
                    heavily endowed."
            elif gsize >= 4:
                pc "Of course all the ones I really like don't come in my size."
                alicia "I know, it's really hard to source really pretty ones
                    for bustier girls."
        "Thinking about getting a bigger size" if not pcClothes.has(gsize+1, ckBra):
            if pc.isDietConsider():
                pc "I'm just wondering about getting a bigger size, just in case.
                    My current bra is [fitTxt], and I don't want to get any bigger,
                    but ..."
            else:
                pc "I'm just wondering about getting a bigger size.
                    My current bra is [fitTxt].
                    I just keep getting bigger though."
            alicia "I understand. Care to step into the fitting room?"
            call .fittingRoom from nw_clothes_look_bra_fit
            call .braFit(1) from nw_clothes_look_bra
    return

    # Looking at jeans.
    #
label .lookJeans:
    $ dbgLogDet("nwClothes.lookJeans")
    $ renpy.dynamic('prog', 'fitTxt')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ fitTxt = fitDesc(prog)
    "
    You head over to the display of jeans of all styles and colours.
    After a while Alicia walks over.
    "
    alicia "Anything I can do to help you choose?"
    $ prompt = "What should I tell her?"
    $ prompt += " My current pair of jeans are " + fitTxt
    if pcClothes.has(gsize+1, ckJeans):
        $ prompt += ", but I already have a bigger pair."
    else:
        $ prompt += ". I don't have anything bigger though."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Just looking":
            pc "I just like jeans Alicia.
                So many styles these days and it looks like you've got them all."
            alicia "I do my best.
                I don't really like the fatigued and ripped ones for myself though
                even though they are trendy."
            pc "Me neither!
                My jeans had a hard life when I was travelling,
                and they'd all end up going at the knees or torn anyway."
            if gsize >= 4:
                pc "These days though they seem to wear between my thighs."
                alicia "You're growing up [pc.name].
                    Kids jeans go at the knees.
                    For us women they wear most along the inseam."
                if pc.isDietConsider():
                    pc "I've got fat thighs now haven't I.
                        It's the constant rubbing that wears them out."
                else:
                    pc "Yep, even the heaviest denim doesn't stand a chance against these thighs!"
        "Thinking about getting a bigger size" if not pcClothes.has(gsize+1, ckJeans):
            if pc.isDietConsider():
                pc "I'm just wondering about getting a bigger pair, just in case.
                    My current pair are [fitTxt], and I don't want to get any bigger,
                    but ..."
            else:
                pc "I'm just wondering about getting a bigger pair.
                    My current pair are [fitTxt].
                    I just keep getting bigger though."
            alicia "I understand. Care to step into the fitting room?"
            call .fittingRoom from nw_clothes_look_jeans_fit
            call .jeansFit(1) from nw_clothes_look_jeans
    return

    # Looking at panties.
    #
label .lookPanties:
    $ dbgLogDet("nwClothes.lookPanties")
    $ renpy.dynamic('prog', 'fitTxt')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ fitTxt = fitDesc(prog)
    "
    You head over to the display of delicate lacy underwear,
    and, yes, some more substantial items.
    After a while Alicia walks over.
    "
    alicia "Anything I can do to help you choose?"
    $ prompt = "What should I tell her?"
    $ prompt += " My current pair of panties are " + fitTxt
    if pcClothes.has(gsize+1, ckPanties):
        $ prompt += ", but I already have a bigger pair."
    else:
        $ prompt += ". I don't have anything bigger though."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Just looking":
            pc "They're all so beautiful. It's quite the selection."
            alicia "Thank you hun."
            if gsize >= 6:
                pc "I just wish there was more choice in the bigger sizes.
                    Ones that look more feminie."
                alicia "I'm sure the manufacturers will get with the program
                    soon, now that having a big booty is in."
        "Thinking about getting a bigger size" if not pcClothes.has(gsize+1, ckPanties):
            if pc.isDietConsider():
                pc "I'm just wondering about getting a bigger pair, just in case.
                    My current pair are [fitTxt], and I don't want to get any bigger,
                    but ..."
            else:
                pc "I'm just wondering about getting a bigger pair.
                    My current pair are [fitTxt].
                    I just keep getting bigger though."
            alicia "I understand. Care to step into the fitting room?"
            call .fittingRoom from nw_clothes_look_panties_fit
            call .pantiesFit(1) from nw_clothes_look_panties
    return

    # Looking at swimwear.
    #
label .lookSwimwear:
    $ dbgLogDet("nwClothes.lookSwimwear")
    $ renpy.dynamic('any', 'small', 'sizeup', 'prog', 'fitTxt')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ any = pcClothes.any(ckSwimsuit)
    $ small = any and not pcClothes.has(gsize, ckSwimsuit)
    $ sizeup = any and not small and not pcClothes.has(gsize+1, ckSwimsuit)
    $ fitTxt = fitDesc(prog)
    $ dbgLogDet("nwClothes.lookSwimwear: any={} small={} sizeup={} fitTxt={}".format(any, small, sizeup, fitTxt))
    "
    You head over to the display of swimwear:
    bikinis, halter-wraps, drawstrings, skirt-shorts, and onepieces.
    There are also beach dresses and sarongs.
    They range from the flamboyantly colourful to trusty black.
    After a while Alicia walks over.
    "
    alicia "Anything I can do to help you choose?"
    $ prompt = "What should I tell her?"
    if not any:
        $ prompt += " I don't actually own any swimwear."
    else:
        $ prompt += " My current swimsuit is "
        if small:
            $ prompt += "too small."
        else:
            $ prompt += fitTxt
            if sizeup:
                $ prompt += ". I don't have anything bigger though."
            else:
                $ prompt += ", but I already have a bigger one."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Just looking":
            pc "They're all so beautiful. It's quite the selection."
            alicia "Thank you hun. I'm sure you'd look stunning in one."
        "I'd like to get some swimwear" if not any:
            pc "I'd like to get some swimwear. I don't have any."
            alicia "None at all?
                What have you been doing when you want to swim
                or sunbathe? Have you been skinny dipping?
                Naughty girl."
            pc "No! Well, occasionally. But there's not a lot of opportunity
                to relax when you are living hand to mouth on the road."
            alicia "Care to step into the fitting room?"
            call .fittingRoom from nw_clothes_look_swim_first_fit
            call .swimsuitFit(0) from nw_clothes_look_swim_first
        "I need some bigger swimwear" if small:
            pc "I've got some swimwear, but I think it's shrunk."
            alicia "Shrunk you say? Uh-huh.
                Care to step into the fitting room and we can solve this mystery."
            call .fittingRoom from nw_clothes_look_swim_big_fit
            call .swimsuitFit(0) from nw_clothes_look_swim_big
        "Thinking about getting a bigger size" if sizeup:
            if pc.isDietConsider():
                pc "I'm just wondering about getting a bigger set, just in case.
                    My current ones are [fitTxt], and I don't want to get any bigger,
                    but ..."
            else:
                pc "I'm just wondering about getting a bigger set.
                    My current ones are [fitTxt].
                    I just keep getting bigger though."
            alicia "I understand. Care to step into the fitting room?"
            call .fittingRoom from nw_clothes_look_swim_prep_fit
            call .swimsuitFit(1) from nw_clothes_look_swim_prep
    return

    # Looking at tshirts.
    #
label .lookTshirt:
    $ dbgLogDet("nwClothes.lookTshirt")
    $ renpy.dynamic('prog', 'fitTxt', 'small', 'sizeUp')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ small = not pcClothes.has(gsize, ckTshirt)
    $ sizeup = not small and not pcClothes.has(gsize+1, ckTshirt)
    $ fitTxt = fitDesc(prog)
    "
    You wonder over to the display of t-shirts.
    Plain ones, fancier ones, silk-screened, tie-died,
    humorous ones, merch for bands, tv-shows and films.
    After a while Alicia walks over.
    "
    alicia "Anything I can do to help you choose?"
    $ prompt = "What should I tell her? My current t-shirt is "
    if small:
        $ prompt += "too small."
    else:
        $ prompt += fitTxt
        if sizeup:
            $ prompt += ". I don't have anything bigger though."
        else:
            $ prompt += ", but I already have a bigger one."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Just looking":
            pc "There are so many, this could take a while."
            alicia "Believe me, not nearly as long as going through the
                catalogs and deciding which ones might sell."
            if gsize == 3:
                pc "Some of these are huge! I could get two of me in there and
                    have room left over."
                alicia "It takes all kinds to make a world hun."
            elif gsize == 8:
                pc "This one's funny \"I'm not pregnant, I'm fat!\"
                    Who'd need to wear that?"
                "Alicia gives you a look, then gazes down at your belly."
                alicia "So you're not coming up to full term then?"
                pc "Oi! No I'm not. I ... just eat too much."
                $ tmp = roughPeriod(gt.dayNum)
                if gt.dayNum < 240:
                    alicia "You've only been here [tmp], so it can't have
                        been one of our local studs."
                else:
                    alicia "You've been here [tmp], so it must be someone
                        from around here. I heard it Steve who got you in the
                        family way? I bet it was Steve."
                    pc "Alicia! It wasn't Steve."
                    alicia "Fine looking fellow. I'd let him butter my biscuits."
                alicia "So who was the lucky lad?"
                pc "There was no lad."
                alicia "What then? A sperm donor?"
                if sofia.isRomance(20):
                    alicia "Are you and Sofia going to starting a family?"
                pc "Alicia {size=+2}I'm not pregnant, I'm fat!{/size}"
                alicia "You'd save a lot of time and aggravation if you had
                    just bought the t-shirt."
                pc "Fair point."
            elif gsize == 11:
                pc "Remember when I was shocked about the larger sizes you had?"
                alicia "I sure do."
                pc "I bet I look pretty silly now."
                alicia "Not really. You look a lot bigger though!"
                pc "That's the truth."
        "I need a bigger t-shirt" if small:
            pc "I've got a casual t-shirt, but I think it's shrunk."
            alicia "Shrunk you say? Uh-huh.
                Care to step into the fitting room and we can solve this mystery."
            call .fittingRoom from nw_clothes_look_tshirt_big_fit
            call .tshirtFit(0) from nw_clothes_look_tshirt_big
        "Thinking about getting a bigger size" if sizeup:
            if pc.isDietConsider():
                pc "I'm just wondering about getting a bigger size, just in case.
                    My current t-shirt is [fitTxt], and I don't want to get any bigger,
                    but ..."
            else:
                pc "I'm just wondering about getting a bigger size.
                    My current tshirt is [fitTxt].
                    I just keep getting bigger though."
            alicia "I understand. Lets have a proper look at you,"
            call .tshirtFit(1) from nw_clothes_look_tshirt_prep
    return

    # Just wants to be measured.
    #
label .lookMeasure:
    $ dbgLogDet("nwClothes.lookMeasure")
    if pc.isDietConsider():
        pc "I'm a bit concerned that I'm getting even bigger.
            Could you measure me please?"
        alicia "I understand. Care to step into the fitting room?"
    elif gsize <= 2:
        pc "Could you please just measure me Alicia?"
        alicia "No problem, care to step into the fitting room?"
    elif pc.isDiet():
        pc "Could you just measure me Alicia, only I'm trying to diet and
            I was wondering if I'd made any progress."
        alicia "Sure, but just so you know it takes a long time for
            a diet to impact your measurements.
            Care to step into the fitting room?"
    else:
        pc "I think I'm getting bigger Alicia,
            could you please measure me?
            Just for curiosity really."
        alicia "Sure, for {i}curiosity{/i}.
            And not at all because you like getting fatter
            and want to check your progress.
            Care to step into the fitting room?"
    call .fittingRoom from nw_clothes_look_measure_fit
    call .justMeasure from nw_clothes_look_measure
    return

    # Go into fitting room.
    #
label .fittingRoom:
    $ dbgLogDet("nwClothes.fittingRoom")
    "
    Alicia  leads you into the fitting room at the back of the store.
    "
    if gsize >= 10:
        pc "You could really use a larger fitting room.
            There's not much space for the two of us."
        alicia "I'm saying nothing. None of my other customers have a problem."
    elif gsize >= 9:
        pc "It's a bit cozy in here for the two of us."
        alicia "I suppose I could stand to lose a few pounds."
        if pc.isDietConsider():
            pc "Okay, point taken. You look just fine by the way."
        else:
            pc "And I could lose a hundred and still be bigger than you.
                Not going to happen though!"
    return

    # Pay for purchases.
    #
label .pay:
    $ dbgLogDet("nwClothes.pay")
    if cost == 0:
        return

    pc "I think that's everything for today Alicia."
    alicia "Okay let me tot that up."
    "
    Alicia carefully folds your purchases and places them into a rather
    fancy looking bag with cord handles.
    "
    alicia "That comes to \$[cost], hun."
    pc "Great, here you go."
    $ pc.spend(cost)
    $ cost = 0
    return

label .cupcakes:
    $ dbgLogDet("nwClothes.cupcakes")
    $ renpy.dynamic('ate', 'dieting', 'glutton', 'unsure')
    $ ate = True
    $ dieting = pc.isDietRestricted()
    $ glutton = pc.isGlutton() and not dieting
    $ unsure = pc.isDietConsider()

    # No cupcakes for debtors.
    #
    if aliciaTab > 0:
        return

    "
    Alicia retrieves a plate of fancy looking cupcakes and puts it on
    the counter.
    "
    alicia "Would you like a complimentary cupcake and a chat before you go?"
    $ prompt = "Would I like a free cupcake?"
    if dieting or unsure:
        $ prompt += " You ought not to."
    else:
        $ prompt += " Do bears shit in the woods?"
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "I'd love one!" if not dieting:
            pc "Thanks so much Alicia!"
            $ food.add('cupcake')
            $ pc.eatFood(food)
            pc "Mmmmm, so good.
                Is this how you get your customers to keep buying bigger sizes?"
            alicia "No, it's just something I like to do.
                Well, and to stop me eating them all myself."

        "No thanks" if not dieting and not glutton:
            pc "That's very kind, but I won't if you don't mind.
                Don't let me stop you though."
            $ ate = False

        "No thanks" if not dieting and glutton:
            pc "That's very kind, but I won't if you don't mind."
            alicia "Are you sure?"
            pc "No. Those look so good, and so very tempting. I really want one!"
            $ food.add('cupcake')
            $ pc.eatFood(food)
            pc "Mmmm, a little mouthful of heaven.
                Is this how you get your customers to keep buying bigger sizes?"
            alicia "No, it's just something I like to do.
                Well, and to stop me eating them all myself."

        "Resist this temptation!" if dieting:
            if pc.testDietWill():
                pc "That's very kind, but I'm trying to shift some weight.
                    Don't let me stop you though."
                $ ate = False
            elif flags.isConsume("dietStopWill"):
                pc "Those look so good, and so very tempting!"
                alicia "They are very good, very moist. I had one earlier."
                pc "That's it, I'm {i}so{/i} done with dieting."
                $ mealsize = pc.getMealSize()
                alicia "What? I'm so sorry.
                    I didn't know you were or I wouldn't have offered!"
                pc "It's fine Alicia, my determination was fading fast.
                    If it wasn't these it would be the next donut I saw."
                alicia "If you're sure?"
                pc "I am, you've relieved me of a self-inflicted torture.
                    Now pass me cake!"
                $ food.add('cupcake')
                $ pc.eatFood(food)
                pc "Mmmmm, so very good. You've no idea how hungry I've been.
                    I guess I'll be back before long for a clothing upgrade!"
                alicia "Oh [pc.name]. It's not that I don't appreciate the
                    business, but try not to make it too soon hun."
            else:
                pc "Those look so good, and so very tempting!"
                alicia "They are very good, very moist. I had one earlier."
                pc "That's it, I'm going to have a cheat day."
                $ mealsize = pc.getMealSize()
                alicia "What? I'm so sorry.
                    I didn't know you were dieting or I wouldn't have offered!"
                pc "It's fine Alicia, I deserve a little cake,
                    and they're only small."
                alicia "If you're sure?"
                pc "I am. Now pass me cake!"
                $ food.add('cupcake')
                $ pc.eatFood(food)
                if pc.randomGreed(10, 100):
                    pc "So, so good. I needed that. I don't suppose ..."
                    alicia "Go ahead, it's not worth the risk to get between you and cake."
                    $ food.add('cupcake')
                    $ pc.eatFood(food)
                pc "Mmmm, a little mouthful of heaven.
                    Is this how you get your customers to keep buying bigger sizes?"
                alicia "No, it's just something I like to do.
                    Well, and to stop me eating them all myself."
    call .chat from nw_clothes_cupcakes_chat
    $ dieting = pc.isDietRestricted()
    $ glutton = pc.isGlutton() and not dieting
    if glutton or not dieting and pc.isGreedy(25) and pc.randomGreed(30,90):
        if ate:
            pc "I don't suppose I could have another cupcake?"
        else:
            pc "I don't suppose I could have a cupcake afterall?"
        if pc.getMass() > 800/2.2:
            alicia "Okay, but you ought to be careful hun."
        else:
            alicia "Sure, go ahead."
        if ate:
            "She offers you the plate again and you gobble another in a couple of bites."
        else:
            "She offers you the plate and you gobble one in a couple of bites."
        $ food.add('cupcake')
        $ pc.eatFood(food)
        if glutton:
            pc "One for the road?"
            "Alicia sighs but offers you the plate of cupcakes once more."
            $ food.add('cupcake')
            $ pc.eatFood(food)
            alicia "Enough now hun."
    return

label .chat:
    $ dbgLogDet("nwClothes.chat")
    "Alicia takes a bite of a cupcake."
    call alicia.chat() from nw_clothes_chat
    return
