#
# Diner
#
define  dinerName = "Antonio's Italian Diner"

label nwDiner:
    $ world.setLoc('nwTown')

    # Decide what is being served.
    #
    $ hour = gt.hour

    if hour < 8:
        call .closed from nw_diner_closed_early
    elif hour < 12 and gt.dayOw == 6:       # Closed until lunchtime on Sundays
        call .closed from nw_diner_closed_sun_am
    elif hour < 12:
        call .enter from nw_diner_day_enter
        call .daytime from nw_diner_day
    elif hour < 15:
        if not dayFlags.isSet('dinerLunch'):
            $ dayFlags.set('dinerLunch')
            call .enter from nw_diner_lunch_enter
            call nwDinerLunch from nw_diner_lunch
        else:
            $ prompt = addMenuAlt("You've already eaten lunch here once today.")
            menu:
                "[prompt]"
                "And?":
                    call .enter from nw_diner_lunch_again_enter
                    call nwDinerLunch from nw_diner_lunch_again
                "Have a coffee (and maybe a pastry)":
                    call .enter from nw_diner_coffee_enter
                    call .justCoffee from nw_diner_coffee
                "Leave":
                    return
    elif hour < 18:
        call .enter from nw_diner_afternoon_enter
        call .daytime from nw_diner_afternoon
    elif dayFlags.isSet('dinerEve'):
        $ prompt = addMenuAlt("You've already eaten one dinner here today")
        menu:
            "[prompt]"
            "Have a coffee (and maybe a pastry)":
                call .enter from nw_diner_eve_again_enter
                call .justCoffee from nw_diner_eve_again_coffee
            "Leave":
                return
    elif pc.meals >= 3:
        $ mealsize = pc.getMealSize()
        $ prompt = "You've already had {} meals today {}.".format(cardinal(pc.meals), pc.name)
        $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
        menu:
            "[prompt]"
            "And?" if not pc.isDietImmob():
                $ dayFlags.set('dinerEve')
                call .enter from nw_diner_eve_more_enter
                call nwDinerEve from nw_diner_eve_more
            "Have a coffee (and maybe a pastry)":
                call .enter from nw_diner_eve_coffee_enter
                call .justCoffee from nw_diner_eve_coffee
            "Leave":
                return
    else:
        $ dayFlags.set('dinerEve')
        call .enter from nw_diner_eve_meal_enter
        call nwDinerEve from nw_diner_eve_meal

    return

label .enter:
    if pc.gsize >= 11:
        "
        The door to the diner is a bit of a squeeze,
        but you make it though after a struggle.
        "
    return



    # Just coffee, and cakes.
    #
label .daytime:
    # dbg "nwDiner.daytime"
    "
    People are in here buying coffee, mostly take-out, but some are
    drinking sat at the bar.
    Sofia is busy with the steamy espresso machine,
    the scent of coffee almost palpable.
    "
label .justCoffee:
    $ renpy.dynamic('adjArse', 'adjBoob', 'wantCake')
    $ flirt = sofia.isRomance()
    $ order = ""
    $ cost = 0
    $ scale = 1
    $ treat = False
    $ wantCake = False
    $ gsize = pc.gsize
    $ adjArse = pc.adjArse()
    $ mealsize = pc.getMealSize()
    $ foodMenu.resetMealAcc()
    if gsize >= 8:
        "
        You find a couple of barstools next to each other and push them together.
        Then you heave your [adjArse] bum onto both of them.
        "
    elif gsize >= 5:
        "
        Finding a seat at the bar you plop your [adjArse] butt down.
        These really could do with being a bit bigger,
        it's not exactly comfortable, and there's a lot of overhang.
        "
    elif gsize >= 3:
        "
        You take a seat at the bar, your [adjArse] bum and thighs
        are wider than the seat now.
        "
    else:
        "
        You take a seat at the bar and wait to be served.
        "

    if not world.isLoc('nwDiner'):
        if flirt:
            sofia "Ciao, my dolce!"
            pc "Hi babes."
            "Sofia reaches across the bar and brushes your hand."
        elif gt.hour < 12:
            sofia "Good morning, [pc.name]."
            pc "Morning Sofia."
        else:
            sofia "Good afternoon, [pc.name]."
            pc "Afternoon Sofia."

        call sofia.sizeNotice from nw_diner_sofia_size

    if not treat and not pc.canAfford(4):
        pc "Sofia, I'm so sorry, I've just realised I've come out without my money."
        if flirt:
            sofia "Sweetie, you don't need to worry
                it will be my treat.
                I'm just happy to spend some time with you,
                even if it is in a somewhat professional capacity."
            pc "Aww, thank you babe."
            $ treat = True
            $ pc.addMood(1)
        elif sofia.isPcTooThin():
            sofia "Look at you, starving girl, and no money."
            sofia "It's okay, Sofia will feed you anyway, my treat."
            $ treat = True
            $ pc.addMood(2)
        else:
            sofia "You come back another time, enjoy Italian cuisine?"
            pc "Yes, I will Sofia."
            "She gives you a long hug before you leave."
            $ pc.addMood(-1)
            return

    sofia "What can I get you? An espresso, a cappucino, some hot chocolate?"
    $ food.clear()
    call .coffeeMenu from nw_diner_coffee_menu
    if not wantCake:
        if pdrink == None:
            sofia "Would you like a pastry?"
        elif pdrink == "cafelait":
            sofia "Would you like a croissant with that?"
        else:
            sofia "And would you like a pastry with that?"
    call .pastryMenu from nw_diner_pastry_menu

    if pdrink == None and psweet == None:
        pc "Sorry for wasting your time."
        if flirt:
            sofia "It's okay my sweet."
        else:
            sofia "It's not a problem"
    else:
        "Sofia is quickly back with your order."
        call .eatSnack from nw_diner_snack_eat
        if flirt:
            sofia "I see you enjoyed that my sweet."
            pc "I always do!"
        else:
            sofia "Everything to your liking?"
            pc "Excellent, as always, thank you."

    call .checkStuffed from nw_diner_check_stuffed

    # Bill.
    #
    if treat:
        sofia "No bill today, Sofia's treat."
        if flirt:
            pc "Thank you so much babe."
        else:
            pc "Thank you so very much Sofia."
    else:
        "Sofia brings you the bill and you glance at the total: $[cost:0.2f]."
        $ tmp = pc.roundUp(cost, 15)
        $ prompt = addMenuAlt("Add a tip?")
        menu:
            "[prompt]"
            "Pay $[cost:0.2f]":
                "You pay the bill."
                $ pc.spend(cost)

            "Pay with tip $[tmp:0.2f]" if pc.canAfford(tmp):
                "You pay the bill and add a tip."
                $ pc.spend(tmp)
                sofia "Thank you so much [pc.name]!"

    if flirt:
        pc "Bye babe."
        sofia "Ciao!"
    else:
        pc "Goodbye Sofia."
        sofia "Goodbye [pc.name], see you again soon I hope."

    if gsize >= 8:
        "
        You get down from the barstools,
        nearly toppling over as the girls swing around,
        then put the stools back as you found them.
        "
        if flirt:
            sofia "Careful, sexy!"
    elif gsize >= 5:
        if pc.isDietConsider():
            "
            You get down from the barstool.
            That's a lot of wobble girl!
            "
        else:
            "You hop down from the barstool with a generous wobble."
    elif gsize >= 3:
        if pc.isDietConsider():
            "
            You hop down from the barstool.
            That's a bit too much jiggle girl!
            "
        else:
            "You hop down from the barstool with a nice jiggle."
    else:
        "You hop down from the barstool."

    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # Day coffee menu.
    #
label .coffeeMenu:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(2.00, cost))
    # dbg "nwDiner.coffeeMenu"
    $ pdrink = None
    $ prompt = pc.appendPrompt("Do I want a coffee?", 0, mealsize)
    $ foodMenu.start(dinerName, "Caffè")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addFood('espresso', "Espresso", cost, 0, treat)
    $ foodMenu.addFood('cafelait', "Café au lait", cost, 0, treat)
    $ foodMenu.addFood('cappucino', "Cappucino", cost, 0, treat)
    $ foodMenu.addFood('hotchoc', "Hot chocolate", cost, 1, treat)
    $ foodMenu.addFood('cafewien', "Vienesse coffee", cost, 2, treat)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'espresso':
            pc "I'd love an espresso."
            if flirt:
                sofia "Dark, short, and sweet. Reminds me of someone."
            else:
                sofia "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'cafelait':
            pc "I'd like a café au lait please."
            sofia "Oh la la, à la française!"
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'cappucino':
            pc "I'd love a cappucino."
            sofia "With a dusting of chocolate?"
            pc "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'cafewien':
            pc "I think I'd like a Vienesse coffee."
            sofia "We make those with just cream, not milk, as they should be."
            pc "I wouldn't want it any other way!"
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'hotchoc':
            pc "I'd love a hot chocolate."
            sofia "With whipped cream?"
            pc "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        "No coffee, I'm here for the pastries":
            if flirt:
                pc "You know I'm just here for the pastries."
                sofia "Of course you are, my dolce."
            else:
                pc "I'd just like a pastry please."
                sofia "Certainly!"
            $ wantCake = True
            "She smiles."

        'nothing':
            pc "Nothing to drink, thank you."
            sofia "Okay."
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return


label .pastryMenu:
    # dbg "nwDiner.pastryMenu"
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(2.00, cost))
    $ psweet = None
    $ prompt = pc.appendPrompt("Do I want a pastry?", 0, mealsize)
    $ foodMenu.start(dinerName, "Dolce")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addFood('croissant', "Croissant", cost, 0, treat)
    $ foodMenu.addFood('sofigliat', "Sfogliatella", cost, 1, treat)
    $ foodMenu.addFood('tiramisu', "Tiramisù?", cost, 2, treat)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'croissant':
            pc "I'd like a croissant please."
            sofia "Of course."
            $ psweet = "croissant"
            $ food.add('croissant')

        'sofigliat':
            pc "I'd like a sfogliatella please."
            sofia "Of course."
            $ psweet = "sofigliat"
            $ food.add('sofigliat')

        'tiramisu' if flirt:
            pc "What I'd really like is some tiramisù."
            sofia "We only sell that in the evening my sweet."
            pc "Please babe, you know how I like it."
            sofia "Yes, you like it rich and creamy. Seeing as it's you I'll fetch you one."
            $ psweet = "tiramisu"
            $ food.add('tiramisu')

        'nothing':
            if pdrink == None:
                pc "I've changed my mind, I'm not sure I want anything."
            else:
                pc "Just the drink please."
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return



label .eatSnack:
    # dbg "nwDiner.eatSnack"
    if psweet == None:
        $ pass
    elif psweet == "croissant" and pdrink == 'cafelait':
        $ adjBoob = pc.adjBoob()
        $ tmp = ", and"
        if gsize >=3:
            $ tmp = ", and taking care not to drip any on your {} chest,".format(adjBoob)
        """
        You dip the end of your croissant in the large bowl of coffee[tmp]
        take a mouthful of the delicious coffee soaked pastry.
        That is so good!

        It doesn't take long to finish the croissant and you drink the remaining coffee.
        """
        $ pdrink = None
    elif psweet == "croissant":
        "
        You tear one of the horns and slather it with the unsalted butter provided.
        So crisp and buttery!
        As you get to the centre it's softer, returning to crispness as
        you regrettablely reach the other horn.
        "
    elif psweet == "sofigliat":
        "
        If a croissant and a filled donut had a baby, this would be that.
        Crisp and delicate on the outside, and heavenly filling inside.
        "
    elif psweet == "tiramisu":
        "
        You slowly savour the rich cream and coffee flavours of boozy
        tiramisù.
        Knowning your not supposed to have it makes
        this naughty treat extra pleasurable!
        "
        customer "Sofia, can I get a tiramisù as well?"
        sofia "Look what you've done [pc.name]."
        pc "Me? Increased your turnover?"
    else:
        dbg "Unknown sweet [psweet] in nwDiner.eatSnack"

    if pdrink == None:
        $ pass
    elif pdrink == 'espresso':
        "
        For a simple black coffee, this espresso has wonderful aromas.
        And a real energy boost!
        "
        $ pc.energy += 2
    elif pdrink == 'cafelait':
        "
        You sip from your wide bowl of coffee, enjoying the milkiness.
        "
        $ pc.energy += 1
    elif pdrink == 'cappucino':
        "
        The chocolate dusting on your cappucino is decidedly thick.
        It's delicious, milky, and doesn't have the same kick an espresso would.
        It also goes well with the almond of the amaretti on the side.
        "
        $ pc.energy += 1
    elif pdrink == 'cafewien':
        "
        Your coffee is not only made with cream, it's got a lot of extra cream
        on top and is dusted with cacao.
        It's delicious and smooth, and walking a fine line between drink and a
        dessert. The amaretti almost seem savory after that.
        "
    elif pdrink == 'hotchoc':
        "
        Sofia seems to have been generous with the whipped cream and
        you end up eating several spoonfuls before reaching the
        chocolatey goodness underneath.
        It doesn't wake you like a coffee would, rather you quite fancy a nap.
        "
    else:
        dbg "Unknown drink [pdrink] in nwDiner.eatSnack"

    $ pc.eatFood(food)
    return



label .checkStuffed:
    $ fullness = pc.getFullness()
    if fullness > 100:
        "You are feeling really gorged, and your waistband is digging into you.
        You want to let it all hang out, but the place is really busy and
        you have some modicum of dignity left."
        if flirt:
            "Sofia looks at your taut swollen gut."
            sofia "I feel for you my dolce."
    elif fullness > 75:
        "You feel quite repleat with food."
    return



    # Out of hours
    #
label .closed:
    "
    The diner appears to be closed at the moment.
    The lights are off, and the door shut.
    "
    if gt.hour < 9:
        "Checking the opening hours it looks like they don't open this early in the morning."
    if gt.dayOw == 6:
        "Checking the opening hours it looks like they don't open until lunch on a Sunday."
    if pc.isDiet():
        pc "Well that's going to make dieting easier."
    return
