#
# Diner evening.
#
label nwDinerEve:
    "
    You spend a minute or two reading the framed rewards and reviews
    in the entrance way before Sofia greets you.
    "
    sofia "Hi [pc.name], on your own this evening?"
    pc "Yes, just me."
    call sofia.sizeNotice from nw_diner_eve_sofia_size
    $ treat = False
label .alreadyHere:                 # Set treat before calling.
    $ renpy.dynamic('glutton')
    $ flirt = sofia.isRomance()
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and mealsize >= 2
    $ unbutton = False

    if not pc.canAfford(20):
        pc "Sofia, I'm so sorry, I've just realised I've come out without my money."
        if flirt:
            sofia "Sweetie, you don't need to worry
                tonight will be my treat.
                I'm just happy to spend some time with you,
                even if it is in a somewhat professional capacity."
            pc "Aww, thank you babe."
            $ treat = True
            $ pc.addMood(1)
        elif sofia.isPcTooThin():
            sofia "Look at you, starving girl, and no money."
            sofia "It's okay, Sofia will feed you anyway, my treat."
            $ treat = True
            $ pc.addMood(2)
        else:
            sofia "You come back another time, enjoy Italian cuisine?"
            pc "Yes, I will Sofia."
            "She gives you a long hug before you leave."
            $ pc.addMood(-1)
            return
    elif flirt and sofia.randomRomance(0, 50):
        sofia "Sweetie, I know I work here a lot,
            and we don't get the chance to do things,
            so tonight is my treat."
        pc "Aww, thank you babe."
        sofia "Enjoy whatever takes your fancy."
        $ treat = True
        $ pc.addMood(1)

    # Sofia may make portions larger.
    #
    $ scale = 1.0
    if sofia.isPcThin():
        $ scale = 1.3
    elif not sofia.isPcFat():
        $ scale = 1.1

    "
    She leads you to a booth, and hands you a menu, and a glass of prosecco.
    "
    $ food.add("wine")
    $ pc.eatFood(food)
    pc "Thank you Sofia, that's so refreshing."

    # Start mealsize tally.
    #
    $ mealsize = pc.getMealSize(True)
    $ foodMenu.resetMealAcc()

    sofia "So, can I tempt you to a starter?"
    $ prompt = pc.appendPrompt("Should I have a starter?", gt.hour, mealsize)
    $ starter = False
    $ pdrink = None
    $ cost = 0
    menu:
        "[prompt]"
        "Yes" if not pc.isDiet():
            pc "Yes please."
            $ starter = True
        "Yes!" if pc.cheatDay:
            pc "I've already blown my diet today, so I might as well."
            $ starter = True
            if sofia.isPcTooFat():
                sofia "Good for you!"
            else:
                sofia "Good for you, what's a girl like you need to be dieting for anyway?"
        "Yes, it's too tempting" if pc.isDietRestricted() and not pc.isDietImmob():
            pc "I'm supposed to be cutting back, but the food here is so good."
            $ starter = True
            $ pc.decWill()
            if flags.isConsume("dietStopWill"):
                pc "That's it, I'm {i}so{/i} done with dieting."
                $ mealsize = pc.getMealSize()
                sofia "Good for you. Enjoy life!"
                "You smile at her."
                pc "No point being thin but unhappy is there."
                sofia "None at all! Eat, be happy."
            else:
                pc "Today is going to be my cheat day."
                $ mealsize = pc.getMealSize()
                if sofia.isPcTooFat():
                    sofia "Good for you!"
                else:
                    sofia "Good for you, what's a girl like you need to be dieting for anyway?"

        "No" if not pc.isDiet() and glutton:
            pc "No, I'll skip the starter, thank you."
            sofia "I can't believe you're not hungry!"
            if mealsize < 2:
                pc "Not hungry enough I'm afraid. I need to save room for dessert."
                sofia "Okay, that makes sense."
            elif mealsize > 3:
                pc "And I can't believe you fell for that!
                    Of course I want a starter babe!"
                $ starter = True
        "No" if not pc.isDiet() and not glutton:
            pc "No, I'll skip the starter, thank you."
            sofia "You aren't hungry?"
            if mealsize < 2:
                pc "Not hungry enough I'm afraid. I need to save room for dessert."
                sofia "Okay, that makes sense."
            elif mealsize > 3:
                sofia "I can hear your stomach rumbling from here."
                sofia "I get you antipasti."
                pc "Sorry about that. Okay."
                $ starter = True
            else:
                pc "I want to save some space for dessert."
                sofia "Good choice."
        "Resist" if pc.isDietRestricted():
            pc "I'm trying to cut back a bit, so no starter for me."
            sofia "I can't tempt you to just little antipasti?"
            if pc.testDietWill():
                pc "You're a bad influence, but no."
            elif flags.isConsume("dietStopWill"):
                pc "That's it, I'm {i}so{/i} done with dieting."
                $ mealsize = pc.getMealSize()
                sofia "Good for you. Enjoy life!"
                "You smile at her."
                pc "No point being thin but unhappy is there."
                sofia "None at all! Eat, be happy."
                $ starter = True
            else:
                pc "You are such a bad influence Sofia.
                    I shouldn't be doing this, but you've worn me down.
                    Today is going to be my cheat day."
                sofia "Hmm, I didn't have to try that hard."
                $ mealsize = pc.getMealSize()
                $ starter = True

    # Starter.
    #
    if starter:
        call .starterMenu from nw_diner_eve_starter_menu

    # Drink.
    #
    call .drinkMenu from nw_diner_eve_drink_menu

    if starter:
        "Sofia brings you your starter."
        call .starterEat from nw_diner_eve_starter_eat
        $ gt.addHours(1)
        call .drink from nw_diner_eve_drink
        call .drinkAnother from nw_diner_eve_drink_again

    # Main.
    #
    call .mainMenu from nw_diner_eve_main_menu
    if pmain:
        call .mainEat from nw_diner_eve_main_eat
    call .drink from nw_diner_eve_main_drink

    if pdrink == "wine":
        "
        Sofia sees you've finished your wine
        and pours the last of the caraffe into your glass.
        There's not much
        and it doesn't take long for you to finish it.
        "
        $ food.add('wine')
        $ pc.eatFood(food)

    $ gt.addHours(1)

    # Dessert.
    #
    # $ mealsize = pc.getMealSize(True)
    call .dessertMenu from nw_diner_eve_dessert_menu
    call .dessertEat from nw_diner_eve_dessert_eat

    # Caffe.
    #
    call .caffe from nw_diner_eve_coffee_menu

    # Digestivo.
    #
    call .degestivo from nw_diner_eve_digestivo_menu
    $ gt.addHours(1)

    # Bill.
    #
    if cost == 0:
        pass
    elif treat:
        sofia "No bill this evening, Sofia's treat."
        if flirt:
            pc "Thank you so much babe."
        else:
            pc "Thank you so very much Sofia."
    else:
        if sofia.isRomance() and not sofia.canCall:
            "Sofia brings you the bill and you glance at the total: $[cost:0.2f].
            Wait, she's written her phone number on the bottom too.
            That's sweet."
            $ sofia.canCall = True
            $ sofia.addRomance(0.1)
        else:
            "Sofia brings you the bill and you glance at the total: $[cost:0.2f]."
        $ tmp = pc.roundUp(cost, 15)
        $ prompt = addMenuAlt("Do you want to give a tip?")
        menu:
            "[prompt]"
            "Pay $[cost:0.2f]":
                "You pay the bill."
                $ pc.spend(cost)
                $ sofia.tip(False)

            "Pay with tip $[tmp:0.2f]" if pc.canAfford(tmp):
                "You pay the bill and add a tip."
                $ pc.spend(tmp)
                sofia "Thank you so much [pc.name]!"
                $ sofia.tip(True)

    $ waiting = False

    if sofia.randomRomance(20, 70):
        sofia "My sweet, everyone is nearly ready to leave,
            would you mind waiting and I can have my supper with you?"
        $ prompt = addMenuAlt("Do you want to keep her company?")
        menu:
            "[prompt]"
            "Yes, I'll wait and chat with Sofia":
                if unbutton:
                    "
                    You wait, stuffed, until the other customers leave.
                    "
                else:
                    "
                    You wait until the other customers leave.
                    "
                $ waiting = True
                call .sofiaSupper from nw_diner_eve_sofia_supper
                return
            "No, I need to get back":
                pc "I'd love to, but I'm so tired babe."
                sofia "I know that feeling all to well."

    if unbutton:
        if not waiting:
            "
            You wait, stuffed, until you are the last customer in the restaurant.
            "
        # Advance to 11pm if day hasn't already rolled over.
        if gt.hour > 18:
            $ gt.setHour(23)
        if flirt:
            sofia "Is my little piglet too full to get up?"
            pc "No, not quite, but I do need to do up my waistband."
            "
            You stand, and her hand falls to the dome of your belly and rubs it.
            It's both uncomfortable, and rather good.
            "
            sofia "So very full! How did that happen?"
            pc "I've {i}no{/i} idea."
            if pc.getFullness() > 150:
                "
                She tries to close your waistband,
                but despite repeated tugs it's not closing.
                "
                sofia "I think that's going to have to stay undone, dolce!"
                pc "Time for your little piggy's walk of shame."
                "Sofia giggles."
            else:
                "
                With some effort she manages to close the fastener.
                It's uncomfortable, and the material looks rather taut.
                "
                sofia "All presentable now, sweetie."
        else:
            pc "Sorry to keep you, but I didn't want to do up my waistband in front of eveyone."
            sofia "Let me see what I can do. You aren't the first customer with this problem."
            $ prompt = "What should I do? Sofia has been unusually attentive, and I know she's been feeding me extra."
            $ prompt += " Is she like that with everyone, or is it just me?"
            $ prompt = addMenuAlt(prompt)
            menu:
                "[prompt]"
                "Let her (flirt?)" if not (sofia.isOnBreak() or sofia.isBreakCountGte(3) or sofia.isPcTooFat()):
                    "
                    Sofia kneels down to get a good look at the problem.
                    You can feel her breath quickening on the exposed flesh of your
                    tummy.
                    "
                    "
                    Her hands take the parted ends of your waistband,
                    the backs of her fingers touching your skin.
                    "
                    "
                    You hold her shoulder to steady yourself,
                    and she looks up at you,
                    mouth slightly parted.
                    Is she into me?
                    "
                    pc "Sofia, do you like me?"
                    sofia "Yes, you are a nice young woman [pc.name]."
                    pc "But ... do you really, really, like me?"
                    $ tmp = pc.adjBelly()
                    "
                    Sofia smiles and tenderly kisses your [tmp] tummy.
                    It tingles in a good way.
                    "
                    $ prompt = "Fuck. She's into me. What should I do?"
                    if steve.breakup:
                        pc "You know I was seeing Steve?"
                        sofia "Yes."
                        pc "And you know we are on a break?"
                        sofia "Yes [pc.name]."
                        $ prompt += " I was seeing Steve, but we broke up."
                        if steve.isPcFat():
                            pc "And he thinks I'm too fat."
                            sofia "You aren't too fat [pc.name], he's just a jerk."
                            $ pc.addLim(5)
                            $ prompt += " He already thinks I'm too fat."
                    elif steve.isRomance(0):
                        pc "You know I'm seeing Steve."
                        sofia "Yes."
                        $ prompt += " I'm seeing Steve."
                        if steve.isPcFat():
                            pc "But he thinks I'm too fat."
                            sofia "You aren't fat [pc.name], he's just a jerk."
                            $ pc.addLim(5)
                            $ prompt += " But he already thinks I'm too fat."
                    $ prompt = addMenuAlt(prompt)
                    menu:
                        "[prompt]"
                        "I like her too":
                            pc "Sofia, please kiss me some more, it feels so good."
                            "
                            She does, and each kiss feels just as good as the first.
                            "
                            if gsize <= 3:
                                sofia "I love your cute little belly, dolce."
                            elif gsize <= 6:
                                sofia "I love your soft round belly, dolce."
                            elif gsize <= 9:
                                sofia "I love your big soft belly, dolce."
                            else:
                                sofia "I love your big soft heavy belly, dolce."
                            if pc.isDietConsider():
                                pc "I'm not so sure I do."
                                sofia "I'm sure it will grow on you."
                                pc "That's what I'm a little afraid of."
                                sofia "You'd be even sexier than you are now with a few more curves."
                                pc "Really babe?"
                                sofia "Really!"
                                $ pc.addLim(5)
                            else:
                                pc "I do too."
                                $ pc.addLim(3)
                            $ sofia.addRomance(6)
                            $ flirt = True
                        "I'm curious, but unsure" if not sofia.isBreakCountGte(1):
                            pc "Sofia, I've, ... I've never dated another woman before."
                            sofia "So I'd be your first? Do you like me?"
                            pc "Yes, and really yes!"
                            sofia "But, you are unsure."
                            pc "... yes."
                            pc "Please, lets just take things slowly. For me?"
                            sofia "For you, my sweet, we will."
                            $ sofia.addRomance(2)
                            $ pc.addLim(3)
                            $ flirt = True
                        "No, and I don't want to mislead her":
                            pc "Sofia, you are a kind and beautiful young woman."
                            sofia "But?"
                            pc "But I'm not sure this is what I want."
                            sofia "I felt you did a moment ago, when you asked if I liked you."
                            pc "I did, I ... don't know. I'm so sorry."
                            sofia "I shouldn't have kissed you, but it seemed that you wanted it."
                            pc "Don't be sorry, right then, in that moment, I did."
                            "Sofia sighs."
                            sofia "If you ever, you know, change your mind..."
                            pc "If I do, I know where to find you, right?"
                            sofia "Right. There will always be a place in my heart for you [pc.name]."
                    #
                    if flirt:
                        "Sofia gets to her feet and holds you close."
                        if pc.isDiet():
                            sofia "Will you do something for me?"
                            pc "Yes, what?"
                            if gsize <= 3:
                                sofia "I really like your little tummy, it's so sexy."
                            elif gsize <= 6:
                                sofia "I really like your soft round tummy, it's so sexy."
                            elif gsize <= 9:
                                sofia "I really like your big soft belly, doit's so sexylce."
                            else:
                                sofia "I really like your big soft heavy belly, it's so sexy."
                            pc "It is?"
                            sofia "Yes, it is, and also I don't like seeing you unhappy,
                                so no more dieting to make it smaller, please?"
                            $ pc.addLim(2)
                            if pc.isDietConsider():
                                pc "I don't know ..."
                                sofia "I do know. You've been so glum. And ate so much."
                                pc "Okay, I give in. I hope I don't regret this."
                                $ pc.dietStop()
                                sofia "I'm certain you won't. See, happier already."
                            else:
                                pc "I had almost given in anyway."
                                sofia "I know, you did rather stuff yourself this evening girl."
                                pc "I'm not very good at dieting, am I?"
                                sofia "You don't need to be, my dolce."
                                pc "You're right, I've just made myself unhappy for no good reason."
                                pc "The diet ends tonight."
                                $ pc.dietStop()
                                "Sofia looks at you."
                                pc "Okay, the diet ended earlier this evening when I walked in here!"
                        sofia "We should be getting you home sweetie."
                        if pc.getFullness() > 150:
                            "
                            She tries to close your waistband,
                            but despite repeated tugs it's not happening.
                            "
                            sofia "I think that's going to have to stay undone, dolce!"
                            pc "Time for my little piggy walk of shame."
                            "Sofia giggles."
                        else:
                            "
                            With some effort she manages to close the fastener.
                            It's uncomfortable, and the material looks rather taut.
                            "
                            sofia "All presentable now, my dolce."
                    else:
                        if pc.getFullness() > 150:
                            "
                            She tries to close your waistband,
                            but despite repeated tugs it's not closing.
                            "
                            sofia "I think that's going to have to stay undone [pc.name]."
                            pc "Thank you for trying Sofia."
                        else:
                            "
                            With some effort she manages to close the fastener.
                            It's uncomfortable, and the material looks rather taut.
                            "
                            sofia "All presentable now."
                            pc "Unf, so damn tight. Thank you."

                "Let her":
                    if pc.getFullness() > 150:
                        "
                        She tries to close your waistband,
                        but despite repeated tugs it's not closing.
                        "
                        sofia "I think that's going to have to stay undone [pc.name]."
                        pc "Thank you for trying Sofia."
                        if sofia.isPcTooFat():
                            sofia "I'm just glad you enjoyed our food so much."
                        else:
                            sofia "I'm just glad you enjoyed our food so much cutie."
                    else:
                        "
                        With some effort she manages to close the fastener.
                        It's uncomfortable, and the material looks rather taut.
                        "
                        sofia "All presentable now."
                        pc "Thank you."
                        if sofia.isPcTooFat():
                            sofia "I'm just glad you enjoyed our food so much."
                        else:
                            sofia "I'm just glad you enjoyed our food so much cutie."
                    $ pc.addLim(0.4)
                "Stop her":
                    pc "No, I can do it myself, honestly."
                    if pc.getFullness() > 150:
                        "You struggle for a while, but there's no way the ends are going to meet."
                        pc "Okay, maybe I can't. I'll just have to stay as I am."
                    else:
                        "
                        After a bit of a struggle, you get it closed.
                        It's uncomfortable, and the material looks rather taut.
                        "
                        pc "See, all done. I just have to hope it doesn't pop open."
    # End unbutton.

    if flirt:
        pc "Goodnight Sofia, and babe, do tell Antonio his meals are the best."
        sofia "Goodnight sweetie, please get home safely."
        "You share a parting kiss."
    else:
        pc "Goodnight Sofia, tell Antonio his meals are the best."
        sofia "Goodnight [pc.name], get home safely."

    $ sofia.meet();
    $ pc.useEnergy(1);
    return



    # Starters menu.
    #
label .starterMenu:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(2.50, cost))
    sofia "What would you like?
        There's bruschetta which is a rustic toast with tomato and basil,
        insalata mista which is a mixed salad with parmesan,
        and arancini a kind of rice croquettes filled with ragù.
        "
    $ prompt = pc.appendPrompt("What should I order?", gt.hour, mealsize)
    $ foodMenu.start(dinerName, "Antipasto")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addFood('bruschetta', "Bruschetta", cost, 0, treat)
    $ foodMenu.addFood('salad', "Insalata mista", cost, 0, treat)
    $ foodMenu.addFood('arancini', "Arancini", cost, 1, treat)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'bruschetta':
            pc "The bruschetta sounds refeshing."
            sofia "It's so good and really whets the appetite."
            $ pstart = "bruschetta"
            $ food.add('bruschetta')

        'salad':
            pc "I actually fancy the insalata."
            sofia "Okay, one insalata mista."
            $ pstart = "insalata"
            $ food.add('salad')

        'arancini':
            pc "The arancini please."
            sofia "Those are so yummy."
            $ pstart = "arancini"
            $ food.add('arancini')
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return



    # Eating the starter.
    #
label .starterEat:

    if pstart == "bruschetta":
        """
        You bite into one of the bruschetta and it's really crunchy toast,
        coated with olive oil.
        The tomatoes are sweet and flavourful with basil and a hint of
        garlic.

        It doesn't take long to finish it, and the other two slices.
        """
    elif pstart == "insalata":
        "
        There are some unusual and piquant leaves in the salad,
        which looks really colourful.
        While it may be the least fattening starter, you are sure the
        olive oil and balsamic dressing and grated parmesan on top
        aren't exactly helping.
        "
    elif pstart == "arancini":
        "
        As you cut into the first orange-sized, deep-fried golden ball
        there's a wisp of steam and a wonderful aroma.
        The meaty tomato filling is delicious,
        and the crisp outside a nice contrast to the soft inside.
        "
    $ pc.eatFood(food)
    return



    # Choose drink.
    #
label .drinkMenu:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(7.00, cost))
    sofia "What would you like to drink? A demi-caraffe of wine, or some beer?
        We have a few imports as well as the domestic kind.
        "
    $ prompt = pc.appendPrompt("What do I want to drink?", 0, None)
    $ foodMenu.start(dinerName, "Bevande")
    $ foodMenu.addFood('moretti', "A Moretti", cost, 0, treat, 'beer', 3.25)
    $ foodMenu.addFood('peroni', "A Peroni", cost, 0, treat, 'beer', 3.00)
    $ foodMenu.addFood('beer', "A domestic beer", cost, 0, treat)
    $ foodMenu.addFood('wine', "A demi of wine", cost, 0, treat, None, 6.00)
    $ foodMenu.addNothing(not glutton, "Water")
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'moretti':
            pc "I'll try the Moretti."
            sofia "It's a little more expensive, but my favourite."
            $ pdrink = "moretti"

        'peroni':
            pc "I'll try the Peroni."
            sofia "It's very popular in Italy."
            $ pdrink = "peroni"

        'beer':
            pc "I'll just have a regular beer."
            sofia "Not feeling so adventurous this evening?"
            $ pdrink = "beer"

        'wine':
            pc "I'll have a demi of red please."
            sofia "A good choice."
            $ pdrink = "wine"

        'nothing':
            pc "Just water please."
            $ pdrink = "water"
    $ cost += foodMenu.getCost(foodMenuSeln)
    $ foodMenu.addMealAcc(foodMenuSeln)
    return



    # Drink.
    #
label .drink:
    if pdrink == None:
        return

    if pdrink == "moretti":
        "
        You drain the last of your Moretti, very tasty indeed.
        "
        $ food.add('beer')
        $ pc.eatFood(food)
    elif pdrink == "peroni":
        "
        You drain the last of your Peroni, it's certainly got something over your regular beer.
        "
        $ food.add('beer')
        $ pc.eatFood(food)
    elif pdrink == "beer":
        "
        You drain the last of your beer.
        "
        $ food.add('beer')
        $ pc.eatFood(food)
    elif pdrink == "wine":
        "
        You finish your glass of wine, savouring the flavour.
        "
        $ food.add('wine')
        $ pc.eatFood(food)
    elif pdrink == "water":
        "
        You drink some water to cleanse your pallette.
        "
    return



    # Drink some more.
    #
label .drinkAnother:
    if pdrink == None:
        return

    if pdrink == "moretti":
        "
        Sofia brings you another Moretti.
        "
        $ cost += food.getCost('beer', 1.25)
    if pdrink == "peroni":
        "
        Sofia brings you another Peroni.
        "
        $ cost += food.getCost('beer', 1.20)
    if pdrink == "beer":
        "
        Sofia brings you another beer.
        "
        $ cost += food.getCost('beer')
    elif pdrink == "wine":
        "
        Sofia refills your wine glass from the caraffe.
        "

    return


    # Main course selection.
    #
label .mainMenu:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(5.50, cost))
    sofia "What would you like for your main?
        We've our excellent lasagna,
        spaghetti alla carbonara made with guanciale and pecorino,
        and, of course, wood-fired pizza.
        "

    $ pmain = None
    $ prompt = pc.appendPrompt("What should I have?", 0, mealsize, foodMenu.getAccPlates())
    $ foodMenu.start(dinerName, "Primi")
    $ foodMenu.addFood('lasagna', "Lasagna", cost, 1, treat)
    $ foodMenu.addFood('carbonara', "Spagetti alla carbonara", cost, 0, treat)
    $ foodMenu.addFood('pizzam', "Pizza", cost, 2, treat)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'lasagna':
            pc "I can't resist the lasagna, it's so good."
            sofia "It's the best!"
            $ pmain = "lasagna"
            $ food.addScale('lasagna', scale)
            $ food.setMeal(True)

        'carbonara':
            pc "I do like carbonara."
            sofia "Antonio is an expert at those."
            $ pmain = "carbonara"
            $ food.addScale('carbonara', scale)
            $ food.setMeal(True)

        'pizzam':
            $ rnd = pc.random(1,3)
            if rnd == 1:
                pc "A plain pizza please."
                sofia "One pizza Margherita."
            elif rnd == 2:
                pc "A pepperoni pizza please."
                sofia "One pizza salami."
            else:
                pc "The pizza with ham and mushrooms please."
                sofia "One pizza capricciosa."
            $ pmain = "pizza"
            $ food.addScale('pizzam', scale)
            $ food.setMeal(True)

        'nothing':
            if mealsize > foodMenu.mealAcc:
                pc "Sofia, can I skip to the desserts please?"
                sofia "Of course!"
            elif foodMenu.mealAcc > 0:
                pc "Sofia, I'm afraid the starter filled me up."
                sofia "Oh, that is a shame. I'm sure you would have enjoyed these."
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    if not pmain:
        return

    # Sides
    #
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(2.00, cost))
    sofia "And would you like something with that?
        The garlic bread is very good, or we can do fries.
        "
    $ prompt = pc.appendPrompt("Do I want a side?", 0, mealsize, foodMenu.getAccPlates())
    $ foodMenu.start(dinerName, "Contorno")
    $ foodMenu.addFood('garlicb', "Garlic bread", cost, 1, treat)
    $ foodMenu.addFood('friesm', "Fries", cost, 1, treat)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'garlicb':
            pc "Some garlic bread please."
            sofia "And extra garlic bread."
            $ pside = "garlic bread"
            $ food.addScale('garlicb', scale)

        'friesm':
            pc "Some fries please."
            sofia "And extra fries."
            $ pside = "fries"
            $ food.addScale('friesm', scale)

        'nothing':
            pc "Nothing else, thank you."
            sofia "Are you sure?"
            sofia "I'll bring a little garlic bread anyway."
            $ pside = "garlic bread"
            $ food.addScale('garlicb', 0.8)
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return


    # Eat main course.
    #
label .mainEat:
    if scale > 1.0:
        if scale > 1.2:
            "
            When Sofia brings your main you can't help but notice it's
            quite a bit bigger than the normal size.
            "
        else:
            "
            When Sofia brings your main you can't help but notice it's
            a little bigger than the normal size.
            "
        if pc.isDiet():
            pc "Sofia, I'm supposed to be on a diet!"
            if pc.cheatDay:
                sofia "You told me it was a cheat day."
                pc "Yes, but there's cheating a little, and making a pig of myself."
                sofia "Just enjoy it, live life, ... little piggy."
                $ pc.addLim(1)
            else:
                sofia "You don't need to diet.
                    Look at you.
                    A woman should be sensuous and curvy!
                    "
                $ pc.addLim(3)
                if pc.getBodyFatPer() > 45:
                    pc "Curvy? I'm fat Sofia, and this isn't helping."
                elif pc.getBodyFatPer() > 35:
                    pc "I'm already {i}too{/i} ... curvy."
                elif pc.getBodyFatPer() > 30:
                    pc "I'm already curvy."
                else:
                    pc "Not everyone agrees."
                sofia "Anyway you can leave what you don't want."
                pc "We both know that's no going to happen."
                "She shrugs."
            pc "Sofia! You, you are a bad influence."
        elif flirt:
            pc "Sofia, these are bigger portions again, aren't they."
            sofia "Just an extra treat for my little sweetie."
            if gsize >= 7:
                pc "I don't think anyone else would describe me as little!"
                sofia "Well, you aren't ... as tall as me."
                pc "But I am wider!"
            elif gsize >= 4:
                pc "I'm hardly little these days! You've seen to that."
            else:
                pc "I won't be so little for long at this rate."
            sofia "And that's bad because?"
            pc "You're incorrigible!"
            $ pc.addLim(0.3)
        else:
            pc "Sofia, aren't these a little on the big side?"
            sofia "Antonio, he prepared them."
            pc "Sofia?"
            sofia "Okay, but you look so small, so I asked him to do it.
                You should enjoy life, enjoy food."
            pc "You're as bad as Lacy at the bar, trying to fatten me up."
            $ pc.addLim(0.3)
    else:
        "Sofia returns, expertly balancing plates, and sets your dinner before you."

    if pmain == "lasagna":
        "
        Your lasagna is rich and creamy, every bit as good as before.
        It really is the best you've ever had.
        You munch on your [pside] too between mouthfuls.
        "
    elif pmain == "carbonara":
        "
        The mound of pasta in front of you is richly coated in a creamy
        cheese sauce and lots of freshly ground pepper.
        Each mouthful seems to have the right amount of smokey pork,
        a hint of garlic and the heat of the pepper.
        After you've eaten it all you munch on your [pside].
        " (what_size=20)
    elif pmain == "pizza":
        "
        You really love pizza, and this is some good pizza.
        You don't bother with knife and fork,
        just picking up each slice in your hands.
        Between each slice you eat some of your [pside].
        "

    $ pc.eatFood(food)

    # Fullness check.
    #
    if pc.getFullness() > 100:
        "
        The waistband of your trousers is digging into your overfull gut.
        Surreptitiously, under cover of your napkin, you unbutton them.
        "
        $ unbutton = True
    return



    # Choose desert.
    #
label .dessertMenu:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(3.00, cost))
    sofia "Might I interest you in a dessert?"
    if unbutton:
        pc "Sofia, I'm already so stuffed I've had to unbutton my trousers."
        "Sofia smiles."
        sofia "So you are now unconstrained, and can manage a little more?"
        if glutton:
            pc "You know me, of course I can!
                Even if I can't close them up afterwards."
        else:
            pc "I still have to be able to close them before I leave!"

    $ prompt = pc.appendPrompt("Do I want a dessert?", 0, mealsize, foodMenu.getAccPlates())
    $ foodMenu.start(dinerName, "Dolce")
    if glutton:
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood('tiramisu', "Tiramisù", cost, 2, treat)
    $ foodMenu.addFood('pannacotta', "Panna cotta", cost, 2, treat)
    $ foodMenu.addFood('zabaione', "Zabaione", cost, 1, treat)
    $ foodMenu.addFood('gelato', "Gelato", cost, 1, treat, 'icecream')
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'tiramisu':
            pc "I'd love some tiramisù."
            sofia "Of course. That's my favourite."
            $ pdessert = "tiramisu"
            $ food.addScale('tiramisu', scale)

        'pannacotta':
            pc "I really fancy a panna cotta."
            if flirt:
                sofia "One heavy, creamy, and fattening dessert for my little dolce."
            else:
                sofia "You'll like that, it's very creamy."
            $ pdessert = "pannacotta"
            $ food.addScale('pannacotta', scale)

        'zabaione':
            pc "I'll have the zabaione please."
            sofia "I think you'll like that."
            $ pdessert = "zabaione"
            $ food.addScale('zabaione', scale)

        'gelato':
            pc "I fancy some delicious gelato."
            sofia "Trust me, it's all delicious. I'll get you a selection."
            $ pdessert = "gelato"
            $ food.addScale('icecream', scale)

        'nothing':
            pc "Nothing else, thank you."
            if sofia.randomTip(10, 100, True):
                sofia "Are you sure?"
                sofia "I'll fetch you a little gelato, on the house.
                    There's always room for gelato."
                $ pdessert = "icecream"
                $ food.addScale('icecream', 0.8)
            else:
                sofia "Okay, no dessert."
                $ pdessert = None
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return



    # Eat desert.
    #
label .dessertEat:

    if pdessert == "tiramisu":
        "
        You slowly savour the rich cream and coffee flavours of boozy
        tiramisù until the sound of spoon on glass ends the moment.
        "
    elif pdessert == "pannacotta":
        "
        As Sofia promised, it's very creamy,
        being cream and sugar set with gelatin into a wobbly dome.
        It's flavoured with vanilla, and some kind of liqueur,
        the sweetness offset with a tart berry adornment.
        "
    elif pdessert == "zabaione":
        "
        You use a biscuit to spoon up the delicate whipped moose.
        It's so light it's like eating a dream of boozy vanilla ice cream.
        "
    elif pdessert == "gelato":
        "
        You enjoy each flavourful scoop: cherry, coconut, and a delicate cinnamon.
        There's no denying that
        Italian gelato is delicious and seems creamier, despite not
        being made from cream.
        "
    elif pdessert == "icecream":
        "
        You didn't actually want this, but there's no denying that
        Italian gelato is delicious and seems creamier, despite not
        being made from cream.
        "

    $ pc.eatFood(food)

    # Fullness check.
    #
    if not unbutton and pc.getFullness() > 100:
        "
        The waistband of your trousers is digging into your overfull gut.
        Surreptitiously, under cover of your napkin, you unbutton them.
        "
        $ unbutton = True

    return



    # Choose coffee.
    #
label .caffe:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and foodMenu.isSpaceFor(1) and (treat or pc.canAfford(2.00, cost))
    if unbutton:
        "
        Sofia returns not long after you've finished to clear the table.
        She smiles at your open waistband.
        "
    else:
        "
        Sofia returns not long after you've finished to clear the table.
        "
    sofia "Would you like an espresso, a cappucino, or perhaps a hot chocolate?"

    $ pdrink = None
    $ prompt = pc.appendPrompt("Do I want a coffee?", 0, None, foodMenu.getAccPlates())
    $ foodMenu.start(dinerName, "Caffè")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addFood('espresso', "Espresso", cost, 0, treat)
    $ foodMenu.addFood('cafelait', "Café au lait", cost, 0, treat)
    $ foodMenu.addFood('cappucino', "Cappucino", cost, 0, treat)
    $ foodMenu.addFood('hotchoc', "Hot chocolate", cost, 1, treat)
    $ foodMenu.addFood('cafewien', "Vienesse coffee", cost, 2, treat)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'espresso':
            pc "I'd love an espresso."
            sofia "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'cappucino':
            pc "I'd love a cappucino."
            sofia "With a dusting of chocolate?"
            pc "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'cafewien':
            pc "I think I'd like a Vienesse coffee."
            sofia "We make those with just cream, not milk, as they should be."
            pc "I wouldn't want it any other way!"
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'hotchoc':
            pc "I'd love a hot chocolate."
            sofia "With whipped cream?"
            pc "Of course."
            $ pdrink = foodMenuSeln
            $ food.add(foodMenuSeln)

        'nothing':
            pc "Nothing else, thank you."
            sofia "Okay."
    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)

    if pdrink == None:
        $ pass
    elif pdrink == 'hotchoc':
        "Sofia is soon back with a large mug of hot chocolate, a couple of amaretti, and sugar."
    else:
        "Sofia is soon back with your coffee, a couple of amaretti, and sugar."

    if pdrink == 'espresso':
        "
        You sweeten the coffee, and munch the amaretti biscuits while you
        wait for it to cool a little.
        The espresso hits the spot, waking you a little from your indulgencies.
        "
        $ pc.energy += 1
    elif pdrink == 'cappucino':
        "
        The chocolate dusting on your cappucino is decidedly thick,
        and stencilled in a heart shape.
        It's delicious, milky, and won't wake you the same way an espresso would.
        It also goes well with the almond of the amaretti.
        "
        $ pc.energy += 1
    elif pdrink == 'cafewien':
        "
        Not only is this coffee made with cream, it's got a lot of extra cream
        on top and is dusted with cacao.
        It's delicious and smooth, and walking a fine line between drink and a
        second dessert. The amaretti almost seem savory after that.
        "
    elif pdrink == 'hotchoc':
        "
        Sofia seems to have been generous with the whipped cream and
        you end up eating several spoonfuls before reaching the
        chocolatey goodness underneath.
        It doesn't wake you like a coffee would, rather you quite fancy a sleep.
        "

    $ pc.eatFood(food)
    return



    # Limoncello
    #
label .degestivo:
    "
    Finally, Sofia puts a small glass of limoncello in front of you.
    The sweet lemony liqueur is such a nice end to your meal.
    You lean back and relax.
    "
    $ food.add("limoncello")
    $ pc.eatFood(food)
    return



    # Supper with Sofia.
    #
label .sofiaSupper:
    "
    Exhausted at the end of her shift Sofia flops down opposite you
    with her food: a large portion of lasagna and a basket of
    garlic bread.
    "
    sofia "Thank you so much for waiting.
        I fancied some company rather than eating alone, again."
    sofia "I'm so tired I just want to sleep, and so hungry I just
        need to eat."
    "
    Sofia looks at the table and realises she already cleared it.
    "
    sofia "Be a dear and grab me some cutlery from the station over there please,
        I am not moving another step."
    $ gsize = pc.gsize
    if unbutton:
        if gsize >= 7:      # 300lb+
            $ prompt = "hugely fat belly hanging"
        elif gsize >= 5:    # obese
            $ prompt = "heavy fat belly hanging"
        elif gsize == 4:    # fat
            $ prompt = "overstuffed fat belly bursting"
        elif gsize == 3:    # plump
            $ prompt = "overstuffed tummy swelling"
        else:
            $ prompt = "swollen tummy peeking"
        "
        As you stand up Sofia sees the naked flesh of your
        [prompt] out of your open trousers.
        She smiles, stuffing garlic bread into her mouth.
        "
        sofia "What a delicious sight!
            I think I might join you as we obviously are dining informally."
        "
        With a piece of garlic bread still in her mouth, she unties the
        little apron she wears and throws it on the table.
        Then she unbuttons her own trousers letting her soft belly
        flow across her lap.
        "
        sofia "That is so much better!"
    """
    You set her cutlery down neatly beside her plate, much as she would
    do for you.

    Sofia sets to work greedily on her lasagna.
    """
    pc "And what would you like to drink? A demi-caraffe of wine, or some beer?
        We have a few imports as well as the domestic kind.
        "
    "Sofia grins at you, a little ragù at the corner of her mouth."
    sofia "Whatever you can find, cheeky!"

    if gsize >= 7:      # 300lb+
        $ prompt = "grabs a handful of your lardy ass"
    elif gsize >= 5:    # obese
        $ prompt = "grabs your fat ass"
    elif gsize == 4:    # fat
        $ prompt = "slaps your fat bum, making it wobble"
    elif gsize == 3:    # plump
        $ prompt = "slaps your plump backside"
    else:
        $ prompt = "slaps your bum"

    "
    As you head to the bar, Sofia [prompt].
    "
    pc "No harasing the staff, or we will have to ask you to leave!"
    sofia "Unless they want it?"
    pc "Yes, they want it babes!"

    $ prompt = "You go behind the bar, and tie one of the server aprons around your waist."
    if gsize > 7:
        $ prompt += " The strings barely meet at the back."
    if gsize > 5:
        $ prompt += " It doesn't really fit, riding under your gut."
    "[prompt]"
    $ prompt = "Then you unbutton your top below the band of your black bra, "
    if gsize > 8:
        $ prompt += "revealing acres of flesh and cleavage."
    elif gsize >= 6:
        $ prompt += "proudy displaying the size of your boobs."
    elif gsize >= 5:    # obese
        $ prompt += "boobs almost spilling out of the cups."
    elif gsize == 4:    # fat
        $ prompt += "revealing your heavy boobs."
    elif gsize == 3:    # plump
        $ prompt += "to show some cleavage."
    else:
        $ prompt += "to show your boobs."
    "[prompt]"

    if pc.drunk > 6:
        "
        You open a couple of bottles of Moretti, and bring them over.
        Sofia stares at you before taking a deep draught of hers.
        "
        $ pdrink = 'moretti'
        $ food.add('beer')
        $ pc.eatFood(food)
    else:
        """
        You find an open bottle of wine and two glasses.
        You pour a little into Sofia's glass.

        She pauses to take in the sight of you,
        then raises the glass, and tests the bouquet.
        """
        if gsize >= 3:
            sofia "That's full bodied and a little sweet, just like my lover."
        else:
            sofia "That's delicate and a little sweet, like my lover."
        "
        You fill her glass, and pour some for yourself.
        She immediately takes a good mouthful, so you top hers up.
        "
        $ pdrink = 'wine'
        $ food.add('wine')
        $ pc.eatFood(food)

    sofia "You make one sexy and naughty waitress! Oh, so very tempting..."
    pc "We aim to please here at Antonio's."
    "
    Sofia slows as she gets near the end of her lasagna,
    and finishes the garlic bread.
    Then cradles her tummy in her hands.
    "
    sofia "My sweet, I am full."
    $ gt.addHours(1)
    "
    You stand, weight on one leg to show off your bum, and leaning forward
    to emphasise your chest.
    "
    pc "I couldn't tempt you to a dessert, perhaps our tiramisù,
        which I am particularly fond of,
        or the panna cotta, so rich and very fattening?"
    sofia "You are very tempting my dolce, and I think you already know the answer."
    pc "I think I do."
    "
    You quickly find what you are looking for, and set a large helping
    of tiramisù in front of Sofia, and sit down with a smaller one for yourself.
    "
    sofia "Thank you. This is one of the larger ones, the ones I save for you, isn't it?"
    pc "Maybe?"
    sofia "You've a wicked side to you sweetie, trying to make me fat."
    pc "You should enjoy life Sofia! Besides, I'm quite taken with cuddly girls."
    $ food.add('tiramisu')
    $ pc.eatFood(food)
    $ sofia.weight += 1
    "
    Sofia smirks and you both start to eat slowly, savouring the flavours
    and each other's company.
    "
    pc "Would you like an espresso, or perhaps a cappucino?"
    if evtCounters.isGte('dinerCoffee', 3):
        sofia "Given the hour, I think a cappucino."
    else:
        sofia "Given the hour, I think a cappucino.
            Are you okay with the machine?"
        pc "Yes, I've used this kind before."
        "
        Thankfully it hasn't been turned off.
        Barista is one of many temporary jobs you've had,
        and a practiced hand soon makes two cappucinos.
        "
    $ evtCounters.inc('dinerCoffee')
    pc "One cappucino for the beautiful lady, and one for her sexy waitress."
    sofia "You've drawn a heart sweetie, you really have done this before."
    """
    She sips her cappucino, thoughly contented.

    When she's done she leans back, eyes half closed.
    You set a small glass of limoncello in front of her.
    """
    pc "A limoncello for my lover."
    sofia "When did you get that, did I fall asleep?"
    pc "I could say yes, but I sneaked them across with the coffee earlier,
        and you haven't been asleep."
    "
    Sofia takes a sip, but then her lips start to quiver, and her eyes tear up.
    "
    if evtCounters.isLte('dinerTears', 5):
        pc "What's wrong babe?"
        sofia "Nothing, nothing's wrong.
            I'm just not used to be waited on.
            And, and ..."
        "
        You put your hand on her cheek and wipe away a tear.
        "
        pc "Was I too much?
            I saw how tired you were,
            and how a little kindness could make your day better.
            I went too far didn't I?"
        sofia "No, I loved it, I loved it all, especially the outfit.
            It's just, ..."
        sofia " ... very touching, having you look after me. And that made me cry."
        pc "You're really tired aren't you? I rather liked looking after you. I'd do it again in a heartbeat."
        sofia "You would? I'd like that."
        pc "It would be my pleasure. Now budge up so I can sit next to you."
    else:
        pc "Awww, your exhausted again aren't you.
            Don't cry, you know your sexy waitress loves to look after you.
            Just make room for her to sit down and you can rest your head."
        sofia "She is very sexy. Sometimes I feel I don't deserve her."
    $ evtCounters.inc('dinerTears')
    "
    She moves across the booth seat, and you sit hip to hip,
    put your arm around her, and rest her head on your shoulder.
    Sofia nuzzles in and puts her hand on your stomach.
    Her breathing gradually calms.
    "
    pc "Are you comfy?"
    if gsize >= 9:
        sofia "Very comfy, you make a good pillow."
        pc "A pillow? I'd make a good bean bag!"
        sofia "The softest one ever! It's a shame there isn't space here for me to
            luxuriate in your softness."
        $ pc.addLim(1.4)
    elif gsize >= 6:
        sofia "Very comfy, you're so soft these days.
            Mio Dio, your boobs look so big and round from this angle.
            They'd make good pillows."
        pc "Thank you?"
        sofia "I love them my sweet!"
        $ pc.addLim(0.8)
    else:
        sofia "Very comfy."
        $ pc.addLim(0.6)
    pc "Feeling happier?"
    sofia "Yes much happier."
    pc "Well fed?"
    sofia "Stuffed actually."
    pc "That's good, because you've made my tit wet with tears,
        and there's the small matter of the bill."
    "Sofia kisses the damp patch on your breast, and sits up."
    sofia "The bill?"
    "You tear a sheet off the pad you found in your apron pocket and hand it to her."
    sofia "This just says \"kisses\" as the total and you've written \"love, [pc.name]\" in the box for server."
    pc "It does need to be paid in full."
    """
    Sofia kisses you tenderly, and smiles brightly.
    More kisses follow, loving, deeper, and passionate.

    Your hands explore the softness of her waist, and the swell of her bum.
    She takes full advantage of your state of undress to grope her sexy waitress.
    """
    $ gt.addHours(1)
    sofia "I'm so happy, you're so comfortable, but I am so very tired."
    "
    You slide out of the booth and help her up.
    "
    sofia "Time to go my beautiful waitress. But I want to give you a tip."
    if unbutton:
        "
        Seeing your waistband is still undone
        she pulls you close, her hand carressing the skin of your hip,
        and gives you a last kiss.
        "
        sofia "You might want to do those up before you go."
        if pc.getFullness() > 150:
            pc "I think we both know that's just not going to be possible."
            sofia "You really can't help stuffing yourself can you?"
            if pc.isDietConsider():
                pc "No, but I ought to."
            else:
                pc "No, I can't. I like feeling full."
            if sofia.isPcTooFat():
                sofia "That is one full tummy, and I love it,
                    but I'm also conflicted about how big it's getting.
                    Take care of yourself my sweet."
            else:
                sofia "Well, I like seeing you indulge yourself. It's cute."
        else:
            pc "If I can!"
    else:
        "
        She pulls you close, hand on the swell of your bum,
        and gives you a last kiss.
        "

    sofia "Goodnight sweetheart, I love you so much."
    pc "Goodnight gorgeous, I love you too."
    $ flags.set('sofiaBill')
    $ sofia.addRomance(2)
    $ sofia.meet()
    $ pc.useEnergy(1);

    return
