#
# Diner lunchtime.
#
label nwDinerLunch:
    # dbg "nwDinerLunch"
    "
    The lunchtime crowd is a bit of a mix:
    some are just here for coffee, mostly takout, some at the bar,
    others are sat in the booths enjoying some lunch.
    Sofia is busy with the steamy espresso machine,
    the scent of coffee almost palpable.
    "
    $ treat = False
label .alreadyHere:             # Set treat before entry
    $ renpy.dynamic('adjArse', 'adjBoob', 'glutton')
    $ flirt = sofia.isRomance()
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and pc.canAfford(8.00)
    $ order = ""
    $ cost = 0
    $ scale = 1

    $ wantCake = False
    $ gsize = pc.gsize
    $ adjArse = pc.adjArse()
    $ adjBoob = pc.adjBoob()
    $ mealsize = pc.getMealSize()
    $ foodMenu.resetMealAcc()

    if gsize >= 10:
        "
        With some difficulty you squeeze your [adjArse] ass into a booth,
        breasts resting against the tabletop.
        "
    elif gsize >= 5:
        "
        You find an empty booth and sit your [adjArse] ass down.
        "
    else:
        "
        You find an empty booth to sit in and wait.
        "

    if not world.isLoc('nwDiner'):
        "
        Sofia finishes serving a customer at the bar and comes over.
        She's looking hot and flustered.
        "
        if flirt:
            sofia "Ciao, my dolce!"
            pc "Hi babes. I wish you didn't have to work so hard."
            "Sofia gives your shoulder a squeeze, leaning on you slightly."
            sofia "Thank you, my sweet."
        else:
            sofia "Good afternoon, [pc.name]."
            pc "Afternoon Sofia."

        call sofia.sizeNotice from nw_diner_lunch_size

    if not treat and not pc.canAfford(5):
        pc "Sofia, I'm so sorry, I've just realised I've come out without my money."
        if flirt:
            sofia "Sweetie, you don't need to worry
                it will be my treat.
                I'm just happy to spend some time with you,
                even if it is in a somewhat professional capacity."
            pc "Aww, thank you babe."
            $ treat = True
            $ pc.addMood(1)
        elif sofia.isPcTooThin():
            sofia "Look at you, starving girl, and no money."
            sofia "It's okay, Sofia will feed you anyway, my treat."
            $ treat = True
            $ pc.addMood(2)
        else:
            sofia "You come back another time, enjoy Italian cuisine?"
            pc "Yes, I will Sofia."
            "She gives you a long hug before you leave."
            $ pc.addMood(-1)
            return

    if flirt:
        sofia "What would you like? Something nice and filling? Though we do have other options."
    else:
        sofia "What would you like? Something light or something more filling?"
    call .lunchMenu from nw_diner_lunch_menu

    if pmain == None:
        sofia "Would you like a coffee, or a hot chocolate?"
    else:
        $ food.setMeal(True)
        "Sofia quickly returns with your order."
        call .lunchEat from nw_diner_lunch_eat
        "
        You are leaning back, relaxing, when Sofia returns to clear the table.
        "
        sofia "Would you like a drink now? An espresso, a cappucino, some hot chocolate?"

    $ food.clear()
    call nwDiner.coffeeMenu from nw_diner_lunch_coffee_menu
    if not wantCake:
        if pdrink == None:
            sofia "Would you like a pastry?"
        elif pdrink == "cafelait":
            sofia "Would you like a croissant with that?"
        else:
            sofia "And would you like a pastry with that?"
    call nwDiner.pastryMenu from nw_diner_lunch_pastry_menu

    if pdrink == None and psweet == None:
        pc "Sorry for wasting your time."
        if flirt:
            sofia "It's okay my sweet."
        else:
            sofia "It's not a problem"
    else:
        "Sofia is quickly back with your order."
        call nwDiner.eatSnack from nw_diner_lunch_snack_eat
        if flirt:
            sofia "I see you enjoyed that my sweet."
            pc "I always do!"
        else:
            sofia "Everything to your liking?"
            pc "Excellent, as always, thank you."

    call nwDiner.checkStuffed from nw_diner_lunch_check_stuffed

    # Bill.
    #
    if cost > 0:
        if treat:
            sofia "No bill, Sofia's treat."
            if flirt:
                pc "Thank you so much babe."
            else:
                pc "Thank you so very much Sofia."
        else:
            "Sofia brings you the bill and you glance at the total: $[cost:0.2f]."
            $ tmp = pc.roundUp(cost, 15)
            $ prompt = addMenuAlt("Add a tip?")
            menu:
                "[prompt]"
                "Pay $[cost:0.2f]":
                    "You pay the bill."
                    $ pc.spend(cost)
                    $ sofia.tip(False)

                "Pay with tip $[tmp:0.2f]" if pc.canAfford(tmp):
                    "You pay the bill and add a tip."
                    $ pc.spend(tmp)
                    $ sofia.tip(True)
                    sofia "Thank you so much [pc.name]!"

    if flirt:
        pc "Bye babe."
        sofia "Ciao!"
    else:
        pc "Goodbye Sofia."
        sofia "Goodbye [pc.name], see you again soon I hope."

    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return

label .lunchMenu:
    # dbg "nwDinerLunch.lunchMenu"
    $ pmain = None
    $ prompt = pc.appendPrompt("What should I order?", gt.hour, mealsize)
    $ foodMenu.start(dinerName, "Lunch Menu")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addHeader("Light Bites:")
    $ foodMenu.addFood('bruschetta', "Bruschetta", cost, 0, treat)
    $ foodMenu.addFood('salad', "Insalata mista", cost, 0, treat)
    $ foodMenu.addFood('arancini', "Arancini", cost, 0, treat)
    $ foodMenu.addHeader("Italian Classics:")
    $ foodMenu.addFood('lasagna', "Lasagna", cost, 1, treat)
    $ foodMenu.addFood('carbonara', "Spagetti alla carbonara", cost, 1, treat)
    $ foodMenu.addFood('pizzam', "Pizza", cost, 2, treat)
    $ foodMenu.check()

    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        "Light Bites:":
            pass

        'bruschetta':
            pc "The bruschetta sounds refeshing."
            sofia "It's so good, fresh, and a little bit sweet."
            $ pmain = "bruschetta"
            $ food.add('bruschetta')

        'salad':
            pc "I actually fancy the insalata."
            sofia "Okay, one insalata mista."
            $ pmain = "insalata"
            $ food.add('salad')

        'arancini':
            pc "The arancini please."
            sofia "Those are so yummy."
            $ pmain = "arancini"
            $ food.add('arancini')

        "Italian Classics:":
            pass

        'lasagna':
            pc "I can't resist the lasagna, it's so good."
            sofia "It's the best!"
            $ pmain = "lasagna"
            $ food.addScale('lasagna', scale)

        'carbonara':
            pc "I do like carbonara."
            sofia "Antonio is an expert at those."
            $ pmain = "carbonara"
            $ food.addScale('carbonara', scale)

        'pizzam':
            $ rnd = pc.random(1,6)
            if rnd == 1:
                pc "A plain pizza please."
                sofia "One pizza Margherita."
            elif rnd >= 4:
                pc "A pepperoni pizza please."
                sofia "One pizza salami."
            else:
                pc "The pizza with ham and mushrooms please."
                sofia "One pizza capricciosa."
            $ pmain = "pizza"
            $ food.addScale('pizzam', scale)

    $ foodMenu.addMealAcc(foodMenuSeln)
    $ cost += foodMenu.getCost(foodMenuSeln)
    return

    # Eating lunch.
    #
label .lunchEat:

    if pmain == "bruschetta":
        """
        You bite into one of the bruschetta and it's really crunchy toast,
        coated with olive oil.
        The tomatoes are sweet and flavourful with basil and a hint of
        garlic.

        It doesn't take long to finish it, and the other two slices.
        """
    elif pmain == "insalata":
        "
        There are some unusual and piquant leaves in the salad,
        which looks really colourful.
        While it may be the least fattening starter, you are sure the
        olive oil and balsamic dressing and grated parmesan on top
        aren't exactly helping.
        "
    elif pmain == "arancini":
        "
        As you cut into the first orange-sized, deep-fried golden ball
        there's a wisp of steam and a wonderful aroma.
        The meaty tomato filling is delicious,
        and the crisp outside a nice contrast to the soft inside.
        "
    elif pmain == "lasagna":
        "
        Your lasagna is rich and creamy, every bit as good as before.
        It really is the best you've ever had.
        "
    elif pmain == "carbonara":
        "
        The mound of pasta in front of you is richly coated in a creamy
        cheese sauce and lots of freshly ground pepper.
        Each mouthful seems to have the right amount of smokey pork,
        a hint of garlic and the heat of the pepper.
        " (what_size=20)
    elif pmain == "pizza":
        "
        You really love pizza, and this is some good pizza.
        You don't bother with knife and fork,
        just picking up each slice in your hands.
        "
    $ pc.eatFood(food)
    return
