#
# Gas Station
#
define  gasName = "Joe's Garage"

label nwGas:
    "You head back to [gasName]."
    $ world.setLoc('nwGas')
    return

    # Wake up.
    # Invoked when the pc wakes up here.
    # Describe wake-up, breakfast etc.
    #
label .wake:
    # dbg "nwGas.wake"
    call .breakfast from nw_gas_wake_bfast
    if gt.isWeekend():
        joe "It's the weekend, so I'll be taking some time off from the
            mechanical work and see to the store instead.
            You're free to do whatever you want!"
        pc "Thank you, Joe! I appreciate all the help you've given me."
        call .checkClothes from nw_gas_wake_check_clothes_weekend
        if _return:
            return
        "
        You give him a hug and think about what to do with your day.
        "
    else:
        call .checkClothes from nw_gas_wake_check_clothes
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwGas.freeChoice"
    $ renpy.dynamic('offerPhone')
    $ offerPhone = gt.dayNum > 10 and (sofia.canCall or steve.canCall)
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("What to do?", gt.hour, mealsize)

    menu:
        "[prompt]"
        "Go to the town":
            if flags.isConsume('gasEvidence'):
                pci "Aren't you forgetting something [pc.name]? Your empties?"
                pc "Oh crap."
                "
                You lumber back upstairs, grab your trash, and quickly head
                round the back to the dumpster to dispose of the evidence.
                "
            call nwTown from gas_free_choice_go_town
        "Phone" if offerPhone:
            $ prompt = addMenuAlt("Who do I want to call?")
            menu:
                "[prompt]"
                "Call Sofia" if sofia.canCall and gt.dayNum > 10:
                    "You pick up the phone and dial Sofia's number."
                    call sofia.phone from gas_free_choice_phone_sofia
                "Call Steve" if steve.canCall and gt.dayNum > 10:
                    "You pick up the phone and dial Steve's number."
                    call steve.phone from gas_free_choice_phone_steve
                "Actually, no one right now":
                    pass
        "Second breakfast" if gt.isWeekend() and gt.isBefore(10) and pc.isGreedy(10) and not dayFlags.isSet('pcBfast2'):
            call .breakfastTwo from gas_free_choice_bfast_two
        "Wait":
            "You wait for an hour or so."
            $ gt.addHours(1)
        "Go to bed" if gt.hour >= 20 or pc.energy <= 2:
            $ world.setDayOver()
        "Debug" if debugMenus:
            call debugMenu from gas_free_choice_debug
    return


    # Work.
    # Invoked when the pc is working here.
    #
label .work:
    # dbg "nwGas.work"
    if not world.isWorkLoc():
        "You head back to the gas station and let yourself in."
    $ world.setLocWork()
    if gt.dayOw == 0:
        joe "Mondays sure roll around quickly."
        pc "They sure do."
    $ tmp = joeProject()
    joe "Right, time to get back to [tmp]. You okay here?"
    pc "I'll be fine Joe."
    if flags.isSet('gasEvidence'):
        if pc.isDietConsider():
            "
            Once you are sure Joe is busy working you retrieve the evidence of
            your stuffing session and guiltily sling it into the dumpster out back.
            "
        else:
            "
            Once you are sure Joe is busy working you retrieve the evidence of
            your stuffing session and quickly sling it into the dumpster out back.
            "
        if pc.isStuffing():
            pci "You're going to get in trouble, [pc.name]."
            pc "Not today though. It was so hot, I can't wait to do it again."
            pci "Concentrate, [pc.name]. Get your libido under control, you've work to do."
        $ flags.clear('gasEvidence')

    # Morning.
    #
    call nwGasWork from nw_gas_morn_work

    # Lunch or scheduled event.
    #
    call util.checkEventOr('nwGasLunch') from nw_gas_work_lunch

    # Afternoon.
    #
    call nwGasWork from nw_gas_afternoon_work

    # End of work day.
    #
    call .weekDayCash from nw_gas_cash

    # Regular evening or scheduled event.
    #
    call util.checkEventOr('nwGas.weekDayEve') from nw_gas_work_end
    return



    # Return home from here.
    # Describe the player returning to their home.
    #
label .retHomeToHere:
    $ dbgLog("nwGas.retHomeToHere")
    "
    You make your way back to the gas station and let yourself in.
    "
    $ world.setLocHome()
    return



    # Returned home.
    #
label .retHome:
    # dbg "nwGas.retHome"
    $ world.setLocHome()
    call .welcomeHome from nw_gas_work_ret_home
    return



    # Sleep
    # Invoked when the pc goes to sleep here.
    #
label .sleep:
    # dbg "nwGas.sleep"
    $ world.setLocHome()
    call .bedtime from nw_gas_work_sleep
    return



    # Travel to a location from here.
    # May take multiple calls.
    #
    # toLoc     - the eventual destination
    #
label .travelFromHereTo(toLoc=None):
    $ dbgLog("nwGas.travelFromHereTo({})".format(toLoc))
    "
    You leave the gas station and walk into town.
    "
    call nwTown from nw_gas_travel_to_town
    return



    # -------------------------------------------------------------------------
    # Local calls
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


    # Breakfast with Joe.
    #
label .breakfast:
    $ renpy.dynamic('curLb')
    $ gsize = pc.gsize
    if pc.random(1, 2) == 1:
        $ pmain = "bacon"
    else:
        $ pmain = "sausage"

    joe "Breakfast!"
    if debugMenus and not dayFlags.isSet('dayDebug'):
        call debugMenu from nw_gas_work_brk_debug

    # Get out of bed.
    #
    if not pc.isDietHard() and pc.isHardLim():
        # Player has reached game limits.
        #
        "
        You wake to the smell of frying [pmain] and eggs drifting upstairs.
        It's enough to make you want to quickly get out of bed.
        "
        if flags.isSet('gasEvidence'):
            "
            A bed that's littered with empty ice cream tubs and chocolate wrappers.
            "
            pc "Did I fall asleep in all that? Oh. That's rather slobby, even for me."
        call nwGasOversize from nw_gas_work_brk_over_size
    elif gsize >= 11 and pc.getMass() > 820/2.2:
        if flags.isSet('gasEvidence'):
            "
            You wake to the all too familar smell of frying [pmain] and eggs
            drifting upstairs. The clarion call to all really big girls.
            Your bed is littered with empty ice cream tubs and chocolate wrappers.
            "
            pci "Did the piggy stuff herself to sleep last night, [pc.name]?"
            pc "Not exactly to sleep, but that's rather slobby, even for me."
        else:
            "
            You wake to the all too familar smell of frying [pmain] and eggs
            drifting upstairs. The clarion call to all really big girls.
            Time to get up [pc.name]!
            "

        if pc.randomWeightRangeLb(820, 870):
            "
            You try and roll yourself onto your side, but
            this morning it's not happening.
            You flop back, breathless and panicking, and wait for your heart
            to stop thumping. You feel like crying.
            "
            pc "Shit! Fuck! ... Calm down [pc.name], you can do this."
            "
            Rocking back and forth once more you manage to get yourself onto your
            side at least. After a quick rest and with a great deal of struggle
            you heave yourself upright.
            Out of breath and heart pounding you pause before trying to stand up.
            "
            if pc.isDiet():
                pc "It's a good job you are dieting [pc.name], you can't carry
                    on like this, barely able to get out of bed."
            else:
                pc "Well [pc.name], you've almost made yourself too fat to get out
                of bed. If you keep going the way you are, over indulging and being
                greedy, you know where this will end. There will be consequences."
                pc "Is that really how you want to live [pc.name]?
                    It's a {i}heavy{/i} thought ..."
            $ dayFlags.set('joeBed')
        else:
            "
            Rocking back and forth you manage to get yourself onto your side.
            Then with a great deal of struggle you heave yourself upright.
            Out of breath and panting you pause before trying to stand up.
            "
            if pc.isDietHard():
                pc "Well, the diet is working [pc.name]. You managed to get
                    yourself sat up without having a panic attack. Still, there's a
                    way to go yet."
            elif pc.isDiet():
                pc "It's a good job you are dieting [pc.name], you can't carry
                    on like this."
            else:
                pc "Oh my. What are you doing to yourself [pc.name]?"
        if flags.isSet('gasEvidence'):
            pci "And last night's session won't have helped, will it, [pc.name]?"
            "
            With some difficulty you collect all the evidence into the bag you
            carried it up in and hide it and the opened case of chocolate under
            your bed.
            "
    elif flags.isSet('gasEvidence'):
        "
        You wake to the smell of frying [pmain] and eggs drifting upstairs.
        Your bed is littered with empty ice cream tubs and chocolate wrappers.
        "
        pc "I fell asleep in all this mess? That's rather slobby, even for me."
        "
        You tidy up the evidence into the bag you carried it up in and hide
        it and the opened case of chocolate under your bed.
        "
    else:
        "
        You wake to the smell of frying [pmain] and eggs drifting upstairs.
        It's enough to make you quickly get out of bed.
        "

    # Get dressed.
    # If sizeU or sizeD is set, pcSize will decribe getting dressed.
    #
    if not flags.isSet('sizeU') and not flags.isSet('sizeD'):
        call .dress from nw_gas_work_brk_dress
    call pcSize from nw_gas_work_brk_size_check

    # Check weight.
    #
    if counters.isOnce('scales'):       # Fires once sizeCheck triggers
        $ curLb = int(round(pc.weightLb))
        pc "Joe, are there any scales? I'd like to weigh myself."
        joe "Sure, in the closet there, I don't fuss with them myself."

        "
        You stand on the scales,
        and the pointer finally comes to rest at [curLb] pounds.
        "
        $ pc.updateLastWeight()
        $ pc.lastScaleLb = curLb
    elif counters.isDone('scales'):
        $ curLb = int(round(pc.weightLb))
        "
        While you are in the bathroom, you stand on the scales
        and the pointer finally comes to rest at [curLb] pounds.
        "
        $ pc.updateLastWeight()
        $ renpy.dynamic('deltaLb','deltaLim')
        $ deltaLb = curLb - pc.lastScaleLb
        $ pc.lastScaleLb = curLb
        if debug:
            dbg "deltaLb=[deltaLb]"
        if flags.isConsume('dietStopGoal'):
            if pc.isDietConsider():
                pc "Wow! I've reached my original diet goal weight.
                    That's good.
                    I can't say I'm honestly happy yet with how heavy I still am though."
            else:
                pc "I've actually reached my goal weight
                    and I can stop dieting!
                    I just need to not go crazy."
            call achievements.award('dietGoal') from nw_gas_work_brk_award_goal
        if pc.isDiet():
            # PC is dieting.
            #
            if deltaLb > 1:
                $ tmp = cardinal(deltaLb)
                pc "Crap, I've gained [tmp] pounds since I last weighed myself
                    on my so-called diet."
            elif deltaLb == 1:
                pc "Crap, I've gained a pound on my so-called diet."
            elif deltaLb == 0:
                pc "Bum, nothing's changed. I went hungry all day for this?"
            elif deltaLb == -1:
                pc "Yay, I've lost a pound since I last weighed myself."
            else:
                $ tmp = cardinal(-deltaLb)
                pc "Yay, I've lost [tmp] pounds since I last weighed myself."
        elif pc.isDietConsider() and deltaLb > 0:
            # PC is heavier and fatter than they want to be.
            #
            $ deltaLim = pc.fat - pc.fatLim;
            if deltaLim > max(20, pc.fat/8):
                pc "Damn, I'm a fat blob and I'm still getting even fatter!
                    This is not good [pc.name]. Not good at all."
                $ flags.set('pcThinkDiet')
            elif deltaLim > 10:
                pc "Oh my, heavier again?
                    I'm already bigger than I'd like to be.
                    Come on [pc.name],
                    you need to be much more careful with what your eat."
            else:
                pc "Heavier again?
                    I guess the odd few pounds don't make too much difference,
                    and I don't look too bad considering.
                    I need to be careful though, or I'll end up huge."
        elif deltaLb > 0:
            # PC is heavier, but is okay with that.
            #
            $ deltaLim = pc.fatLim - pc.fat
            if evtCounters.isGte('pcImmobile', 1) and pc.getMass() > 381:
                pc "I've gained again and I'm torn.
                    On one hand I feel so sexy being heavier. I love these curves.
                    On the other hand I know I have to be really careful now
                    not to get too much heavier as I'm already struggling with my size.
                    "
            elif deltaLim > 20:
                if deltaLb == 1:
                    pc "Another pound heavier, another pound sexier!"
                else:
                    $ tmp = cardinal(deltaLb)
                    pc "Another [tmp] pounds heavier since I last weighed myself.
                        Every day, in every way, I get hotter and sexier!"
            elif deltaLim > 10:
                pc "I do like how I look,
                    and I don't mind that I'm a bit heavier.
                    I think it suits me."
            else:
                pc "I still like how I look,
                    but I've gained again and I don't want to get too much bigger."
        elif deltaLb < 0 and not (flags.isSet('dietStopGoal') or flags.isSet('dietStopWill') or flags.isSet('dietStopDays')):
            # PC is lighter, and isn't dieting or just finished one.
            #
            if pc.isDietConsider():
                # Wants to be lighter.
                #
                $ deltaLim = pc.fat - pc.fatLim;
                if deltaLim > max(20, pc.fat/8):
                    pc "I'm still a fat blob but at least I've lost a little.
                        I just need to keep it up."
                elif deltaLim > 10:
                    pc "I'm bigger than I'd like to be,
                        but at least I'm headed in the right direction."
                else:
                    pc "Almost there, just a little more to go,
                        and I'll be happy with how I look."
            else:
                # Thinks she looks better heavier.
                #
                $ deltaLim = pc.fatLim - pc.fat;
                if evtCounters.isGte('pcImmobile', 1) and pc.getMass() > 364:
                    pc "I've lost some weight and I'm torn.
                        On one hand I feel so sexy being heavier. I love my curves.
                        On the other hand I know I have to be careful about how
                        much weight I gain now."
                elif deltaLim > 20:
                    pc "Bum, I don't want to lose these curves I'm working so hard for.
                        I should have a bit of a binge out shouldn't I?"
                elif deltaLim > 10:
                    pc "I've lost weight? Really?
                        Come on [pc.name], you know you felt sexier when
                        you were heavier.
                        It's time to be a greedy girl."
                else:
                    pc "I still like how I look,
                        but I honestly thought I looked better with the extra weight.
                        I don't want to lose any more."

    # Thoughts before she heads downstairs.
    #
    call pcThoughts.morning from nw_gas_work_brk_morn_thoughts

    "
    You head downstairs for breakfast.
    "
    if dayFlags.isConsume('joeBed'):
        if flags.isSet('joePromise'):
            joe "Late for breakfast again [pc.name]?
                The same struggle?"
            if pc.isDiet():
                pc "Yes, but it is getting easier as the days go by."
            else:
                pc "Yes, but I am really {i}trying{/i} to shift the flab Joe."
                if cooldowns.isZero('joePromise'):
                    $ prompt = "I feel so bad about lying to him."
                    $ prompt += " And things aren't getting any easier."
                    $ prompt += " What should I do?"
                    $ prompt = addMenuAlt(prompt)
                    menu:
                        "[prompt]"
                        "Actually diet like I said I would":
                            "It's time to diet [pc.name]. You can't just keep getting fatter."
                            $ goalKg = 780/2.2
                            $ days = pc.getDaysToDietTo(goalKg)
                            $ pc.dietStart(days, goalKg)
                            $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
                        "Keep lying, I'll deal with my guilt":
                            if pc.isDietConsider():
                                "I know I ought to be dieting.
                                I'm getting far too big,
                                just not, you know, today."
                            else:
                                "He doesn't know I want to get even fatter,
                                and, as they say, what he doesn't know won't hurt
                                him. Yet."
                    $ cooldowns.set('joePromise', 5)
                else:
                    "I feel so bad about lying to him.
                    He's my best interests at heart really."
        else:
            joe "It's not like you to be late for breakfast [pc.name].
                Is everything all right?
                Did bed-gravity get the best of you this morning?"
            pc "I'm rather afraid it did. It took me a few goes to get sat upright."
            joe "[pc.name], you can't go on like this.
                You need to have a long hard think about what you're
                doing to yourself."
            pc "I, I know ..."
            joe "Do you though? I care a great deal about you [pc.name], and maybe
                I've been too soft? I need you to promise me you'll start to
                diet so I won't find you completely stuck one of these mornings."
            "
            His words hit you hard. It's quite a lot to take in, especially
            this early in the morning. Too fat to even get myself out of bed.
            The real question is, how do you feel about this?
            "
            $ prompt = addMenuAlt("Joe wants you to commit to a diet. Do you want to though?")
            menu:
                "[prompt]"
                "Yes, I have to do this":
                    "
                    This morning was really scary. What have I done to myself?
                    I need to stop myself from indulging, and before it's too late.
                    "
                    pc "You're right Joe. I'm sorry. I'm way too big and I've
                        been putting this off far too long. I promise I'm going
                        to diet, really diet, starting right now!"
                    $ goalKg = 780/2.2
                    $ days = pc.getDaysToDietTo(goalKg)
                    $ pc.dietStart(days, goalKg)
                    $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
                    joe "I won't lie [pc.name], it won't be easy. But you will
                        have support. Many of us here care about you."
                    pc "I know ... thank you, Joe."
                    "
                    My bad habits have nearly ended up making me an immobile
                    lump of lard. I've really got to start looking after myself
                    better.
                    "
                "Lie, I don't want to make that promise":
                    if pc.isDietConsider():
                        """
                        You know you've got to lose weight [pc.name], you already
                        feel too big, too fat, and too heavy as it is. But at the
                        same time you were brought up not to make promises you
                        might not be able to keep.

                        And, if your current girth is anything to go by, this
                        is going to be a hard one to keep. Of course there's
                        nothing stopping you cutting back just by making the
                        right choices.

                        You're not great at making the right choices are you
                        [pc.name]?
                        """
                    else:
                        """
                        No. I love being so big and so fat, and I {i}really{/i}
                        enjoy indulging myself. I know I said I would stop when my
                        size became a problem, but now I'm here I don't actually
                        want to.

                        I want more, {i}more{/i}, {b}more!{/b} And I know I always will.
                        More delicious food, more sexy fat and just more of [pc.name]!
                        """
                    $ tmp = pc.dietCount
                    if tmp == 0:
                        pc "Okay, Joe, I will {i}try{/i} to diet,
                            but I've never done it before."
                    elif tmp == 1:
                        pc "Okay, Joe, I will {i}try{/i} to diet,
                            and I did try once, but as you can see it didn't stick."
                    else:
                        $ tmp = ordinal(tmp+1)
                        pc "Okay, Joe, I will {i}try{/i} to diet,
                            but I warn you I'm not very good at it.
                            This will be my [tmp]."
                    joe "You aren't very convincing, [pc.name]. I'm serious, you
                        really need to make some changes."
                    pc "Yeah, I know, just go easy on me ... after all you
                        helped me get like this."
                    "
                    Joe flinches at your words like he has been slapped,
                    filling you with regret, filling your eyes with tears.
                    "
                    pc "I, I'm, I'm so, ... so very sorry.
                        I shouldn't have said that."
                    joe "No, don't apologize. You're not wrong. I haven't
                        exactly done much at all to curb your appetite over the
                        weeks and months. Even encouraged you at times."
                    "
                    You look at Joe and see his eyes are welling with tears too.
                    He hangs his head to hide it, and his whole body visibly
                    slumps in shame.
                    "
                    joe "Look, as I said, I care about you [pc.name], this
                        whole town cares about you. I know it won't be easy,
                        all I ask is that you try. No matter the result, you
                        will have our support."
                    pc "I ... thank you, Joe. I will try. I can't promise
                        anything though."
                    joe "Again, that's all I ask. I won't give up on you if you
                        fail."
                    if pc.isDietConsider():
                        "
                        That was rough. Maybe I ought to have made that promise
                        to him so he knows I'm committed, but I do have my
                        own moral code, and it would have been wrong of me to
                        do so. I musn't fail myself though.
                        "
                    else:
                        "
                        That was rough. Maybe one day I can just tell him how much
                        I enjoy this lifestyle? For now though, I'll leave it be.
                        I think he knows I'm not really committed. I'll have to
                        at least keep up the pretence around him though.
                        "
                        if not evtCounters.isZero('barSecondsJoe'):
                            "
                            Damn, that means no more second helpings at the bar
                            doesn't if [pc.name]? I'm regretting this 'promise'
                            already.
                            "
            # Either way I'm going to have to behave in front of Joe.
            $ flags.set('joePromise')
            call achievements.award('joePromise') from nw_gas_brk_joe_promise_award
    else:
        joe "I don't really cook, but I do breakfast.
            Got to start the day right."
    call joe.sizeNotice from nw_gas_work_brk_joe_size
    if not gt.isWeekend() and not pcClothes.has(gsize, ckWork):
        joe "It's a good job I already ordered a larger size work shirt
            with your name on!"
        $ pcClothes.buy(ckWork, gsize)
        if gsize == 5:
            pc "Thanks Joe, I'll change after breakfast.
                It will be nice to not have random people call me Sally too."
            call achievements.award('sallyTop') from nw_gas_work_brk_sally_award
        else:
            pc "Thanks Joe, I'll change after breakfast."

    if flags.isSet('joePromise'):
        pc "I'll skip the fry up Joe as I'm cutting back."
        if pc.getMass() <= 810/2.2:
            joe "Good girl. You've done so well getting your weight back under
                control. I'm proud of you."
            pc "I'm still very big Joe."
            joe "I know, but you're heading in the right direction."
            $ flags.clear('joePromise')
            call achievements.award('joeKept') from nw_gas_work_brk_joe_keep_award
        else:
            joe "Good girl. It's for the best."
        "
        You have some cereal and a slice of toast.
        "
        $ pc.eatMeal(0.01, 0.2)
    elif pc.isDiet():
        pc "Sorry Joe, but I'm trying to lose a bit of weight.
            I hope you don't mind if I skip the fry-up."
        "
        You have some cereal and a slice of toast instead.
        "
        $ pc.eatMeal(0.01, 0.2)
    else:
        "
        You help yourself to toast, [pmain], and eggs,
        then squeeze some ketchup on to your plate and tuck in.
        "
        $ pc.eatMeal(0.05, 0.3)
    $ gt.addHours(1)
    return



    # Second breakfast.
    #
label .breakfastTwo:
    $ dbgLog("nwGas.breakfastTwo")
    $ dayFlags.set('pcBfast2')
    $ renpy.dynamic('glutton', 'select', 'servings')
    $ glutton = pc.isGlutton()
    if pc.isDiet():
        pci "No, [pc.name], remember your diet? Let's not blow it with a second
            breakfast before you are even fully awake."
        return
    if not glutton and not pc.randomGreed(70, 100):
        pci "Are you really that greedy, [pc.name]?
            You just finished breakfast, and now you want another?
            Try to show at least some restraint!"
        return
    "
    More breakfast would be a nice idea, wouldn't it, [pc.name]?
    You head back into the little kitchen.
    "
    if flags.isSet('joePromise'):
        joe "Where are you going, [pc.name]?"
        pc "I was just going to ... I think I left something in the kitchen Joe."
        joe "I'm sure you didn't! Go on with you."
        pc "No, you're right, I can't see it."
        return

    # Serving sizes
    $ servings = 1
    if glutton:
        $ servings = 1.8
    elif pc.isGreedy(15) and pc.randomGreed(20, 90):
        $ servings = 1.5

    # Cook and eat.
    $ select = cookSkill.getLabel('frybfast', 'cook')
    call expression select pass (servings) from nwgas_bfast2_cook
    $ food.setMeal(True)
    $ select = cookSkill.getLabel('frybfast', 'eat')
    call expression select pass (servings) from nwgas_bfast2_eat
    call achievements.award('bfast2') from nwgas_bfast2_award
    $ gt.addHours(1)
    return



    # Check for wardrobe malfunction(s).
    #
label .checkClothes:
    $ renpy.dynamic('cKeyList', 'cKey', 'tightList', 'weekend')
    $ weekend = gt.isWeekend()

    # Clothing for day.
    if weekend:
        $ cKeyList = [ckBra, ckPanties, ckJeans, ckTshirt]
    else:
        $ cKeyList = [ckBra, ckPanties, ckJeans, ckWork]

    # Any too small?
    $ tightList = pcClothes.listAllNotList(gsize, cKeyList)
    if len(tightList) == 0:
        return False

    if len(tightList) == 1:
        $ cKey = tightList[0]
        if weekend:
            if cKey == ckBra:
                pc "Joe, the first thing I'm going to have to do today is to get,
                    um, a bigger bra. This one doesn't really fit anymore."
                joe "I was wondering about that, you are overflowing a bit."
            elif cKey == ckPanties:
                pc "Joe, the first thing I'm going to have to do today is to get,
                    um, some bigger panties. These don't really fit anymore."
                joe "I was wondering about that, they look uncomfortable."
            elif cKey == ckJeans:
                pc "Joe, the first thing I'm going to have to do today is to get,
                    um, a bigger pair of jeans. These don't really fit anymore."
                joe "I was wondering about that, they look skin tight!"
            else:
                pc "Joe, the first thing I'm going to have to do today is to get,
                    um, a bigger casual t-shirt. This one doesn't really fit anymore."
                joe "I was wondering about that, your belly is peeking out the bottom."
        else:
            if cKey == ckBra:
                pc "Joe, I'm going to have to pop out before work to get,
                    um, a bigger bra. This one doesn't really fit anymore."
                joe "I was wondering about that, you are overflowing a bit."
            elif cKey == ckPanties:
                pc "Joe, I'm going to have to pop out before work to get,
                    um, some bigger panties. These don't really fit anymore."
                joe "I was wondering about that, they look uncomfortable."
            elif cKey == ckJeans:
                pc "Joe, I'm going to have to pop out before work to get,
                    um, a bigger pair of jeans. These don't really fit anymore."
                joe "I was wondering about that, they look skin tight!"
            else:
                pc "Joe, I'm going to have to pop out before work to get,
                    um, a bigger casual t-shirt. This one doesn't really fit anymore."
                joe "I was wondering about that, your belly is peeking out."
    else:
        # Multiple wardrobe malfunctions!
        #
        if weekend:
            pc "Joe, the first thing I'm going to have to do today is to get,
                um, some bigger clothes. These don't really fit anymore."
        else:
            pc "Joe, I'm going to have to pop out before work to get,
                um, some bigger clothes. These don't really fit anymore."
        joe "I was wondering about that. They look skin tight!"
    call nwClothes from nw_gas_work_check_clothes
    return True



    # Pc getting dressed for work.
    #
label .dress:
    $ renpy.dynamic('bigger', 'biggerList', 'cKey', 'cKeyList', 'prog' ,'snug', 'tight', 'tightList', 'weekend')
    $ prog = sizeProgress(pc.getMass(), gsize)
    $ snug = prog >= 70
    $ tight = prog >= 90
    $ bigger = False
    $ weekend = gt.isWeekend()
    if weekend:
        $ cKeyList = [ckBra, ckPanties, ckJeans, ckTshirt]
    else:
        $ cKeyList = [ckBra, ckPanties, ckJeans, ckWork]

    # Check which sizes we have.
    #
    if not pcClothes.hasAllList(gsize, cKeyList):
        # Not all clothes fit. Concntrate on not-fitting ones and force "tight".
        $ tightList = pcClothes.listAllNotList(gsize, cKeyList)
        $ tight = True
    else:
        # All clothes fit somewhat. Use the day's clothing list.
        $ tightList = cKeyList.copy()
        # Might have bigger sizes? Remove those from the list.
        $ biggerList = pcClothes.listAllList(gsize+1, cKeyList)
        $ for cKey in biggerList: tightList.remove(cKey)
        # If all were removed a complete set of bigger sizes is available.
        if len(tightList) == 0:
            $ bigger = True
            $ tightList = cKeyList.copy()

    $ prompt = "your work shirt"
    if weekend:
        $ prompt = "a casual t-shirt"
        $ replaceEntry(tightList, ckTshirt, "casual t-shirt")
    elif gsize <= 2:
        $ prompt = "Sally's vast top"
    elif gsize == 3:
            $ prompt = "Sally's large top"
    elif gsize < 5 or gsize == 6 and not pcClothes.has(gsize, ckWork):
        $ prompt = "Sally's top"
        if len(cKeyList) > 1:
            $ replaceEntry(tightList, ckWork, "Sally's top")
    $ replaceEntry(tightList, ckWork, "work shirt")
    $ dbgLog("nwGas.dress: prog={} bigger={} snug={} tight={} tightList={} prompt={}".format(prog, bigger, snug, tight, commaList(tightList), prompt))
    if gsize <= 2:                  # Thin- Normal A-C
        "
        You put on your panties, bra, [prompt], and jeans ready to start the day.
        "
    elif gsize == 3:                # Plump D
        "
        You pull on your panties and note the softness of your tum.
        Then you put on your bra, [prompt], and jeans ready to start the day.
        "
    elif gsize == 4:                # Fat E
        "
        You pull on your panties wondering if they are best over or under your
        growing tummy. Then you squeeze yourself into your bra,
        put on [prompt],
        and wriggle your jeans over your chubby thighs and bum.
        "
    elif gsize == 5:                # Obese F
        "
        You pull on your panties, not that you can really see them past your
        growing paunch. And as big as it is, it in turn is obscured by your
        boobs. You heft the heavy girls into your bra which provides some
        support.
        "
        "
        Next you step into your jeans, and jump and jiggle until you've
        tugged them over your fat thighs and growing bum. Panting a little
        you finish with [prompt], at least that's not an effort.
        "
    elif gsize == 6:                # 240lb G
        "
        You pull on your panties, they're completely hidden by your belly,
        even when you look in the mirror. The girls are a real handful, more
        than a handful to be honest, and getting everything in place takes
        some time.
        "
        "
        Next you step into your jeans, and begin the morning struggle to
        get your fat legs, ass and belly into them. Panting,
        you finish with [prompt], then check yourself in the mirror.
        "
    elif gsize == 7:                # 300lb H bbw
        "
        You sit on a chair, ass against the back, and get first one foot, then
        the other into your panties, and pull them up to your knees. Next you
        do the same with your jeans. Heaving yourself up you tug, jiggle and
        wobble until your bottom half is covered.
        "
        "
        That leaves the top half, and you take a moment before dealing with
        stuffing yourself into your bra, pulling on [prompt], and adjusting
        yourself in the mirror.
        You are a big girl [pc.name].
        "
    elif gsize == 8:                # 400lb I
        "
        You sit on a chair, and get first one foot, then the other into your
        panties and jeans, and pull them up to your fat knees. The girls and your
        gut aren't helping; making it difficult to see what you are doing.
        Heaving yourself up you stand slightly breathless.
        "
        "
        Getting your fat into your jeans is one struggle, constraining the
        girls is another; they are really big, heavy, and uncooperative.
        Finally you pull on [prompt] and adjust everything.
        Not that it will make you look any smaller.
        "
    elif gsize == 9:                # 500lb J
        "
        As you sit down to start dressing the chair creaks in protest. You
        really could do with one for each fat buttock. Stand, tug, jiggle,
        pause, tug, wobble, pant, yank, shimmy, tug. This just takes longer
        and longer.
        "
        "
        The next part of your morning workout is getting your bounteous boobs
        ensconced in your huge bra. They are heavy and difficult to lift
        these days. Then it's just the matter of [prompt] ...
        "
    elif gsize == 10:               # 600lb K ssbbw
        "
        Having given up on the chair you flop on the bed to begin the panties
        and jeans struggle. It still surprises you how much you spread out.
        You are so wide and thick that it's getting hard
        to even reach the denim behind you to yank it over your fat ass.
        "
        "
        Flopping back on the bed, your round chin nestles between your tits.
        Getting those plush mounds of fat into their cups is the next battle.
        After that [prompt] is a walk in the park.
        "
    else:                           # 700++
        "
        Doorway filling girls really ought not to have to get dressed in
        small bedrooms. They need space. And assistants to deal with all
        the tugging, the bits that are almost out of reach, to provide
        sustinance, and pick up things that get knocked over.
        "
        "
        An extra pair of hands, actually make that two extra pairs of hands, would
        would make getting your sensitive head-sized udders into this expanse of bra
        easier too. Just [prompt] and you can squeeze downstairs for some food.
        "
    $ tmp = commaList(tightList, "is", "are")
    if tight and bigger:
        pc "My [tmp] feeling rather too tight, but I'll be fine.
            I already own larger ones I can use, but they'd be too big on me."
    elif tight and not bigger:
        pc "My [tmp] feeling rather too tight!
            I probably ought to do something about that sooner rather than later."
    elif snug and bigger:
        pc "My [tmp] feeling a little snug, but the larger ones I already
            have would be too loose."
    elif snug and not bigger:
        pc "My [tmp] feeling a little snug.
            Maybe it's time to go clothes shopping."
    return

    # Weekday end of work payment.
    #
label .weekDayCash:
    if gt.dayOw == 3:
        if flags.isConsume("joeThur"):
            joe "I probably forgot to mention that I always go out with friends on a Thursday night."
            pc "Oh, I didn't know that."
            joe "So the evening's your own to do as you wish.
                You can go to the bar on your own,
                maybe try the diner across the way,
                or go see that lad you met?"
            joe "I'll give you some extra spending money on top of your pay."
            pc "Thank you. Have a good evening Joe."
        else:
            joe "I'll be out again as it's Thursday,
                so here's a little extra cash."
            pc "Have a good evening Joe."
            joe "You too!"
        $ pc.earn(45)
    else:
        "
        Joe comes into the store at the end of the work day and hands
        you some cash for your day's work.
        "
        $ pc.earn(30)
    return


    # Weekday evenings, end of work.
    #
label .weekDayEve:
    if gt.dayOw == 3:
        call .eveningFree from nw_gas_eve_weekday_free
    else:
        if flags.isConsume('joeNewProject'):
            joe "I'm finally done with [gasDeck.msgM], let's go to the bar,
                I need a drink and some food."
        else:
            joe "I don't know about you,
                but I'm ready for a beer and something to eat."
        call nwBarEveJoe from nw_gas_eve_weekday_joe
        $ world.setLocHome()
        $ world.setDayOver()
    return

    # Free evening.
    # Force steve's tour on the first Thursday.
    #
label .eveningFree:
    if flags.isConsume("steveTour"):
        call steveTour from nw_gas_eve_weekday_steve_tour
        $ world.setDayOver()
    return

    # Getting home at the end of a day.
    #
label .welcomeHome:
    $ renpy.dynamic('caught')
    $ caught = pc.getFullness() > 100 and flags.isSet('joePromise')
    if gt.hour < 8:
        if caught:
            if pc.isDietConsider():
                "
                The place is silent, Joe must thankfully be asleep already, which
                means he won't notice how stuffed I am. I feel bad about lying to
                him and I really ought not to have eaten so much. I'll only end
                up even bigger and I don't want that.
                "
            else:
                "
                The place is silent, Joe must thankfully be asleep already, which
                means he won't notice how stuffed I am. I feel bad about lying to
                him, but good about how full I am.
                "
        else:
            "
            The place is silent, Joe must be asleep already.
            "
    elif gt.hour < 22:
        joe "You're back earlier than I expected. I hope everything is okay."
        pc "I'm just really tired out, and heading to bed."
        if caught:
            joe "Wait, are your jeans undone? Goddamnit [pc.name], you've
                been stuffing yourself again haven't you!"
            pc "I may have misjudged ..."
            joe "Misjudged? There are all kinds of diets out there girl,
                but none of them involve eating until it hurts."
        else:
            joe "Me too. Goodnight [pc.name], sleep well."
    else:
        joe "Good to see you back. I was just off to bed."
        if caught:
            joe "Wait, were you hoping I'd be asleep already?
                Goddamnit [pc.name], you've been stuffing yourself again
                haven't you!"
            pc "I may have eaten a little too much, sorry."
            joe "A little? Let's see you close that waistband then.
                You can't, can you?"
            pc "No. I can't."
            joe "[pc.name], look, if you have to unbutton yourself it's
                a sure sign that you've eaten too much!"
        else:
            pc "Me too!"
            joe "Goodnight [pc.name]"
            pc "Goodnight Joe."
    return

    # Getting to bed and sleeping.
    #
label .bedtime:
    $ renpy.dynamic('drunk', 'fullness', 'pissed')
    $ fullness = pc.getFullness()
    $ gsize = pc.gsize
    $ drunk = pc.drunk >= 4
    $ pissed = pc.drunk >= 6
    if gsize >= 11:
        "
        Stairs, the bane of your life, especially narrow ones like these.
        Hips rubbing against the handrail on one side and the wall on the
        other you waddle up one step at a time. Taking a couple of breathers
        along the way.
        "
        if pissed:
            "
            You wedge your way into Sally's room, peel your clothes off
            your fat form inch by inch, and toss them on the floor.
            The bed creaks ominously as you collapse into it.
            "
            if pc.randomBool(33):
                joe "Are you okay in there, [pc.name]?"
                pc "Fine, just a little uncoordinated. Sorry if I woke you."
        elif drunk:
            "
            You wedge your way into Sally's room, peel your clothes off
            your fat form inch by inch, and hang them on the floor.
            The bed creaks ominously as you collapse into it.
            "
        else:
            "
            You wedge your way into Sally's room, peel your clothes off
            your fat form inch by inch, and hang them up.
            "
            $ rnd = pc.random(0, 10)
            if rnd == 0:
                "
                Holding up your bra you realise once again just how big the cups are.
                You used to be able to fit your bras in a drawer,
                no chance of that now!
                "
            elif rnd == 1:
                "
                These panties are huge. You stretch them out and the waistband
                goes from your hand all the way to the shoulder.
                "
            elif rnd == 2:
                "
                It still suprises you how wide your jeans are compared to
                the leg length. You have got short legs, but the extra material
                to accomodate your thighs make them wider than they are tall.
                "
            "
            The bed creaks ominously as you flop into it.
            "
    elif gsize >= 8:
        "
        Life would be so much easier if your room wasn't upstairs.
        You waddle up, holding onto the handrail and then take a moment
        to catch your breath at the top.
        "
        if pissed:
            "
            Getting your clothes off is almost as much work as getting them
            on again. As you're trying to drunkenly get your jeans off your
            fat thighs you stumble and have to catch yourself.
            The bed creaks as you finally collapse into it.
            "
            if pc.randomBool(33):
                joe "Are you okay in there, [pc.name]?"
                pc "Fine, just a little uncoordinated. Sorry if I woke you."
        elif drunk:
            "
            Getting your clothes off is almost as much work as getting them
            on again and you consider just leaving them on. Peelling them off
            your fat form inch by inch, you hang them on the floor.
            The bed creaks as you collapse into it.
            "
        else:
            "
            Getting your clothes off is almost as much work as getting them
            on again. You fold them across the expanse of your chest and
            belly and hang them up before flopping into bed.
            "
    elif gsize > 4:
        if pissed:
            "
            You crawl upstairs, fat ass jiggling, tummy hanging low, to Sally's room.
            After shedding your clothes wherever, you flop into bed.
            "
        elif drunk:
            "
            You stagger upstairs, fat thighs rubbing, tummy jiggling,
            to Sally's room.
            After hanging your clothes on the floor, you fall into bed.
            "
        else:
            "
            You make your way upstairs, fat thighs rubbing, tummy jiggling,
            to Sally's room.
            After folding your outsize clothing, you hang them up and get into bed.
            "
    else:
        if pissed:
            "
            You crawl upstairs to Sally's room, shed your clothes, and fall into bed.
            "
        elif drunk:
            "
            You stagger upstairs to Sally's room, hang your clothes on the floor, and fall into bed.
            "
        else:
            "
            You make your way upstairs to Sally's room, hang up your clothes and get into bed.
            "

    call pcThoughts.night from nw_gas_bed_night_thoughts

    # Possible gluttony session or just sleeping?
    #
    if pc.isGluttonRdy() and cooldowns.isZero('pcGlutRdy') and not pc.isDietRestricted() and fullness > 100 and fullness <= 200:
        call nwGasGlutton from nw_gas_bed_gluttony
        $ fullness = pc.getFullness()
    elif fullness >= 100:
        "
        You toss and turn a while before getting comfy on your left side,
        and fall asleep.
        "
    else:
        "
        Sleep comes swiftly.
        "

    # Midnight munchies?
    #
    #if gt.hour < 4:
    if debug:
        dbg "midnight check fullness [fullness]"
    if fullness < 60:
        call nwGasNight from nw_gas_bed_mid_feast_starving
    elif fullness < 200 and (pc.isGlutton() and not pc.isDietRestricted() or pc.randomGreed(0, 75)):
        call nwGasNight from nw_gas_bed_mid_feast_not_stuffed

    return
