#
# Lunch from the garage shelves.
#
label nwGasLunch:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    $ gsize = pc.gsize
    $ mealsize = pc.getMealSize()

    # Testing
    #$ glutton = True
    #$ mealsize = 4

    if mealsize == 0:
        pc "It's lunchtime, but I'm really not hungry at all."
        return

    $ prompt = "Joe did say to help myself for lunch."
    $ food.clear()

    if mealsize > 1:
        if gsize < 2:
            $ prompt += " Skinny bitches gotta eat!"
        elif gsize > 7:
            $ prompt += " Even fecund goddesses gotta eat!"
        elif gsize > 3:
            $ prompt += " Even fat bitches gotta eat!"
    elif mealsize == 1:
        $ prompt += " And I'm ready for some food."

    $ foodMenuSeln = None
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    $ foodMenu.startClear(gasName)
    if glutton:
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood('burrito', "Burrito", 0, 2, True)
    $ foodMenu.addFood('chimichan', "Chimichanga", 0, 3, True)
    $ foodMenu.addFood('sandwich', "Simple sandwich", 0, 1, True)
    $ foodMenu.addFood('footlong', "BLT sub", 0, 2, True)
    $ foodMenu.addFood('salad', "Prepared salad", 0, 0, True)
    $ foodMenu.addFood('wrap', "One of the wraps", 0, 2, True)
    $ foodMenu.addFood('lasagna', "Sofia\'s lasagna", 0, 1, True, None, 0, True)
    $ foodMenu.addFood('lasagna2', "Big portion of Sofia\'s lasagna", 0, 2, True, 'lasagna', 0)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"

        'burrito' if 'burrito' in gasStore:
            pc "One of those burritos, would be nice and filling.
                I'll pop it in the microwave to heat it through first."
            $ food.add("burrito")

        'chimichan' if 'burrito' in gasStore:
            pc "One of those chimichangas, would be extra nice and filling.
                I'll pop it in the microwave to heat it through first."
            $ food.add("chimichan")

        'sandwich':
            pc "Ham and cheese will do."
            $ food.add("sandwich")

        'footlong':
            pc "Something fresh and filling for me with lots of mayo."
            $ food.add("footlong")

        'salad' if not counters.isZero('gasSalad') or 'salad' in gasStore:
            pc "A salad will keep the hunger pangs at bay without
                having too many calories."
            $ food.add('salad')
            if not 'salad' in gasStore:
                $ counters.dec('gasSalad')

        'wrap' if 'wraps' in gasStore:
            $ prompt = addMenuAlt("But which one?")
            menu:
                "[prompt]"
                "BBQ pork":
                    pc "A taste of a good ole BBQ, but healthy with salad."
                "Chilli chicken":
                    pc "One of those chilli chicken wraps with the Thai flavours."
                "Falafel":
                    pc "A falafel one with it's delicious crunch, heat and spice."
            $ food.add('wrap')

        'lasagna' if not counters.isZero('gasLasagna'):
            pc "Some of Sofia's lasagna would be a nice treat.
                I can warm it through in the kitchen microwave."
            $ food.add('lasagna')
            if counters.dec('gasLasagna') == 0:
                pc "That was the last piece."

        'lasagna2' if counters.get('gasLasagna') >= 2:
            pc "A generous helping of Sofia's lasagna would be a nice treat.
                I can warm it through in the kitchen microwave."
            $ food.addScale('lasagna', 2)
            if counters.add('gasLasagna', -2) == 0:
                pc "That was the last of it."

        'nothing':
            if pc.isDiet():
                pc "Maybe skipping lunch will help me shift some fat?"
            else:
                pc "I'm just not in the mood."
    $ foodMenu.addMealAcc(foodMenuSeln)

    $ prompt = addMenuAlt("I'll need a drink.")
    $ foodMenu.start(gasName)
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addFood('coffee', "A mug of coffee", 0, 0, True)
    $ foodMenu.addFood('coke', "A can of coke", 0, 0, True)
    $ foodMenu.addFood('cokez', "A can of diet coke", 0, 0, True)
    $ foodMenu.addFood('cokept', "A larger bottle of coke", 0, 1, True)
    $ foodMenu.addFood('cokeptz', "A larger bottle of diet coke", 0, 1, True)
    $ foodMenu.addFood('icedtea', "A bottle of iced tea", 0, 1, True)
    $ foodMenu.addFood('creampt', "A pint of cream", 0, 3, True)
    $ foodMenu.addNothing(not glutton, "Water")
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"

        'coffee':
            pc "Something to keep me alert for the afternoon."
            $ food.add('coffee')
            $ pc.useEnergy(-1)

        'coke':
            pc "Nothing is quite as refreshing cold can of coke."
            $ food.add("coke")

        'cokez':
            pc "Diet coke isn't quite the same, but it will have to do."
            $ food.add("cokez")

        'cokept':
            pc "Coke is refreshing, but I'm so thirsty that more will be more refreshing."
            $ food.add("cokept")

        'cokeptz':
            pc "Diet coke isn't quite the same, but you are really thirsty."
            $ food.add("cokeptz")

        'icedtea' if 'icedtea' in gasStore:
            pc "A large bottle of sweet iced tea."
            $ food.add("icedtea")

        'creampt' if gsize >= 6 and pc.isGreedy(60):
            pc "It's a liquid, so it's a drink right? And I do love my cream."
            $ food.add('creampt')

        'nothing':
            if pc.isDiet():
                pc "No soda for the girl on a diet."
            else:
                pc "Cool refreshing water."
            $ food.add("water")
    $ foodMenu.addMealAcc(foodMenuSeln)

    $ prompt = addMenuAlt("Something for a sweet tooth?")
    $ foodMenu.start(gasName)
    if glutton:
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood('cake', "A piece of cake", 0, 2, True)
    $ foodMenu.addFood('chocs', "A small bar of chocolate", 0, 1, True)
    $ foodMenu.addFood('chocm', "A king sized chocolate bar", 0, 2, True)
    $ foodMenu.addFood('chocl', "A family sized bar of chocolate", 0, 3, True)
    $ foodMenu.addFood('icecreampt', "A pint of ice cream", 0, 4, True)
    $ foodMenu.addFood('peanuts', "Bag of peanuts", 0, 1, True)
    $ foodMenu.addFood('peanutm', "Sharing bag of peanuts", 0, 2, True)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"

        'cake' if 'cakes' in gasStore:
            if pc.isGreedy(20) and (glutton or pc.randomGreed(20, 90)):
                pc "A piece of cake would be nice, but two would be nicer."
                $ food.addScale('cake', 2)
                $ pc.addGreed(0.1)
            else:
                pc "A piece of cake would be nice."
                $ food.add('cake')

        'chocs':
            pc "Chocolate, my one true friend."
            $ food.add("chocs")

        'chocm':
            pc "Chocolate, come to [pc.name]. I shall always love you."
            $ food.add("chocm")

        'chocl' if gt.dayNum > 7:
            pc "This is the biggest bar we sell, I can't resist it!"
            $ food.add("chocl")

        'icecreampt' if gsize >=5 and pc.isGreedy(40):
            pc "I think some triple choc would be so yummy. I deserve it!"
            $ food.add("icecreampt")
            $ counters.inc('gasIcecream')

        'peanuts':
            pc "Nuts, an excellent source of protein."
            $ food.add("peanuts")

        'peanutm':
            pc "Nuts, I probably ought not to eat all of these."
            $ food.add("peanutm")

        'nothing':
            if pc.isDiet():
                pc "Damn I want chocolate so bad."
                if pc.isDietUnrestricted():
                    pc "Well, it is a cheat day, and I deserve some, it's
                        calling to me."
                    $ food.add('chocm')
                elif pc.testDietWill():
                    pc "No, I must not. I have to stick to my diet."
                elif flags.isConsume('dietStopWill'):
                    pc "I hate dieting, and I've had enough. I'm done!"
                    "You snatch one of the family sized bars off the shelves."
                    pc "I am going to eat every square of this, and I don't care
                        what anyone thinks!"
                    $ food.add('chocl')
                else:
                    pc "I can't live without it's sweet goodness.
                        Today is going to be a cheat day, and it's starting with
                        that bar of chocolate.
                        Come to [pc.name] my one true love."
                    $ food.add('chocm')
            else:
                pc "I shall be virtuous, and abstain."
    $ foodMenu.addMealAcc(foodMenuSeln)

    if food.fat >= 0.40:
        pc "That's a very fattening feast I've chosen!"
    elif food.fat >= 0.20:
        pc "Quite the fattening feast I've chosen!"
    elif food.full >= 0.8:
        pc "This should certainly tide me over till evening!"

    $ food.setMeal(True)
    $ foodMenu.resetMealAcc()
    $ pc.eatFood(food)
    $ pc.useEnergy(1)
    $ gt.addHours(1)

    return
