#
# Midnight snack.
#
label nwGasNight:
    # dbg "nwGasNight"
    $ renpy.dynamic('oneForBed')
    $ oneForBed = False

    # 1am or an hour after sleeping.
    #
    if gt.hour < 7:
        $ gt.addHours(1)
    else:
        $ gt.addHours(25 - gt.hour)

    $ tmp = cardinal(gt.hour)
    if evtCounters.isLte('gasNight', 5):
        """
        You wake, hungry. It's still dark out, so you check the time.
        It's [tmp] in the morning.

        You try and get back to sleep, but you can't.
        You are going to have to find something to eat.

        There's not much to be had in the kitchen though.
        And you don't want to wake Joe by clattering about making a
        fry-up.

        Besides if the noise didn't wake him, the smell of bacon would.
        Well, it wakes you up without fail.
        Maybe not everyone is the same?

        Then your thoughts turn to the shop, and it's shelves laden
        with goodies. That'll do.
        """
    else:
        """
        You wake, hungry. It's still dark out, so you check the time.
        It's [tmp] in the morning.
        Only one thing can help now: those treat
        laden shelves in the shop.
        """
    $ evtCounters.inc('gasNight')
    if pc.isDietRestricted():
        $ prompt = addMenuAlt("This is a bad idea {}".format(pc.name))
        menu:
            "[prompt]"
            "Resist!":
                if pc.testDietWill():
                    pc "I'll be careful and only have a small something so I can sleep."
                elif flags.isConsume('dietStopWill'):
                    pc "I hate dieting. I hate not being able to sleep.
                        I've had enough of dieting.
                        I'm going to eat what I want,
                        and then I'm going to sleep."
                else:
                    pc "I can't stand it.
                        I'm too tired and too hungry!"
    elif pc.cheatDay:
        "I know technically it's past midnight,
        but it's still the same cheat day in my book."

    $ mealsize = pc.getMealSize()
    $ gsize = pc.gsize
    $ tmp = pc.locoVerb()
    if gsize >= 10:
        "
        You squeeze yourself out the bedroom door, and [tmp] downstairs.
        Excited about the idea of a furtive feast.
        "
    else:
        "
        You [tmp] downstairs.
        Excited about the idea of a furtive feast.
        "

    # Go for a stuffing session?
    #
    if not pc.isDiet():
        if flags.isSet('pcStuffExp') or pc.isStuffing() and cooldowns.isZero('pcStuffing') and pc.randomStuffing(10, 18):
            call nwGasNightStuff from nw_gas_night_stuffing
            return

label .choice:
    $ renpy.dynamic('chosen', 'glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    $ foodMenu.resetMealAcc()
    $ foodMenu.start(gasName)
    if glutton:
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood('cake', "A piece of cake", 0, 2, True)
    $ foodMenu.addFood('chocs', "A small bar of chocolate", 0, 0, True)
    $ foodMenu.addFood('chocm', "A bigger bar of chocolate, obviously", 0, 1, True)
    $ foodMenu.addFood('chocl', "A family sized bar of chocolate", 0, 2, True)
    $ foodMenu.addFood('icecreampt', "A pint of ice cream", 0, 2, True)
    $ foodMenu.addFood('peanuts', "Bag of peanuts", 0, 0, True)
    $ foodMenu.addFood('peanutm', "Sharing bag of peanuts", 0, 2, True)
    $ foodMenu.addFood('lasagna', "Sofia\'s lasagna", 0, 1, True, None, 0)
    $ foodMenu.check()
    
    $ chosen = False
    while not chosen:
        $ prompt = addMenuAlt("What do you want to snack on?")
        menu (foodMenu, screen="foodMenu"):
            "[prompt]"
            'cake' if 'cakes' in gasStore:
                if pc.isGreedy(20) and (glutton or pc.randomGreed(20, 90)):
                    pc "A piece of cake would be nice, but two would be nicer."
                    $ food.addScale('cake', 2)
                    $ pc.addGreed(0.1)
                else:
                    pc "A piece of cake would be nice."
                    $ food.add('cake')
                $ chosen = True

            'chocs':
                "It's an easy choice, you do like your chocolate.
                Each square melts in your mouth, but it is soon gone."
                $ food.add("chocs")
                $ chosen = True

            'chocm':
                "You do like your chocolate, and more is more!
                Each square melts in your mouth, but before long it is gone."
                $ food.add("chocm")
                $ chosen = True

            'chocl':
                $ food.add("chocl")
                $ tmp = pc.adjArse()
                $ prompt = ", which creaks a little," if gsize >=9 else ""
                """
                If you are going to have a midnight feast,
                it might as well be a feast!
                And you need to be comfy.

                You sit your [tmp] ass on the counter[prompt] and
                savour square after square of heavenly chocolate
                in mindless bliss.
                """
                $ pc.addGreed(0.2)
                $ chosen = True

            'icecreampt':
                "Your eyes stray to the freezer, and the tubs of ice cream."
                $ prompt = addMenuAlt("Are you really going to do this {}? A whole pint?".format(pc.name))
                menu:
                    "[prompt]"
                    "Yes, is there really any doubt?" if glutton:
                        pc "I am a gluttonous greedy girl who really wants ...
                            yes, a pint of triple chocolate ice cream.
                            Chocolate {i}and{/i} cream, two of my favourite things!"
                        call .iceCream from nw_gas_night_icecream_glutton
                        $ chosen = True
                    "Yes, it's a midnight feast!" if not glutton:
                        pc "I am a greedy girl who really wants ...
                            yes, a pint of triple chocolate ice cream.
                            Chocolate {i}and{/i} cream, two of my favourite things!"
                        call .iceCream from nw_gas_night_icecream
                        $ chosen = True
                    "No, it would be really piggy!" if glutton:
                        pci "That's right, [pc.name]. It would be really piggy."
                        pc "But, but, I am a piggy, aren't I!
                            A piggy who really wants a pint of
                            triple chocolate ice cream. Oink.
                            Chocolate {i}and{/i} cream, two of piggy's favourite things!"
                        call .iceCream from nw_gas_night_icecream_glutton_not
                        $ chosen = True
                    "No, it would be really piggy!" if not glutton:
                        "That's right, it would be really piggy."

            'peanuts':
                "It's perhaps a healthier choice than some of your other options,
                and you munch away."
                $ food.add("peanuts")
                $ chosen = True

            'peanutm':
                "Looking for something substantial, but slightly healthier
                than some of the other options, you find a big bag of peanuts
                and just start munching and munching."
                $ food.add("peanutm")
                $ chosen = True

            'lasagna' if not counters.isZero('gasLasagna'):
                pc "Some of Sofia's lasagna would be a nice treat.
                    I can warm it through in the kitchen microwave
                    without making too much noise."
                $ food.add('lasagna')
                if counters.dec('gasLasagna') == 0:
                    pc "That was the last piece."
                $ chosen = True
    # End of while not chosen.
    $ pc.eatFood(food)
    $ pc.addGreed(0.1)

    if oneForBed:
        "
        You carry your prize back upstairs, flop heavily on the bed, and after
        getting comfortable indulge in it's fattening chocolatey goodness.
        Each spoonful feels so decadent and luxurious. What would it be like
        to just lie around in bed and eat all day?
        "
        pc "No, [pc.name], those are dangerous thoughts! Aren't they?"
        $ tmp = pc.adjBloat()
        "
        With the tub empty you put it on the nightstand and lie your head down
        on the pillow.
        Disposing of the evidence is future [pc.name]'s problem.
        You are asleep in seconds, one hand resting on your [tmp] belly.
        "
    else:
        if gsize >= 9:
            $ prompt = "waddle your {}".format(pc.adjBloat())
        else:
            $ prompt = "take your {}".format(pc.adjBloat())
        "
        Satisfied, you are able to [prompt] tummy back to bed and fall asleep again.
        "
    return

    # Ice cream!
    #
label .iceCream:
    $ food.add("icecreampt")
    $ counters.inc('gasIcecream')
    $ tmp = pc.adjArse()
    $ prompt = ", which creaks a little" if gsize >=9 else ""
    "
    Sitting your [tmp] ass on the counter[prompt],
    you eat spoon after spoon of it.
    Mouth full, mind empty, save the delicious flavour,
    until you reach the bottom.
    "
    $ pc.eatFood(food)
    $ mealsize = pc.getMealSize()
    if mealsize >= 3 and gsize >= 8:
        call .moreIceCream from nw_gas_night_more_icecream
    else:
        pc "Well, I should be able to sleep now!"
    $ pc.addGreed(0.2)
    return


    # More ice cream!
    #
label .moreIceCream:
    if pc.isGlutton():
        pc "Well, that was tasty, but I'm still not exactly
            full enough. I {i}need{/i} more ice cream.
            How about some cookie dough?
            That ought to be enough, right?"
        "
        Carrying your second tub back to the counter you
        heft yourself back up, and mindlessly consume
        that one too.
        "
        $ food.add("icecreampt")
        $ counters.inc('gasIcecream')
        $ pc.addGreed(0.1)
        if pc.randomGreed(0, 60):
            pc "No, thinking about it,
                I really am more of triple chocolate girl."
            "
            Another pint of triple chocolate is waiting for you in the freezer,
            so you grab it.
            "
            $ food.add("icecreampt")
            $ counters.inc('gasIcecream')
            $ oneForBed = True
            $ pc.addGreed(0.1)
        else:
            pc "Well, I should certainly be able to sleep now!"
    elif pc.randomGreed(0, 60):
        pc "Well, that was tasty, but I'm still not exactly full."
        $ prompt = addMenuAlt("What to do? There's plenty more ice cream in the freezer.")
        menu:
            "[prompt]"
            "Have another?":
                pc "I {i}need{/i} more ice cream. How about some cookie dough?
                    That ought to be enough, right?"
                "
                Carrying your second tub back to the counter you
                heft yourself back up, and mindlessly consume
                that one too.
                "
                $ food.add("icecreampt")
                $ counters.inc('gasIcecream')
                $ pc.addGreed(0.1)
                pc "Well, I should certainly be able to sleep now!"
            "That's enough girl":
                pc "See? I do have some self-control around food.
                    I should get back to bed.
                    It would have been nice though."
    return
