#
# Joes gas station projects and parts.
#

# The project list. Each entry has:
# - the name of the project
# - a list of part tuples (name, parcel)
# - a new project flag
#
define joeProjects = [
    (
        "that old clunker",
        [
            ("air filter", "large but light box"),
            ("fuel line filter", "small box"),
            ("hood release cable", "large bag"),
            ("upper radiator hose", "bent rubber hose"),
        ],
        True
    ),
    (
        "that old clunker",
        [
            ("alternator", "heavy box"),
            ("car battery", "on"),
            ("distributor cap", "small box"),
            ("distributor points", "tiny box"),
            ("ignition coil", "small box"),
            ("spark plugs (set)", "small box"),
        ],
        False
    ),
    (
        "that old clunker",
        [
            ("shock absorber", "long heavy box"),
            ("brake pads (set)", "small dirty box"),
            ("brake line", "small bent pipe"),
            ("brake fluid", "small bottle"),
            ("hubcap", "on"),
            ("lug nuts", "plastic bag of nuts"),
            ("tire", "floor"),
        ],
        False
    ),
    (
        "that old clunker",
        [
            ("exhaust hanger bracket", "bent bit of metal"),
            ("muffler", "against"),
            ("weatherstripping", "coil of rubber stuff"),
            ("welding rods", "small long but heavy box"),
        ],
        False
    ),
]

init python:

    # Get the next delivery part.
    # Result is a tuple with part name, and container.
    # Calls restockGasParts if the parts deck is empty.
    #
    def nextGasPart():
        if debug:
            dbg("nextGasPart")
        if gasDeck.isEmpty():
            restockGasParts()
        return gasDeck.draw()

    # Restocks the gasDeck with new parts.
    # Advances the evtCounter 'joeProject', wrapping around at the end.
    # If the project has the new project flag set store the old project
    # name in the deck and set the 'joeNewProject' flag.
    #
    def restockGasParts():
        if debug:
            dbg("restockGasParts")
        lastProj = joeProject()
        idx = evtCounters.inc('joeProject') - 1
        if idx == len(joeProjects):
            idx = 0;
            evtCounters.set('joeProject', 1)
        partList =  joeProjects[idx][1]
        for partTuple in partList:
            gasDeck.add(partTuple)
        if joeProjects[idx][2]:
            gasDeck.msgM = lastProj
            flags.set('joeNewProject')
        return

    # Get the name of Joe's current project.
    #
    def joeProject():
        idx = evtCounters.get('joeProject') - 1
        if idx < 0:
            idx = 0;
        return joeProjects[idx][0]
