#
# Working the gas station till.
#
label nwGasWork:
    call .work from nw_gas_work_work
    $ pc.useEnergy(2)
    $ gt.addHours(4)
    return

    # Do some work.
    #
label .work:
    $ gsize = pc.gsize
    $ picker.start('nwGasWork')
    # Either the morning or afternoon event can involve NPCs.
    #
    if gt.hour < 12:
        $ rnd = pc.randomBool(50) and dayCounters.isFirst('gsEvent')
    else:
        $ rnd = not dayCounters.isOne('gsEvent')
    if rnd:
        call .workDiff from nw_gas_work_diff
        if _return:
            return

    if gt.hour >= 12 and flags.isSet('nicolaGas'):
        $ picker.addLabel('nwGasWorkNicola', '.nicolaGas', 100, 200)

    if gsize >= 2:
        $ picker.addLocal('.myWeight')

    if pc.isGlutton() and not pc.isStuffing() and not flags.isSet('pcStuffExp'):
        $ picker.addLocal('.stuffing')

    $ picker.addLocal('.brownout')
    $ picker.addLocal('.cosmo')
    $ picker.addLocal('.icecream')
    $ picker.addLocal('.outOfDate')
    $ picker.addLocal('.topShelf')

    # Non-event
    $ picker.addLocal('.dull', 200, 20)

    # Reg.
    #
    $ picker.addOption('nwGasWorkReg.delivery')
    if reg.isRomance() and pc.gsize >= 10 and not pc.isDietImmob() and cooldowns.isZero('regDate') and not gt.existsEventFor('swRegDate'):
        if reg.isDate():
            $ picker.addOption('nwGasWorkReg.dateBuffet')
        else:
            $ picker.addOption('nwGasWorkReg.dateBuffet', 100, 200)

    # Pick event.
    #
    $ select = picker.choose(gasWorkLru, 6, 2, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from nw_gas_work_dyn
        else:
            dbg "In gasWork.work: selected label \"[select]\" was not found."
    return


    # Random workday events
    #
label .workDiff:

    # Who else is here?
    # Only include romantic partners and only after day 6.
    # More than one flag can get set.
    #
    $ clearHere()
    if gt.dayNum > 6:
        $ whoIsHereAny(20, 40, 90, True, sofia, steve)

    # De-dup
    # Choose the more romantic partner 2/3rds of the time.
    #
    if steveHere and sofiaHere:
        if (steve.romance > sofia.romance) and pc.randomBool(33):
            $ sofiaHere = False
        else:
            $ steveHere = False

    # $ steveHere = True
    # $ sofiaHere = True
    # Divert if person here.
    #
    if debug:
        dbg "steve=[steveHere] sofia=[sofiaHere]"
    if steveHere:
        call nwGasWorkSteve from nw_gas_work_diff_steve
        if _return:
            return True

    if sofiaHere:
        call nwGasWorkSofia from nw_gas_work_diff_sofia
        if _return:
            return True

    return False


    # Random but conditional events.
    #
label .rndCond:
    # dbg "nwGasWork.rndCond"
    $ rnd = pc.random(0,1)

    #    if rnd == 1:
    #        call .fountain from nw_gas_work_rnd_cond

    return False



label .brownout:
    "
    Without any warning the lights go out and the place falls silent.
    You are so used to the radio being on and the background noise of
    the fridge and freezer running it seems really odd.
    "
    pc "Bugger!"
    "
    The pumps won't run without power so you decide to take a chair outside
    and sit in the sun with a magazine.
    When someone does pull up you quickly explain the problem.
    "
    "
    A couple of hours pass before the power comes back on.
    "
    return

label .cosmo:
    "
    After an initial rush things seem to have gone quiet.
    You amuse yourself by doing one of those quizes in a
    woman's magazine, and toting up your answers:
    "
    $ gsize = pc.gsize
    if gsize >=3:
        if pc.isDiet() or pc.isDietConsider():
            """
            Mostly 'A's:
            \nFeeling frumpy?
            Our Mediterranean diet pull-out will get you ready for summer.

            Italy is on the Mediterranean, yet my pizza and pasta diet isn't
            really helping.
            """
            $ pc.addMood(-0.1)
        else:
            "
            Mostly 'D's:
            \nYou are a sexy voluptous woman who knows what she wants!
            Check out the decedently rich Sachertorte recipe on p.113.
            "
            if 'cakes' in gasStore:
                "
                You flick to the recipe section, and damn that looks good!
                Chocolate craving awoken you need some, and now!
                Taking a slice of German chocolate cake from the display
                you eat it. Okay, so it's not Sachertorte but it's still
                good.
                "
                $ food.add('cake')
            else:
                "
                You flick to the recipe section, and damn that looks good!
                Chocolate craving awoken you need some, and now!
                Just a little something from the shelves ...
                "
                if pc.isGlutton():
                    $ food.add('chocl')
                elif pc.isGreedy(15):
                    $ food.add('chocm')
                else:
                    $ food.add('chocs')
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
    else:
        if pc.isDiet() or pc.isDietConsider():
            if gsize == 0:
                $ tmp = "quite a bit bigger"
            elif gsize == 1:
                $ tmp = "a bit bigger"
            else:
                $ tmp = "slightly bigger"
            """
            Mostly 'C's:
            \nWorried about your weight?
            You shouldn't be.
            Our survey (p.42) shows most men prefer their partners
            curvier than women expect.

            The survey has two photos:
            on the left a wierd composite photo of a skinny girl
            supposedly chosen by women,
            on the right a decidedly curvier one chosen by men.

            The men's one is decidedly curvier, and [tmp] than you.
            I guess that's you told then.
            """
            $ pc.addLim(0.5)
        else:
            """
            Mostly 'B's:
            \nFit, trim, and ready for the beach!
            In this issue (p.76) our travel section highlights
            beauty and history of the Amalfi coast.

            It does look stunning, a shame it's thousands of miles
            away and way beyond your budget.
            """
            $ pc.addMood(0.1)
    "Huh. Who knew these things could ever be right?"
    return

    # Dullness and drudgery.
label .dull:
    "
    The time passes uneventfully:
    serving customers,
    refilling the shelves,
    and listening to the local radio station.
    "
    return


label .icecream:
    $ renpy.dynamic('glutton', 'greed')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    """
    As you are filling the shelves up you come across yet another item
    an inconsiderate customer has put down in the wrong place.
    Usually it's simple enough to return them, but this time it's
    a whole pint of ice cream.

    You pick it up and it's decidedly soft!
    There's no way you can put this back on sale,
    it will go all gritty when it re-freezes.
    What to do?
    [pc.name], you wouldn't ...?
    """
    $ greed = 0
    $ opt = pc.randomGreed(0, 80) and not pc.isDietHard() # and pc.isDietUnrestricted()
    $ greed += opt
    if not opt:
        $ prompt = "What to do with this ice cream?"
        $ prompt = pc.appendPrompt(prompt, gt.hour, pc.getMealSize())
        menu:
            "[prompt]"
            "Just have a little taste of it":
                $ pass

            "Resist this temptation" if pc.isDietRestricted():
                if pc.testDietWill():
                    "With grim determination you throw it in the trash."
                    return
                elif flags.isConsume('dietStopWill'):
                    "In that moment, faced with this creamy treat,
                    you give up on the idea of dieting."
                else:
                    "The temptation is too great, today is now a cheat day."

            "Bin this deliciousness" if glutton:
                "Who are you kidding, [pc.name]? There's no way you're not
                eating this!"

            "Bin this deliciousness" if pc.isDietUnrestricted() and not glutton:
                "With some reluctance you throw it in the trash."
                return
    elif pc.isDietRestricted():
        $ pc.decWill()
        if flags.isConsume('dietStopWill'):
            "In that moment, faced with this creamy treat,
            you give up on the whole idea of dieting."
        else:
            "The temptation is too great, today is now a cheat day."
    "
    You find a spoon, open the tub and just have a little.
    It's cookie dough, one of your favourites.
    Not that you've ever had an ice cream you didn't like.
    "
    $ food.addScale('icecreampt', 0.33)
    $ pc.eatFood(food)
    $ opt = pc.randomGreed(0, 80) and pc.isDietUnrestricted()
    $ greed += opt
    if not opt:
        $ prompt = addMenuAlt("You've eaten about a third of it, so it's time to stop, right?")
        menu:
            "[prompt]"
            "Just a little more won't hurt" if not pc.isDietImmob():
                $ pass

            "Enough is enough":
                "With some reluctance you throw the remains in the trash."
                return
    $ pc.addGreed(0.1)
    "
    It is rather good, and oh-so creamy.
    You'll just have another couple of spoonfuls or three.
    "
    $ food.addScale('icecreampt', 0.33)
    $ pc.eatFood(food)
    $ opt = pc.randomGreed(0, 80) and pc.isDietUnrestricted()
    $ greed += opt
    if not opt:
        $ prompt = addMenuAlt("You've eaten about two thirds of it, that's more than enough, right?")
        menu:
            "[prompt]"
            "But, there's hardly any left now":
                $ pass

            "Enough is enough [pc.name]. [pc.name]?":
                "With some reluctance you throw what little remains in the trash."
                return
    $ food.addScale('icecreampt', 0.34)
    $ pc.eatFood(food)
    $ pc.addGreed(0.2)
    $ counters.inc('gasIcecream')
    """
    Before you know what you've done, the tub is empty.
    Ooops. Eating a whole tub of ice cream wasn't the plan!

    As you are about to dispose of the evidence,
    you notice the nutritional information: 1000 calories.
    That's half of what you should eat in a whole day!
    """
    if greed == 3:
        call achievements.award('ateWhole') from nw_gaw_work_icecream_award
    if pc.greed <= 25:
        pc "[pc.name], you've been a little pig."
    else:
        $ tmp = pc.greedyGirlPhrase()
        pc "[pc.name], you've been a [tmp]."
    return

    # PC considers her weight.
    #
label .myWeight:
    $ renpy.dynamic('bodypart', 'deltaDn', 'deltaUp')
    $ gsize = pc.gsize
    #
    # Adjustment up: 0.6lb to 2.2lb at 260lbs and above
    #
    $ deltaUp = max(0.3, min(1.0, int(round(pc.fatLim / 10)) / 10.0))
    #
    # Adjustment down: 2.2lb to 33lb at 434lbs and above
    #
    $ deltaDn = -2.0 * max(0.5, min(7.5, int(round(pc.fatLim / 2.1)) / 10.0))
    #
    # Pick random body part.
    #
    $ rnd = pc.random(0, 3)
    if rnd == 0:
        $ bodypart = pc.adjBoob() + " breasts"
    elif rnd == 1:
        $ bodypart = pc.adjBelly() + " tummy"
    else:
        $ bodypart = pc.adjArse() + " bum"
    if pc.isDiet():
        "
        During a quite moment when there are no customers in the store,
        you reflect about your weight gain, your [bodypart],
        and how you've had to start dieting.
        "
        $ prompt = addMenuAlt("Am I unhappy with my weight?")
        menu:
            "[prompt]"
            "Yes, I am too fat":
                $ pc.addLim(deltaDn)
                pc "I'm already dieting, I just need to strengthen my resolve."
                $ pc.dietWill = min(90, pc.dietWill + 10)
            "Maybe, I don't know":
                pc "I'm not really sure how I feel about it.
                    Sure, I'm heavier than I was, but maybe it's not too bad?"
            "No, it's not so bad":
                $ pc.addLim(deltaUp)
                if pc.isDietConsider() or pc.isDietHard():
                    pc "Maybe I'm being too harsh on myself. It's no so bad.
                        I still need to shift some more of this flab though."
                else:
                    pc "Maybe I'm being too harsh on myself. It's no so bad.
                        I actually feel okay with my weight."
                    $ prompt = addMenuAlt("I actually feel okay about my weight, so why am I dieting?")
                    menu:
                        "[prompt]"
                        "I should stick with my diet":
                            pc "You've started a diet, [pc.name], so you might as
                                well finish it."
                        "It makes no sense, I should just stop":
                            pc "This hunger must have addled you brain, [pc.name].
                                Just give up on the diet!"
                            $ pc.dietStop()
    elif pc.isDietConsider():
        "
        During a quite moment when there are no customers in the store,
        you reflect about your weight gain, your [bodypart],
        and how you don't feel good about yourself anymore.
        "
        $ prompt = addMenuAlt("Am I unhappy with my weight?")
        menu:
            "[prompt]"
            "Yes, I am too fat":
                $ pc.addLim(deltaDn)
                $ flags.set('pcThinkDiet')
                pci "[pc.name] you really do need to do something about your weight."
            "Maybe, I don't know":
                pc "I'm not really sure how I feel about it.
                    Sure, I'm heavier than I was, but maybe it's not too bad?"
            "No, it's not so bad":
                $ pc.addLim(deltaUp)
                if pc.isDietConsider() or pc.isDietHard():
                    pc "Maybe I'm being too harsh on myself. It's no so bad.
                        I still need to shift some more of this flab though."
                else:
                    pc "Maybe I'm being too harsh on myself. It's no so bad.
                        I actually feel okay with my weight now."
    else:
        "
        During a quite moment when there are no customers in the store,
        you reflect about your weight gain, your [bodypart],
        and how you've enjoyed being heavier.
        "
        $ prompt = addMenuAlt("Am I happy with my weight?")
        menu:
            "[prompt]"
            "No, well, it's a bit much":
                $ tmp = pc.fat - 1.5 * deltaDn
                $ pc.addLim(deltaDn, tmp)
                pc "[pc.name], this really has got out of hand.
                    I need to be more careful about how much I eat."
            "I'm not sure":
                if gsize >= 4:
                    pc "I know I'm fat, and that's not great,
                        but at the same time I do like my food
                        and I enjoy being this big."
                else:
                    pc "I know I've put on some weight, and maybe I shouldn't
                        have, but I still like how I look."
            "Yes, I really do like being this big":
                $ pc.addLim(deltaUp)
                if flags.isSet('ssbbw'):
                    pc "I'm a super-size big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif flags.isSet('bbw'):
                    pc "I'm a big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif gsize >= 4:
                    pc "I'm a happy fat girl, and maybe I'll even get a little fatter.
                        No sense in depriving myself of the odd treat."
                else:
                    pc "I'm happy being a little heavier than I was,
                        and maybe I'll get fatter still.
                        No sense in depriving myself of the odd treat."
    "
    The bell above the door rings as someone comes into the store,
    ending your contemplation.
    Wearing your most welcoming smile you get ready to serve them.
    "
    return


    # Customer finds out of date sandwich.
    #
label .outOfDate:
    $ renpy.dynamic('glutton', 'unsure')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    $ unsure = pc.isDietConsider()
    "
    There's always one customer who manages to find the only out of date
    item in the chiller.
    "
    customer "This sandwich is past it's date."
    pc "I'm really sorry, I thought I'd checked them all this morning. Must have missed that one"
    pc "Let me have that, and you can choose another."
    customer "Oh, okay."

    $ mealsize = pc.getMealSize()
    $ prompt = "It's only a day over. Should I bin it or eat it?"
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "Bin it" if pc.isDietUnrestricted() and not glutton:
            "You reluctantly throw it in the trash."
        "Bin it?" if pc.isDietUnrestricted() and glutton:
            pc "Like that's happening, [pc.name]. There's nothing wrong with this
                sandwich, and only one sensible way to dispose of it!"
            "You open the pack and munch the sandwich."
            $ food.add("sandwich")
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
        "Bin it?" if pc.isDietRestricted():
            if pc.testDietWill():
                "You go to throw it in the trash,
                hesitate thinking about how hungry you are,
                but stiffen your resolve and drop it in."
            elif flags.isConsume('dietStopWill'):
                "You go to throw it in the bin,
                but hesitate thinking about how hungry you are.
                In that moment you lose the will to continue dieting,
                tear it open and eat it all."
                $ food.add("sandwich")
                $ pc.eatFood(food)
                $ pc.addGreed(0.1)
            else:
                "You go to throw it in the bin,
                but hesitate thinking about how hungry you are on this damn diet.
                In a moment of weakness you tear it open and eat it all."
                pc "Ooops. I guess today is a cheat day now?"
                $ food.add("sandwich")
                $ pc.eatFood(food)
                $ pc.addGreed(0.1)

        "Eat it" if unsure:
            pc "There's nothing wrong with this.
                I know I shoudn't but it's better than throwing it out."
            "You open the pack and munch the sandwich."
            $ food.add("sandwich")
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
        "Eat it, obviously" if not unsure:
            pc "There's nothing wrong with this.
                And only one sensible way to dispose of it!"
            "You open the pack and munch the sandwich."
            $ food.add("sandwich")
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
    return

    # PC browsing big girl magazines and finding out about feeders.
    #
label .stuffing:
    $ renpy.dynamic('culprits', 'uncertain')
    $ uncertain = pc.isDietConsider()
    $ culprits = []
    if sofia.isFeeder():
        $ culprits.append("Sofia")
    if steve.isFeeder():
        $ culprits.append("Steve")
    if reg.isFeeder():
        $ culprits.append("Reg")
    "
    During a quite moment when there are no customers in the store,
    your mind drifts to the \"top shelf\" magazines, in particular the
    ones featuring bigger girls like yourself.
    "
    "
    You decide to take a look at them, maybe you could find some information
    on some sexy big girl panties to order. As you browse, you come across an
    article about feederism and the eroticism of weight gain and feeding.
    "
    pc "Hmm, this sounds interesting ..."
    "
    You read on, about the lives of men and women who enjoy having their partner
    or someone who is a \"feeder\" encourage them to overeat and gain weight.
    Well, Joe and Lacy both encouraged you to gain, but you were malnourished,
    so that's not really the same.
    "
    "
    The article goes on to describe how some feeders actually put food into their
    feedees mouth without them lifting a finger. They just sit, or lie, there
    being plied with extra food.
    "
    if len(culprits) > 0:
        $ tmp = commaList(culprits)
        "
        You did rather encourage [tmp] to feed you, didn't you?
        And it was rather nice.
        Are you a feedee, [pc.name]?
        "
        if sofia.isFeedee():
            "
            And you have fed Sofia, haven't you.
            That was kinda hot.
            Are you a feeder too?
            "
            pci "I guess you're a bit of both. Aren't you, [pc.name]?"
        else:
            pci "I suppose you are a feedee then, [pc.name]?"
    else:
        "
        Huh. It's not something I've done.
        I wonder what it would be like?
        "
    "
    Finally the article talks about arousal:
    how some feeders are turned on by feeding someone, and
    how some feedees get aroused by eating, gaining weight, and
    being fed, sometimes until they are painfully full.
    "
    if len(culprits) > 0:
        pci "It all sounds a bit familiar.
            Except, I don't get turned on by eating, right?"
    else:
        pci "You can't deny you've gained a lot of weight,
            and stuffed yourself silly sometimes.
            Except, I don't get turned on by eating, right?"
    $ prompt = addMenuAlt("{}, you aren't aroused by overeating are you?".format(pc.name))
    menu:
        "[prompt]"
        "Actually, I am":
            if pc.isDiet():
                pci "[pc.name], you're supposed to be losing weight,
                    not having fantasies about stuffing yourself and
                    getting heavier!"
                "
                You regretfully put the magazine back on the shelf
                and go back to work a little flustered.
                "
            elif uncertain:
                pci "[pc.name], you're already fatter than you'd like to be.
                    The last thing you need is to be having fantasies about
                    stuffing yourself and getting heavier."
                "
                You regretfully put the magazine back on the shelf
                and go back to work a little flustered.
                "
            else:
                "
                You glance down at your more than ample form, and recall some
                of your over-induldgent sessions that have left you quite
                horny in the past.
                "
                pci "Do you really think you could eat enough to push yourself over
                    the edge, [pc.name]? Only one way to find out..."
                "
                You nip upstairs and stash the magazine under your mattress for
                later ... consumption, then return to work as best you can with
                your mind elsewhere: wondering when you
                might get the opportunity to experiment in private.
                "
                $ flags.set('pcStuffExp')

        "No, I enjoy eating, but not like that":
            if pc.isDiet():
                "
                Huh. While you do like your food, it's never really been a turn on.
                More of a welcome indulgence. One that you need to avoid for now.
                "
                pci "Your diet would be screwed if eating made you horny,
                    wouldn't it [pc.name]?"
            elif uncertain:
                "
                Huh. While you do like your food, it's never really been a turn on.
                More of a welcome indulgence. One that you've enjoyed a little too much.
                "
                pci "It's a good job eating doesn't make you horny, [pc.name].
                    You'd be even heavier, wouldn't you?"
            else:
                "
                Huh. While you do like your food, it's never really been a turn on.
                More of a welcome indulgence.
                "
                pc "I suppose it takes all sorts to make a world."
    return


    

label .topShelf:
    """
    You've seen this guy in here before.
    He's only marginally taller than you are,
    and always wants one of the \"top shelf\" magazines.
    Today's no different.

    Time to get the steps, and fetch what he wants.
    \"Service with a Smile!\"
    I don't think he's getting {i}serviced{/i} though.
    """
    if pc.randomBool(60):
        if gsize < 2:
            "
            Most of the girls in those magazines are skinny, like yourself,
            but tall and big chested, very much unlike yourself.
            You sigh.
            Not so much love for petite girls.
            "
            $ pc.addMood(-0.5)
        elif gsize == 2:
            "
            Most of the girls in those magazines are tall, big chested,
            and thinner than you are now.
            You sigh.
            Not much love for normal girls.
            "
            $ pc.addMood(-0.2)
        elif gsize == 3:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Your boobs are bigger now that you're podgy, but still not their size.
            Genetic freaks! Or more likely implants.
            "
            $ pc.addMood(-0.2)
        elif gsize < 5:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Not much love for short fat girls.
            "
            $ pc.addMood(-0.2)
        else:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Not much love for short obese girls.
            "
            $ pc.addMood(-0.2)
    else:
        if gsize < 3:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them look kinda hot.

            Not that you could imagine ever being that {i}big{/i},
            but someone must like them.
            """
            $ pc.addLim(0.5)
        elif gsize == 3:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them look hot.

            Someone must like them.
            You look down at your plump tummy.
            No, no. Don't even think it [pc.name].
            """
            $ pc.addLim(0.5)
            $ pc.addGreed(0.1)
            $ pc.addKink(0.1)
        elif gsize == 4:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them are decidedly hot.

            Someone must like them.
            You look down at your growing tits and fat tummy.
            You're still not that kind of size, but maybe there's hope for you yet.
            No, no. Don't even think it [pc.name].
            """
            $ pc.addLim(0.5)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.2)
            $ pc.addKink(0.2)
        elif gsize == 5:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Some of them are decidedly hot.

            Someone must like them.
            You look down at your growing tits and fat belly.
            Your twice the girl you used to be, and on a par with some the smallest of those models.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(1)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.5)
            $ pc.addKink(0.3)
        elif gsize == 6:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Some of them are decidedly hot.

            Someone must like them.
            You look down at your heavy boobs and what you can see beyond of your belly.
            Some of the girls are smaller than you are now.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(1)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.5)
            $ pc.addKink(0.3)
        elif gsize == 7:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            Some of them are really hot.

            Someone must like them.
            Looking at the articles, you read that you are now, officially, a Big Beautiful Woman.

            You look down at your weighty boobs and what you can see beyond of your growing belly.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(2)
            $ pc.addGreed(0.1)
            $ pc.addMood(1)
            $ pc.addKink(0.5)
            $ flags.set('bbw')
            call achievements.award('bbw') from nw_gas_work_top_shelf7_bbw_award
        elif gsize == 8:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            Some of them are really hot.

            You look down at your weighty boobs and what you can see beyond of your hanging belly.
            Someone must like us big girls.

            There's a piece about how to gain,
            not that you've exactly been having problems with in that area,
            but ... no, no, don't even go there [pc.name].
            """
            if not flags.isSet('bbw'):
                "
                One thing is for sure, you are now what this magazine calls
                a Big Beautiful Woman.
                "
                $ flags.set('bbw')
                call achievements.award('bbw') from nw_gas_work_top_shelf8_bbw_award
            $ pc.addLim(2)
            $ pc.addGreed(0.2)
            $ pc.addMood(0.5)
            $ pc.addKink(0.5)
        elif gsize < 10:
            $ rnd = pc.random(1,4)
            if rnd == 1:
                $ prompt = "cow print"
            elif rnd == 2:
                $ prompt = "something revealing"
            elif rnd == 3:
                $ prompt = "a bra that fits"
            elif rnd == 4:
                $ prompt = "sexy big girl panties"
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            They all look really hot.

            Your fat tits, soft hanging belly, prodigious bum, and thick thighs are
            bigger than most of the featured girls.
            You are one fat babe! A sexy fat babe.

            Some of the advertisements catch your eye,
            as it's getting hard to find anything that fits now in stores.
            You need the internet, and [prompt]!
            """
            if not flags.isSet('bbw'):
                "
                One thing is for sure, you are now what this magazine calls
                a Big Beautiful Woman.
                "
                $ flags.set('bbw')
                call achievements.award('bbw') from nw_gas_work_top_shelf9_bbw_award
            $ pc.addLim(2)
            $ pc.addGreed(0.5)
            $ pc.addKink(0.5)
        elif gsize == 10:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All fat, curves, and rolls.
            They all look really hot.

            You look down at your weighty boobs and what you can see beyond of
            your growing belly. Reading the articles, you are now well past the BBW
            category, and officially a Super Sized Big Beautiful Woman.
            Bigger than all but the largest of the models.

            Thinking about how big you've become is making you wet.
            Perhaps you could ... no, no, don't even think about it [pc.name], you're at work.
            """
            $ pc.addLim(2)
            $ pc.addGreed(1)
            $ pc.addMood(1)
            $ flags.set('ssbbw')
            if not flags.isSet('bbw'):
                $ flags.set('bbw')
                call achievements.award('bbw') from nw_gas_work_top_shelf10_bbw_award
            call achievements.award('ssbbw') from nw_gas_work_top_shelf10_ssbbw_award
            $ pc.addKink(1)
        else:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All fat, curves, and rolls.
            They all look fucking hot.

            You heft your massive boobs, grab a handful of your heavy pendulous belly,
            then do a little dance that gets your booty slapping and thighs shaking.
            You are one sexy cow who is bigger than all but the very largest of the models!

            A horny sexy cow who needs a little personal time.
            Perhaps you could ... no, no. don't even think about it [pc.name],
            you're at work,
            and, well, things are getting hard to reach.
            """
            if not flags.isSet('ssbbw'):
                "
                One thing is for sure, you are now well beyond what this magazine
                calls a Big Beautiful Woman, and are considered
                a Super Sized Big Beautiful Woman.
                "
                if not flags.isSet('bbw'):
                    $ flags.set('bbw')
                    call achievements.award('bbw') from nw_gas_work_top_shelf11_bbw_award
                $ flags.set('ssbbw')
                call achievements.award('ssbbw') from nw_gas_work_top_shelf11_ssbbw_award
            $ pc.addLim(2)
            $ pc.addGreed(1)
            $ pc.addMood(1)
            $ pc.addKink(1)
    return
