#
# Nicola's gas station appearences.
#
label nwGasWorkNicola:

    # Nicola and the stock resupply.
    # Periodic event occurs every other Tuesday afternoon.
    #
label .nicolaGas:
    if nicola.isMet():
        "
        The bell above the door rings and you look up from what you are doing to
        see a taller middle-aged woman in a suit approaching the counter.
        "
        nicola "Hi, [pc.name]! Good to see you."
        pc "Hi, Nicola. I'll go fetch Joe for you."
    else:
        "
        The bell above the door rings and you look up from what you are doing to
        see a taller plumpish middle-aged woman in a suit approaching the counter.
        What you assume is her car is rather smarter than is typical around here
        too. She holds out her hand.
        "
        nicola "Hello, pleased to meet you. I'm Nicola."
        pc "I'm [pc.name], can I help?"
        nicola "[pc.name], well I knew you weren't Sally, lovely girl.
            Off studying isn't she?
            I'm from Moore Foodservices your fast and fresh supplier."
        pc "You probably need to speak to Joe then, I'm just the help.
            I'll go get him for you."
        "You belatedly shake her hand.
        She's an unusually strong grip for a woman.
        Maybe that's a sales rep thing."
    $ nicola.meet()
    call nicola.sizeNotice from nw_gas_work_nic_size
    "You head into the garage where Joe is arm deep in grime as usual."
    pc "Joe, Nicola is here."
    joe "Oh, right, tell her I'll be through in a minute once I've cleaned up."
    "You head back to the store, wondering how to fill the time."
    if nicola.isMetOrMore(3):
        pc "He'll be through in a minute, he's just, you know, cleaning up."
    else:
        pc "Nicola, Joe will be through in a minute, he's just, you know, cleaning up.
            Is there anything I can get you? Some coffee, a snack?"
        nicola "Thank you, but no.
            I already have to watch my weight for my more impressionable male clients.
            They buy more that way, and it all helps my bonus."
        pc "Really? They're that shallow?"
        nicola "You'd be surprised.
            I think it's subconscious more than anything.
            Except one of them, handsy Ralph, he's just a perv."

    call nicola.chat from nw_gas_work_nic_chat

    joe "Nicola, how's life treating you?"
    nicola "Can't complain, can't complain."
    "Joe shakes her hand, and you can't help but notice the guy who spends
    his days working on cars also flinches at her grip."

    # New products or general chit chat.
    #
    call .newProducts from nw_gas_work_nic_prods
    if not _return:
        "
        Nicola and Joe spend a while talking about orders, stock levels,
        margins, leadtimes, supply issues, and whatever else seems to cross
        their minds.
        "

    # On the matter of ice cream...
    #
    nicola "Your orders are always prompt Joe,
        but is there anything you want me to add while I'm here?"
    $ tmp = counters.get('gasIcecream')
    if tmp <= 2:
        joe "No, I think we're good as we are."
    elif tmp <= 8:
        joe "Can you add another case of the triple chocolate icecream,
            sales seem to have picked up."
        nicola "Triple choc, got it. Anything else?"
        joe "Nope, that's it."
        "You can feel yourself blushing. but no one seems to notice.
        It's so embarassing that your
        {i}snacking{/i} has impacted the order."
        $ counters.reset('gasIcecream')
    else:
        $ prompt = cardinal(1 + tmp/6)
        if pc.gsize >= 8:
            joe "Can you add [prompt] more cases of triple chocolate and a couple
                of cookie dough?"
            nicola "Trip choc, cookie dough, got it."
        else:
            joe "Can you add [prompt] more cases of triple chocolate ice cream?"
            nicola "Trip choc, got it."
        if nicola.isPcTooFat():
            nicola "I can't imagine how you are selling so much more icecream."
            "She looks at you, and you blush deeply.
            Joe pretends like nothing has happened."
        elif nicola.isPcFat():
            nicola "One of your customers must really have taken a fancy to
                those two flavours."
            "You blush, and look down at your feet. This is embarassing."
            joe "Must have done."
        nicola "Nothing else?"
        joe "Nope, that's it."
        $ counters.add('gasIcecream', (tmp/6)*-6)
    nicola "Great. Well thank you for your time Joe, [pc.name].
        Must rush, places to go, people to see.
        You know how it is."

    if tmp >= 6:
        "Once she's gone you sheepishly approach Joe."
        pc "I'm sorry about the icecream. I just ..."
        if gsize < 10:
            joe "No need to be sorry. We had a deal.
                You can eat whatever you want while you work here."
        elif flags.isSet('joePromise'):
            joe "Remember your promise to me [pc.name]?
                You really need to cut back on the icecream
                and your midnight snacks."
            pc "Sometimes I'm so hungry I can't sleep and I need a little something."
            joe "I know. The trouble is when you get downstairs you forget the
                {i}little{/i} part of that!"
        else:
            joe "Don't worry about the icecream. We had a deal.
                I'm more concerned about you these days."
    "
    Well that's all the afternoon's excitement you need.
    Back to work.
    "
    $ flags.clear('nicolaGas')
    return



    # New products?
    # Return True if new product discussion happened.
    # False otherwise.
    #
label .newProducts:
    $ dbgLog("nwGasWorkNicola.newProducts")
    $ renpy.dynamic('dieting', 'promise', 'result', 'select', 'unsure')
    $ dieting = pc.isDiet()
    $ promise = flags.isSet('joePromise')
    $ unsure = pc.isDietConsider()

    # If size < 4 then Nicola won't have talked about product testing.
    # If cooldown is still active don't suggest anything new.
    #
    if gsize < 4 or not cooldowns.isZero('nicolaProd'):
        return False

    # What is applicable and not already added?
    #
    $ picker.start('nwGasWorkNicola')
    if not 'salad' in gasStore and (dieting or promise or unsure):
        $ picker.addLocal('.salad')
    if not 'wraps' in gasStore:
        $ picker.addLocal('.wraps')
    if not 'icedtea' in gasStore:
        $ picker.addLocal('.icedTea')
    if not 'burrito' in gasStore and 'wraps' in gasStore:
        $ picker.addLocal('.burritos')
    if not 'cakes' in gasStore and pc.isGreedy(35) and pc.getSize() >= 6:
        $ picker.addLocal('.cakes')

    # Pick product.
    #
    $ result = False
    $ select = picker.choose(nicolaLru, 5, 1, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from nw_gas_work_nic_dyn
            $ result = True
            $ cooldowns.set('nicolaProd', 21)
        else:
            dbg "In nwGasWorkNicola: selected label \"[select]\" was not found."
    return result



    # Introduce burritos.
    #
label .burritos:
    $ dbgLog("nwGasWorkNicola.burritos")
    nicola "I've got a new product we're introducing that I'd like you both to try."
    nicola "Following the success of the wraps we introduced, we've decided to
        return to their roots and make burritos and chimichangas too, so I've
        brought you some to try."
    joe "I'll have to pass there, Nicola, my old gut won't handle chillis.
        So it will be down to our resident product tester. You're up [pc.name]!"
    "
    Nicola passes you a burrito wrapped in a clear film, which you quickly tear
    off and bite into the tortilla. For a pre-packed snack, oops, meal, it's
    actually rather good.
    "
    $ food.add('burrito')
    pc "That's surprisingly good, plenty of cheese and filling, flavourful and
        a nice warmth to it too."
    nicola "I'm glad you liked it, would you like to try the chimichanga?"
    pc "Oh, yes please!"
    "
    This one is even tastier than the burrito!
    "
    $ food.add('chimichan')
    joe "What's a chimmy-whatever?"
    nicola "It basically a burrito that has been deep-fried."
    pci "That'll be why {i}you{/i} prefer it then, [pc.name]!"
    nicola "Was that good, [pc.name]?"
    pc "Mmm, yes! Even better than the first one."
    nicola "With these you can also microwave them too, so you can have them
        warm."
    pc "Could I? ..."
    "
    Nicola hands you another one of each which you take into the kitchen to
    pop into the microwave. You manage to eat the warm burrito while the
    chimichanga is still on the turntable, so you are ready to start on it
    as soon as it's ready.
    "
    $ food.add('burrito')
    $ food.add('chimichan')
    "
    Joe and Nicola are talking, when you come back into the shop, mouth full.
    "
    nicola "Good are they?"
    pc "Even better warm!"
    joe "I guess we're stocking them then."
    $ pc.eatFood(food)
    $ gasStore.append('burrito')
    nicola "Great, I'll add a range to the next delivery."
    return



    # Introduce cakes.
    #
label .cakes:
    $ dbgLog("nwGasWorkNicola.cakes")
    nicola "I've got a new product we're introducing that I'd like you both to try.
        The new Moore Foodservices range of packaged cakes."
    "
    Nicola sets some sample cakes on the counter. Before she's even finished
    you open one and stuff a large mouthful of red velvet cake into your mouth.
    Joe and Nicola just look at you.
    "
    $ food.add('cake')
    pc "Whaaf?"
    joe "Well, you've got one customer for sure, Nicola."
    nicola "So I see. Do you want to try one Joe? Before they're all gone?"
    joe "I better get in there quick!"
    "
    Joe takes a simple coconut and vanilla cake, and you reach for a Boston
    Cream Pie. The vanilla custard filling is so good, squishing out as you
    bite into the chocolate iced sponge.
    "
    $ food.add('cake')
    nicola "You've got a little bit of cream at the side of your mouth there,
        [pc.name]."
    "
    Directing the errant filling into your mouth with youre finger, you eye
    up the remaining two samples. Joe steps back from the counter, hands
    partly raised in surrender, which you take as permission to proceed.
    "
    "
    Next is a moist carrot cake with a citrus icing. Then there's a German
    chocolate cake, with a fine balance of chocolate, coconut, and peanut
    flavours.
    "
    $ food.add('cake')
    $ food.add('cake')
    if pc.isDietConsider():
        pc "Those were so good! I probably ought not to have eaten them all
            though."
    else:
        pc "Those were so good!"
    "
    Your hand strays subconsciously to the roundness of your belly, as you
    make your best puppy dog eyes at Joe.
    "
    nicola "Need I even ask, Joe?"
    joe "I think we're going to be stocking them. I'd have a real fight on
        my hands if I said no!"
    $ pc.eatFood(food)
    $ gasStore.append('cakes')
    nicola "Great, I'll add a range to the next delivery."
    return



    # Introduce iced tea.
    #
label .icedTea:
    $ dbgLog("nwGasWorkNicola.icedTea")
    nicola "I've got a new product we're introducing that I'd like you both to try."
    nicola "It gets so hot here doesn't it, and there are times you really want
        a long cold drink. Soda can be nice, but it's so gassy afterwards isn't it?
        And sometimes that's ... inconvenient."
    nicola "What if you could have a nice refreshing cold drink, but without the
        bubbles? That would be a nice alternative, right?
        Introducing Moore Foodservices Iced Tea!"
    joe "Tea? Urrgh, I'm a coffee man."
    pc "That is true, I've never seen Joe drink anything but a cup of Joe!"
    joe "Let's not forget beer, [pc.name]!"
    "
    Nicola sets some glass bottles of iced tea in a variety of flavours on the counter.
    "
    nicola "You might like it, try one."
    pc "I don't mind if I do."
    "
    You twist the cap off a bottle and take a swig, it tastes of mango, citrus,
    and a hint of sweet tea. It doesn't take long for you to finish it off, and
    set the empty down on the counter.
    "
    $ food.add('icedtea')
    pc "That was good, Nicola, I can see people buying these."
    nicola "I'm glad, try another, [pc.name]."
    pc "I think I will, come on Joe, try one."
    "
    You crack a blueberry one, and it's really rather good. Joe at least tries
    one, but you can see he's not really impressed.
    "
    $ food.add('icedtea')
    joe "Good grief, Nicola, these are so sweet. No wonder [pc.name] likes them."
    "
    You try a honey tea, which is even sweeter than the other ones you've tried.
    "
    $ food.add('icedtea')
    pc "I know I've a bit of a sweet tooth, but this honey tea is really good."
    joe "Are these actually healthy Nicola?"
    "
    You open the fruit punch and knock that one back too.
    "
    $ food.add('icedtea')
    nicola "Well, they're no worse than soda."
    pc "Do you want the last one Joe?"
    joe "No, I'm good. You have it if you want, [pc.name]."
    "
    Of course you do, so you open the peach flavour and drink it down.
    "
    nicola "Of course, you're not really meant to drink five of them one
        after another."
    pc "I had to try them though. And I'm happy to annouce all the ones I
        tried are great."
    nicola "And you don't feel bloated with gas, do you?"
    pc "No, I'm fine, no gas. I do feel a little sloshy though."
    joe "I'm not surprised, you've downed five pints of sweet tea!
        I guess we'll give them a try Nicola."
    nicola "Great, I'll add a range to the next delivery."
    $ pc.eatFood(food)
    $ gasStore.append('icedtea')
    return



    # Introduce salads.
    #
label .salad:
    $ dbgLog("nwGasWorkNicola.salad")
    nicola "I've got a new product we're introducing that I'd like you both to try."
    joe "What is it?"
    nicola "A range of freshly prepared salads, each with ..."
    joe "I don't do rabbit food."
    if promise:
        pc "But Joe, I promised you I'd lose weight, and having a low calorie
            option for lunch would really help me. It would also help others
            who are fighting the battle of the bulge."
        joe "That gut of yours needs a full on counter offensive, [pc.name]!"
    elif dieting:
        pc "But Joe, you know I'm dieting, and having salad as a lunch option
            would really help. And I know I'm not going to be the only one
            dieting in this town."
    else:
        pc "But Joe, you know how I worry about my weight, and being able to
            have a salad for lunch would help me. Besides, I'm not the only
            one who wants to watch what they eat."
    pc "I'll try one Nicola, please?"
    "
    Nicola hands you a sample, and you peel the plastic seal off. There's a
    fork inside the package and you tuck in. It is fresh, and it has some
    dressing for flavour, but at the end of the day it is just a salad.
    "
    $ food.add('salad')
    pc "That was surprisingly good, Nicola!"
    nicola "I'm glad you liked it."
    if promise:
        joe "And if we stock these, you'll stick to them, [pc.name]?"
        if dieting:
            pc "Yes, I will Joe. They'll really help me."
        else:
            pc "They'd be my best option at lunch time."
            "You're being economical with the truth there, aren't you [pc.name]?"
        joe "We'll take them Nicola,
            if only to help [pc.name] with her excessive weight."
    else:
        joe "We'll take them Nicola, [pc.name] has a point."
    nicola "Great, I'll add some to the next delivery!"
    $ pc.eatFood(food)
    $ gasStore.append('salad')
    $ counters.delete('gasSalad')   # No longer needed.
    return



    # Introduce wraps.
    #
label .wraps:
    $ dbgLog("nwGasWorkNicola.wraps")
    nicola "I've got a new product we're introducing that I'd like you both to try."
    nicola "Imagine, you're a young woman, or man, driving along and you need to
        stop for gas and a bite to eat before you get where you're going.
        You really fancy something healthy, fresh, tasty and filling, but it's
        got to be easy to eat in your car."
    nicola "So you pull over at the gas station and go in the store, but there's
        just the normal fare: snacks, sodas, and sandwiches. You know from a
        previous experience that a lap full of sandwich filling is going to be
        a problem."
    nicola "Now, what if there was something tastier than a sandwich, healthier
        than a sandwich, easier to eat, and far less prone to dropping bits in
        your lap? You'd pay a little more for that, wouldn't you?"
    nicola "Introducing the Moore Foodservices range of tortilla wraps!"
    "
    Nicola sets a variety of wraps on the counter. Joe picks one up, looking a
    little puzzled.
    "
    nicola "Try one, see what you think."
    joe "Are these like burritos? All mince and refried beans inside?"
    nicola "The outside is a tortilla, but the insides are more like sandwich
        fillings, or salads, rather than traditional mexican flavours."
    "
    Joe bites into a chicken mayo one, possibly selecting it for being
    most like a traditional sandwich.
    "
    nicola "[pc.name], why don't you try the BBQ pork?"
    "
    You bite into it, and there's pulled pork, BBQ sauce, lettuce, cucumber,
    peppers, and a little onion and carrot. It's good, and you've no trouble
    finishing it off.
    "
    $ food.add('wrap')
    nicola "Well, what do you think? Was it fresh and flavourfull?"
    joe "Fair, fair. Maybe better than a sandwich."
    pc "I really liked mine, like having BBQ, but without the mess."
    nicola "Who'd like to try the falafel one?"
    joe "What's a falafel?"
    nicola "A deep fried crunchy ball of chick peas; it's a vegetarian option."
    joe "Not for me. [pc.name]?"
    pc "Sure, I'll try it!"
    "
    This is different, and spicy! The falafels are as crunchy as the rest of
    the salad, and possibly the best thing that's ever happened to chick peas.
    "
    $ food.add('wrap')
    pc "That was good, it was spicy and had some heat to it!"
    nicola "Who'd like to try the chilli chicken one? Joe? [pc.name]?"
    joe "Not for me. I try and avoid chillis."
    "
    It's down to you then, [pc.name], so you bite into it. The chicken is
    breaded and fried, and besides the lettuce, cucumber and sweet chilli
    sauce there's hints of soy and lemongrass.
    "
    pc "It's like having a Chinese or maybe Thai meal in a wrap!"
    nicola "So what do you think?"
    joe "You know I'm not one for new-fangled things Nicola."
    $ prompt = addMenuAlt("Which was your favourite?")
    menu:
        "[prompt]"
        "BBQ pork":
            pc "I loved the BBQ one. I could eat those all day."
        "Falafel":
            pc "The spice and heat of the falafel wrap did it for me."
            joe "But it's vegetarian, [pc.name]."
            pc "So? It was tasty!"
        "Chilli chicken":
            pc "Definitely loved the chilli chicken. Such good flavours."
    joe "How much are they Nicola, retail?"
    nicola "We're suggesting $3.50, with the usual margin."
    joe "There good, but not nearly twice the price good."
    nicola "Joe, so you don't think they'd sell here?"
    joe "I don't know. I guess I'm a bit stuck in my ways. [pc.name] here
        probably has a better handle on what people want nowadays than me."
    pc "I'd buy them, and I think other folks will buy them too.
        More and more people like healthier things, and they're so
        yummy."
    pc "Please Joe? I'm sure they'd work."
    joe "Oh, go on then, we'll give them a trial."
    nicola "Great, I'll add a selection to the next delivery!"

    $ pc.eatFood(food)
    $ gasStore.append('wraps')
    return
