define regGwPriority = 150        # Priority of Reg events
define regGwWeight = 400          # Weighting of Reg events

#
# Reg romantic at the gas station.
# Add events to picker, or proc events immediately.
# Needs to return True if event occurred, False if events only added to picker.
#
label nwGasWorkReg:
    # Try conditional things first.
    #
    #call .rndCond from nw_gaw_work_reg_rnd_cond
    #if _return:
    #    return True

    # If that didn't trigger use random ones.
    #
    # call .rnd from nw_gaw_work_reg_rnd
    # return _return


    # -------------------------------------------------------------------------
    # Events
    # -------------------------------------------------------------------------

    # Reg calls PC to ask her out.
    # Regular gas station event, not specific to reg visiting.
    #
label .dateBuffet:
    $ dbgLog("nwGasWorkReg.dateBuffet")
    "
    You are working away, as normal, when the garage phone rings.
    This is pretty unusual as most folks just drop by if they want
    to speak with Joe.
    "
    pc "Joe's Autos, [pc.name] speaking. How can I help?"
    reg "Hi, it's me. Just wondering if you'd like, well,
        to go out with me for a meal?"
    "A meal with Reg? You know his preferences, and it's bound to be a big one.
    That's appealling in it's own right. But where might this lead?
    Do you want to find out?"
    $ prompt = addMenuAlt("Would you like to go out to eat with Reg? Should you?")
    menu:
        "[prompt]"
        "Say yes, teasingly":
            pc "That's a silly question, of course a girl my size isn't going
                to refuse a chance to eat."
            reg "I meant with me, specifically."
            pc "With the way you drool over my abundant body? I'd love it."
            reg "I think you're the sexiest woman I've ever seen [pc.name]."
            pc "It is nice to be appreciated for my copious size. Only ..."
            reg "What is it?"
            pc "Just make sure where we are going can accomodate my
                luxurious posterior. Not everywhere can, and I'd hate to
                get stuck."
            reg "I'll, I'll look into that."
            $ tmp = feetAndInches(hipsWidthIn(pcHipsCircIn()))
            pc "Keep in mind that this girl is [tmp] wide, and only gets
                wider when she sits down."
            reg "I'll just make a note of that."
            pc "Oh, I'm sure you'll remember Reg. I bet you're thinking
                about just how big my ass is right now.
                You are, aren't you? I hope you are."
            reg "Believe me, I am."
            pc "Good boy."
            $ reg.addRomance(1.5)
        "Say yes":
            pc "I'd like that Reg, thank you for asking me."
            $ reg.addRomance(1)
        "Say no, for now":
            pc "I'm sorry Reg, I'm not feeling great today, and it
                wouldn't be fair on you. Another time maybe?"
            $ cooldowns.set('regDate', 7)
            $ reg.addRomance(-0.2)
            return True

    # Schedule for the next free evening.
    #
    $ sched = gt.scheduleNext('swRegDate', gt.dayNum, 18)
    $ sched.desc = "Reg invited you out for a meal."
    $ sched.rejLabel = 'swRegDate.reject'
    $ cooldowns.set('regDate', 4)
    $ tmp = gt.deltaDayStr(sched.dayNum)
    reg "Would [tmp] suit you?"
    pc "Yes, that would be lovely, thank you."
    reg "I'll pick you up after work then."
    "He hangs up, and you try and get back to work. Going out with Reg
    could be fun, but it could also be trouble with the way he lusts for
    your body. Some of that is your own fault though."
    return True


    # Parts delivery.
    # This is a regular gas station event, not specific to reg visiting.
    #
label .delivery:
    $ dbgLog("nwGasWorkReg.delivery")
    $ renpy.dynamic('count', 'flirt', 'later', 'mag', 'parcel', 'part', 'partTuple', 'pet', 'regFlirt', 'tease')
    $ count = evtCounters.get('gasParts')
    $ flirt = reg.isRomance()
    $ gsize = pc.gsize
    $ later = False
    $ mag = not reg.isRomance() and cooldowns.isZero('regMag')
    $ partTuple = nextGasPart()
    $ parcel = partTuple[1]
    $ part = partTuple[0]
    $ regFlirt = False
    $ tease = False

    if count == 0:
        """
        As you are just finishing serving a customer a noisy van squeals to a
        halt in front of the store. A portly man tumbles out and goes to get something
        from the back, before coming inside.

        You watch him as he approaches, taking in his stocky frame.
        His scruffy uniform, a drab mustard shirt and shorts that cling tight to his body,
        only accentuate his stoutness.

        Overall he isn't much to look at, his messy sandy brown hair framing a rugged,
        yet jolly and friendly face which currently displays a sheepish grin.
        """
    else:
        "
        As you are just finishing serving a customer Reg's noisy van squeals to a
        halt in front of the store. He tumbles out and goes to get something from
        the back, before coming inside.
        "

    call reg.sizeNotice from nw_gas_work_reg_del

    $ prompt = "Delivery for you."
    if count == 0:
        $ prompt = "Oh, hi there, I'm Reg. I've got a delivery here for Joe, is he here?"
    elif not reg.isPcThin():  # More than 330lbs, gsize 7
        # Reg becomes increasingly attracted to PC, more so as she gains.
        #
        $ reg.addFancy(0.5 + (gsize - 7)/4.0)     # Between 0.5 and 1.5 depending on size.
        $ regFlirt = reg.isRomance() or (gsize >= 8) and reg.randomFancy(40, 100)
        #$ regFlirt = True
        if regFlirt and gsize >= 10:                     # 600lbs+
            $ prompt = "Delivery for you, sexy."
        elif regFlirt and gsize >= 8:                    # 400lbs+
            $ prompt = "Delivery for you, beautiful."
        else:
            $ prompt = "Delivery for you, {}".format(pc.name)

    $ tmp = aan(part)
    if parcel == "against":
        reg "[prompt]"
        "He leans [tmp] against the counter."
    elif parcel == "floor":
        reg "[prompt]"
        "He puts [tmp] on the floor near the counter."
    elif parcel == "on":
        reg "[prompt]"
        "He puts [tmp] on the counter."
    else:
        $ tmp = aan(parcel)
        "He sets [tmp] on the counter."
        reg "[prompt]"

    if count == 0:
        "In his hands he holds a clipboard, on which you can see a greasy note for
        the delivery."
    else:
        "He hands you a greasy smudged triplicate delivery note on a clipboard
        and a grubby pen.
        There's a single line item: [part]."

    if count == 0:
        pc "Hi, I'm [pc.name]. Yeah, Joe is here, I'll just go get him."
        "You pop out the back to fetch Joe and bring him into the store."
        joe "Hi Reg, prompt as ever, thank you."
        reg "We aim to please at PartzPronto.
            Bye Joe, [pc.name]."
        joe "I forgot to tell you about the part deliveries.
            You can just sign yourself for anything Reg brings,
            PartzPronto is trustworthy."
        pc "Okay, I can do that."
    elif count <= 10:
        if regFlirt:
            pc "Awww, thank you, it's sweet of you to say so. Let me sign that for you."
        else:
            pc "Thanks, let me sign that for you."
        call reg.chat from nw_gas_work_reg_chat
        if mag:
            "
            Reg browses the store for a while and comes back to the counter
            with a sandwich, drink, a couple of bars of chocolate, and a magazine.
            It's the one with the curvy ladies in and he seems a little embarrassed.
            "
            $ cooldowns.set('regMag', 30)
        else:
            "
            Reg browses the store for a while and comes back to the counter
            with a sandwich, drink, and a couple of bars of chocolate.
            It's the one with the curvy ladies in and he seems a little embarrassed.
            "
        "
        You ring them up for him, and he pays with cash.
        Then he offers you one of the bars.
        "
        $ food.clear()
        $ food.add('chocs')
        $ psweet = 'chocs'
        call .chocChoice from nw_gas_work_reg_chocs
        reg "Bye [pc.name]."
    else:
        $ food.clear()
        if gsize >= 8:
            $ tmp = "a family sized bar"
            $ food.add('chocl')
            $ psweet = 'chocl'
        else:
            $ tmp = "a large bar"
            $ food.add('chocm')
            $ psweet = 'chocm'
        if regFlirt:
            pc "Awww, thank you, it's sweet of you to say so. Let me sign that for you."
        else:
            pc "Thanks, let me sign that for you."
        call reg.chat from nw_gas_worg_reg_chat_fam
        if mag:
            "
            Reg browses the store for a while and comes back to the counter
            with a sandwich, drink, [tmp] and a normal bar of chocolate, and his magazine.
            No sign of embarrassment about that purchase now.
            "
            $ cooldowns.set('regMag', 30)
        else:
            "
            Reg browses the store for a while and comes back to the counter
            with a sandwich, drink, [tmp] and a normal bar of chocolate.
            "
        "
        You ring them up for him, and he pays with cash.
        Then he asks if you'd like some chocolate.
        "
        call .chocChoice from nw_gas_work_reg_chocs_fam
        if reg.isRomance():
            $ pet = regPetName()
            reg "Bye [pet]."
            if flirt:
                pc "Bye babe."
            else: # Was not already romantic
                pc "Bye babe. Call me?"
        else:
            reg "Bye [pc.name]."

    if tease and gsize >= 4 and not reg.isRomance():
        "Joe pops back into the store."
        joe "Don't tease the poor lad [pc.name].
            You know he's got a thing for big girls."
        if gsize < 8:
            pc "It was just a little harmless fun that we both enjoyed."
        elif gsize == 8:
            pc "I know he does, and he likes to watch me with chocolate.
                We both enjoy it, and it makes us both happy."
        elif gsize == 9:
            pc "I know, but it's not like I'm forcing him.
                He just likes buying me chocolate and watching me eat it,
                even left me some extra for later.
                You know I can't bring myself to refuse chocolate."
        else:
            pc "What can I say? I am a very big girl. I bet he looks forward to
                delivering here. He likes buying me chocolate, and I like eating it.
                He even left me some more for later."

    if later:
        """
        Right, back to work. No, wait I've still got some more chocolate.
        Now Reg has left you peel open the bar and savour each sweet
        melting square.

        Now I can get back to work.
        """
        $ pc.addMood(0.1)
    else:
        "Right, back to work."
    $ reg.meet()
    $ evtCounters.inc('gasParts')
    return True

    # What to do with Reg's gift of chocolate?
    #
label .chocChoice:
    $ renpy.dynamic('feeding', 'glutton', 'restricted', 'tease', 'thin', 'unsure')
    $ restricted = pc.isDietRestricted()
    $ feeding = reg.isRomance() and reg.randomFeederStat(2, 10, 40)
    $ glutton = pc.isGlutton() and not restricted
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 60)
    $ thin = reg.isPcThin()
    $ unsure = pc.isDietConsider()
    $ prompt = "Do you want to accept his gift?"
    $ prompt = pc.appendPrompt(prompt, 0, pc.getMealSize())
    menu:
        "[prompt]"
        "Yes, please feed me babe" if feeding and not restricted:
            pc "Thanks babe. I could really go for some chocolate right now.
                But do you know what I'd really like?"
            $ pet = regPetName()
            reg "What would you like [pet]?"
            pc "I'd really like you to break off a piece and feed it to me please."
            "
            Reg does as you ask and places a square between your moist parted lips.
            You let it melt there a little, savouring the flavour. He feeds you
            a second and a third.
            "
            $ pet = regPetName(tease)
            reg "What if someone comes in [pet]?"
            pc "I don't care it's so good. Feed me babe!"
            "
            Piece follows piece and you want to just abandon yourself to his
            administrations. Letting him add to your abundance as he wishes.
            "
            $ pet = regPetName(tease)
            reg "You look so happy [pet]. Is ... is this turning you on?"
            pc "I am happy. And yes, it is rather."
            reg "Last few pieces my sweet little feedee."
            "
            For the climax Reg gives you a large chunk, perhaps three or four
            squares. Slipping it between your chocolate coated lips.
            "
            reg "Was that all that you imagined?"
            $ prompt = addMenuAlt("Was it what you imagined?")
            menu:
                "[prompt]"
                "Yes, I loved it":
                    $ pet = regPetName(tease)
                    pc "Oh yes, it was. It's just so sensual having you feed me babe."
                    reg "I enjoyed that too. The look on your face..."
                    pc "I don't suppose you've time for another bar?"
                    reg "I'm sorry, but I'm on the clock [pet]. More deliveries to do."
                    $ reg.addFeeder(0.1)
                "No, not quite":
                    pc "Don't get me wrong, I enjoyed it, I always enjoy chocolate.
                        Somehow it wasn't quite how I thought it would be."
                    reg "Okay, that's fair."
                    $ reg.addFeeder(-2)

        "Yes, and eat it right now" if not restricted:
            pc "Thanks Reg. I could really go for some chocolate right now."
            "
            You slowly peel open the bar and let a chunk melt in your mouth.
            Then a second, and a third, savouring this treat.
            "
            if flirt:
                "
                You know how much Reg likes to watch you eat, especially
                things that bring you the kind of joy chocolate does. So you
                make a little performance of it for your lover.
                "
                "
                And there's the added spice of the possibility that some
                other customer could walk in and see the two of you. The
                fat girl eating her naughty treat, her lover getting hot
                and horny watching her.
                "
            else:
                "
                Maybe not your smartest move, but you like chocolate, and
                glancing down Reg clearly likes watching you eat chocolate,
                so where's the harm?
                "
                "
                It's not like you're selling your body to satisfy your cacao
                addiction. Mmm, a few more squares. Wait, it isn't, is it?
                "
            pc "That was {i}so{/i} good."
            reg "It looked it!"
            pc "You're not going to eat yours?"
            if gsize >= 9:
                reg "I, I, ... you have it, please?"
                pc "If you're sure?"
                "He hands his bar over too."
                $ food.add('chocs')
                $ later = True
                if dayFlags.isConsume('regNumber'):
                    "You waddle in front of the counter and hug him into your
                    very plush body."
                    call .regNumber from nw_gas_work_reg_chocs_number
                    pc "Maybe you should call it sometime?"
                    "You put the very flustered Reg down, and wonder about how
                    easy it is going to be for him to walk, or drive for a while."
                    $ reg.addRomance(1)
                    $ cooldowns.set('regDate', 2)

            else:
                reg "After I've had my sandwich."
            $ tease = True
            $ pc.addGreed(0.05)
            $ pc.addMood(0.1)
            $ pc.addLim(0.05)
            $ evtCounters.inc('regChocTease')
            $ reg.addFancy(1)

        "Yes, but wait until he's gone" if not restricted and not flirt and not glutton:
            pc "Thanks, Reg. I'll enjoy that later when I have a break."
            reg "Okay, I hope you like it."
            "He might be disappointed you're not eating it right now,
            but while you do like chocolate, you don't want to encourage him."
            $ later = True
            $ pc.addMood(0.1)

        "No, this is a bit weird" if not restricted and not flirt and not glutton:
            pc "I'm sorry, I can't take that Reg.
                You take it with you and save it for later."
            reg "Oh, okay."
            $ psweet = None

        "Resist" if restricted:
            if pc.testDietWill():
                if pc.isDietHard():
                    if not reg.isRomance() and flags.isOnce('regDietHard'):
                        call .pcWasStuck from nw_gas_work_reg_chocs_diet_hard_stuck
                    else:
                        pc "I'm sorry Reg, I really have to stick to my diet."
                        reg "That is a shame."
                else:
                    pc "I'm sorry Reg, I shouldn't indulge as I'm dieting."
                    reg "That's a shame."
                $ psweet = None
            elif flags.isConsume('dietStopWill'):
                pc "I was trying to diet, but it's so hard.
                    I just can't do it any longer.
                    I give up."
            else:
                pc "I shouldn't, but I will.
                    I need a cheat day from my diet."

            if psweet:
                "You tear open the chocolate and greadily consume large bites."
                $ tease = True
                $ pc.addGreed(0.05)
                $ pc.addMood(0.1)
                $ pc.addLim(0.05)
                $ evtCounters.inc('regChocTease')
                $ reg.addFancy(1)
                reg "You really don't need to be dieting, [pc.name]."
                if unsure:
                    pc "Mmmf, fink I ooo."
                    reg "You think you do? I think you're wrong there."
                else:
                    pc "Mmmf, ess, filly ibea."
                    reg "A silly idea? You're not wrong there."
                pc "Oooh, that was so damn good. Thank you."
                if flirt:
                    "He loves seeing you being greedy, and that was quite a
                    display [pc.name]. To finish him, no, to finish it off
                    you lick some errant melting chocolate from the corner of
                    your mouth."
                else:
                    "You lick some errant melting chocolate from the corner of
                    your mouth. Maybe not the best idea in front of Reg."
                reg "My pleasure."
            elif not pc.isDietHard():
                $ pet = pc.name
                if flirt:
                    $ pet = regPetName()
                else:
                    $ pet = pc.name
                reg "You really don't need to be dieting, [pet]."
                if unsure:
                    pc "I think I do. I'm too fat."
                    if thin:
                        reg "Nonsense,
                            if anything you'd look better with more curves."
                        $ pc.addLim(0.2)
                    else:
                        reg "I don't know, you're beautiful [pet]."
                        $ pc.addLim(0.1)
                else:
                    pc "I know, it was a silly idea."
                    if thin:
                        reg "You're not wrong there.
                            If anything you'd look better with more curves."
                        $ pc.addLim(0.2)
                    else:
                        reg "You're not wrong there.
                            You're beautiful [pet]."
        # End of menu.
    # Eat! Or not.
    #
    if psweet:
        $ pc.eatFood(food)
    else:
        $ food.clear()
    return



    # Talk to reg about being stuck in bed.
    #
label .pcWasStuck:
    pc "I'm sorry Reg, I really have to stick to my diet.
        I let myself get so big I couldn't even get myself
        out of bed."
    "He's lost for words. You know he likes really big girls,
    but immobile ones too?"
    reg "I, I'm ... "
    $ prompt = addMenuAlt("What to say to tongue-tied Reg?")
    menu:
        "[prompt]"
        "Brush it off":
            pc "Don't worry, I always knew that day was coming,
                and I have to take steps to ... keep taking steps!
                Even I have my limits.
                It's not like I'm trying to get thin again."
            reg "You'll always be beautiful to me [pc.name]."
            pc "Thank you Reg."
        "Tease him":
            pc "Can you imagine me lying there, having made myself so
                {i}vast{/i} that I couldn't even roll myself upright?"
            pc "I had to call Joe, and he doesn't normally come into my bedroom.
                He just stood there, slack jawed at the sight of this
                immensely obese woman who's unrepentant gluttony had
                left her in this state."
            pc "At one point I thought he really was going to get the
                engine hoist to get my panting corpulent form out of bed.
                Or rig a block and tackle to haul me up."
            reg "So what did he do?"
            pc "Oh, between the two of us he got me up eventually.
                Working in the garage Joe's got some muscle.
                Biggest problem was finding somewhere to get a hold of
                that wasn't just squish."
            pc "Not my proudest moment, but at the same time ..."
            reg "What [pc.name]?"
            pc "Well, it's pretty obvious by now I like my food and I
                like being fat. Really fat. And enjoyed every moment of
                getting fatter."
            reg "I had, em, noticed."
            pc "Of course you did Reg. I saw the way you look at me, how
                your gaze would linger over growing curves as I packed on the pounds.
                Maybe comparing me to those models?
                In the magazines? Quite inspirational."
            reg "I'm sorry, I just found you incredibly and increasingly attractive."
            pc "You don't need to be sorry Reg.
                I know I'm bigger than most of those girls these days."
            reg "You're not wrong there."
            pc "Well, I always had this little,
                entirely impractical, fantasy of, well ..."
            reg "... of getting too fat?"
            pc "Yes, silly really, a daydream. Something to think about at night
                after I'd sneaked downstairs for a midnight snack.
                You know, a couple of pints of ice cream.
                A big girl snack."
            pc "Only my little fantasy came true, didn't it.
                As I said, not my proudest {i}moment{/i} ..."
            pc "But I have to be practical. It's not like there's anyone who's
                going to let me just lay in bed, bringing me fattening foods
                and tending to my every need as I live out my little daydream is there?"

            "You let him think on that for a while."
            "Am I a bad person for teasing him like this?"
            "Would I even want to ever live like that?
            To be kept in that way? Is it frightening to even think that?
            Wierdly arousing? What's up with you [pc.name]?"
            $ prompt = addMenuAlt("What {i}is{/i} up with you {}?".format(pc.name))
            menu:
                "[prompt]"
                "Enough, let the lad go":
                    pc "So, as sad as it is, and as much as it pains me to do so,
                        I must forgo your oh-so tempting offer of chocolate.
                        But thank you for offering."
                    pc "Goodbye chocolate, goodbye Reg."
                "Flirt with him?":
                    pc "So, as sad as it is, and as much as it pains me to do so,
                        I must forgo your oh-so tempting offer of chocolate.
                        But thank you for offering."
                    "You waddle around the counter, catching your hip on the corner,
                    and hug him into your very plush body."
                    if flirt:
                        pc "Like how I feel?"
                        reg "Damn girl, you know I do."
                    else:
                        call .regNumber from nw_gas_work_reg_chocs_number_stuck
                        pc "Maybe you should call it sometime? See you around Reg."
                        "You put the very flustered Reg down, and wonder about how
                        easy it is going to be for him to walk, or drive for a while."
    return



    # Make Reg aware he has your number.
    # Start romance path.
    #
label .regNumber:
    pc "Like how I feel?"
    reg "Damn girl, you know I do."
    pc "Ever thought you should have said something before now?"
    reg "I should have, but I was embarrassed about ..."
    pc "Being attracted to big beautiful women?"
    reg "Yes."
    pc "Super-sized women? With their luscious curves and
        hearty {i}appetites{/i}?"
    pc "You've always had my number Reg, It's on every invoice."
    reg "I guess I did."
    $ reg.addRomance(1)
    $ cooldowns.set('regDate', 2)
    return
