define steveGwPriority = 150        # Priority of Steve events
define steveGwWeight = 200          # Weighting of Steve events

#
# Steve at the gas station.
# Needs to set done if event occurred.
#
label nwGasWorkSteve:

    # Try conditional things first.
    #
    call .rndCond from nw_gas_work_steve_rnd_cond
    if _return:
        return True

    # If that didn't trigger use random ones.
    #
    call .rnd from nw_gas_work_steve_rnd
    return _return

    # Random but conditional events.
    #
label .rndCond:
    # dbg "nwGasWorkSteve.rndCond"
    if flags.isSet('steveConfess') and not gt.existsEventFor('nwSteveHomeConfess'):
        $ picker.addLabel('nwGasWorkSteve', '.confess', steveGwWeight, steveGwPriority * 2)

    if pc.gsize >= 8 and flags.isSet('steveNotConfess') and not gt.existsEventFor('nwSteveHomeAdmit'):
        $ picker.addLabel('nwGasWorkSteve', '.admit', steveGwWeight, steveGwPriority * 2)

    if gt.dayOw < 4 and not flags.isSet('steveLunch'):
        $ picker.addLabel('nwGasWorkSteve', '.fountain', steveGwWeight, steveGwPriority)

    if cooldowns.isZero('steveFilm'):
        $ picker.addLabel('nwGasWorkSteve', '.film', steveGwWeight, steveGwPriority)

    return False

    # Random unconditional events.
    # Added to picker list.
    #
label .rnd:
    # dbg "nwGasWorkSteve.rnd"
    $ picker.addLabel('nwGasWorkSteve', '.choc', steveGwWeight, steveGwPriority)
    $ picker.addLabel('nwGasWorkSteve', '.flowers', steveGwWeight, steveGwPriority)
    $ picker.addLabel('nwGasWorkSteve', '.phone', steveGwWeight, steveGwPriority)
    $ picker.addLabel('nwGasWorkSteve', '.radio', steveGwWeight, steveGwPriority)
    return False


    # Steve needs to get things off his chest.
    #
label .admit:
    $ dbgLog("nwGasWorkSteve.admit")
    if gt.existsEventFor('nwSteveHomeAdmit'):
        return False
    "
    You are working away, as normal, when the garage phone rings.
    This is pretty unusual as most folks just drop by if they want
    to speak with Joe.
    "
    pc "Joe's Autos, [pc.name] speaking. How can I help?"
    $ sched = gt.scheduleNext('nwSteveHomeAdmit', gt.dayNum, startHr=18)
    $ tmp = gt.deltaDayStr(sched.dayNum) + " evening"
    steve "Hi babe, can you come over [tmp]?
        I, ... I need to explain some things."
    pc "This sounds serious. Are you breaking up with me?"
    steve "No! I just need to get some things off my chest."
    pc "Um, okay. I'll come over."
    "
    That was odd. It doesn't sound good either.
    You try and get back to work, but are distracted by this turn of events.
    "
    return True


    # Steve brings chocs.
    #
label .choc:
    $ renpy.dynamic('adjBoob')
    $ adjBoob = pc.adjBoob()
    $ gsize = pc.gsize
    "
    It's been a quiet morning, and you've resorted to reading one of
    the dusty paperbacks from the trading box.
    The bell on the door rings, and Steve comes in.
    "
    steve "Hi, sweetie, just passing through, but I've got you something."
    "
    He hands you a small red heart-shaped velvety box.
    Inside are some luxury chocolates, each with a different design,
    sitting in individual dark paper cases.
    "
    pc "Thank you so much babe!"
    if steve.isFeeder():
        """
        He takes one and puts it on your lips.

        You melt. It melts. The chocolate melts.
        Its got a rich ganache centre with hints of molasses and rum.
        """
    else:
        "
        You take one and try it.
        Its got a rich ganache centre with hints of molasses and rum.
        "
    "
    You wrap your arms around him,
    pressing your [adjBoob] boobs against his chest,
    and give him a chocolatey kiss.
    "
    steve "I'd love to stay and enjoy you more, but I'm afraid I have to go.
        See you soon munchkin."
    pc "Love you!"
    if flags.isSet('steveTease'):
        steve "I love you too.
            Don't eat them all at once if you can help it.
            What am I even saying?"
    else:
        steve "I love you too."
    """
    The door closes behind him and you look at the chocolates.
    The creators of this lovely box clearly intended the contents to
    be treasured and enjoyed over a few days.

    You look at the box.
    Obviously that isn't going to happen. [pc.name]?

    You let a second melt on your lips, imagining Steve's kisses.
    His passion rising he kisses you harder and faster.
    A caramel one is particularly sweet and his tongue is inside
    your mouth.

    Awww, he's stopped. {i}And{/i} the box is empty.
    """
    $ food.add('chocm')
    $ pc.eatFood(food)

    if gsize >= 4:
        $ rnd = pc.randomWeight(20, 50)
        if rnd:
            if gsize >= 8:
                """
                Looking down you see you've managed to dribble caramel
                onto your [adjBoob] clevage. Oh well.

                You step into the back room, heft the girls up,
                and lick yourself clean.
                There are some advantages to being this big.
                Waste not, want not.

                Actually you do want more chocolate now ...
                """
            else:
                """
                Looking down you realise you've managed to dribble caramel
                on your top. So professional.

                Stepping in the back room you throw the top in the
                wash basket, and find another.
                """
    "Back to work, back to reality."
    $ pc.addMood(0.2)
    $ pc.addGreed(0.1)
    $ steve.addRomance(0.5)
    $ flags.set('snogSteve')
    return True

    # Steve needs to get things off his chest.
    #
label .confess:
    $ dbgLog("nwGasWorkSteve.confess")
    if gt.existsEventFor('nwSteveHomeConfess'):
        return False
    "
    You are working away, as normal, when the garage phone rings.
    This is pretty unusual as most folks just drop by if they want
    to speak with Joe.
    "
    pc "Joe's Autos, [pc.name] speaking. How can I help?"
    $ sched = gt.scheduleNext('nwSteveHomeConfess', gt.dayNum, startHr=18)
    $ tmp = gt.deltaDayStr(sched.dayNum) + " evening"
    steve "Hi babe, can you come over [tmp]?
        I, ... I need to explain some things."
    pc "This sounds serious. Are you breaking up with me?"
    steve "No! I just need to get some things off my chest."
    pc "Um, okay. I'll come over."
    "
    That was odd. It doesn't sound good either.
    You try and get back to work, but are distracted by this turn of events.
    "
    return True

    # Invited over for a take-out and fllm, today or tomorrow.
    #
label .film:
    # dbg "nwGasWorkSteve.film"
    # Not before second week or event is pending.
    #
    if gt.dayNum < 7 or gt.existsEventFor('nwSteveHomeFilm'):
        return False
    "
    You are working away, as normal, when the garage phone rings.
    This is pretty unusual as most folks just drop by if they want
    to speak with Joe.
    "
    pc "Joe's Autos, [pc.name] speaking. How can I help?"
    steve "Hi, sugar, fancy a film and a take-out this evening?"
    pc "Let me check my diary ..."
    steve "We both know you don't have a diary."
    $ sched = gt.scheduleOnDay('nwSteveHomeFilm', gt.dayNum, 18)
    if sched == None:
        pc "Babe, I'm so sorry, I've already got plans."
        call .filmTomorrow from nw_gas_work_steve_film_busy
    else:
        $ prompt = addMenuAlt("Do you want to go to Steve's for food and a film?")
        menu:
            "[prompt]"
            "Yes":
                pc "That would be great!"
                steve "Just come round when you get off work.
                    See you later."
                $ sched.desc = "Steve invited you over for film and take-out food."
                $ sched.rejLabel = 'nwSteveHomeFilm.reject'
                $ steve.addRomance(0.3)
                $ pc.addMood(0.1)
            "No":
                pc "Sorry babe, I've had a rough day and I'm not in the mood."
                steve "Sorry to hear that munchkin."
                $ gt.doneEvent(sched)
                call .filmTomorrow from nw_gas_work_steve_film

    if steve.isRomance(20):
        "There's an awkward silence, where neither of you want to hang up.
        Finally he does."
    else:
        "He hangs up."
    "You get back to work. There aren't any more phone calls."
    return True

    # Not tonight, but tomorrow?
    # May do exactly nothing.
    #
label .filmTomorrow:
    if gt.dayOw > 3:
        return False

    $ sched = gt.scheduleOnDay('nwSteveHomeFilm', gt.dayNum + 1, 18)
    if sched != None:
        steve "How about tomorrow then?"
        $ sched.desc = "Steve invited you over for film and take-out food."
        $ sched.rejLabel = 'nwSteveHomeFilm.reject'
        $ prompt = addMenuAlt("Do you want to go to Steve's for food and a film tomorrow?")
        menu:
            "[prompt]"
            "Yes":
                pc "That would be great!"
                steve "Just come round when you get off work.
                    See you later."
                $ steve.addRomance(0.3)
                $ pc.addMood(0.1)

            "Not sure":
                pc "I don't know, can I see how I feel then?"
                steve "Sure, just let me know."
                $ sched.rejLabel = 'nwSteveHomeFilm.rejectSoft'
    return True

    # Steve brings flowers.
    #
label .flowers:
    $ renpy.dynamic('adjBoob', 'coll', 'flowers', 'proobj', 'theyare')
    $ adjBoob = pc.adjBoob()
    $ coll = "flowers"
    $ proobj = "them"
    $ theyare = "they're"
    $ tmp = steve.romance
    if tmp > 80:
        $ flowers = "a dozen red roses"
    elif tmp > 50:
        $ flowers = "a single red rose"
        $ coll = "flower"
        $ proobj = "it"
        $ theyare = "it's"
    elif tmp > 25:
        $ flowers = "a small bouquet of flowers"
    else:
        $ flowers = "a bunch of flowers"

    """
    You've just finished serving someone when Steve comes in.
    Suspiciously, he has one hand behind his back.

    He comes behind the counter and hands you [flowers].
    """
    pc "Awww, [theyare] lovely. Thank you babe!"
    pc "Let me get some water for [proobj]."
    """
    Steve follows you into the little kitchenette,
    and hugs you from behind as you search the cupboards.
    His hand straying to your [adjBoob] boob,
    which you enjoy for a moment before continuing your search.

    Of course, when you finally see a vase, it's on a top shelf,
    out of your reach.
    """
    pc "Can you reach that vase down for me please?"
    "
    He hands you the vase, which you fill with water, put the [coll] in,
    and set on the counter.
    "
    steve "Sorry, it's only a quick visit, gotta rush."
    "
    He kisses you goodbye, and you go back to work.
    The thought has brightened your day though, and you smile each time
    you see the [coll].
    "
    $ pc.addMood(0.2)
    $ steve.addRomance(0.3)
    $ flags.set('snogSteve')
    return True

    # Pizza at the foutain in the square.
    #
label .fountain:
    # Not on a Friday.
    #
    if gt.dayOw >= 4 or flags.isSet('steveLunch'):
        return False

    $ tmp = pc.adjArse()
    "
    Your day is pretty typical until Steve pops in.
    He gives you a hug and gropes your [tmp] bum.
    "
    if gt.hour <12:
        steve "Do you fancy some lunch with me today munchkin?"
        $ sched = gt.scheduleOnDay('nwFountLunchSteve', gt.dayNum, 12, 15)
        if sched == None:
            pc "Babe, I'm so sorry, I've already got plans."
            return True
    else:
        steve "Do you fancy having some lunch with me tomorrow munchkin?"

        $ sched = gt.scheduleOnDay('nwFountLunchSteve', gt.dayNum + 1, 12, 15)
        if sched == None:
            pc "Babe, I'm so sorry, I've already got plans."
            return True

    pc "I'd love too, it would make a change from these sandwiches!
        I'll check with Joe, but I'm sure he'll be fine."
    steve "That's great, meet me at the fountain in the square,
        and I'll get us some pizza."
    "You get back to serving customers and refilling the shelves."
    $ flags.set('steveLunch')
    return True

    # Bored, phone steve.
    #
label .phone:
    $ renpy.dynamic('hour')
    $ hour = gt.hour
    "
    There's no one in the shop, and you've done all shelf-filling that is
    useful.
    Your mind drifts to Steve and his lithe body.
    His body against yours ...
    "
    pc "I could just call him rather than daydreaming. The phone is right there."
    call stevePhone from nw_gas_work_steve_phone
    pc "Back to work I suppose."
    # Just in case tease was chosen, reset hour of day.
    $ gt.setHour(hour)
    return True

label .radio:
    "
    The time passes uneventfully:
    serving customers,
    refilling the shelves,
    and listening to the local radio station.
    That is until your hear:
    "
    dj "And this next is for [pc.name] down at Joe's, from your sweetheart Steve!"
    dj "We've all seen the pair of you around town."
    sfx "Prerecorded smooching sounds play on the radio"
    "You blush a little."
    if steve.isRomance(30):
        dj "And if the scuttlebutt is true, out in the woods too!"
        sfx "The DJ plays a tape of exaggerated feminine moaning, climaxing with a wolf howl"
        "Okay, now your face feels very red!"
        if steve.isRomance(50):
            dj "Time to put a ring on it Steve! Ya know, before it's too late."
            sfx "Wedding bells, then a baby crying"
            "An older man, who you don't know the name of, looks at you over his
            glasses. Oh god. Can you die of embarrassment?"
            $ flags.set('mastSteve')
            $ flags.set('agRadio3')
        else:
            dj "That's one lucky, lucky guy!"
            $ flags.set('snogSteve')
            $ flags.set('agRadio2')
    else:
        dj "Steve's one lucky guy!"
        $ flags.set('snogSteve')
        $ flags.set('agRadio1')
    "Still it leaves you with a smile and a certain longing
    as you get more stock from the stockroom."
    call achievements.award('stRadio') from nw_gas_work_steve_radio_award
    $ pc.addMood(0.5)
    $ steve.addRomance(0.5)
    return True
