#
# Trip to the river area.
#
label nwRiver:
    "
    You walk through town and down to the river.
    There's a little park area next to the bank
    and parents have brought their kids to paddle in the water.
    "
    $ world.setLoc('nwRiver')

    # Glutton heads for the donut truck.
    #
    $ rnd = pc.randomWeightRangeKg(200, pc.getMassSoftLim(), 0, 75)
    # $ rnd = True
    if pc.isGlutton() and pc.isDietUnrestricted() and not dayFlags.isSet('pcGlutTruck') and rnd and pc.getMealSize() > 3:
        $ dayFlags.set('pcGlutTruck')
        "
        A takeout truck is doing brisk business selling ice creams,
        though it also seems to offer hot dogs and other snacks.
        You head straight for it as it is simply irresistable.
        "
        call .here from nwRiver_here
        call nwRiverFood from nwRiver_glut_food
    else:
        "
        A takeout truck is doing brisk business selling ice creams,
        though it also seems to offer hot dogs and other snacks.
        "
    return



    # Determine who is here.
    # Anyone could be here unless it is after 6pm then it can only be steve.
    # More than one flag can get set.
    #
label .here:
    if gt.hour >= 18:
        $ clearHere()
        $ steveHere = steve.randomPlatRomance(40, 70)
    else:
        $ whoIsHereAny(30, 30, 60, False, sofia, steve)
    return



    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwRiver.freeChoice"

    if gt.hour > 20:
        "The light is fading, best head back to town."
        call nwTown from river_free_night
        return

    # Who else is here?
    call .here from river_free_here

    $ prompt = pc.appendPrompt("What to do at the riverside?", gt.hour, None)
    $ prompt += listVehicleHere()
    menu:
        "[prompt]"
        "Go for a jog" if pc.gsize < 10:
            call nwRiverJog from river_free_jog
        "Go for a \"jog\"" if pc.gsize >= 10 and (sofiaHere and not dayFlags.isSet('sofiaJog') or steveHere and not dayFlags.isSet('steveJog') and steve.isRomance() and flags.isSet('steveFa')):
            call nwRiverJog from river_free_faux_jog
        "Sunbathe":
            call nwRiverSun from river_free_sunbathe
        "Visit the food truck":
            call nwRiverFood from river_free_truck
        "Visit the play area":
            call nwRiverPlay from river_free_play
        "Walk along the bank (2 hours)":
            call nwRiverWalk from river_free_walk
        "Head back to town":
            call nwTown from river_free_town
        "Debug" if debugMenus:
            call debugMenu from river_free_debug
    return



    # Return home from here.
    #
    # toLoc     - the eventual destination
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwRiver.retHomeFromHere({})".format(toLoc))
    $ tmp = pc.locoVerb()
    "You [tmp] back into town."
    call nwTown from nw_river_ret_home
    return
