label nwRiverFood:

    # Only encounter with Steve once per day.
    if steveHere and dayFlags.isSet('steveFoodtruck'):
        $ steveHere = False

    # Only encounter Sofia once per day.
    if sofiaHere and dayFlags.isSet('sofiaFoodtruck'):
        $ sofiaHere = False

    # De-dup.
    if steveHere and sofiaHere:
        if steve.breakup:
            $ steveHere = False
        elif steve.romance > sofia.romance:
            $ sofiaHere = False
        else:
            $ steveHere = False

label .food:
    $ renpy.dynamic('glutton')
    $ glutton = pc.isGlutton() and not pc.isDietRestricted() and (treat or pc.canAfford(5, cost))
    "
    You walk up to the food truck and stand in line waiting to be served.
    The queue is moving at a brisk pace, and soon you are looking up
    at the vendor.
    "
    vendor "What would you like this fine day?"
    $ mealsize = pc.getMealSize(True)
    $ prompt = pc.appendPrompt("What should I order?", gt.hour, mealsize)
    $ foodMenu.startClear("Barkin' Dogs")
    if glutton:
        $ foodMenu.setMinSize(1)
    $ foodMenu.addHeader("Dogs:")
    $ foodMenu.addFood('hotdog', "A hot dog", 0, 1)
    $ foodMenu.addFood('hotdogml', "A hot dog meal", 0, 2)
    $ foodMenu.addHeader("Treats:")
    $ foodMenu.addFood('donut', "A donut", 0, 0)
    $ foodMenu.addFoodScale(3, 'donut', "Three donuts", 0, 1, False, None, 4.00)
    $ foodMenu.addFoodScale(12, 'donut', "A dozen donuts", 0, 4, False, None, 10.00)
    $ foodMenu.addFood('icecream', "An ice cream", 0, 0)
    $ foodMenu.addFoodScale(3, 'icecream', "A triple scoop ice cream", 0, 1, False, None, 2.50)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        "Dogs:":
            pass
        'hotdog':
            pc "A hot dog please."
            vendor "Fried onions?"
            pc "Yes please."
            $ food.add(foodMenuSeln)
            $ pmain = "hot dog"
        'hotdogml':
            pc "A hot dog meal please."
            vendor "Fried onions?"
            pc "Yes please."
            $ food.addList("hotdog", "friesm", "coke")
            $ food.setMeal(True)
            $ pmain = "hot dog, fries, and coke"

        "Treats:":
            pass
        'donut':
            pc "A donut please."
            vendor "I've got regular, glazed, vanilla, apple, strawberry, and chocolate?"
            if pc.isDiet() and not pc.cheatDay:
                pc "I really want a chocolate one, but I'll take a plain"
                $ pmain = "sugared donut"
            elif pc.randomBool(70):
                pc "Chocolate please!"
                $ pmain = "chocolate donut"
            else:
                $ opt = pc.random(1,4)
                if opt == 1:
                    pc "Glazed please."
                    $ pmain = "glazed donut"
                elif opt == 2:
                    pc "Vanilla please."
                    $ pmain = "vanilla donut"
                elif opt == 3:
                    pc "Apple please."
                    $ pmain = "apple donut"
                else:
                    pc "Strawberry please."
                    $ pmain = "strawberry donut"
            $ food.add(foodMenuSeln)
        'donut3':
            pc "Three donuts please."
            vendor "An assortment?"
            pc "Yes please!"
            $ pmain = "bag of donuts"
            $ food.addScale('donut', 3)
        'donut12':
            pc "A box of donuts please."
            vendor "An assortment?"
            pc "Yes please!"
            $ pmain = "box of donuts"
            $ food.addScale('donut', 12)
        'icecream':
            pc "A chocolate ice cream please."
            vendor "Syrup and sprinkles?"
            pc "Yes, and yes."
            $ food.add(foodMenuSeln)
            $ pmain = "chocolate ice cream"
        'icecream3':
            pc "A triple scoop ice cream please."
            vendor "Syrup and sprinkles?"
            pc "Yes, and yes."
            $ pmain = "triple scoop ice cream"
            $ food.addScale('icecream', 12)

        'nothing':
            pc "It all looks good, but I've had a change of heart, sorry."
            vendor "Okay, come back another time."
            return

    vendor "Will that be all?"
    pc "Yes thank you."
    $ pc.spend(foodMenu.getCost(foodMenuSeln))

    "
    You walk over to an empty bench and savour your [pmain] in the sun.
    "
    $ pc.eatFood(food)

    # Divert if NPC here.
    #
    # $ steveHere = False
    # $ sofiaHere = True
    #
    if steveHere:
        $ dayFlags.set('steveFoodtruck')
        call nwRiverFoodSteve from river_food_steve
    elif sofiaHere:
        $ dayFlags.set('sofiaFoodtruck')
        call nwRiverFoodSofia from river_food_sofia

    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return


    # Eating donuts with Steve after a jog.
    # Only used when romancing Steve.
    #
label .carbsSteve:
    $ dbgLogDet("nwRiverFood.carbsSteve")
    $ renpy.dynamic('eat', 'donuts', 'extra', 'fa', 'fatten', 'feed', 'share', 'tease')
    $ extra = False
    $ fa = flags.isSet('steveFa')
    $ tease = flags.isSet('steveTease')
    $ mealsize = pc.getMealSize()
    if fa:
        if not steve.isPcFat() and not pc.isDietImmob():
            $ extra = pc.randomLim(10, 100, 20)
            $ fatten = True
            # 3 to 12 donuts (at mealsize 11)
            $ donuts = min(12, max(3, 3 * int(round(mealsize / 3.0))))
        else:
            # 3 or 6 donuts (at mealsize 9)
            $ donuts = min(6, max(3, 3 * int(round(mealsize / 6.0))))   # 3..6
            $ fatten = False
    else:
        $ fatten = steve.isPcThin() and not flags.isSet('steveControl')
        $ donuts = 3
    $ dbgLog("nwRiverFood.carbsSteve fatten={} donuts={}".format(fatten, donuts))
    if donuts == 3:
        "
        You sit at one of the benches as Steve joins the queue at the
        food truck. Before very long he's back with a greasy paper bag.
        "
    elif donuts == 12:
        "
        You sit at one of the benches as Steve joins the queue at the
        food truck. Before very long he's back with a box of donuts.
        "
    else:
        "
        You sit at one of the benches as Steve joins the queue at the
        food truck. Before very long he's back with a large greasy paper bag.
        "
    if tease:
        steve "How's my hungry girl? I bet you'd never say no to a donut."
        pc "You know me too well."
        if extra:
            steve "Would you say no to extra donuts as a treat though?"
            pc "Don't be silly. Gimme."
    elif extra:
        steve "As you've been a good girl I got a few extra as a treat."
        pc "Thank you babe."
    else:
        steve "Donut?"
        pc "I don't mind if I do."
    "
    You take a donut and devour it. Steve is a little calmer with his.
    "
    $ food.add('donut')
    $ pc.eatFood(food)
    if donuts == 3 and (fa or fatten):
        if tease:
            steve "A second is a given isn't it?"
        else:
            steve "Want another?"
        pc "Yes please."
        "
        You try and be a little more lady like with your second.
        "
        $ food.add('donut')
        $ pc.eatFood(food)
        $ steve.addRomance(0.1)
        $ opt = mealsize > 2 or steve.isPcThin()
        if opt:
            if steve.randomFeeder(20, 100):
                "
                Steve holds a third donut up to your mouth,
                and you bite in, enjoying both the donut and his attention.
                "
                $ food.add('donut')
                $ pc.eatFood(food)
                $ steve.addFeeder(0.5)
            else:
                if tease:
                    steve "What shall I do with this last one. You want it don't you?"
                else:
                    steve "Would you like the last one munchkin?"
                $ steve.addRomance(0.1)
                $ prompt = pc.appendPrompt("Would you like another donut?", gt.hour, mealsize)
                menu:
                    "[prompt]"
                    "Yes":
                        pc "Yes please, though it is a bit naughty."
                        "
                        You take your time over your third treat
                        as you don't actually need this one.
                        "
                        $ food.add('donut')
                        $ pc.eatFood(food)
                        $ pc.addGreed(0.2)
                    "No":
                        pc "I've had enough thank you. You have it."
                        steve "Don't blame me if I get fat."
                        pc "But you bought them all!"
                        if tease or pc.randomGreed(30, 100):
                            pc "We can't have you getting fat babe, let's not tempt you."
                            "
                            You take your time over your third treat
                            as you don't actually need this one.
                            "
                            $ food.add('donut')
                            $ pc.eatFood(food)
                            $ pc.addGreed(0.1)
                        else:
                            steve "I'll just have to eat it then."
                    "Wait" if steve.isFeeder():
                        "You sit and wait patiently, lips parted."
                        if tease:
                            steve "You just want me to make you fatter,
                                don't you naughty girl."
                        "
                        Steve holds a third donut up to your mouth,
                        and you bite in, enjoying both the donut and his attention.
                        "
                        $ food.add('donut')
                        $ pc.eatFood(food)
                        $ pc.addGreed(0.2)
                        $ steve.addFeeder(0.5)
            # End third donut
        # End second donut
    elif donuts > 3 and (fa or fatten):
        # There are six, nine, or twelve donuts total, two already gone.
        #
        if tease:
            steve "You'd eat all of these given the chance, wouldn't you?"
        else:
            steve "Would you some more?"
        $ donuts -= 2
        $ eat = True
        $ feed = False
        $ share = False
        $ prompt = "Would I like more donuts?"
        $ prompt = pc.appendPrompt(prompt, 0, mealsize)
        menu:
            "[prompt]"
            "Yes please!" if pc.isDietUnrestricted():
                pc "Do you even need to ask babe?"
                $ feed = steve.randomFeeder(20, 100)
            "Share them" if pc.isDietUnrestricted():
                pc "I'd love more. Let's share them."
                steve "Don't blame me if I get fat."
                if tease or pc.randomGreed(30, 100):
                    pc "We can't have you getting fat babe, let's not tempt you."
                    $ pc.addGreed(0.1)
                    $ feed = steve.randomFeeder(20, 100)
                else:
                    pc "But you bought them all babe!"
                    $ donuts = int((donuts + 1)/ 2)
                    steve "I'll just have to save some for later."
                    $ share = True
            "Wait to be fed" if pc.isDietUnrestricted() and steve.isFeeder():
                "You sit and wait patiently, lips parted."
                if tease:
                    steve "You just want me to make you fatter,
                        don't you naughty girl."
                $ feed = True
                $ pc.addGreed(0.1)
            "Resist!" if pc.isDietRestricted():
                if pc.testDietWill():
                    pc "I really should't babe, I'm supposed to be dieting."
                    steve "Sorry babe, I forgot.
                        I can't eat all these myself though, lets share them."
                    $ donuts = int((donuts + 1)/ 2)
                    $ share = True
                elif flags.isConsume('dietStopWill'):
                    pc "I was trying to diet babe."
                    steve "Sorry, I forgot."
                    pc "But I really want them. Really really want them."
                    steve "[pc.name]? ... You kind of spaced out there."
                    pc "Give me the donuts babe. I'm done with dieting."
                    $ feed = steve.randomFeeder(20, 100)
                    $ pc.addGreed(0.1)
                else:
                    pc "I really should't babe, I'm supposed to be dieting."
                    steve "You're too hard on yourself.
                        You deserve a treat now and again."
                    pc "You're right, I do. Gimme the donuts babe."
                    $ feed = steve.randomFeeder(20, 100)
                    $ pc.addGreed(0.1)
        # End of menu

        if feed:
            "
            Steve holds a second donut up to your mouth,
            and you bite in, enjoying both the donut and his attention.
            "
            if donuts > 2:
                "
                Donuts follows donut, and you savour each one, the
                changing flavours, eyes closed.
                "
            if tease:
                steve "Last one my little glutton."
            else:
                steve "Last one babe."
            pc "That's a shame."
            "
            Steve feeds you the last one, just as good as the first.
            "
            $ tmp = cardinal(donuts + 1)
            steve "Good girl, they're all gone. You've eaten [tmp]."
            $ food.addScale('donut', donuts)
            $ pc.eatFood(food)
            $ steve.addFeeder(donuts/10.0)
            $ pc.addGreed(donuts/20.0)
        elif share:
            $ tmp = cardinal(donuts)
            "
            You share the remaining donuts, or rather you munch your way
            through [tmp] delicious donuts and Steve just has has one more.
            "
            $ food.addScale('donut', donuts)
            $ pc.eatFood(food)
            if donuts <= 4:
                steve "I'll save this last one for later."
            else:
                steve "I'll save these for later."
        else:
            if tease:
                steve "What are you waiting for?
                    These are all for you my greedy girl."
            else:
                steve "Go ahead munchkin, I did get all these for you."
            $ tmp = cardinal(donuts)
            "
            You munch your way through the remaining [tmp] donuts.
            They're so fresh and delicious.
            "
            steve "Should I have bought more?"
            if pc.isDietConsider():
                pc "Probably not, I'm getting fatter."
            else:
                pc "Maybe?"
            $ pc.addGreed(donuts/20.0)
    # End of fatten.
    "Finally you give Steve a kiss with your sweet sugar-coated lips."
    pc "Thank you!"
    $ pc.addMood(0.1)
    return
