#
# Steve joins at food truck.
#
label nwRiverFoodSteve:
    $ dbgLogDet("nwRiverFoodSteve")
    $ renpy.dynamic('fat', 'tooFat', 'thin', 'control', 'fa', 'tease')
    $ thin = steve.isPcThin()
    $ fat = steve.isPcFat()
    $ tooFat = steve.isPcTooFat()
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ tease = flags.isSet('steveTease')
    $ dbgLog("nwRiverFoodSteve: thin={} fat={} tooFat={} control={} fa={} tease={}".format(thin, fat, tooFat, control, fa, tease))

    if steve.isRomance():
        if not fa:
            if fat:
                call .romanticFat from nw_river_food_steve_rom_fat
            else:
                call .romanticGood from nw_river_food_steve_rom_good
        else:
            call .romanticHeavy from nw_river_food_steve_rom_heavy
    else:
        if tooFat or fat and not fa:
            call .platonicFat from nw_river_food_steve_plat_fat
        else:
            call .platonicGood from nw_river_food_steve_plat_good
    return

    # Not romantically involved, too fat for Steve.
    #
label .platonicFat:
    $ dbgLogDet("nwRiverFoodSteve.platonicFat")
    "Steve wanders over to your table with a drink."
    if flags.isSet('steveAcceptFat'):
        call steve.chat from nw_river_food_steve_plat_fat_chat
        if steve.breakup:
            "Steve finishes his drink in silence before saying goodbye."
        else:
            "He chats with you for a while, before saying goodbye."
        return

    steve "I was going for a jog along the bank. Want to come?"
    if fa:
        pc "You just want to watch me wobble, don't you Steve?"
        steve "I'd be lying if I said no
            as I do prefer bigger girls.
            But I was just trying to help, as a friend."
        pc "I believe you Steve, but no thank you."
        steve "I mean I'd enjoy sitting watching you eat too.
            Wait, that came out wrong.
            I'm ... going to shut up now."
    else:
        "Well that's not exactly nuanced."
        pc "I'm sure you don't want to see my flab wobbling alongside you."
        steve "I was only trying to help."
        pc "Not helpful."
        "He can't seem to think of anything to say."
    "Steve finishes his drink in silence before saying goodbye."
    return

    # Not romantically involved, looking attractive.
    #
label .platonicGood:
    $ dbgLogDet("nwRiverFoodSteve.platonicGood")
    steve "Hi [pc.name], mind if I sit here?"
    pc "No go ahead."
    steve "I was getting myself a donut, and noticed you here, so I got you one too."
    "He offers you an open paper bag."
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("Should you take a donut?", gt.hour, mealsize)
    menu:
        "[prompt]"
        "Yes, but flirty" if not steve.isBreakCountGte(1):
            # First time.
            pc "Thank you, that's really sweet of you."
            "As you reach for a donut you {i}accidentally{/i} touch his thigh with your other hand."
            "You daintly take bites out of your donut, making sure to finish after him."
            "Then you kiss him with sugar encrusted lips."
            pc "I hope I'm sweet enough for you?"
            "He's a little suprised, but soon smiles widely, and pulls you close."
            steve "Very sweet, and a little sticky!"
            pc "That's me babe!"
            $ food.add("donut")
            $ pc.eatFood(food)
            $ steve.addRomance(1)
        "Yes, but flirty" if steve.isBreak() and not steve.isBreakCountGte(5) and not steve.isOnBreak():
            pc "Thank you, that's really sweet of you."
            if fa:
                steve "I know I probably shouldn't but just wanted to say,
                    well, I miss you [pc.name]."
                pc "I shouldn't be saying this either, but I miss you too babe."
                steve "Fuck, I thought you'd tell me I should forget about you."
                pc "I probably should have."
                steve "Well, this is awkward."
            else:
                steve "I'm sorry about what I said the other day."
                pc "About me being a little plumper than I was?"
                steve "Yes, that. I miss you, and I shouldn't have been so rude."
                steve "So this is a little peace offering for you."
                pc "Thank you Steve. I miss you too."
            $ steve.addRomance(3)
            $ steve.makeup()
            $ pc.addLim(7)
            #
            # Adjust steve's expectations.
            #
            call steve.adjExpectations from nw_river_food_steve_plat_good_expect
            "
            The pair of you hug and sit close sharing donuts.
            "
            $ food.add("donut")
            $ pc.eatFood(food)
        "Yes" if pc.isDietUnrestricted():
            if pc.cheatDay:
                pc "Thank you, today's already a cheat day, so I don't mind it I do."
                "You take a donut and eat it. It's gone in no time."
            else:
                pc "Thank you, that's sweet of you."
                "You take a donut and eat it daintily."
            $ food.add("donut")
            $ pc.eatFood(food)
        "No" if pc.isDietUnrestricted():
            pc "That's really nice of you, but I'll be a good girl and say no."
        "Resist!" if pc.isDietRestricted():
            pc "It's {i}so{/i} tempting and I really want it."
            "You gaze at the sweet, sweet donut just calling to you from the bag."
            if pc.testDietWill():
                pc "No, I shall be strong. But thank you for offering."
            elif flags.isConsume('dietStopWill'):
                pc "I can't, I musn't, .. but I'm going to aren't I?
                    I lack the will power to stick to a diet for long."
                "
                You take a donut and enjoy every sweet and fattening mouthful.
                Bliss!
                "
                $ food.add("donut")
                $ pc.eatFood(food)
            else:
                pc "I can't, I musn't, .. but I will."
                "
                You take a donut and enjoy every sweet and fattening mouthful.
                Bliss!
                "
                pc "You've broken me, today is going to have to be a cheat day."
                $ food.add("donut")
                $ pc.eatFood(food)

    "He chats with you for a while, before saying goodbye."
    return

    # Romantic, but PC is getting fat. Lower weight limit.
    # Steve not an FA.
    #
label .romanticFat:
    $ dbgLogDet("nwRiverFoodSteve.romanticFat")
    "Steve wanders over with a drink and sits down next to you."
    if tease:
        steve "Hi munchkin, eating again? You just can't help yourself can you."
        pc "It's only a little snack babe."
    else:
        steve "Hi munchkin, eating again?"
        pc "Yes?"
    steve "I don't know how best to say this, but maybe you ought to, you know..."
    pc "What?"
    steve "Maybe cut back a little?"
    if control:
        pc "You're right. I've been being greedy again haven't I?"
        steve "You did ask me to tell you, my love."
        pc "I did. It was just such a lovely day, and everything smelt so good."
        steve "Are we talking about the flowers and fresh cut grass,
            or the greasy food truck?"
        pc "They've mowed the grass? I didn't notice. I'm a lost cause aren't I?"
        steve "No, babe. I'll help you through this."
        $ steve.addRomance(0.1)
        if tooFat:
            call steve.dietChoice from nw_river_food_steve_rom_fat_diet_control
        else:
            $ flags.set('pcThinkDiet')
    else:
        pc "Are you saying I'm fat?"
        if tooFat:
            steve "You are getting pretty chunky."
            pc "Well thanks!"
            $ pc.addLim(-0.2)
            $ steve.addRomance(-5)
        else:
            steve "No, not fat, just a little softer."
            pc "Too \"soft\"?"
            steve "... a little."
            pc "Oh."
            $ pc.addLim(-0.1)
        if pc.isDiet():
            pc "I'm already dieting anyway."
            "Steve looks at your [pmain]"
            steve "Really?"
            pc "Yes."
        pc "Wait, this isn't about me is it? This is about you and Sofia!
            I'm not her okay!"
        call steve.adjExpectations from nw_river_food_steve_rom_fat_expect
        if tooFat:
            steve "No, it's not that. I'm just not into bigger girls."
            if pc.isDietConsider():
                pc "I'm doing my best, okay. At least try to be supportive."
        else:
            steve "You're right. I'm so sorry,
                I overreacted and shouldn't take it out on you.
                Just ... bad memories."
            pc "I know babe, I'm doing my best, okay? Please, try to be supportive."
            $ steve.addRomance(5)
        if not pc.isDiet():
            call steve.dietChoice from nw_river_food_steve_rom_fat_diet
    # May no longer be involved.
    #
    if steve.isRomance():
        "He gives you a hug and a kiss."
        if pc.isDiet():
            steve "I kind of want to get you a donut, but ..."
            pc "... I know babe."
        "He chats with you for a while, before saying goodbye."
    else:
        "Steve finishes his drink in silence before saying goodbye."
    return

    # Romantic and not too fat.
    # Steve not an FA.
    #
label .romanticGood:
    $ dbgLogDet("nwRiverFoodSteve.romanticGood")
    "Steve wanders over with a paper bag."
    steve "Hello munchkin, mind if I join you?"
    pc "I'd like that."
    steve "I got us a couple of donuts, want one?"
    pc "Yes please!"
    "It only takes a few mouthfuls and the donut is gone."
    $ food.add("donut")
    $ pc.eatFood(food)
    pc "Are you trying to fatten me up too, like Lacy?"
    if pc.gsize < 2:
        steve "No, but you are kind of a skinny missy."
        $ pc.addLim(1)
    else:
        steve "No, it's just a little thing for my love."
    $ pc.addLim(0.5)

    if thin:
        steve "Would you like mine as well?"
        $ mealsize = pc.getMealSize()
        $ prompt = pc.appendPrompt("Should you eat his donut?", 0, mealsize)
        $ opt = True
        menu:
            "[prompt]"
            "Yes please" if pc.isDietUnrestricted():
                if pc.cheatDay:
                    pc "It's {i}so{/i} tempting. I really want it,
                    and I'm having a cheat day from my diet, so I can."
                else:
                    pc "It's {i}so{/i} tempting. I really want it."
            "No, I couldn't" if pc.isDietUnrestricted():
                $ opt = False
            "Resist!" if pc.isDietRestricted():
                if pc.testDietWill():
                    pc "I'm trying to lose weight babe, so I  really shouldn't."
                    $ opt = False
                elif flags.isConsume('dietStopWill'):
                    pc "I was trying to diet babe."
                    steve "Sorry, I forgot."
                    pc "But I really want it. Really really want it.
                        Gimme the donut babe."
                else:
                    pc "I'm trying to lose weight babe, so I  really shouldn't.
                        But I really want it. Really really want it.
                        Gimme the donut babe."
                    $ pc.addGreed(0.1)

        if opt:
            if steve.isFeeder(5):
                "
                Steve holds the last donut in front of your waiting mouth,
                allowing you to take bite after bite,
                before popping the last morsel in.
                "
                $ steve.addFeeder(1)
            else:
                "
                Steve hands you the bag, and you eat his donut too.
                "
            if isSelfVoicing():
                pc "That's so good. Thank you."
            else:
                pc "Mmmf, fank you."
            $ food.add("donut")
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
        else:
            pc "No I couldn't deprive you of it, love."
            steve "If you insist."
            "
            Steve eats his donut,
            and is about to lick the sugar off his lips
            when you kiss him.
            "
            $ steve.addRomance(0.1)

    $ steve.addRomance(0.1)
    "He chats with you for a while, before saying goodbye."
    return

    # Romantic after Steve has become an FA.
    #
label .romanticHeavy:
    $ dbgLogDet("nwRiverFoodSteve.romanticHeavy")
    $ renpy.dynamic('donuts', 'extra', 'feed', 'share', 'steveCount')
    $ mealsize = pc.getMealSize()
    $ extra = not pc.isDietImmob() and not steve.isPcFat() and pc.randomLim(0, 100, 20)
    if extra:        # Extra treat?
        if mealsize >= 16:
            $ donuts = 24
        else:
            # 3, 6, 9, or 12 donuts (at mealsize 11)
            $ donuts = min(12, max(3, 3 * int(round(mealsize / 3.0))))
    else:
        # 3 or 6 donuts (at mealsize 9)
        $ donuts = min(6, max(3, 3 * int(round(mealsize / 6.0))))   # 3..6
        if thin:
            $ donuts += 3
        elif tooFat:
            $ donuts = 3
    $ dbgLog("nwRiverFoodSteve.romanticHeavy: donuts={}".format(donuts))

    $ tmp = cardinal(donuts)
    if donuts == 24:
        "Steve wanders over with two boxes."
        $ tmp = "two dozen"
    elif donuts == 12:
        "Steve wanders over with a box."
        $ tmp = "a dozen"
    else:
        "Steve wanders over with a greasy paper bag."
    steve "Hello munchkin, mind if I join you?"
    pc "I'd like that."
    if tease:
        if extra:
            steve "I thought I'd bring my greedy girl some donuts.
                Then I thought you deserved a treat so I got a few more."
        else:
            steve "I thought I'd bring my greedy girl some donuts."
        pc "Let me see!
            [tmp!c], thanks babe, my mouth is salivating already."
        steve "Pavlov would be proud of you."
    elif extra:
        steve "I got us, well you mainly, [tmp] donuts as a treat. Want some?"
    else:
        steve "I got us, well you mainly, [tmp] donuts. Want some?"
    pc "Are you trying to fatten me up?"
    if thin:
        steve "Yes, yes I am. You'd look even hotter with more curves."
        $ pc.addLim(1)
    else:
        steve "As if I'd do something like that my sexy one."
        $ pc.addLim(0.1)
        $ pc.addMood(0.1)

    $ feed = False
    $ share = False
    $ steveCount = 0
    $ prompt = "Would a {} like me want donuts?".format(pc.greedyGirlPhrase())
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "Yes please!" if pc.isDietUnrestricted():
            if pc.cheatDay:
                pc "Naughty, you know I'm dieting, but I am having a cheat day
                    and treating myself so I won't refuse."
            else:
                pc "Naughty, you know very well I can't resist them."
            $ feed = steve.randomFeeder(20, 100)
        "Be good and share them?" if pc.isDietUnrestricted():
            pc "I'd love some. Let's share them though."
            steve "Don't blame me if I get fat."
            if pc.randomGreed(30, 100):
                pc "We can't have you getting fat babe, let's not tempt you.
                    I shall do the honourable thing."
                if tease:
                    steve "Don't you mean the greedy thing?"
                $ pc.addGreed(0.1)
                $ feed = steve.randomFeeder(20, 100)
            else:
                pc "But you bought them all babe! It's hardly my fault."
                # 3:  PC 2, Steve 1
                # 6:  PC 3, Steve 2, left 1
                # 9:  PC 5, Steve 2, left 2
                # 12: PC 6, Steve 2, left 4
                # 24: PC 12, Steve 2, left 8
                $ steveCount = min(2, int((donuts - 1)/ 2))
                $ donuts = int((donuts + 1)/ 2)
                if steveCount > 0:
                    steve "I'll just have to save some for later."
                $ share = True
        "Wait to be fed" if pc.isDietUnrestricted() and steve.isFeeder():
            "You sit and wait patiently, lips parted."
            $ feed = True
            $ pc.addGreed(0.1)
        "Resist!" if pc.isDietRestricted():
            if pc.testDietWill():
                pc "I really should't babe, I'm supposed to be dieting."
                steve "Sorry babe, I forgot.
                    I can't eat all these myself though, lets share them."
                $ steveCount = min(2, int((donuts - 1)/ 2))
                $ donuts = int((donuts + 1)/ 2)
                if donuts >= 3:
                    $ tmp = cardinal(donuts)
                    pc "Oh well, I guess {i}only{/i} eating [tmp] is better for
                        my \"diet\" than all of them."
                $ share = True
            elif flags.isConsume('dietStopWill'):
                pc "I was trying to diet babe."
                steve "Sorry, I forgot."
                pc "But I really want them. Really really want them."
                steve "[pc.name]? ... You kind of spaced out there."
                pc "Give me the donuts babe. I'm done with dieting."
                $ feed = steve.randomFeeder(20, 100)
                $ pc.addGreed(0.1)
            else:
                pc "I really should't babe, I'm supposed to be dieting."
                steve "You're too hard on yourself.
                    You deserve a treat now and again."
                pc "You're right, I do. Gimme the donuts babe."
                $ feed = steve.randomFeeder(20, 100)
                $ pc.addGreed(0.1)
    # End menu
    if feed:
        if tease:
            steve "You just want me to make you even fatter, don't you?"
            pc "Yes, feed your greedy girl before she wastes away!"
        "
        Steve holds a donut up to your mouth,
        and you bite in, enjoying both the donut and his attention.
        "
        if donuts > 2:
            "
            Donuts follows donut, and you savour each one, the
            changing flavours, eyes closed.
            "
        steve "Last one babe."
        pc "That's a shame."
        "
        Steve feeds you the last one, just as good as the first.
        "
        $ tmp = cardinal(donuts)

        if tease:
            if steveCount == 0:
                steve "You've eaten all [tmp], you gluttonous girl."
                pc "I thought you were going to have some?
                    Oh well, can't be helped.
                    You should have bought more if you wanted some too."
            else:
                steve "Well, that's [tmp] you've packed away.
                    I shouldn't be surprised, should I."
                pc "Nope. I'm insatiable."
                steve "Should I have got more to fill you up?"
                if pc.isDietConsider():
                    pc "Probably not, I'm getting really fat."
                else:
                    pc "What do you think babe?"
        else:
            if steveCount == 0:
                steve "Good girl, they're all gone. You've eaten all [tmp]."
                pc "I thought you were going to have some?"
                steve "I was, but you were really enjoying them."
            else:
                steve "Good girl, they're all gone. You've eaten [tmp]."
        $ food.addScale('donut', donuts)
        $ pc.eatFood(food)
        $ steve.addFeeder(donuts/10.0)
        $ pc.addGreed(donuts/20.0)
    elif share:
        $ tmp = cardinal(donuts)
        $ steveCount = cardinal(steveCount)
        "
        You both share the donuts, or rather you munch your way
        through [tmp] delicious donuts and Steve just has [steveCount].
        "
        $ food.addScale('donut', donuts)
        $ pc.eatFood(food)
        if donuts == 2:
            steve "All gone babe."
        elif donuts == 3:
            steve "I'll save this last one for later."
        else:
            steve "I'll save these for later."
    else:
        steve "Go ahead munchkin, I did get these for you."
        $ tmp = cardinal(donuts)
        "
        You munch your way through [tmp] donuts.
        They're so fresh and delicious.
        "
        steve "Should I have bought more?"
        if pc.isDietConsider():
            pc "Probably not, I'm getting fatter."
        else:
            pc "Maybe?"
        $ pc.addGreed(donuts/20.0)
    "Finally you give Steve a kiss with your sweet sugar-coated lips."
    pc "Thank you!"
    $ pc.addMood(0.1)
    "He chats with you for a while, before saying goodbye."
    return
