#
# Trip to play area
#
label nwRiverPlay:
    $ tmp = pc.locoVerb()
    if gt.isBetween(11, 16):
        "
        You [tmp] over to the busy play area where a multitude of children
        are having fun on the swings, slides, seesaw and a complicated
        climbing frame that looks like a pirate ship and a fairy castle
        have collided.
        "
        "
        The noise and shrieking is pretty intense and you can almost feel it
        burrowing into your brain.
        Sure, they're having fun, but you? Not so much.
        "
        return

    # Who else is here? Inheriting from nwRiver.
    # Anyone could be here unless it is after 6pm then it can only be steve.
    # More than one flag can get set.
    #
    # Only once per day.
    #
    $ sofiaHere = sofiaHere and not dayFlags.isSet('sofiaPlay')
    $ steveHere = steveHere and not dayFlags.isSet('stevePlay')

    # De-dup.
    #
    if steveHere and sofiaHere:
        if steve.isBreak():
            $ steveHere = False
        elif sofia.isBreak():
            $ sofiaHere = False
        elif steve.romance > sofia.romance and pc.randomBool(80):
            $ sofiaHere = False
        else:
            $ steveHere = False

    if sofiaHere:
        $ prompt = "Sofia has followed you over."
    elif steveHere:
        $ prompt = "Steve has followed you over."
    else:
        $ prompt = "At least it's peaceful right now."

    "
    You [tmp] over to the play area.
    It's got the usual swings, slides, seesaw and a complicated
    climbing frame that looks like a pirate ship and a fairy castle
    have collided. [prompt]
    "

    $ world.setLoc('nwRiverPlay')
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    $ dbgLog("nwRiverPlay.freeChoice")
    $ renpy.dynamic('noSlide', 'noSwing')
    $ noSlide = flags.isSet('neverSlide')
    $ noSwing = flags.isSet('neverSwing')

    if gt.hour > 20:
        "The light is fading, best head back to town."
        call nwTown from nw_river_play_free_night
        return

    if gt.isBetween(11, 16):
        "
        It's getting busy with actual children now and you decide to let
        them play.
        "
        $ world.setLoc('nwRiver')
        return

    if noSlide or noSwing:
        $ prompt = "What else can my ass destroy here?"
        if noSwing:
            $ prompt += " The swing is busted."
        if noSlide:
            $ prompt += " The slide is out of the question."
    else:
        $ prompt = "What to do at the play area while it's quiet?"

    if sofiaHere:
        $ prompt += " Sofia is here with you."
    elif steveHere:
        $ prompt += " Steve is here with you."
    $ prompt = pc.appendPrompt(prompt, 0, None)

    menu:
        "[prompt]"
        "Seesaw":
            call nwRiverPlaySeeSaw from nw_river_play_free_seesaw
#        "Monkey Bars":
#            "Monkey bars"
        "Slides" if not noSlide:
            call nwRiverPlaySlide from nw_river_play_free_slide
        "Swings" if not noSwing:
            call nwRiverPlaySwing from nw_river_play_free_swing
        "Head back":
            "You return to the riverside park."
            $ world.setLoc('nwRiver')
        "Debug" if debugMenus:
            call debugMenu from nw_river_play_free_dbg
    return



    # Return home from here.
    #
    # toLoc     - the eventual destination
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwRiverPlay.retHomeFromHere({})".format(toLoc))
    $ tmp = pc.locoVerb()
    "You [tmp] through the park area and back into town."
    call nwTown from nw_river_play_ret_home
    return
