#
# The slide.
#
label nwRiverPlaySlide:
    $ dbgLog("nwRiverPlaySlide")

    # $ sofiaHere = False
    # $ steveHere = True

    # Divert if someone else is here.
    #
    if sofiaHere:
        call nwRiverPlaySlideSofia from nw_river_play_slide_sofia
    elif steveHere:
        call nwRiverPlaySlideSteve from nw_river_play_slide_steve
    else:
        call .alone from nw_river_play_slide_alone
    return


    # PC on her own. Tunnel slide has an inner diameter of 30 inches.
    #
    # At gsize 7 300+ it's a tight fit
    # At gsize 8 400+ PC gets stuck.
    #
label .alone:
    $ dbgLog("nwRiverPlaySlide.alone")
    $ gsize = pc.gsize

    if gsize < 3:
        call .aloneGood from nw_river_play_slide_alone_good
    elif gsize < 7:
        call .aloneOkay from nw_river_play_slide_alone_okay
    elif gsize == 7:
        call .aloneTight from nw_river_play_slide_alone_tight
    elif gt.isBefore(12):
        call .aloneStuckDay from nw_river_play_slide_alone_stuck_day
    else:
        call .aloneStuckNight from nw_river_play_slide_alone_stuck_night
    return

    # Normal sliding.
    #
label .aloneGood:
    """
    You eagerly climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns it's both fun and strange in a sensory depravation way.
    And then you're at the bottom, feet in the chippings.

    That was fun! So you do it again and again until you begin to feel
    slightly nauseous and your hair is sticking up from the static charge
    you've accumulated.
    """
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return

    # A bit chunky sliding.
    #
label .aloneOkay:
    """
    You climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns you think your weight might be making you go faster.
    And then you're at the bottom, feet throwing up chippings to stop.

    That was fun! So you do it again and again until you begin to feel
    slightly nauseous and your hair is sticking up from the static charge
    you've accumulated.
    """
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return

    # Getting stuck during the day.
    #
label .aloneStuckDay:
    """
    You climb the steps to the top of the slide, take a breather, get yourself
    seated at the start of the yellow plastic tunnel and push off. Your hips
    are really rubbing the sides, and you can feel the warmth of the friction
    through the heavy denim of your jeans.

    At the first bend in the tube you come to a dead halt. No matter how much
    you wriggle and push you're not going anywhere.
    """
    pc "Fu ... oh poo!"
    call achievements.award('slide') from nw_river_play_slide_alone_stuck_day_award
    "It's rather warm in here, with the sun glowing through the yellow plastic.
    You hear someone else climbing up the steps."
    kid "Mommy, Mommy! I can't go down the slide."
    mother "Of course you can, you've done it before, it's fun."
    kid "Mommy, there's a fat lady stuck down there. I want to go down!"
    mother "What do you mean? There's a fat lady stuck? Stuck in the tunnel bit?"
    kid "Yes, she's gotten so fat she's stuck. Like, like, a really big cork."
    mother "You better not be making this up."
    kid "I'm not! She's really there."
    pc "He's telling the truth, I am really here, and I am really stuck."
    mother "Why on earth did you even try to go down? This is meant for kids."
    pc "It's always worked fine before."
    mother "Can't you wriggle down?"
    pc "Nope, I tried that already."
    mother "I can't even see your feet from the bottom.
        Tommy, come back down so I can look from the top."
    kid "Okay, mom."
    mother "From the top I can just see the top of your head and one hand.
        There's no way I can reach you. Let me see if I can find someone."
    "This is my life now, stuck in a tube. And hour or so goes past.
    I kind of need to pee..."
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    call .aloneStuckWorkers from nw_river_play_slide_alone_stuck_workers_day
    "
    You fly out of the end of the slide in a flurry of foam, overshoot the
    landing area, and lie flat on your back, soaked and suddy, to a small
    round of applause from a crowd of onlookers. So embarrassing!
    "
    $ pc.addMood(-20)
    $ pc.addLim(-5)
    woman "Are you okay?"
    pc "Much better now, thank you. Restroom?"
    man "That's good. Why don't you take her home, and I'll stay and finish
        cleaning the equipment as we're halfway done already."
    "The woman drives you home in their cramped van. Of course, when you get
    out you've made a huge wet spot on the seat."
    woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
    pc "Don't worry, once was quite enough! And thank you, again, for rescuing me."
    "You wave goodbye and head inside. Right, toilet first.
    Then a shower to get these suds off and a change of clothes!"
    $ world.setLocHome()
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    $ flags.set('neverSlide')
    $ flags.set('agSlide')
    return

    # Getting stuck at night.
    #
label .aloneStuckNight:
    $ renpy.dynamic('dieting', 'unsure')
    $ dieting = pc.isDiet()
    $ unsure = pc.isDietConsider()
    """
    You climb the steps to the top of the slide, take a breather, get yourself
    seated at the start of the yellow plastic tunnel and push off. Your hips
    are really rubbing the sides, and you can feel the warmth of the friction
    through the heavy denim of your jeans.

    At the first bend in the tube you come to a dead halt. No matter how much
    you wriggle and push you're not going anywhere.
    """
    pc "Fu ... oh poo!"
    call achievements.award('slide') from nw_river_play_slide_alone_stuck_night_award
    "The sun was getting lower in the sky, so at least it's not stiffling in here.
    On the other hand there aren't many people about ..."
    pc "Help! ... Help! ... Anyone? ... Help me please?"
    $ gt.addHours(1)
    if dieting:
        pc "Well this is a fine mess I've got myself into. I'm really wishing
            that I'd started my diet sooner!"
    elif unsure:
        pc "Well this is a fine mess I've got myself into. I know I'm too fat,
            but damn these hips of mine."
    else:
        pc "Well this is a fine mess I've got myself into.
            You just couldn't help yourself could you [pc.name]?
            Or rather you helped yourself to everything you could get didn't you?
            Damn these sexy hips of mine."
    pc "Help! ... Help! ... Help! ... Anyone?"
    $ gt.addHours(1)
    pc "It's getting late isn't it. At this rate I'll be here all night.
        Noooo, I'll miss my dinner!"
    pci "[pc.name], too much dinner is why you're stuck in a pipe."
    pc "Help! ... {size=-2}help!{/size} ... {size=-4}help?{/size}"
    dog "Woof!"
    pc "Is that you Lassie? [pc.name]'s fallen in a ... no, [pc.name]'s stuck in a pipe."
    dog "Woof?"
    pc "Go get help!"
    "There's a skittering of paws on plastic and then a cold nose is investigating
    the bare skin just above your sock. Then the licking starts."
    pc "No, no. that tickles. Please, I already need to pee."
    dog "*Whine*"
    pc "Go find someone, your master, mistress, your owner.
        I hope you're not a stray after all this."
    owner "Luna! Looona! Where are you girl?"
    dog "Woof, woof, woof!"
    owner "What is it girl? You found a cat? A squirrel?"
    pc "No, she's found a girl who has been stuck here for hours."
    owner "How on earth did you get stuck?"
    pc "I exceeded the width requirements for this ride."
    owner "You what?"
    pc "I'm too wide. Too wide to slide. My hips are stuck in the bend."
    owner "Why did you even try?"
    pc "It's worked fine before. Can you get help? Please?"
    owner "Yes, of course, stay right there. Luna, come on you good girl."
    dog "Woof?"
    owner "Yes, I know there's someone in the pipe.
        \n{size=-2}Come on.{/size}
        \n{size=-4}Do you want a treat for being such a clever girl?{/size}
        \n{size=-6}I think you do...{/size}"
    "Of course I'm staying right here. I haven't really got much choice have I?
    I'd like a treat too though. I'm a {i}mostly{/i} good girl."
    $ gt.addHours(1)
    "I'll just wait some more then."
    call .aloneStuckWorkers from nw_river_play_slide_alone_stuck_workers_night
    "
    You fly out of the end of the slide in a flurry of foam, overshoot the
    landing area, and lie flat on your back, soaked, and suddy. Luna barks
    delightedly and starts licking your face, replacing suds with slobber.
    You hug her, she saved you! And it reduces the licking.
    "
    $ pc.addMood(-10)
    $ pc.addLim(-5)
    pc "Good girl Luna! Such a good girl. You rescued me!"
    owner "Oh, I can see why you got into trouble now."
    if unsure:
        pc "I am rather too broad in the beam."
    else:
        pc "These hips don't lie, but they do get stuck now it seems."
    woman "Are you okay?"
    pc "Much better now, thank you. Restroom?"
    man "That's good. Why don't you take her home, and I'll stay and finish
        cleaning the equipment as we're halfway done already."
    "The woman drives you home in their cramped van. Of course, when you get
    out you've made a huge wet spot on the seat."
    woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
    pc "Don't worry, once was quite enough! And thank you, again, for rescuing me."
    "You wave goodbye and head inside. Right, toilet first.
    Then a shower to get these suds off and a change of clothes!
    Then dinner! I hope everywhere is still open ..."
    pci "More food [pc.name]? You never learn do you?"
    pc "I do, I've learnt not try to go down the slide again.
    Anyway, being rescued is something to celebrate!
    And how do we celebrate? With cake!"
    $ world.setLocHome()
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    $ flags.set('neverSlide')
    $ flags.set('agSlide')
    return

    # Comman part to get free.
    #
label .aloneStuckWorkers:
    woman "Hello, madam? Can you tell me your name?"
    pc "It's [pc.name]."
    woman "Okay [pc.name] we're here to get you out. But first, are you okay?
        Any difficulties breathing? Any unusual pains or loss of sensation?"
    pc "Oh, thank you so much! I'm okay, apart from the whole being stuck thing."
    woman "Good. Now we're just going to work out what to do."
    man "What do you reckon? See if we can pull her back up?"
    woman "I'll get the rope from the van."
    man "Hang on to this rope, and I'll try and pull you back up."
    "The end of a piece of rope comes sliding down the tube. You grab a hold
    of it and hear the man grunt as he tries to pull you up. Aside from
    making your shoulders ache, nothing happens."
    man "It's not happening. She must be stuck good 'n tight. [pc.name], any progress?"
    pc "Not an inch I'm afraid."
    woman "Maybe it would be easier to pull her down, with gravity on our side?"
    pc "I might get more stuck! The problem started when I got to the bend."
    man "That makes sense I probably couldn't have pulled her even if she wasn't stuck.
        You're smaller than me, see if you can crawl up and get a
        rope around her feet."
    "The plastic tube echoes as the woman comes up, and you can feel her tying
    a rope around your ankles. Then you feel the tension as they both haul on
    the rope."
    pc "Oww! That really hurts!"
    woman "Have you moved any?"
    pc "An inch or so, maybe two."
    man "Well that's some progress at least. Maybe if I pulled and you pushed?"
    woman "I'll go see what I can find."
    "After a few minutes the business end of a rather worn and dirty broom
    scrapes across your face before anchoring on your shoulder."
    woman "On three. One ... two ... three!"
    "With the man pulling on your ankles and the woman putting her weight on
    the broom you feel yourself move a little further."
    woman "I felt her move. Again. One ... two ... three!"
    "While you do move a little, if anything you feel more stuck than before."
    pc "I don't like this, it's getting even tighter!"
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    man "What do you reckon? Angle grinder?"
    woman "We might have to. Be a shame to destroy it though.
        There must be some other way."
    pc "No! No cutting it down with me in it. I'll just stay here ..."
    woman "What if we could make her more slippy?"
    man "What? Like pour some oil down there? Or lube?"
    woman "You got a couple of gallons of lube in the van?
        Something you've not been telling me?"
    man "No, and I don't have gallons of oil either. It was just an idea."
    woman "Well, what do we have?"
    pc "Guys, I really need the restroom, and soon."
    man "There's the detergent that goes in the pressure washer, that might help?"
    woman "Worth a go. Miss, we're going to spray detergent on you. Try to
        keep your eyes shut, and avoid breathing it in."
    pc "Oh, okay."
    "A machine starts up and before you know it you are covered in fine droplets
    and lemony suds. Your hair is plastered to your face, and depsite your best
    efforts some gets in your mouth. Then they spray your lower half too."
    woman "Are you okay in there? Is it getting any easier?"
    pc "I'm cold, wet, and look like I've been to a foam party,
        but I haven't budged."
    man "I guess we let it all soak in for a bit?"
    woman "What give it twenty minutes?"
    man "I think that would do it."
    $ gt.addHours(1)
    pc "Guys? I really, really need the restroom, urgently!"
    "You lie back trying to keep the suds out of your eyes.
    After a while you feel tension on the rope again, and the broom is back."
    woman "On three. One ... two ... three!"
    "You feel a little movement, then you're finally free and sliding,
    thank goodness."
    pc "Thank you! Oh, ... wee{w},
        ... woah{w},
        ... help!{w}
        {size=+2}Help!{/size}{w}
        Far too slippy now!{w}
        {size=+4}Help!{/size}{w}
        Someone catch me!"
    return


    # This slide is a bit tight.
    #
label .aloneTight:
    """
    You climb the steps to the top of the slide, take a breather, and push off
    down the yellow plastic tunnel. Dissapointingly you don't really get much
    speed up through the twists and turns as your hips are definitely rubbing
    against both sides.

    It was fun though so after a little rest you heave yourself upright and
    have a few more goes until the prospect of climbing the steps once more
    outweighs the joy of sliding down again.
    """
    $ pc.addMood(0.1)
    $ pc.exercise(600, 0.3)
    $ pc.useEnergy(2)
    $ gt.addHours(1)
    return
