#
# The slide with Sofia.
#
label nwRiverPlaySlideSofia:
    # PC with Sofia. Tunnel slide has an inner diameter of 30 inches.
    #
    # At gsize 7 300+ it's a tight fit
    # At gsize 8 400+ PC gets stuck.
    #
    $ dbgLog("nwRiverPlaySlideSofia")
    $ flirt = sofia.isRomance()
    $ gsize = pc.gsize

    if gsize < 3:
        call .sofiaGood from nw_river_play_slide_sofia_good
    elif gsize < 7:
        call .sofiaOkay from nw_river_play_slide_sofia_okay
    elif gsize == 7:
        call .sofiaTight from nw_river_play_slide_sofia_tight
    else:
        call .sofiaStuck from nw_river_play_slide_sofia_stuck
    $ dayFlags.set('sofiaPlay')
    return



    # With Sofia there's always chocolate.
    #
label .sofiaChocs:
    $ renpy.dynamic('cheating', 'dieting', 'unsure')
    $ cheating = pc.isCheatDay()
    $ dieting = pc.isDiet()
    $ unsure = pc.isDietConsider()
    sofia "Fancy some chocolate?"
    if cheating:
        pc "Yes please! I'm having a cheat day from my diet."
        sofia "You naughty girl."
    elif dieting:
        pc "I shouldn't as I'm trying to diet.
            But I just exercised, so I rather think I deserve some."
        sofia "That's the spirit!"
    elif unsure:
        pc "I probably shouldn't ... but I can't resist."
    else:
        pc "Yes please! Why are you even asking?"
    "She leads you to a bench and passes you a bar of chocolate and takes
    another for herself. You savour each square as you watch the world go
    by."
    pc "Thank you babe."
    sofia "My pleasure. You've got some at the corner of your mouth."
    "And she kisses you. It goes a lot further than just removing errant
    chocolate."
    $ food.add('chocm')
    $ pc.eatFood(food)
    return



    # Normal sliding.
    #
label .sofiaGood:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
    else:
        pc "I fancy a go on the slide. Are you coming Sofia?"
    sofia "Really? What's gotten in to you?"
    pc "It'll be fun. I and should enjoy my life shouldn't I?"
    "
    You eagerly climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns it's both fun and strange in a sensory depravation way.
    And then you're at the bottom, feet in the chippings.
    "
    if flirt:
        "
        Before you've even got up Sofia thuds into the back of you.
        At least she's nice and soft.
        "
        pc "This is nice, but perhaps leave a little more of a gap before following me?"
        sofia "I did leave a gap, but I'm naturally faster my dolce."
        pc "How come?"
        sofia "You're too light to go really fast."
        pc "I am? I though Galileo's experiment at The Leaning Tower of Pisa meant we
            would go down at the same speed?"
        sofia "That was for falling, not sliding. Put on a few pounds and you'll see."
        pc "Oh. I quite fancy a Pizza now."
        $ pc.addLim(0.1)
        "
        The pair of you have a quite a few more goes before Sofia decides
        she's had enough. You are feeling the same way. You kiss her and
        there's the bite of a static shock.
        "
        sofia "At least your hair's not sticking up any more."
        call .sofiaChocs from nw_river_play_slide_sofia_good_chocs
    else:
        "
        Before you've even got up Sofia thuds into the back of you, knocking
        some of the breath out of you.
        "
        pc "Hey, perhaps leave a little more of a gap before following me?"
        sofia "I did leave a gap, but I'm naturally faster."
        pc "How come?"
        sofia "Because I'm a lot heavier than you are."
        "
        The pair of you have a quite a few more goes before Sofia decides
        she's had enough. You are feeling the same way.
        "
        sofia "Your hair is sticking up!"
        pc "And yours, must be the static."
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # A bit chunky sliding.
    #
label .sofiaOkay:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
    else:
        pc "I fancy a go on the slide. Are you coming Sofia?"
    sofia "Really? What's gotten in to you?"
    pc "It'll be fun. I and should enjoy my life shouldn't I?"
    "
    You climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns you realise your weight is making you go faster.
    And then you're at the bottom, feet throwing up chippings to stop.
    "
    "
    You get up in time to see Sofia come down and throw up her own shower
    of chips as she tries to stop.
    "
    if flirt:
        "
        The pair of you have a quite a few more goes before Sofia decides
        she's had enough. You are feeling the same way. You kiss her and
        there's the bite of a static shock.
        "
        sofia "At least your hair's not sticking up any more."
        call .sofiaChocs from nw_river_play_slide_sofia_okay_chocs
    else:
        "
        The pair of you have a quite a few more goes before Sofia decides
        she's had enough. You are feeling the same way.
        "
        sofia "Your hair is sticking up!"
        pc "And yours, must be the static."
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # Getting stuck with Sofia.
    #
label .sofiaStuck:
    $ renpy.dynamic('dieting', 'unsure')
    $ dieting = pc.isDiet()
    $ unsure = pc.isDietConsider()
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
        sofia "Are you sure that's a good idea with those sexy hips of yours?"
        $ prompt = "Sofia seems concerned that my sexy hips are just too wide now."
    else:
        pc "I fancy a go on the slide. Are you coming Sofia?"
        sofia "Are you sure that's a good idea with those hips of yours [pc.name]?"
        pc "It'll be fun. I'm not that wide."
        $ prompt = "Sofia seems concerned I'm just too wide now."
    $ prompt += " What do I think?"
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "She's just being over cautious":
            pc "It'll be fun. I'm not {i}that{/i} wide."
        "She has a point":
            pc "You might be right. Let's do something else."
            sofia "Good call."
            return

    """
    You climb the steps to the top of the slide, take a breather, get yourself
    seated at the start of the yellow plastic tunnel and push off. Your hips
    are really rubbing the sides, and you can feel the warmth of the friction
    through the heavy denim of your jeans.

    At the first bend in the tube you come to a dead halt. No matter how much
    you wriggle and push you're not going anywhere.
    """
    pc "Sofia! Sofia, You were right. I'm stuck."
    sofia "I santi ci preservano. Stay there, I'll see if I can find someone."
    pc "Oh, I'm not going anywhere!"
    call achievements.award('slide') from nw_river_play_slide_sofia_stuck_award
    if gt.isBefore(12):
        "It's rather warm in here, with the sun glowing through the yellow plastic.
        It's a good job Sofia was here, wasn't it [pc.name]?"
    else:
        "The sun was getting lower in the sky, so at least it's not stiffling in here.
        It's a good job Sofia was here, wasn't it [pc.name]?"
    $ gt.addHours(1)
    if dieting:
        pc "Well this is a fine mess I've got myself into. I'm really wishing
            that I'd started my diet sooner!"
    elif unsure:
        pc "Well this is a fine mess I've got myself into. I know I'm too fat,
            but damn these hips of mine."
    else:
        pc "Well this is a fine mess I've got myself into.
            You just couldn't help yourself could you [pc.name]?
            Or rather you helped yourself to everything you could get didn't you?
            Damn these sexy hips of mine."
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    sofia "[pc.name], I've found some of the maintainance crew to help."
    woman "Hello, [pc.name] is it? We're here to get you out. But first, are you okay?
        Any difficulties breathing? Any unusual pains or loss of sensation?"
    pc "Oh, thank you so much! I'm okay, apart from the whole being stuck thing."
    woman "Good. Now we're just going to work out what to do."
    man "What do you reckon? See if we can pull her back up?"
    woman "I'll get the rope from the van."
    man "Hang on to this rope, and I'll try and pull you back up."
    "The end of a piece of rope comes sliding down the tube. You grab a hold
    of it and hear the man grunt as he tries to pull you up. Aside from
    making your shoulders ache, nothing happens."
    man "It's not happening. She must be stuck good 'n tight. [pc.name], any progress?"
    pc "Not an inch I'm afraid."
    sofia "I'm afraid my friend is rather on the heavier side.
        You probably wouldn't be able to pull her up even if she wasn't stuck."
    if flirt:
        pc "Hey! I'm nicely curvy thank you."
        sofia "{size=-2}Between you and me she's a bit of a hot PAWG.{/size}"
        woman "{size=-2}A pawg?{/size}"
        man "{size=-2}I get the picture. A phat-assed white girl.{/size}"
        pc "I can still hear you, you know! This thing's like a hearing trumpet."
    else:
        pc "Hey! I'm not that fat, just rather curvy."
    woman "Maybe it would be easier to pull her down, with gravity on our side?"
    sofia "It would be easier."
    pc "I might get more stuck! The problem started when I got to the bend."
    man "That makes sense.
        You're smaller than me, see if you can crawl up and get a
        rope around her feet."
    "The plastic tube echoes as the woman comes up, and you can feel her tying
    a rope around your ankles. Then you feel the tension as everyone hauls on
    the rope."
    pc "Oww! That really hurts!"
    sofia "Have you moved any?"
    pc "An inch or so, maybe two."
    man "Well that's some progress at least. Maybe if we both pulled and you pushed?"
    woman "I'll go see what I can find."
    "After a few minutes the business end of a rather worn and dirty broom
    scrapes across your face before anchoring on your shoulder."
    woman "On three. One ... two ... three!"
    "With Sofia and the workman pulling on your ankles and the woman putting her weight on
    the broom you feel yourself move a little further."
    woman "I felt her move. Again. One ... two ... three!"
    "While you do move a little, if anything you feel more stuck than before."
    pc "I don't like this, it's getting even tighter!"
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    man "What do you reckon? Angle grinder?"
    woman "We might have to. Be a shame to destroy it though.
        There must be some other way."
    pc "No! No cutting it down with me in it. I'll just stay here ..."
    woman "What if we could make her more slippy?"
    man "What? Like pour some oil down there? Or lube?"
    if flirt:
        sofia "I'd pay to see that."
        pc "Sofia!"
    woman "You got a couple of gallons of lube in the van?
        Something you've not been telling me?"
    man "No, and I don't have gallons of oil either. It was just an idea."
    woman "Well, what do we have?"
    pc "Guys, I really need the restroom, and soon."
    man "There's the detergent that goes in the pressure washer, that might help?"
    woman "Worth a go. Miss, we're going to spray detergent on you. Try to
        keep your eyes shut, and avoid breathing it in."
    pc "Oh, okay."
    "A machine starts up and before you know it you are covered in fine droplets
    and lemony suds. Your hair is plastered to your face, and depsite your best
    efforts some gets in your mouth. Then they spray your lower half too."
    woman "Are you okay in there? Is it getting any easier?"
    pc "I'm cold, wet, and look like I've been to a foam party,
        but I haven't budged."
    sofia "I can just imagine!"
    man "I guess we let it all soak in for a bit?"
    woman "What give it twenty minutes?"
    man "I think that would do it."
    $ gt.addHours(1)
    pc "Guys? I really, really need the restroom, urgently!"
    "You lie back trying to keep the suds out of your eyes.
    After a while you feel tension on the rope again, and the broom is back."
    woman "On three. One ... two ... three!"
    "You feel a little movement, then you're finally free and sliding,
    thank goodness."
    pc "Thank you! Oh, ... wee, ... woah, ... help! {size=+2}Help!{/size}
        Far too slippy now! {size=+4}Help!{/size}
        Someone catch me!"


    "
    You fly out of the end of the slide in a flurry of foam, overshoot the
    landing area, and lie flat on your back, soaked, and suddy. So embarrassing!
    "
    $ pc.addMood(-20)
    $ pc.addLim(-5)
    $ flags.set('neverSlide')
    $ flags.set('agSlide')
    if flirt:
        man "I can see what you meant Sofia."
        sofia "Are you okay babe?"
        pc "Much better for not being stuck. And thank you both for coming to my rescue."
        woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
        pc "Don't worry, once was quite enough!"
        man "Can we leave her in your care Sofia? Probably best to shower off
            that stuff. It's not really meant for skin contact."
        sofia "Don't worry, I'll look after her."
        "The two maintainance people pack up their gear and head off."
        sofia "Fancy some chocolate first to celebrate your freedom?"
        pc "I really shouldn't should I."
        sofia "Nonsense. So you don't fit in the slide anymore?
            Promise me you won't try to go down it again and
            my sexy girl can have a treat."
        pc "I promise! Easiest promise ever."
        "She leads you to a bench and passes you a bar of chocolate and takes
        another for herself. You savour each square as you watch the world go
        by."
        $ food.add('chocm')
        $ pc.eatFood(food)
        pc "Thank you babe. I'm so glad you were here."
        sofia "My pleasure. Now let's get you cleaned up."
        "Sofia leads you back to the car-park and hands you her spare helmet."
        pc "Babe, don't you think I've embarrassed myself enough today?
            We're going to look ridiculous!"
        sofia "Do you want to walk?"
        pc "Not so much, no."
        sofia "On you get then."
        "
        You get on and snuggle up to Sofia, putting your arms around her
        soft tummy, and ...
        "
        sofia "Less of the distractions my sweet. This is for your safety,
            not so you can have a sly grope."
        "
        Sofia drives you back to the diner and leads you through to the
        bathroom for a shower. While you're getting clean she throws
        your clothes in the drier.
        "
        $ world.setLoc('nwDiner')
        $ pc.useEnergy(1)
        $ gt.addHours(1)
        sofia "As we're here would you like something to eat?"
        $ prompt = "I'm already in the diner, so I could just eat here."
        $ mealsize = pc.getMealSize()
        $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
        menu:
            "[prompt]"
            "Have some lunch" if gt.isBefore(15):
                pc "Some lunch would be nice, thank you."
                sofia "You deserve it after the day you've had, my treat."
                "Sofia leads you back downstairs to the restaurant."
                $ treat = True
                $ dayFlags.set('dinerLunch')
                call nwDinerLunch.alreadyHere from nw_river_play_slide_sofia_stuck_lunch
            "Have some dinner" if gt.isBetween(18, 22):
                pc "I could really go for a nice meal after today."
                sofia "You deserve it sexy bum. My treat."
                $ treat = True
                $ dayFlags.set('dinerEve')
                call nwDinerEve.alreadyHere from nw_river_play_slide_sofia_stuck_dinner
            "Have a coffee (and maybe a pastry)":
                pc "I could go for a coffee thank you."
                "Sofia leads you back downstairs to the restaurant."
                call nwDiner.justCoffee from nw_river_play_slide_sofia_stuck_coffee
            "I ought to get home":
                pc "That's a nice idea, but I ought to get home.
                    I'm still a bit damp."
                sofia "Understanable. Take care my sweet."
                "Sofia leads you out through the side door so you don't have
                to go through the restaurant."
        # If PC doesn't live in the diner, put them outside.
        if not world.isHome():
            $ world.setLoc('nwTown')

    else:
        woman "Are you okay?"
        pc "Much better now, thank you. Thank you both for coming to my rescue."
        woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
        pc "Don't worry, once was quite enough!"
        man "Can we leave her in your care Sofia? Probably best to shower off
            that stuff. It's not really meant for skin contact."
        sofia "Don't worry, I'll look after her. Right [pc.name], let's get you home."
        "Sofia leads you back to the car-park and hands you her spare helmet."
        pc "You can't be serious!"
        sofia "Do you want to walk?"
        pc "Not so much, no."
        sofia "On you get then."
        pc "There's not much room back here. My ass is hanging off!"
        sofia "So get closer, you're going to have to hold onto me anyway."
        "
        You shuffle forward on the seat and wrap your arms around Sofia's
        soft body. Somewhat ponderously Sofia drives you back home.
        "
        "You wave goodbye and head inside. Right, toilet first.
        Then a shower to get these suds off and a change of clothes!"
        $ world.setLocHome()
        $ pc.useEnergy(1)
        $ gt.addHours(1)
    return



    # This slide is a bit tight.
    #
label .sofiaTight:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
        sofia "Are you sure that's a good idea with those sexy hips of yours?"
        pc "It'll be fun. I'm not that wide babe."
    else:
        pc "I fancy a go on the slide. Are you coming Sofia?"
        sofia "Are you sure that's a good idea with those hips of yours [pc.name]?"
        pc "It'll be fun. I'm not that wide."
    "
    You climb the steps to the top of the slide, take a breather, and push off
    down the yellow plastic tunnel. Dissapointingly you don't really get much
    speed up through the twists and turns as your hips are definitely rubbing
    against both sides.
    "
    if flirt:
        "
        Before you've even got up Sofia thuds into the back of you.
        At least she's nice and soft.
        "
        pc "You might be right about my hips babe. I was rubbing against both sides."
        sofia "You were particularly slow!"
        pc "I'm built for comfort now, not speed."
        sofia "That's the truth."
        "
        The pair of you have a few more goes before you decide you've had
        enough. You also don't want to wear or rip your jeans!
        Sofia seems to feel the same way.
        "
        call .sofiaChocs  from nw_river_play_slide_sofia_tight_chocs
    else:
        "
        Before you've even got up Sofia thuds into the back of you, knocking
        some of the breath out of you.
        "
        pc "You might be right about my hips. I was rubbing against both sides."
        sofia "You were particularly slow!"
        "
        The pair of you have a few more goes before you decide you've had
        enough. You also don't want to wear or rip your jeans!
        Sofia seems to feel the same way.
        "
    $ pc.addMood(0.1)
    $ pc.exercise(600, 0.3)
    $ pc.useEnergy(2)
    $ gt.addHours(1)
    return
