#
# The slide with Steve.
#
label nwRiverPlaySlideSteve:
    # PC with Steve. Tunnel slide has an inner diameter of 30 inches.
    #
    # At gsize 7 300+ it's a tight fit
    # At gsize 8 400+ PC gets stuck.
    #
    $ dbgLog("nwRiverPlaySlideSteve")
    $ renpy.dynamic('fat', 'tooFat')
    $ fat = steve.isPcFat()
    $ flirt = steve.isRomance()
    $ gsize = pc.gsize
    $ tooFat = steve.isPcTooFat()

    if gsize < 3:
        call .steveGood from nw_river_play_slide_steve_good
    elif flirt and tooFat:
        call .steveTooFat from nw_river_play_slide_steve_too_fat
    elif not flirt and fat:
        call .steveFat from nw_river_play_slide_steve_fat
    elif gsize < 7:
        call .steveOkay from nw_river_play_slide_steve_okay
    elif gsize == 7:
        call .steveTight from nw_river_play_slide_steve_tight
    else:
        call .steveStuck from nw_river_play_slide_steve_stuck
    $ dayFlags.set('stevePlay')
    return



    # Steve thinks platonic PC is too fat for this.
    #
label .steveFat:
    pc "I fancy a go on the slide. Are you coming Steve?"
    steve "Really? Don't you think you're getting too old for that?"
    pc "You're only as old as you feel."
    steve "I don't think it's a good idea. That slide is only meant for children."
    pc "There's no one around, who cares?"
    steve "[pc.name], I tried my best, but there's no easy way to say this.
        You're too heavy now to be on something built for children."
    if gsize < 4:
        pc "There are kids who weigh more than I do!"
        steve "Not that many!"
    elif gsize == 5:
        pc "There are still some kids who weigh more than I do."
        steve "Maybe, but they are outliers and anyway
            aren't the sort to be using playground equipment are they?"
    else:
        pc "Oh. I guess I am rather fat."
        steve "You said it, not me."
    steve "Let's just find something else to do."
    $ flags.set('pcThinkDiet')
    $ pc.addLim(-1)
    $ pc.addMood(-0.2)
    return



    # Normal sliding.
    #
label .steveGood:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
        steve "Really? Pandering your inner child now munchkin?"
        $ steve.addFancy(1)
    else:
        pc "I fancy a go on the slide. Are you coming Steve?"
        steve "Really? What's gotten in to you?"
    pc "It'll be fun!"
    "
    You eagerly climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns it's both fun and strange in a sensory depravation way.
    And then you're at the bottom, feet in the chippings.
    "
    if flirt:
        "
        Before you've even got up Steve thuds into the back of you.
        "
        pc "This is nice, but perhaps leave a little more of a gap before following me?"
        steve "My mistake, I didn't realise you'd be quite so slow.
            There's nothing to you is there?"
        "
        The pair of you have a quite a few more goes before Steve decides
        he's had enough. You are feeling the same way. You kiss him and
        there's the bite of a static shock.
        "
        steve "At least your hair's not sticking up any more."
    else:
        "
        Before you've even got up Steve thuds into the back of you, knocking
        some of the breath out of you.
        "
        pc "Hey, perhaps leave a little more of a gap before following me?"
        steve "My mistake. I'm a bit heavier than you."
        "
        The pair of you have a quite a few more goes before Steve decides
        he's had enough. You are feeling the same way.
        "
        steve "Your hair is sticking up!"
        pc "Bother, must be the static."
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # A bit chunky sliding.
    #
label .steveOkay:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
    else:
        pc "I fancy a go on the slide. Are you coming Steve?"
    steve "Really? What's gotten in to you?"
    pc "It'll be fun. I and should enjoy my life shouldn't I?"
    "
    You climb the steps to the top of the slide and throw yourself
    down into the yellow plastic tunnel. As you whip around the few twists
    and turns you realise your weight is making you go faster.
    And then you're at the bottom, feet throwing up chippings to stop.
    "
    "
    You get up in time to see Steve come down and throw up her own shower
    of chips as he tries to stop.
    "
    if flirt:
        "
        The pair of you have a quite a few more goes before Steve decides
        he's had enough. You are feeling the same way. You kiss him and
        there's the bite of a static shock.
        "
        steve "At least your hair's not sticking up any more."
    else:
        "
        The pair of you have a quite a few more goes before Steve decides
        he's had enough. You are feeling the same way.
        "
        steve "Your hair is sticking up!"
        pc "Bother, must be the static."
    $ pc.addMood(0.3)
    $ pc.exercise(300, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # Getting stuck with Steve.
    #
label .steveStuck:
    $ renpy.dynamic('dieting', 'unsure')
    $ dieting = pc.isDiet()
    $ unsure = pc.isDietConsider()
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
        steve "Are you sure that's a good idea with those sexy hips of yours?"
        $ prompt = "Steve seems concerned that my sexy hips are just too wide now."
    else:
        pc "I fancy a go on the slide. Are you coming Steve?"
        steve "Are you sure that's a good idea with those hips of yours [pc.name]?"
        pc "It'll be fun. I'm not that wide."
        $ prompt = "Steve seems concerned I'm just too wide now."
    $ prompt += " What do I think?"
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "He's just being over cautious":
            pc "It'll be fun. I'm not {i}that{/i} wide."
        "He has a point":
            pc "You might be right. Let's do something else."
            steve "Good call."
            return

    """
    You climb the steps to the top of the slide, take a breather, get yourself
    seated at the start of the yellow plastic tunnel and push off. Your hips
    are really rubbing the sides, and you can feel the warmth of the friction
    through the heavy denim of your jeans.

    At the first bend in the tube you come to a dead halt. No matter how much
    you wriggle and push you're not going anywhere.
    """
    pc "Steve! Steve. I'm stuck."
    steve "Right, of course you are. Stay there, I'll see if I can find someone."
    pc "Oh, I'm not going anywhere!"
    call achievements.award('slide') from nw_river_play_slide_steve_stuck_award
    if gt.isBefore(12):
        "It's rather warm in here, with the sun glowing through the yellow plastic.
        It's a good job Steve was here, wasn't it [pc.name]?"
    else:
        "The sun was getting lower in the sky, so at least it's not stiffling in here.
        It's a good job Steve was here, wasn't it [pc.name]?"
    $ gt.addHours(1)
    if dieting:
        pc "Well this is a fine mess I've got myself into. I'm really wishing
            that I'd started my diet sooner!"
    elif unsure:
        pc "Well this is a fine mess I've got myself into. I know I'm too fat,
            but damn these hips of mine."
    else:
        pc "Well this is a fine mess I've got myself into.
            You just couldn't help yourself could you [pc.name]?
            Or rather you helped yourself to everything you could get didn't you?
            Damn these sexy hips of mine."
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    steve "[pc.name], I've found some of the maintainance crew to help."
    woman "Hello, [pc.name] is it? We're here to get you out. But first, are you okay?
        Any difficulties breathing? Any unusual pains or loss of sensation?"
    pc "Oh, thank you so much! I'm okay, apart from the whole being stuck thing."
    woman "Good. Now we're just going to work out what to do."
    man "What do you reckon? See if we can pull her back up?"
    woman "I'll get the rope from the van."
    man "Hang on to this rope, and I'll try and pull you back up."
    "The end of a piece of rope comes sliding down the tube. You grab a hold
    of it and hear the man grunt as he tries to pull you up. Aside from
    making your shoulders ache, nothing happens."
    man "It's not happening. She must be stuck good 'n tight. [pc.name], any progress?"
    pc "Not an inch I'm afraid."
    steve "I'm afraid my friend is rather on the heavier side.
        You probably wouldn't be able to pull her up even if she wasn't stuck."
    if flirt:
        pc "Hey! I'm nicely curvy thank you."
        steve "{size=-2}Between you and me she's a bit of a hot PAWG.{/size}"
        woman "{size=-2}A pawg?{/size}"
        man "{size=-2}I get the picture. A phat-assed white girl.{/size}"
        pc "I can still hear you, you know! This thing's like a hearing trumpet."
    else:
        pc "Hey! I'm not that fat, just rather curvy."
    woman "Maybe it would be easier to pull her down, with gravity on our side?"
    steve "It would be easier with Sir Issac's assistance."
    pc "I might get more stuck! The problem started when I got to the bend."
    man "That makes sense.
        You're smaller than me, see if you can crawl up and get a
        rope around her feet."
    "The plastic tube echoes as the woman comes up, and you can feel her tying
    a rope around your ankles. Then you feel the tension as everyone hauls on
    the rope."
    pc "Oww! That really hurts!"
    steve "Have you moved any?"
    pc "An inch or so, maybe two."
    man "Well that's some progress at least. Maybe if we both pulled and you pushed?"
    woman "I'll go see what I can find."
    "After a few minutes the business end of a rather worn and dirty broom
    scrapes across your face before anchoring on your shoulder."
    woman "On three. One ... two ... three!"
    "With Steve and the workman pulling on your ankles and the woman putting her weight on
    the broom you feel yourself move a little further."
    woman "I felt her move. Again. One ... two ... three!"
    "While you do move a little, if anything you feel more stuck than before."
    pc "I don't like this, it's getting even tighter!"
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    man "What do you reckon? Angle grinder?"
    woman "We might have to. Be a shame to destroy it though."
    steve "Probably not the best option on plastic.
        There must be some other way."
    pc "No! No cutting it down with me in it. I'll just stay here ..."
    woman "What if we could make her more slippy?"
    man "What? Like pour some oil down there? Or lube?"
    if flirt:
        steve "I'd pay to see that."
        pc "Steve!"
    woman "You got a couple of gallons of lube in the van?
        Something you've not been telling me?"
    man "No, and I don't have gallons of oil either. It was just an idea."
    woman "Well, what do we have?"
    pc "Guys, I really need the restroom, and soon."
    man "There's the detergent that goes in the pressure washer, that might help?"
    woman "Worth a go. Miss, we're going to spray detergent on you. Try to
        keep your eyes shut, and avoid breathing it in."
    pc "Oh, okay."
    "A machine starts up and before you know it you are covered in fine droplets
    and lemony suds. Your hair is plastered to your face, and depsite your best
    efforts some gets in your mouth. Then they spray your lower half too."
    woman "Are you okay in there? Is it getting any easier?"
    pc "I'm cold, wet, and look like I've been to a foam party,
        but I haven't budged."
    steve "I can just imagine!"
    man "I guess we let it all soak in for a bit?"
    woman "What give it twenty minutes?"
    man "I think that would do it."
    $ gt.addHours(1)
    pc "Guys? I really, really need the restroom, urgently!"
    "You lie back trying to keep the suds out of your eyes.
    After a while you feel tension on the rope again, and the broom is back."
    woman "On three. One ... two ... three!"
    "You feel a little movement, then you're finally free and sliding,
    thank goodness."
    pc "Thank you! Oh, ... wee, ... woah, ... help! {size=+2}Help!{/size}
        Far too slippy now! {size=+4}Help!{/size}
        Someone catch me!"

    "
    You fly out of the end of the slide in a flurry of foam, overshoot the
    landing area, and lie flat on your back, soaked, and suddy. So embarrassing!
    "
    $ pc.addMood(-20)
    $ pc.addLim(-5)
    $ flags.set('neverSlide')
    $ flags.set('agSlide')
    if flirt:
        man "I can see what you meant Steve."
        steve "Are you okay babe?"
        pc "Much better for not being stuck. And thank you both for coming to my rescue."
        woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
        pc "Don't worry, once was quite enough!"
        man "Can we leave her in your care Steve? Probably best to shower off
            that stuff. It's not really meant for skin contact."
        steve "Don't worry, I'll get her home."
        "The two maintainance people pack up their gear and head off."
        pc "Thank you babe. I'm so glad you were here."
        steve "My pleasure. Now let's get you cleaned up."
        "Steve drives you home in his car. It's not the most comfortable ride
        in your soaked clothes, but it beats walking."
        pc "Thank you for helping babe. I don't know what would have happened
            if I'd been on my own. And sorry about the wet patch on the seat."
        steve "It's okay, it needed shampooing, and you've done half the job already.
            Now go wash all that stuff off before it burns your skin or something."
        "You wave goodbye and head inside. Right, toilet first.
        Then a shower to get these suds off and a change of clothes!"

    else:
        woman "Are you okay?"
        pc "Much better now, thank you. Thank you both for coming to my rescue."
        woman "I'm glad you're okay, but [pc.name], please don't ever do that again."
        pc "Don't worry, once was quite enough!"
        man "Can we leave her in your care Steve? Probably best to shower off
            that stuff. It's not really meant for skin contact."
        steve "Don't worry, I'll look after her. Right [pc.name], let's get you home."
        "Steve drives you home in his car. It's not the most comfortable ride
        in your soaked clothes, but it beats walking."
        pc "Thank you for helping Steve. I don't know what would have happened
            if I'd been on my own. And sorry about the wet patch on the seat."
        steve "It's okay, it needed shampooing, and you've done half the job already.
            Now go wash all that stuff off before it burns your skin or something."
        "You wave goodbye and head inside. Right, toilet first.
        Then a shower to get these suds off and a change of clothes!"
    $ world.setLocHome()
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # This slide is a bit tight.
    #
label .steveTight:
    if flirt:
        pc "I'm going to have a go on the slide while there's no one about babe."
        steve "Are you sure that's a good idea with those sexy hips of yours?"
        pc "It'll be fun. I'm not that wide babe."
    else:
        pc "I fancy a go on the slide. Are you coming Steve?"
        steve "Are you sure that's a good idea with those hips of yours [pc.name]?"
        pc "It'll be fun. I'm not that wide."
    "
    You climb the steps to the top of the slide, take a breather, and push off
    down the yellow plastic tunnel. Dissapointingly you don't really get much
    speed up through the twists and turns as your hips are definitely rubbing
    against both sides.
    "
    if flirt:
        "
        Before you've even got up Steve thuds into the back of you.
        Then he has his arms around your rolls.
        "
        pc "You might be right about my hips babe. I was rubbing against both sides."
        steve "You were particularly slow!"
        pc "I'm built for comfort now, not speed."
        steve "You don't say."
        "
        The pair of you have a few more goes before you decide you've had
        enough. You also don't want to wear or rip your jeans!
        Steve seems to feel the same way.
        "
    else:
        "
        Before you've even got up Steve thuds into the back of you, knocking
        some of the breath out of you.
        "
        pc "You might be right about my hips. I was rubbing against both sides."
        steve "You were particularly slow!"
        "
        The pair of you have a few more goes before you decide you've had
        enough. You also don't want to wear or rip your jeans!
        Steve seems to feel the same way.
        "
    $ pc.addMood(0.1)
    $ pc.exercise(600, 0.3)
    $ pc.useEnergy(2)
    $ gt.addHours(1)
    return



    # Steve thinks romantic PC is too fat for this.
    #
label .steveTooFat:
    pc "I'm going to have a go on the slide while there's no one about babe."
    steve "Really? Don't you think you're getting too old for that?"
    pc "You're only as old as you feel babe."
    steve "I don't think it's a good idea. That slide is only meant for children."
    pc "There's no one around, who cares?"
    steve "And what if you break it? You're quite a bit heavier than a child."
    if gsize < 4:
        pc "There are kids who weigh more than I do!"
        steve "Not that many munchkin."
    elif gsize == 5:
        pc "There are still some kids who weigh more than I do."
        steve "Maybe, but they aren't the sort to be using playground equipment are they?"
    else:
        pc "Oh. I guess I am a bit fat."
        steve "Just a bit."
    steve "Let's find something else to do babe."
    $ pc.addLim(-1)
    $ pc.addMood(-0.2)
    $ flags.set('pcThinkDiet')
    return
