#
# The swings.
#
label nwRiverPlaySwing:
    # Wide seat 450mm/18in g4
    # swl 250lbs brk 375? g7-g8
    #
    $ dbgLog("nwRiverPlaySwing")
    $ renpy.dynamic('swl', 'vwide', 'wide')
    $ gsize = pc.gsize
    $ swl = pc.getMass() < 375 / 2.2
    $ wide = gsize >= 4
    $ vwide = gsize >= 6

    # Testing.
    # $ sofiaHere = False
    # $ steveHere = True

    # Divert if someone else is here.
    #
    if sofiaHere:
        call nwRiverPlaySwingSofia from nw_river_play_swing_sofia
    elif steveHere:
        call nwRiverPlaySwingSteve from nw_river_play_swing_steve
    else:
        call .alone from nw_river_play_swing_alone
    return


    # Just swinging. On my own.
    #
label .alone:
    $ dbgLog("nwRiverPlaySwing.alone")
    if not swl:
        call .aloneBrk from nw_river_play_swing_alone_brk
    elif vwide:
        call .aloneTooWide from nw_river_play_swing_alone_too_wide
    elif wide:
        call .aloneWide from nw_river_play_swing_alone_wide
    else:
        call .aloneGood from nw_river_play_swing_alone_good
    return



    # Too heavy for the chains! And too wide for the seat.
    # G7
    #
label .aloneBrk:
    """
    There are a number of different seats on the swing set so you choose one
    of the wider ones that might be intended for adults, and sit yourself down.
    The chains that hold up the seat are digging into the flesh of your thighs.
    Never mind, you start swinging.

    It takes some real effort to build up your swing, kicking your short fat
    legs forward and leaning back as far as you dare, without the girls getting
    loose or you losing your grip, to accelerate downwards.

    By the time you are swinging as much as you want the chains are complaining.
    And the brief moment of weightlessness at the top of your arc feels very
    strange indeed. You realise just how used you have become to your body being
    heavy all the time.

    You both hear the metalic twang and feel the chain in your left hand give ...
    """
    pc "Oh shiii ..."
    """
    You land heavily on your ass in the rubber composite under the swing.
    You might be well padded back there, and the ground sort of soft, but
    it still knocks the wind out of you.

    Thoroughly embarrassed and blushing deeply you try to at least sit up
    only for the seat, dangling from its remaining chain,
    to crack you on the back of the head.

    You've never seen stars before, like an old Tom & Jerry cartoon, but it
    seems that is indeed a thing that can happen. But much more chaotic, like
    your own personal snow globe, than the neat orbit 'toons experience
    though.

    Trying to bat at them just makes it worse. There's nothing for it, you
    lie back down and wait for reality to get a grip.
    {size=-2}Maybe it's so they don't have to paint as many cells?{/size}
    {size=-4}What about birds?{/size}
    {size=-6}Do you have to be a feline to see birds?{/size}
    {size=-8}Little tweety birds?{/size}

    When you come back around the stars are, thankfully, gone.
    You'd ki ... , no, give up chocolate for a {i}whole week{/i} for an
    analgesic though.
    """
    pc "One thing's for sure [pc.name], you're done with swings.
        Not that anyone is going to be using that particular one
        until it's repaired."
    call achievements.award('swing') from nw_river_play_swing_alone_brk_award
    $ flags.set('neverSwing')
    $ flags.set('agSwing')
    $ pc.addMood(-10)
    $ pc.exercise(650, 0.2)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # Normal swing. g0-g3
    #
label .aloneGood:
    """
    There are a number of different seats on the swing set so you choose one
    of the wider ones that might be intended for adults, and sit yourself down
    and grab hold of the chains.

    It doesn't take you long to build up your swing, kicking your legs forward
    and leaning back to accelerate downwards. Soon your hair is streaming
    behind you and your toes pointing skywards at the top of your arc.

    It's a simple pleasure, and when you grow bored of it you let the momentum
    fall before launching yourself off the seat and running to a halt.
    """
    $ pc.addMood(0.3)
    $ pc.exercise(350, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # A good bit too wide for seat.
    # G6,7
    #
label .aloneTooWide:
    """
    There are a number of different seats on the swing set so you choose one
    of the wider ones that might be intended for adults, and sit yourself down.
    The chains that hold up the seat are digging into the flesh of your thighs.
    Never mind, you start swinging.

    It takes some real effort to build up your swing, kicking your short fat
    legs forward and leaning back as far as you dare, without the girls getting
    loose or you losing your grip, to accelerate downwards.

    By the time you are swinging as much as you want the chains are complaining.
    And the brief moment of weightlessness at the top of your arc feels very
    strange indeed. You realise just how used you have become to your body being
    heavy all the time.

    You probably look a right sight with the way you are stuffed into this seat,
    ass hanging off the back and trussed up by chains.

    When sweat starts getting in your eyes, it's time to stop and you let the swinging
    naturally decay until you can just hop off. No point trying any fancy moves
    dismount carrying all this extra weight. It would end badly.
    """
    $ pc.addMood(0.2)
    $ pc.exercise(550, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # A bit too wide for seat.
    # G4,5
    #
label .aloneWide:
    """
    There are a number of different seats on the swing set so you choose one
    of the wider ones that might be intended for adults, and sit yourself down.
    The chains that hold up the seat are pressing into the flesh of your thighs.
    Never mind, you start swinging.

    It takes you a bit longer to build up your swing, kicking your short chubby
    legs forward and leaning back to accelerate downwards. Soon enough your hair
    is streaming behind you and your toes pointing skywards at the top of your arc.

    It's a simple pleasure, and when you grow bored of it you let the swinging
    naturally decay until you can just hop off. No point trying for a showy
    dismount with all this extra weight. You'd probably faceplant the floor!
    """
    $ pc.addMood(0.3)
    $ pc.exercise(450, 0.3)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return
