#
# Town centre.
#
label nwTown:
    if gt.hour > 19:
        "
        As night draws in there are fewer people around.
        Most shops are closed and only the bar and the Italian diner are open.
        "
    elif gt.hour >= 9:
        "
        The town centre is as busy as it gets,
        which isn't all that busy.
        "
    else:
        "
        It's pretty quiet here in the town centre.
        Depending on your point of view it's either really late,
        or a bit too early.
        "
    $ world.setLoc('nwTown')
    return



    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwTown.freeChoice"
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("What to do?", gt.hour, mealsize)

    menu:
        "[prompt]"
        "Go to [clothesName]":
            call nwClothes from nw_town_free_clothes
        "Go to [dinerName]":
            call nwDiner from nw_town_free_diner
        "Go to [barName]":
            call nwBar from nw_town_free_bar
        "Go to the little park":
            call nwTownPark from nw_town_free_park
        "Go to the river" if gt.isDaytime:
            call nwRiver from nw_town_free_river
        "Go to the woods":
            call nwWoods from nw_town_free_woods
        "Go back home" if gt.hour < 20 and pc.energy > 2:
            $ tmp = world.getRetToHomeLabel();
            if tmp == None:
                $ tmp = world.homeLabel
            call expression tmp from nw_town_free_home_dyn
        "Head home for the night" if gt.hour >= 20 or pc.energy <= 2:
            $ world.setDayOver()
        "Debug" if debugMenus:
            call debugMenu from nw_town_free_dbg
    return



    # Travel to a location from here.
    # May take multiple calls.
    #
    # toLoc     - the eventual destination
    #
label .travelFromHereTo(toLoc=None):
    $ dbgLog("nwTown.travelFromHereTo({})".format(toLoc))
    if toLoc.startswith('nwVach'):
        "
        You head out of town towards the commercial area where the Vachon
        buildings are.
        "
        call expression toLoc pass (False) from nw_town_travel_to_vach_dyn
    return



    # -------------------------------------------------------------------------
    # Local calls
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
