#
# Park
#
label nwTownPark:
    if gt.hour > 19:
        "
        The park is pretty much deserted when it's dark.
        There's lights from the bar and the diner, and the
        odd snatch of music or conversation.
        "
    elif gt.hour >= 9:
        "
        Even though there are people walking around and cars passing
        it's still quite peaceful in the park.
        "
    else:
        "
        It's very quiet in the park.
        Depending on your point of view it's either really late,
        or a bit too early.
        "
    $ world.setLoc('nwTownPark')
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwTownPark.freeChoice"
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("What to do?", gt.hour, mealsize)

    menu:
        "[prompt]"
        "Sit on a bench":
            call .sit from nw_park_free_bench
        "Walk to the fountain":
            call nwFount from nw_park_free_fountain
        "Leave the park":
            call nwTown from nw_park_free_park
        "Head home" if gt.hour >= 20 or pc.energy <= 2:
            $ world.setDayOver()
        "Debug" if debugMenus:
            call debugMenu from nw_park_free_dbg
    return



    # Return home from here.
    #
    # toLoc     - the eventual destination
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwTownPark.retHomeFromHere({})".format(toLoc))
    $ tmp = pc.locoVerb()
    "You [tmp] out of the park in the town square."
    call nwTown from nw_park_ret_home
    return



    # -------------------------------------------------------------------------
    # Local calls
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Sit on a bench.
    #
label .sit:
    # dbg "nwTownPark.sit"
    "
    You find an empty bench, sit down, and just let the world go by.
    "
    $ rnd = pc.random(1, 6)
    if rnd == 1:
        "
        One of the park's squirrels approaches you in a staccato series
        of fluid bounds. Then it stands on its hind legs and looks at you.
        "
        if pc.isDiet():
            pc "I wish I had some food too little guy.
                Curse dieting!
                You haven't any nuts you'd care to share?"
            pc "I'm going nuts. Driven mad by hunger.
                Trying to mooch food off a squirrel."
        else:
            pc "You're looking at the wrong girl.
                If I had anything edible, it would already be eaten."
    elif rnd == 2:
        "
        A large crow saunters up to you in an oblique fashion,
        cocks it's head and give you the eye.
        "
        if pc.isDiet():
            pc "No I don't have any food, I'm dieting.
                Now move along before I start halucinating you're
                a plump piece of chicken,
                golden roasted on a bed of buttery mash ..."
            pci "[pc.name]? You're drooling.
                Stop thinking about food."
        else:
            pc "You're looking at the wrong girl.
                If I had anything edible, it would already be eaten."

    "
    After an hour or so the bench really gets uncomfortable and you stand up.
    You are feeling a bit happier though.
    "
    $ pc.addMood(0.1)
    $ gt.addHours(1)
    return
