#
# Vachon warehouse work.
#
default vachWareWorkLru = []            # Work LRU

label nwVachonWarehouseWork:
    $ dbgLog("nwVachonWarehouseWork")
    $ renpy.dynamic('dieting', 'rebCount', 'select', 'unsure')
    $ gsize = pc.getSize()
    $ dieting = pc.isDiet()
    $ unsure = pc.isDietConsider()
    $ picker.start('nwVachonWarehouseWork')

    # Add events.
    #
    $ picker.addLocal('.pcSimple')
    if not dieting and pc.randomWeightRangeKg(360, hardLimKg, 0, 50):
        $ picker.addLocal('.pcCollapse', 50, 100)
    elif pc.randomWeightRangeLb(550, 840, 0, 50):
        $ picker.addLocal('.pcIncident', 200)

    # Derek.
    #

    # Juanita.
    #
    $ picker.addLocal('.juanIncoming')

    # Rebecca.
    #
    $ picker.addLocal('.rebScanner')
    $ rebCount = evtCounters.get('wareReb')
    if rebCount > 0:
        if pc.getMass() > 280/2.2:
            $ picker.addLocal('.rebSteps')

    # Rodrigo.
    #
    $ picker.addLocal('.rodFeedSacks')

    # Pick event.
    #
    $ select = picker.choose(vachWareWorkLru, 4, 2, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from nw_vach_ware_work_dyn
        else:
            dbg "In nwVachonWarehouseWork: selected label \"[select]\" was not found."
    return



    # -------------------------------------------------------------------------
    # Jobs
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Help Juanita with incoming delivery.
    #
label .juanIncoming:
    $ dbgLog("nwVachonWarehouseWork.juanIncoming")
    $ renpy.dynamic('first')
    $ first = evtCounters.isZero('wareJuan')
    if first:
        stanley "Juanita we've a delivery coming in can you see to that please?"
        juanita "Sure."
        stanley "And [pc.name] there'll be one of the pallets that needs breaking
            down, can you give her a hand with that?"
        pc "Okay, I've not done that before."
        juanita "It's easy, just the opposite of what you normally do."
    else:
        stanley "Juanita and [pc.name] we've a delivery coming in can you two
            see to that please?"
        juanita "Sure."
        pc "Okay."
    "
    Stanley heads back to his office and you follow Juanita to the loading bay.
    "
    if first:
        pc "So, what to do we do?"
        juanita "We hurry up and wait until the truck gets here. Not much to do
            until then."
        pc "Really?"
        juanita "Really. Though you might want to find Becca and have her show
            you how to put your scanner into receiving mode."
        "
        You wander off to find Becca, eventually tracking her down on the way
        back to her station with a cart piled with orders.
        "
        pc "Hey Becca, Juanita said I should ask you how to set up my scanner
            for an incoming delivery."
        rebecca "Sure I'll show you, it's easy."
        "
        She leads you over to your station and shows you how to select a delivery
        and scan in the consignment. The little display on the scanner changes.
        "
        rebecca "Now everything you scan will be added to the stock system instead
            of being removed. Remember just scan the codes on the outers, not the
            products inside, then key in the quantity."
        pc "Got it. Anything else?"
        rebecca "Not really. Just make sure the display doesn't flip back to an
            order part way though or the whole system gets fubar'd."
        pc "Fubar'd?"
        rebecca "Fucked Up Beyond All Recognition. That would be ... bad.
            Best of luck girl!"
        $ tmp = pc.locoVerb()
        "
        You [tmp] back to the loading bay with this new knowledge.
        "
    else:
        juanita "I love the calm before the truck arrives. Nothing to do but sit
            here and wait. Sit yourself down."
        pc "Okay, I'm up for that. Isn't there anything else we should be doing?"
        juanita "Not really. Just hurry up and wait."
        # Vending? Chat? FIX!
        "
        The pair of you sit, waiting for the delivery.
        "
    $ gt.addHours(1)
    "
    The rumble of a big diesel engine has Juanita on her feet and opening the
    docking bay doors. The panels squeaking and clattering into an untidy roll
    high up in the roof.
    "
    if first:
        juanita "You'll need to stay out of the way while we get the pallets
            off the truck."
        pc "Got it."
    "
    You move your butt into the next bay to give Juanita space to work. She
    drives the forklift like it's an extension of her own body and soon has
    the trailer empty and is signing off the delivery note.
    "
    if first:
        pc "I'm impressed, that was almost balletic."
        juanita "Aw, thanks chica."
        pc "Which pallet's mine?"
        juanita "It'll be that one over there with all different things on it.
            You'll need a box cutter to get the pallet wrap off."
        pc "There's a lot on it."
    else:
        pc "You have some serious forklift skills."
        juanita "Thanks [pc.name], I'll take that compliment."
    "
    While Juanita deals with placing the full pallets on the warehouse racking
    you begin the process of breaking down the mixed one, scanning things in,
    loading them on your cart, and putting them where they belong.
    "
    if gt.isBefore(12):
        "
        Juanita comes back to help out once she's done with the big stuff.
        It was taking so long you were getting a little concerned that you would
        be missing lunch, but with both of you working on it the wooden pallet
        slats are eventually visible.
        "
    else:
        "
        Juanita comes back to help out once she's done with the big stuff.
        It was taking so long you were getting a little concerned that you would
        be going home late, but with both of you working on it the wooden pallet
        slats are eventually visible.
        "
    $ evtCounters.inc('wareJuan')
    return



    # PC collapses at work.
    # Between 792 and 880.
    #
label .pcCollapse:
    $ dbgLog("nwVachonWarehouseWork.pcCollapse")
    "
    You waddle to your station and work through many small orders, fetching items,
    scanning them, and packing them. As you head off for the next item you don't
    feel so good. Your heart is pounding, and you feel oddly faint...
    "
    $ gt.addHours(2)
    "
    When you come to you are lying on a pallet covered in a blanket with everyone
    gathered around you.
    "
    rebecca "Are you okay [pc.name]?"
    pc "I think so, I think I just fainted?"
    stanley "Do you think you can sit up?"
    juanita "I've got some water if you want it."
    "
    You sit up, proping yourself against the wall,
    and take a sip of water, then a longer drink.
    "
    pc "So why am I on a pallet?"
    stanley "We, we couldn't leave you where you were in the middle of the warehouse."
    rodrigo "You're not exactly easy to move, even with all of us."
    juanita "I had to help them out."
    pc "Wait. You used the forklift?"
    juanita "It was easier than using one of the pallet jacks."
    rebecca "You are pretty heavy [pc.name]."
    pc "I know, but the forklift! Fuck."
    stanley "[pc.name], just rest there for a bit.
        I'll come and check up on you later."
    rebecca "You'll be okay [pc.name]?"
    pc "I'm sure I'll be fine, thank you all."
    "
    Everyone heads off to get back on with their work, and you sit and rest.
    "
    $ gt.addHours(1)
    "
    After an hour or so Stanley comes back.
    "
    stanley "How are you doing?"
    if evtCounters.isNonZero('wareFaint'):
        pc "Okay, I think."
        stanley "This is the second time you've collapsed at work, and as
            I said last time, we will have to let you go."
        pc "Please Stanley?"
        stanley "No [pc.name].
            You've broken the promise you've made to me so it's time to call it a day."
        $ world.clearPartWork()
        $ world.setWorkOver()
        $ pc.addMood(-70)
    else:
        pc "Okay, I think. That's not happened to me before."
        stanley "Okay, okay. We need to talk [pc.name].
            You can't go on doing physical work like we do at the size you are."
        if pc.isDietHard():
            pc "Believe me, I know I can't. I've already committed myself to a
                serious diet."
            stanley "That's good to know.
                But I need you to promise me that you are going to
                get down to a vaguely sensible size."
        elif dieting:
            pc "I know, and today has reinforced that. I'm already dieting."
            stanley "That's good to know.
                But I need you to promise me that you are going to
                get down to a vaguely sensible size."
        else:
            pc "I did rather just find that out in a very scary way."
            stanley "I need you to promise me that you are going to lose some
                serious weight and get back to a vaguely sensible size."
        pc "What would be sensible Stanley?"
        stanley "I don't know. How heavy are you now if you don't mind me asking?"
        $ tmp = cardFloor(pc.getMass() * 2.2, 50)
        pc "I'm over [tmp]."
        stanley "Damn. I had no idea. Could you get down to seven hundered?
            Seven fifty? I'll need you to do this to keep your job.
            We can't have you risking your life out there."
        $ prompt = "Am I going to promise to lose weight?"
        $ prompt += " My job is on the line here, and maybe my life."
        call pcDiet.dietPromptMenu(prompt, 750/2.2) from nw_vach_ware_work_faint_diet
        if _return:
            pc "I promise I will get my weight down Stanley."
            pci "Damn, [pc.name]. Is that even a promise you can keep?"
            stanley "Thank you [pc.name].
                I'm sure you'll feel better for it.
                You'll need to keep the weight off too, no relapses."
            pc "Okay. I understand how important this is."
            $ pc.dietWill = 99              # Give her a willpower boost.
            $ flags.set('steveWareFaint')   # Tell Steve
        else:
            pc "No, I don't think I can make that kind of promise Stanley."
            stanley "Oh. Oh, okay. I'm sorry to hear that.
                You're not really giving me any choice.
                We'll have to terminate your employment."
            $ world.clearPartWork()
            $ world.setWorkOver()
            $ pc.addMood(-50)
    $ evtCounters.inc('wareFaint')
    return



    # PC hip checks a stack of cans.
    #
label .pcIncident:
    $ dbgLog("nwVachonWarehouseWork.pcIncident")
    "
    Everything is going as usual, pushing your cart around the warehouse,
    picking orders, same old same old, when you catch a stack of cans with
    your hip. They go clattering across the floor.
    "
    if unsure:
        pc "Damn, I keep forgetting how wide I am these days."
    else:
        pc "Damn these sexy hips of mine!"
    $ rnd = pc.random(0, 4)
    # $ rnd = 4
    if rnd == 0:
        "
        It takes you a while to find where all the tins rolled to and get them
        stacked up neatly. You have to put some of the more obviously dented ones
        to the back.
        "
        pci "Shall we pretend that didn't happen [pc.name]?"
        pc "I think that would be for the best."
        
    elif rnd == 1:
        "
        You hear footsteps approaching as you scramble to pick up the rolling tins.
        "
        derek "I see we have a containment breach. Do you need a hand?"
        pc "If you could Derek that would be a help."
        "
        It doesn't take long for the pair of you to rebuild the stack.
        "
        pc "We don't need to tell Stan about this do we?"
        derek "The chief? No. Us lower deckers stick together!"
        pc "Thanks Derek."
    elif rnd == 2:
        "
        You hear footsteps approaching as you scramble to pick up the rolling tins.
        "
        juanita "That thickness of yours getting you in trouble again?"
        pc "I barely caught that stack and down it went. You couldn't..."
        juanita "Of course I will [pc.name]."
        "
        It doesn't take long for the pair of you to rebuild the stack.
        "
        juanita "Now, not a word of this to Stan, okay?"
        pc "Gotcha."
    elif rnd == 3:
        "
        You hear footsteps approaching as you scramble to pick up the rolling tins.
        "
        rebecca "Had a bit of an oopsie there [pc.name]?"
        if unsure:
            pc "I caught the stack with my hip. I wish I wasn't so wide."
            rebecca "I feel for you. Need a hand?"
        else:
            pc "I barely felt it, but I must of caught the stack with my hip."
            rebecca "You are pretty squishy [pc.name]. Need a hand?"
        pc "If you can spare the time."
        "
        It doesn't take long for the pair of you to rebuild the stack.
        "
        pc "Do we need to report this? Some of the cans got a bit dented."
        rebecca "Well, let's just say I wouldn't."
    else:
        "
        You hear footsteps approaching as you scramble to pick up the rolling tins.
        "
        rodrigo "{alt}Timber!{/alt}{noalt}Tiiimberrr!{/noalt}"
        pc "Quiet! You want to get me in trouble?"
        rodrigo "Nah, you're good. Let me help."
        "
        It doesn't take long for the pair of you to rebuild the stack.
        "
        pc "Thanks Rodrigo."
        "
        He smiles and gives you a thumbs up before going on his way.
        "
    "
    With that done you get back to your orders.
    "
    # If the PC is not dieting have Stan talk to her about her weight.
    #
    if not pc.isDiet():
        $ dayFlags.set('stanPcWeight')
    $ dayFlags.set('wareHips')
    $ evtCounters.inc('wareHips')
    return



    # Simple job.
    #
label .pcSimple:
    $ dbgLog("nwVachonWarehouseWork.pcSimple")
    "
    You head to your station and work through many small orders, fetching items,
    scanning them, and packing them. It's simple enough, if repetative, but
    you do prepare a lot of boxes to be delivered.
    "
    return



    # Scanner help from Rebecca.
    #
label .rebScanner:
    $ dbgLog("nwVachonWarehouseWork.rebScanner")
    "
    You head to your station and work through many small orders, fetching items,
    scanning them, and packing them. As you are part way through the next order
    your scanner stops working so you go and look for Becca.
    "
    pc "Becca, my scanner has stopped working!"
    rebecca "Just a sec. Let me have a look at that."
    "
    She examines it, then turns it over and pops the battery out briefly
    and waits for it to boot back up.
    "
    rebecca "I think this is going to need some percussive maintenance."
    pc "What?"
    "
    She thwacks it hard on the counter, checks the display again, then hands
    it back to you.
    "
    rebecca "All good now."
    pc "Really?"
    rebecca "They fill up with dust and whatnot from the feed sacks,
        and sometimes you just have to dislodge it. You'll need to rescan
        the order you were on, but you're good."
    pc "Thank you Becca!"
    "
    You repeat that order and get on with the rest of your work.
    "
    $ evtCounters.inc('wareReb')
    return



    # Rebecca help with steps.
    #
label .rebSteps:
    $ dbgLog("nwVachonWarehouseWork.rebSteps")
    "
    You head to your station and start working on your orders. There's an
    item you need from the higher shelf so you go and find a set of steps.
    "
    if gsize < 7:
        "
        You are having some trouble getting your hips squeezed between the
        pair of guard rails when you see Becca approaching.
        "
        rebecca "Do you need a hand there [pc.name]?"
        pc "If you wouldn't mind. I don't want to get stuck."
    elif gsize < 9:
        "
        You are wondering if it's even going to possible to squeeze your
        wide hips between the guard rails when you see Becca approaching.
        "
        rebecca "Do you need a hand there [pc.name]?"
        pc "If you wouldn't mind. I rather struggle with how narrow these are."
    else:
        "
        You know your wide hips won't fit between the guard rails and are
        wondering if you could somehow shuffle up sideways
        when you see Becca approaching.
        "
        rebecca "Do you need a hand there [pc.name]?"
        pc "If you wouldn't mind. I don't really fit these steps anymore."
    "
    Rebecca goes up the steps for you and hands you the item.
    "
    pc "Thanks Becca!"
    rebecca "[pc.name], do you worry about your weight?
        I struggle so with mine."
    if gsize < 7: # Less than 300lbs.
        if unsure:
            pc "I do. I'm not really happy with how fat I've become.
                So I know how you feel."
            rebecca "It isn't easy, is it, being a bigger girl."
            pc "No, it isn't."
        else:
            pc "Not really. I'm quite happy with my weight.
                I mean I know I'm pretty fat, but I like my curves."
            rebecca "Really? I wish I had your confidence."
            pc "You should feel good about yourself, you're an attractive woman."
    elif gsize < 9: # Less than 500lbs
        if unsure:
            pc "I do. I'm a very big girl, and not really happy with my size.
                Compared to me though you've nothing to worry about Becca!"
            rebecca "I guess. I still feel overweight though."
            pc "And I wish I was as small as you!"
        else:
            pc "Not really. I'm quite happy with my weight.
                I mean I know I'm a very big girl, but I like my voluptuous curves."
            rebecca "Really? I wish I had your confidence."
            pc "You should feel good about yourself, you're an attractive woman."
    else: # Greater than 500lbs
        $ tmp = cardinal(floorPrec(pc.getMass() / 77.2, 1))
        if unsure:
            pc "I do. I'm enormous Becca. How could I be happy?
                Compared to me though you've nothing to worry about,
                I must be [tmp] times heavier than you!"
            rebecca "I guess. I hadn't thought about it like that.
                I still feel overweight though."
            pc "And I wish I was as small as you!"
        else:
            pc "I know I'm enormous Becca. No one could deny that.
                I must be [tmp] times heavier than you!
                But I actually like my size, and don't regret a single
                delicious mouthful that's passed these lips."
            rebecca "Really? I wish I had your confidence."
            pc "You should feel good about yourself, you're an attractive woman."
    "
    Rebecca heads off deep in thought, and you get on with the rest of
    your work.
    "
    $ evtCounters.inc('wareReb')
    return


    # Get Rodrigo to assist with heavy feed sacks.
    # PCs peak lift is at 150kg/330lbs (g7).
    # Starts lifting 20 between 118kg/260lbs (g6) and 182kg/400lbs (g8)
    #
label .rodFeedSacks:
    $ dbgLog("nwVachonWarehouseWork.rodFeedSacks")
    $ renpy.dynamic('below', 'fatSacks', 'fatStr', 'first', 'hisSacks', 'hisStr', 'mySacks', 'myStr')
    $ below = pc.getMass() < 150
    $ fatSacks = floorPrec(pc.getFatMass() * 2.2 / 50, 1)
    $ fatStr = cardinal(fatSacks)
    $ first = evtCounters.isZero('wareRod')
    if below:
        $ mySacks = 8 + int(math.floor((pc.getMass() * 17 / 150))) # 8..25
    else:
        $ mySacks = max(8, 25 + 17 - int(math.floor((pc.getMass() * 17 / 150)))) # 25..8
    $ hisSacks = 50 - mySacks
    $ hisStr = cardinal(hisSacks)
    $ myStr = cardinal(mySacks)
    dbg "mySacks=[mySacks] hisSacks=[hisSacks] fatSacks=[fatSacks]"
    if first:
        "
        You head to your station and pull up the next order. It's for fifty
        sacks of feed, and those weigh fifty pounds each. Going to need a hand
        with this one! Time to find Rodrigo.
        "
    else:
        "
        You head to your station and pull up the next order. It's for fifty
        sacks of feed, and those weigh fifty pounds each. Time to find Rodrigo
        again.
        "
    rodrigo "Sup?"
    pc "I've a feed order. Could you give me a hand?"
    rodrigo "Sure."
    if gsize <= 2:  # 88..132
        "
        These sacks are really heavy. Each one a significant fraction of your
        own body weight.
        You only manage to shift [myStr] while Rodrigo moves the other [hisStr].
        "
        pc "Thanks for the assist."
        rodrigo "No problem. It can't be easy for a little thing like you."
        pc "No, it wasn't!"
    elif gsize <= 7 and mySacks < 20:  # 132..260
        "
        You start moving the heavy sacks onto the pallet. You manage [myStr]
        of them while he moves the other [hisStr].
        "
        pc "Thanks for the assist."
        rodrigo "You're getting better at this. Have you been lifting?"
        if unsure:
            pc "Lifting? Me? No. Not unless you count working here."
            rodrigo "But you're shifting more."
            pc "Well, I guess there's one minor benefit to being heavier than
                I'd like then."
        else:
            pc "Lifting? Don't make me laugh. Not unless you count working here.
                The only reason I'm getting better is these sacks are lighter
                these days compared to me."
            rodrigo "They're still all fifty pounds."
            pc "Yes, but I've got a lot more ballast now, haven't I?"
    elif mySacks >= 24:
        "
        You start moving the heavy sacks onto the pallet and find yourself
        pretty much keeping pace with Rodrigo, shifting [myStr] of them.
        "
        rodrigo "Damn girl, did you even need my help?"
        if unsure:
            pc "I'll say I did. Look at me, I'm a fat dripping mess, and you've
                barely raised a sweat."
            rodrigo "Still that was an impressive effort. No one else here
                could have done what we've done."
            pc "I suppose there are some benefits to being a lot heavier than
                the things you're lifting."
        else:
            pc "I'll say I did. Look at me, I'm exhausted, and you've
                barely raised a sweat."
            rodrigo "Still that was an impressive effort. No one else here
                could have done what we've done."
            pc "Well it helps being a lot heavier than the things you're lifting!"
    elif mySacks >= 20:
        "
        You start moving the heavy sacks of feed, and find you are not too far off
        Rodrigo's pace. In the end you shift [myStr] and he moves the other [hisStr].
        "
        rodrigo "Impressive [pc.name]. I'll have to get down the gym if I'm going
            to keep ahead of you in the future."
        if unsure:
            if below:
                pc "I don't think you need to worry. I'm a fat dripping mess,
                    and you've barely raised a sweat."
                rodrigo "I guess, but still..."
                pc "I'm a lot heavier than you, a lot heavier than I should be,
                    and I suppose that gives me a bit of an advantage that I
                    wouldn't otherwise have."
            else:
                pc "I don't think you need to worry. I'm a fat dripping mess,
                    and you've barely raised a sweat."
                rodrigo "I guess, but still..."
                pc "I'm far too fat to be doing this really. While I suppose
                    I get some advantage moving stuff that's a lot lighter than
                    I am, I really need to not be this heavy."
        else:
            if below:
                pc "I don't think you need to worry. I'm exhausted,
                    and you've barely raised a sweat."
                rodrigo "I guess, but still..."
                pc "I'm a big girl who can still take advantage of her own
                    weight when moving other heavy things. You're pure
                    muscle, and have nothing to worry about from the likes of me!"
            else:
                pc "I don't think you need to worry. I'm exhausted,
                    and you've barely raised a sweat."
                rodrigo "I guess, but still..."
                pc "Seriously? I'm one very fat girl who can throw her weight
                    around when she needs to. You on the other hand are
                    pure muscle. I couldn't have done this by myself."
    elif gsize <= 8:    # 400..500
        "
        You start moving the heavy sacks of feed finding that your own bulk
        isn't making this easy. In the end you manage [myStr] of them while
        Rodrigo moves the other [hisStr].
        "
        pc "Thanks for the assist."
        rodrigo "No problem. It can't be easy for..."
        if unsure:
            pc "... someone as fat as I am? Is that what you were thinking?"
            rodrigo "Well, yes, to be honest. For every sack you moved you
                were carrying another, what, [fatStr]?"
            pc "Damn. I don't really think about my weight in that way.
                I really need to shift some sacks, don't I!"
        else:
            pc "... someone as fat as I am? Is that what you were thinking?"
            rodrigo "Well, yes, to be honest."
            pc "It's okay, I know I am one big girl and carrying [fatStr]
                sacks of extra weight around with me wherever I go."
    else:               # 600++
        "
        You start moving the heavy sacks of feed. With the shape you are now
        it's easier to set each sack on your hip and then waddle across with it.
        You move [myStr] of them while Rodrigo moves the other [hisStr].
        "
        pc "I'm glad that's done. Thanks for the assist."
        rodrigo "I know it's none of my business [pc.name], but all this?
            Well, it's a lot."
        if dieting:
            pc "I know I'm much too fat and I'm working on it.
                Everywhere I go it's like I'm carrying [fatStr] sacks of feed
                around with me and that's crazy."
        elif unsure:
            pc "I know I'm much too fat.
                Everywhere I go it's like I'm carrying [fatStr] sacks of feed
                around with me and that's crazy."
        else:
            pc "It is a lot isn't it.
                Everywhere I go it's like I'm carrying [fatStr] sacks of feed
                around.
                The thing is though, I love my body.
                Every soft and squishy pound of it."
            rodrigo "Really?"
            pc "Absolutely."
    "
    You are getting the pallet jack positioned ready to drag this pile over
    to the bay when Rodrigo tosses you a bottle of water.
    "
    rodrigo "Remember to stay hydrated [pc.name]."
    pc "Thanks!"
    $ evtCounters.inc('wareRod')
    return
