#
# Vachon's Cafeteria.
#

# Main courses.
#
# Each is a tuple containing:
# 0 - food dict key
# 1 - advertised name
#
define vachMains = [
    # List of things - keep to multiples of two.
        ('burgmcf',     "Cheeseburger and fries"),
        ('burrito',     "Burrito and bean salad"),
        ('chillirice',  "Chilli and rice"),
        ('pizzas',      "Pizza"),
    ]

init python:

    # Get the next main course.
    # Result is a tuple with food key and name.
    # Refills the list when empty.
    #
    def nextVachMain():
        if debug:
            dbg("nextVachMain")
        if vachLunchDeck.isEmpty():
            vachLunchDeck.addAll(vachMains)
        return vachLunchDeck.draw()



    # Vachon cafeteria.
    #
label nwVachonCafeteria:
    $ dbgLog("nwVachonCafeteria")
    $ world.setLoc('nwVachonCafeteria')
    return



    # Have lunch.
    #
label .lunch:
    $ dbgLog("nwVachonCafeteria.lunch")
    $ renpy.dynamic('cost', 'diet', 'glutton', 'main1', 'main2', 'mains', 'pmain', 'treat', 'unsure')
    $ cost = 0
    $ diet = pc.isDiet()
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    $ mealsize = pc.getMealSize()
    $ gsize = pc.getSize()
    $ treat = False
    $ unsure = pc.isDietConsider()
    $ main1 = nextVachMain()
    $ main2 = nextVachMain()
    $ mains = [main1[0], main2[0]]
    $ world.setLoc('nwVachonCafeteria')
    if evtCounters.inc('vachLunch') < 4:
        "
        Inside there's a line for hot food, and one for sandwiches, and a
        number of vending machines.
        The staff sit at long tables, mostly divided into office types and
        warehouse workers.
        "
    else:
        "
        Inside there's a line for hot food, and one for sandwiches, and a
        number of vending machines.
        "
    if evtCounters.isZero('vachWareWork'):
        call .intro from nw_vach_cafe_lunch_intro
    else:
        call .free from nw_vach_cafe_lunch_free

    $ gt.addHours(1)
    return



    # Pick your own lunch.
    #
label .free:
    $ dbgLog("nwVachonCafeteria.free")
    if diet:
        if pc.isDietUnrestricted():
            pc "I know I'm suppose to be dieting,
                but it's a cheat day so I can enjoy some lunch."
        elif pc.testDietWill():
            pc "I need to be careful with my lunchtime choices as I am dieting."
        elif flags.isConsume('dietStopWill'):
            pc "I give up, everything here looks so tempting and smells
                so good. My will to diet is totally broken.
                Now, what am I going to treat myself to?"
        else:
            pc "There are so many tempting choices here.
                I think I deserve a cheat day from my diet."
        $ diet = pc.isDietRestricted()
        $ glutton = pc.isGlutton() and not pc.isDietRestricted()
        $ mealsize = pc.getMealSize()
    else:
        "
        Time to get in line for some lunch.
        "
    call .pickMain() from nw_vach_cafe_free_main
    call .pickSweet() from nw_vach_cafe_free_sweet
    call .pickDrink() from nw_vach_cafe_free_drink
    $ tmp = dollarsAndCents(cost)
    "
    You take your tray over to the checkout,
    and pay for your lunch which comes to [tmp].
    "
    $ pc.spend(cost)
    $ steveHere = steve.randomRomance(20, 30)
    # $ steveHere = False
    $ prompt = "Now, where to sit?"
    if steveHere:
        $ prompt += " Steve is over there."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Go and sit with Steve" if steveHere:
            call .eatSteve from nw_vach_cafe_free_steve
        "I'll sit by myself":
            call .eatAlone from nw_vach_cafe_free_alone
        "I'll go and sit with the warehouse gang.":
            call .eatGang from nw_vach_cafe_free_gang
    return



    # First lunch with Stanley nd the gang.
    #
label .intro:
    $ dbgLog("nwVachonCafeteria.intro")
    stanley "Every day there's a choice of mains,
        or you can have a freshly made sub.
        As it's your first day, I'm buying, so just get into the queue
        you want."
    $ treat = True
    if diet and pc.isDietRestricted():
        "
        I can't exactly be fussy about my diet when it's my first day and
        the boss is buying. Oh, well. I guess it's going to be a cheat day.
        "
        $ pc.cheatDay = True
        $ mealsize = pc.getMealSize()
        $ diet = False
    
    call .pickMain("Stanley is buying.") from nw_vach_cafe_intro_main
    "
    After the lines for the mains, there's a selection of desserts to pick from.
    "
    call .pickSweet("Stanley is buying.") from nw_vach_cafe_intro_sweet
    "
    Next there are serve-yourself drinks: a coffee machine, a soda fountain,
    and a chiller full of bottled drinks.
    "
    call .pickDrink("Stanley is buying.") from nw_vach_cafe_intro_drink
    "
    You meet up with Stanley in the checkout line, and he pays for both meals.
    After the checkout there's a station with cutlery and condiments.
    "
    stanley "Right, let's go meet the gang."
    "
    He leads you across to a table where there are a number of other people in
    warehouse coveralls, and you both set your trays down.
    "
    stanley "Everyone, this is [pc.name], our new hire in the warehouse.
        [pc.name] this is Rodrigo, who can sling sacks of feed around like
        they were nothing."
    rodrigo "Sup?"
    "
    Damn, look at the muscles on that guy. He must be lifting down at the gym
    when he isn't working here.
    "
    stanley "This is Becca, who has a bit of a gift when the system starts misbehaving."
    rebecca "Hi [pc.name]. Yeah, give me a shout if stuff goes wrong.
        I know some tricks so we don't need to get IT involved,
        they take forever."
    if gsize <= 3:
        "
        She's a fairly pudgy looking woman, maybe a couple of years older than you are.
        "
    elif gsize == 4:
        "
        She's a pudgy looking woman, much like yourself,
        and maybe a couple of years older than you are.
        "
    else:
        "
        She's a pudgy looking woman, but still smaller than you,
        and maybe a couple of years older than you are.
        "
    stanley "This is Derek, who has some serious nerd cred."
    derek "Greetings [pc.name]. Welcome to the crew ensign."
    stanley "And this is Juanita, our forklift operator.
        If you ever need a pallet off the upper shelves, she's you're gal."
    juanita "Hola [pc.name]."
    rodrigo "Just call her Vasquez!"
    derek "Er, Vasquez was the smart gun operator. Ripley drove the power loader."
    rodrigo "Whatever. She looks like Vasquez."
    juanita "In your dreams."
    stanley "Guys, guys, please. Let's eat."
    "
    The table goes quiet as everyone starts on their meals.
    "
    call .eatMain from nw_vach_cafe_eat_intro_main
    rodrigo "Right, I'm going to split.
        Get a bit of a run in before we get back to the job.
        Enjoy your desserts."
    "
    He gets up, taking his tray with him, and leaves.
    You're a little surprised.
    "
    stanley "Don't worry, he's always like that."
    juanita "He's ... obsessive."
    rebecca "You're no stranger to the gym though."
    juanita "I'm not, but you won't see me skipping cake to go for a run."
    call .eatSweet from nw_vach_cafe_eat_intro_sweet
    "
    All of you finish up and put your trays in the collection rack just as
    a buzzer sounds indicating the end of the lunch break.
    "
    # Consume the food.
    $ pc.eatFood(food)
    return



    # Eat alone.
    #
label .eatAlone:
    $ dbgLog("nwVachonCafeteria.eatAlone")
    $ renpy.dynamic('seconds')
    "
    Not feeling very talkative you find an empty table and sit down with your
    meal.
    "
    call .eatMain from nw_vach_cafe_eat_alone_main
    call .eatSweet from nw_vach_cafe_eat_alone_sweet
    # Consume the food.
    $ pc.eatFoodNc(food)
    $ seconds = False
    if mealsize >= foodMenu.getAccPlates() * 2 and pc.canAfford(cost):
        if pc.isGlutton() and not unsure:
            "
            You glance up at the clock.
            Plenty of time for you to get a second helping.
            "
            $ seconds = True
        elif pc.randomGreedStat(20, 80):
            "
            You glance up at the clock, there's still time to have seconds if you
            wanted to.
            "
            $ prompt = "Are you going to go for seconds?"
            $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize, foodMenu.getAccPlates())
            menu:
                "[prompt]"
                "Yes, I'd like seconds" if not unsure:
                    "
                    I'd really like a second lunch, and I don't mind what
                    other people think.
                    "
                    $ seconds = True
                "Yes, I'd quite like seconds" if unsure:
                    "
                    I know I shouldn't as I'm heavier than I'd like to be,
                    but I really want another helping.
                    "
                    $ seconds = True
                "No, that would be greedy" if not unsure:
                    "
                    While I totally could, it would be really greedy,
                    so I'll just stick to the one lunch today.
                    "
                "No, I really shouldn't" if unsure:
                    "
                    I'm already too heavy, I don't need to eat any more.
                    "
    if seconds:
        "
        You get up and queue for a second helping, return to your table, and
        eat everything once more.
        "
        $ pc.spend(cost)
        $ pc.eatFoodNc(food)
        $ pc.addGreed(0.05)
        "
        Once you are done you take both your trays and place them the a rack for
        washing and re-use.
        "
    else:
        "
        Once you are done you take your tray and place it in a rack for washing and
        re-use.
        "
    # Clear the food.
    $ food.clear()
    return



    # Eat with the gang.
    #
label .eatGang:
    $ dbgLog("nwVachonCafeteria.eatGang")
    $ renpy.dynamic('juanitaPud', 'pcPud')
    "
    You go and join your co-workers at their table.
    "
    if gsize <= 2:
        rodrigo "Sup, [pc.name]? Grab a seat."
        pc "Sup?"
        "
        Everyone else joins in with their greetings as you sit down
        and you all start eating.
        "
    elif gsize >= 10 or gsize >=9 and not flags.isSet('wareSizeU'):
        rebecca "Hi, [pc.name]. We've saved you a couple of seats."
        "
        Everyone else joins in with their greetings as you spread yourself across two chairs.
        By some unspoken agreement everyone starts eating their food.
        "
    elif gsize >= 7:
        rebecca "Hi, [pc.name]. We've saved you a seat."
        "
        Everyone else joins in with their greetings as you ease youself onto a chair
        and spread out.
        By some unspoken agreement everyone starts eating their food.
        "
    else:
        $ rnd = pc.random(0, 4)
        # $ rnd = 0
        if rnd == 0:
            derek "Greetings [pc.name]. Ready for the finest our mess has to offer?"
            pc "I suppose?"
        elif rnd == 1:
            juanita "Hola [pc.name]. Come join the gang."
            pc "Hola Juanita!"
        elif rnd == 2:
            rebecca "Hi, [pc.name]. Time for the best part of the workday."
            pc "You're not wrong, food and a chance to sit down."
        elif rnd == 3:
            rodrigo "Sup, [pc.name]? Grab a seat."
            pc "Sup?"
        else:
            stanley "Hi, [pc.name]. I hope you found something you like."
            pc "I did my best."
        "
        Everyone else joins in with their greetings as you sit down
        and you all start eating.
        "
    call .eatMain from nw_vach_cafe_eat_gang_main
    call nwVachonCafeteriaChat from nw_vach_cafe_eat_gang_chat
    rodrigo "Right, I'm off for a short run. See you all later.
        Enjoy your desserts."
    if psweet is None:
        "
        Having not got a dessert you wait while your remaining colleagues eat
        theirs.
        "
    else:
        call .eatSweet from nw_vach_cafe_eat_gang_sweet
        # More pudding?
        if pc.randomGreedStat(20, 80, 75):
            $ juanitaPud = pc.randomBool(20)
            rebecca "I'm going to get myself another pudding,
                does anyone else want one?"
            derek "Not for me, thanks."
            if juanitaPud:
                juanita "I will if you're going."
                "
                She hands over some change to cover the purchase.
                "
            else:
                juanita "No thank you. I'm good."
            stanley "No thank you, Becca."
            rebecca "And you [pc.name]?"
            $ pcPud = False
            if not foodMenu.isSpaceFor(1):
                pc "I'm full already, thank you."
            elif pc.isDietRestricted():
                pc "No thank you, I'm trying to lose some weight."
            elif not pc.canAfford(1.75):
                pc "No thank you Becca."
            elif glutton or pc.randomGreedStat(50, 90, 60):
                pc "Yes please, I can't resist them."
                $ pcPud = True
            else:
                $ prompt = "Do you want to have a pudding with Becca as well?"
                $ prompt = pc.appendPrompt(prompt, 0, mealsize, foodMenu.getAccPlates())
                menu:
                    "[prompt]"
                    "Yes, I'll have one please":
                        pc "Yes, can you get me one too."
                        $ pcPud = True
                    "No, I'm fine without.":
                        pc "No, I'm fine without. Thanks Becca."
                        rebecca "I wish I had your willpower!"
            if pcPud:
                if juanitaPud:
                    "
                    You hand over some cash and Rebecca is soon back with extra
                    chocolate puddings. The three of you sit and enjoy them.
                    "
                else:
                    "
                    You hand over some cash and Rebecca is soon back with extra
                    chocolate puddings. The two of you sit and enjoy them.
                    "
                    if pc.randomWeightRangeLb(330, 650, 10, 25):
                        juanita "No wonder you two aren't losing weight."
                        "
                        Rebecca sticks out her chocolatey toungue.
                        "
                $ food.add('chocpud')
                $ pc.spend(1.5)
                $ pc.addGreed(0.05)
            else:
                if juanitaPud:
                    "
                    Rebecca is soon back with extra chocolate puddings.
                    The rest of you wait as she and Juanita eat.
                    "
                else:
                    "
                    Rebecca is soon back with an extra chocolate pudding.
                    The rest of you wait as she eats.
                    "
        # End of extra pud.
    # End of sweet.
    # Consume the food.
    $ pc.eatFood(food)
    "
    Once you are done you all take your trays and place them in a rack for 
    washing and re-use just as a buzzer sounds indicating the end of the lunch break.
    "
    return



    # Eat with Steve.
    #
label .eatSteve:
    $ dbgLog("nwVachonCafeteria.eatSteve")
    $ renpy.dynamic('tease')
    $ tease = flags.isSet('steveTease') and pc.randomBool(30)
    $ pet = stevePetName(tease)
    "
    You go and join Steve at his table.
    "
    if flags.isConsume('steveWareFaint'):
        call nwVachonWarehouse.steveWareFaint from nw_vach_cafe_eat_steve_faint
    else:
        steve "Hi [pet]! How has your morning gone?"
        if dayFlags.isConsume('wareHips'):
            pc "Hi babe. Not so good. I caught a stack of cans with my hip, and
                of course down they all went."
        else:
            pc "Hi babe. Everything is going okay so far."
    call .eatMain from nw_vach_cafe_eat_steve_main
    call .eatSweet from nw_vach_cafe_eat_steve_sweet
    "
    Once you are done you both take your trays and place them in the rack for
    washing and re-use. Steve gives you a brief kiss.
    "
    $ pet = stevePetName(tease)
    steve "See you after work [pet]."
    pc "Love you babe."
    # Consume the food.
    $ pc.eatFood(food)
    return



    # -------------------------------------------------------------------------
    # Local parts
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Eat main course.
    #
label .eatMain:
    $ dbgLog("nwVachonCafeteria.eatMain")
    $ renpy.dynamic('drink')
    if pdrink == 'coffee':
        $ drink = "You finish your coffee."
    elif pdrink == 'coke':
        $ drink = "You finish your soda."
    elif pdrink == 'cokez':
        $ drink = "You finish your diet soda."
    elif pdrink == 'icedtea':
        $ drink = "You drink the last of your iced tea."
    else:
        $ drink = "You drain the last of your water."

    if pmain == 'burgmcf':
        "
        You tuck into your burger, and it's pretty good, though not as
        good ones at the bar. The fries are nice too.
        [drink]
        "
    elif pmain == 'burrito':
        "
        You munch away at your burrito and mexican style bean salad.
        It's filling, but you feel it could do with more chilli.
        [drink]
        "
    elif pmain == 'chillirice':
        "
        Your chilli is fairly good, but you can't help but think it could
        do with a bit more heat.
        [drink]
        "
    elif pmain == 'pizzas':
        "
        You pick up a slice of pizza and guide the drooping tip into your mouth.
        It's okay, not the best you've ever had.
        [drink]
        "
    elif pmain == 'footlong':
        "
        You eat your sub, wishing it had more in the way of fillings.
        More mayo would have been good too.
        [drink]
        "
    elif pmain is None:
        "
        You chose not to have a main.
        [drink]
        "
    else: # Stopgap
        "
        No entry in .eatMain for [pmain].
        You eat your main course, it's fairly good.
        [drink]
        "
    return



    # Eat dessert.
    #
label .eatSweet:
    $ dbgLog("nwVachonCafeteria.eatSweet")
    if psweet == None:
        pass
    elif psweet == 'cake':
        "
        The cake you got is nice and moist and has a generous layer of frosting.
        "
    elif psweet == 'chocpud':
        "
        The chocolate pudding you chose is sweet and fluffy.
        "
    else:
        "
        No entry in .eatSweet for [psweet].
        "
    return



    # Pick a drink.
    #
    # Sets pdrink, updates food.
    #
label .pickDrink(promptAdd=None):
    $ dbgLog("nwVachonCafeteria.pickDrink")
    $ prompt = "What do you want to drink?"
    $ prompt = appendNotNone(prompt, promptAdd)
    $ prompt = pc.appendPrompt(prompt, gt.hour, None)
    $ foodMenu.start("Vachon Cafeteria", "Drinks")
    $ foodMenu.addFood('coffee', "A cup of coffee", cost, 0, treat, None, 1.0)
    $ foodMenu.addFood('coke', "A glass of soda", cost, 0, treat, None, 1.0)
    $ foodMenu.addFood('cokez', "A glass of diet soda", cost, 0, treat, None, 1.0)
    $ foodMenu.addFood('icedtea', "A bottle of iced tea", cost, 0, treat, None, 1.0)
    $ foodMenu.addFood('water', "A glass of water", cost, 0, treat, None, 0.0)
    $ foodMenu.check()
    $ pdrink = None
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'coffee':
            "
            You fill a cup with coffee, hoping it will help keep you alert
            for the afternoon ahead.
            "
            $ pdrink = foodMenuSeln
            #$ pc.useEnergy(-1)
        'coke':
            "
            You fill a glass with ice and soda.
            "
            $ pdrink = foodMenuSeln
        'cokez':
            "
            You fill a glass with ice and diet soda.
            "
            $ pdrink = foodMenuSeln
        'icedtea':
            "
            You take a bottle of iced tea from the chiller.
            "
            $ pdrink = foodMenuSeln
        'water':
            "
            You fill a glass with ice and water.
            "
            $ pdrink = foodMenuSeln

    # Update food, cost, and meal accumulator.
    #
    if pdrink != None:
        $ food.add(pdrink)
        $ cost += foodMenu.getCost(foodMenuSeln)
        $ foodMenu.addMealAcc(foodMenuSeln)
    return



    # Pick a main.
    #
    # Sets pmain, updates food.
    #
label .pickMain(promptAdd=None):
    $ dbgLog("nwVachonCafeteria.pickMain")
    $ prompt = "What do you want?"
    $ prompt = appendNotNone(prompt, promptAdd)
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    $ foodMenu.startClear("Vachon Cafeteria", "Mains")
    if glutton and pc.canAfford(4.25):
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood(main1[0], main1[1], cost, 2, treat, None, 4.0)
    $ foodMenu.addFood(main2[0], main2[1], cost, 2, treat, None, 4.0)
    $ foodMenu.addFood('footlong', "Sub made to order", cost, 1, treat, None, 3.0)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    $ pmain = None
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'burgmcf' if 'burgmcf' in mains:
            "
            You take a tray and join the burger line.
            Soon you have a juicy looking burger and a good helping of fries.
            "
            $ pmain = foodMenuSeln
        'burrito' if 'burrito' in mains:
            "
            You take a tray and join the line for a burrito.
            Soon you have a nice looking burrito and a bowl of bean salad.
            "
            $ pmain = foodMenuSeln
        'chillirice' if 'chillirice' in mains:
            "
            You take a tray and join the queue for chilli and rice.
            Soon you've been given a large bowl of steaming hot chilli.
            "
            $ pmain = foodMenuSeln
        'pizzas' if 'pizzas' in mains:
            "
            You take a tray and join the queue for a pizza.
            Soon you are at the head of the queue and making your selection.
            "
            $ pmain = foodMenuSeln
        'footlong':
            "
            You join the queue for a sub.
            It takes a little longer then the other lines, but you're soon
            getting your custom prepared sandwich.
            "
            $ pmain = foodMenuSeln
        'nothing' if diet:
            "
            You decide to skip the main.
            Hopefully that will help with your diet.
            "
        'nothing' if not diet and not pc.canAfford(3.25):
            "
            You decide to skip the main as you are really short on cash.
            "

    # Update food, cost, and meal accumulator.
    #
    if pmain != None:
        $ food.add(foodMenuSeln)
        $ food.setMeal(True)
        $ cost += foodMenu.getCost(foodMenuSeln)
        $ foodMenu.addMealAcc(foodMenuSeln)
    return



    # Pick a sweet.
    #
    # Sets psweet, updates food.
    #
label .pickSweet(promptAdd=None):
    $ dbgLog("nwVachonCafeteria.pickSweet")
    $ prompt = "What do you want for dessert?"
    $ prompt = appendNotNone(prompt, promptAdd)
    $ prompt = pc.appendPrompt(prompt, gt.hour, None, foodMenu.getAccPlates())
    $ foodMenu.start("Vachon Cafeteria", "Desserts")
    $ foodMenu.addFood('cake', "A slice of cake", cost, 1, treat, None, 1.5)
    $ foodMenu.addFood('chocpud', "A bowl of chocolate pudding", cost, 1, treat, None, 1.5)
    $ foodMenu.addNothing(not glutton)
    $ foodMenu.check()
    $ psweet = None
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'cake':
            "
            You take a slice of cake.
            "
            $ psweet = foodMenuSeln
        'chocpud':
            "
            You take one of the bowls of chocolate pudding.
            "
            $ psweet = foodMenuSeln
        'nothing' if diet:
            "
            You decide to skip having a dessert.
            Hopefully that will help with your diet.
            "
        'nothing' if not diet and not pc.canAfford(1.75, cost):
            "
            You decide not to have a dessert as you are really short on cash.
            "

    # Update food, cost, and meal accumulator.
    #
    if psweet != None:
        $ food.add(foodMenuSeln)
        $ cost += foodMenu.getCost(foodMenuSeln)
        $ foodMenu.addMealAcc(foodMenuSeln)
    return