#
# Warehouse team lunchtime chat.
#
default vachCafeChatLru = []            # Chat LRU

label nwVachonCafeteriaChat:
    $ dbgLog("nwVachonCafeteriaChat")
    $ picker.start('nwVachonCafeteriaChat')

    # Add events.
    #
    $ picker.addLocal('.juanitaWrongDelivery')
    $ picker.addLocal('.nothing')
    if flags.isSet('steveWareFaint'):
        $ picker.addLocal('.pcFaint', 100, 150)
    if pc.isDiet():
        $ picker.addLocal('.pcDiet')

    # About Steve.
    #
    if steve.isRomance():
        $ picker.addLocal('.pcSteve')
    elif steve.isBreak() and not flags.isSet('wareChatSteveBrk'):
        $ picker.addLocal('.pcSteveBrk')

    # Size up/down.
    #
    if flags.isSet('wareSizeU') or flags.isSet('wareSizeD'):
        $ picker.addOption('nwVachonCafeteriaSize', 100, 100, True)

    # Pick event.
    #
    $ select = picker.choose(vachCafeChatLru, 3, 2, 49)
    if select != None:
        if world.hasLabel(select):
            call expression select from nw_vach_cafe_chat_dyn
        else:
            dbg "In nwVachonCafeteriaChat: selected label \"[select]\" was not found."
    return



    # -------------------------------------------------------------------------
    # Chats
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Juanita: Wrong pallet came in.
    #
label .juanitaWrongDelivery:
    $ dbgLog("nwVachonCafeteriaChat.juanitaWrongDelivery")
    juanita "Just a heads up, but we got someone else's pallet delvered here this morning."
    rebecca "Oh no, not again."
    derek "It's again."
    stanley "Thanks for letting us know, I'll get on it."
    juanita "It's in bay 7 for the time being."
    stanley "Everyone, we need to leave it alone, don't be tempted to unwrap it."
    pc "Got it. Does that happen often?"
    rebecca "More often than it should."
    return



    # Nothing to say.
    #
label .nothing:
    $ dbgLog("nwVachonCafeteriaChat.nothing")
    "
    No one seems to have anything to say today.
    You rack your brain for an interesting topic, but come up empty too.
    "
    return



label .pcDiet:
    $ dbgLog("nwVachonCafeteriaChat.pcDiet")
    rebecca "So, how's the diet going, [pc.name]?"
    $ tmp = pc.getDietProgress()
    if tmp < 0:
        pc "Not well. If anything I'm heavier than when I started!"
        rebecca "Oh no."
        juanita "Good grief [pc.name]."
    elif tmp < 10:
        pc "It's really too early to tell."
        rebecca "Best of luck on your journey."
    elif tmp < 40:
        pc "It's coming along. I actually have lost some weight."
        rebecca "Well done girl!"
    elif tmp < 50:
        pc "I'm almost half way to my goal weight."
        rebecca "Half way there. Wow, I never even manage that."
    elif tmp < 75:
        pc "I'm over half way there, so I just need to keep going."
        rebecca "That's a big milestone passed. Go you!"
    elif tmp < 90:
        pc "The end is in sight Becca."
        rebecca "That must feel so good."
        pc "Yeah I just need to not get back into my old habits."
    elif pc.isDietConsider():
        pc "I'm so close. I'll be glad when it's all over."
        rebecca "I bet you will be."
        pc "I just need to not pile it all back on."
        rebecca "Tell me about it!"
    else:
        pc "I'm so close and I actually feel happy about my weight again."
        rebecca "Congratulations, you've done so well."
        pc "Thanks Becca."
    if psweet is not None:
        rodrigo "Your diet includes dessert?"
        pc "I'm allowed the occasional cheat day to make dieting more bareable."
    return



    # Chat after fainting.
    #
label .pcFaint:
    $ dbgLog("nwVachonCafeteriaChat.pcFaint")
    rebecca "How are you doing [pc.name]?"
    juanita "Yes, you had us all worried."
    pc "I'm okay really."
    derek "Are you sure?"
    pc "Yes, it's the first time anything like that's happened to me, but I'm okay now."
    stanley "[pc.name] is going to be taking better care of herself from now on. Aren't you?"
    pc "Yes, I am."
    rodrigo "About time."
    stanley "Rodrigo, please. We all care about you [pc.name]."
    "
    Everyone courses their support.
    You feel rather touched.
    "
    return



    # Chat about the PC's relationship with Steve.
    #
label .pcSteve:
    $ dbgLog("nwVachonCafeteriaChat.pcSteve")
    $ renpy.dynamic('first')
    $ first = evtCounters.isZero('wareChatSteve')
    if first:
        # First time.
        juanita "So, [pc.name], you and Steve?"
        rebecca "Oh yes, do tell. He's so yummy."
        rodrigo "Here we go."
        stanley "I really don't think this is any of our business."
        pc "Well, we're going out, yes."
        rodrigo "Of course, nepotism."
        derek "No it's not, [pc.name]'s not Steve's daughter or wife.
            If anything it would be cronyism."
        stanley "You do all know there's a bonus for introducing people to the company, right?"
        pc "I didn't know that."
        rebecca "Me neither."
        derek "It's in the handbook. You get five Benjamin's if they join."
        juanita "Sounds like you're due an extravagant night out from your man [pc.name]!"
    elif flags.isSet('wareChatSteveBrk'):
        # Previously known to be broken up.
        juanita "Have you got something to tell us [pc.name]?"
        rebecca "I think she has!"
        pc "Yes, Steve and I are back together everyone."
        rebecca "Aw, that's great! You two are good together."
        $ flags.clear('wareChatSteveBrk')
    elif steve.isRomance(60):
        # High romance.
        juanita "So [pc.name], you and Steve are still tight?"
        pc "Absolutely!"
        rebecca "I've never seen him so happy around here.
            It's good to see."
        pc "Thank you. Are you suggesting I'm responsible?"
        rebecca "I think you might be!"
    elif steve.isRomance(30):
        # Middling romance.
        if steveHere:
            rebecca "So, how are you two love birds [pc.name]?
                I'm suprised you're eating with us today."
        else:
            rebecca "So, how are you two love birds [pc.name]?"
        juanita "Becca, for goodness sake."
        rebecca "I can't help it, I love a good office romance."
        pc "Since you ask, we're doing fine Becca."
        rebecca "Is that a good fine or a bad fine?"
        rodrigo "What on earth is \"bad fine\"?"
        derek "F'd-up, Insecure, Neurotic, and Emotional.
            It's an acronym that spells out FINE."
        rodrigo "Huh. You learn something new every day."
        pc "Good fine. Still very much in love."
    else:
        # Low romance.
        juanita "How are you getting along [pc.name]? You look a little pensive."
        rebecca "You and Steve still good?"
        juanita "Not what I was asking, but..."
        pc "Yes, we're good. I mean, it's still early days."
    $ evtCounters.inc('wareChatSteve')
    return



    # Chat about the PC's breakup with Steve.
    #
label .pcSteveBrk:
    $ dbgLog("nwVachonCafeteriaChat.pcSteveBrk")
    rebecca "Are you okay [pc.name]?"
    juanita "Word around the water cooler is that you've broken up with Steve."
    pc "Yes, we have."
    rebecca "Why?"
    juanita "If you don't mind her asking."
    pc "It just wasn't working out."
    if steve.isPcFat():
        rebecca "Was some of it to do with your weight?"
        juanita "Becca!"
        if steve.isPcTooFat():
            pc "I'm sure it was a factor."
            rebecca "Anyway, I'm sorry you've split up [pc.name]."
        else:
            pc "It might have been a factor I suppose."
            rebecca "I'm sorry. I just worry so much about my own relationship.
                Are you going to try and lose?
                I'm sorry you've split up [pc.name]."
        if pc.isDiet():
            pc "I already am. Well, trying to anyway."
            rebecca "Best of luck!
                But, I'm sorry you've split up [pc.name]."
        elif pc.isDietConsider():
            pc "I suppose I ought to, but I really don't want to."
            rebecca "I know that feeling all too well.
                Anyway, I'm sorry you've split up [pc.name]."
        else:
            pc "I don't think so. I'm actually happy with my weight,
                even if he wasn't."
            rebecca "Really? Oh. I wish I had your confidence.
                Anyway, I'm sorry you've split up [pc.name]."
    elif gsize >= 5:
        rebecca "Was some of it to do with your weight?"
        juanita "Becca!"
        pc "No. He was actually happy dating a bigger girl."
        rebecca "I wish I could say the same about my boyfriend.
            Anyway, I'm sorry you've split up [pc.name]."
    else:
        rebecca "Anyway, I'm sorry you've split up [pc.name]."
    juanita "We all are."
    $ flags.set('wareChatSteveBrk')
    return