#
# Wooded area at the edge of town.
#
label nwWoods:
    "
    You walk through town to the woods at the base of the hill.
    There's a small parking area and paths leading off into the trees
    near a notice board.
    "
    $ world.setLoc('nwWoods')

    # Who else is here?
    # Anyone could be here unless it is after 6pm then it can only be steve.
    # More than one flag can get set.
    #
    if gt.hour >= 18:
        $ clearHere()
        $ steveHere = steve.randomPlatRomance(30, 60)
    else:
        $ whoIsHereAny(30, 30, 60, False, sofia, steve)
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    $ dbgLogDet("nwWoods.freeChoice")
    $ prompt = pc.appendPrompt("What to do in the woods?", gt.hour, None)
    $ prompt += listVehicleHere()

    menu:
        "[prompt]"
        "Check the notice board":
            call .noticeBoard from nw_woods_notice
        "Climb the hill":
            call nwWoodsHigh from nw_woods_high
        "Go into the woods":
            call nwWoodsLow from nw_woods_low
        "Head back to town":
            call .back from nw_woods_back
        "Debug" if debugMenus:
            call debugMenu from nw_woods_dbg
    return



    # Return home from here.
    # Need to get back to town.
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwWoods.retHomeFromHere({})".format(toLoc))
    call .back from nw_woods_ret_home_from_back
    return


    # -------------------------------------------------------------------------
    # Local calls
    # -------------------------------------------------------------------------


    # A notice board near the entrance to the woods.
    #
label .noticeBoard:
    """
    Two wooden poles support a tiny shingled roof over the notice board.
    There are the usual warnings about basic safety, prohibition of fires,
    and the potential of ticks. The majority of it is a map with the
    obligatory worn \"You are here.\"

    There are a number of paths: most keep to the level ground, but one
    climbs the hillside to the viewpoint, passing what looks to be a small
    pool along the way.
    """
    return



    # Getting back.
    # Allow Sofia or Steve to give a lift.
    #
label .back:
    $ dbgLogDet("nwWoods.back")

    # Testing.
    # $ sofiaHere = False
    # $ steveHere = True

    if sofiaHere and not sofia.isOnBreak():
        call .backSofia from nw_woods_back_sofia
    elif steveHere and not steve.isOnBreak():
        call .backSteve from nw_woods_back_steve
    else:
        "You walk back into town."
        call nwTown from nw_woods_back_alone
    return



    # Lift back with Sofia.
    #
label .backSofia:
    $ dbgLogDet("nwWoods.backSofia")
    $ renpy.dynamic('tooFat', 'unsure')
    $ flirt = sofia.isRomance()
    $ gsize = pc.gsize
    $ unsure = pc.isDietConsider()
    $ tooFat = sofia.isPcTooFat() and not flags.isSet('sofiaUnlimit')
    if flirt:
        sofia "Would you like a lift back to town my dolce?"
        if gsize >= 10:
            pc "I'd love one, my legs are tired. I'm not sure I'd fit on the back though."
            sofia "It will be fine. We'll go nice and slow. Not that fast would be an option."
            "
            Sofia hands you a spare helmet to wear and you climb on the back,
            the suspension dropping considerably.
            You hold on to her soft body as best you can, but there's a lot
            of you in the way.
            "
            pc "What must we look like? My ass is hanging off the back here."
            if tooFat:
                if pc.getMass() > 370:
                    sofia "It is rather on the large side sweetie.
                        You can still see the licence plate, right?"
                    pc "Maybe. Probably. I don't know. I certainly can't see it
                        from where I'm sitting. Let's face it, I can't actually
                        see the moped!"
                    sofia "If we get pulled over I'll know why.
                        Too much girl on too few wheels!"
                else:
                    sofia "It is rather on the large side sweetie."
                $ flags.set('pcThinkDiet')
            elif pc.getMass() > 370:
                sofia "You can still see the licence plate, right?"
                pc "Maybe. Probably. I don't know. I certainly can't see it
                    from where I'm sitting. Let's face it, I can't actually
                    see the moped! I just know it's under my butt somewhere."
                sofia "If we get pulled over I'll know why.
                    Too much sexy on too few wheels!"
            else:
                sofia "Like two fat sexy girls on a Vespa!"
        elif gsize >= 6:
            pc "I'd love one, my legs are tired. Will it take us both though?"
            sofia "It will be fine. We'll go nice and slow."
            "
            Sofia hands you a spare helmet to wear and you climb on the back,
            the suspension dropping even further.
            You squish up and hold on to her soft body as best you can.
            "
            pc "What must we look like?"
            if tooFat:
                sofia "Too much girl on too few wheels?"
                $ flags.set('pcThinkDiet')
            else:
                sofia "Like two fat sexy girls on a Vespa!"
        elif gsize >= 4:
            pc "I'd love one, my legs are a bit tired. I'm not exactly small though."
            sofia "You're just getting nicely curvy. It'll be fine."
            "
            Sofia hands you a spare helmet to wear and you climb on the back.
            You squish up and hold on to her soft body.
            "
            sofia "I like it with you holding onto me."
            pc "You're nice to hold on to, so plump and soft."
        else:
            pc "I'd love one, it would save me a walk."
            "
            Sofia hands you a spare helmet to wear and you climb on the back.
            You squish up and hold on to her soft body.
            "
            sofia "I like it with you holding onto me."
            pc "You're nice to hold on to, so plump and soft."
        "Sofia drives back and drops you off in the town square."
        sofia "Bye, my sweet."
        pc "Bye babes, and thank you for the lift."
    else:       # Platonic
        sofia "Would you like a lift back to town [pc.name]? I'm going that way."
        if gsize >= 10:
            pc "I'd love one, my legs are tired. I'm not sure I'd fit on the back though."
            sofia "It will be fine. We'll go nice and slow. Not that fast would be an option."
            "
            Sofia hands you a spare helmet to wear and you climb on the back,
            the suspension dropping considerably.
            You hold on to her soft body as best you can, but there's a lot
            of you in the way.
            "
            pc "What must we look like? My ass is hanging off the back here."
            if tooFat:
                if pc.getMass() > 370:
                    sofia "It is rather on the large these days.
                        You can still see the licence plate, right?"
                    pc "Maybe. Probably. I don't know. I certainly can't see it
                        from where I'm sitting. Let's face it, I can't actually
                        see the moped!"
                    sofia "If we get pulled over I'll know why.
                        Too much girl on too few wheels!"
                else:
                    sofia "It is rather on the large side these days."
                $ flags.set('pcThinkDiet')
            else:
                if pc.getMass() > 370:
                    sofia "You can still see the licence plate, right?"
                    pc "Maybe. Probably. I don't know. I certainly can't see it
                        from where I'm sitting. Let's face it, I can't actually
                        see the moped! I just know it's under my butt somewhere."
                    sofia "If we get pulled over I'll know why.
                        Too much sexy on too few wheels!"
                else:
                    sofia "Like two fat sexy girls on a Vespa!"
                if unsure:
                    pc "You might be, but I'm not."
                    if sofia.isBreakCountGte(1):
                        sofia "Don't say that about yourself [pc.name]."
                    else:
                        sofia "Don't say that about yourself [pc.name].
                            I think you're sexy."
        elif gsize >= 6:
            pc "I'd love one, my legs are tired. Will it take us both though?"
            sofia "It will be fine. We'll go nice and slow."
            "
            Sofia hands you a spare helmet to wear and you climb on the back,
            the suspension dropping even further.
            You squish up and hold on to her soft body as best you can.
            "
            pc "What must we look like?"
            if tooFat:
                sofia "Too much girl on too few wheels?"
                $ flags.set('pcThinkDiet')
            else:
                sofia "Like two fat sexy girls on a Vespa!"
                if unsure:
                    pc "You might be, but I'm not."
                    if sofia.isBreakCountGte(1):
                        sofia "Don't say that about yourself [pc.name]."
                    else:
                        sofia "Don't say that about yourself [pc.name].
                            I think you're sexy."
        elif gsize >= 4:
            pc "I'd love one, my legs are a bit tired. I'm not exactly small though."
            sofia "You're just getting nicely curvy. It'll be fine."
            "
            Sofia hands you a spare helmet to wear and you climb on the back.
            You squish up and hold on to her soft body.
            "
            pc "This feels a bit wierd, holding on to you like this."
            sofia "If you want to stay on, you'll have to hold on I'm afraid."
        else:
            pc "I'd love one, it would save me a walk."
            "
            Sofia hands you a spare helmet to wear and you climb on the back.
            You squish up and hold on to her soft body.
            "
            pc "This feels a bit wierd, holding on to you like this."
            sofia "If you want to stay on, you'll have to hold on I'm afraid."
        "Sofia drives back and drops you off in the town square."
        sofia "Bye, [pc.name]."
        pc "Thank you for the lift Sofia."
    $ world.setLoc('nwTown')
    return



    # Lift back with Steve.
    #
label .backSteve:
    $ dbgLogDet("nwWoods.backSteve")
    $ renpy.dynamic('control', 'fa', 'pet', 'tease', 'tooFat', 'unsure')
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ flirt = steve.isRomance()
    $ gsize = pc.gsize
    $ tease = flags.isSet('steveTease') and not steve.randomRomance(30, 70)
    $ tooFat = steve.isPcTooFat() and not flags.isSet('steveUnlimit')
    $ pet = stevePetName(tease)
    $ unsure = pc.isDietConsider()

    if flirt:
        steve "Would you like a lift back to town munchkin?"
        if gsize >= 10:
            pc "I'd love one, my legs are tired. I'm getting a bit big though."
            if control:
                steve "I know. Between us we are losing this battle, aren't we?"
                pc "I'm trying to be careful babe, really I am."
            elif tooFat:
                if tease:
                    steve "Just get that dumptruck ass in the car, [pet], if you can."
                else:
                    steve "You really do need to cut back, [pet]."
            else:
                if tease:
                    steve "I'm sure we can wedge that dumptruck ass of yours in there somehow, [pet]."
                else:
                    steve "It'll be fine. Just get that sexy butt of yours in the car, [pet]."
        elif gsize >= 7:
            pc "I'd love one, my legs are tired."
            if control:
                steve "I'm not surprised with all the extra weight you are carrying, [pet]."
                pc "I'm trying to be careful babe, really I am."
            elif tooFat:
                if tease:
                    steve "Tired you say, [pet]? It couldn't possibly be from
                        carrying around all that flab, could it?"
                else:
                    steve "Things would be easier for you if you lost some
                        weight, [pet]."
            else:
                if tease:
                    steve "I'm not suprised carrying that booty of yours around, [pet]."
                else:
                    steve "Best get in and take a load off then, [pet]."
        else:
            pc "I'd love one babe. Save on some shoeleather."
        call nwSteveCar.pcIn(tease) from nw_woods_back_steve_pc_in
        call nwSteveCar.steveIn(tease) from nw_woods_back_steve_in
        "Steve drives back to the town and drops you off."
        call nwSteveCar.pcOut(tease) from nw_woods_back_steve_pc_out
        $ pet = stevePetName(tease)
        steve "Bye [pet]. Love you."
        pc "Love you too. Thanks for the lift."
    else:
        steve "Would you like a lift back to town [pc.name]? I'm going that way myself."
        if gsize >= 10:
            pc "I'd love one, my legs are tired. I'm getting a bit big though."
            if fa:
                steve "I'm happy to help. We'll manage to fit you in somehow."
            elif tooFat:
                steve "You've really packed on the pounds since we first met,
                    but let's give it a go. Can't have you collapsing by the
                    roadside."
            else:
                steve "I can see what you mean. Let's give it a go."
        elif gsize >= 7:
            pc "I'd love one, my legs are tired."
            if fa:
                steve "I'm happy to help [pc.name]. Give those legs of yours a rest."
            elif tooFat:
                steve "I'm not surprised your legs are tired with all the pounds
                    you've packed on since we first met."
            else:
                steve "That's one of the problems with being a bigger girl I'm afraid."
        else:
            pc "I'd love one Steve. Save on some shoeleather."
    $ world.setLoc('nwTown')
    return
