#
# The high path through the woods to the lake finding Sofia..
#
label nwWoodsHighSofia:





    # Climb when Sofia is around.
    #
label .climb:
    $ dbgLogDet("nwWoodsHighSofia.climb")
    $ flirt = sofia.isRomance()
    if gsize >= 10:
        call .climbImpos from nw_woods_high_sofia_climb_impos
    elif gsize >= 8:
        call .climbDiff from nw_woods_high_sofia_climb_diff
    elif gsize >= 6:
        call .climbHard from nw_woods_high_sofia_climb_hard
    elif gsize >= 3:
        call .climbMed from nw_woods_high_sofia_climb_med
    else:
        call .climbEasy from nw_woods_high_sofia_climb_easy
    call sofia.sizeNotice from nw_woods_high_sofia_climb_size
    $ dayFlags.set('sofiaWoods')
    return



    # Descend when Sofia is around.
    #
label .descend:
    $ dbgLogDet("nwWoodsHighSofia.descend")
    $ renpy.dynamic('pet')
    $ flirt = sofia.isRomance()

    # Sofia can refuse if romantic and not swam together.
    #
    if flirt:
        $ pet = sofiaPetName()
        pc "Are you ready to go back down babe?"
        if swam:
            sofia "I'm ready, [pet]."
        elif sofia.randomRomance(25, 50):
            sofia "I'm suppose so, [pet]. I really fancied a swim though."
        else:
            sofia "I really want to go for a swim before I leave, [pet].
                Come in the water with me, it'll be fun!"
            return
    else:
        pc "Are you ready to go back down Sofia?"
        sofia "Yes, I'm ready."

    if gsize >= 10:
        call .descendImpos from nw_woods_high_sofia_descend_impos
    elif gsize >= 8:
        call .descendDiff from nw_woods_high_sofia_descend_diff
    elif gsize >= 6:
        call .descendHard from nw_woods_high_sofia_descend_hard
    elif gsize >= 3:
        call .descendMed from nw_woods_high_sofia_descend_med
    else:
        call .descendEasy from nw_woods_high_sofia_descend_easy
    $ world.setLoc('nwWoods')
    return



    # Easy climb where you catch up with Sofia.
    #
label .climbEasy:
    $ dbgLogDet("nwWoodsHighSofia.climbEasy")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. Then
    there are a set of steps with a handrail and a short bridge over
    a bubbling stream.
    """
    if flirt:
        "Just starting up the steps is a very curvy woman with a familiar
        looking ass."
        pc "Sofia! Wait for me!"
        sofia "With pleasure my dolce. I need a breather."
        "She waits for you to catch up and you both go up the steps
        together and cross the bridge over the stream."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_easy_rom_size
        sofia "Look down, haven't we climbed so far already my sweet."
        "
        Standing on the bridge, and letting your eyes follow the stream
        down between the trees, you are slightly surprised about
        how high you are now. Sofia gives you a kiss.
        "
        sofia "Not far now, and we can have a sit down."
    else:
        "Ahead of you is a very curvy woman with luxuriant dark hair."
        pc "Sofia? Is that you?"
        sofia "[pc.name]! What a surprise!"
        "She waits for you to catch up and you both go up the steps
        together and cross the bridge over the stream."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_easy_plat_size
        sofia "Look how far we've climbed already."
        "
        Standing on the bridge, and letting your eyes follow the stream
        down between the trees, you are slightly surprised about
        how high you are now.
        "
        sofia "Not far now, and we can have a sit down."
    """
    There's another set of zig zags and then the path starts to level out.
    You must be near the top, or at least the lake now.
    """
    $ pc.useEnergy(1)
    $ pc.exercise(500, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_sofia_climb_easy_arrive
    "
    Sofia flops down on one of the logs, panting slightly.
    "
    sofia "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Climb where you catch up with Sofia.
    # Some weight issues.
    #
label .climbMed:
    $ dbgLogDet("nwWoodsHighSofia.climbMed")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You can
    definitely feel the extra weight you are carrying now, and the way
    your tummy is jiggling with each footfall.

    Next there's a set of steps with a handrail and a short bridge over
    a bubbling stream. You pause to catch your breath and let your eyes
    follow the stream down between the trees. You've climbed quite a way.
    """
    if flirt:
        "Ahead of you on the next set of switchbacks
        is a very curvy woman with a familiar
        looking ass."
        pc "Sofia! Wait for me!"
        sofia "With pleasure my dolce. I need a breather."
        "She waits for you to catch up and gives you a kiss,
        her hand straying to your hip."
        sofia "It's not such an easy climb for us heavier girls is it my dolce?
            Still, it's worth it, I promise."
        pc "No, it's not easy. I've already had to take one break that
            I wouldn't have needed before."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_med_rom_size
        sofia "Not far now, and we can have a sit down."
    else:
        "Ahead of you on the next set of switchbacks
        is a very curvy woman with luxuriant dark hair."
        pc "Sofia? Is that you?"
        sofia "[pc.name]! What a surprise!"
        "She waits for you to catch up, panting slightly from exertion."
        sofia "It's not such an easy climb is it if you're carrying a few extra pounds?
            Still, it's worth it, I promise."
        pc "No, it's not easy. I've already had to take one break that
            I wouldn't have needed before."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_med_plat_size
        sofia "Not far now, and we can have a sit down."
    "
    Once you are past the zig zags the path does become less steep, and
    finally flatten out.
    "
    $ pc.useEnergy(1)
    $ pc.exercise(600, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_sofia_climb_med_arrive
    "
    Sofia flops down on one of the logs, panting slightly, and you do the
    same.
    "
    sofia "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake with Sofia catching you.
    # Significant weight issues as you are heavier than her.
    #
label .climbHard:
    $ dbgLogDet("nwWoodsHighSofia.climbHard")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You can
    really feel the extra weight you are carrying now, and your body
    shakes with each footfall.

    You pause at the top of the zig zag and contemplate the flight of
    steps ahead as you catch your breath. Holding firmly onto the handrail
    you climb them and cross the bridge. You pause again to catch your
    breath.
    """
    if flirt:
        "
        You let your eyes follow the stream down between the trees. You've carried
        your weight up quite a way. Down below you can see the familiar shape
        of Sofia coming up the path too.
        "
        pc "Sofia! Up here."
        sofia "My sweet, wait there for me to catch up please."
        "
        You wait for her to make her way up. She's got a definite glow about
        her as she hugs you close and kisses you.
        "
        sofia "So good to see you my sweet. Give me a minute?"
        pc "Lovely to see you too. Don't worry, I'm in no rush. It's quite a climb."
        sofia "It certainly is for us big girls. I imagine it's even harder
            for you these days."
        pc "It wasn't easy, that's for sure."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_hard_rom_size
        sofia "Shall we?"
        "
        She takes your hand in hers and leads you up the next switchback to
        where the ground flattens out.
        "
        sofia "Not far now!"
    else:
        "
        You let your eyes follow the stream down between the trees. You've carried
        your weight up quite a way. Down below you can see a very curvy woman
        with luxuriant dark hair coming up the path too.
        "
        pc "Sofia! Is that you? Up here."
        sofia "[pc.name], wait there for me to catch up please."
        "
        You wait for her to make her way up. She's got a definite glow about
        her from the climb.
        "
        sofia "So good to see you. Give me a minute?"
        pc "Good to see you too. Don't worry, I'm in no rush. It's quite a climb."
        sofia "It certainly is for us bigger girls. I imagine you're having
            a harder time of it than me these days."
        pc "It wasn't easy, that's for sure."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_hard_plat_size
        sofia "Shall we?"
        "
        She sets off ahead of you. Your eyes can't help but follow that ass
        of hers as she climbs, thighs pushing past each other. It makes you
        wonder what your even fatter one must look like from behind.
        "
        sofia "Not far now!"
    $ pc.useEnergy(1)
    $ pc.exercise(700, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_sofia_climb_hard_arrive
    "
    Sofia flops down on one of the logs, panting slightly, and you do the
    same.
    "
    sofia "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake and Sofia catches up.
    # Serious weight issues now PC is 400lbs+.
    #
label .climbDiff:
    $ dbgLogDet("nwWoodsHighSofia.climbDiff")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You are
    panting before you are half way up and lean against a tree before
    continuing up.
    """
    if flirt:
        "
        You're having another breather at the top of the zig zag as you consider
        the flight of steps ahead. Down below you can see the familiar shape
        of Sofia coming up the path too.
        "
        pc "Sofia! Up here."
        sofia "My sweet, wait there for me to catch up please."
        "
        You wait for her to make her way up. She's got a definite glow about
        her, much as you do, as she hugs you close and kisses you.
        "
        sofia "So good to see you my sweet. Give me a minute?"
        pc "Lovely to see you too. Don't worry, I'm in no rush. It's quite a climb."
        sofia "It certainly is for me. I imagine it's much harder
            for you these days."
        pc "It wasn't easy, that's for sure."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_diff_rom_size
        sofia "Shall we? I'll let you go first."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
        pc "You're watching my ass, aren't you babe?"
        sofia "Yes, but it's hard not to. Your getting so wide my dolce."
    else:
        "
        You're having another breather at the top of the zig zag as you consider
        the flight of steps ahead. Down below you can see a very curvy woman
        with luxuriant dark hair coming up the path too.
        "
        pc "Sofia! Is that you? Up here."
        sofia "[pc.name], wait there for me to catch up please."
        "
        You wait for her to make her way up. She's got a definite glow about
        her, much as you do.
        "
        sofia "So good to see you [pc.name]. Give me a minute?"
        pc "Good to see you too. Don't worry, I'm in no rush. It's quite a climb."
        sofia "It certainly is for me. I imagine it's much harder
            for you these days."
        pc "It wasn't easy, that's for sure."
        call sofia.sizeNotice from nw_woods_high_sofia_climb_diff_plat_size
        sofia "Shall we? I'll let you go first so I don't get too far ahead of you."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
    "
    You both take a breather on the bridge over the stream and look down
    at how far you've climbed. So far ...
    "
    sofia "Just one more set of switchbacks and it starts to level out."
    pc "It had better!"
    "
    You plod slowly onwards, winding back and forth, feeling the sweat
    on your chest and the rubbing of your thighs. The path does indeed
    finally level out. Nearly there [pc.name]!
    "
    $ pc.useEnergy(1)
    $ pc.exercise(800, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_sofia_climb_diff_arrive
    "
    Sofia flops down on one of the logs, and you do the same, panting heavily.
    "
    sofia "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake with Sofia catching you up.
    # Major weight issues. PC is 600lbs++
    #
label .climbImpos:
    $ dbgLogDet("nwWoodsHighSofia.climbImpos")
    $ renpy.dynamic('proceed', 'tooFat')
    $ tooFat = sofia.isPcTooFat() and not flags.isSet('sofiaUnlimit')
    $ proceed = True
    $ tmp = pc.locoVerb()
    "
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.
    "
    $ tmp = cardDecades(pc.fat*2.2)
    "
    The path is well worn, although you seem to be alone.
    After a while it zig-zags it's way up a steeper part. You find you
    have to rest at each turn, breath ragged with the effort of carrying
    [tmp] pounds of fat up with you.
    "
    "
    I'm not even half way up, and my heart's going ten to the dozen.
    There's no way you and your fat are going to make it to the lake
    [pc.name]. Don't be silly.
    "
    $ prompt = "This is crazy {}, you're not even half way up yet.".format(pc.name)
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Turn back you silly moo":
            $ proceed = False
        "No, I can do this can't I?":
            $ proceed = True
    "As you are thinking Sofia catches up with you."
    if proceed: # Wants to proceed.
        $ rnd = not pc.randomWeightRangeLb(820, 860, 0, 100)
        if flirt:
            sofia "Are you okay there my dolce?"
            if rnd: # passed weight check
                pc "I was trying to work myself up to the next bit of the climb."
                if tooFat:
                    sofia "I'm not sure that's such a good idea, you're a
                        really big girl now, and you might hurt yourself,
                        or worse."
                    pc "You might be right babes. I'm too fat now aren't I.
                        What must you think of me?"
                    sofia "I love you, but, you might be too fat to do this."
                    $ flags.set('pcThinkDiet')
                    $ proceed = False
                else:
                    sofia "I'm sure if we take our time and take regular rests
                        then you'll be fine."
                    pc "Thank you for the encouragement babe."
            else: # Failed weight check
                pc "I was trying to work myself up to the next bit of the climb.
                    I'm not at all sure I can do it."
                if tooFat:
                    sofia "I'm not sure either. Much as I'd love to see you in
                        the lake, you are a really big girl now.
                        You might hurt yourself, or worse."
                    pc "I think you are right. I'm too fat now aren't I.
                        What must you think of me?"
                    sofia "I love you, but, you might be too fat to do this."
                    $ flags.set('pcThinkDiet')
                    $ proceed = False
                else:
                    sofia "I'm sure if we take our time and take regular rests
                        then you'll be fine."
                    pc "Thank you for the encouragement babe."
        else: # Proceed platonic.
            sofia "Are you okay there [pc.name]?"
            pc "I was trying to work myself up to the next bit of the climb."
            sofia "I'm sure if we take our time and take regular rests
                then you'll be fine."
            pc "Thank you for the encouragement Sofia."
    else: # Chose not to proceed.
        $ rnd = pc.randomWeightRangeLb(800, 840, 0, 100)
        if flirt:
            sofia "Are you okay there my dolce?"
            pc "I was just thinking climbing this hill was a really silly idea.
                I'm just too fat."
            if tooFat or rnd:
                sofia "You might be right there I'm afraid."
                pc "I think you are right. I really am too fat now aren't I.
                    What must you think of me?"
                sofia "I love you, but you're too big to go climbing hills."
                $ flags.set('pcThinkDiet')
            else:
                sofia "I'm sure if we take our time and take regular rests
                    then you'll be fine."
                pc "Thank you for the encouragement babe."
                $ proceed = True
        else: # Platonic, not proceed.
            sofia "Are you okay there [pc.name]?"
            pc "I was just thinking climbing this hill was a really silly idea.
                I'm just too fat."
            sofia "You might be right there I'm afraid."

    # Going back.
    #
    if not proceed:
        if flirt:
            sofia "Let's head back down and find something else to do."
            pc "Okay."
            "Hand in hand she leads you back to the car park."
        else:
            sofia "Let's head back down and find something else to do."
            pc "Okay Sofia."
            "She leads you slowly back to the car park."
        $ pc.useEnergy(1)
        $ pc.exercise(900, 0.2)
        return

    # Going on.
    #
    if flirt:
        sofia "Shall we? I'll let you go first."
        pc "I hate steps."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
        pc "You're watching my ass, aren't you babe?"
        if tooFat:
            sofia "Yes, of course, but it's hard not to.
                It's so big I can't see much else past it!"
        elif flags.isSet('wrHips') and pc.isWrHips():
            sofia "Yes, of course! I've got the world's most glorious ass right
                there in front of me, and just watching it move is turning me
                on."
        elif gsize == 11:
            sofia "Yes, of course, but it's hard not to.
                It's so big and mesmerising my dolce.
                That and the way it fills my field of vision!"
        else:
            sofia "Yes, of course, but it's hard not to.
                It's so big and mesmerising my dolce."
    else:
        sofia "Shall we? I'll let you go first so I don't get too far ahead of you."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
    "
    After the bridge there's another steep switchback. You focus on the next
    turn, then take a rest. You continue climbing, panting, resting, climbing,
    panting, resting, climbing. So much climbing.
    "
    sofia "Nearly there [pc.name]."
    "
    Finally the path starts to level out. Almost done.
    "
    $ pc.useEnergy(2)
    $ pc.exercise(900, 0.5)
    $ gt.addHours(1)
    $ dayFlags.set('rest')
    call nwWoodsLake.arrive from nw_woods_high_sofia_climb_impos_arrive
    "
    Sofia flops down on one of the logs, and you do the same on another which
    moves under your weight. You are hot, sweaty, and panting heavily.
    "
    sofia "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Descend from to the lake with Sofia.
    # No weight issues.
    #
label .descendEasy:
    $ dbgLogDet("nwWoodsHighSofia.descendEasy")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    When you get to the bridge over the stream you hear Sofia call out.
    "
    if flirt:
        $ pet = sofiaPetName()
        sofia "Wait for me, [pet]. I need to take my time down these steep bits.
            One of the challenges of being curvy."
        pc "Okay babe."
        "
        When she catches up, she's looking a bit flushed. Not that it stops her
        from kissing and groping you!
        The pair of you stand hand-in-hand looking down the hillside until
        she's ready to move on.
        "
    else:
        sofia "Wait for me, [pc.name]. I need to take my time down these steep bits."
        pc "Okay, Sofia."
        "
        When she catches up, she's looking a bit flushed.
        The pair of you lean on the railing, looking down the hillside, until
        she's ready to move on.
        "
    "
    You cross the stream, skip down the steps, then remember to wait for Sofia.
    Then there's the second set before the path begins to level out, and you
    both emerge into the car park.
    "
    $ pc.exercise(400, 0.3)
    return



    # Descend from to the lake with Sofia.
    # Slight weight issues.
    #
label .descendMed:
    $ dbgLogDet("nwWoodsHighSofia.descendMed")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    When you get to the bridge over the stream you hear Sofia call out.
    "
    if flirt:
        $ pet = sofiaPetName()
        sofia "Wait for me, [pet]. I need to take my time down these steep bits.
            One of the challenges of being curvy."
        pc "Okay babe, I understand. I'm having to be a bit careful myself
            these days."
        "
        When she catches up, she's looking a bit flushed. Not that it stops her
        from kissing and groping your butt!
        The pair of you stand hand-in-hand looking down the hillside until
        she's ready to move on.
        "
    else:
        sofia "Wait for me, [pc.name]. I need to take my time down these steep bits."
        pc "Okay, Sofia. I understand as I'm having to be a bit careful myself
            these days."
        "
        When she catches up, she's looking a bit flushed.
        The pair of you lean on the railing, looking down the hillside, until
        she's ready to move on.
        "
    "
    You cross the stream, go down the steps, then remember to wait for Sofia.
    Then there's the second set before the path begins to level out, and you
    both emerge into the car park.
    Your legs ache a little from the descent.
    "
    $ pc.exercise(450, 0.3)
    return



    # Descend from to the lake with Sofia.
    # Significant weight issues.
    # PC is heavier than Sofia.
    #
label .descendHard:
    $ dbgLogDet("nwWoodsHighSofia.descendHard")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is jiggling with each heavy footfall and
    Sofia is keeping pace with you.
    "
    if flirt:
        $ pet = sofiaPetName()
        pc "Can we have a breather at the little bridge babe? I need a rest."
        sofia "Sure [pet]. I wouldn't mind a rest too. We're both big girls now."
        "
        The two of you lean on the bridge handrail and look down the hillside
        at the way you still have to go.
        Sofia puts her hand on your butt, and you turn towards her and kiss
        her.
        "
        $ pet = sofiaPetName()
        pc "Shall we?"
        sofia "We ought to carry on. Let me know if you need another rest, [pet]."
        pc "I think I'll be okay."
    else:
        pc "Can we have a breather at the little bridge? I need a rest."
        sofia "Sure [pc.name]. I wouldn't mind a rest too. We're both big girls now."
        "
        The two of you lean on the bridge handrail and look down the hillside
        at the way you still have to go.
        "
        sofia "Ready?"
        pc "Yes, I think so."
    "
    You cross the stream, go down the steps.
    Then there's the second set before the path begins to level out, and you
    both emerge into the car park.
    "
    if flirt:
        $ pet = sofiaPetName()
        pc "My legs ache babe. Do yours?"
        sofia "A little, [pet]. They've carried a lot down that hill."
    else:
        pc "My legs are a bit achey."
        sofia "I'm not surprised, mine do too."
    $ pc.exercise(500, 0.3)
    return



    # Descend from to the lake with Sofia.
    # Significant weight issues.
    #
label .descendDiff:
    $ dbgLogDet("nwWoodsHighSofia.descendDiff")
    $ tmp = pc.locoVerb()
    $ unsure = pc.isDietConsider()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is jiggling with each heavy footfall and Sofia is getting ahead
    of  you.
    "
    if flirt:
        $ pet = sofiaPetName()
        pc "Babe, wait. I need ... to stop."
        sofia "Sure [pet]. I need a rest too, and you are quite a bit
            bigger than me now."
        "
        Sofia is leaning on the bridge, looking down the hillside, when you
        catch up with her. You lean on the railing too, panting. There's a faint
        creaking noise from the metal and Sofia takes her weight off it.
        "
        $ pet = sofiaPetName()
        sofia "Are you okay, [pet]?"
        if unsure:
            pc "Just give me a minute. I shouldn't have let myself get so fat."
        else:
            pc "Just give me a minute. I'm so hot."
            if sofia.isPcTooFat():
                sofia "You are carrying a lot of extra weight there."
            else:
                sofia "Aren't you just, sexy girl."
                pc "More sweaty girl than sexy girl, babes."
        "
        Sofia strokes your hair as you pant, then once your breathing calms
        her hand drifts to your butt. You turn and she kisses you full on
        the lips.
        "
        $ pet = sofiaPetName()
        sofia "Are you ready, [pet], to make a move?"
        pc "I think so."
    else:
        pc "Sofia, wait! I need ... to stop ... and rest."
        sofia "Sure [pc.name]. I need a rest too. I can only imagine how you feel."
        "
        Sofia is leaning on the bridge, looking down the hillside, when you
        catch up with her. You lean on the railing too, panting. There's a faint
        creaking noise from the metal and Sofia takes her weight off it.
        "
        sofia "Ready?"
        pc "Yes, I think so."
    "
    You hold tight to the handrail to go down the steps and
    carefully descend the second set of zig zags after another break. The path
    begins to level out, and you begin to hear the road noise.
    You both emerge from the trees into the car park.
    "
    if flirt:
        $ pet = sofiaPetName()
        pc "My legs ache babe."
        if sofia.isPcTooFat():
            sofia "Well, they've carried a lot down that hill."
        else:
            sofia "Well, they've carried a lot of sexiness down that hill."
    else:
        pc "My legs are achey."
        sofia "I'm not surprised, mine are a little too."
    $ pc.exercise(550, 0.3)
    return



    # Descend from to the lake with Sofia.
    # Major weight issues.
    #
label .descendImpos:
    $ dbgLogDet("nwWoodsHighSofia.descendImpos")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is wobbling with each heavy footfall.
    "
    "
    You have to take regular breaks to catch your breath, and Sofia waits
    patiently when you do. She does seem a little concerned about you and
    how cautious you are being.
    "
    $ rnd = pc.randomWeightRangeLb(780, 880, 0, 90)
    if rnd:
        "
        Going down one of the switchbacks you stumble and fall! It's so steep
        you can't stop yourself and roll down the rest of the stretch, fetching
        up, thankfully, in some bushes.
        "
        if flirt:
            $ pet = sofiaPetName()
            sofia "[pc.name]! Are you okay, [pet]?"
            pc "I think so? I'm a bit shook up babe."
            "
            Sofia runs back to you and helps heave you upright, and get you
            back on your feet. Not easy at the best of times, harder on this
            uneven ground.
            "
            sofia "Anything hurt?"
            pc "A few aches. What I've mainly hurt is my pride."
            "
            She gives you a big hug, then looks you up and down to check.
            She seems to be on the verge of crying.
            "
            $ pet = sofiaPetName()
            if sofia.isPcTooFat():
                sofia "You had me so worried! Perhaps we shouldn't come back
                    up here until you are a bit lighter on your feet, [pet]?"
                pc "I'll be fine babe, I just tripped."
                sofia "You're really lucky you ended up in that bush and didn't
                    go any futher. It could have been so much worse."
                pc "I know babe. It was just me being clumsy again."
            else:
                sofia "You had me so worried! I know carrying that big sexy
                    butt of yours around can't be easy, but I could have lost
                    you, [pet]."
                pc "You wouldn't have lost me. You would have been able to
                    follow the trail of destruction that follows my clumsy ass
                    around."
                $ pet = sofiaPetName()
                sofia "Please, [pet], I'm serious. Do take more care. I love
                    you too much to lose you."
                pc "I will babe. I love you too."
        else:
            sofia "[pc.name]! Are you okay?"
            pc "I think so? I'm a bit shook up."
            "
            Sofia runs back to you and helps heavy you upright, and get you
            back on your feet. Not easy at the best of times, harder on this
            uneven ground.
            "
            sofia "Anything broken? Are you okay to carry on?"
            pc "I think so. What I've mainly hurt is my pride."
        call achievements.award('raiders') from nw_woods_high_sofia_decsend_raiders_award
    else:
        "
        It's hard work going down, something you thought you'd be well suited
        for. But stopping your considerable weight getting ahead of yourself
        isn't easy.
        "
    "
    You cross the stream, go very carefully down the steps and cautiously descend
    the second set of zig zags. Resting when you need to with Sofia waiting patiently.
    "
    "
    The path begins to level out, and the road noise returns.
    You both emerge from the trees into the car park.
    "
    if flirt:
        $ pet = sofiaPetName()
        pc "My legs really ache babe."
        if rnd:
            sofia "I'm not surprised after that tumble you took, [pet]!"
        elif sofia.isPcTooFat():
            sofia "Well, they've carried a lot down that hill."
        else:
            sofia "Well, [pet], they've carried an abundance of sexiness down that hill."
    else:
        pc "My legs really ache Sofia."
        if sofia.isPcTooFat():
            sofia "Perhaps you've asked them to do a bit much today?"
        else:
            sofia "I'm not surprised, mine ache a little too."
    $ pc.exercise(650, 0.3)
    return
