#
# The high path through the woods to the lake finding Steve..
#
label nwWoodsHighSteve:

    # Climb when Steve is around.
    #
label .climb:
    $ dbgLogDet("nwWoodsHighSteve.climb")
    $ renpy.dynamic('control', 'fa', 'fat', 'tease', 'tooFat', 'pet', 'unsure')
    $ fat = steve.isPcFat()
    $ tooFat = steve.isPcTooFat()
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ tease = flags.isSet('steveTease')
    $ unsure = pc.isDietConsider()
    $ flirt = steve.isRomance()
    if gsize >= 10:
        call .climbImpos from nw_woods_high_steve_climb_impos
    elif gsize >= 8:
        call .climbDiff from nw_woods_high_steve_climb_diff
    elif gsize >= 6:
        call .climbHard from nw_woods_high_steve_climb_hard
    elif gsize >= 3:
        call .climbMed from nw_woods_high_steve_climb_med
    else:
        call .climbEasy from nw_woods_high_steve_climb_easy
    call steve.sizeNotice from nw_woods_high_steve_climb_size
    $ dayFlags.set('steveWoods')
    return



    # Descend when Steve is around.
    #
label .descend:
    $ dbgLogDet("nwWoodsHighSteve.descend")
    $ renpy.dynamic('control', 'fa', 'fat', 'tease', 'tooFat', 'pet', 'unsure')
    $ fat = steve.isPcFat()
    $ tooFat = steve.isPcTooFat()
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ tease = flags.isSet('steveTease')
    $ unsure = pc.isDietConsider()
    $ flirt = steve.isRomance()

    # Steve can refuse if romantic and not swam together.
    #
    if flirt:
        $ pet = stevePetName(tease)
        pc "Are you ready to go back down babe?"
        if swam:
            steve "I'm ready, [pet]."
        elif steve.randomRomance(25, 50):
            steve "I'm suppose so, [pet]. I really fancied a swim though."
        else:
            steve "I really want to go for a swim before I leave, [pet].
                Come in the water with me, it'll be fun!"
            return
    else:
        pc "Are you ready to go back down Steve?"
        steve "Yes, I'm ready."

    if gsize >= 10:
        call .descendImpos from nw_woods_high_steve_descend_impos
    elif gsize >= 8:
        call .descendDiff from nw_woods_high_steve_descend_diff
    elif gsize >= 6:
        call .descendHard from nw_woods_high_steve_descend_hard
    elif gsize >= 3:
        call .descendMed from nw_woods_high_steve_descend_med
    else:
        call .descendEasy from nw_woods_high_steve_descend_easy
    $ world.setLoc('nwWoods')
    return



    # Easy climb where you catch up with Steve.
    #
label .climbEasy:
    $ dbgLogDet("nwWoodsHighSteve.climbEasy")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. Then
    there are a set of steps with a handrail and a short bridge over
    a bubbling stream.
    """
    if flirt:
        "Just starting up the steps ahead is a tall and familiar looking man
        in walking gear and wearing a backpack."
        pc "Steve! Wait for me!"
        $ pet = stevePetName()
        steve "With pleasure [pet]."
        "He waits for you to catch up and you both go up the steps
        together and cross the bridge over the stream."
        call steve.sizeNotice from nw_woods_high_steve_climb_easy_rom_size
        steve "There's quite a view from here, I love this spot."
        "
        Standing on the bridge, and letting your eyes follow the stream
        down between the trees, you are slightly surprised about
        how high you are now. Steve gives you a kiss.
        "
        steve "Not far to the lake now."
    else:
        "Ahead of you is a  tall and familiar looking man."
        pc "Steve? Is that you?"
        steve "[pc.name]! What a surprise!"
        "He waits for you to catch up and you both go up the steps
        together and cross the bridge over the stream."
        call steve.sizeNotice from nw_woods_high_steve_climb_easy_plat_size
        steve "There's quite a view from here, I love this spot."
        "
        Standing on the bridge, and letting your eyes follow the stream
        down between the trees, you are slightly surprised about
        how high you are now.
        "
        steve "Not far to the lake now."
    """
    There's another set of zig zags and then the path starts to level out.
    You must be near the top, or at least the lake now.
    """
    $ pc.useEnergy(1)
    $ pc.exercise(500, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_steve_climb_easy_arrive
    "
    Steve shrugs off his backpack and sits down on one of the logs.
    The climb doesn't seem to have even made him raise a sweat.
    "
    steve "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Climb where you catch up with Steve.
    # Some weight issues.
    #
label .climbMed:
    $ dbgLogDet("nwWoodsHighSteve.climbMed")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You can
    definitely feel the extra weight you are carrying now, and the way
    your tummy is jiggling with each footfall.

    Next there's a set of steps with a handrail and a short bridge over
    a bubbling stream. You pause to catch your breath and let your eyes
    follow the stream down between the trees. You've climbed quite a way.
    """
    if flirt:
        "
        Ahead of you on the next set of switchbacks
        is a tall and familiar looking man
        in walking gear and wearing a backpack.
        "
        pc "Steve! Wait for me!"
        $ pet = stevePetName()
        steve "With pleasure [pet]."
        "
        He waits for you to catch up and gives you a kiss,
        his straying to your hip.
        "
        $ pet = stevePetName()
        steve "You've a bit of a glow about you, [pet].
            Still, the climb is worth it, I promise."
        call steve.sizeNotice from nw_woods_high_steve_climb_med_rom_size
        steve "Not far to the lake now, and you can have a sit down."
    else:
        "
        Ahead of you on the next set of switchbacks
        is a tall and familiar looking man
        in walking gear and wearing a backpack.
        "
        pc "Steve? Is that you?"
        steve "[pc.name]! What a surprise!"
        "He waits for you to catch up, panting slightly from exertion."
        steve "It's not such an easy climb is it if you're carrying a few extra pounds?
            Still, it's worth it, I promise."
        pc "No, it's not easy. I've already had to take one break that
            I wouldn't have needed before."
        call steve.sizeNotice from nw_woods_high_steve_climb_med_plat_size
        steve "Not far now, and you can have a sit down."
    "
    Once you are past the zig zags the path does become less steep, and
    finally flatten out.
    "
    $ pc.useEnergy(1)
    $ pc.exercise(600, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_steve_climb_med_arrive
    "
    Steve sits down on one of the logs,
    and you do the same, panting slightly.
    "
    steve "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake with Steve catching you.
    # Significant weight issues as you are heavier.
    # PC is between 237 and 400 lbs
    #
label .climbHard:
    $ dbgLogDet("nwWoodsHighSteve.climbHard")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You can
    really feel the extra weight you are carrying now, and your body
    shakes with each footfall.

    You pause at the top of the zig zag and contemplate the flight of
    steps ahead as you catch your breath. Holding firmly onto the handrail
    you climb them and cross the bridge. You pause again to catch your
    breath.
    """
    if flirt:
        $ pet = stevePetName(tease)
        "
        You let your eyes follow the stream down between the trees. You've carried
        your weight up quite a way. Down below you can see the familiar shape
        of Steve coming up the path too.
        "
        pc "Steve! Up here."
        steve "With you in a minute, [pet]."
        "
        You wait for him to make his way up.
        He's not even breathing hard when he hugs you close and kisses you.
        "
        $ pet = stevePetName(tease)
        if control or tooFat:
            steve "Good to see you getting some exercise, [pet].
                Do you need a little longer to catch your breath?"
            pc "I think I do. The climb isn't as easy as it used to be babe.
                I already needed one break."
        elif fat:
            steve "Good to see you out and about, [pet].
                Do you need a little longer to catch your breath?"
            pc "I wouldn't mind. The climb isn't as easy as it used to be babe.
                I already took one break."
        else:
            steve "Good to see you, [pet].
                Do you need a little longer to catch your breath?"
            pc "I wouldn't mind. The climb isn't as easy as it used to be babe.
                I already had one breather."
        call steve.sizeNotice from nw_woods_high_steve_climb_hard_rom_size
        steve "Shall we?"
        "
        He takes your hand in his and leads you up the next switchback to
        where the ground flattens out.
        "
        steve "Not far now, and you can have another rest!"
    else:
        "
        You let your eyes follow the stream down between the trees. You've carried
        your weight up quite a way. Down below you can see a tall and familiar
        looking man in walking gear and wearing a backpack coming up the path too.
        "
        pc "Steve! Is that you? Up here."
        steve "[pc.name]! What a surprise!"
        "
        You wait for him to make his way up.
        He's not even breathing hard, and you're still panting from your exertion.
        "
        if fa:
            steve "It's not such an easy climb is it?
                Still, it's worth it I promise."
        else:
            steve "I imagine it's not such an easy climb is it if you're carrying
                a few extra pounds? Still, it's worth it, I promise."
        pc "No, it's not easy. I've already had to take one break that
            I wouldn't have needed before."
        call steve.sizeNotice from nw_woods_high_steve_climb_hard_plat_size
        steve "Shall we?"
        if fa:
            "
            He let's you take the lead and set your slower pace.
            You can only imagine the view he's got of your ass and
            your thighs pushing past each other.
            "
        else:
            "
            Steve sets off ahead of you giving you a view of his firm bum and
            strong legs. He soon gets too far ahead for this to matter as
            you concentrate on putting one foot infront of the other.
            "
        steve "Not far now, and you can have another rest!"
    $ pc.useEnergy(1)
    $ pc.exercise(700, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_steve_climb_hard_arrive
    "
    Steve sits down on one of the logs,
    and you do the same, flushed and panting.
    "
    steve "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake and Steve catches up.
    # Serious weight issues now PC is 400..600lbs (g8, g9).
    #
label .climbDiff:
    $ dbgLogDet("nwWoodsHighSteve.climbDiff")
    $ tmp = pc.locoVerb()
    """
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.

    The path is well worn, although you seem to be the only person here.
    After a while it starts to zig-zag it's way up a steeper part. You are
    panting before you are half way up and lean against a tree before
    continuing.
    """
    if flirt:
        $ pet = stevePetName(tease)
        "
        You're having another breather at the top of the zig zag as you consider
        the flight of steps ahead. Down below you can see the familiar shape
        of Steve coming up the path too.
        "
        pc "Steve! Up here."
        steve "With you in a minute, [pet]."
        "
        You wait for him to make his way up.
        He's not even breathing hard when he hugs you close and kisses you.
        Urgh, you must feel all sweaty and horrible.
        "
        $ pet = stevePetName(tease)
        if control or tooFat:
            steve "Good to see you getting some exercise, [pet].
                It can't have been easy for you getting all the way up here.
                Do you need a little longer to catch your breath?"
            pc "Yes, give me a moment, babe. This is my second stop
                on the way up."
        elif fat:
            steve "Good to see you out and about, [pet].
                It can't have been easy for you getting all the way up here.
                Do you need a little longer to catch your breath?"
            pc "Yes, give me a moment, babe. This is my second stop
                on the way up."
        else:
            steve "Good to see you, [pet].
                It can't have been easy for you getting all the way up here.
                Do you need a little longer to catch your breath?"
            pc "Yes, give me a moment, babe. This is my second stop
                on the way up."
        call steve.sizeNotice from nw_woods_high_steve_climb_diff_rom_size
        steve "Shall we? I'll let you go first."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
        if unsure:
            pc "You're watching my fat ass, aren't you babe?"
        else:
            pc "You're watching my juicy ass, aren't you babe?"
        $ pet = stevePetName(tease)
        if tooFat:
            steve "Yes, but it's hard not to, [pet]! It's so big these days."
            if unsure:
                pc "I know, I really need to do something about that."
                pc "... This is the bit where you say \"No, it's just nicely round.\" babe."
                pc "Fine. I see. My ass is too fat."
                steve "I'm not saying a word."
            else:
                pc "Oi! I'm not {i}that{/i} big, thank you very much."
                steve "I'm not saying a word."
            $ flags.set('pcThinkDiet')
        else:
            steve "Yes, I hope you don't mind, [pet]."
            pc "Not at all babe. I'd be upset if you weren't."
    else:
        "
        You're having another breather at the top of the zig zag as you consider
        the flight of steps ahead. Down below you can see a tall and familiar
        looking man in walking gear and wearing a backpack coming up the path too.
        "
        pc "Steve! Is that you? Up here."
        steve "[pc.name], wait there I'll be with you in a moment."
        "
        You wait for him to make his way up.
        He's not even breathing hard,
        and you're still panting and damp from your exertion.
        "
        if fa:
            steve "I'm a little surprised to see you up here."
            pc "Because I'm a big girl?"
            steve "Well, I'm ... impressed."
            pc "I have had a couple of rests, Steve."
        else:
            steve "I'm surprised to see you up here, [pc.name]."
            pc "Because I'm a big girl and not as fit as you?"
            $ tmp = pc.getMass() / steve.getMass() # 2.45 .. 3.68
            if tmp >= 3:
                steve "Well, yes. You must be, what, three times my weight?
                    That would be like me giving myself and another guy a piggy
                    back up that hill.
                    I'm certain I couldn't do that."
            else:
                steve "Well, yes. You must be, what, twice my weight?
                    That would be like me giving myself a piggy back up that hill.
                    I'm not even sure I could do that."
            pc "I have had a couple of rests, Steve."
            steve "Still, your fitter than I thought.
                Must have a lot of muscle on those legs."
            pc "Respect for these fat thighs?"
            steve "Well, yes. I'm impressed, thinking about it."
        call steve.sizeNotice from nw_woods_high_steve_climb_diff_plat_size
        steve "Shall we get to the bridge?"
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
    "
    You take another breather on the bridge over the stream and look down
    at how far you've climbed. So far ... so many extra pounds ...
    "
    steve "Just one more set of switchbacks and it starts to level out."
    pc "It had better!"
    if fa:
        "
        He let's you take the lead and set your slower pace.
        You can only imagine the view he's got of your ass and
        your thighs pushing past each other.
        "
    else:
        "
        Steve sets off ahead of you giving you a view of his firm bum and
        strong legs. He soon gets too far ahead for this to matter as
        you concentrate on putting one foot in front of the other.
        "
    "
    You plod slowly onwards, winding back and forth, feeling the sweat
    on your chest and the rubbing of your thighs. The path does indeed
    finally level out. Nearly there [pc.name]!
    "
    $ pc.useEnergy(1)
    $ pc.exercise(800, 0.5)
    call nwWoodsLake.arrive from nw_woods_high_steve_climb_diff_arrive
    "
    Steve sits down on one of the logs,
    and you flop on another, flushed and panting heavily.
    "
    steve "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Ascend to the lake with Steve catching you up.
    # Major weight issues. PC is 600lbs++
    #
label .climbImpos:
    $ dbgLogDet("nwWoodsHighSteve.climbImpos")
    $ renpy.dynamic('proceed')
    $ tooFat = steve.isPcTooFat() and not flags.isSet('steveUnlimit')
    $ proceed = True
    $ tmp = pc.locoVerb()
    "
    You head into the woods and [tmp] to the one path that
    heads up the hillside. It's a gentle gradient to begin with and as
    you get into the trees the noise from the town fades
    and there's just the snapping of twigs underfoot.
    "
    $ tmp = cardDecades(pc.fat*2.2)
    "
    The path is well worn, although you seem to be alone.
    After a while it zig-zags it's way up a steeper part. You find you
    have to rest at each turn, breath ragged with the effort of carrying
    [tmp] pounds of fat up with you.
    "
    "
    I'm not even half way up, and my heart's going ten to the dozen.
    There's no way you and your fat are going to make it to the lake
    [pc.name]. Don't be silly.
    "
    $ prompt = "This is crazy {}, you're not even half way up yet.".format(pc.name)
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Turn back you silly moo":
            $ proceed = False
        "No, I can do this can't I?":
            $ proceed = True
    "As you are thinking Steve catches up with you."
    if proceed: # Wants to proceed.
        $ rnd = not pc.randomWeightRangeLb(820, 860, 0, 100)
        if flirt:
            $ pet = stevePetName(tease)
            steve "Are you okay there, [pet]?"
            if rnd: # passed weight check
                pc "I was trying to work myself up to the next bit of the climb."
                if tooFat:
                    steve "I'm not sure that's such a good idea, you're a
                        really big girl now, and you might hurt yourself,
                        or worse."
                    pc "You might be right babes. I'm too fat now aren't I.
                        What must you think of me?"
                    $ pet = stevePetName(tease)
                    steve "I love you, but let's be sensible, [pet]."
                    $ flags.set('pcThinkDiet')
                    $ proceed = False
                else:
                    steve "I'm sure if we take our time and take regular rests
                        then you'll be fine."
                    pc "Thank you for the encouragement babe."
            else: # Failed weight check
                pc "I was trying to work myself up to the next bit of the climb.
                    I'm not at all sure I can do it."
                if tooFat:
                    steve "I'm not sure either. Much as I'd love to see you in
                        the lake, you are a really big girl now.
                        You might hurt yourself, or worse."
                    pc "I think you are right. I'm too fat now aren't I.
                        What must you think of me?"
                    $ pet = stevePetName(tease)
                    steve "I love you, but let's be sensible, [pet]."
                    $ flags.set('pcThinkDiet')
                    $ proceed = False
                else:
                    steve "I'm sure if we take our time and take regular rests
                        then you'll be fine."
                    pc "Thank you for the encouragement babe."
        else: # Proceed platonic.
            steve "Are you okay there [pc.name]?"
            pc "I was trying to work myself up to the next bit of the climb."
            steve "I'm sure if we take our time and take regular rests
                then you'll be fine."
            pc "Thank you for the encouragement Steve."
    else: # Chose not to proceed.
        $ rnd = pc.randomWeightRangeLb(800, 840, 0, 100)
        if flirt:
            $ pet = stevePetName(tease)
            steve "Are you okay there, [pet]?"
            pc "I was just thinking climbing this hill was a really silly idea.
                I'm just too fat."
            if tooFat or rnd:
                steve "You might be right there I'm afraid."
                pc "I think so. I really am too fat now aren't I.
                    What must you think of me?"
                $ pet = stevePetName(tease)
                steve "I love you, but you aren't really built for climbing hills, [pet]."
                pc "I'm the right shape for rolling down them though, aren't I?"
                steve "You said it, not me."
                $ flags.set('pcThinkDiet')
            else:
                steve "I'm sure if we take our time and take regular rests
                    then you'll be fine."
                pc "Thank you for the encouragement babe."
                $ proceed = True
        else: # Platonic, not proceed.
            steve "Are you okay there [pc.name]?"
            pc "I was just thinking climbing this hill was a really silly idea.
                I'm just too fat."
            steve "You might be right there I'm afraid."

    # Going back.
    #
    if not proceed:
        if flirt:
            steve "Let's head back down and find something else to do."
            pc "Okay."
            "Hand in hand he leads you back to the car park."
        else:
            steve "Let's head back down and find something else to do."
            pc "Okay Steve."
            "He leads you slowly back to the car park."
        $ pc.useEnergy(1)
        $ pc.exercise(900, 0.2)
        return

    # Going on.
    #
    if flirt:
        steve "Shall we? I'll let you go first."
        pc "I hate steps."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
        if unsure:
            pc "You're watching my wobbly fat ass, aren't you babe?"
        else:
            pc "You're watching my ass wobble, aren't you babe?"
        $ pet = stevePetName(tease)
        if tooFat:
            steve "Yes, of course [pet], but it's hard not to.
                It's so big I can't see much else past it!"
            if unsure:
                pc "I know, I really need to do something about the size of it."
                pc "... This is the bit where you say \"No, it's not too big.\" babe.
                    It's okay to lie."
                steve "Is it? Is it really?"
                pc "Yes, it damn well is if you don't want to be hip checked down the hill!"
                $ pet = stevePetName()
                steve "Umm, your ass is not to big, [pet]."
                pc "Good boy."
            else:
                pc "You can always walk a bit further behind,
                    if you want a better view of things other than my
                    sexy ass."
                steve "I might just have to do that. There's sexy, and ..."
                pc "Are you saying this booty is too big for you now?"
                $ pet = stevePetName(tease)
                steve "[pet!c], it is a lot, maybe too much if I'm being honest."
                pc "Oh. I see."
            $ flags.set('pcThinkDiet')
        elif flags.isSet('wrHips') and pc.isWrHips():
            steve "Yes, of course! I've got the world's most glorious ass right
                there in front of me, and just watching it move is turning me
                on."
        elif gsize == 11:
            steve "Yes, of course, but it's hard not to.
                It's so big and mesmerising, [pet].
                That and the way it fills my field of vision!"
        else:
            steve "Yes, of course, but it's hard not to.
                It's so big and mesmerising [pet]."
    else:
        steve "Shall we? I'll let you go first so I don't get too far ahead of you."
        "
        Holding firmly onto the handrail you climb the steps and cross the
        bridge.
        "
    "
    After the bridge there's another steep switchback. You focus on the next
    turn, then take a rest. You continue climbing, panting, resting, climbing,
    panting, resting, climbing. So much climbing.
    "
    steve "Nearly there [pc.name]."
    "
    Finally the path starts to level out. Almost done.
    "
    $ pc.useEnergy(2)
    $ pc.exercise(900, 0.5)
    $ gt.addHours(1)
    $ dayFlags.set('rest')
    call nwWoodsLake.arrive from nw_woods_high_steve_climb_impos_arrive
    "
    Steve sits down on one of the logs,
    and you do the same on another which
    moves under your weight. You are hot, sweaty, and panting heavily.
    "
    steve "Isn't it just idyllic? The water is so calm and still, and lovely
        to bathe in. It's the main reason I come up here."
    return



    # Descend from to the lake with Steve.
    # No weight issues.
    #
label .descendEasy:
    $ dbgLogDet("nwWoodsHighSteve.descendEasy")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    When you get to the bridge over the stream Steve pauses.
    "
    if flirt:
        "
        He puts his hand around you and pulls you close for a romantic kiss.
        "
        $ pet = stevePetName()
        steve "Beautiful here, isn't it, [pet]. Just like you."
        pc "I think nature's got me beat here babe!"
        "
        The pair of you stand hand-in-hand looking down the hillside until
        your both ready to move on.
        "
    else:
        "
        The pair of you lean on the railing, looking down the hillside, until
        he's ready to move on.
        "
    "
    You cross the stream, skip down the steps. Further down there's the second
    set of steps before the path begins to level out, and you
    both emerge into the car park.
    "
    $ pc.exercise(400, 0.3)
    return



    # Descend from to the lake with Steve.
    # Slight weight issues.
    #
label .descendMed:
    $ dbgLogDet("nwWoodsHighSteve.descendMed")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    When you get to the bridge over the stream Steve pauses.
    "
    if flirt:
        "
        He puts his hand around you and pulls you close for a romantic kiss.
        "
        $ pet = stevePetName()
        steve "Beautiful here, isn't it, [pet]. Just like you."
        pc "I think nature's got me beat here babe!"
        "
        The pair of you stand hand-in-hand looking down the hillside until
        your both ready to move on.
        "
    else:
        "
        The pair of you lean on the railing, looking down the hillside, until
        your both ready to move on.
        "
    "
    You cross the stream, go down the steps, and catch up with Steve.
    Then there's the second set before the path begins to level out, and you
    both emerge into the car park.
    Your legs ache a little from the descent.
    "
    $ pc.exercise(450, 0.3)
    return



    # Descend from to the lake with Steve.
    # Significant weight issues.
    # PC is heavier than Sofia. 237..400lbs g6-g7
    #
label .descendHard:
    $ dbgLogDet("nwWoodsHighSteve.descendHard")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is jiggling with each heavy footfall and
    Steve is walking slowly with you.
    "
    if flirt:
        $ pet = stevePetName(tease)
        pc "Can we have a breather at the little bridge babe? I need a rest."
        if control or fa and not tooFat:
            steve "Sure, [pet]. You're doing well and I don't mind stopping."
        elif tooFat:
            steve "Sure, [pet]. It can't be easy for you and I don't mind stopping."
        else:
            steve "Sure, [pet]. I don't mind stopping."
        "
        The two of you lean on the bridge handrail and look down the hillside
        at the way you still have to go.
        Steve puts his hand on your butt, and you turn towards him and kiss
        him.
        "
        $ pet = stevePetName(tease)
        pc "Shall we?"
        steve "We ought to carry on. Let me know if you need another rest, [pet]."
        pc "I think I'll be okay."
    else:
        pc "Can we have a breather at the little bridge? I need a rest."
        if fa:
            steve "Sure, [pc.name]. You're doing well and I don't mind stopping."
        elif tooFat:
            steve "Sure, [pc.name]. It can't be easy for you and I don't mind stopping."
        else:
            steve "Sure, [pc.name]. I don't mind stopping and you look like you need it."
        "
        The two of you lean on the bridge handrail and look down the hillside
        at the way you still have to go.
        "
        steve "Ready?"
        pc "Yes, I think so."
    "
    You cross the stream, go down the steps.
    Then there's the second set before the path begins to level out, and you
    both emerge into the car park.
    "
    if flirt:
        $ pet = stevePetName(tease)
        pc "My legs ache babe. Do yours?"
        if control or fa and not tooFat:
            steve "Mine are fine, [pet].
                Yours have done a lot more work though,
                so it's only to be expected really."
        elif tooFat:
            steve "Mine are fine, [pet].
                You're carrying a lot more weight though.
                I'm not surprised they ache."
        else:
            steve "Mine are fine, [pet].
                Yours have done a lot more work though.
                I'm not surprised they ache."
    else:
        pc "My legs are a bit achey."
        if control or fa and not tooFat:
            steve "Mine are fine, [pc.name].
                Yours have done a lot more work though,
                so it's only to be expected really."
        elif tooFat:
            steve "Mine are fine, [pc.name].
                You're carrying a lot more weight though.
                I'm not surprised they ache."
        else:
            steve "Mine are fine, [pc.name].
                Yours have done a lot more work though.
                I'm not surprised they ache."
    $ pc.exercise(500, 0.3)
    return



    # Descend from to the lake with Steve.
    # Significant weight issues. 400.600lbs, g8, g9.
    #
label .descendDiff:
    $ dbgLogDet("nwWoodsHighSteve.descendDiff")
    $ tmp = pc.locoVerb()
    $ unsure = pc.isDietConsider()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is jiggling with each heavy footfall and Steve is getting ahead
    of you.
    "
    if flirt:
        $ pet = stevePetName(tease)
        pc "Babe, wait. I need ... to stop."
        if control or fa and not tooFat:
            steve "Sure [pet].
                I know this can't be easy for you, and
                I don't mind stopping."
        elif tooFat:
            steve "Sure [pet].
                I know this can't be easy for you with all the extra weight.
                I don't mind stopping."
        else:
            steve "Sure [pet].
                I know this can't be easy for you, and
                I don't mind stopping."
        "
        Steve is leaning on the bridge, looking down the hillside, when you
        catch up with him. You lean on the railing too, panting. There's a faint
        creaking noise from the metal and Steve takes his weight off it.
        "
        $ pet = stevePetName(tease)
        steve "Are you okay, [pet]?"
        if unsure:
            pc "Just give me a minute. I shouldn't have let myself get so fat."
            if tooFat:
                steve "Probably not if you want to keep climbing to the lake."
            else:
                $ pet = stevePetName()
                steve "You look fine to me, [pet]. Just take your time."
        else:
            pc "Just give me a minute. I'm so hot."
            if tooFat:
                steve "You are carrying a lot of extra weight there."
            else:
                steve "Aren't you just, sexy girl."
                pc "More sweaty girl than sexy girl, babes."
        "
        Steve strokes your hair as you pant, then once your breathing calms
        his hand drifts to your butt. You turn and he kisses you full on
        the lips.
        "
        $ pet = stevePetName(tease)
        steve "Are you ready, [pet], to make a move?"
        pc "I think so."
    else:
        pc "Steve, wait! I need ... to stop ... and rest."
        if control or fa and not tooFat:
            steve "Sure [pc.name].
                You're doing so well, take all the time you need."
        elif tooFat:
            steve "Sure [pc.name].
                You're doing well, considering.
                Take all the time you need."
        else:
            steve "Sure [pc.name].
                You're doing well, take all the time you need."
        "
        Steve is leaning on the bridge, looking down the hillside, when you
        catch up with him. You lean on the railing too, panting. There's a faint
        creaking noise from the metal and Steve takes his weight off it.
        "
        steve "Ready?"
        pc "Yes, I think so."
    "
    You hold tight to the handrail to go down the steps and
    carefully descend the second set of zig zags after another break. The path
    begins to level out, and you begin to hear the road noise.
    You both emerge from the trees into the car park.
    "
    if flirt:
        $ pet = stevePetName()
        pc "My legs ache babe."
        if tooFat and not control:
            steve "Well, they've carried a lot down that hill."
        else:
            steve "Well, they've carried a lot of sexiness down that hill."
    else:
        pc "My legs are achey."
        if tooFat and not control:
            steve "I'm not surprised, you're a really big girl."
        else:
            steve "I'm not surprised, they've done a lot of work."
    $ pc.exercise(550, 0.3)
    return



    # Descend from to the lake with Steve.
    # Major weight issues. 600..800++lbs, g10, g11
    #
label .descendImpos:
    $ dbgLogDet("nwWoodsHighSteve.descendImpos")
    $ tmp = pc.locoVerb()
    "
    You [tmp] over to the trees together and find the start of the path going back
    down. It gradually gets steeper until you begin the first set of zig zags.
    Everything is wobbling with each heavy footfall.
    "
    "
    You have to take regular breaks to catch your breath, and Steve waits
    patiently when you do. He does seem a little concerned about you and
    how cautious you are being.
    "
    $ rnd = pc.randomWeightRangeLb(780, 880, 0, 90)
    if rnd:
        "
        Going down one of the switchbacks you stumble and fall! It's so steep
        you can't stop yourself and roll down the rest of the stretch, fetching
        up, thankfully, in some bushes.
        "
        if flirt:
            $ pet = stevePetName()
            steve "[pc.name]! Are you okay, [pet]?"
            pc "I think so? I'm a bit shook up babe."
            "
            Steve runs back to you and helps heave you upright, and get you
            back on your feet. Not easy at the best of times, harder on this
            uneven ground.
            "
            steve "Anything hurt?"
            pc "A few aches. What I've mainly hurt is my pride."
            "
            He gives you a big hug, then looks you up and down to check.
            He looks really concerned.
            "
            $ pet = stevePetName()
            if tooFat:
                steve "You had me worried!
                    Perhaps we need to think twice about coming up here
                    until you are a bit lighter on your feet, [pet]?"
                pc "I'll be fine babe, I just tripped."
                steve "You're really lucky you ended up in that bush and didn't
                    roll any futher. It could have been so much worse."
                pc "I know babe. It was just me being clumsy again."
            else:
                steve "You had me worried! I know carrying that big sexy
                    butt of yours around can't be easy, but I could have lost
                    you, [pet]."
                pc "You wouldn't have lost me. You would have been able to
                    follow the trail of destruction that follows my clumsy ass
                    around."
                $ pet = stevePetName()
                steve "Please, [pet], I'm serious. Do take more care. I love
                    you too much to lose you."
                pc "I will babe. I love you too."
        else:
            steve "[pc.name]! Are you okay?"
            pc "I think so? I'm a bit shook up."
            "
            Steve runs back to you and helps heavy you upright, and get you
            back on your feet. Not easy at the best of times, harder on this
            uneven ground.
            "
            steve "Anything broken? Are you okay to carry on?"
            pc "I think so. What I've mainly hurt is my pride."
        call achievements.award('raiders') from nw_woods_high_steve_decsend_raiders_award
    else:
        "
        It's hard work going down, something you thought you'd be well suited
        for. But stopping your considerable weight getting ahead of yourself
        isn't easy.
        "
    "
    You cross the stream, go very carefully down the steps and cautiously descend
    the second set of zig zags. Resting when you need to with Steve waiting patiently.
    "
    "
    The path begins to level out, and the road noise returns.
    You both emerge from the trees into the car park.
    "
    if flirt:
        $ pet = stevePetName(tease)
        pc "My legs really ache babe."
        if rnd:
            steve "I'm not surprised after that tumble you took, [pet]!"
        elif tooFat:
            steve "Well, they've carried a lot down that hill."
        else:
            steve "Well, [pet], they've carried an abundance of sexiness down that hill."
    else:
        pc "My legs really ache Steve."
        if tooFat:
            steve "Perhaps you've asked them to do a bit much today?"
        else:
            steve "I'm not surprised, you've worked them hard."
    $ pc.exercise(650, 0.3)
    return
