#
# The lake area.
#
label nwWoodsLake:
    $ dbgLogDet("nwWoodsLake")
    $ world.setLoc('nwWoodsLake')
    return



    # -------------------------------------------------------------------------
    # Interface
    # -------------------------------------------------------------------------

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    $ dbgLog("nwWoodsLake.freeChoice")
    $ renpy.dynamic('costume', 'rest', 'skinny', 'swam')
    $ costume = dayFlags.isSet('hungCossie')
    $ mealsize = pc.getMealSize()
    $ rest = dayFlags.isSet('rest')
    $ skinny = dayFlags.isSet('pcSkinnydip')
    $ swam = dayFlags.isSet('swam')

    # Time to go back down?
    #
    if gt.isAfter(20) and not steveHere:
        "It's getting really dark, you should probably head back down while
        you can still find your way."
        call nwWoodsHigh.descend from nw_woods_lake_free_night
        return

    if sofiaHere:
        $ prompt = "Sofia is here at the lake, what do you want to do together?"
    elif steveHere:
        $ prompt = "Steve is here at the lake, what do you want to do together?"
    else:
        $ prompt = "What to do by the lake?"
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    menu:
        "[prompt]"
        "Ascend to summit" if False:        # FIX!
            if rest:
                pc "No, I need a rest before any more climbing."
                return
            if costume:
                pc "You collect your costume from where you hung it on a tree."
            $ dayFlags.clear('hungCossie')
            pass
        "Food?":
            call nwWoodsLakeFood from nw_woods_lake_free_food
        "Go skinnydipping" if skinny and not swam:
            call nwWoodsLakeSkin from nw_woods_lake_free_skinny
        "Go swiming" if not swam:
            call nwWoodsLakeSwim from nw_woods_lake_free_swim
        "Descend":
            if rest:
                pc "No, I need a rest before any more strenuous activity."
                "
                You sit around on one of the logs until you feel ready to
                go back down.
                "
                $ gt.addHours(1)
                $ dayFlags.clear('rest')
                return
            if costume:
                "You collect your costume from where you hung it on a tree."
            $ dayFlags.clear('hungCossie')
            call nwWoodsHigh.descend from nw_woods_lake_free_descend
        "Debug" if debugMenus:
            call debugMenu from nw_woods_lake_free_dbg
    return


    # Return home from here.
    # Need to descend the hill.
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("nwWoodsLake.retHomeFromHere({})".format(toLoc))
    $ renpy.dynamic('costume', 'rest', 'skinny', 'swam')
    $ costume = dayFlags.isSet('hungCossie')
    $ swam = dayFlags.isSet('swam')
    if costume:
        "You collect your costume from where you hung it on a tree."
    $ dayFlags.clear('hungCossie')
    call nwWoodsHigh.descend from nw_woods_lake_ret_home_from_descend
    # call nwWoods.back from nw_woods_lake_ret_home_from_back
    return


    # -------------------------------------------------------------------------
    # Local calls
    # -------------------------------------------------------------------------

    # Arrivung at the lake.
    #
label .arrive:
    $ dbgLog("nwWoodsLake.arrive")
    if evtCounters.isZero('woodsLake'):
        """
        You step out of the trees to find a clear and still natural lake.
        A sandy beach leads down into the water, felled tree trunks have been
        arranged into seating around a fire pit, and there's a grill too for
        barbeques.

        Half expecting it to be icy cold you dip a hand in the water. It's
        surprisingly warm, like it is being fed from a natural hot spring.
        It certainly makes the idea of a dip more enticing!
        """
    else:
        "
        You step out of the trees onto the beach next to the clear and still
        lake. Little wisps of vapour rise off the warm inviting water.
        "
    $ evtCounters.inc('woodsLake')
    $ world.setLoc('nwWoodsLake')
    return
