#
# Food by the lake.
#
label nwWoodsLakeFood:
    $ dbgLog("nwWoodsLakeFood")
    $ renpy.dynamic('unsure')
    $ mealsize = pc.getMealSize()
    $ unsure = pc.isDietConsider()

    if mealsize == 0:
        "[pc.name], it's just a habit now, isn't it? You're {i}not{/i} hungry."
    elif sofiaHere:
        call nwWoodsLakeFoodSofia from nw_woods_lake_food_sofia
    elif steveHere:
        call nwWoodsLakeFoodSteve  from nw_woods_lake_food_steve
    elif pc.isDietRestricted():
        call .dieting  from nw_woods_lake_food_dier
    else:
        call .food  from nw_woods_lake_food
    return



    # PC is dieting.
    #
label .dieting:
    $ dbgLog("nwWoodsLakeFood.dieting")
    "
    Food [pc.name]? You didn't bring any, did you.
    And aren't you supposed to be on a diet?
    At least {i}try{/i} to stop thinking about food.
    "
    return



    # PC desparate for food.
    #
label .food:
    $ dbgLog("nwWoodsLakeFood.food")
    if mealsize <= 2:
        "
        Food? Really [pc.name]? You didn't bring any, did you.
        And it's not like you're really hungry either.
        Just wait until you get back to town.
        "
        return
    "
    Food [pc.name]? You didn't bring any, did you. I thought not.
    And if you had you would have eaten it already, wouldn't you?
    "
    $ prompt = "Just how far will you go for food, {}?".format(pc.name)
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    menu:
        "[prompt]"
        "Forage, nature shall provide" if not dayFlags.isSet('forage'):
            call .forage from nw_woods_lake_food_forage
        "I've watched some Bear Grylls" if not dayFlags.isSet('bearGrylls'):
            call .bear from nw_woods_lake_food_bear
        "My middle name is \"Trash Bandit\"" if not dayFlags.isSet('trashBandit'):
            call .trash from nw_woods_lake_food_trash
        "I'll go without. I'm not that desperate" if mealsize <= 5:
            pass
        "I'm so hungry, but even I have {i}some{/i} standards" if mealsize > 5:
            pass
    return



    # Eating grubs.
    #
label .bear:
    $ dbgLog("nwWoodsLakeFood.bear")
    "
    You wander around the area and turn over a likely looking rock.
    Underneath are some fat pale looking grubs wriggling about now
    they've been disturbed.
    "
    $ tmp = gsize >= 3 and pc.randomGreed(0, 50)
    if tmp:
        $ prompt = addMenuAlt("Are you really going to eat those grubs?")
        menu:
            "[prompt]"
            "Yes, yes I am":
                pass
            "No, I've lost my appetite":
                $ tmp = False
                $ pc.addGreed(-0.4)
    if not tmp:
        "
        This is such a bad idea. One of your worst in fact, and that's
        saying something. Let's leave them be. You lower the rock back
        as you found it and we shall never speak of this again.
        "
        $ pc.addGreed(-0.1)
    elif pc.randomBool(50):
        "
        You gingerly pick up one of the grubs, bring it to your mouth,
        and bite down. It is utterly disgusting! You spit it out, then
        start getting dry heaves.
        "
        $ pc.eatSnack(-0.1, 0.1)
        $ pc.addGreed(-0.5)
        $ pc.addLim(-0.1)
    else:
        "
        You gingerly pick up one of the grubs, bring it to your mouth,
        and bite down. It is, well, not good, but it is filling a hole
        so you eat the others too before replacing the rock.
        "
        $ pc.eatSnack(0.05, 0.1)
        $ pc.addGreed(0.2)
        $ pc.addLim(0.1)
        $ gt.addHours(1)
    $ dayFlags.set('bearGrylls')
    return



    # Nuts and berries.
    #
label .forage:
    $ dbgLog("nwWoodsLakeFood.forage")
    $ dayFlags.set('forage')
    "
    There's got to be some food up here, hasn't there? A tree with some
    nuts or a bush with some sweet berries?
    "
    "
    A careful and painstaking search rewards you with a handful of hazelnuts
    to crack open, and some purple berries. It's not much for the time you
    spent, but every little helps feed your demanding belly.
    "
    $ pc.eatSnack(0.05, 0.1)
    $ pc.addGreed(0.1)
    $ gt.addHours(1)
    $ dayFlags.set('forage')
    return



    # Eating trash.
    #
label .trash:
    $ dbgLog("nwWoodsLakeFood.trash")
    "
    On the off chance, you look in the grill and see a charred sausage
    amongst the old coals so you fish it out. Technically it's food, but
    you've no idea how long it's been here. It's also covered in ash.
    "
    $ tmp = gsize >= 3 and pc.randomGreed(0, 60)
    if tmp:
        $ prompt = addMenuAlt("Are you really going to eat that old burnt sausage?")
        menu:
            "[prompt]"
            "Yes, yes I am":
                pass
            "No, I've lost my appetite":
                $ tmp = False
                $ pc.addGreed(-0.4)
    if not tmp:
        "
        No, this thing could make you really sick. Okay, so you've done
        worse when you were living on the road, but those were desperate times
        when it was stuff like this or starve.
        This would be just eating for the sake of it so you throw it into the
        trees.
        "
        $ pc.addGreed(-0.1)
    else:
        "
        You've done worse than this when living on the road, in it goes.
        It's crunchy, more than any sausage has any right to be, and it
        doesn't taste great either. But food is food.
        "
        $ pc.eatSnack(0.03, 0.05)
        $ pc.addGreed(0.2)
        $ pc.addLim(0.1)
        $ gt.addHours(1)
    $ dayFlags.set('trashBandit')
    return
