#
# Food with Sofia.
#
# swam  - set by nwWoodsLake
#
label nwWoodsLakeFoodSofia:
    $ dbgLog("nwWoodsLakeFoodSofia")
    $ renpy.dynamic('dieting', 'lakeChoc', 'lakeFood', 'pet', 'tooFat')
    $ dieting = pc.isDietRestricted()
    $ flirt = sofia.isRomance()
    $ lakeChoc = dayFlags.isSet('sofiaLakeChoc')
    $ lakeFood = dayFlags.isSet('sofiaLakeFood')
    $ tooFat = sofia.isPcTooFat()
    $ unsure = pc.isDietConsider()

    if flirt:
        if lakeChoc:
            sofia "Before you ask, I've no more food."
        elif lakeFood:
            call .chocRom from nw_woods_lake_food_sofia_rom_choc
        else:
            call .foodRom from nw_woods_lake_food_sofia_rom_food
    else:
        call .foodPlat from nw_woods_lake_food_sofia_plat
    return



    # Asking Sofia for food platonic.
    #
label .foodPlat:
    $ dbgLog("nwWoodsLakeFoodSofia.foodPlat")
    if dieting:
        "
        [pc.name], you're supposed to be dieting, so no begging for food!
        Those calories won't be free, even if the food is.
        "
        return
    if lakeFood:
        "
        No [pc.name] you already asked Sofia for food and got some.
        She won't give you any more.
        "
        return
    if not swam:
        pc "Sofia, I don't suppose you've got anything to eat have you?"
        sofia "I have a sandwich I could share if you're really hungry,
            but I wasn't going to eat until after I've been for a swim."
        return
    pc "Sofia, I don't suppose you've got anything to eat have you?
        After that swim I'm feeling rather hungry."
    sofia "I know what you mean, I'm always starving after a swim!
        I've a ciabatta I brought with me, you can have some if you'd like."
    "
    Sofia takes a ciabatta sandwich out of her backpack and hands you half of
    it before sitting down on one of the logs to have what's left.
    You bite into it, a ham salad with particularly flavourful tomatoes and
    a little freshly ground pepper.
    "
    pc "Thank you, Sofia."
    sofia "No problem."
    $ food.addScale('panini', 0.5)
    $ pc.eatFood(food)
    $ dayFlags.set('sofiaLakeFood')
    return



    # Asking Sofia for food romantic.
    #
label .foodRom:
    $ dbgLog("nwWoodsLakeFoodSofia.foodRom")
    $ renpy.dynamic('limited')
    $ limited = False
    $ pet = sofiaPetName()

    if sofia.isRomance(20) and pc.isGreedy(20):
        pc "Babe, I don't suppose ..."
        sofia "I know that look, [pet], you're hungry again aren't you?"
    else:
        pc "Babe, I don't suppose you've got anything to eat have you?"
        sofia "Well I wasn't going to trek all the way up here without any, [pet]."
    if not swam:
        sofia "I'm saving what food I have until after I've had my swim though.
            It makes me so hungry."
        return
    # Sit down
    if tooFat:
        sofia "I have got a bit of a picnic in my backpack, but I'm not sure
            I should be giving you much of it with the size you are these days."
        $ prompt = "Sofia thinks I'm too fat. What should I say?"
        $ prompt = pc.appendPrompt(prompt, 0, mealsize)
        $ pet = sofiaPetName()
        menu:
            "[prompt]"
            "I'm hungry babe!" if mealsize < 3 and not dieting:
                pc "I'm hungry babe, and I have just been for a swim,
                    so I've done some exercise."
                if gsize >= 9:
                    sofia "Not much exercise, [pet],
                        we spent most of our time just floating about.
                        Something that comes very naturally to you these days.
                        But, I suppose it was some."
                else:
                    sofia "Not much exercise, [pet],
                        we spent most of our time just floating about.
                        But, I suppose it was some."
            "I'm starving babe!" if mealsize >= 3 and not dieting:
                pc "I'm starving babe, and I have just been for a swim,
                    so I've done some exercise."
                if gsize >= 9:
                    sofia "Not much exercise, [pet],
                        we spent most of our time just floating about.
                        Something that comes very naturally to you these days.
                        But, I suppose it was some."
                else:
                    sofia "Not much exercise, [pet],
                        we spent most of our time just floating about.
                        But, I suppose it was some."
            "You're right babe":
                pc "You're right babe. I suppose I am a bit on the big side."
                if sofia.isPcTooFat(-20/2.2):
                    $ tmp = cardDecades(sofia.getTooFatDeltaKg()*2.2)
                    sofia "A bit? And the other [tmp] pounds, [pet]."
                else:
                    sofia "Just a bit, [pet]."
                $ limited = True
            "Resist!" if dieting:
                pass
    "Sofia digs around in her backpack and takes out a couple of ciabattas
    wrapped in catering film."
    if dieting:
        $ pet = sofiaPetName()
        if pc.testDietWill():
            pc "Those look so good babe, but just give me a little as I'm
                trying not to eat so much."
            if tooFat:
                sofia "It's for the best, [pet]."
            else:
                sofia "Okay, [pet], if that's what you want."
            $ limited = True
        elif flags.isConsume('dietStopWill'):
            pc "Those look heavenly babe! I was trying to diet,
                but I lack the resolve to continue."
            if tooFat:
                sofia "One ciabatta is all it takes to break your diet, [pet]?
                    What am I going to do with you?"
                pc "I'm afraid I'm a lost cause."
                sofia "You might be, but I'm not going to make it any worse."
                $ limited = True
            else:
                sofia "I don't know why you bother, [pet], if your willpower
                    can be defeated by a single ciabatta. Besides, I like
                    your shape."
        else:   # Cheat day starts here
            pc "Those look heavenly babe! I'm trying to diet but I am so tempted."
            if tooFat:
                sofia "They're just ciabattas, [pet], not cake, or pasrties, or bowls of dessert."
                pc "I know, but I get so hungry though. All food looks so {i}gooood{/i}."
                sofia "And this is different to normal for you, how?"
                pc "I suppose that's fair. Please?"
                sofia "No, you naughty girl, be sensible.
                    I'm not going to indulge your insatiable appetite today."
                $ limited = True
                $ pc.dietClearCheat()
            else:
                sofia "Be tempted, [pet], you don't really need to be dieting anyway.
                    Certainly not on my account. You ought to have a cheat day
                    from your diet."
    if limited:
        call .foodRomLim from nw_woods_lake_food_sofia_rom_food_lim
    else:
        call .foodRomUnlim from nw_woods_lake_food_sofia_rom_food_unlim
    $ dayFlags.set('sofiaLakeFood')
    $ sofia.addRomance(0.1)
    $ gt.addHours(1)
    return



    # Limited food with Sofia.
    #
label .foodRomLim:
    $ dbgLog("nwWoodsLakeFoodSofia.foodRomLim")
    "
    Sofia hands you half of a ciabatta and takes the other half herself.
    You bite into it, a ham salad with particularly flavourful tomatoes and
    a little freshly ground pepper.
    "
    pc "Thank you, Sofia."
    sofia "No problem."
    "
    Both of you finish your sandwiches, and Sofia makes a start on a second one.
    "
    pc "Babe? Please?"
    $ pet = sofiaPetName()
    sofia "Just because you're on limited rations, [pet], it doesn't mean I am.
        It takes effort to maintain these curves."
    "
    Watching Sofia eat another whole ciabatta is painful, but she is right
    about needing to keep herself fed. You're conflicted, aren't you [pc.name]?
    "
    $ food.addScale('panini', 0.5)
    $ pc.eatFood(food)
    return



    # Unlimited food with Sofia.
    #
label .foodRomUnlim:
    $ dbgLog("nwWoodsLakeFoodSofia.foodRomUnlim")
    "
    Sofia hands you a ciabatta and takes another for herself.
    You bite into it, a ham salad with particularly flavourful tomatoes and
    a little freshly ground pepper.
    "
    pc "Thank you, Sofia."
    sofia "Enjoy, my love."
    $ food.add('panini')
    if gt.isAfter(12):
        "
        Sofia takes a part used bottle of wine out of her pack, pulls out the
        cork, and hands it to you. You take a swig and hand it back, and she
        does the same. Passing it back and forth until it's empty and the
        ciabattas are gone.
        "
        $ food.add('wine')
    else:
        "
        Sofia hands you a can of soda to go with your sandwich, and you both
        eat and drink until it's all gone.
        "
        $ food.add('coke')
    "
    Sofia rummages around in her backpack again and brings out two more packages.
    "
    $ pet = sofiaPetName()
    sofia "Sfogliatella, [pet]?"
    pc "Oh, yes please!"
    "
    When you are both done Sofia tidies up and carefully packs the rubbish away.
    "
    $ food.add('sofigliat')
    $ food.setMeal(True)
    $ pc.eatFood(food)
    return



    # Asking Sofia for chocolate romantic.
    #
label .chocRom:
    $ dbgLog("nwWoodsLakeFoodSofia.chocRom")
    $ pet = sofiaPetName()
    pc "Babe, I've still got a bit of a hole."
    if tooFat:
        sofia "Don't you think you've had enough?"
        pc "My tummy doesn't."
        sofia "I'm afraid it never does, [pet], does it?"
        return
    sofia "Of course you do, [pet], that almost goes without saying."
    "
    Sofia reaches into her pack again and hands you a bar of chocolate, then
    takes another for herself. The pair of you eat, enjoying the peaceful
    setting. Then she gives you a very yummy kiss.
    "
    pc "Mmm, I love you babe."
    sofia "Do you love me or my endless supply of chocolate I wonder?"
    pc "I love you! I mean I really like chocolate, but ..."
    sofia "You only say you love chocolate so you can enjoy it in bed?"
    $ food.add('chocm')
    $ pc.eatFood(food)
    $ sofia.addRomance(0.05)
    $ dayFlags.set('sofiaLakeChoc')
    return
