#
# Food with Steve.
#
# swam  - set by nwWoodsLake
#
label nwWoodsLakeFoodSteve:
    $ dbgLog("nwWoodsLakeFoodSteve")
    $ renpy.dynamic('control', 'dieting', 'fa', 'fat', 'lakeSnack', 'lakeFood', 'pet', 'thin', 'tooFat')
    $ dieting = pc.isDietRestricted()
    $ flirt = steve.isRomance()
    $ lakeSnack = dayFlags.isSet('steveLakeSnack')
    $ lakeFood = dayFlags.isSet('steveLakeFood')
    $ fat = steve.isPcFat()
    $ thin = steve.isPcThin()
    $ tooFat = steve.isPcTooFat()
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ unsure = pc.isDietConsider()

    if flirt:
        call .foodRom from nw_woods_lake_food_steve_rom
    else:
        call .foodPlat from nw_woods_lake_food_steve_plat
    return


    # Asking Steve for food platonic.
    #
label .foodPlat:
    $ dbgLog("nwWoodsLakeFoodSteve.foodPlat")
    $ renpy.dynamic('offerFood', 'offerSnack')
    # What to offer?
    $ offerSnack = not lakeSnack and not tooFat
    $ offerFood = not lakeFood and (not fat or fa)

    if lakeFood:
        pc "I don't suppose you've anything else to eat in that backpack, Steve?"
    else:
        pc "I don't suppose you've anything to eat in that backpack, Steve?"
    if offerFood:
        steve "I did bring a couple of sandwiches, you can have one if you'd like."
        if dieting:
            pc "I don't know if I should, I'm trying to lose some weight."
            if thin:
                steve "Dieting? I don't think you need to worry about one
                    sandwich after climbing up here."
            else:
                steve "Up to you, [pc.name], have one if you want it."
                if pc.testDietWill():
                    pc "No, I'll be fine without."
                    steve "Okay. Good for you."
                    $ offerFood = False
                elif flags.isConsume('dietStopWill'):
                    pc "Oh, I'll have one, thank you.
                        My willpower was waining anyway."
                else: # Cheat day
                    pc "Oh, I'll have one, thank you.
                        It's the weekend, and I can afford a day off from my diet."
        if offerFood:
            "
            Steve digs around in his backpack, and offers you a sandwich.
            "
            steve "It's cheese and onion, I hope that's okay."
            pc "That's great. And thank you, again."
            "
            You munch your way through the sandwich.
            The raw onion really goes well with the sharp cheese, and gives
            it some crunch.
            "
            pc "Thank you Steve. I haven't left you hungry have I?"
            steve "No, you're fine, [pc.name]."
            $ food.add('sandwich')
            $ pc.eatFood(food)
            $ dayFlags.set('steveLakeFood')
    elif offerSnack:
        if fat:
            steve "I've got some trail mix."
        else:
            steve "I've got some trail mix. Would you like some?"
            pc "Yes please."
        if offerSnack:
            if pc.randomGreed(0, 80):
                "
                Steve pours trail mix into your open hand and you empty the
                handful of nuts, raisins, and other dried fruit into your
                mouth in one go.
                "
            else:
                "
                Steve pours trail mix into your open hand and you munch away at the
                mix of nuts, raisins, and other dried fruit.
                "
            $ food.add('trailmix')
            $ pc.eatFood(food)
            $ dayFlags.set('steveLakeSnack')
            if not fat and not dieting:
                steve "Some more?"
                pc "Yes, please."
                "He gives you a second handful, and you eat that too."
                $ food.add('trailmix')
                $ pc.eatFood(food)
            pc "Thanks, Steve."
            steve "You're welcome."
    elif tooFat:
        # Too fat for Steve, but relationship is platonic.
        if gsize >= 7:
            steve "[pc.name], maybe I shouldn't say anything, but ... well,
            you're really fat. Perhaps it would be best if ...
            you know, for your health."
        elif gsize >= 5:
            steve "[pc.name], maybe I shouldn't say anything, but ... well,
            you're getting really fat. Perhaps it would be best if ...
            you know, for your health."
        else:
            steve "[pc.name], maybe I shouldn't say anything, but ... well,
                you're getting quite chunky. Perhaps it would be best if ...
                you know, for your health."
        pc "Got it. Message received and understood. Nothing to eat for me."
    else:
        # Must have already eaten what's on offer.
        steve "I've got nothing else, I'm afraid, [pc.name]."
    return



    # Asking Steve for food romantic.
    #
label .foodRom:
    $ dbgLog("nwWoodsLakeFoodSteve.foodRoom")
    $ renpy.dynamic('cookType', 'offerCook', 'offerFood', 'offerSnack', 'pet', 'tease')
    # What to offer?
    $ offerCook = not lakeFood and (not fat or fa and not tooFat)
    $ offerSnack = not lakeSnack and not tooFat
    $ offerFood = not lakeFood and not tooFat
    $ tease = flags.isSet('steveTease')

    if lakeFood:
        pc "I don't suppose you've anything else to eat in that backpack, babe?"
    else:
        pc "I don't suppose you've anything to eat in that backpack, babe?"

    $ pet = stevePetName(tease)

    if offerCook:
        $ cookType = pc.random(0, 1)
        # $ cookType = 0      # Testing
        if cookType == 0:
            steve "I did bring some sausages for a barbeque. Would you like some, [pet]?"
        else:
            steve "I did bring some burgers for a barbeque. Would you like some, [pet]?"
        if dieting:
            pc "I don't know if I should, I'm trying to lose some weight."
            if thin:
                steve "Dieting? I don't think you need to worry about one
                    sandwich after climbing up here."
            else:
                $ pet = stevePetName(tease)
                steve "Up to you, [pet]. I won't cook anything if you don't want it."
                if pc.testDietWill():
                    pc "No, I'll be fine without."
                    steve "Okay. Good for you."
                    $ offerCook = False
                elif flags.isConsume('dietStopWill'):
                    pc "Fire up the grill, babe.
                        My willpower to diet was waining anyway."
                else: # Cheat day
                    pc "Babe, get the grill on, please?
                        It's the weekend, and I can afford a day off from my diet."
        if offerCook:
            "
            Steve digs around in his backpack for a container with charcoal and
            a firelighter, and soon has a fire going in the public grill.
            "
            steve "It will take a moment for the coals to settle down ready to
                cook on."
            call steveChat from nw_woods_lake_food_steve_rom_cook_chat
            if cookType == 0:
                "
                Steve takes out another container and lays some sausages on the
                grill. They start to sizzle away and the thought of them makes
                you salivate. As they start to brown he turns them over so
                they are evenly done.
                "
                "
                A bag of rolls comes out of the backpack next, and he splits
                them in two with what looks like a camping knife. He spears
                a couple of sausages and places them in the roll before handing
                it to you.
                "
                $ pet = stevePetName(tease)
                steve "Here you go, [pet]. Enjoy!"
                "
                And enjoy you do. It's simple, but the smoky flavour from the
                barbeque really adds to it. Maybe it was the climb up here,
                the outdoor air, or just the cooking smells, but it's good!
                "
                $ food.add('hotdog')
                $ pc.eatFood(food)
                if control:
                    steve "I won't offer you another, [pet]. You did ask me
                        to help keep your weight under control."
                    pc "I know. I'd {i}really{/i} like one though."
                    steve "I know you would, that's the problem."
                elif fa or not fat:
                    steve "Would you like another?"
                    pc "Yes, please, that was tasty. Thank you."
                    "
                    It doesn't take long to make another, and it's every bit as
                    good as the first.
                    "
                    $ food.add('hotdog')
                    $ pc.eatFood(food)
            else:
                "
                Steve takes out another container and lays some burgers on the
                grill. They start to sizzle away and the thought of them makes
                you salivate. As they start to brown he turns them over so
                they are evenly done.
                "
                "
                A bag of buns comes out of the backpack next, and he splits
                them in two with what looks like a camping knife. He spears
                a burger and places it in a bun before handing
                it to you.
                "
                $ pet = stevePetName(tease)
                steve "Here you go, [pet]. Enjoy!"
                "
                And enjoy you do. It's simple, but the smoky flavour from the
                barbeque really adds to it. Maybe it was the climb up here,
                the outdoor air, or just the cooking smells, but it's good!
                "
                $ food.add('burger')
                $ pc.eatFood(food)
                if control:
                    steve "I won't offer you another, [pet]. You did ask me
                        to help keep your weight under control."
                    pc "I know. I'd {i}really{/i} like one though."
                    steve "I know you would, that's the problem."
                elif fa or not fat:
                    steve "Would you like another?"
                    pc "Yes, please, that was tasty. Thank you."
                    "
                    It doesn't take long to make another, and it's every bit as
                    good as the first.
                    "
                    $ food.add('burger')
                    $ pc.eatFood(food)

            $ pet = stevePetName(tease)
            pc "Thank you Steve. I haven't left you hungry have I?"
            steve "No, you're fine, [pet]. I brought a little extra."
            $ dayFlags.set('steveLakeFood')
            $ gt.addHours(1)
    elif offerFood:
        steve "I did bring a couple of sandwiches, you can have one if you'd like."
        if dieting:
            pc "I don't know if I should, I'm trying to lose some weight."
            if thin:
                steve "Dieting? I don't think you need to worry about one
                    sandwich after climbing up here."
            else:
                steve "Up to you, [pc.name], have one if you want it."
                if pc.testDietWill():
                    pc "No, I'll be fine without."
                    steve "Okay. Good for you."
                    $ offerFood = False
                elif flags.isConsume('dietStopWill'):
                    pc "Oh, I'll have one, thank you.
                        My willpower was waining anyway."
                else: # Cheat day
                    pc "Oh, I'll have one, thank you.
                        It's the weekend, and I can afford a day off from my diet."
        if offerFood:
            "
            Steve digs around in his backpack, and offers you a sandwich.
            "
            steve "It's cheese and onion, I hope that's okay."
            pc "That's great. And thank you, again."
            "
            You munch your way through the sandwich.
            The raw onion really goes well with the sharp cheese, and gives
            it some crunch.
            "
            pc "Thank you Steve. I haven't left you hungry have I?"
            steve "No, you're fine, [pc.name]."
            $ food.add('sandwich')
            $ pc.eatFood(food)
            $ dayFlags.set('steveLakeFood')
    elif offerSnack:
        if fat:
            steve "I've got some trail mix, if you want some?"
        else:
            steve "I've got some trail mix. Would you like some?"
        pc "Yes please."
        if offerSnack:
            if pc.randomGreed(0, 80):
                "
                Steve pours trail mix into your open hand and you empty the
                handful of nuts, raisins, and other dried fruit into your
                mouth in one go.
                "
            else:
                "
                Steve pours trail mix into your open hand and you munch away at the
                mix of nuts, raisins, and other dried fruit.
                "
            $ food.add('trailmix')
            $ pc.eatFood(food)
            $ dayFlags.set('steveLakeSnack')
            if fa or not fat and not dieting:
                steve "Some more?"
                pc "Yes, please."
                "He gives you a second handful, and you eat that too."
                $ food.add('trailmix')
                $ pc.eatFood(food)
            pc "Thanks, Steve."
            steve "You're welcome."
    elif tooFat:
        # Too fat for Steve, and relationship is romantic.
        #
        if control:
            # Steve is trying to restrict PC's food.
            #
            $ pet = stevePetName()
            steve "[pet!c], you did ask me to try and help you with your
                weight, didn't you?"
            pc "Yes, I did, didn't I? And this is one of those times?"
            steve "Yes. Yes it is."
            if dayFlags.isSet('swam'):
                pc "But I'm so hungry after the climb and the swim."
            else:
                pc "But I'm so hungry after the climb."
            $ pet = stevePetName()
            steve "I know, and the activity will have helped you with your
                weight, so best not to undo that by eating, [pet]."
            pc "Oh. I suppose so."
        elif fa:
            # Steve likes big girls, but there are limits.
            #
            $ pet = stevePetName()
            steve "[pet!c], I worry about you, you're a really big girl now,
                and, perhaps, well, ... you ought to think about not getting
                too much bigger?"
            if unsure:
                pc "I do need to do something about it, don't I?
                    I'm not really comfortable with how big I am now."
            else:
                pc "But, babe, I like being this big. I feel confident and sexy."
                steve "I know you do. Maybe have a think about it though?"
            $ flags.set('pcThinkDiet')
        else:
            # Steve in normal weight mode, PC is too fat for him.
            #
            $ pet = stevePetName()
            steve "Thinking about food again, [pet]?
                I don't know how best to say this, but maybe you ought to, you know..."
            pc "What?"
            if gsize <= 3:
                steve "Maybe cut back a little? You are getting a little chunky."
                $ pc.addLim(-0.1)
            else:
                steve "Maybe cut back a little? You are getting a little fat."
                $ pc.addLim(-0.2)
            if pc.isDiet():
                pc "I know, babe. I'm already trying to diet."
                steve "So that's why you've food on the mind?"
                pc "Yes, you've no idea how hungry I am right now."
                $ tmp = pc.tumNoisePhrase()
                if tmp != None:
                    "[tmp]"
                    pc "Ooops, excuse me."
            else:
                # Too fat, not already dieting.
                # First see if it's Sofia related.
                if not flags.isSet('steveDateSofia') and steve.pcMaxBfp < 38:     # see steve.adjExpectations
                    pc "Wait, wait. Is this even about me?
                        This is about you and Sofia!
                        I'm not her okay!"
                    call steve.adjExpectations from nw_woods_lake_food_steve_rom_expect
                    $ tooFat = steve.isPcTooFat()
                    $ pet = stevePetName()
                    if not tooFat:
                        steve "I suppose you're right, [pet].
                            I shouldn't have said that. I'm sorry."
                        pc "It's okay, babe. You needn't worry."
                    else:
                        steve "No, this isn't about Sofia.
                            It's about you, and how you're ... filling out."
                if tooFat:
                    call steve.dietChoice from nw_woods_lake_food_steve_rom_fat_diet
    else:
        # Must have already eaten what's on offer.
        steve "I've got nothing else, I'm afraid, [pet]."
return