#
# Additional chats for when PC has moved in with Reg.
#
# Reg's chat when PC is living with him.
# Returns True if a chat has already been executed and picker was not used.
#
label swRegChat:
    $ dbgLog("swRegChat")
    $ renpy.dynamic('select')
    $ _return = False
    $ picker.start('regChat')

    call .chatPri from sw_reg_chat_pri
    if _return:
        return _return

    if reg.isRomance():
        call .chatFlirt from sw_reg_chat_rom

    call .chatCond from sw_reg_chat_cond
    call .chatRnd from sw_reg_chat_rnd

    # Pick chat.
    #
    $ select = picker.choose(regLru, 5, 1, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select  from sw_reg_chat_dyn
        else:
            dbg "In swRegChat: selected label \"[select]\" was not found."

    return _return


    # Priority chats.
    # Return True if chat invoke rather than added to picker.
    #
label .chatPri:
    return False



    # Conditional chats.
    # Adds to picker.
    #
label .chatCond:
    $ renpy.dynamic('bal')
    $ bal = regJoint.getBalance()

    # First day.
    #
    if flags.isSet('regFirstDay'):
        $ picker.addLabel('swRegChat', '.firstDay', 100, 900)

    # Dieting and mobility
    #
    if flags.isSet('regTalkDiet'):
        $  picker.addLabel('swRegChat', '.dietStart', 100, 200)
    if flags.isSet('regTalkMobile'):
        $  picker.addLabel('swRegChat', '.mobile', 100, 800)

    # Finances.
    #
    if regJoint.getOverdraftLim() > 0:
        # Has overdraft.
        if regJoint.isOverLim():
            if regJoint.getOverDays() > 20:
                $ picker.addLabel('swRegChat', '.finWorry', 100, 200)
        elif regJoint.getOverDays() > 0:
            $ picker.addLabel('swRegChat', '.finReprieve', 100, 200)
    elif regJoint.isOverdrawn():
        # Overdrawn, no overdraft.
        if flags.isSet('regOverdraft'):
            if cooldowns.isZero('regOverdraft'):
                $ picker.addLabel('swRegChat', '.finOverdraftApproved')
        else:
            $ picker.addLabel('swRegChat', '.finOd')
    elif bal < 100:
        $ picker.addLabel('swRegChat', '.fin100')
    elif bal < 500:
        $ picker.addLabel('swRegChat', '.fin500')

    # Bed scale
    #
    if counters.get('regScales') == 1:      # 0 - scales, 1-need, 2-ordered 3-first use, 4-normal
        $ picker.addLabel('swRegChat', '.bedScales')

    return



    # Flirty chat.
    # Adds to picker.
    #
label .chatFlirt:
    return



    # Random chat.
    # Adds to picker.
    #
label .chatRnd:
    # $ dbgLog("regChat.chatRnd")
    return


    # Sequential chat.
    #
label .chatSeq:
    $ opt = reg.talkTopic(4)
    return False



    # -------------------------------------------------------------------------
    # Chats.
    # -------------------------------------------------------------------------

    # Found scales for bed.
    #
label .bedScales:
    $ dbgLog('swRegChar.bedScales')
    $ renpy.dynamic('pet', 'unsure')
    $ pet = regPetName()
    $ unsure = pc.isDietConsider()
    reg "Hi, [pet]. I think I've found a place online where I can get some
        strain gauges so we can weigh you again!"
    if unsure:
        pc "I'm not at all sure I want to know anymore."
        reg "You're not excited to know?"
        pc "I'm scared to know!"
    else:
        pc "It will be good to know how I've progressed."
        reg "It will, won't it!"
    reg "Once we can afford the $500, I'll order them."
    $ counters.inc('regScales')
    return



    # Tell Reg about her diet.
    # Dingo: FIX! this needs to be rewritten in Reg's voice.
    #
label .dietStart:
    $ dbgLog('swRegChar.dietStart')
    $ renpy.dynamic('pet', 'tooFat')
    $ pet = regPetName()
    $ tooFat = reg.isPcTooFat()
    pc "Babe, we need to talk."
    reg "Oh uh, this sounds kind of serious."
    pc "It kinda is."
    reg "Oh sorry [pet]. What's wrong?"
    pc "As you've probably noticed, I'm not really happy with my size these days.
        It's all a bit too much for me."
    if tooFat:
        reg "I noticed and I've been worried about you [pet], I just didn't know
            what to say ..."
        pc "I need to diet babe, don't I?"
        reg "I hate to say it but yeah ... it might be for the best.
            I just want you to be happy [pet], and I'll support you in any way I can."
        pc "Thank you, my love."
        $ pc.addLim(1)
        $ pc.addMood(1)
    else:
        reg "I have noticed you have been a little out of sorts lately. Is there
            anything I can do to help?"
        pc "No, I don't think there is. I'm sorry babe."
        reg "Well, can I remind you that you are an amazingly beautiful woman?"
        $ pc.addLim(2)
        $ pc.addMood(1)
        pc "You can, thank you, but I don't feel that way right now, so if you could help
            me, please? I'm sorry, I know this isn't what you want to hear."
        reg "You know I just want you to be happy [pet], and I'll support you in any way I can."
        pc "Thank you, my love.
            I just need to not be tempted with big meals and extra treats for a while.
            Can you do that for me?"
        reg "Of course I can!"
    $ flags.clear('regTalkDiet')
    return



    # Less than $500 left.
    #
label .fin500:
    $ dbgLog('swRegChar.fin500')
    $ renpy.dynamic('pet')
    $ pet = regPetName()
    reg "I don't want to worry you, [pet], but we've less than five hundred dollars
        left in the bank account."
    pc "That's not great. What can we do?"
    reg "Anything that brings in an income would be really helpful at this point.
        Or if you've any money stashed away, that could help.
        It's not an emergency yet, but it's getting close!"
    pc "I'll have to pull my finger out won't I babe."
    $ pc.addMood(-1)
    return



    # Less than $100 left.
    #
label .fin100:
    $ dbgLog('swRegChar.fin100')
    $ renpy.dynamic('pet')
    $ pet = regPetName()
    reg "I don't want to worry you, [pet], but we've less than a hundred dollars
        left in the bank account.
        That's less than we often spend on your food in a week."
    pc "I'm sorry babe. Should I cut back?"
    reg "Let's see what we can do to bring in extra money first.
        I don't want to think about you going without."
    pc "Neither do I!"
    $ pc.addMood(-1)
    return



    # Finances overdrawn.
    #
label .finOd:
    $ dbgLog('swRegChar.finOd')
    $ renpy.dynamic('immobile', 'pet')
    $ immobile = isPcImmobile()
    $ pet = regPetName()
    reg "[pet!c], I'm a bit worried. Can we talk?"
    pc "Sure, what is it?"
    reg "I checked the accounts and we are overdrawn. And this isn't just a
        matter of not being able to afford copious amounts of food. We
        could get evicted if I can't make rent."
    if immobile:
        pc "I'd like to see them try. I'm not going anywhere."
        reg "I'm serious [pc.name]."
    pc "So what do we do?"
    reg "Well, if you've any money hidden away, now would be a good time to
        move it into our account. And of course anything to earn extra income
        would help too."
    pc "I'll see what I can do."
    $ pet = regPetName()
    reg "Thank you [pet]. Meanwhile I'm going to see if I can get an overdraft.
        I'd hate to see our dream come to an end because of this."
    if immobile:
        pc "Me too babe. I literally can't live without you."
    else:
        pc "Me too babe."
    "He holds you tightly as you fight back the tears."
    $ cooldowns.set('regOverdraft', 9)
    $ flags.set('regOverdraft')
    $ pc.addMood(-10)
    return



    # Finances - overdraft approved.
    #
label .finOverdraftApproved:
    $ dbgLog('swRegChar.finOverdraftApproved')
    $ renpy.dynamic('pet')
    $ pet = regPetName()
    reg "I've some better news [pet]. The bank have authorised an overdraft
        of $5,000, which should give us a bit of breathing room."
    pc "That is good news."
    $ regJoint.setOverdraftLim(5000)
    $ flags.clear('regOverfraft')
    $ pc.addMood(5)
    return



    # Finance - no longer blowing o/d.
    #
label .finReprieve:
    $ dbgLog('swRegChar.finWorry')
    $ renpy.dynamic('pet')
    $ pet = regPetName()
    reg "Great news [pet], we should celebrate! We're back inside our overdraft
        and the rent shouldn't be a problem."
    pc "That is wonderful news!"
    if flags.isSet('regServed'):
        reg "It also means the eviction notice is nullified!"
        pc "That's a weight of my chest!"
    $ pc.addMood(20)
    $ flags.clear('regServed')
    return



    # Finance - blow od for 20 days.
    #
label .finWorry:
    $ dbgLog('swRegChar.finWorry')
    $ renpy.dynamic('pet')
    $ pet = regPetName()
    "Reg wanders into the bedroom looking particularly glum."
    reg "Bad news, worse news [pet]. The rate things are going I'm not going to
        be able to pay the rent. Unless something miraculous happens we could
        get evicted."
    pc "Oh, fuck. We're so screwed."
    reg "I know."
    "He wanders off."
    $ pc.addMood(-10)
    return


    # First day of PC living with Reg (new life).
    #
label .firstDay:
    $ dbgLog('swRegChar.firstDay')
    reg "Welcome to the first day in your new home pumpkin."
    "He kisses you on the forehead, and when you look up at him, on the lips."
    pc "The first day ... oh right, thank you Reg. Sorry ... I know it was,
        kind of impulsive."
    reg "It was a little. Just so you know, it would be fine if you are having
        second thoughts or want to leave ..."
    pc "Oh babe no, not at all ... I'm just still processing it all.
        But don't worry, I definitely want this."
    "You give him cheeky smile and are rewarded with a smile in return."
    reg "Good. It is a little scary and sudden, but I want this too."
    "He takes your hand in his and you both share a moment of pure bliss."
    reg "Right, well, I should have everything you need here: there's a big TV
        and couch in the other room, plus you can use my PC whenever you want,
        although I do have a laptop somewhere that I can setup so you don't have
        to move around too much ..."
    "After saying this Reg flinches and looks away sheepishly."
    reg "Sorry ... I, I ..."
    pc "Don't be sorry babe, I don't want to be moving around too much anyway."
    "Your reassurance is enough to give Reg his confidence back, along with a
    deep blush to his cheeks."
    pc "R ... right, well, umm ... Oh, there's also a phone if you need to call
        anyone, plus I'll make sure there is plenty of food around to eat.
        Anything else you can think of, just ask."
    pc "For now that sounds perfect, plenty to keep me occupied while still being
        as lazy as possible."
    reg "Great, now, much as I'd like you to just lounge around on your fat ass ..."
    pc "... my very fat ass ..."
    reg "... your wonderous ass all day, stuffing yourself to your heart's content,
        we will be running up some considerable food bills to reach your goals.
        Now, the life of a delivery driver isn't well rewarded financially,
        but I do have some savings set aside."
    pc "If you hadn't been delivering parts we wouldn't have met babe."
    reg "I know, pudding. I'm not saying you have to but if you can think of some
        way to contribute that would be extremely helpful in the long run."
    pc "That makes sense, plus the more I can earn the more I can eat."
    reg "Exactly. There's rent and utilities as well, but I'll take care of those."
    pc "I'll see what I can do babe. Good thing I'm very food motivated."
    reg "I know you are dumpling."
    $ flags.clear('regFirstDay')
    return

    # First day of PC reaching immobility.
    # STILL TO BE EDITED
#label .firstimmobileDay:
#    $ dbgLog('swRegChar.firstimmobileDay')
#    reg "Welcome to the first day of your new life pumpkin."
#    "He kisses you on the forehead, and when you look up at him, on the lips."
#    pc "The first day ... thank you Reg."
#    reg "You should have everything you need here: there's a remote for the TV
#        which you can also use as a monitor for the PC there and I'll make sure
#        you have food. There's a phone if you need to call anyone. Anything else
#        you can think of, just ask."
#    pc "No, I think that will keep me occupied for my less lazy moments."
#    reg "Now, much as I'd like you to just lounge around on your fat ass ..."
#    pc "... my very fat ass ..."
#    reg "... your wonderous ass all day, stuffing yourself to your heart's content.
#        We will be running up some considerable food bills to reach your goals.
#        Now, the life of a delivery driver isn't well rewarded financially,
#        but I do have some savings set aside."
#    pc "If you hadn't been delivering parts we wouldn't have met babe."
#    reg "I know, pudding. But if you can think of some way to contribute that
#        would be extremely helpful in the long run."
#    pc "That makes sense, the more I can earn the more I can eat."
#    reg "Exactly. There's rent and utilities as well, but I'll take care of those."
#    pc "I'll see what I can do. I'm very food motivated."
#    reg "I know you are dumpling."
#    $ flags.clear('regFirstDay')
#    return


    # Tell Reg about wanting to get mobile again.
    # Dingo: FIX! this needs to be rewritten in Reg's voice.
    #
label .mobile:
    $ dbgLog('swRegChar.mobile')
    $ renpy.dynamic('days', 'goalKg', 'pet', 'tooFat')
    $ pet = regPetName()
    $ tooFat = reg.isPcTooFat()
    pc "Babe, we need to talk."
    reg "This sounds serious."
    dingo "PC and Reg discuss getting her mobile again..."
    reg "Are you sure you want to do this? It won't be easy."
    $ prompt = addMenuAlt("Are you sure?")
    menu:
        "[prompt]"
        "Yes, I need to do this!":
            pc "I'm so sorry Reg, but despite wanting this for so long, it
                hasn't been how I imagined it would be."

            pc "I need you to help me get mobile again, at least so I can
                waddle my way to the lounge and back."
            $ goalKg = floorPrec(immobileLim - 10, 1)
            $ days = pc.getDaysToDietTo(goalKg)
            $ pc.dietStart(days, goalKg)
            $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
            $ tmp = roughPeriod(days)
            reg "I can understand never wanting to be bed-bound again."
            $ prompt = addMenuAlt("Never bed-bound again?")
            menu:
                "[prompt]"
                "Never is such a strong word":
                    pc "I ... I don't know about {i}never{/i}."
                "No, never again!":
                    pc "I've had my fun, such as it was,
                        I hope you can still love a {i}barely{/i} mobile girl."
                    reg "Of course I can!"
                    # Make getting immobile again hard.
                    $ pc.setMassPlateau(immobileLim)
            reg "This isn't going to be easy for you [pet],
                it could take [tmp]!"
            pc "I know."
        "No, I'm not really":
            pc "Who am I kidding, babe?
                I haven't been happy, but at the same time I have this deep
                desire to get even fatter."
            if tooFat:
                reg "I worry about you my love.
                    You're really struggling,
                    and shouldn't really be thinking of getting any bigger
                    than you are now."
                $ pc.addLim(5)
                $ pc.addMood(-1)
            else:
                reg "You want to get fatter? I though you just said you didn't?"
                pc "Face it, I'm a lost cause babe. I might as well go the distance.
                    Maybe it will grow on me yet."
                $ pc.addLim(50)
                $ pc.addMood(2)
    $ flags.clear('regTalkMobile')
    return
