#
# Things reg does with you.
#
label swRegEvents:

    # Add all events.
    #
label .addEvents:

    # Always an option.
    #
    $ picker.addLocal('.cuddle')

    # Bed scales.
    #
    if counters.get('regScales') == 2 and regJoint.canAfford(1000):
        $ picker.addLocal('.bedScales')

    # Finances.
    #
    if regJoint.getOverdraftLim() > 0:
        if not flags.isSet('regServed') and regJoint.getOverDays() > 20:
            $ picker.addLocal('.regServed', 50, 900)

    if socFans.isProgress(0.1):
        $ picker.addLocal('.socFanPizza')

    # Awards.
    #
    if gt.hour <= 20:
        if socFans.fans() >= 100000 and not flags.isSet('mooSilver'):
            $ picker.addLocal('.mooSilver')
        # FIX! Add gold award.
        # elif socFans.fans() >= 1000000 and not flags.isSet('mooGold'):
            # $ picker.addLocal('.mooGold')

    # Lunch/Dinner
    #
    if gt.isBetween(12, 18) and not dayFlags.isSet('lunch'):
        $ picker.addOption('swRegHomeLunch')
    elif gt.isAfter(18) and not dayFlags.isSet('regDinner'):
        $ picker.addOption('swRegHomeDinner')

    # Snacks
    #
    if pc.isDietUnrestricted() and not regJoint.isFoodLim() and not reg.isPcTooFat() and pc.getMealSize() >= 1:
        $ picker.addOption('swRegHomeSnack')

    return



    # -------------------------------------------------------------------------
    # Events
    # -------------------------------------------------------------------------

    # Install bed scales.
    #
label .bedScales:
    $ dbgLog('swRegEvents.bedScales')
    $ renpy.dynamic('pet', 'unsure')
    $ pet = regPetName()
    $ unsure = pc.isDietConsider()
    reg "They've arrived [pet]! I just need to put one of these sensors under
        each corner of the bed."
    if unsure:
        pc "Oh. Great."
    else:
        pc "Great babe!"
    "There follows a highly undignified process where Reg uses a car jack to
    crank up a corner of the bed, slide a sensor under, and lower you down
    before moving on to the next one."
    "Then he screws a display to the side of the bed and connects it all up."
    reg "All done. Now it said something about letting them equalise or something,
        but we should be all set for tomorrow."
    if unsure:
        pc "I'm in no hurry."
    else:
        pc "I can't wait!"
    $ counters.inc('regScales')
    return



    # Reg wants to cuddle.
    #
label .cuddle:
    $ dbgLog('swRegEvents.cuddle')
    $ renpy.dynamic('regFits', 'pet')
    $ pet = regPetName()
    if world.isLoc('swRegHome'):
        "Reg walks up to you, a bashful smile on his face. He places one of his
        thick arms over your shoulders in a casual embrace, which you lean into lovingly."
        reg "Hey [pet], you are so beautiful. I just wanted to come and give you
            a hug."
        pc "Aww thanks babe. Why don't you come and cuddle up with me."
        "Reg sits on the bed and the two of you snuggle together, sharing some
        kisses and enjoying being close to each other."
    else:
        $ regFits = isRegCouchFit()
        if regFits:
            "
            Reg walks up to you, a bashful smile on his face and sits next to you
            on the couch. He places one of his thick arms over your shoulder in
            a casual embrace, which you lean into lovingly.
            "
        else:
            "
            Reg walks up to you, a bashful smile on his face and sits next to you
            on the couch, wedging himself between the armrest and your thigh.
            He places one of his thick arms over your shoulder in a casual
            embrace, which you lean into lovingly.
            "
        reg "Hey [pet], you are so beautiful. I just wanted to come and give you
            a hug."
        pc "Aww thanks babe. Why don't you come and cuddle up with me."
        "
        Reg pulls you closer, and you share some kisses and enjoy being
        close to each other.
        "
    $ pc.addMood(2)
    $ reg.addRomance(2)
    $ gt.addHours(1)
    return



    # Receive social silver award.
    #
label .mooSilver:
    $ dbgLog('swRegEvents.mooSilver')
    $ renpy.dynamic('roomName', 'pet')
    $ roomName = regRoomName()
    $ pet = regPetName()
    "Reg comes into the [roomName] with a parcel, that's clearly arrived in the post,
    and hands it to you."
    reg "Congratulations [pet]."
    pc "What is it?"
    reg "Open it and see."
    "You give him a puzzled look, and open the box. On the top is a cover letter
    and underneath a pretty box with a cow-print design."
    "Dear {i}[pc.name]{/i},\n
    Congratulations on reaching 100,000 followers. We are
    so proud of you! Please accept this token for your achievement.\n
    Regards, {i}squiggle{/i}, CEO [socSite]"
    "The presentation box is so well made that suction makes it slide open
    slowly. Inside is a silver plated version of the site's cute cow avatar,
    with a little plaque: [pc.name] for 100,000 followers."
    pc "It's {i}so{/i} cute!"
    reg "Well done my love, my silver cow. You deserve it!"
    "He hands you a glass of bubbly, you clink glasses and toast your success."
    $ food.add('wine')
    $ pc.eatFood(food)
    $ flags.set('mooSilver')
    $ flags.set('mooSilverVid')     # Can record a silver award vid ...
    $ gt.addHours(1)
    return



    # Reg served eviction notice.
    #
label .regServed:
    $ dbgLog('swRegEvents.regServed')
    $ renpy.dynamic('roomName')
    $ roomName = regRoomName()
    "Reg walks dejectedly into the [roomName], his face an ashen white,
    tears streaming down his face."
    reg "[pc.name] we've been served an eviction notice. We've thirty days
        to clear our debt. If not we are out of this place, and lose
        everything."
    reg "The dream is over [pc.name]."
    reg "I don't know what else to say."
    "He walks away."
    pc "Babes! Babes? Come back ..."
    if isPcImmobile():
        "Fuck. What can I do? Are they going to break down the wall to remove me?
        Then what?"
    else:
        "Fuck. What can I do?"
    $ flags.set('regServed')
    return



    # A MooTube fan sent you a pizza.
    # Add variations to this - LATER, SEEMS FINE FOR NOW
    #
label .socFanPizza:
    $ dbgLog('swRegEvents.socFanPizza')
    $ renpy.dynamic('client', 'roomName')
    $ roomName = regRoomName()
    $ client = Pronouns()
    $ client.setFM(pc.randomBool(60))
    "The doorbell rings, and you hear Reg go to answer it. There's a muffled
    conversation and he comes into the [roomName] carrying a very large pizza box."
    if socFans.isProgress(10):
        reg "One of your fans sent you this pizza.
            [client.proNom!c] would like you to eat it on stream
            if you are happy to."
    else:
        reg "Looks like you are getting popular babe, one of your fans sent
            you this pizza. [client.proNom!c] would like you to eat it on stream
            if you are happy to."
    $ food.add('pizzaxl')
    $ food.setMeal(True)
    $ pc.eatFood(food)
    $ prompt = addMenuAlt("Stream eating pizza on {}?".format(socSite))
    menu:
        "[prompt]?"
        "Yes, it's what my fans want":
            "With Reg's help you adjust the cameras to get you all in shot,
            start the stream, and eat the whole pizza, describing how it
            tastes, how it feels, and thanking the user who sent it in particular."
            if socFans.addVideo('swRegEvents.socFanPizza'):
                $ socFans.addProg(0.5)
            $ evtCounters.inc('socEat')
            $ pc.useEnergy(2)
            $ gt.addHours(1)

        "No, I'll just eat it":
            pc "I can't be messing around, just give it here babe."
            "You eat the whole pizza, slice by slice, hoping the person who
            sent it won't be too disappointed."
            $ socFans.addProg(-0.1)

    $ gt.addHours(1)
    return
