#
# Reg dinners.
#
default regDinnerLru = []
define  regDinnerVol = 1.3      # Target "normal" dinner volume

    # Reg prepares dinner for the PC.
    # Invoked as an event or when requested by PC (requested=True).
    # Can take place in bedroom or lounge.
    #
label swRegHomeDinner(requested=False):
    $ dbgLog("swRegHomeDinner")
    $ renpy.dynamic('dieting', 'foodLim', 'onCouch', 'pet', 'select', 'serving', 'tease', 'tooFat', 'unsure')
    $ mealsize = pc.getMealSize()
    $ dieting = pc.isDietRestricted()           # PC is dieting
    $ foodLim = regJoint.isFoodLim()            # No funds for stuffing the PC
    $ onCouch = world.isLoc('swRegLounge')      # True is PC is on the couch in the lounge
    $ tooFat = reg.isPcTooFat()                 # Reg thinks PC is too fat
    $ unsure = pc.isDietConsider()              # PC thinks she's too fat
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)

    if not requested:
        $ pet = regPetName(tease)
        reg "I'm just going to make us some dinner, [pet]."

    # Check diet status.
    #
    if dieting:
        if pc.testDietWill():
            pc "Remember I'm on a diet babe."
        elif flags.isConsume('dietStopWill'):
            # PC ran out of willpower.
            pc "You know that diet I was on babe?
                Well, I'm done with it.
                Your girl is just too damn hungry and food is so very tempting.
                Feed me!"
            if tooFat:
                reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
            elif foodLim:
                reg "I wish I could, but we don't have the money for a feast."
            else:
                reg "With pleasure, [pet]."
            $ dieting = False
        else:
            # PC cheat day.
            pc "You know that diet I'm on babe?
                Well, I think I deserve a bit of a treat tonight,
                so, you know, a bit extra please?"
            if tooFat:
                reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
            elif foodLim:
                reg "I wish I could give you extra, but we're a bit short on funds."
            else:
                reg "With pleasure, [pet]."
            $ dieting = False

    # Serving sizes.
    #
    $ serving = 1
    if foodLim or tooFat or dieting:
        # Small (ie. normal sized) serving if no funds, pc is too fat for Reg, or is dieting.
        $ serving = 0.5
        $ tease = False
    elif reg.isPcThin() and not unsure:
        # Very large if pc is too thin for Reg and happy with her weight.
        $ serving = 1.5
    elif pc.isGlutton() and not unsure:
        # Very large for a glutton who is happy with her weight.
        $ serving = 1.5

    # Start picker.
    #
    $ picker.start("swRegHomeDinner")

    # Normal options.
    $ picker.addLocal('.burger')
    $ picker.addLocal('.friedchicken')
    $ picker.addLocal('.hotdogs')
    $ picker.addLocal('.pasta')
    $ picker.addLocal('.steaks')

    # Feeder options.
    # Reg won't feed the PC if they have no funds, he thinks she's too fat, she's dieting
    #
    if not (foodLim or tooFat or dieting):
        $ rnd = reg.randomFeeder(0, 100)
        # $ rnd = True
        # $ rnd = False
        if rnd:
            $ picker.addLocal('.burgerFeed')
            # FIX - add others!

    # Weekend feast.
    if gt.isWeekend() and not (foodLim or tooFat or dieting or unsure) and (pc.isGlutton() or pc.gsize >= 16):
        $ picker.addLocal('.weekendDFeast')

    $ select = picker.choose(regDinnerLru, 0, 2)
    if select != None:
        if world.hasLabel(select):
            call expression select pass (serving) from reg_dinner_dyn
            $ food.setMeal(True)
            $ regJoint.addFoodCost(food.cost)
            $ pc.eatFood(food)
            $ gt.addHours(1)
            $ dayFlags.set('regDinner')
        else:
            dbg "In swRegHomeDinner: selected label \"[select]\" was not found."
    else:
        dbg "In swRegHomeDinner: no dinners were available! How?"

    return



    # -------------------------------------------------------------------------
    # Dinners
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Burgers.
    #
label .burger(serving=1.0):
    $ dbgLog("swRegHomeDinner.burger({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        if foodLim:
            reg "I've made you burgers for dinner, [pet].
                I'm sorry it's not a big serve, but we're low on funds."
        elif dieting:
            reg "I've made you burgers for dinner, [pet].
                I didn't make too much as I know you're trying to lose weight."
        else:
            reg "I've made you burgers for dinner, [pet].
                I didn't make too much as I'm a bit worried about your weight."
        "
        He hands you a plate on which rests a large custom made burger with
        all the fillings, followed by a plate with a large serving of fries
        and onion rings. You waste no time and tuck in hungrily.
        "
    elif serving > 1.0: #Possibly split into 1st time and repeat options
        if tease:
            reg "Here you go [pet], a feast fit for my Burger Queen!
                Hopefully it is up to your standards, your majesty.
                Although, I doubt that would stop you from eating anyway!"
        else:
            reg "I've made you a special jumbo burger and sides for dinner
                [pet], dig in."
        "
        You are presented with a plate on which rests the largest burger you have ever seen.
        Clearly custom made, it overflows the plate it rests on and is stacked with two
        huge patties and overloaded with oozing cheese, sauce and all the fillings.
        "
        "
        There is no way eating this monster isn't going to be messy, so why try avoiding
        it? Licking you lips with anticipation you reach out with both hands and grab the burger,
        carefully lifting it to your wide open mouth, which you bury into it and take a massive bite.
        "
        "
        Your bite brings an explosion of grease and sauce which paint your cheeks and dribble down
        your chin. It tastes so good that even though you are struggling to chew from the size of
        the bite, you hastily go in for more.
        "
        "
        As you work on your second mouthful, Reg brings another plate, covered in a
        heaping pile of fries and onion rings. Before even swallowing you greedily reach
        for a handful of the greasy sides and gobble them up. The Queen approves!
        "
    else:
        if tease:
            reg "Here you go [pet], I bet you can't wait to get this massive, greasy
                custom made burger into that belly of yours."
        else:
            reg "Here you are, I've made you a massive burger and a heap of sides for
                dinner, [pet]. I hope you enjoy it."
        "
        You are presented with a plate on which rests a humungous burger.
        Clearly custom made, it covers the entire plate and is loaded with a huge patty,
        oozing cheese and sauce as well as all the fillings.
        "
        "
        There is no way eating this monster isn't going to be messy, so why try avoiding
        it? You reach out with both hands and grab the burger and then carefully lift it
        to your wide open mouth, which you bury into it and take a massive bite.
        "
        "
        As you work on your current mouthful, Reg brings another plate, covered in a
        pile of fries and onion rings. You swallow and then greedily reach for a handful
        of the greasy sides and gobble them up. Yum!
        "
    $ food.addScale('regmain', serving)
    return

    # Burger feed.
    #
label .burgerFeed(serving=1.0):
    $ dbgLog("swRegHomeDinner.burgerFeed({:0.1f})".format(serving))
    $ pet = regPetName(tease)
#    "
#    Reg puts a cloth over your vast chest and tucks it under your chin.
#    This is a good sign.
#    "
#   QUESTION: Would there even be an option for feeding of the smaller servings? I feel Reg or the PC wouldn't feel up to it,
#   especially if the PC is dieting or Reg thinks she is too fat. It's possible at low funds, but the mood would be off
#   DINGO: It's really down to how you feel Reg would act in those situations.
#       You can put a condition around the whole feeding options (see above).
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        if foodLim:
            reg "I've made you burgers for dinner, [pet].
                I'm sorry it's not a big serve, but we're low on funds."
        "
        He hands you a plate on which rests a large custom made burger with
        all the fillings, followed by a plate with a large serving of fries
        and onion rings. You waste no time and tuck in hungrily.
        "

        "
        Reg sits down next to you and feeds you forkfuls of pancake rich with
        melted butter and sweet sticky syrup. While you like being fed, you
        really wish there had been more.
        "
        pc "Thanks babe, those were yummy."
    elif serving > 1.0:
        if tease:
            reg "Here you go [pet], a feast fit for my Burger Queen!
                Hopefully it is up to your standards, your majesty.
                Although, I doubt that would stop you from eating anyway!"
        else:
            reg "I've made you a special jumbo burger and sides for dinner
                [pet], dig in."
        "
        You are presented with a plate on which rests the largest burger you have ever seen.
        Clearly custom made, it overflows the plate it rests on and is stacked with two
        huge patties and overloaded with oozing cheese, sauce and all the fillings.
        "
        "
        There is no way eating this monster isn't going to be messy, so why try avoiding
        it? Licking you lips with anticipation you reach out with both hands and grab the burger,
        carefully lifting it to your wide open mouth, which you bury into it and take a massive bite.
        "
        "
        Your bite brings an explosion of grease and sauce which paint your cheeks and dribble down
        your chin. It tastes so good that even though you are struggling to chew from the size of
        the bite, you hastily go in for more.
        "
        "
        As you work on your second mouthful, Reg brings another plate, covered in a
        heaping pile of fries and onion rings. Before even swallowing you greedily reach
        for a handful of the greasy sides and gobble them up. The Queen approves!
        "
    elif serving > 1.0:
        if tease:
            reg "Are you ready for your first stuffing of the day, [pet]?
                I've a pile of pancakes here for your bottomless belly."
        else:
            reg "I've made you a generous stack of pancakes for dinner, [pet]."
        "
        Reg sits down next to you and feeds you forkful after forkful after forkfull
        of pancake rich with melted butter and dripping with sweet sticky syrup.
        Once you're finally done, he also wipes your sticky face.
        This is the life!
        "
        pc "Thanks so much babe, those were yummy."
    else:
        if tease:
            reg "Here you go [pet], I bet you can't wait to get this massive, greasy
                custom made burger into that belly of yours."
        else:
            reg "Here you are, I've made you a massive burger and a heap of sides for
                dinner, [pet]. I hope you enjoy it."
        "
        You are presented with a plate on which rests a humungous burger.
        Clearly custom made, it covers the entire plate and is loaded with a huge patty,
        oozing cheese and sauce as well as all the fillings.
        "
        "
        There is no way eating this monster isn't going to be messy, so why try avoiding
        it? You reach out with both hands and grab the burger and then carefully lift it
        to your wide open mouth, which you bury into it and take a massive bite.
        "
        "
        As you work on your current mouthful, Reg brings another plate, covered in a
        pile of fries and onion rings. You swallow and then greedily reach for a handful
        of the greasy sides and gobble them up. Yum!
        "
    $ food.addScale('regmain', serving)
    return

    # Fried Chicken.
    #
label .friedchicken(serving=1.0):
    $ dbgLog("swRegHomeDinner.friedchicken({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        if foodLim:
            reg "I've made you a fry-up for dinner, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you a fry-up for dinner, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you a fry-up for dinner, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a small, well, normal-sized serving of hash browns and eggs,
        a few bacon strips, a couple of sausages, some ketchup, and a slice of
        thick toast.
        You waste no time and tuck in hungrily.
        "
    elif serving > 1.0:
        if tease:
            reg "I think you'll appreciate this, [pet].
                Nothing piles on the pounds quite like a huge greasy fry-up!"
        else:
            reg "I've made you a generous fry-up for dinner, [pet]."
        "
        He hands you a more than generous serving of hash browns and eggs,
        a pile of bacon strips, a bunch of sausages and a rack of thick toast.
        You squeeze plenty of ketchup on to your plate and tuck in hungrily.
        "
    else:
        if tease:
            reg "I bet you can't wait to get this greasy fry-up inside you,
                can you, [pet]?"
        else:
            reg "I've made you a large fry-up for dinner, [pet]."
        "
        He hands you a large serving of hash browns and eggs,
        a pile of bacon strips, a bunch of sausages and some thick toast.
        You squeeze plenty of ketchup on to your plate and tuck in hungrily.
        "
    $ food.addScale('regmain', serving)
    return

    # Simple meal of hotdogs.
    #
    # DINGO: Provided as an example of getting the code to calculate serving
    # sizes, offer the option to ask for more, and a stuffing session.
    # Rework as you see fit, or remove.
    #
label .hotdogs(serving=1.0):
    $ dbgLog("swRegHomeDinner.hotdogs({:0.1f})".format(serving))
    $ renpy.dynamic('askMore', 'eaten', 'extras', 'plateStr', 'portions')
    # $ serving = 1.0 # Testing
    $ pet = regPetName(tease)
    # Set up a single portion. This is used to calculate how many PC will
    # be given.
    $ food.add('hotdog')
    $ food.addScale('coke', 0.5)
    # How many portions would be needed to make the required volume?
    # If you need a scaling instead, use food.scaleForVol instead.
    $ portions = max(1, food.portionsForVol(regDinnerVol * serving))
    $ eaten = portions
    $ extras = 0
    if portions == 1:
        $ plateStr = "a single hotdog"
    else:
        $ plateStr = "{} hotdogs".format(cardinal(portions))
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        # A small portion.
        $ askMore = pc.randomGreed(0, 70)
        if foodLim:
            reg "As we are a bit low on funds I've made some simple and cheap
                hotdogs for us, [pet]. I'm sorry I can't offer you more."
            "
            He hands you a plate with [plateStr] on it. At least there's a
            generous helping of fried onion, ketchup, and mustard. A pitiful
            offering for someone of your size.
            "
            pc "I know, babe, we're doing our best."
            "
            You try and take your time an savour what you've got,
            but it is all gone faster than you would like.
            "
            $ tmp = pc.tumNoisePhrase()
            if tmp != None:
                "[tmp]"
                pc "Ooops. I think that's just set if off."
                reg "I'm so sorry it's come to this."
            if askMore:
                pc "I wish I could have another, just one more.
                    I know I can't, but I feel so ... empty."
        elif dieting:
            reg "I know your trying to lose weight, [pet], so I've just made
                some simple hotdogs for our dinner."
            pc "Thank you babe, it is appreciated."
            "
            He hands you a plate with [plateStr] on it and a glass of soda.
            You really wish there was more,
            but at least there's a generous helping of fried onion, ketchup,
            and mustard.
            "
            $ tmp = pc.tumNoisePhrase()
            if tmp != None:
                "[tmp]"
                pc "Excuse me, I think my stomach likes this diet even less
                    than I do!"
            "
            You try and take your time and savour what you've got,
            but it is all gone faster than you would like.
            "
            if askMore:
                $ pet = regPetName(tease)
                pc "I wish I could have another, just one more."
                reg "I'm afraid that's not how dieting works, [pet]."
        else:
            # Reg thinks PC is too fat already.
            reg "I've made some hotdogs for our dinner, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
            if unsure:
                pc "I'm getting a bit worried about it too, babe. So thank you."
                "
                He hands you a plate with [plateStr] on it and a glass of soda.
                At least there's a generous helping of fried onion, ketchup,
                and mustard.
                "
                "
                You try and take your time and savour what you've got,
                but it is all gone faster than you would like.
                "
                $ reg.addRomance(0.1)
                if askMore:
                    $ pet = regPetName(tease)
                    pc "I wish I could have another, but I know I shouldn't."
                    reg "I know, [pet]."
            else:
                "
                He hands you a plate with [plateStr] on it and a glass of soda.
                You try hard to hide your disappointment,
                but at least there's a generous helping of fried onion, ketchup,
                and mustard.
                "
                pc "Thank you babe."
                "
                You try and take your time and savour what you've got,
                but it is all gone faster than you would like.
                You wish you could convince him you're happy being as big as you are.
                "
                $ reg.addRomance(-0.05)
                if askMore:
                    $ pet = regPetName(tease)
                    pc "I don't suppose I could have ..."
                    reg "No, I don't think that's a good idea, [pet]."
    elif serving <= 1.0:
        # A "normal" serving. Reg isn't trying to restrict the PC's intake.
        # PC may be unsure about her weight.
        #
        reg "I thought we'd just have something simple this evening, [pet]."
        "
        He hands you a plate with [plateStr] on it, each with a generous helping
        of fried onion, ketchup, and mustard. To help wash it down there's a
        large glass of soda too.
        "
        pc "Oh, thanks babe. It looks yummy."
        if pc.randomGreed(0, 60):
            "
            You tuck in, eating one after another, until they're all gone and
            washing them down with soda. Despite eating more, you are still
            done before Reg.
            "
        else:
            "
            You tuck in, eating one after another, until they're all gone and
            washing them down with soda. Despite eating more, you both finish
            at about the same time.
            "
        # Consume what's been offered so far.
        $ pc.eatFoodNc(food, eaten)
        $ regJoint.addFoodCost(food.cost * eaten)
        $ eaten = 0
        $ askMore = pc.randomGreed(0, 70) and not pc.isFullNow(150)
        if askMore:
            $ mealsize = pc.getMealSize()
            if unsure:
                pc "I don't suppose there are any more?
                    No, wait, what am I saying?
                    I'm already bigger than I'd like to be."
                if not reg.isPcFat():
                    $ pet = regPetName(tease)
                    reg "Your beautiful, [pet]. I'm sure another won't hurt you."
                    pc "I guess you're right.
                        It's not going to make much difference to someone my size."
                    $ pc.addLim(0.3)
                    $ extras = 1
                else:
                    $ askMore = False
            else:
                pc "I don't suppose there are any more, babe?"
                reg "I didn't make any more, but I could if you're still hungry."
                # How many though?
                $ portions = max(1, food.portionsForVol(pc.getCapacityRemainNow(0.0, 1.5)))
                $ prompt = "Are you going to be greedy and ask for more, {}?".format(pc.name)
                $ prompt = pc.appendPrompt(prompt, 0, mealsize)
                menu:
                    "[prompt]"
                    "What can I say? Six more?" if portions >= 6:
                        $ extras = 6
                        $ pet = regPetName(tease)
                        pc "Well ... the buns come in sixes, don't they?"
                        reg "Yes, they do, [pet]."
                        pc "No point having stale buns hanging around, is there?"
                        if tease:
                            reg "That's my greedy girl."
                        else:
                            reg "So you want all six? Okay, I'll get those on the go."
                    "Yes, very. Four more?" if portions >= 4:
                        $ extras = 4
                        pc "I'm still rather hungry, may I have four please babe?"
                        reg "Four? Okay, I'll get those on the go."
                    "Yes, two more?" if portions >= 2:
                        $ extras = 2
                        pc "May I have a couple more, please?"
                        reg "Sure, I'll get those on the go."
                    "Yes, just one more":
                        $ extras = 1
                        pc "Can I just have another, please?"
                        reg "Sure, I can do that."
                    "No, I'll be good":
                        $ extras = 0
                        pc "No, it's alright, I've had enough."
                        reg "Okay, if you're sure."
            if askMore and extras > 0:
                if extras == 1:
                    "
                    Reg returns to the kitchen and before long comes back with
                    another hot dog on your plate. Naturally you devour it
                    without hesitation.
                    "
                else:
                    $ plateStr = "{} more hotdogs".format(cardinal(extras))
                    "
                    Reg returns to the kitchen and before long comes back with
                    [plateStr], and you, of course, eat them all.
                    "
                reg "All done now?"
                if unsure:
                    pc "Yes, thank you. They were lovely.
                        I probably shouldn't have had that much though."
                else:
                    pc "Yes, thank you. They were lovely."
                $ eaten = extras
    else:
        # A large serving. PC is happy with her weight and she's a glutton or
        # Reg thinks she needs fattening up.
        #
        if reg.isPcThin():
            reg "I thought we'd just have something simple this evening, [pet].
                I've made extra for you to help fatten you up."
        else:
            reg "I thought we'd just have something simple this evening, [pet].
                I've made extra for you though as I know how you like to eat."
        "
        He hands you a plate with [plateStr] on it, each with a generous helping
        of fried onion, ketchup, and mustard. To help wash it down there's a
        pint glass of soda too.
        "
        pc "Oh, thanks babe. It looks yummy."
        "
        You tuck in, eating one after another, until they're all gone and
        washing them down with soda. Despite eating more, you both finish
        at about the same time.
        "
        # Consume what's been offered so far.
        $ pc.eatFoodNc(food, eaten)
        $ regJoint.addFoodCost(food.cost * eaten)
        $ eaten = 0
        $ askMore = pc.randomGreed(0, 70) and not pc.isFullNow(150)
        if pc.randomStuffing(10, 20) and cooldowns.isZero('pcStuffing') and not pc.isFullNow(150):
            "
            Your lips are greasy from the fried onions, and, well, there's
            just something about hotdogs, isn't there?
            "
            $ prompt = addMenuAlt("Are you getting turned on by overeating again, {}?".format(pc.name))
            menu:
                "[prompt]"
                "Yes, I wonder if Reg will ...":
                    call .hotdogsStuffing from reg_home_hotdogs
                    $ askMore = False
                "No, not this time":
                    pass
        if askMore:
            $ mealsize = pc.getMealSize()
            pc "I don't suppose there are any more, babe?"
            reg "I didn't make any more, but I could if you're still hungry."
            # How many though?
            $ portions = max(1, food.portionsForVol(pc.getCapacityRemainNow(0.0, 1.5)))
            $ prompt = "Are you going to be greedy and ask for more, {}?".format(pc.name)
            $ prompt = pc.appendPrompt(prompt, 0, mealsize)
            menu:
                "[prompt]"
                "What can I say? Six more?" if portions >= 6:
                    $ extras = 6
                    $ pet = regPetName(tease)
                    pc "Well ... the buns come in sixes, don't they?"
                    reg "Yes, they do, [pet]."
                    pc "No point having stale buns hanging around, is there?"
                    if tease:
                        reg "That's my greedy girl."
                    else:
                        reg "So you want all six? Okay, I'll get those on the go."
                "Yes, very. Four more?" if portions >= 4:
                    $ extras = 4
                    pc "I'm still rather hungry, may I have four please babe?"
                    reg "Four? Okay, I'll get those on the go."
                "Yes, two more?":
                    $ extras = 2
                    pc "May I have a couple more, please?"
                    reg "Sure, I'll get those on the go."
                "No, I'll be good":
                    $ extras = 0
                    pc "No, it's alright, I've had enough."
                    reg "Okay, if you're sure."
            if extras > 0:
                $ plateStr = "{} more hotdogs".format(cardinal(extras))
                "
                Reg returns to the kitchen and before long comes back with
                [plateStr], and you, of course, eat them all.
                "
                reg "All done now?"
                pc "Yes, thank you. They were lovely."
                $ eaten = extras
        # End of askMore

    # Scale the food to what was eaten.
    $ food.scaleAll(eaten)
    return

    # Stuffing session with hot dogs.
    #
label .hotdogsStuffing:
    $ dbgLog("swRegHomeDinner.hotdogsStuffing()")
    $ renpy.dynamic('feeding')
    pc "Reg, babes, can you get me some more hotdogs, pretty please?"
    reg "Did I not make enough? I thought there would be plenty."
    pc "No, like, {i}a lot{/i} more."
    $ portions = ceilPrec(food.portionsForVol(pc.getCapacityRemainNow(0.0, 2.1)), 6)
    # "portions=[portions]"
    reg "How many more are you thinking of?"
    $ tmp = cardinal(portions)
    "
    You subconsciously rub your hand across your belly, and blush a little,
    thinking of what is to come.
    "
    pc "I think ... I think [tmp] ought to do it. Please, babe?"
    "
    Reg disappears off into the kitchen, and you fondle your flab as he gets
    busy preparing more food for you to cram into yourself.
    "
    "
    When he returns you grab a hot dog and stuff the whole thing into your mouth,
    bulging your cheeks out to get it all in. Mmmm, yes, time for some fun.
    "
    "
    The next one you let slide down your throat, whole. For a moment you feel
    you might gag on it, but your passion is driving you now.
    "
    $ pet = regPetName(tease)
    $ feeding = reg.randomFeeder(30, 100)
    if feeding:
        pc "Mmmm, mmmm..."
        if tease:
            reg "Is my [pet] feeling naughty? Would she like a hand?"
            pc "Very naughty, and yes. Feed me babe."
        else:
            reg "Would you like a hand there, [pet]?"
            pc "Yes please. Feed me babe."
    elif reg.isFeeder():
        if tease:
            pc "Mmmm, babe, please feed your little piglet."
            reg "You're a naughty girl, aren't you, [pet]."
        else:
            pc "Mmmm, babe, please would you feed me?"
            reg "It would be my pleasure, [pet]."
        $ feeding = True
    if feeding:
        "
        Reg brings another hotdog to your waiting greasy lips and lets you
        bite off a huge mouthful, leaving your hands free to caress your
        soft body.
        "
        pc "Oh, mmm, more..."
        "
        More follows, and you can feel your desire rising, being fed by your
        loving partner is such a turn on.
        "
        $ pet = regPetName(tease)
        pc "Ohhh, whole ones. Mmm, please ... stuff ... me"
        reg "Are you sure, [pet]?"
        pc "Yes ... very!"
        "
        He gently lowers a whole hotdog into your waiting hungry gullet,
        and you feel it slide down to join its compatriots in your swollen
        belly.
        "
        pc "Hnnnnmf, yes."
        reg "I'm not hurting you?"
        pc "No ... oooh ... keep going. All ... mmm ... all of them."
        "
        More follow with barely any effort on your part. You're being fattened
        up and you know he's enjoying this. Okay, maybe not quite as much as
        you are.
        "
        pc "Oooooh, so ... close."
        $ pet = regPetName(tease)
        if tease:
            reg "That's good, as this is the last one my little glutton."
        else:
            reg "Last one, [pet]."
        "
        The last one, sliding into you, that's enough to push you over the edge,
        to a spectacular ending, eyes closed, at capacity ...
        "
        pc "Ohhh, fuck, yes! Yes!"
        "
        Reg's lips are on yours, kissing, his hands rubbing the soft yet taught
        skin of your belly, making it all last a little longer. So good. So full.
        "
        $ pet = regPetName(tease)
        if tease:
            reg "Looking pretty full there, [pet]. Shall I get you some more?"
            "You open your eyes an glance down at your dome of a swollen gut."
            pc "No, no ... more, I think ... I might ... pop!
                More belly rubs though, please."
        else:
            reg "Was that good, [pet]?"
            "You open your eyes an glance down at your dome of a swollen gut."
            pc "Mmmm, very good. Just what I needed. Thank you for indulging me.
                More belly rubs though, please."
        reg "It's so hot watching my girl consumed by her own gluttony like that."
        pc "I do like you feeding me, stuffing me, making me ever fatter.
            Might need a little nap now. Sleep it all off."
        $ reg.addFeeder(1)
    else:
        # Sadly, I'll have to stuff myself.
        "
        You pick up the plate and let it rest on your chesst, tucked under your
        chin, and let another whole hotdog slide down your throat. Easier this time
        as your desire rises.
        "
        pc "Oh, mmmm"
        "
        You gently lower another into your waiting hungry gullet,
        and you feel it slide down to join its compatriots in your swollen
        belly.
        "
        $ pet = regPetName(tease)
        pc "Hnnnnmf, yes."
        reg "That is so sexy, [pet]"
        "
        More follow with barely any effort on your part now. Giving in to the
        sensation, the desire, the joy of indulgence, knowing you're going to
        be carrying these extra pounds on your abundant body.
        "
        pci "Eat them, [pc.name], eat them all. You want this don't you?"
        pc "Oooooh, so ... close."
        $ pet = regPetName(tease)
        "
        Your hand, the one that's not stroking your own flesh, finds the last
        one, and slides it into you, enough, yes, enough to push you over the edge,
        to a spectacular ending, eyes closed, at capacity ...
        "
        pc "Ohhh, fuck, yes! Yes!"
        "
        Reg's lips are on yours, kissing, his hands rubbing the soft yet taught
        skin of your belly, making it all last a little longer. So good. So full.
        "
        $ pet = regPetName(tease)
        if tease:
            reg "Quite the display from the unrepentant glutton there, [pet].
                Shall I get you some more?"
            "You open your eyes an glance down at your dome of a swollen gut."
            pc "No, no ... more, I think ... I might ... pop!
                More belly rubs though, please."
        else:
            reg "Was that good, [pet]?"
            "You open your eyes an glance down at your dome of a swollen gut."
            pc "Mmmm, very good. Just what I needed. Thank you for helping me
                indulge myself.
                More belly rubs though, please."
        reg "It's so hot watching my girl consumed by her own gluttony like that."
        pc "That's good, as I certainly enjoy doing it."
        pci "It'd be nicer to be fed though, wouldn't it, [pc.name]?"
        pc "Yes, might need a little nap now. Sleep it all off."

    $ pc.addStuffing(1)
    $ pc.energy = 0
    $ cooldowns.set('pcStuffing', 4)
    $ eaten = portions
    return


    # Pasta.
    #
label .pasta(serving=1.0):
    $ dbgLog("swRegHomeDinner.pasta({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        if foodLim:
            reg "I've made you pancakes for dinner, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you pancakes for dinner, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you pancakes for dinner, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a small stack of fluffy, plate sized pancakes,
        with a wedge of melting butter resting on top and drizzled with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    elif serving > 1.0:
        if tease:
            reg "Let's see how quickly you can stuff all these pancakes I've
                made you into that vast belly of yours.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a generous stack of pancakes for dinner, [pet]."
        "
        He hands you a towering stack of fluffy, plate sized pancakes,
        with a huge wedge of melting butter resting on top and dripping with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    else:
        if tease:
            reg "I've made my little piggy a lot of pancakes for dinner.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a large stack of pancakes for dinner, [pet]."
        "
        He hands you a large stack of fluffy, plate sized pancakes,
        with a large wedge of melting butter resting on top and dripping with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    $ food.addScale('regmain', serving)
    return



    # Pasta feed.
    #
label .pastaFeed(serving=1.0):
    $ dbgLog("swRegHomeDinner.pastaFeed({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    "
    Reg puts a cloth over your vast chest and tucks it under your chin.
    This is a good sign.
    "
    if serving < 1.0:
        if foodLim:
            reg "I've made you pancakes for dinner, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you pancakes for dinner, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you pancakes for dinner, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        Reg sits down next to you and feeds you forkfuls of pancake rich with
        melted butter and sweet sticky syrup. While you like being fed, you
        really wish there had been more.
        "
        pc "Thanks babe, those were yummy."
    elif serving > 1.0:
        if tease:
            reg "Are you ready for your first stuffing of the day, [pet]?
                I've a pile of pancakes here for your bottomless belly."
        else:
            reg "I've made you a generous stack of pancakes for dinner, [pet]."
        "
        Reg sits down next to you and feeds you forkful after forkful after forkfull
        of pancake rich with melted butter and dripping with sweet sticky syrup.
        Once you're finally done, he also wipes your sticky face.
        This is the life!
        "
        pc "Thanks so much babe, those were yummy."
    else:
        if tease:
            reg "I've made my little piggy a lot of pancakes for dinner.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a large stack of pancakes for dinner, [pet]."
        "
        Reg sits down next to you and feeds you forkful after forkful
        of pancake rich with melted butter and dripping with sweet sticky syrup.
        You do enjoy being fed like this.
        "
        pc "Thanks so much babe, those were yummy."
    $ food.addScale('regmain', serving)
    return



    # Steaks.
    #
label .steaks(serving=1.0):
    $ dbgLog("swRegHomeDinner.steaks({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your dinner."
    else:
        "Reg puts a cloth over your vast chest ready for your dinner."
    if serving < 1.0:
        if foodLim:
            reg "I've made you waffles for dinner, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you waffles for dinner, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you waffles for dinner, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a plate with couple of thick waffles, which are joined by a
        some maple bacon, and a few chocolate dipped strawberries. He's already
        drizzled them with syrup and chocolate sauce.
        You dig in hungrily and they're gone in no time.
        "
    elif serving > 1.0:
        if tease:
            reg "Now, [pet], how much fatter do you think all these waffles
                will make you? Will they be enough?"
            pc "I doubt they will, but gimmie them anyway!"
        else:
            reg "I've made you a plenty of waffles for dinner, [pet]."
        "
        He hands you a plate with a large stack of thick waffles, which is joined by a
        pile of maple bacon, chocolate dipped strawberries and bottles of syrup
        and chocolate sauce. After generously pouring both you dig in hungrily.
        "
    else:
        if tease:
            $ tmp = pc.greedyGirlPhrase()
            reg "I though a [tmp] might appreciate some nice fattening waffles
                for her dinner. What do you say, [pet]?"
            pc "Gimmie, I'm starving!"
        else:
            reg "I've made you a good helping of waffles for dinner, [pet]."
        "
        He hands you a good stack of thick waffles, which is joined by a
        several rashers of maple bacon, some chocolate dipped strawberries
        and bottles of syrup and chocolate sauce.
        After pouring on both you dig in hungrily.
        "
    $ food.addScale('regmain', serving)
    return

    # Weekend feast.
    #
label .weekendDFeast(serving=1.0):
    $ dbgLog("swRegHomeDinner.weekendDFeast({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    """
    Reg has prepared a literal feast for your dinner. He brings plate
    after plate with all your favourites and more. It's a dream come true
    and you visibly salivate at the sight of every new dish.

    The amount of food already placed before you makes The Tray at Ermintrude's
    look small by comparison, although this isn't the end to the amount you
    are going to be served by the end of the night.

    A whole roast chicken is joined by probably another two chickens worth of
    fried portions. Next to that is a pile of thick cut and juicy looking steaks,
    which is alongside a large portion of roast lamb.

    Plates covered in mountainous piles of bacon strip sausages and ribs can't
    hide the two triple stacked burgers next to them. Not far from these is
    are two huge pots filled to the brim with pasta, bolognese and carbonara.

    A couple of extra large and fully loaded pizzas are joined by several plates
    heaped with a medley of chinese and mexican style dishes, along with rice and
    noodles. Such wonderful variety!

    Last but most certainly not least come the sides, plates piled high with fries,
    onion rings, chicken nuggets, corn on the cob and eggs, both fried and hard boiled.
    Joining the sides are several containers of your favourite sauces.

    You look at the assembled feast in awe, everything glistening with grease
    and just waiting to be devoured by you. This, is the dream ...
    You reach forward, eager to get started.
    """
    if tease:
        $ tmp = pc.greedyGirlPhrase()
        reg "Whoa [pet], I can see you are eager to get started!
            Anything a [tmp] like you wants to start with first?"
        pc "Any of it babes, it doesn't matter.
            I just need all this in me, NOW!"
    else:
        reg "[pet!c], my love, what do you want to start with first?"
        pc "It doesn't matter babes. You know I'll eat it all."
    """
    Reg grins and nods, before bringing over the first plate. You waste no
    time shovelling food into your ravenous maw, using utensils sparingly,
    sometimes just grabbing handfuls and gobbling them down.

    Reg remains by your side, bringing you a fresh plate as soon as you are
    done with your current one. You only pause to add condiments, aside from
    that nothing seems to slow your gluttony.

    Every so often Reg feeds you, a spoon, fork or hand full, more often this is
    a selection from one of the sides, posied and ready to eat as soon as your
    current mouthful if swallowed.

    This only adds to the arousal you are feeling from your indulgence and if it
    wasn't for the food before you, you would already engaging in the act of
    heavy lovemaking. Right now, that can wait until you are finished ...
    """
    $ gt.addHours(2)
    "
    A few hours later you lean back, sucking your fingers clean. There is
    nothing left and your belly is visibly swollen from the vast amount
    packed into it, gurgling loudly with digestion.
    "
    $ pet = regPetName(tease)
    pc "So very ... full. Thanks babes!"
    reg "My pleasure, [pet]. Anything else I can get you?"
    if tease:
        "You let loose a powerful belch."
        pc "No. I'm good ... for now."
        reg "Whoa [pet], I think the nieghbours might have heard that one."
        pc "Just a sign of your little glutton's appreciation
            of being so thoughtfully stuffed."
    else:
        "You are so full a dainty burp escapes."
        pc "No. I'm ... good, for now."
    $ food.addScale('regmain', serving*3)
    return
