#
# Reg lunches
#
default regLunchLru = []

    # Reg prepares lunch for the PC.
    # Invoked as an event or when requested by PC (requested=True).
    # Can take place in bedroom or lounge.
    #
label swRegHomeLunch(requested=False):
    $ dbgLog("swRegHomeLunch")
    $ renpy.dynamic('dieting', 'foodLim', 'onCouch', 'pet', 'select', 'serving', 'tease', 'tooFat', 'unsure')
    $ dieting = pc.isDietRestricted()
    $ foodLim = regJoint.isFoodLim()
    $ onCouch = world.isLoc('swRegLounge')      # True is PC is in the lounge
    $ tooFat = reg.isPcTooFat()
    $ unsure = pc.isDietConsider()
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)

    if not requested:
        $ pet = regPetName(tease)
        reg "I'm just going to make us some lunch, [pet]."

    # Check diet status.
    #
    if dieting:
        if pc.testDietWill():
            pc "Remember I'm on a diet babe."
        elif flags.isConsume('dietStopWill'):
            # PC ran out of willpower.
            pc "You know that diet I was on babe?
                Well, I'm done with it.
                Your girl is just too damn hungry and food is so very tempting.
                Feed me!"
            if tooFat:
                reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
            elif foodLim:
                reg "I wish I could, but we don't have the money for a feast."
            else:
                reg "With pleasure, [pet]."
            $ dieting = False
        else:
            # PC cheat day.
            pc "You know that diet I'm on babe?
                Well, I think I deserve a bit of a treat tonight,
                so, you know, a bit extra please?"
            if tooFat:
                reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
            elif foodLim:
                reg "I wish I could give you extra, but we're a bit short on funds."
            else:
                reg "With pleasure, [pet]."
            $ dieting = False

    # Serving sizes.
    #
    $ serving = 1
    if foodLim or tooFat or dieting:
        # Small (ie. normal) serving if no funds, pc is too fat for Reg, or is dieting.
        $ serving = 0.5
        $ tease = False
    elif reg.isPcThin() and not unsure:
        # Very large if pc is too thin for Reg and happy with her weight.
        $ serving = 1.5
    elif pc.isGlutton() and not unsure:
        # Very large for a glutton who is happy with her weight.
        $ serving = 1.5

    # Start picker.
    #
    $ picker.start("swRegHomeLunch")

    # Normal options.
    $ picker.addLocal('.fryup')
    $ picker.addLocal('.pancakes')
    $ picker.addLocal('.waffles')

    # Feeder options.
    $ rnd = reg.randomFeeder(0, 100)
    # $ rnd = True
    if rnd:
        $ picker.addLocal('.pancakesFeed')
        # FIX - add others!

    # Weekend feast.
    if gt.isWeekend() and not (foodLim or tooFat or dieting or unsure) and (pc.isGlutton() or pc.gsize >= 16):
        $ picker.addLocal('.weekendFeast')

    # Pick a lunch
    $ select = picker.choose(regLunchLru, 0, 2)
    if select != None:
        if world.hasLabel(select):
            call expression select pass (serving) from reg_lunch_dyn
            $ food.setMeal(True)
            $ regJoint.addFoodCost(food.cost)
            $ pc.eatFood(food)
            $ gt.addHours(1)
            $ dayFlags.set('lunch')
        else:
            dbg "In swRegHomeLunch: selected label \"[select]\" was not found."
    else:
        dbg "In swRegHomeLunch: no lunches were available! How?"

    return



    # -------------------------------------------------------------------------
    # Lunches
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Fry up.
    #
label .fryup(serving=1.0):
    $ dbgLog("swRegHomeLunch.fryup({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your lunch."
    else:
        "Reg puts a cloth over your vast chest ready for your lunch."
    if serving < 1.0:
        if foodLim:
            reg "I've made you a fry-up for lunch, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you a fry-up for lunch, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you a fry-up for lunch, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a small, well, normal-sized serving of hash browns and eggs,
        a few bacon strips, a couple of sausages, some ketchup, and a slice of
        thick toast.
        You waste no time and tuck in hungrily.
        "
    elif serving > 1.0:
        if tease:
            reg "I think you'll appreciate this, [pet].
                Nothing piles on the pounds quite like a huge greasy fry-up!"
        else:
            reg "I've made you a generous fry-up for lunch, [pet]."
        "
        He hands you a more than generous serving of hash browns and eggs,
        a pile of bacon strips, a bunch of sausages and a rack of thick toast.
        You squeeze plenty of ketchup on to your plate and tuck in hungrily.
        "
    else:
        if tease:
            reg "I bet you can't wait to get this greasy fry-up inside you,
                can you, [pet]?"
        else:
            reg "I've made you a large fry-up for lunch, [pet]."
        "
        He hands you a large serving of hash browns and eggs,
        a pile of bacon strips, a bunch of sausages and some thick toast.
        You squeeze plenty of ketchup on to your plate and tuck in hungrily.
        "
    $ food.addScale('reglunch', serving)    # Replace with actual meal
    return



    # Pancakes.
    #
label .pancakes(serving=1.0):
    $ dbgLog("swRegHomeLunch.pancakes({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your lunch."
    else:
        "Reg puts a cloth over your vast chest ready for your lunch."
    if serving < 1.0:
        if foodLim:
            reg "I've made you pancakes for lunch, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you pancakes for lunch, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you pancakes for lunch, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a small stack of fluffy, plate sized pancakes,
        with a wedge of melting butter resting on top and drizzled with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    elif serving > 1.0:
        if tease:
            reg "Let's see how quickly you can stuff all these pancakes I've
                made you into that vast belly of yours.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a generous stack of pancakes for lunch, [pet]."
        "
        He hands you a towering stack of fluffy, plate sized pancakes,
        with a huge wedge of melting butter resting on top and dripping with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    else:
        if tease:
            reg "I've made my little piggy a lot of pancakes for lunch.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a large stack of pancakes for lunch, [pet]."
        "
        He hands you a large stack of fluffy, plate sized pancakes,
        with a large wedge of melting butter resting on top and dripping with
        thick, sweet and sticky syrup. You waste no time and tuck in hungrily.
        "
    $ food.addScale('reglunch', serving)
    return



    # Pancakes feed.
    #
label .pancakesFeed(serving=1.0):
    $ dbgLog("swRegHomeLunch.pancakesFeed({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    "
    Reg puts a cloth over your vast chest and tucks it under your chin.
    This is a good sign.
    "
    if serving < 1.0:
        if foodLim:
            reg "I've made you pancakes for lunch, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you pancakes for lunch, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you pancakes for lunch, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        Reg sits down next to you and feeds you forkfuls of pancake rich with
        melted butter and sweet sticky syrup. While you like being fed, you
        really wish there had been more.
        "
        pc "Thanks babe, those were yummy."
    elif serving > 1.0:
        if tease:
            reg "Are you ready for your first stuffing of the day, [pet]?
                I've a pile of pancakes here for your bottomless belly."
        else:
            reg "I've made you a generous stack of pancakes for lunch, [pet]."
        "
        Reg sits down next to you and feeds you forkful after forkful after forkfull
        of pancake rich with melted butter and dripping with sweet sticky syrup.
        Once you're finally done, he also wipes your sticky face.
        This is the life!
        "
        pc "Thanks so much babe, those were yummy."
    else:
        if tease:
            reg "I've made my little piggy a lot of pancakes for lunch.
                Got to start the day as you mean to go on, [pet]!"
        else:
            reg "I've made you a large stack of pancakes for lunch, [pet]."
        "
        Reg sits down next to you and feeds you forkful after forkful
        of pancake rich with melted butter and dripping with sweet sticky syrup.
        You do enjoy being fed like this.
        "
        pc "Thanks so much babe, those were yummy."
    $ food.addScale('reglunch', serving)
    return



    # Waffles.
    #
label .waffles(serving=1.0):
    $ dbgLog("swRegHomeLunch.waffles({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    if onCouch:
        "Reg clears a space on the coffee table ready for your lunch."
    else:
        "Reg puts a cloth over your vast chest ready for your lunch."
    if serving < 1.0:
        if foodLim:
            reg "I've made you waffles for lunch, [pet].
                I'm sorry it's not a bigger portion, but we're low on funds."
        elif dieting:
            reg "I've made you waffles for lunch, [pet].
                I've haven't gone crazy as I know you're trying to lose weight."
        else:
            reg "I've made you waffles for lunch, [pet].
                I've haven't gone crazy as I'm a bit worried about your weight."
        "
        He hands you a plate with couple of thick waffles, which are joined by a
        some maple bacon, and a few chocolate dipped strawberries. He's already
        drizzled them with syrup and chocolate sauce.
        You dig in hungrily and they're gone in no time.
        "
    elif serving > 1.0:
        if tease:
            reg "Now, [pet], how much fatter do you think all these waffles
                will make you? Will they be enough?"
        else:
            reg "I've made you a plenty of waffles for lunch, [pet]."
        "
        He hands you a plate with a large stack of thick waffles, which is joined by a
        pile of maple bacon, chocolate dipped strawberries and bottles of syrup
        and chocolate sauce. After generously pouring both you dig in hungrily.
        "
    else:
        if tease:
            $ tmp = pc.greedyGirlPhrase()
            reg "I though a [tmp] might appreciate some nice fattening waffles
                for her lunch. What do you say, [pet]?"
            pc "Gimmie, I'm starving!"
        else:
            reg "I've made you a good helping of waffles for lunch, [pet]."
        "
        He hands you a good stack of thick waffles, which is joined by a
        several rashers of maple bacon, some chocolate dipped strawberries
        and bottles of syrup and chocolate sauce.
        After pouring on both you dig in hungrily.
        "
    $ food.addScale('reglunch', serving)
    return



    # Weekend feast.
    #
label .weekendFeast(serving=1.0):
    $ dbgLog("swRegHomeLunch.weekendFeast({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    """
    Reg has prepared a literal feast for your lunch. He brings plate
    after plate with all your favourites and more. It's a dream come true
    and you visibly salivate at the sight of every new dish.

    Mountainous stacks of pancakes, waffles and toast, smothered in syrup,
    butter and chocolate sauce. Mounds of hash browns, eggs, bacon and
    sausages, all glistening with grease.

    A tower of donut boxes is joined by a pile of other assorted pastries.
    Next is a huge bowl of fruit salad, covered in whipped cream. Lastly,
    several jugs of cream, syrup and chocolate sauce for topping.
    """
    if tease:
        $ tmp = pc.greedyGirlPhrase()
        reg "Now, [pet], what would a [tmp] like you start with first?"
        pc "Any of them, it all ends up in the same place:
            my ever-growing waistline!"
    else:
        reg "[pet!c], my love, what do you want to start with first?"
        pc "It doesn't matter babes. You know I'll eat it all."
    """
    Reg grins and nods, before bringing over the first plate. You waste no
    time shovelling food into your ravenous maw, using utensils sparingly,
    sometimes just grabbing handfuls and gobbling them down.

    Reg remains by your side, bringing you a fresh plate as soon as you are
    done with your current one. You only pause to add condiments, aside from
    that nothing seems to slow your gluttony.

    Every so often Reg feeds you, usually a donut or pastry that is posied
    and ready to eat as soon as your current mouthful if swallowed. This
    adds to the arousal you are feeling from your indulgence.
    """
    $ gt.addHours(2)
    "
    A few hours later you lean back, sucking your fingers clean. There is
    nothing left and your belly is visibly swollen from the vast amount
    packed into it, gurgling loudly with digestion.
    "
    $ pet = regPetName(tease)
    pc "So very ... full. Thanks babes!"
    reg "My pleasure, [pet]. Anything else I can get you?"
    if tease:
        "You let loose a powerful belch."
        pc "No. I'm good ... for now."
        reg "A little warning next time, piggy?
            I'm sure I've got some ear defenders somewhere."
        pc "Just a sign of your little glutton's appreciation
            of being so thoughtfully stuffed."
    else:
        "You are so full a dainty burp escapes."
        pc "No. I'm ... good, for now."
    $ food.addScale('reglunch', serving*2)
    return
