#
# Midnight snack.
#
label swRegHomeNight:
    $ dbgLog("swRegHomeNight")
    $ renpy.dynamic('immobile')
    $ immobile = isPcImmobile()
    $ mealsize = pc.getMealSize()

    # 1am or an hour after sleeping.
    #
    if gt.hour < 7:
        $ gt.addHours(1)
    else:
        $ gt.addHours(25 - gt.hour)

    $ tmp = cardinal(gt.hour)

    # Can I get myself out of bed?
    #
    if immobile:
        call .immobile from reg_home_night_immobile
    else:
        call .mobile from reg_home_hight_mobile
    return


    # PC can still get out of bed.
    #
label .mobile:
    $ dbgLog("swRegHomeNight.mobile")
    $ renpy.dynamic('foodLim', 'glutton', 'pet', 'tease', 'tooFat')
    $ foodLim = regJoint.isFoodLim()            # No funds for stuffing the PC
    $ glutton = pc.isGlutton() and not pc.isDietRestricted()
    $ tease = flags.isSet('regTease') and reg.randomRomance(10, 70)
    $ tooFat = reg.isPcTooFat()
    $ pet = regPetName(tease)
    "
    You wake, hungry. It's still dark out, so you check the time.
    It's [tmp] in the morning. You try and get back to sleep, but your
    tummy wants more food.
    "
    "
    With some difficulty you manage to get out of bed without waking Reg,
    and waddle to the kitchen.
    He certainly sleeps soundly.
    "
    if foodLim:
        "
        You go through the cabinets, look in the fridge, then the freezer,
        but there's nothing. Then you remember Reg saying that there wasn't
        any money for extra food this week. Damn.
        "
        "
        You waddle back to the bedroom, and climb back over Reg who is still
        sound asleep. It takes a while but you do manage to drift off.
        "
        return

    # Dieting?
    #
    if pc.isDietRestricted():
        $ prompt = addMenuAlt("This is a bad idea {}".format(pc.name))
        menu:
            "[prompt]"
            "Resist!":
                if pc.testDietWill():
                    pc "I'll be careful and only have a small something so I can sleep."
                elif flags.isConsume('dietStopWill'):
                    pc "I hate dieting. I hate not being able to sleep.
                        I've had enough of dieting.
                        I'm going to eat what I want,
                        and then I'm going to sleep."
                    $ mealsize = pc.getMealSize()
                else:
                    pc "I can't stand it.
                        I'm too tired and too hungry!"
                    $ mealsize = pc.getMealSize()
    elif pc.cheatDay:
        "I know technically it's past midnight,
        but it's still the same cheat day in my book."

    # Choose a snack
    #
    $ foodMenu.startClear("Midnight snacks")
    if glutton:
        $ foodMenu.setMinSize(2)
    $ foodMenu.addFood('cake', "Some cake", 0, 2, True)
    $ foodMenu.addFood('cakew', "A whole cake", 0, 6, True)
    $ foodMenu.addFood('regsnack', "A family sized bag of chips", 0, 0, True)
    $ foodMenu.check()
    $ prompt = addMenuAlt("What do you want to snack on?")
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        'cake':
            "
            You find some heavily frosted cake in one of the cabinets and
            help yourself to a delicious slice. That was so good you decide to
            have a second slice too.
            "
            $ food.addScale(foodMenuSeln, 2)
            $ pc.addGreed(0.1)
        'cakew':
            "
            You find some heavily frosted cake in one of the cabinets and
            decide to eat the whole thing. No need to cut it into slices,
            you just bite into its deliciousness.
            "
            $ food.add(foodMenuSeln)
            $ pc.addGreed(0.2)
        'regsnack':
            "
            You take one of the \"family sized\" bags of chips from the snack
            cabinet and start munching on them.
            "
            $ food.add(foodMenuSeln)
            $ pc.addGreed(0.1)

    $ regJoint.addFoodCost(foodMenu.getCostRaw(foodMenuSeln))
    $ pc.eatFood(food)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    $ rnd = pc.randomWeightRangeKg(800/2.2, immobileLim, 30, 90)
    # $ rnd = True
    if rnd:
        $ prompt = "smile"
        if tooFat:
            reg "[pet!c], you really need to stop having these midnight snacks."
            $ prompt = "look guilty"
        if tease:
            reg "Why am I not surprised, [pet]? You are one greedy girl."
        else:
            reg "What are you doing, [pet]?"

        # Describe being found eating.
        #
        $ pet = regPetName(tease)
        if foodMenuSeln in ('cake', 'cake8'):
            "
            You look up at him, mouth still full, frosting on your lips, and [prompt].
            "
            pc "I couldn't sleep and just fancied some cake, babe."
        else:
            # Generic case.
            "
            You look up from your snack, and [prompt].
            "
            pc "I couldn't sleep and needed a snack, babe."
        $ tmp = pc.adjBloat()
        if tooFat:
            reg "I guess it's too late now as you've already eaten it.
                Come back to bed before you are tempted by anything else."
            pc "Sorry. It's so hard to resist the hunger pangs."
        elif tease:
            reg "Are you coming back to bed or are you not done yet, [pet]?"
            "
            You rub the soft fat of your vast [tmp] belly.
            "
            pc "I think I'm done. I should be able to sleep easily now."
        else:
            reg "Are you coming back to bed, [pet]?"
            "
            You rub the soft fat of your vast [tmp] belly.
            "
            pc "I think I'm done. I should be able to sleep easily now."

    else:
        $ tmp = pc.adjBloat()
        "
        You rub the soft fat of your vast [tmp] belly,
        waddle back to the bedroom, and climb back over Reg who is still
        sound asleep.
        Mission accomplished!
        You should be able to sleep now.
        "
    return


    # PC needs reg to feed her.
    #
label .immobile:
    $ dbgLog("swRegHomeNight.immobile")
    $ renpy.dynamic('foodLim', 'pet', 'tease', 'tooFat')
    $ foodLim = regJoint.isFoodLim()            # No funds for stuffing the PC
    $ pet = regPetName()
    $ tease = flags.isSet('regTease') and reg.randomRomance(10, 70)
    $ tooFat = reg.isPcTooFat()
    $ tmp = cardinal(gt.hour)
    "
    You wake, hungry. It's still dark out, so you check the time.
    It's [tmp] in the morning. You try and get back to sleep, but your
    tummy wants more food.
    "
    pc "Babe? Reg?"
    "
    Reg is fast asleep, but you are going to need his help, so you wake him up.
    "
    reg "Ughhh, mmm. [pet!c] what is it?"

    # PC is too fat for Reg.
    #
    if tooFat:
        pc "I'm hungry babe, and I can't sleep."
        reg "[pet!c], I don't think it's a good idea for you to eat any more,
            I'm worried about your weight.
            Just try to get back to sleep."
        $ pc.addMood(-1)
        "
        Reg puts his arm on your belly and kisses you.
        It takes a while but you do manage to drift off.
        "
        return

    # No food.
    #
    if foodLim:
        pc "I'm hungry babe, and I can't sleep."
        reg "I'm so sorry [pet], but we've got no money for extra food.
            I wish it was otherwise.
            Try and get back to sleep."
        $ pc.addMood(-1)
        "
        Reg puts his arm on your belly and kisses you.
        It takes a while but you do manage to drift off.
        "
        return

    # Dieting.
    #
    if pc.isDiet():
        if pc.isDietRestricted():
            reg "I thought you were trying to diet, [pet]."
            $ pet = regPetName()
            if pc.testDietWill():
                pc "Yes, I am, but I can't sleep."
                reg "I'm sorry, [pet], but I'm not going to help you break your diet."
                return
            elif flags.isConsume('dietStopWill'):
                pc "I hate dieting babe. I hate not being able to sleep.
                    I've had enough of dieting.
                    I want food, babe.
                    Stuff me so I can sleep."
                reg "Okay, [pet]. I'll see what I can find."
            else:
                pc "I can't stand it, babe.
                    I'm too tired and too hungry!
                    Please, please, bring me something to eat."
                reg "Okay, [pet]. I'll see what I can find."
        else:
            # Already a cheat day.
            reg "I thought you were trying to diet, [pet]."
            pc "I am, but it's a cheat day."
            $ pet = regPetName()
            reg "It's past midnight, [pet]. It's a new day."
            pc "It's still the same cheat day in my book."

    # Reg brings you food.
    #
    call swRegHomeSnack(True) from reg_home_night_immobile_snack
    $ pet = regPetName(tease)
    reg "Are you going to be able to get back to sleep now, [pet]?"
    $ tmp = pc.adjBloat()
    "
    You rub the soft fat of your vast [tmp] belly.
    "
    pc "Yes, thank you babe."
    return
