#
# Relax in bed.
# Offer the player a choice of relaxing options.
#
label swRegHomeRelax(working=False):
    $ dbgLog("swRegHomeRelax")
    $ mealsize = pc.getMealSize()
    if working:
        $ prompt = "I don't feel like working so what should I do instead?"
    else:
        $ prompt = "I feel like chilling out, what should I do?"
    $ pc.appendPrompt(prompt, gt.hour, mealsize)
    menu:
        "[prompt]"
        "Have a little sleep":
            call .sleep from bed_relax_sleep
        "Listen to some music (x)":
            pass
        "Watch some TV":
            call .tv from bed_relax_tv
        "Back":
            pass
    return



    # -------------------------------------------------------------------------
    # Relax options
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Have a sleep on the bed.
    #
label .sleep:
    $ dbgLog('swRegHomeRelax.sleep')
    if pc.isDietRestricted():
        "
        Dieting always leaves you feeling weak, so you fall asleep almost
        immediately. When you wake up an hour has gone by.
        "
    elif fullness < 40 and mealsize >= 3:
        $ tmp = lowerFirst(pc.hungerPhrase())
        "
        However you just can't drop off as [tmp].
        You'll need some more food inside you before you can sleep.
        "
        return
    elif fullness >= 200:
        "
        You are so repleat with food, you were barely awake anyway,
        so you're asleep before you know it! When you wake from your
        postprandial nap two hours have gone by.
        "
        $ gt.addHours(1)
    elif fullness > 150:
        "
        You are so stuffed with food, you were already micro-sleeping,
        so you're asleep before you know it! You wake an hour later.
        "
    else:
        "
        A lazy girl like you has no trouble falling asleep, and you wake an
        hour later.
        "
    $ pc.useEnergy(-1)
    $ gt.addHours(1)
    return



    # Watch some TV.
    #
label .tv:
    $ dbgLog('swRegHomeRelax.tv')
    $ renpy.dynamic('unsure')
    $ unsure = pc.isDietConsider()
    $ prompt = addMenuAlt("Now what to watch?")
    menu:
        "[prompt]"
        "Catch up on your favourite shows":
            call .tvEpisodes from bed_tv_catchup
            call .tvAdBreaks from bed_tv_catchup_ads
        "Just channel surf":
            call .tvChannelSurf from bed_tv_surf
            call .tvAdBreaks from bed_tv_surf_ads
        "Watch a movie":
            if regHere:
                call swRegHomeRelaxReg.tvMovie from bed_tv_movie_reg
            else:
                call .tvMovie from bed_tv_movie
    $ pc.useEnergy(1)
    $ gt.addHours(2)
    return



    # Effect of adverts
    #
label .tvAdBreaks:
    $ dbgLog('swRegHomeRelax.tvAdBreaks')
    if unsure:
        "There are so many ad breaks, and so many of them are for food.
        You really don't want to be reminded
        with how uncomfortable you feel with your size these days."
        $ pc.addMood(-1)
    else:
        "There are so many ad breaks, and so many of them are for food.
        You find yourself losing interest for the show you're watching and
        looking forward to the next ad for a juicy burger, a sizzling
        steak, a bucket of chicken, or stack of pancakes smothered in syrup."
        $ pc.addMood(1)
        $ pc.addLim(1)
        if not dayCounters.isZero('regSnacks'):
            if pc.isDietRestricted():
                if pc.testDietWill():
                    # Still dieting.
                    $ pc.addMood(-2)
                    return
                elif flags.isConsume('dietStopWill'):
                    # Broke diet.
                    "
                    By the time the show is over, you find you've an empty
                    bag of chips in your hands. You've mindlessly eaten the
                    whole lot! I guess your dieting days are over, aren't
                    they [pc.name]?
                    "
                else:
                    "
                    By the time the show is over, you find you've an empty
                    bag of chips in your hands. You've mindlessly eaten the
                    whole lot! I guess you've subconsciously made today a
                    cheat day, haven't you [pc.name]?
                    "
            else:
                "
                By the time the show is over, you find you've an empty
                bag of chips in your hands. You've mindlessly eaten the
                whole lot without knowing what you were doing!
                Oh well, getting fatter is getting fatter, isn't it [pc.name]?
                "
            $ food.add('regsnack')
            $ regJoint.addFoodCost(food.cost)
            $ pc.eatFood(food)
            if dayCounters.decIsZero('regSnacks'):
                pc "Oh, that was my last bag too.
                    Shame I don't actually remember eating it!"
    return



    # Just channel surf.
    #
label .tvChannelSurf:
    $ dbgLog('swRegHomeRelax.tvChannelSurf')
    if pc.isDietRestricted():
        "
        You are so distracted by your diet, you don't think you could focus
        on anything specific so you decide to flick through the channels until
        you find something you'd like to watch.
        "
    else:
        "
        You don't have anything in mind you'd like to see so you decide to
        flick through the channels until you find something you'd
        like to watch.
        "
    return



    # Catch up on episodes.
    #
label .tvEpisodes:
    $ dbgLog('swRegHomeRelax.tvEpisodes')
    # Add more details to this (maybe vary answers depending on shows?)
    # Select New, Old or Favourite?
    $ rnd = pc.random(0, 5)
    $ tmp = ('baking', 'comedy', 'cooking', 'horror', 'nerdy', 'sci-fi')[rnd]
    "You decide it's time to catch up on your favourite [tmp] show on Getflix."
    $ rnd = pc.random(0,5)
    if rnd == 0:
        "You were very pleased with the show you watched."
        $ pc.addMood(0.1)
    elif rnd == 1:
        "The show wasn't bad, but wasn't great either."
    elif rnd == 2:
        "
        It was nice to see some bigger women on the show,
        even if none of them were near your size, [pc.name].
        "
        $ flags.set('mooGoodRep')
        $ pc.addLim(0.5)
    elif rnd == 3:
        "
        As usual there was a distinct lack of representation of bigger
        women on the show, which was dissapointing.
        "
        $ flags.set('mooRantRep')
        $ pc.addLim(-0.1)
    else:
        "You are not a fan of the direction the show is taking."
        $ pc.addMood(-0.05)
    return



    # Watch a movie.
    #
label .tvMovie:
    $ dbgLog('swRegHomeRelax.tvMovie')

    if dayCounters.isZero('regSnacks'):
        "
        It would be nice to have some snacks to go with a movie, but as you've
        none left you'll have to go without. Somehow the whole movie experience
        isn't quite the same.
        "
        $ pc.addMood(-0.05)
        return
    elif pc.isDietRestricted():
        if pc.testDietWill():
            $ tmp = lowerFirst(pc.dietHungerPhrase())
            "
            Damn, you really want to munch something while you watch this movie,
            but there is the small matter of your on-going diet.
            You try and get into it, but find you can't as [tmp].
            "
            $ pc.addMood(-0.1)
            return
        elif flags.isConsume('dietStopWill'):
            # Broke diet.
            "
            A movie isn't a movie without something to munch, so you grab a
            bag of chips and tear them open as the titles roll.
            By the time credits are running, you've mindlessly eaten the whole lot!
            I guess your dieting days are over, aren't they [pc.name]?
            "
        else:
            "
            A movie isn't a movie without something to munch, so you grab a
            bag of chips and tear them open as the titles roll.
            By the time credits are running, you've mindlessly eaten the whole lot!
            I guess you've subconsciously made today a cheat day, haven't you [pc.name]?
            "
    else:
        "
        A movie isn't a movie without something to munch, so you grab a
        bag of chips and tear them open as the titles roll.
        By the time credits are running, you've mindlessly eaten the whole lot!
        "
    $ food.add('regsnack')
    $ regJoint.addFoodCost(food.cost)
    $ pc.eatFood(food)
    if dayCounters.decIsZero('regSnacks'):
        pc "Oh, that was my last bag too.
            Shame I don't really remember eating it!"
    return
