#
# Relaxing with Reg on the couch.
# variants of relax when Reg is present.
#
label swRegHomeRelaxReg:


    # Watch a movie with Reg.
    # Example!
    #
label .tvMovie:
    $ dbgLog('swRegHomeRelaxReg.tvMovie')
    $ renpy.dynamic('dieting', 'foodLim', 'pet', 'serving', 'tease', 'tooFat', 'unsure')
    $ dieting = pc.isDietRestricted()
    $ foodLim = regJoint.isFoodLim()
    $ tooFat = reg.isPcTooFat()
    $ unsure = pc.isDietConsider()
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)

    # Serving sizes.
    #
    $ serving = 1
    if foodLim or tooFat or dieting:
        # Small (ie. normal) serving if no funds, pc is too fat for Reg, or is dieting.
        $ serving = 0.5
        $ tease = False
    elif not unsure and (reg.isPcThin() or pc.isGlutton()):
        # Very large if pc is happy with her weight and is either a glutton or too thin for Reg.
        $ serving = 1.5

    $ pet = regPetName(tease)
    pc "I was thinking of watching a movie babe. Want to join me?"
    reg "Give me a couple of minutes, [pet], and I'll get us some popcorn."
    if serving < 1:
        "
        You scroll through the movie options while reg busies himself in the
        kitchen. The microwave pings and then he's back with a small bowl of
        popcorn and the heavenly smell of warm butter.
        "
    elif serving > 1:
        "
        You scroll through the movie options while reg busies himself in the
        kitchen. The microwave pings several times and then he's back with a
        huge bowl of popcorn and the heavenly smell of warm butter.
        "
    else:
        "
        You scroll through the movie options while reg busies himself in the
        kitchen. The microwave pings a few times and then he's back with a
        large bowl of popcorn and the heavenly smell of warm butter.
        "
    "
    Reg joins you on the bed , and hands you the bowl.
    You grab a fistful and start munching them.
    Then another handful.
    "
    pc "These are so buttery babe, thank you."
    $ pet = regPetName(tease)
    if tease:
        reg "Have you forgotton about the movie part of this, [pet]?"
        pc "Ooops."
        reg "Give me the remote before you get it all greasy."
    else:
        reg "Shall I start the movie, [pet]?"
        pc "Yes, please."
    if serving < 1:
        "
        Reg presses \"play\" and the pair of you share the popcorn.
        It doesn't last long at all, and you snuggle up to him
        to watch the action.
        "
    elif serving > 1:
        "
        Reg presses \"play\" and the pair of you share the popcorn.
        Well, at least at the start. He's more focused on the action
        so you balance the bowl on your belly for convenience.
        When it's finally empty, you set it down and snuggle up to him.
        "
    else:
        "
        Reg presses \"play\" and the pair of you share the popcorn.
        Well, at least at the start. He's more focused on the action
        and you're the only one eating.
        When the bowl is empty, you set it down and snuggle up to him.
        "
    $ food.addScale('popcorn', serving*2)
    $ regJoint.addFoodCost(food.cost)
    $ pc.eatFood(food)
    $ pet = regPetName(tease)
    if pc.getFullnessNow() >= 100:
        "
        You wake to find the movie has finished, and Reg is supporting your
        head.
        "
        if tease:
            reg "I guess once the popcorn was gone, [pet],
                the movie was over for you, wasn't it?"
            if unsure:
                pc "Mmm? I wish I didn't feel so sleepy after eating.
                    I guess that's another movie I've only seen the start of."
            else:
                pc "Mmm? You know I enjoy a nice nap after food,
                    and it helps me to put those calories to good use.
                    I guess that's another movie I've only seen the start of."
        else:
            reg "Nice little nap, [pet]?"
            pc "Mmm? Yes, thank you.
                I guess that's another movie I've only seen the start of."
        "
        Reg kisses you, and then gets up.
        "
    else:
        "
        The two of you cuddle until the end credits roll, and after giving
        you a kiss, Reg gets up.
        "
    return
