#
# Reg snacks
#
default regSnackLru = []

    # Reg gets a snack for the PC.
    # Invoked as an event or when requested by PC (requested=True).
    # Can take place in bedroom or lounge.
    #
label swRegHomeSnack(requested=False):
    $ dbgLog("swRegHomeSnack")
    $ renpy.dynamic('dieting', 'foodLim', 'glutton', 'onCouch', 'pet', 'select', 'serving', 'snacks', 'tease', 'tooFat', 'unsure')
    $ mealsize = pc.getMealSize()               # Mealsize
    $ dieting = pc.isDietRestricted()           # PC is dieting
    $ foodLim = regJoint.isFoodLim()            # No funds for stuffing the PC
    $ glutton = pc.isGlutton and not dieting    # Glutton behaviour
    $ onCouch = world.isLoc('swRegLounge')      # True is PC is on the couch in the lounge
    $ tooFat = reg.isPcTooFat()                 # Reg thinks PC is too fat
    $ snacks = dayCounters.get('regSnacks')     # Snacks remaining
    $ unsure = pc.isDietConsider()              # PC thinks she's too fat
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)

    if requested:
        $ opt = pc.rawMealsize
        if opt >= 6:
            pc "Babe, I'm starving, what've we got to eat?"
        elif opt >=3:
            pc "Babe, I'm hungry, can you find me something to eat?"
        else:
            pc "Babe, I'm a bit peckish, have we got any snacks?"
        if dieting:
            reg "I thought you were on a diet?"
            if pc.testDietWill():
                pc "I am aren't I? That's why I'm hungry babe."
                reg "I'm not going to help you break your diet, [pet]."
                return
            elif flags.isConsume('dietStopWill'):
                # PC ran out of willpower.
                pc "I've had enough of dieting babe. I'm giving up. Snacks please!"
                if tooFat:
                    reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
                elif foodLim:
                    reg "I wish I could bring you some, but we don't have the money for snacks."
                    return
                else:
                    reg "With pleasure, [pet]."
                $ dieting = False
            else:
                # PC cheat day.
                pc "About that, I think I deserve a bit of a cheat day, so can I have a snack please?"
                if tooFat:
                    reg "Oh, okay, I'm not sure that's the best idea you've had, [pet]."
                elif foodLim:
                    reg "I wish I could bring you some, but we don't have the money for snacks."
                    return
                else:
                    reg "With pleasure, [pet]."
                $ dieting = False
        elif foodLim:
            reg "I'm afraid we don't have money for snacks, [pet]."
            return

    # Serving sizes.
    #
    $ serving = 1
    if foodLim or tooFat or dieting:
        # Small (ie. normal sized) serving if no funds, pc is too fat for Reg, or is dieting.
        $ serving = 0.5
        $ tease = False
    elif reg.isPcThin() and not unsure:
        # Very large if pc is too thin for Reg and happy with her weight.
        $ serving = 1.5
    elif pc.isGlutton() and not unsure:
        # Very large for a glutton who is happy with her weight.
        $ serving = 2.0

    # Start picker.
    #
    $ picker.start("swRegHomeSnack")

    # Normal options.
    $ picker.addLocal('.donuts')

    # Feeder options.
    $ rnd = reg.randomFeeder(0, 100)
    # $ rnd = True
    if rnd:
        pass
        # $ picker.addLocal('.donutFeed')
        # FIX - add others!

    # Uneaten snacks
    if snacks > 0:
        $ picker.addLocal('.snacks', 200, 200)

    $ select = picker.choose(regSnackLru, 0, 2)
    if select != None:
        if world.hasLabel(select):
            call expression select pass (serving) from reg_snack_dyn
            $ regJoint.addFoodCost(food.cost)
            $ pc.eatFood(food)
            $ gt.addHours(1)
        else:
            dbg "In swRegHomeSnack: selected label \"[select]\" was not found."
    else:
        dbg "In swRegHomeSnack: no snacks were available! How?"

    return



    # -------------------------------------------------------------------------
    # Snacks
    #
    # These can either use serving scaling, or mealsize.
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


    # Donuts.
    #
label .donuts(serving=1.0):
    $ dbgLog("swRegHomeDinner.donuts({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    # How many?
    $ tmp = "some donuts"
    if mealsize >= 4:
        $ opt = 12
    elif mealsize >= 1 and glutton:
        $ opt = 6
    elif mealsize >= 1 or glutton:
        $ opt = 3
    else:
        $ opt = 1
        $ tmp = "a donut"

    if requested:
        reg "How about [tmp]?"
    else:
        reg "Would you like [tmp] [pet]?"
    pc "Yes please!"

    if opt == 1:
        "
        Reg hands you a donut on a small plate, and waste no time eating it.
        "
    elif opt == 3:
        "
        Reg hands you three donuts on a plate, and you eat them one after
        another, saving the chocolate coated one for last.
        "
    elif opt == 6:
        "
        Reg hands you a box of six assorted donuts, each a different flavour.
        The first one is quickly gone, but by the time you get to the last one
        you are slowing down just a little.
        "
    else:
        "
        Reg hands you a large box of twelve assorted donuts, two of each flavour.
        The first one is quickly gone, but by the time you get to the last one
        you are slowing down a little.
        "

    $ food.addScale('donut', opt)
    return


    # Snacks from work day.
    #
label .snacks(serving=1.0):
    $ dbgLog("swRegHomeDinner.snacks({:0.1f})".format(serving))
    $ pet = regPetName(tease)
    # How many?
    $ opt = min(snacks, mealsize)
    $ tmp = cardinal(opt)

    if requested:
        if snacks == 1:
            reg "Well, there's this last bag of chips from earlier you didn't finish?"
        elif opt == 1:
            reg "Well, there's this bag of chips from earlier you didn't finish?"
        else:
            reg "Well, there's these [tmp] bags of chips from earlier you didn't finish?"
        pc "Oh, yes please, I was so busy I didn't have time to eat them."
    elif tease:
        reg "Are you not feeling well, [pet]?"
        pc "I'm fine babe, why?"
        $ pet = regPetName(tease)
        if snacks == 1:
            reg "You haven't eaten all the bags of chips I left you,
                there's still one left, [pet].
                It's simply not good enough.
                You'll have to finish them right now."
        elif opt == 1:
            reg "You haven't eaten all the bags of chips I left you,
                there's some left, [pet].
                It's simply not good enough.
                I want to see you eat one right now."
        else:
            reg "You haven't eaten all the bags of chips I left you,
                there's some left, [pet].
                It's simply not good enough.
                I want to see you eat [tmp] bags right now."
        pc "I'm sorry, Reg. I'll be a good little piggy."
    else:
        if snacks == 1:
            reg "[pet!c], you didn't finish this last bag of chips I left you.
                Would you like it now?"
        elif opt == 1:
            reg "[pet!c], you didn't eat all the bags of chips I left you.
                Would you like one now?"
        else:
            reg "[pet!c], you didn't eat all the bags of chips I left you.
                Would you like some now?"
        pc "Oh, yes please, I was so busy I didn't have time to eat them."
    if opt == 1:
        "
        Reg hands you one of the family sized bags of chips and you munch your
        way through it.
        "
    else:
        "
        Reg hands you [tmp] family sized bags of chips and you munch your
        way through them.
        "
    $ food.addScale('regsnack', opt)
    $ dayCounters.add('regSnacks', -opt)
    if tease and not requested:
        reg "Good girl."
    else:
        pc "Thanks babe."
    return
