#
# Reg's lounge
#
define regCouchSeatWidth = 25
define regCouchSeatDepth = 25

init python:
    # Does Reg fit on the couch without squishing?
    #
    def isRegCouchFit():
        return 3*regCouchSeatWidth - pcHipsSpreadIn() >= 20

    # How many seats does the PC's butt cover?
    #
    def pcRegCouchSeatsPhrase():
        frac = float(pcHipsSpreadIn())/regCouchSeatWidth
        fourths = int(round(frac*4))
        result = "one"
        if fourths >= 12:
            result = "all three"
        elif fourths == 11:
            result = "almost three"
        elif fourths == 10:
            result = "two and a half"
        elif fourths == 9:
            result = "two and a bit"
        elif fourths == 8:
            result = "two"
        elif fourths == 7:
            result = "almost two"
        elif fourths == 10:
            result = "one and a half"
        elif fourths == 9:
            result = "one and a bit"
        if debug:
            dbg("pcCouchSeatsPhrase()=\"{}\" frac={:0.1f} fourths={}".format(result, frac, fourths))
        return result

label swRegLounge:
    $ world.setLoc('swRegLounge')
    return


    # -------------------------------------------------------------------------
    # Main loop interface
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    $ dbgLog("swRegLounge.freeChoice")
    $ renpy.dynamic('assist', 'heavy', 'select')
    $ clearHere()
    $ assist = pc.randomWeightRangeLb(920, 970)
    $ heavy = pc.getMass() > 880/2.2
    $ regHere = gt.isWeekend() or not gt.isBetween(9, 18)
    #
    # Reg's ideas
    #
    if regHere and gt.hour <= 23:
        $ picker.start('swRegEvents')
        call swRegEvents.addEvents from lounge_free_pick
        # Add player choice option.
        $ picker.addOption('player', picker.getSumWeights(), 50, True)
        $ select = picker.choose(regLru, -1, 2)
        if select == None:
            dbg "In swRegLounge.freeChoice: no reg options were available!"
        elif select != 'player':
            if world.hasLabel(select):
                call expression select from lounge_free_event
                return
            else:
                dbg "In swRegLounge.freeChoice: selected label \"[select]\" was not found."
    # Fall though into player choice.
    #
    $ mealsize = pc.getMealSize()
    $ prompt = "What to do?"
    $ prompt = pc.appendPrompt(prompt, gt.hour, mealsize)
    menu:
        "[prompt]"
        "Babes ..." if regHere:
            # Ask Reg for something .. food, feeding, bedbath, play(all kinds) ...
            call .babes from lounge_free_babes
        "Relax":
            call swRegLoungeRelax from lounge_free_relax
        "Work things":
            call swRegLoungeWork.choice(True) from lounge_free_work
        "Get to the bedroom" if heavy and (not assist or regHere):
            call .toBedroom from lounge_free_get_bed
        "Go to bedroom" if not heavy:
            call .toBedroom from lounge_free_go_bed
        "Debug" if debugMenus:
            call debugMenu from lounge_free_debug
    return

    # Work.
    # Invoked when the pc is working here.
    #
label .work:
    $ dbgLog("swRegLounge.work")
    $ world.working = True
    call swRegLoungeWork from lounge_work_if
    return

    # Work end.
    # Invoked when the pc stops working here and Reg comes home.
    #
label .workEnd:
    $ dbgLog("swRegLounge.workEnd")
    $ regHere = True
    call .regRetHome from lounge_workend_rethome
    if gt.dayOw == 3:
        # Thursday shop
        call swRegHome.shopping from lounge_workend_shopping
    call swRegHomeDinner from lounge_workend_meal
    return

    # Player exhausted.
    # Invoked when the PC energy drops to zero in place of player.exhausted
    #
label .pcExhausted:
    $ dbgLog("swRegLounge.pcExhausted")
    $ renpy.dynamic('pet')
    if regHere:
        $ pet = regPetName()
        pc "Babe, I'm exhausted, I need to sleep."
        reg "Sure thing, [pet], lets get you to bed."
    else:
        pc "I'm exhausted. I need to sleep."
    return

    # Player up too late.
    # Invoked when the is between zero and 8 in place of player.tooLate
    #
label .pcTooLate:
    $ dbgLog("swRegLounge.pcTooLate")
    $ renpy.dynamic('pet')
    if regHere:
        $ pet = regPetName()
        pc "Babe, it's so late. I need to sleep."
        reg "Sure thing, [pet], lets get you to bed."
    else:
        pc "It's really late, I should sleep."
    return

    # Return "home", ie. to bed, from here.
    # Describe player returning to their bed.
    #
label .retHomeFromHere(toLoc=None):
    $ dbgLog("swRegLounge.retHomeFromHere({})".format(toLoc))
    call .toBedroom from lounge_ret_home_from
    return



    # -------------------------------------------------------------------------
    # Routines
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Ask reg for ...
    #
label .babes:
    $ dbgLog("swRegLounge.babes")
    $ renpy.dynamic('pet', 'teased')
    $ mealsize = pc.getMealSize()
    $ teased = flags.isSet('regTease') and not reg.randomRomance(40, 70)
    $ pet = regPetName(teased)
    pc "Babes!"
    if teased:
        reg "And what did your last servant die of, [pet]?"
    else:
        reg "Can I get you anything, [pet]?"
    $ prompt = addMenuAlt("What do I want Reg for?")
    menu:
        "[prompt]"
        "Cuddles":
            call .cuddles from lounge_babes_cuddles
        "Chat (x)":
        # Add topics here, questions about Reg and his life
            pass
        "Snack" if mealsize > 0:
            call swRegHomeSnack(True) from lounge_babe_snack
        "Lunch please" if mealsize > 0 and gt.isBetween(12, 18) and not (dayFlags.isSet('regLunch') or dayFlags.isSet('lunch')):
            call .lunchPlease from lounge_babes_lunch_please
        "Dinner please" if mealsize > 0 and gt.isAfter(18) and not dayFlags.isSet('regDinner'):
            call .dinnerPlease from lounge_babes_dinner_please
        "Back":
            if teased:
                pc "Umm, I forgot what I wanted. And the last guy? I sat on him
                    if you must know."
                reg "What a way to shuffle off this mortal coil;
                    buried under your massive ass."
            else:
                pc "Sorry, I can't remember what I wanted."

            # Glutton mode with space to spare...
            #
            if pc.isGlutton() and not pc.isFull(150) and pc.isDietUnrestricted():
                call .gluttonSnacks from lounge_babes_glutton
        "Debug" if debugMenus:
            call debugMenu from lounge_babes_debug
    return



    # Cuddles on the couch.
    # Inherits pet and teased.
    # Couch seats are 25in wide, so PC is likely occupying 2 seats or more.
    #
label .cuddles:
    $ dbgLog('swRegLounge.cuddles')
    $ renpy.dynamic('fullness', 'regFits')
    $ fullness = pc.getFullnessNow()
    $ regFits = isRegCouchFit()
    $ pet = regPetName(teased)
    $ dbgLog("regFits [regFits]")
    if teased:
        pc "Your little piggy would like some cuddles."
        if regFits:
            reg "Here I thought you were going to ask for more food, [pet].
                I'll gladly give you cuddles."
        else:
            reg "I don't know if there's room on the couch little piggy.
                This is a three seater, but your spreading onto my cushion
                now!"
    else:
        pc "Can I have some cuddles, please?"
        reg "Oh, [pet], I'm always happy to give you cuddles."
    if regFits:
        "
        Reg joins you on the couch, and puts his muscular arm around your
        shoulder and you lean your soft body against him. His other
        hand gently strokes your heavy belly, or at least as much of it
        as he can reach.
        "
    else:
        "
        Reg wedges himself between your hip and the armrest, and puts his
        muscular arm around your shoulder. You lean your soft body against
        him and his other hand gently strokes your heavy belly, or at least
        as much of it as he can reach.
        "
    $ dbgLog("fullness [fullness]")
    $ pet = regPetName(teased)
    if fullness > 80:
        pc "Oooh, that's good babe. My belly is so full."
        if teased:
            reg "It's hardly a surprise that my little piglet has been eating
                all day, is it?
                Let's see if we can make a little more room."
            pc "Yes please!"
        else:
            reg "Good girl, [pet]. Would you like me to rub it some more?
                Make a bit more room for later?"
            pc "Yes please!"
        # Reduce fullness by 5%.
        $ pc.full *= 0.95
        $ pc.addGreed(0.05)
    else:
        pc "Mmm, that's nice babe. I like it when you touch my belly."
        reg "And I like touching it too, [pet]."
    $ pc.addMood(1)
    $ reg.addRomance(1)
    $ gt.addHours(1)
    return



    # PC asking for dinner.
    #
label .dinnerPlease:
    $ dbgLog('swRegLounge.dinnerPlease')
    $ pet = regPetName(teased)
    if teased:
        pc "Your piglet is so very hungry. She needs her dinner."
        reg "Your wish is my command, [pet]."
    else:
        pc "I'm feeling quite hungry. Can I have dinner now? Please."
        reg "Of course [pet], let me get that for you. I don't want you
            going hungry."
    call swRegHomeDinner(True) from reg_lounge_dinner_please
    #
    # Test for wanting more *after* that meal has been consumed.
    # Do not offer if PC is dieting.
    # Handle not having money for food.
    # Handle Reg thinking PC is too fat already.
    # This test may have to be in with the meal, depending on what
    # those events look like - Dingo
    #
    if pc.isGlutton() and not pc.isFull(150) and pc.isDietUnrestricted():
        $ pet = regPetName(teased)
        pc "Babes, I'm still hungry, can I get some more?"
        if regJoint.isFoodLim():
            reg "I'm afraid we can't afford any more food at the moment, [pet]."
        elif reg.isPcTooFat():
            reg "I don't think that's a good idea, [pet].
                I'm a bit worried about how big you are getting."
        else:
            reg "Damn, ok [pet], sure you don't want to leave room for dessert?"
            pc "I {i}always{/i} have room for dessert babe ..."
            # Add more eating here...
            call swRegHomeSnack(True) from reg_lounge_dinner_glut
    return



    # PC is a glutton and asks for more snacks.
    #
label .gluttonSnacks:
    $ dbgLog('swRegLounge.gluttonSnacks')
    #
    # Morganism - Feel free to adjust this text.
    #
    $ pet = regPetName(teased)
    pc "Actually, seeing as you are here, I could go for a snack."
    if not dayCounters.isZero('regSnacks'):
        # There are snacks from earlier.
        reg "Here, [pet], have these you didn't finish earlier."
        "Reg opens the bag for you and you start munching away."
        $ food.add('regsnack')
        $ regJoint.addFoodCost(food.cost)
        $ pc.eatFood(food)
        $ dayCounters.dec('regSnacks')
    elif regJoint.isFoodLim():
        # There's no money for more snacks.
        reg "I'm afraid we can't afford any more food at the moment, [pet]."
    elif reg.isPcTooFat():
        # Reg isn't going to feed PC extra as she's too fat.
        reg "I don't think that's a good idea, [pet].
            I'm a bit worried about how big you are getting."
    else:
        # Reg gets another bag of snacks
        "
        Reg goes into the kitchen and comes back with a large bag of
        chips which he opens for you.
        "
        reg "Here you go, [pet]!"
        pc "Thanks babe!"
        $ food.add('regsnack')
        $ regJoint.addFoodCost(food.cost)
        $ pc.eatFood(food)
    return



    # PC asking for lunch.
    #
label .lunchPlease:
    $ dbgLog('swRegLounge.lunchPlease')
    $ pet = regPetName(teased)
    if teased:
        pc "My tummy says it must lunch time by now babe. Please?
            It's never ever wrong about meal times."
        reg "As your bottomless belly wishes, [pet]."
    else:
        pc "I could really go for some lunch right about now."
        reg "Coming right up, [pet]."

    call swRegHomeLunch(True) from reg_lounge_lunch_please
    #
    # Test for wanting more *after* that meal has been consumed.
    # Do not offer if PC is dieting.
    # Handle not having money for food.
    # Handle Reg thinking PC is too fat already.
    # This test may have to be in with the meal, depending on what
    # those events look like - Dingo
    #
    if pc.isGlutton() and not pc.isFull(150) and pc.isDietUnrestricted():
        $ pet = regPetName(teased)
        pc "Babes, I'm still hungry, can I get some more?"
        if regJoint.isFoodLim():
            reg "I'm afraid we can't afford any more food at the moment, [pet]."
        elif reg.isPcTooFat():
            reg "I don't think that's a good idea, [pet].
                I'm a bit worried about how big you are getting."
        else:
            reg "Wow, ok [pet], sure you don't want to leave room for dinner?"
            pc "Oh don't worry, there will be room for dinner ..."
            # Add more eating here...
            call swRegHomeSnack(True) from reg_lounge_lunch_glut
    return



    # Reg returns home.
    #
label .regRetHome:
    $ dbgLog('swRegLounge.regRetHome')
    $ renpy.dynamic('pet', 'tease')
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)
    $ pet = regPetName(tease)
    reg "Hi, [pet], I'm back!"
    pc "Hi babes!"
    # if below 920-970, change dialogue to couch/room?
    "Reg comes into the lounge and gives you a hug and a kiss."
    pc "How was your day?"
    # If affection high enough, change to be a more affectionate answer. Or just change
    # FIX random crap about his day. Obviously add detail here. Maybe add more scenarios?
    $ rnd = pc.random(0, 4)
    if rnd == 0:
        reg "I had a great day today [pet], all my deliveries went smoothly and
            I had a really great lunch. But, I'm even happier now I'm home because
            I get to see your beautiful, smiling face!"
        pc "Aww babe! You're making me blush!"
        $ pc.addMood(1)
    elif rnd == 1:
        reg "My day was wonderful, not only was it an easy day, I found these and
            just had to get them for you my love."
        "With a flourish he presents a bunch of flowers, a cute plushie and
        a large block of chocolate."
        pc "Babe! That's so sweet!"
        reg "It's just a small thing [pet], to show how much I love you."
        "Reg kisses you with great affection on the cheek."
        pc "Aww, I love you too babe, so very much."
        $ pc.addMood(1)
        $ reg.addRomance(1)
    elif rnd == 2:
        reg "Woof, it was a rough day today. I was so busy I barely had time to
            have a break, plus this one place didn't have the right equipment so
            I practically had to deliver an engine by hand ..."
        pc "Aww my poor babe, that sounds awful. Although, if anyone is strong
            enough to do that it would be you."
        "Reg smiles at this as he sinks into you for a proper cuddle."
        reg "Thanks [pet], you always know what to say to cheer me up."
        pc "Would you like a backrub?"
        "Without waiting for a response you begin rubbing his back, although it
        isn't long until you are exhausted, Reg thanks you for the effort."
        $ reg.addRomance(1)
    elif rnd == 3:
        reg "It was a tough day [pet], I'm beat."
        pc "What happened?"
        reg "Sorry, I'm too pooped to go into it in detail. I was flat out from
            the start to the end ..."
        pc "Oh my poor babe, is there anything I can do to help?"
        reg "I could use a good long cuddle."
        pc "My pleasure, come here babe."
        "Reg trudges over and sinks into your embrace, where he stays for a few
        minutes before even reaching an arm around you in return. You start rubbing
        his shoulders until you run out of energy yourself."
        $ pet = regPetName(tease)
        reg "Thanks [pet], I needed this ..."
        $ reg.addRomance(1)
    else:
        reg "I was having so much trouble concentrating today ..."
        pc "Oh, how come?"
        reg "I couldn't get you off my mind!"
        "Reg moves toward you, fondling your massive belly and peppering it with
        kisses. He then moves up, kissing all the way until he reaches your face."
        reg "You are so sexy [pet]!"
        pc "Why don't you show me how sexy you think I am?"
        "The two of you begin to kiss with a deep passion, hands exploring each
        other with lust. This goes on until your tummy rumbles."
        if pc.isDietUnrestricted():
            $ pet = regPetName(tease)
            reg "Hmm, is my [pet] hungry? Does she need some food right now?
                Does she want to be fed?"
            pc "Oh yes babe, please, I'm so hungry and I {i}need{/i} you to feed me!"
        # Add friskiness? Increased chance for sex later
        $ pc.addMood(1)
        $ reg.addRomance(1)
        $ pc.addLim(0.3)
    call swRegChat from reg_lounge_ret_home
    return



    # Get the PC to the bedroom.
    # Depends on if she needs or has assistance.
    #
label .toBedroom:
    $ dbgLog('swRegLounge.toBedroom')
    if regHere:
        call .toBedroomReg from lounge_to_bed_reg
    else:
        call .toBedroomAlone from lounge_to_bed_alone
    $ world.setLoc('swRegHome')
    $ world.setWork('swRegHome')
    return



    # Get PC back in bed without Reg.
    #
label .toBedroomAlone:
    $ dbgLog('swRegLounge.toBedroomAlone')
    $ renpy.dynamic('doorFit', 'locoVerb', 'unsure')
    $ doorFit = regDoorFit()
    $ locoVerb = pc.locoVerb()
    $ unsure = pc.isDietConsider()
    if pc.getMass() < 800/2.2:
        "
        With a little difficulty you manage to get yourself up off the couch and
        onto your feet.
        "
    elif pc.getMass() < 880/2.2:
        "
        With some difficulty you manage to get yourself up off the couch and
        onto your feet.
        "
    elif pc.randomWeightRangeLb(920, 970):
        "
        You try to rock and heave yourself of the couch, but it isn't easy
        getting your weight up from such a low sitting position. After a
        few abortive attempts, you have to sit back and catch your breath.
        "
        pc "You're not going to be able to do this by yourself much longer,
            are you [pc.name]? There's something to think about."
        "
        Reg isn't around to help, so you start rocking back and forth again
        until you can build up enough momentum to get your hands onto the
        coffee table and your butt off the seat. It's a small vitory but
        half-way to standing.
        "
        $ pc.exercise(900, 0.25)
    else:   # 880+
        """
        One thing about having such a huge ass and thighs is they really don't
        want to leave the couch. You rock back and forth until you can build
        up enough momentum to get your hands onto the coffee table and your
        butt off the seat.

        That's the hard part done, not that standing up from here is particularly
        easy!
        """
        $ pc.exercise(700, 0.20)
    if doorFit < 100:
        "
        You [locoVerb] around the couch and to the bedroom doorway, the end in
        sight, and flop onto the bed.
        "
        $ pc.exercise(400, 0.20)
    elif doorFit < 120:
        "
        You [locoVerb] around the couch and to the bedroom doorway, your next
        challenge. You don't exactly fit through there easily these days.
        But you are very squishy so with some squeezing you'll get through.
        "
        if unsure:
            pc "If you're not careful, [pc.name], doors are just going to
                keep getting harder to get through."
            "
            Breathing hard, you flop onto the bed, alarmed at
            how tiring this simple task was.
            "
        else:
            pc "You're wondering which will happen first, aren't you [pc.name]?
                Not fitting though the door, or not being able to get off the
                couch."
            "
            Breathing hard, you flop onto the bed, enjoying the
            way your wobbly body takes so long to come to rest.
            "
        $ pc.exercise(700, 0.20)
    else:
        "
        You [locoVerb] around the couch and to the bedroom doorway, your next
        big challenge. You really don't fit through these doors anymore.
        Gripping the frame you slowly ease your fleshy hips through the gap.
        "
        pc "It's a good job you're plenty soft, [pc.name], or Reg would be
            coming home to find you stuck here!"
        if unsure:
            "
            Panting from the exersion, you flop onto the bed, alarmed at
            how tiring this simple task was.
            "
        else:
            "
            Panting from the exersion, you flop onto the bed, enjoying the
            way your wobbly body takes so long to come to rest.
            "
        $ pc.exercise(900, 0.20)

    return


    # Get PC back in bed with Reg.
    # Don't worry about immobility otherwise PC wouldn't be here.
    #
label .toBedroomReg:
    $ dbgLog('swRegLounge.toBedroomReg')
    $ renpy.dynamic('doorFit', 'locoVerb', 'pet', 'tease', 'unsure')
    $ doorFit = regDoorFit()
    $ locoVerb = pc.locoVerb()
    $ tease = flags.isSet('regTease') and not reg.randomRomance(40, 80)
    $ unsure = pc.isDietConsider()
    $ pet = regPetName(tease)
    pc "Babes, can I have a hand getting to the bedroom please?"
    if pc.gsize <= 11:
        # PC doesn't need help.
        if tease:
            reg "Sure, [pet]. Is my greedy girl dreaming of the day you really
                will need my help to get about?"
            if unsure:
                pc "I'm not sure about that, Reg.
                    I just thought it would be nice to go together."
            elif pc.getMassFatLim() >= 880/2.2:
                $ tmp = pc.greedyGirlPhrase("gluttonous")
                pc "Yes, your [tmp] is looking forward to that day!"
            else:
                $ tmp = pc.greedyGirlPhrase("gluttonous")
                pc "I'm not quiet sure about that yet,
                    but this [tmp] does want to get fatter!"
        else:
            reg "Sure, [pet], though you don't need my help yet, do you?"
            if unsure:
                pc "No, I don't. I just thought it would be nice to go together."
            else:
                pc "No, I don't, but one day I will, and I thought it might be fun."
        "
        Reg offers you his hand and helps you out of the couch, and
        gives you a hug and a kiss.
        "
    if pc.getMass() < 880/2.2:
        # PC just mucking about.
        if tease:
            reg "Your butt may be huge, [pet], but I'm sure if I opened a pack
                of cookies in the bedroom it would be through fast enough."
            if unsure:
                pc "You're not wrong, but I'm worried that one day I might
                    really need help."
            else:
                pc "I know, but let's just imagine your little piggy has made
                    herself so fat she needs help because before long I will."
        else:
            reg "What's the problem, [pet], can't you get up?"
            if unsure:
                pc "I could, but I'm worried that one day I won't be able to."
            else:
                pc "I could, but one day I'll be so fat I can't and it would
                    be fun to practice."
        "
        Reg offers you his hand and you pretend not to be able to get up
        until he puts his strength into it. Once he has you on your feet
        he gives you a hug and a kiss.
        "
    else:
        if tease:
            reg "Let's get that fat ass of yours off the couch before you break it, [pet]."
        else:
            reg "Sure thing, [pet], let's get you up."
        "
        Reg offers you his swarthy forearm, and you grab hold, feeling his
        muscle move under the skin as he braces himself to take some of your
        weight and heaves.
        "
        if pc.randomWeightRangeLb(920, 970):
            # Going to need both hands.
            "
            Despite both your efforts, you barely move, and you're still
            sat on the couch.
            "
            if tease:
                $ pet = regPetName(tease)
                reg "It's no good, [pet], you're going to have to stay there.
                    That's what happens to greedy girls who sit around and eat
                    all day."
                if unsure:
                    pc "But, I can't stay here!"
                    reg "Well, I'm open for suggestions on how to get you up?"
                    pc "I'm sorry babe, I'm too fat and I know it."
                    reg "Not yet, you're not! I can still get you up,
                        give me your other hand."
                    $ pc.addLim(0.3)
                else:
                    pc "Well if you will give a pig of a girl as much food as
                        she desires, it was bound to happen sooner or later."
                    reg "That's true. Come on, let's have another go, give me
                        your other hand."
            else:
                reg "Damn, you're getting heavy girl. Give me your other hand."
            "
            You grab hold of his other forearm, and you can feel him
            straining as you do your best to get up. Finally gravity gives
            up the fight and you're upright!
            "
            if pc.randomWeightRangeLb(950, 980):
                # Even more trouble.
                "
                Reg is barely able to keep you up as you lean against him,
                and the pair of you teeter as you try to regain your balance.
                "
                if tease:
                    reg "Whoa, you nearly had us over [pet]!
                        I could have been buried under all your blubber."
                    if unsure:
                        pc "I'm sorry babe. I'm getting so clumsy these days."
                    else:
                        pc "I bet you would have liked that too!
                            One to cross of your bucket-list you kinky man."
                else:
                    $ pet = regPetName(tease)
                    reg "Careful, [pet], you could have had us over."
                    if unsure:
                        pc "I'm sorry. I'm getting too fat and clumsy aren't I?"
                        reg "No, you're not my love."
                        $ pc.addLim(0.3)
                    else:
                        pc "That would have been a sight, you enveloped in my
                            heavenly body, just your head and feet sticking out!"
        else:
            # You can do this, together.
            "
            It's not easy, but he gets you upright and on your feet. He hugs
            you close and gives you a kiss.
            "
    # And doors...
    if pc.gsize <= 11:
        "
        You [locoVerb] around the couch and Reg leads you to the bedroom doorway.
        You flop onto the bed and he smiles at you.
        "
        $ pc.exercise(400, 0.20)
    elif doorFit < 100:
        "
        You [locoVerb] around the couch and Reg leads you to the bedroom doorway.
        With the end in sight, you flop onto the bed and he smiles at you.
        "
        $ pc.exercise(400, 0.20)
    elif doorFit < 120:
        "
        You [locoVerb] around the couch and Reg follows you to the bedroom doorway,
        your next challenge. You don't exactly fit through there easily these days.
        "
        $ pet = regPetName(tease)
        if tease:
            if unsure:
                pc "I'm getting too fat for these doorways. You'll have to put me on a diet."
                reg "You don't need to be on a diet, [pet], while you can still
                    squeeze through. Unless it's one to make those juicy hips of
                    yours even wider."
                $ pc.addLim(0.3)
            else:
                "
                You rest your ample hips against the door frame and rock back
                and forth, pretending to be stuck.
                "
                pc "Oh no, I'm too fat to fit through such a small door babe!"
                reg "What a beautiful sight! I can't wait for you to make even more progress."
                $ pc.addLim(0.1)
        else:
            if unsure:
                pc "I'm getting too fat, aren't I babe?"
                reg "You'll be fine, just squeeze that magnificent butt of yours
                    through."
                pc "Magnificent?"
                reg "Yes, it is! I love how wide you are getting, [pet]."
                $ pc.addLim(0.3)
            else:
                "
                You rest your ample hips against the door frame and rock back
                and forth, pretending to be stuck.
                "
                pc "Got a good view back there, babe?"
                reg "The best! I can't wait for you to make even more progress."
                $ pc.addLim(0.1)
        "
        You squeeze yourself through and [locoVerb] over to the bed.
        Reg gives you some support as you flop heavily down onto it.
        "
        $ pc.exercise(700, 0.40)
    else:
        # A real squeeze.
        "
        You [locoVerb] around the couch and Reg follows you to the bedroom doorway,
        your next challenge. These doors are getting really narrow. You get as
        far as you can and then grab ahold of the frame with your hands.
        "
        $ pet = regPetName(tease)
        if tease:
            reg "Is that butt of yours not going to fit through my little glutton?"
            if unsure:
                pc "I'm not sure it will. It's too big isn't it?"
                reg "Not yet, [pet], I'll give you a hand."
                $ pc.addLim(0.3)
            else:
                pc "Your piglet is well on her way to getting stuck!"
                reg "Let me give you a hand with that."
                $ pc.addLim(0.1)
            "
            Reg puts his hands on your massive buttocks and pushes, just
            not enough to actually help.
            "
            pc "Less groping your girl's fat ass and more helping please!
                I can tell you're just enjoying yourself back there."
            reg "Oh, and you aren't?"
            pc "Well, yes, of course I like it ..."
            "
            Reg starts to rub and wobble your massive bum with more passion,
            enough to cause you to emit a small moan.
            "
            pc "Babe ... Stop ..."
            reg "Oh, who's going to stop me?"
            pc "I am ... by saying how horny this making me ..."
            reg "Oh well, alright then, you win!"
            "
            You eventually manage to wriggle and squirm your way though,
            despite the \"assistance\".
            "
            reg "And like a cork out of a bottle, she's through!"
        else:
            reg "Are you having a little trouble, [pet]?"
            if unsure:
                pc "I'm getting too fat, aren't I babe?"
                reg "You know I love how wide you are getting, [pet].
                    In fact, if we can still squeeze you though there's
                    room for improvement."
                pc "Really?"
                reg "Yes, let me give you a hand."
                $ pc.addLim(0.3)
            else:
                pc "Just a little, I swear these doors are getting narrower."
                reg "Narrower you say?
                    Not that your lovely butt is getting wider, [pet]?
                    Let me give you a hand."
                $ pc.addLim(0.1)
            "
            Reg puts his hands on your massive buttocks and pushes, just
            not enough to actually help.
            "
            $ pet = regPetName(tease)
            pc "Less groping my ass and more helping please!"
            reg "But I like your ass, [pet], and the way it fills this doorway,
                and some."
            "
            You eventually manage to wriggle and squirm your way though,
            despite the \"assistance\".
            "
        "
        With that over, Reg holds your hand as you [locoVerb] over to the bed.
        He takes your arms again to assist as you flop very heavily down onto
        the mattress.
        "
        $ pc.exercise(900, 0.40)

    $ pet = regPetName(tease)
    if tease:
        reg "Now, you are one gorgeous fat mound of a girl, [pet]!"
    else:
        reg "My, what a beautiful sight you are [pet]!"
    $ world.setLoc('swRegHome')
    return
