#
# Work activities at Reg's place.
#
label swRegLoungeWork:
    $ dbgLog('swRegLoungeWork')
    $ gsize = pc.gsize
    $ picker.start('swRegLoungeWork')

    # Add more options ...
    if gt.hour >= 12 and not dayFlags.isSet('lunch'):
        $ picker.addLocal('.lunch')

    # Max Two private showss a day.
    #
    if socFans.isActive() and socFans.isProgress(1.5) and dayCounters.isLt('mooCust', 2):
        $ picker.addLabel('swRegMooCust', '.privChat')
        $ picker.addLabel('swRegMooCust', '.bellyVid')
        # Video chat
        # ...

    # Thinking about her weight.
    #
    if cooldowns.isZero('pcWeightChk'):
        if pc.isDietConsider():
            $ picker.addLabel('swRegWork', '.overweight')

    # Add free choice.
    # This is not added to the lru, and is weighted as heavily as all the other options.
    #
    $ picker.addLocal('.choice', max(50, picker.getSumWeights()), 50, True)

    # Pick event.
    #
    $ select = picker.choose(regWorkLru, -1, 2, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from lounge_work_event
        else:
            dbg "In swRegLoungeWork.work: selected label \"[select]\" was not found."
    return


    # Player choice of what to do.
    # When workOnly is True only offer work options and also offer back.
    #
label .choice(workOnly=False):
    $ dbgLog('swRegWork.choice')
    $ renpy.dynamic('heavy', 'lunch', 'mootube', 'pounders', 'snacks')
    $ heavy = pc.getMass() > 880/2.2
    $ lunch = gt.hour >=12 and not dayFlags.isSet('lunch')
    $ mealsize = pc.getMealSize()
    $ mootube = socFans.isActive()
    $ pounders = pornFans.isActive()
    $ snacks = dayCounters.get('regSnacks')

    $ prompt = "You're on the couch, what to do?"
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "[socSite]" if mootube:
            call swRegWork.social from lounge_work_social
        "[pornSite] (x)" if pounders:
            pass
        "Open adult streaming account (x)" if not pounders and flags.isSet('adultStream'):
            pass
        "Open streaming account" if not mootube:
            call swRegWork.socialStart from lounge_work_social_start
        "Relax" if not workOnly:
            call swRegLoungeRelax(True) from lounge_work_relax
        "Snack" if snacks > 0 and not workOnly:
            call swRegWork.snack from lounge_work_snack
        "Tidy up (x)":
            pass
        "Time for some lunch" if lunch and not workOnly:
            call .lunch from lounge_work_lunch
        "Finances":
            call swRegWork.joint from lounge_work_money
        "Get to the bedroom" if heavy:
            call swRegLounge.toBedroom from lounge_work_get_bed
        "Go to the bedroom" if not heavy:
            call swRegLounge.toBedroom from lounge_work_go_bed
        "Back" if workOnly:
            pass
        "Debug" if debugMenus:
            call debugMenu from lounge_work_debug
    return



    # -------------------------------------------------------------------------
    # "Work" options
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Eat lunch.
    #
label .lunch:
    $ dbgLog('swRegWork.lunch')
    $ renpy.dynamic('foodScale', 'restricted', 'scale', 'tooFat', 'unsure')
    $ restricted = pc.isDietRestricted()
    $ tooFat = reg.isPcTooFat()
    $ unsure = pc.isDietConsider()
    $ scale = 1.0
    if tooFat:
        "Reg has left you food on the coffee table."
    else:
        "Reg has left a pile of food on the coffee table.
        More than enough to sate you."
    $ prompt = "How much should you have?"
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "Eat your fill" if not restricted:
            if tooFat:
                pc "I can eat all this, no problem."
            else:
                pc "Reg has left a lot more food than I can comfortably eat.
                    I'll just make myself comfortably full."
        "Push yourself" if not unsure and not restricted and not tooFat:
            pc "I need to push myself if I really want to get even bigger."
            $ scale = 1.2
            $ pc.addGreed(0.1)
        "Show {i}some{/i} restraint" if not restricted:
            pc "I don't actually need to eat all this."
            $ scale = 0.8
        "Resist making a pig of yourself!" if restricted:
            if pc.testDietWill():
                pc "I can do this. I can cut back. I can stick to a diet.
                    Can't I? I need to."
                $ scale = 0.1
            elif flags.isConsume('dietStopWill'):
                if tooFat:
                    pc "Diets be damned. I'm done with them.
                        What is even the point for a girl my size?
                        I could eat what Reg left and more."
                else:
                    pc "Diets be damned. I'm done with them.
                        What is even the point for a girl my size?
                        I'm going to eat everything!"
                    $ scale = 1.2
            else:
                if tooFat:
                    pc "Diets be damned, I'm so hungry.
                        A bit of a blow out won't hurt.
                        I just wish Reg had left me more."
                else:
                    pc "Diets be damned, I'm so hungry.
                        A bit of a blow out won't hurt."
                    $ scale = 1.2

    if scale < 0.2:
        "You pick at the selection, eating just enough to fend off the worst
        of the hunger pangs."
    elif scale < 1:
        "You eat some of what Reg left. And a little more.
        Well most of it really. You do manage to not eat some of it."
    elif scale > 1:
        "You eat almost everything Reg left you, only stopping when you
        can't stuff anymore in."
    else:
        "You eat until you are pleasantly full.
        Okay, so it would be a lot, maybe too much, for most other people without your
        gluttonous dedication."

    $ foodScale = food.getScale('reglunch', pc.getCapacityRemainNow(0.5)) * scale
    if debug:
        dbg "foodScale [foodScale:0.2f]"
    $ food.clear()
    $ food.addScale('reglunch', foodScale)
    $ food.setMeal(True)
    $ regJoint.addFoodCost(food.cost)
    $ pc.eatFood(food)
    $ dayFlags.set('lunch')
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return
