#
# MooVids story time.
#
default mooStoryLru = []

label swRegMooVidsStory:
    $ dbgLog("swRegMooVidsStory")
    $ renpy.dynamic('dieting', 'immobile', 'select', 'unsure')
    $ dieting = pc.isDiet()
    $ immobile = isPcImmobile()
    $ unsure = pc.isDietConsider()

    # Start picker.
    #
    $ picker.start("swRegMooVidsStory")

    # Normal options.
    $ picker.addLocal('.childhoodHardships')
    $ picker.addLocal('.lifeOnRoad')
    $ picker.addLocal('.nowheresville')

    # Conditional options based on weight.
    if dieting:
        # Diet stories?
        pass
    elif unsure:
        # Weight worry stories?
        pass
    else:
        # Happy weight stories.
        $ picker.addLocal('.growing')
        if immobile:
            # Good immobile stories.
            $ picker.addLocal('.immobileGood')

    # Other conditionals?
    if not evtCounters.isZero('regBedSit'):
        # First time you needed Reg's help getting sat up?
        pass
    if not evtCounters.isZero('regBedStand'):
        # First time you needed Reg's help standing up?
        pass
    if flags.isSet('mooGoodRep'):
        # Seeing big girl representation on TV?
        pass
    elif flags.isSet('mooRantRep'):
        # Lack of big girl representation on TV?
        pass
    if flags.isSet('neverSlide'):
        # Getting stuck in the slide?
        pass

    # Pick a random not recently used story.
    $ select = picker.choose(mooStoryLru, 0, 2)
    if select != None:
        if world.hasLabel(select):
            "
            You think about your life and the wealth of experiences you have had and
            choose a story to tell. Making some notes to help the structure, you make
            yourself presentable and start recording.
            "
            call expression select from moo_story_dyn
            "
            It takes a while to edit it down and upload it, but once it's done you
            relax, enjoying the feeling of a job well done and being able to share your
            stories. If anything, it is a great way for your fans to get to know you.
            "
            if socFans.addVideo('swRegMooVidsStory'):
                $ socFans.addProg(0.5)
            $ pc.useEnergy(2)
            $ gt.addHours(4)
        else:
            dbg "In swRegMooVidsStory: selected label \"[select]\" was not found."
    else:
        dbg "In swRegMooVidsStory: no stories were available! How?"
    return



    # -------------------------------------------------------------------------
    # Stories
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Childhood hardships.
    #
label .childhoodHardships:
    "
    You recall a story from your childhood and the hardships you faced.
    It isn't easy, several times you find yourself getting choked up with
    emotion.
    "
    "
    Pressing on you finish your story, wiping the tears from your eyes
    as you end the recording. Despite the sadness, it felt good to
    share your story.
    "
    $ pc.addMood(1)
    return



    # Growing body.
    #
label .growing:
    "
    You begin speaking about your growing body and appetite, along with
    your recent decision to give in to your deepest desires. Talking about
    and showing off your body makes you both aroused and quite hungry.
    "
    "
    A sudden idea comes to you as the recording comes to a close, you
    sign off with a flirtatious 'Stay tuned for more' and a wink. You feel
    quite satisfied about where your life is headed.
    "
    $ pc.addLim(1)
    $ pc.addMood(1)
    return



    # Good feelings about immobility.
    #
label .immobileGood:
    "
    You start talking about the struggles with day to day life that
    immobility has given you. You start to become quite upset, as giving
    voice to these struggles makes the situation so much more real.
    "
    "
    You begin this video by telling your fans how much you love your huge,
    fat body and how much you love stuffing yourself full of fattening treats,
    which leads to you unable to stop yourself from touching your blubbery
    body in unbridled passion, drooling while listing food you currently desire.
    "
    $ pc.addLim(3)
    $ pc.addMood(1)
    return



    # Life of the road.
    #
label .lifeOnRoad:
    "
    You begin to tell a story from your life on the road, drifting from
    one place to another. While recalling a particular situation, you get
    worked up and quite angry about the way you were treated.
    "
    "
    You compose yourself so you can finish the story, but the anger
    lingers and you can't stop thinking about it, which sours your mood
    for the day.
    "
    $ pc.addMood(-1)
    return



    # People of nowhere.
    #
label .nowheresville:
    $ renpy.dynamic('callee')
    $ callee = "Joe"
    # FIX! - set callee based on relationships - will look at later - Dingo.
    "
    You decide to recount a story of your most recent experiences and the
    acceptance of the people of \"nowheresville\", without mentioning it's
    real name. You talk fondly of the friends you made and finally finding
    happiness in life.
    "
    "
    You end the recording cheerfully, however reflecting on the wonderful
    people you left leaves you feeling mildly regretful and sad.
    You decide to call [callee], just to say hi.
    "
    return
