#
# Work activities at Reg's place.
#
label swRegWork:
    $ dbgLog('swRegWork')
    $ gsize = pc.gsize
    $ picker.start('swRegWork')

    # Add more options ...
    if gt.hour >= 12 and not dayFlags.isSet('lunch'):
        $ picker.addLocal('.lunch')

    # Max Two private showss a day.
    #
    if socFans.isActive() and socFans.isProgress(1.5) and dayCounters.isLt('mooCust', 2):
        $ picker.addLabel('swRegMooCust', '.privChat')
        $ picker.addLabel('swRegMooCust', '.bellyVid')
        # Video chat
        # ...

    # Thinking about her weight.
    #
    if cooldowns.isZero('pcWeightChk'):
        if pc.isDietConsider():
            $ picker.addLocal('.overweight')

    # Add free choice.
    # This is not added to the lru, and is weighted as heavily as all the other options.
    #
    $ picker.addLocal('.choice', max(50, picker.getSumWeights()), 50, True)

    # Pick event.
    #
    $ select = picker.choose(regWorkLru, -1, 2, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from sw_reg_work_dyn
        else:
            dbg "In swRegWork.work: selected label \"[select]\" was not found."
    return


    # Player choice of what to do.
    #
    # workOnly  - only offer work options
    #
label .choice(workOnly=False):
    $ dbgLog('swRegWork.choice')
    $ renpy.dynamic('bedroom', 'heavy', 'immobile', 'lunch', 'mootube', 'pounders', 'snacks')
    $ bedroom = world.isLoc('swRegHome')
    $ heavy = pc.getMass() > 880/2.2
    $ immobile = isPcImmobile()
    $ lunch = gt.hour >=12 and not dayFlags.isSet('lunch')
    $ mealsize = pc.getMealSize()
    $ mootube = socFans.isActive()
    $ pounders = pornFans.isActive()
    $ snacks = dayCounters.get('regSnacks')

    $ prompt = "What to do?"
    if immobile:
        $ prompt += " You can't get out of bed."
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "[socSite]" if mootube:
            call .social from sw_reg_work_free_social
        "[pornSite] (x)" if pounders:
            pass
        "Open adult streaming account (x)" if not pounders and flags.isSet('adultStream'):
            pass
        "Open streaming account" if not mootube:
            call .socialStart  from sw_reg_work_free_social_open
        "Relax" if not workOnly:
            call swRegHomeRelax(True) from bed_work_choice_relax
        "Snack" if snacks > 0 and not workOnly:
            call .snack from sw_reg_work_free_snack
        "Tidy up (x)" if not immobile:
            pass
        "Time for some lunch" if lunch and not workOnly:
            call .lunch from sw_reg_work_free_lunch
        "Watch TV" if False:
            call .tv from sw_reg_work_free_tv
        "Finances":
            call .joint from sw_reg_work_free_finance
        "Get yourself to the couch" if heavy and not immobile:
            call swRegHome.toCouch from sw_reg_work_free_couch_heavy
        "Go to the lounge" if not heavy:
            call swRegHome.toCouch from sw_reg_work_free_couch
        "Back" if workOnly:
            pass
        "Debug" if debugMenus:
            call debugMenu from sw_reg_work_free_debug
    return



    # -------------------------------------------------------------------------
    # "Work" options
    # -------------------------------------------------------------------------

    # Check joint account.
    #
label .joint:
    $ dbgLog('swRegWork.joint')
    $ renpy.dynamic('bal', 'done', 'foodDebt', 'foodWeek', 'money', 'over')
    "You open the online banking."
    $ done = False
    while not done:
        $ bal = regJoint.getBalance()
        $ foodDebt = regJoint.getFoodBill()
        $ money = pc.money
        $ over = regJoint.isOverdrawn()
        $ prompt = "There's ${:0,.2f} in the account you share with Reg.".format(bal)
        if over:
            $ prompt += " Shit, it's in the red."
        elif foodDebt > bal:
            $ prompt += " That won't even cover my food for the week so far."
            if money < 10:
                $ prompt += "And you are broke too."
        $ prompt = addMenuAlt(prompt)
        menu:
            "[prompt]"
            "Transfer $10,000" if money >= 10000:
                $ money = 10000
            "Transfer $1,000" if money >= 1000:
                $ money = 1000
            "Transfer $100" if money >= 100:
                $ money = 100
            "Transfer $10" if money >= 10:
                $ money = 10
            "Log out":
                $ money = 0
                $ done = True
            "Debug" if debugMenus:
                call debugMenu from sw_reg_work_joint_debug
                $ money = 0
        if money > 0:
            $ regJoint.earn(money)
            $ pc.spend(money)
    return



    # Eat lunch.
    #
label .lunch:
    $ dbgLog('swRegWork.lunch')
    $ renpy.dynamic('foodScale', 'restricted', 'scale', 'tooFat', 'unsure')
    $ restricted = pc.isDietRestricted()
    $ tooFat = reg.isPcTooFat()
    $ unsure = pc.isDietConsider()
    $ scale = 1.0
    if tooFat:
        "Reg has left you food within easy reach."
    else:
        "Reg has left a pile of food within easy reach.
        More than enough to sate you."
    $ prompt = "How much should you have?"
    $ prompt = pc.appendPrompt(prompt, 0, mealsize)
    menu:
        "[prompt]"
        "Eat your fill" if not restricted:
            if tooFat:
                pc "I can eat all this, no problem."
            else:
                pc "Reg has left a lot more food than I can comfortably eat.
                    I'll just make myself comfortably full."
        "Pig out!" if pc.isGlutton() and not unsure and not restricted and not tooFat:
            pc "I can eat all this and more, no problem!
                All of it helps in making me even fatter!"
            $ scale = 1.6
        "Push yourself" if not unsure and not restricted and not tooFat:
            pc "I need to push myself if I really want to get even bigger."
            $ scale = 1.2
            $ pc.addGreed(0.1)
        "Show {i}some{/i} restraint" if not restricted:
            pc "I don't actually need to eat all this."
            $ scale = 0.8
        "Resist making a pig of yourself!" if restricted:
            if pc.testDietWill():
                pc "I can do this. I can cut back. I can stick to a diet.
                    Can't I? I need to."
                $ scale = 0.1
            elif flags.isConsume('dietStopWill'):
                if tooFat:
                    pc "Diets be damned. I'm done with them.
                        What is even the point for a girl my size?
                        I could eat what Reg left and more."
                else:
                    pc "Diets be damned. I'm done with them.
                        What is even the point for a girl my size?
                        I'm going to eat everything!"
                    $ scale = 1.2
            else:
                if tooFat:
                    pc "Diets be damned, I'm so hungry.
                        A bit of a blow out won't hurt.
                        I just wish Reg had left me more."
                else:
                    pc "Diets be damned, I'm so hungry.
                        A bit of a blow out won't hurt."
                    $ scale = 1.2

    if scale < 0.2:
        "You pick at the selection, eating just enough to fend off the worst
        of the hunger pangs."
    elif scale < 1:
        "You eat some of what Reg left. And a little more.
        Well most of it really. You do manage to not eat some of it."
    elif scale >= 1.6:
        "You greedily devour everything Reg left you, letting out a burp
        as you rub your now overloaded belly. So full, but so worth it."
    elif scale > 1:
        "You eat almost everything Reg left you, only stopping when you
        can't stuff anymore in."
    else:
        "You eat until you are pleasantly full.
        Okay, so it would be a lot, maybe too much, for most other people without your
        gluttonous dedication."

    $ foodScale = food.getScale('reglunch', pc.getCapacityRemainNow(0.5)) * scale
    if debug:
        dbg "foodScale [foodScale:0.2f]"
    $ food.clear()
    $ food.addScale('reglunch', foodScale)
    $ food.setMeal(True)
    $ regJoint.addFoodCost(food.cost)
    $ pc.eatFood(food)
    $ dayFlags.set('lunch')
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # PC reflects on her weight.
    #
label .overweight:
    $ dbgLog('swRegWork.overweight')
    $ renpy.dynamic('days', 'delta', 'dieting', 'goalKg', 'immobile')
    $ dieting = pc.isDiet()
    $ immobile = isPcImmobile()
    if pc.isDiet() or pc.isDietConsider():
        "
        You find yourself thinking about how very fat you are, and how you haven't
        been feeling really happy being this big. and how you don't feel good about yourself anymore.
        "
        $ prompt = addMenuAlt("Am I unhappy with my weight?")
        menu:
            "[prompt]"
            "Yes, Being immobile hasn't turned out how I imagined" if immobile and not dieting:
                pc "While it's long been a fantasy of mine, and I did enjoy all the food,
                    actually being immobile isn't as much fun as I thought.
                    I really miss being able to move around,
                    and I need to do something about it."
                pc "I need to talk to Reg, don't I?"
                $ flags.set('regTalkMobile')
            "Yes, it really is too much, I should diet" if not dieting:
                # Try to lose the difference between current weight and desired
                # weight and 5lbs.
                $ delta = ceilPrec((pc.fat*2.2 + 5 - pc.fatLim*2.2), 5)
                $ tmp = cardinal(delta)
                if delta < 20:
                    $ tmp = "just " + tmp
                pc "Let's face it, I'm not happy being this size, and I need to do
                    something about that. I'd feel much happier if I could shift
                    [tmp] pounds or so."
                $ goalKg = floorPrec(pc.getMass() - delta/2.2, 0.1)
                $ days = pc.getDaysToDietTo(goalKg)
                $ pc.dietStart(days, goalKg)
                $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
                pc "Right, starting today I am determined to shift a little flab!"
                pc "I need to talk to Reg, don't I?"
                $ flags.set('regTalkDiet')
            "Yes, It really is too much, I need to stick to my diet" if dieting:
                pc "I'm already dieting, I just need to strengthen my resolve."
                $ pc.dietWill = min(90, pc.dietWill + 10)
            "Maybe, I don't know":
                if immobile:
                    pc "I'm still not really sure how I feel about it.
                        I know I'm an immobile mound of lard, but that's what I wanted isn't it?"
                else:
                    pc "I'm still not really sure how I feel about it.
                        I know I'm huge, but I can still get around, so maybe it's not too bad?"
                $ pc.addLim(1)
            "No, I'm actually okay with it":
                if reg.isPcTooFat():
                    pc "I know Reg is worried about me,
                        but I'm okay with how heavy I am.
                        Besides, what's a few extra pounds to a girl my size?"
                elif reg.isPcFat():
                    pc "I know I'm pushing what Reg is comfortable with,
                        but I'm okay with how heavy I am.
                        Besides, what's a few extra pounds to a girl my size?"
                else:
                    pc "I know Reg would like to see me even bigger, and who am I
                        to deny my love a few extra pounds?"
                $ delta = roundPrec((pc.fat - pc.fatLim) / 2, 0.1)
                $ pc.addLim(5 + delta)
        # Check diet status now.
        #
        if dieting and not pc.isDietConsider():
            $ prompt = addMenuAlt("I actually feel happier now about my weight, so why am I dieting?")
            menu:
                "[prompt]"
                "I should stick with my diet":
                    pc "You've started a diet, [pc.name], so you might as
                        well finish it."
                "It makes no sense, I should just stop":
                    pc "This hunger must have addled you brain, [pc.name].
                        Just give up on the diet!"
                    $ pc.dietStop()
        $ cooldowns.set('pcWeightChk', 5)
    else:
        "
        You find yourself thinking about how very fat you are, and how you haven't
        been feeling really happy being this big.
        During a quite moment you reflect about your weight gain,
        your [bodypart], and how you've enjoyed being heavier.
        "
        $ prompt = addMenuAlt("Am I happy with my weight?")
        menu:
            "[prompt]"
            "No, well, it's a bit much":
                $ tmp = pc.fat - 1.5 * deltaDn
                $ pc.addLim(deltaDn, tmp)
                pc "[pc.name], this really has got out of hand.
                    I need to be more careful about how much I eat."
            "I'm not sure":
                if gsize >= 4:
                    pc "I know I'm fat, and that's not great,
                        but at the same time I do like my food
                        and I enjoy being this big."
                else:
                    pc "I know I've put on some weight, and maybe I shouldn't
                        have, but I still like how I look."
            "Yes, I really do like being this big":
                $ pc.addLim(deltaUp)
                if flags.isSet('ssbbw'):
                    pc "I'm a super-size big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif flags.isSet('bbw'):
                    pc "I'm a big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif gsize >= 4:
                    pc "I'm a happy fat girl, and maybe I'll even get a little fatter.
                        No sense in depriving myself of the odd treat."
                else:
                    pc "I'm happy being a little heavier than I was,
                        and maybe I'll get fatter still.
                        No sense in depriving myself of the odd treat."
        return

    # PC considers her weight.
    # FIX! DINGO: This is copied from the gas station version
    # - I've done a quick and dirty edit to remove the idea of customers
    #   but it really needs fixing up for immobility etc.
    #
label .myWeight:
    $ renpy.dynamic('bodypart', 'deltaDn', 'deltaUp')
    $ gsize = pc.gsize
    #
    # Adjustment up: 0.6lb to 2.2lb at 260lbs and above
    #
    $ deltaUp = max(0.3, min(1.0, int(round(pc.fatLim / 10)) / 10.0))
    #
    # Adjustment down: 2.2lb to 33lb at 434lbs and above
    #
    $ deltaDn = -2.0 * max(0.5, min(7.5, int(round(pc.fatLim / 2.1)) / 10.0))
    #
    # Pick random body part.
    #
    $ rnd = pc.random(0, 3)
    if rnd == 0:
        $ bodypart = pc.adjBoob() + " breasts"
    elif rnd == 1:
        $ bodypart = pc.adjBelly() + " tummy"
    else:
        $ bodypart = pc.adjArse() + " bum"
    if pc.isDiet():
        "
        During a quite moment
        you reflect about your weight gain, your [bodypart],
        and how you've had to start dieting.
        "
        $ prompt = addMenuAlt("Am I unhappy with my weight?")
        menu:
            "[prompt]"
            "Yes, I am too fat":
                $ pc.addLim(deltaDn)
                pc "I'm already dieting, I just need to strengthen my resolve."
                $ pc.dietWill = min(90, pc.dietWill + 10)
            "Maybe, I don't know":
                pc "I'm not really sure how I feel about it.
                    Sure, I'm heavier than I was, but maybe it's not too bad?"
            "No, it's not so bad":
                $ pc.addLim(deltaUp)
                pc "Maybe I'm being too harsh on myself. It's no so bad."
                if not pc.isDietConsider():
                    $ prompt = addMenuAlt("I actually feel happy about my weight, so why am I dieting?")
                    menu:
                        "[prompt]"
                        "I should stick with my diet":
                            pc "You've started a diet, [pc.name], so you might as
                                well finish it."
                        "It makes no sense, I should just stop":
                            pc "This hunger must have addled you brain, [pc.name].
                                Just give up on the diet!"
                            $ pc.dietStop()
    elif pc.isDietConsider():
        "
        During a quite moment
        you reflect about your weight gain, your [bodypart],
        and how you don't feel good about yourself anymore.
        "
        $ prompt = addMenuAlt("Am I unhappy with my weight?")
        menu:
            "[prompt]"
            "Yes, I am too fat":
                $ pc.addLim(deltaDn)
                $ flags.set('pcThinkDiet')
                pc "[pc.name] you really do need to do something about your weight."
            "Maybe, I don't know":
                pc "I'm not really sure how I feel about it.
                    Sure, I'm heavier than I was, but maybe it's not too bad?"
            "No, it's not so bad":
                $ pc.addLim(deltaUp)
                pc "Maybe I'm being too harsh on myself. It's no so bad."
    else:
        "
        During a quite moment
        you reflect about your weight gain, your [bodypart],
        and how you've enjoyed being heavier.
        "
        $ prompt = addMenuAlt("Am I happy with my weight?")
        menu:
            "[prompt]"
            "No, well, it's a bit much":
                $ tmp = pc.fat - 1.5 * deltaDn
                $ pc.addLim(deltaDn, tmp)
                pc "[pc.name], this really has got out of hand.
                    I need to be more careful about how much I eat."
            "I'm not sure":
                if gsize >= 4:
                    pc "I know I'm fat, and that's not great,
                        but at the same time I do like my food
                        and I enjoy being this big."
                else:
                    pc "I know I've put on some weight, and maybe I shouldn't
                        have, but I still like how I look."
            "Yes, I really do like being this big":
                $ pc.addLim(deltaUp)
                if flags.isSet('ssbbw'):
                    pc "I'm a super-size big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif flags.isSet('bbw'):
                    pc "I'm a big beautiful woman and I like it!
                        Maybe I'll get even fatter.
                        No sense in depriving myself of the odd treat."
                elif gsize >= 4:
                    pc "I'm a happy fat girl, and maybe I'll even get a little fatter.
                        No sense in depriving myself of the odd treat."
                else:
                    pc "I'm happy being a little heavier than I was,
                        and maybe I'll get fatter still.
                        No sense in depriving myself of the odd treat."
    return


    # Eat snacks.
    #
label .snack:
    $ dbgLog('swRegWork.snack')
    if pc.isDietRestricted():
        if pc.testDietWill():
            pc "You really shouldn't be eating these family sized bags of chips
                if you are tying to lose weight [pc.name]."
            "You set the tempting bag down, and try not to think about it.
            Definitely not thinking about how tasty they would be, how
            greasy, how they would ease the your hunger.
            Nope, not thinking those things at all."
            return
        elif flags.isConsume('dietStopWill'):
            "You look at one of the family sized bags of snacks Reg left you.
            Then reluctanlty remember your diet."
            pc "It's no good. Fat girls surrounded by tempting snacks aren't
                going to be sticking to any diet!"
        else:
            pc "I know I'm trying to lose some weight, but those bags
                of delicious snacks Reg left are just too tempting."
    "You reach over to one of the family-sized bags of chips Reg left you,
    tear it open, and start munching away. Just grazing snacks.
    There's no such thing as an empty calorie in your book, every one counts."
    $ food.add('regsnack')
    $ regJoint.addFoodCost(food.cost)
    $ pc.eatFood(food)
    $ gt.addHours(1)
    if dayCounters.decIsZero('regSnacks'):
        pc "Oh, that was my last bag."
    return



    # Social media - MooTube.
    #
label .social:
    $ dbgLog('swRegWork.social')
    $ renpy.dynamic('balance', 'lostFans', 'newFans')
    $ balance = socFans.getBalance()
    $ lostFans = socFans.isLostFans()
    $ newFans = socFans.isNewFans()
    $ prompt = "What to do."
    if balance > 0:
        $ prompt += " My balance is showing as ${:0,.2f}.".format(balance)
    else:
        $ prompt += " My balance is empty."
    if newFans:
        $ prompt += " I have new followers!"
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Chat":
            call .socialChat from sw_reg_work_social_chat
        "New video" if not socFans.isVidToday():
            call swRegMooVids from sw_reg_work_social_vid
        "Subscriber check" if newFans or lostFans:
            call .socialFollow from sw_reg_work_social_follow
        "Withdraw balance" if balance >= 1:
            $ tmp = socFans.withdraw(balance)
            $ tmp = math.floor(tmp * 0.96 * 4.0) / 4.0  # 4% processing down to quarter
            $ pc.earn(tmp)
            $ tmp = "${:0,.2f}".format(tmp)
            "With a few clicks you transfer the balance to your personal account.
            Of course after processing fees, you only actually get [tmp]."
    return



    # Interact with fans.
    #
label .socialChat:
    $ dbgLog('swRegWork.socialChat')
    pc "Time to chat with your fans [pc.name]."
    # All sorts of stuff here. Is random good for this?
    # DINGO: picker would be better. Also move to swRegMooChat?
    $ rnd = pc.random(0, 6)
    if rnd == 0:
        # Question time
        "You decide to open question time with your fans, who are eager for the
        experience to learn more about you. You are asked a whole bunch of
        questions, ranging from general to more personal topics."
        "Not only do you provide answers but you also get to question your fans,
        from the loyal followers to the freshly subscribed. The experience was
        quite uplifting and will strengthen the community you are building."
        $ pc.addMood(1)
    elif rnd == 1:
        # Encouraging words
        "Talking with your fans about your weight leads them to offer plentiful
        words of encouragment, which makes you feel good about yourself and about
        gaining even more."
        $ pc.addMood(1)
        $ pc.addLim(0.3)
    elif rnd == 2:
        # Horny chat
        "While chatting with some of your fans you start feeling frisky, leading
        the chat in a very sexual direction. You can feel your libido rising as
        the chat goes on, leaving you hoping Reg comes home ready for some loving."
        # Add Horny?
    elif rnd == 3:
        # Gaining tips
        "Some of the more notable members of your community are fatties and gainers
        who are also fellow content creators on [socSite]."
        if gsize <= 13:
            "although only a few are even remotely close in size to you,
            who are interested in your progress as much as thier own."
        elif gsize <= 16:
            "although only a few are even remotely close in size to you,
            who are interested in your progress as much as thier own."
        else:
            "There used to be less of a gap between you and them in terms of size,
            but now the closest measures roughly half of your glorious blubbery mass.
            SO. {i}DAMN.{/i} {b}FAT!{/b}
            And there will be more to come ..."

        "who are interested in your progress as much as thier own."
        $ pc.addLim(0.5)
    elif rnd == 4:
        # Abusive comments
        "Abusive comments"
        $ pc.addMood(-1)
    elif rnd == 5:
        # Troll encounter
        "Troll encounter"
        $ pc.addMood(-1)
    else:
        # Generic Bants
        "You have a great time chatting with your fans, who ask a whole bunch
        of nice questions and answer many of your own. The experience was quite
        uplifting and hopefully will generate more followers."
        $ pc.addMood(0.1)
    $ socFans.addProg(0.1)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return



    # Check follower count..
    #
label .socialFollow:
    $ dbgLog('swRegWork.socialFollow')
    $ renpy.dynamic('delta', 'deltaStr', 'fac', 'gold', 'silver', 'total', 'totalStr')
    $ delta = socFans.getNewFans()
    if delta < 0:
        $ deltaStr = cardinal(-delta)
    else:
        $ deltaStr = cardinal(delta)
    $ gold = flags.isSet('mooGold')
    $ silver = flags.isSet('mooSilver')
    $ total = socFans.fans()
    $ totalStr = cardinal(total)
    if lostFans:
        pc "I'm a bit worried, it looks like some of my followers have left."
    else:
        pc "Let's see how many new followers I have ..."
    if delta == -1:
        pc "I've lost one. I'll have to get back to making content."
    elif delta < -1:
        pc "I've lost [deltaStr], there's only [totalStr] left.
            I need to work on my content."
    elif delta == 1:
        $ tmp = "him" if pc.randomBool(60) else "her"
        if total < 100:
            pc "I've one new follower, I should send [tmp] a message.
                It's early days but at least [totalStr] people like me."
        else:
            pc "I've one new follower, I should send [tmp] a message.
                Little by little they all add up and now [totalStr] people like me."
    elif delta < 10:
        pc "I've [deltaStr] new followers, bringing me up to [totalStr].
            I should send them each a welcome message."
    elif delta < 20:
        pc "I've [deltaStr] new followers, bringing me up to [totalStr].
            I should send them each a welcome message. This might take a while."
        $ gt.addHours(1)
    else:
        pc "I've [deltaStr] new followers, bringing me up to [totalStr].
            Time to hammer out some welcome messages. This will take a while."
        $ pc.useEnergy(1)
        $ gt.addHours(2)

    if not silver:
        if total >= 100000:
            pc "I've reached the silver cow subscriber award for my channel!
                That makes me a very fat and happy cow."
        elif total >= 99000:
            pc "I'm getting ever closer to that silver cow reward for my channel."
        elif total >= 90000:
            pc "That silver cow they award for having 100,000 subs is actually
                within reach."

    if not gold:
        if total >= 1000000:
            pc "Wow, I've gone gold! There aren't that many of us fat golden cows.
                I actually feel quite accomplished."
        elif total >= 995000:
            pc "I'm nearly at the gold tier with my channel. Wow. Just wow."
        elif total >= 990000:
            pc "Am I going to reach a million subs and go gold?
                It's getting closer and closer.
                I think there's a big party and everything."
            if isPcImmobile():
                "Not that I could physically go to a party."

    return



    # Start a social media channel.
    #
label .socialStart:
    $ dbgLog('swRegWork.socialStart')
    "You need to find a way to bring in some cash and one way to do that would
    be to open a video channel. Then you'd just need to build up a follower
    base and that sweet revenue would come rolling in to offset your food bill.
    And other bills as well."
    "Perhaps not on one of the big name sites, your appeal is more, let's say niche.
    Resting the keyboard and mouse on your gut, and using the TV as a monitor,
    you start searching..."
    pc "And I think we have a winner! [socSite] sounds like it would have a friendly
        crowd that would appreciate my unique charms."
    "You negotiate the complexity of the registration forms, then compose yourself
    to record a channel intro. And watch it back."
    pc "Well, that was ... bad."
    "You record another one. Nope. A third? Better. The fifth is adequate, so
    you upload it and flop back."
    $ gt.addHours(2)
    $ socFans.setActive(True)
    $ socFans.setFans(pc.random(4, 8))
    $ dbgLog("Fans={} Income={}".format(socFans.fans(), socFans.income()))
    $ tmp = cardinal(socFans.getNewFans())
    "When you check back a little later [tmp] people have already seen it.
    That's encouraging, but you know you'll have to work at this to bring in actual
    money."
    $ pc.useEnergy(2)
    $ gt.addHours(1)
    return



    # Watch some TV.
    # Moved to swRegHomeRelax!
    #
label .tv:
    $ dbgLog('swRegWork.tv')
    $ renpy.dynamic('unsure')
    $ unsure = pc.isDietConsider()
    # Catch up on Episodes
    # Add more details to this (maybe vary answers depending on shows?)
    # Also, Snacks?
    $ tmp = ('baking', 'comedy', 'cooking', 'horror', 'nerdy', 'sci-fi')[rnd]
    "You decide it's time to catch up on your favourite [tmp] show on Getflix."
    $ rnd = pc.random(0,2)
    if rnd == 0:
        "You were very pleased with the show you watched."
    elif rnd == 1:
        "The show wasn't bad, but wasn't great either."
    else:
        "You are not a fan of the direction the show is taking."
    # Movie time
    "Grabbing a bag of chips, you decide to while away some time with a movie."
    # Select New, Old or Favourite?

    # Channel-Surf
    "You decide to flick through the channels until you find something you'd
    like to watch."
    if unsure:
        "There are so many ad breaks, and so many of them are for food.
        You really don't want to be reminded
        with how uncomfortable you feel with your size these days."
        $ pc.addMood(-1)
    else:
        "There are so many ad breaks, and so many of them are for food.
        You find yourself losing interest for the show you're watching and
        looking forward to the next ad for a juicy burger, a sizzling
        steak, a bucket of chicken or stack of pancakes smothered in syrup."
        $ pc.addMood(1)
        $ pc.addLim(1)
        if not dayCounters.isZero('regSnacks'):
            "While surfing the channels you reach over for a bag of chips, munching
            away mindlessly while zoning out watching daytime TV."
            $ food.add('regsnack')
            $ regJoint.addFoodCost(food.cost)
            $ pc.eatFood(food)
            if dayCounters.decIsZero('regSnacks'):
                pc "Oh, that was my last bag."
    $ pc.useEnergy(1)
    $ gt.addHours(2)
    return
