#
# Alicia's chat.
# Uses picker.
#
label aliciaChat:
    # $ dbgLog("aliciaChat")
    $ renpy.dynamic('select')
    $ _return = False
    $ picker.start('aliciaChat')

    call .chatPri from alicia_chat_pri
    if _return:
        return _return

    call .chatCond from alicia_chat_cond
    call .chatRnd from alicia_chat_rnd
    call aliciaGoss from alicia_chat_goss

    # Pick chat.
    #
    $ select = picker.choose(aliciaLru, 0, 2, 49)
    if select != None:
        if world.hasLabel(select):
            call expression select from alicia_chat_dyn
        else:
            dbg "In aliciaChat: selected label \"[select]\" was not found."

    return _return

    # Priority chats that bypass any random elements.
    #
label .chatPri:
    # $ dbgLog("aliciaChat.chatPri")
    if flags.isConsume('agSuggMeasure') and counters.isZero('wrHipsSeq'):
        call .needMeasure from alicia_chat_pri_measure
        return True

    return False

    # Conditional chats.
    #
label .chatCond:
    # $ dbgLog("aliciaChat.chatCond")
    $ renpy.dynamic('ssmin', 'ssmax', 'stopStep')

    # Alicia dealing with PC two-timing Sofia and Steve.
    # Looks for a minimum of 30 romance with both, and tests the highest
    # romance value.
    #
    $ ssmin = min(sofia.getEffRomance(), steve.getEffRomance())
    $ ssmax = max(sofia.getEffRomance(), steve.getEffRomance())
    $ stopStep = counters.get('aliciaStop')
    if ssmin >= 30:
        if stopStep == 0 and ssmax >= 40:
            $ picker.addLocal('.stop0', 400, 100)
        elif stopStep == 1 and ssmax >= 60 and ssmin >= 40:
            $ picker.addLocal('.stop1', 400, 150)
        elif stopStep == 2 and ssmax >= 80 and ssmin >= 50:
            $ picker.addLocal('.stop2', 400, 200)
    elif ssmin == 0:
        # Reset once one breakup occurs.
        $ counters.delete('aliciaStop')

    # Comments on the PC's double diner.
    #
    if dayFlags.isSet('agSeconds'):
        $ picker.addLocal('.seconds', 400)

    return


    # Random chat.
    #
label .chatRnd:
    #$ dbgLog("aliciaChat.chatRnd")
    $ picker.addLocal('.chatSeq', 200, 30)
    return


    # Sequential chat.
    #
label .chatSeq:
    $ opt = alicia.talkTopic(3)
    if opt == 0:
        call .anyGoss from alicia_chat_seq_any_goss
    elif opt == 1:
        call .ermintrude from alicia_chat_seq_ermintrude
    elif opt == 2:
        call .whereGoss from alicia_chat_seq_where_goss
    else:
        dbg "No case for [opt] in aliciaChat.chatSeq"
        return False
    return True

    # -------------------------------------------------------------------------

    # Asking for gossip.
    #
label .anyGoss:
    alicia "Got any goss for auntie Alicia?"
    pc "No, nothing you probably haven't already heard.
        I'm the new girl in town, no one tells me anything."
    if gt.dayNum > 60:
        $ tmp = roughPeriod(gt.dayNum)
        alicia "You've been here, what, [tmp]?
            You must have heard something."
        pc "Sorry, but no."
        alicia "That's a shame."
    else:
        alicia "That's fair I suppose. You would tell me though?"
        pc "Natch."
    return True

    # About the bar name.
    #
label .ermintrude:
    pc "So how did [barName] get it's name?"
    alicia "You mean the \"Ermintrude\" bit?"
    pc "It's not exactly a common name."
    alicia "The first owner, way way back, kept a few cattle,
        and it was the name of his favourite cow."
    pc "It's not exactly a common name for a cow either."
    alicia "Henry, that was his name, was English.
        I heard that it was the name of a cow on some old kids TV show."
    pc "So if he was American it might have been Stimpy's Bar and Grill?"
    alicia "I suppose, but wrong era; that bar's more than fifty years old."
    return True

    # Alicia wants to measure PC hips.
    #
label .needMeasure:
    alicia "You're not slowing down any are you hun?"
    pc "What do you mean?"
    alicia "You're wider than ever, I can see that from here."
    if pc.isDietConsider():
        pc "I suppose. I'm trying Alicia."
    else:
        pc "I have been eating well."
        alicia "Like a pig in clover."
        pc "Huh?"
        alicia "Pigs really like clover, in much the same way as you like
            chocolate, cake, ice-cream, burgers, lasagna, ..."
        pc "No need to make me hungrier by listing all my favourite things."
    alicia "Can you pop round the shop when you have a free moment,
        I think we ought to measure you.
        {i}Before{/i} you get stuck."
    return True

    # Alicia saw PC eat seconds.
    #
label .seconds:
    $ renpy.dynamic('unsure')
    $ unsure = pc.isDietConsider()
    alicia "Oh my hun! I can't believe you just did that."
    pc "Did what?"
    alicia "Had a second dinner. The portions here are huge already."
    pc "I was hungry."
    if pc.getSize() == 11:
        alicia "You were greedy more like!
            Just be careful hun, you're already wearing the biggest sizes
            I carry."
        if unsure:
            if pc.isDiet():
                pc "I'm too fat Alicia, and I'm already dieting."
                alicia "Really hun? Because that's not what dieting looks like."
                pc "It's a cheat day!"
                alicia "One hell of a cheat day!"
            else:
                pc "I shouldn't have done that, I'm too fat as it is
                    and going to make sure I don't grow out of these."
                alicia "Famous last words.
                    You've outgrown every other outfit I've sold you hun."
        else:
            pc "Oh. That could be a problem. For future [pc.name] at least."
            alicia "It certainly will be if you keep eating like that hun."
    else:
        alicia "You were greedy more like!
            Oh well, I can't complain.
            If you carry on like that I'll be happy to sell you a new outfit."
        if not pcClothes.hasAll(3, ckBra, ckJeans, ckPanties, ckTshirt):
            pc "I hadn't thought of that. It could get expensive."
            alicia "You are probably looking at \$125 to cover just the basics hun."
            if unsure:
                if pc.isDiet():
                    pc "I'm too fat Alicia, and I'm already dieting."
                    alicia "Really hun? Because honestly that's not what dieting looks like."
                    pc "It's a cheat day!"
                    alicia "One hell of a cheat day!"
                else:
                    $ prompt = "I'm too fat and if I carry on like this I'll outgrow my clothes."
                    if not pc.canAfford(125):
                        $ prompt += " I can't afford new clothes right now."
                    call pcDiet.thinkPrompt from alicia_chat_seconds_diet
        else:
            if unsure:
                if pc.isDiet():
                    pc "I'm too fat Alicia, and I'm already dieting."
                    alicia "Really hun? Because that's not what dieting looks like."
                    pc "It's a cheat day!"
                    alicia "One hell of a cheat day!"
                else:
                    pc "I shouldn't have done that, I'm too fat as it is
                        and I won't be needing new clothes Alicia."
                    alicia "Famous last words."
            elif not pcClothes.hasAll(pc.gsize+1, ckBra, ckJeans, ckPanties, ckTshirt):
                pc "I guess I'll be visiting when I burst out of these."
                alicia "You can always buy a bigger size {i}before{/i} that happens you know."
                pc "That would be more sensible, wouldn't it."
                alicia "I think so, particularly if you are planning to get any bigger."
            else:
                pc "I already have larger sizes from ... before."
    $ dayFlags.clear('agSeconds')
    return True

    # Alicia tries to discourage PC from dating both Sofia and Steve.
    #
label .stop0:
    alicia "[pc.name], I've known Steve since he was born.
        And I've known Sofia since her family arrived and re-opened the diner.
        And I care a lot about them both. They're good people."
    alicia "I know you've been getting on well with them both,
        and I know it must be confusing as you come to terms with
        how you feel. But I don't want to see either of them get hurt."
    pc "I ... I feel bad about it too.
        Steve is the kind of guy I dreamed of,
        and Sofia is a surprise I wasn't expecting."
    alicia "You will have to make a choice before too long.
        Try and let one of them down gently, please."
    $ counters.inc('aliciaStop')
    return True

    # Alicia asks PC to choose.
    #
label .stop1:
    alicia "[pc.name], I think it's high time for you to make a decision.
        Does your future lie with Sofia or Steve?"
    $ prompt = addMenuAlt("Who do I want to be with?")
    menu:
        "[prompt]"
        "I love Sofia, and should break up with Steve":
            pc "It's Sofia who has captured my heart,
                against all my expectations.
                I need to let Steve know."
            alicia "Sofia will be so happy,
                I know she's found it difficult to find a partner
                in a small town like this.
                Please be gentle with Steve though."
            pc "I don't want to hurt him.
                I know a bit of his history with Sofia, and
                don't want to make it worse than it is."
            alicia "He's going to be upset of course,
                but a guy like that will bounce back I'm sure."
            $ flags.set('steveEnd')
        "I love Steve, and should break up with Sofia":
            pc "It's Steve I love.
                Sofia has been wonderful to me,
                but I need to let her know how I feel."
            alicia "I understand, please let her down gently.
                I know she's struggled to find anyone in this
                small town."
            pc "I'll do my best Alicia.
                I don't want to hurt her either."
            $ flags.set('sofiaEnd')
    $ counters.inc('aliciaStop')
    return True

    # Alicia forces PC to choose.
    #
label .stop2:
    alicia "[pc.name], you aren't really being fair, are you?"
    pc "I feel awful, I don't have the heart to tell them, and I've
        left it much too late. I don't deserve either of them."
    alicia "It was never going to be easy, hun."
    pc "Maybe I should just leave?"
    alicia "And break both their hearts? That's the old [pc.name] talking."
    pc "I'm too broken to be in love, to have a long-term relationship."
    alicia "No, you're not, hun. You're just new to this."
    alicia "Look, would it be easier if I told them?"
    pc "You'd do that? For me?"
    alicia "I think I have to. As things stand three people I care about are
        going to get hurt, and if I help it only needs to be one."
    pc "Three?"
    alicia "Sofia, Steve, and you. I care about you too you know.
        But I do need you to make a decision."
    $ prompt = addMenuAlt("Where does your future lie?")
    menu:
        "[prompt]"
        "I love Sofia":
            pc "I want to be with Sofia. I really do."
            alicia "Okay, I'll have a word with Steve."
            $ steve.romance = 0
            $ steve.setBreakDays(90)
            $ gt.removeEvents('steveHomeFilm')
            $ gt.removeEvents('nwFountLunchSteve')
        "I love Steve":
            pc "I want to be with Steve."
            alicia "Okay, I'll have a word with Sofia."
            $ sofia.romance = 0
            $ sofia.setBreakDays(90)
            $ gt.removeEvents('nwDinerWork.acceptWeekend')
    alicia "Just, you know, keep out of their way for a while."
    $ counters.inc('aliciaStop')
    return True



    # PC asks where she gets gossip from.
    #
label .whereGoss:
    pc "Alicia where do you get all your gossip from?"
    alicia "It's a small town,
        everyone pretty much knows everyone else's business.
        And nothing exciting happens here."
    return True
