#
# Sofia's chat.
# Uses picker.
#
label sofiaChat:
    # $ dbgLog("sofiaChat")
    $ renpy.dynamic('select')
    $ _return = False
    $ picker.start('sofiaChat')

    call .chatPri from sofia_chat_pri
    if _return:
        return _return

    if sofia.isRomance():
        call .chatFlirt from sofia_chat_rom

    call .chatCond from sofia_chat_cond
    call .chatRnd from sofia_chat_rnd

    # Pick chat.
    #
    $ select = picker.choose(sofiaLru, 5, 1, 50)
    if select != None:
        if world.hasLabel(select):
            call expression select from sofia_chat_dyn
        else:
            dbg "In sofiaChat: selected label \"[select]\" was not found."

    return _return

    # Priority chats.
    # Return True if used.
    #
label .chatPri:
    if sofia.isRomance():
        if pc.isDietHard() and flags.isSet('hardSofia'):
            call .biggest from sofia_chat_pri_biggest
            return True

        if flags.isSet('sofiaSeeFeed'):
            call .feederCuriosity from sofia_chat_pri_feeder
            return True

        if flags.isSet('sofiaWatchEat'):
            call .watchPcEat from sofia_chat_pri_watch_eat
            return True

    return False

    # Conditional chats.
    # Adds to picker.
    #
label .chatCond:
    if flags.isSet('sofiaDateSteve'):
        $ picker.addLocal('.datedSteve', 200, 100)

    if flags.isSet('sofiaPcDad'):
        $ picker.addLocal('.pcDad', 200, 100)

    if flags.isSet('sofiaPcMum'):
        $ picker.addLocal('.pcMum', 200, 100)

    if sofia.isRomance():
        if pc.gsize >= 3:
            $ picker.addLocal('.pcGotFatter')
    return

    # Flirty chat.
    #  Adds to picker.
    #
label .chatFlirt:
    $ picker.addLocal('.loveYou')
    $ picker.addLocal('.pcLoveYou')
    $ picker.addLocal('.pcEatHappy')
    $ picker.addLocal('.pcEatOneThing')
    $ picker.addLocal('.sofiaTooFat')
    return

    # Random chat.
    # Adds to picker.
    #
label .chatRnd:
    # $ dbgLog("sofiaChat.chatRnd")
    $ picker.addLocal('.beenItaly')
    $ picker.addLocal('.settleDown')
    $ picker.addLocal('.eatOneThing')
    $ picker.addLocal('.chatSeq', 200)
    return


    # Sequential chat.
    #
label .chatSeq:
    $ opt = sofia.talkTopic(4)
    if opt == 0:
        call .howHere from sofia_chat_seq_how_here
    elif opt == 1:
        call .growUpHere from sofia_chat_seq_grow_up
    elif opt == 2:
        call .pcWhereFrom from sofia_chat_seq_where_from
    elif opt == 3:
        call .pcChildhood from sofia_chat_seq_childhood
    else:
        dbg "No case for [opt] in sofiaChat.chatSeq"
        return False
    return True

    # -------------------------------------------------------------------------

    # Has Sofia been to italy?
    # Will she take PC?
    #
label .beenItaly:
    pc "Have you ever been to Italy?"
    sofia "Yes, several times. Dad still has family there."
    if sofia.isRomance():
        pc "Will you take me one day?"
        if gsize >= 10:
            sofia "I'd love to, but getting you on a plane might be a challenge
                these days."
            pc "I guess I am a bit wide now."
            sofia "A bit? I'm not even sure you'd fit in the first class seats."
            pc "You get more food in first don't you?"
            sofia "Yes, but I'm not sure you get first class treatment
                if we have to charter a transport."
            pc "Oi! You cheeky cow."
            sofia "Me? You're a lot closer to cowhood than I am.
                Not that I don't love every inch of you."
            pc "Sofia?"
            sofia "Yes, my sweet?"
            pc "How much do cows weigh?"
            sofia "I think around 1,600lbs. And no, don't even think about it!"
            if pc.weightLb > 800:
                pc "So I'm more than half the weight of a cow?"
                sofia "Yes, and judging by those magnificent udders of yours, you {i}are{/i} half-cow."
                sofia "[pc.name] what are you thinking?"
                pc "Nothing. Just wondering how much milk I'd ..."
                sofia "Milk? Yours would be more like cream!
                    Wait, I know how your mind works,
                    you're thinking about me suckling from you aren't you?"
                pc "Mmmm, ... making you fatter with my abundance."
        elif gsize >= 8:
            sofia "I'd love to, but you're probably going to need a
                seatbelt extender for that tum."
            pc "They've bigger seats in first class though?"
            sofia "Yes, they're wider, and they convert into beds too."
            pc "And the food is better too? I could eat and sleep the whole trip."
            sofia "That's what I've heard my little glutton.
                I can see this is going to get expensive!"
        elif gsize >= 4:
            sofia "I'd love to and I'm sure the family would appreciate your
                appetite."
        else:
            sofia "I'd love to."
    return True

    # PC hit hard limit.
    #
label .biggest:
    $ renpy.dynamic('circStr', 'widthStr')
    $ circStr = feetAndInches(pcHipsCircIn())
    $ widthStr = feetAndInches(pcHipsWidthIn())
    pc "Feast your eyes on your goddess babe!"
    "You let Sofia take in the sight of your massive form,
    resplendent in curves, rolls, and copious fat."
    pc "She's ten times the woman she was when you first met her!
        [widthStr!c] across her hips, and [circStr] around them."
    sofia "You're magnificent my love."
    pc "Though you best enjoy it while it lasts,
        I couldn't get myself out of bed without help this morning,
        so this is as big as I'm ever going to be."
    if flags.isOnce('sofiaPhotoMax'):
        sofia "Would it be wrong of me to take a photo?"
        pc "Not at all babe!
            I'd like to preserve this moment too."
        "
        You pose as Sofia takes her phone out, then has to step back a
        few paces to get all of you in shot.
        "
    "
    Sofia hugs you tightly, almost as though she's trying to engulf herself
    in your abundant flesh. Then you both kiss, long and passionately.
    "
    pc "The hard bit starts here though.
        As promised I'm going to diet until I can be comfortable with my
        weight again."
    sofia "Thank you, I'm sure that's for the best."
    pc "It is. And it's not like I'm ever going to be thin again!
        I'm so big right now you probably won't even be able to tell the
        difference."
    sofia "You know I love you at any size."
    pc "I know babe. But we both prefer bigger, don't we!"
    sofia "We do. Perhaps we shouldn't, but we do."
    pc "All I ask is that you try not to indulge me too much while I'm dieting."
    sofia "I'll do my best my sweet. I'll miss it though."
    pc "Me too."
    $ flags.clear('hardSofia')
    # Change Sofia's tooFat limit to half way between soft and hard.
    $ sofia.setMaxBfpByWeightKg(softLimKg + 10, 100, True)
    return True

    # Did Sofia date Steve?
    #
label .datedSteve:
    pc "Sofia, I'm curious, did you ever go out with Steve?"
    sofia "Why do you ask?"
    pc "I don't know, the way he looked at you, the things you've said about him."
    pc "There's something there."
    if steve.isPcFat():
        pc "And he said I was too fat for him, but you are bigger than me."
    else:
        pc "And he seems to like thinner girls, but you are bigger than me."
    if pc.base + pc.fat >= sofia.weight:
        pc "Were bigger than me."
    if steve.breakCount > 1:
        pc "And he and I broke up."
    pc "And, I don't know..."
    if pc.drunk > 2:
        "... I'm too drunk aren't I?"
    "Sofia hugs you."
    sofia "It's all ancient history, but yes, I did, back in high school."
    sofia "And before you ask, I was barely plump back then."
    sofia "We dated, and I liked the attention, and being normal, but there wasn't the spark."
    sofia "I started to get bigger, and he'd niggle me about it, over and over."
    sofia "And he dumped me, publically, and then only teased me more."
    sofia "I wasn't really upset about it ending, to be honest."
    sofia "Annoyed at myself for spending my time with him."
    sofia "Annoyed at him for treating me like some trophy he owned and could control."
    if steve.breakup:
        sofia "You're better off without him."
    elif steve.isRomance(0):
        sofia "Don't let him control your body."
    else:
        sofia "Just stay away from that jerk."
    if sofia.isRomance(0):
        sofia "I love you for who you are [pc.name], not what shape you are."
        pc "All the food though, ..."
        sofia "That might just be my Italian showing,
            but I'm not going to say I don't prefer you cuddly
            it's just not {i}why{/i} I love you.
            "
    $ flags.clear('sofiaDateSteve')
    return True

    # Sofia asks PC one thing to eat.
    #
label .eatOneThing:
    sofia "If you could only eat one thing for the rest of your days,
        what would it be?"
    pc "Easy, chocolate!"
    sofia "No surprises there!"
    return True

    # Sofia curious about feeding.
    #
label .feederCuriosity:
    sofia "The other evening, when I first saw you in the restaurant with Steve ..."
    pc "Yes?"
    sofia "... you seemed to be encouraging him to feed you.
        Do you like that?"
    $ prompt = addMenuAlt("Do you want Sofia to feed you?")
    menu:
        "[prompt]"
        "Oh god, yes!":
            pc "I adore it. It's both loving and sexy at the same time."
            sofia "So you'd like me to feed you too?"
            pc "Very much so. Wouldn't you like to? You already encourage me to eat too much."
            sofia "I guess I do encourage,
                but it's ... not something I've done before.
                You'll tell me when to stop?"
            pc "You don't need to worry, I will."
            $ sofia.addFeeder(10)
            $ flags.set('sofiaFdr1')
        "Yes, I'd like to be fed":
            pc "I do like that. It's kind of loving and sexy at the same time."
            sofia "Would you like me to feed you too?"
            pc "Yes, I would like that."
            sofia "It's ... not something I've done before.
                You'll tell me when to stop?"
            pc "You don't need to worry, I will."
            $ sofia.addFeeder(5)
            $ flags.set('sofiaFdr1')
        "No, it's not for me":
            pc "I wasn't sure, but I thought I might. And it seemed a kinda cute thing to do."
            pc "But it wasn't really my thing."
            sofia "Oh, okay."
            $ sofia.feeder = 0;
    $ flags.clear('sofiaSeeFeed')
    return True

    # Did Sofia grow up here?
    #
label .growUpHere:
    pc "Did you grow up here?"
    sofia "I wasn't born here, but I've been here most of my life."
    return True

    # How did PC end up here?
    #
label .howHere:
    sofia "So what brought you to my little town?"
    pc "I overstayed my welcome at the last little town."
    sofia "How?"
    pc "The usual way.
        Someone who doesn't like outsiders starts a rumour.
        In this case that I was breaking up a marriage."
    pc "Then the work dries up, and I have to move on."
    sofia "That's dreadful."
    pc "I've got used to it, though it used to bother me a lot."
    return True

    # Sofia loves you.
    #
label .loveYou:
    if sofia.isRomance(10):
        sofia "I love you, my dolce."
        pc "I love you too, babe."
    else:
        sofia "I really like you [pc.name]."
        pc "I really like you too."
    $ sofia.addRomance(0.1)
    return True

    # Ask about PC childhood.
    #
label .pcChildhood:
    sofia "What was your childhood like?"
    pc "If I said military brat would that mean anything?"
    sofia "Not really."
    pc "Growing up on a base, surrounded by discipline,
        making friends but then losing them
        when dad's next posting came through.
        I think the longest we stayed in one place was two years."
    sofia "I can't imagine what that would be like.
        Is that where your independance comes from?"
    pc "I guess so."
    if flags.isOnce('sofiaPcDone'):
        $ flags.set('sofiaPcDad')
    return True

    # Ask about PC's dad.
    #
label .pcDad:
    sofia "Is your dad still serving?"
    pc "No, he passed."
    sofia "Oh god, I'm so sorry, I shouldn't have asked."
    pc "Don't be, I've come to terms with it."
    $ flags.set('sofiaPcMum')
    $ flags.clear('sofiaPcDad')
    return True

    # PC eats when happy and unhappy.
    #
label .pcEatHappy:
    pc "Sofia, you know I like to eat too much when I'm happy?"
    sofia "Yes my sweet, I know."
    pc "But when I'm unhappy I eat more too."
    sofia "Most people do."
    pc "I can't win can I?"
    sofia "No, but if you are going to eat, best that you are happy too."
    pc "That works for me!"
    return True

    # PC asks Sofia one thing to eat.
    #
label .pcEatOneThing:
    pc "If you could only eat one thing for the rest of your days,
        what would it be?"
    sofia "Am I allowed to choose you?"
    pc "That's sweet, but I wouldn't be very nourishing."
    sofia "Hmmm, that's hard. I might have to go with lasagna."
    pc "Not something sweet?"
    sofia "I do like sweet things, but not in quite the same way you do."
    $ sofia.addRomance(0.1)
    return True

    # PC asking why Sofia doesn't get fatter like her.
    #
label .pcGotFatter:
    $ tmp = "I've got fatter"
    if pc.gsize >= 7:
        $ tmp = "I've become enormous"
    elif pc.gsize >= 4:
        $ tmp = "I've got really fat"
    pc "Sofia, you like to eat, and so do I, but [tmp], and you haven't."
    pc "How do you do it?"
    sofia "It's the diner, I walk a lot every day.
        I had one of those step counters on my phone once,
        and I'd do over 20,000 steps a day, often more."
    "You think about this."
    pc "So I should come work in the diner with you?"
    "Sofia laughs, her belly and chest shaking."
    sofia "Sorry, sorry. I shouldn't laugh.
        I don't think that would help my sweet."
    sofia "You'd be surrounded by temptation:
        the food, the desserts, and I'd be there too."
    pc "Fair point."
    return True

    # PC loves sofia.
    #
label .pcLoveYou:
    if sofia.isRomance(10):
        pc "I love you."
        sofia "I love you too, dolce."
    else:
        pc "I really like you Sofia."
        sofia "I really like you too, dolce."
    $ sofia.addRomance(0.1)
    return True

    # Ask about PC's dad.
    #
label .pcMum:
    $ renpy.dynamic('hug')
    sofia "How did your mum cope?"
    pc "She didn't, she fell apart.
        I tried to hold things together, but it wasn't enough."
    pc "She ended up hospitalised, and I didn't want to go into the system."
    sofia "Jeez [pc.name], so you ran away?"
    pc "Been on the road ever since."
    sofia "I can see the pain in your eyes, I'm so sorry."
    $ hug = sofia.isRomance()
    $ prompt = "sweetie"
    if not hug:
        sofia "Can I give you a hug?"
        $ prompt = addMenuAlt("Let her hug you?")
        menu:
            "[prompt]"
            "Yes":
                pc "I'd like that."
                $ hug = True
                $ prompt = pc.name
            "No":
                pc "I'm okay, honestly."
    if hug:
        "
        Sofia hugs you against her ample body.
        You can feel the tears welling up, then the sobs.
        "
        sofia "It's okay [prompt], it's okay."
        pc "Thank you Sofia."
    $ flags.clear('sofiaPcMum')
    return True

    # Where is the PC from?
    #
label .pcWhereFrom:
    sofia "So where are you from?"
    pc "Originally? A hick town you've probably never heard of and I can't really remember."
    return True

    # Will PC settle down?
    #
label .settleDown:
    $ renpy.dynamic('days', 'flirt', 'months', 'weeks')
    $ flirt = sofia.isRomance()
    sofia "Have you ever thought about settling down [pc.name]?"
    pc "I've never had the chance to think about it.
        Always moved from place to place as a child,
        always persuaded to move on as an adult."
    pc "I don't have wanderlust or whatever it's called.
        Leaving is always involuntary."
    $ days = gt.dayNum
    if days < 21:
        $ tmp = cardinal(days) + " days"
    elif days < 12*7:
        $ tmp = cardinal(int(round(days/7))) + " weeks"
    else:
        $ tmp = cardinal(int(round(days/30))) + " months"
    if days < 15:
        pc "I've only been here [tmp], and while everyone has been helpful,
            it's been like that other places too at the start."
    elif days < 50:
        pc "I've been here [tmp], and everyone has been so nice,
            but I'm still wary."
    elif days < 180:
        pc "I've been here [tmp], and that is the longest I've stayed in one
            place since leaving home. It's growing on me."
        if flirt and pc.gsize > 2:
            sofia "And you are too!"
            pc "Yes, I am. I've never been this round.
                This is hardly the body of a transient girl any more.
                Maybe all this fat is an expression of wanting to stay still."
    else:
        pc "I think this is the longest I've stayed in one place since
            leaving home. It's growing on me."
        if flirt and pc.gsize > 2:
            sofia "And you are too!"
            pc "Yes, I am. I've never been this round.
                This is hardly the body of a transient girl any more.
                Maybe all this fat is an expression of wanting to stay still."
    if flirt:
        pc "What's brought this on?"
        if sofia.isRomance(20):
            sofia "I love you, and would be devastated if you just
                disappeared one day."
            pc "Babe, you're the reason I'm still here.
                I'm not leaving you! Unless you get bored of me."
            sofia "I was worried you'd get bored of me.
                I'm tied to the diner, we never get to do anything!"
            "The tears are coming, her whole body quivering as she sobs."
            pc "My love, I'm not bored of you at all!
                You're a good thing in my life,
                bringing happiness, love, affection, everything I've been missing."
            sofia "Really?"
            pc "Yes, really. I don't want this to end.
                Yet, my life is a story of endings, of good things taken away."
            $ sofia.addRomance(0.1)
        else:
            sofia "Because I love you, and don't want you to slip away one night."
            pc "I love you too, and I'm not going to go while you still want me in your life."
            sofia "I still want you my sweet."
            pc "Then I'll still be here."
            $ sofia.addRomance(0.1)
        if sofia.isRomance(40):
            sofia "Do you ever wonder what it would be like
                to settle down with someone, with me?"
            pc "I dream of a life like that, but I've no frame of reference.
                I'm not even sure if I would be any good at it."
            sofia "I think you would. I love having you in my life."
            $ sofia.addRomance(0.1)
            if sofia.isRomance(60):
                sofia "I'd like to wake up next to you every day,
                    to go to bed with you in my arms,
                    to share a life with you."
                pc "You ... would?"
                sofia "Yes, I would."
                pc "That would make me very happy."
                sofia "Then why are your eyes wet now my dolce?"
                pc "I ... don't ... know."
                "You hug each other. She's so soft."
                $ sofia.addRomance(0.1)
                if sofia.isRomance(80):
                    sofia "You could you know.
                        Wake up next to me.
                        Every single day."
                    pc "You mean ..."
                    sofia "Come and live with us, with me."
                    $ sofia.addRomance(0.1)
                    $ prompt = addMenuAlt("Sofia has invited you to move in with her.")
                    menu:
                        "[prompt]"
                        "I'd like that":
                            pc "I'd like that. I'd like that a lot."
                            sofia "You're sure?"
                            pc "Yes, my love, I'm sure.
                                I don't know what it would be like,
                                but I'd like to try."
                            sofia "That makes me so happy!
                                We'll have to square it with dad formally
                                first, he can be old fashioned that way."
                            dingo "This is unfinished content."
                            $ sofia.addRomance(0.1)
                            $ flags.set('sofiaMeetAntonio')
                            $ renpy.dynamic('delta', 'sched')
                            # FIX!
                            # $ sched = gt.scheduleNext('nwDinerHome.moveInMeet', gt.dayNum + 1, 12)
                            # $ delta = sched.dayNum - gt.dayNum
                            # if delta == 1:
                            #    sofia "Pop over tomorrow lunchtime and we'll talk."
                            #else:
                            #    $ tmp = cardinal(delta)
                            #    sofia "Pop over at lunchtime in [tmp] days, and we'll talk."

                        "I'm not ready yet":
                            pc "I ... I ..."
                            sofia "Sorry, I shouldn't have pushed you.
                                When you are ready, I'll be waiting."
                            $ flags.set('sofiaInviteMove')
                    "She hugs you some more."
                # End invite
            # End share life
        # End settle
    # End flirt
    return True

    # Sofia insecurity.
    #
label .sofiaTooFat:
    sofia "Am I too fat?"
    pc "Too fat for what?"
    sofia "Good question!
        I'm no swimwear model.
        Too fat for you my sweet."
    pc "I fell in love with you just how you are.
        Soft, voluptuous, curvy, sexy, cuddly you.
        I've never known any different."
    pc "But mostly I fell for your kindess, your generosity,
        your fucking love of life, your warm heart, your soul.
        And those eyes, Sofia, I could lose myself in them.
        And, well, you saw something in me."
    pc "Those things aren't to do with how fat or thin you might be.
        Not that I don't love how amazingly soft you are."
    sofia "Thank you my sweet."
    pc "What brought this doubt on?"
    if pc.gsize > 3:
        sofia "Well you must know the looks and comments us bigger girls get."
        pc "I know, I do, I just try to ignore them."
    else:
        sofia "Well you must know of the looks and comments bigger girls get."
        pc "Not just big girls, skinny ones too!"
        sofia "Really? I've never really been skinny."
        pc "It never ends. It doesn't matter what size you are,
            someone's got an unwanted opinion to share."
    if sofia.isRomance(20):
        sofia "Would you leave me if I got fatter?"
        pc "No! No way. I love {i}you{/i} Sofia, not your size."
        sofia "[pc.name], you're imagining me fatter aren't you?"
        pc "I might be. But I just want you to be happy, happy with yourself."
    pc "Anyway, I think you'd look damn hot in swimwear.
        You've beautiful olive skin, and you're so sexy and ripe.
        In fact you might have to show me some time."
    sofia "Thank you my love. You've cheered me up."
    $ sofia.addRomance(0.1)
    $ flags.set('sofiaSwimwear')
    return

    # PC asks Sofia if they like watching them eat.
    #
label .watchPcEat:
    pc "Sofia, can I ask you a question?"
    sofia "Is everything okay sweetie? This sounds serious. Is it?"
    pc "I don't know. I don't think so, but ..."
    sofia "What is it?"
    pc "Do you like watching me eat?"
    "She smiles."
    sofia "Yes, I do, I thought you knew that?"
    pc "I know, but why?"
    sofia "Why? Because it makes you happy. More than happy."
    sofia "Everyone, well almost everyone, likes good food.
        But with you it's more. Your whole face is smiling
        like it's the best thing ever. Like you've just
        discovered something new and pleasurable."
    pc "Well, times have been hard ..."
    sofia "And seeing you happy gives me a warm glow inside.
        Especially if it's something I've given you,
        or better still made for you."
    sofia "You've no idea how happy you look do you?"
    pc "I know I kinda bliss out sometimes."
    sofia "That's the one."
    sofia "Sometimes I wonder if I kept feeding you whether
        you'd orgasm or pop first!"
    pc "Sofia!"
    "You can feel yourself blushing."
    sofia "What brought this up anyway?"
    pc "Well, before, when I was watching you eat, I could
        see how happy you were, and I just watched,
        and you ate, and I watched, and you were so happy,
        and it made me feel good inside."
    pc "And I wasn't sure why."
    sofia "It's only natural to want to see your lover happy."
    sofia "[pc.name], ... when you say \"good inside\" are we talking
        happy or horny?"
    "Your face feels really warm now."
    pc "A little bit of column A, a little bit of column B."
    pc "Part of me wanted to slip an extra treat between those
        luscious lips, and part of me wanted to undress you and
        explore just how soft you are."
    pc "Would you let me?"
    sofia "Undress me? You even need to ask?"
    pc "No, the other thing."
    sofia "You want to feed me?"
    "She leans closer, her breath hot."
    sofia "... to watch chocolate melt on these lips?"
    pc "{size=-4}yes{/size}"
    sofia "{size=-1}... to watch me enjoy each bite?{/size}"
    pc "{size=-4}... yes{/size}"
    sofia "{size=-1}... to have me lick your fingers clean?{/size}"
    pc "{size=-4}yes please{/size}"
    sofia "{size=-2}... eager for more{/size}?"
    pc "{size=-4}yes, so eager{/size}"
    sofia "{size=-3}... with you getting lustier and lustier?{/size}"
    pc "{size=-4}mmm, so distracted{/size}"
    sofia "{size=-4}... until you didn't know if you want to feed me or fuck me?{/size}"
    pc "{size=-4}or both?{/size}"
    sofia "{size=-4}I might like that.{/size}"
    "Sofia looks at you."
    sofia "{size=-4}[pc.name]?{/size}"
    pc "{size=-4}yes{/size}"
    sofia "{size=-4}are you thinking about me naked?{/size}"
    pc "{size=-4}yes, between my thighs{/size}"
    sofia "{size=-4}my chocolate stained lips?{/size}"
    pc "{size=-4}... to kiss{/size}"
    sofia "{size=-4}my heavy tits?{/size}"
    pc "{size=-4}... to caress{/size}"
    sofia "{size=-4}my soft tummy?{/size}"
    pc "{size=-4}... against mine{/size}"
    sofia "{size=-4}my wide hips?{/size}"
    pc "{size=-4}... spreading mine{/size}"
    sofia "{size=-4}my needy ...{/size}"
    pc "{size=-4}... so wet{/size}"
    sofia "{size=-4}Yes, I imagine you are my sweet.{/size}"
    "She lets you daydream a little longer."
    sofia "We're made for each other."
    pc "mmmm, yes."
    sofia "What am I going to do with you, my sexy little puddle?"
    pc "Find out if I cum or pop first?"
    sofia "In your dreams ..."
    pc "... you knew?"
    sofia "I knew love, I knew."
    $ sofia.addRomance(1)
    $ sofia.addFeedee(5)
    $ sofia.addFeeder(5)
    $ flags.clear('sofiaWatchEat')
    return True
