#
# Sofia's phone.
#
label sofiaPhone:
    $ dbgLogDet("sofiaPhone")
    $ renpy.dynamic('dateable', 'done', 'flirt', 'makeup', 'pickup', 'working')
    $ working = isSofiaWorking();
    $ dateable = cooldowns.isZero('sofiaDate')
    $ flirt = sofia.isRomance()
    $ makeup = sofia.isBreak()
    $ pickup = sofia.randomPlatRomance(40, 90)

    # $ pickup = True
    # $ working = True
    if not pickup:
        call .noAns from sofia_phone_no_ans
    else:
        if working:
            call .ansFormal from sofia_phone_working
        else:
            call .ansSocial from sofia_phone_social

        $ done = False
        while not done:
            $ done = True
            $ prompt = addMenuAlt("Why did I call her?")
            menu:
                "[prompt]"
                "Break up" if flirt:
                    call .breakup from sofia_phone_brk
                    # Break up ends call immediately.
                    if _return:
                        return
                    $ done = False
                "Get back together" if makeup:
                    call .makeup from sofia_phone_make_up
                    # Make up calls can end immediately.
                    if _return:
                        return
                "I just wanted to hear your voice" if flirt:
                    call .hearVoice from sofia_phone_hear_voice
                "Pizza?" if working:
                    if flirt:
                        call .pizzaFlirt from sofia_phone_pizza_rom
                    else:
                        call .pizzaPlat from sofia_phone_pizza_plat
                #"Tease her" if flirt:
                    #call stevePhoneTease
                "Wrong number":
                    call .wrongNumber from sofia_phone_wrong_number
        call .hangup from sofia_phone_hang_up
    return



    # -------------------------------------------------------------------------
    # Call steps.
    # -------------------------------------------------------------------------

    # No answer.
    #
label .noAns:
    if flirt and sofia.randomRomance(20, 70):
        "
        You hear the phone ring but she doesn't answer.
        You feel slightly wistful, you really wanted to hear her voice.
        "
        $ sofia.addRomance(0.1)
    elif working:
        if pc.randomBool(50):
            "
            You hear the engaged tone.
            She's probably on a call with a customer.
            "
        else:
            "
            You hear the phone ring, but she doesn't answer.
            She's probably serving someone.
            "
    else:
        "
        You hear the phone ring, but she doesn't answer.
        Oh well, she must be busy or out somewhere.
        "
    return


    # Formal answer.
    #
label .ansFormal:
    sofia "Antonio's Diner, this is Sofia, how can I help you?"
    $ tmp = renpy.random.choice(["a customer", "a supplier"])
    if flirt:
        pc "Hi babe!"
        sofia "[pc.name], so nice to hear from you.
            Can we keep this short, I'm really backed up here with orders."
    else:
        pc "Hi Sofia, do you have a moment?"
        sofia "[pc.name], I'm really busy, but sure if it's quick."
    return

    # Social answer.
    #
label .ansSocial:
    if flirt:
        if pc.randomBool(50):
            sofia "My dolce, so nice of you to call."
        else:
            sofia "Hi my sweet."
    else:
        sofia "Hi [pc.name]."
    return

    # End call.
    #
label .hangup:
    if flirt:
        if pc.randomBool(50):
            pc "I don't want to say goodbye babe."
            if working:
                sofia "I know, but I've customers waiting so I must go.
                    Bye my sweet."
                pc "Okay, I understand. Bye Sofia."
                "She hangs up, and you sigh before replacing the handset."
            else:
                sofia "Neither do I."
                pc "I don't have anything to say though."
                sofia "It's just nice to know you're there."
                pc "I wish I was there with you instead of here."
                sofia "Me too. I'd be kissing you."
                "There's noise and a raised voice, Antonio's?"
                pc "Everything okay there? Sofia?"
                sofia "Sorry, got to go my sweet."
                "She hangs up."
        else:
            if working:
                sofia "I don't want to go, but I've customers waiting."
                pc "I don't want you to go."
                sofia "Please, don't make this any harder than it is.
                    Arrivederci mia dolcezza."
                pc "I'm sorry. See you soon babe."
                "You reluctantly hang up."
            else:
                "There's a pause, and you don't know what to say."
                sofia "While I could listen to your breathing and imagine
                    your lips near my ear all night, I ought to go."
                pc "I'd like that, but I should go too. Bye babes."
                sofia "Bye my dolce."
                "You reluctantly hang up."
    else:
        pc "Bye Sofia."
        sofia "Bye [pc.name]."
    return



    # -------------------------------------------------------------------------
    # Phone calls.
    # -------------------------------------------------------------------------

    # Break up with Sofia.
    # Return True if committed.
    #
label .breakup:
    $ renpy.dynamic('alicaWarn', 'loveSteve', 'tooFat', 'unsure')
    $ aliciaWarn = not counters.isZero('aliciaStop')
    $ fa = flags.isSet('steveFa')
    $ loveSteve = steve.isBreak() or sofia.romance < steve.romance + 10
    $ tooFat = sofia.isPcTooFat()
    $ unsure = pc.isDietConsider()
    $ prompt ="Do I really want to break up with Sofia?"
    if tooFat:
        $ prompt += " She likes big girls, but I'm too fat now?"
    if loveSteve:
        $ prompt += " I've fallen for Steve so much more."
    if aliciaWarn:
        $ prompt += " Alicia said I musn't date them both."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Yes, I want to be with Steve" if loveSteve:
            call .brkLoveSteve from sofia_phone_brk_steve
        "Yes, I know I'm too fat for you" if tooFat:
            call .brkTooFat from sofia_phone_brk_too_fat
            if not _return:
                return True
        "Yes, but it's not you, it's me":
            call .brkNotYou from sofia_phone_brk_not_you
        "No, I don't. Why would I do that?":
            return False

    # Implement breakup.
    #
    $ tmp = 10 + sofia.breakCount * 5
    if aliciaWarn:
        $ tmp = min(60, tmp)
    else:
        $ tmp = min(21, tmp)
    $ sofia.setBreakDays(tmp)
    $ sofia.romance = 0
    $ gt.removeEventsWith('sofia')
    $ flirt = False
    return True



    # Break so I can be with Steve.
    #
label .brkLoveSteve:
    $ gsize = pc.gsize
    pc "Sofia, I don't know how to best say this. I want to be honest with you."
    sofia "What is it my sweet?"
    pc "Oh gods, I don't want to do this to you."
    sofia "Do what?"
    pc "Sofia, I've fallen in love with Steve."
    sofia "Steve? My teenage boyfriend Steve?"
    pc "Yes, that Steve."
    if gsize >= 10:
        sofia "But you're fucking huge [pc.name]! Like four times the size I
            was when he dumped my fat ass."
        pc "He always had a thing for big girls, really big girls, that's not
            why he dumped you. He was embarrassed."
        sofia "That little shit."
    elif gsize >= 5:
        sofia "But you're even fatter than I am! And I was smaller than I am
            now when he dumped me for being fat."
        pc "He always had a thing for big girls, he just couldn't admit it to himself.
            So that's not why he dumped you. He was embarrassed."
        sofia "That little shit."
    elif gsize == 4:
        sofia "Be careful with that little shit [pc.name]. You're getting
            on for the size I was when he dumped me."
    elif gsize < 4:
        sofia "Makes sense. Little shit always preferred thinner girls."
    "The line goes quiet, Sofia might be crying."
    sofia "Was I just an experiment for you [pc.name]. A sapphic exploration
        that was never going to lead anywhere."
    pc "No, it wasn't that. I'm not the sort of person to play with another's
        emotions. I've been on the receiving end of that too often myself."
    sofia "So why [pc.name]? What's he got that I haven't? Besides the obvious.
        is it the obvious [pc.name]? Do you need to have his hot body thrusting
        inside you?"
    pc "So you admit he's hot?"
    sofia "I never said he wasn't. He's a hot fucking shit is what he is.
        Dumping me, and then stealing away I woman i loved with every breath."
    "Sofia is sobbing now, struggling to catch a breath."
    pc "Sofia?"
    sofia "I. Hope. You. Are. Happy. Together."
    "
    Click.
    \nShe hung up.
    \nWell that could have gone better.
    "
    return



    # It's not you, it's me.
    #
label .brkNotYou:
    pc "Sofia, I don't know how to best say this. I want to be honest with you."
    sofia "What is it my sweet?"
    pc "I want to say first what a wonderful and loving person you are.
        I've never met anyone quite like you. So embracing of all that life
        offers. So open with their affection."
    sofia "Okay, thank you?"
    pc "But, well, the thing is, I, I've not had a good start in life.
        And I think I'm basically broken as a person. I don't know if I
        can ever love you, or anyone, in the same way you love me."
    sofia "Don't say that about yourself [pc.name]."
    pc "It's true though. I feel like a fake, a fake so very out of her
        depth it's not even funny."
    sofia "People express their love and affection in different way my dolce.
        It's okay."
    pc "But I want to love you with my whole heart, the way you seem to give
        yours to me, unconditionally. And I don't think I actually can.
        Believe me I've tried. I can't just bring myself to give my whole to you."
    sofia "It's all very new to you isn't it. Being as close as we are,
        it's going to take time. You've a good heart [pc.name]."
    pc "I'm not so sure I do at all. I don't want to hurt you."
    sofia "But you're going to aren't you?"
    pc "I have to so I don't hurt you more later.
        You deserve to have someone who loves you with all their heart."
    sofia "And that can't be you? I'd like it to be you."
    pc "No, not me. At least not yet."
    sofia "My sweet, are you thinking of leaving town?"
    pc "I've got some healing to do. And this place seems to help.
        So no immediate plans, no."
    sofia "Please, promise me that if you do, you'll come and talk to me one
        last time before you go."
    pc "Yes Sofia, I promise. I owe you that.
        But, right now, I can't be in a romantic relationship. I'm sorry Sofia."
    pc "Sofia?"
    "
    Click.
    \nShe hung up.
    \nWell that could have gone better.
    "
    return



    # PC thinks she's too fat for Sofia.
    #
label .brkTooFat:
    pc "Sofia, I think we need to talk."
    sofia "What about my dolce? Are you okay? Are you unhappy?"
    pc "A little. I've really enjoyed your love and friendship Sofia,
        and all the treats, and coming to terms with how I feel about
        my body."
    if unsure:
        pc "Though I'm not sure I want to be as big as I am now.
            But something has changed between us."
    else:
        pc "But something has changed between us."
    sofia "What's changed?"
    pc "You treat me differently. The things you do, the things you say,
        the things you {i}don't{/i} do."
    pc "I thought you loved the way I was, well, developing.
        My increasing appetite, my increasing weight, all this fat
        I've gained."
    sofia "I'd love you at any size, as I've said before.
        But, yes, I have my preferences, and find you increasingly attractive.
        Is that wrong?"
    pc "No. But am I too fat for you now Sofia?"
    sofia "Oh."
    pc "Is that a yes? You don't encourage the way you used to."
    sofia "My sweet, it's not that at all."
    pc "What is it then?"
    sofia "I feel guilty. I was so swept up in this fantasy of mine.
        Of having such a beautiful sexy woman as my lover I wasn't
        thinking of how it affected you. What you really wanted."
    sofia "And I couldn't think of a way to truely ask, one where
        your answer wouldn't be coloured by our love for each other.
        And the longer it went on the harder it became to ask you."
    sofia "With the size you are now, well, I know things aren't as
        easy for you. I didn't want you to be unhappy because of my
        silly daydream."
    if unsure:
        $ prompt = "What should I do, I'm not really happy at this weight."
    else:
        $ prompt = "What should I do, I like being this big. Maybe bigger."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Sofia's concern is touching, and maybe I ought to lose a little" if unsure:
            pc "Oh Sofia. You're right of course, and I'm so sorry. I've
                enjoyed getting bigger and your attention so much, but I
                am not happy with being this big now."
            sofia "I thought so, that's why I stopped, you know."
            pc "You were right to. I didn't really know how to tell you
                either. I was worried that once I stopped eating so much,
                stopped getting heavier, that you'd lose interest in me."
            sofia "Never my sweet. You don't need to keep getting bigger
                to earn my love. Far from it."
            pc "That's a weight off my mind babes."
            sofia "Just not off those hips!"
            pc "Hey, these hips are one of my best features!"
            sofia "They're certainly your widest feature. And I love them."
            pc "But you'd be okay with them not getting any wider?"
            sofia "Yes, my sweet. But both you and I would be happier if
                you weren't quite so wide, wouldn't we?"
            $ tmp = feetAndInches(pcHipsCircIn())
            if pc.isDiet():
                pc "I guess being [tmp] around is a bit much. I am already
                    trying to lose some of the flab."
            else:
                pc "I guess being [tmp] around is a bit much."
                $ prompt = "Both Sofia and I think I'm too fat."
                $ prompt += " I could lose some weight so we are both happy."
                $ goalKg = min(pc.base + pc.fatLim, sofia.getTooFatMass()) - 5
                $ goalKg = math.floor(goalKg * 2.2/5.0) * 5.0/2.2
                call pcDiet.goalKgPrompt from sofia_phone_brk_too_fat_diet
                if pc.isDiet(): # Right, starting today I am determined to shift some flab!
                    sofia "I appreciate it my sweet. I'll support you as best I can."
                else: # I know I ought to diet, but I don't really want to.
                    sofia "I know my sweet."
            sofia "Thank you for bringing this up though. It has cleared the air,
                and I feel much happier."
            pc "I do too. I was worried about what might happen to us."
            call .hangup from sofia_phone_brk_too_fat_diet_hang_up
            return False    # Do not break up.

        "Sofia's is concerned, but I like being this big" if not unsure:
            pc "I think I understand and I appreciate your concern as
                I know things are getting more difficult for me. But I don't
                want you to feel guilty."
            sofia "I'm sorry if you felt I didn't love you the way I did,
                nothing could be further from the truth."
            pc "The thing is Sofia, I like being this big, and I really
                want to get even bigger. For myself. You would like that
                wouldn't you?"
            sofia "I'd, I'd love it my sweet. But are you sure this is what
                you want?"
            pc "I'm very sure. I want it so much. And I'd really love it if
                you'd help. Encourage me, treat me, feed me.
                Make me even fatter Sofia."
            sofia "You hardly need encouraging these days my dolce."
            pc "I know. But it's {i}so{/i} hot when you do babes."
            sofia "Mmm, it gets me going to."
            pc "So you'll make sure I get properly stuffed next time I see you?
                You won't hesitate to fatten me up? Make me even wider?
                Make sure my oh-so-soft belly is properly full?"
            if working:
                sofia "Stop it [pc.name], I'm at work!"
                pc "Such a shame you're not here. I'm so very hungry babe.
                    I need more food in me, so I've got to go. Love you."
                sofia "Love you too, you tease."
            else:
                sofia "It would be my pleasure."
                pc "Mine too!"
            call .hangup from sofia_phone_brk_too_fat_hang_up
            # Increase Sofia's max Bfp, so she accepts the PCs current
            # weight and then some.
            #
            $ sofia.setMaxBfpByWeightKg(pc.weightKg+30, sofia.romance)
            $ sofia.addRomance(2)
            return False    # Do not break up.

        "Okay, so I'm not happy, but we can't go on like this" if unsure:
            pc "You're right in a way, I'm not happy with how big I am.
                But I'm the one who did all the eating, that's on me.
                And I need to do something about that."
            pc "But I also see how it's been tearing you up inside,
                and that's not fair on you, or on me.
                If I lose some of this flab, you'll be disappointed I know.
                And if I gain, I won't be happy, and that will make you
                feel guilty."

        "I do want to get fatter, I don't need her guilt." if not unsure:
            pc "I think I understand. But the thing is I like being fat.
                I want to enjoy getting even fatter.
                And it's like you've bled all the joy out of it."
            sofia "I'm sorry, that wasn't ever my intent."

    pc "I think we should take a break, from each other.
        Take some time to reflect. I need to find where I'm going with this."
    sofia "{size=-2}Okay.{/size}"
    "There's silence, but you think you can hear muffled sobs."
    pc "Sofia, please don't cry my love."
    "
    Click.
    \nShe hung up.
    "
    "What have I done?"
    return True



    # Just want to hear her voice.
    #
label .hearVoice:
    pc "This may sound silly, but I just wanted to hear your voice."
    sofia "That's not silly my sweet. It lifts my spirits to hear from you."
    pc "It does? I'm glad. I thought it might just be me, and my issues.
        I haven't had the best start."
    sofia "I know. But no, it's not just you. Why wouldn't I want to hear
        from my love?"
    if sofia.isRomance(20):
        pc "I do like it when you call my your love."
        sofia "I'm glad, as I've no intention of stopping."
    else:
        pc "I'm ... not used to anyone saying thimgs like that to me.
            It makes me feel funny inside. Like I might float away."
        if gsize >= 3:
            sofia "Thankfully, floating away isn't a worry for either of us any more."
        else:
            sofia "Well you can always take my hand, I'll keep us both on the ground."
    if gsize >= 8:
        pc "It's not silly to be calling you when you're just a short walk,
            or rather waddle, away?"
    else:
        pc "It's not silly to be calling you when you're just a short walk away?"
    sofia "No, it's not silly at all."
    pc "I miss you my love."
    sofia "I miss you too."
    $ sofia.addRomance(0.1)
    $ gt.addHours(1)
    return



    # Making up.
    #
label .makeup:
    pc "Sofia, I've made a terrible mistake ..."
    if sofia.isBreakCountGte(3):
        sofia "Fuck off [pc.name]! You're not leading me another merry dance."
        "She slams the phone down. Right. Well, she has a point."
        return True
    sofia "What have you done this time?"
    pc "There was this woman I fell for, really fell for, and I was an idiot
        and broke it off."
    if sofia.isOnBreak(10):
        sofia "I heard about that. She's still really upset with you.
            She needs some space [pc.name]."
        pc "Do you think I should give her another week or so?"
        if sofia.isOnBreak(17):
            sofia "Maybe. Goodbye [pc.name]."
        else:
            sofia "She'll need longer than that to get over what you did.
                Goodbye [pc.name]."
        return True
    sofia "Oh. Anyone I know?"
    pc "Sofia, it's you!"
    if steve.isRomance():
        sofia "Are you still dating Steve?"
        pc "Ah. About that."
        sofia "Goodbye [pc.name]."
        return True
    if tooFat:
        sofia "Have you lost any weight [pc.name]?"
        pc "Not as such, no."
        sofia "I thought so. Goodbye [pc.name]."
        return True
    sofia "Me? You should have said."
    pc "I miss you so much Sofia. I'm such a fool."
    sofia "I've missed you too.
        But you're not going to be making a fool of me again are you?"
    pc "No, I promise. I'd like to see you again."
    sofia "I'd like that too ... my dolce?"
    # Adjust romance.
    $ sofia.romance = max(10, sofia.romance * 2 / 3)
    $ sofia.addRomance(3)
    # Bring them back together.
    $ sofia.makeup()
    return False



    # Jonesing for a pizza?
    #
label .pizzaFlirt:
    $ renpy.dynamic('unsure')
    $ mealsize = pc.getMealSize()
    $ unsure = pc.isDietConsider()
    if mealsize > 10 or pc.isDietImmob():
        pc "I'd like to order some arancini, two extra large, all the toppings, garlic bread,
            a couple of tiramisù, no, make that three, and a bottle of wine."
    elif mealsize > 5:
        pc "I'd like to order some arancini, an extra large with all the toppings, garlic bread,
            a tiramisù, no, make that two, and a bottle of wine."
    else:
        pc "I'd like to order an extra large with pepperoni, garlic bread,
            a tiramisù, no, make that two, and a bottle of wine."
    if pc.isDietImmob():
        sofia "[pc.name], you know we don't deliver. And I wouldn't be bringing
            you such a pile of food. You still need to lose some weight."
        pc "A girl can dream can't she? I'm so very hungry babe.
            I think you'd like to see me eat all that. I might even share."
        sofia "You know I would, but we have to stop stuffing you like a
            prize hog don't we?"
        pc "I know. I miss being stuffed."
        sofia "It's for the best sweetie."
    elif pc.isDietRestricted():
        sofia "You know we don't deliver my sweet, and I thought you were dieting?"
        pc "I am. I'm so hungry though. I really fancied some pizza.
            The cheese, the pepperoni, the sauce, crunchy garlic bread dripping with
            butter, and then a sweet creamy dessert, all of it really."
        sofia "You'll find it easier to stick to a diet if you don't daydream about food."
        pc "I didn't start thinking about food. I was thinking of you.
            Then eating together, then food.
            You and food kind of go together."
        sofia "Well I'm not going to suggest you stop thinking about me."
        pc "I hunger for you babe."
        sofia "And I for you. But I'm still not leaving work for your booty call,
            or belly call, whatever we're calling this."
        pc "Awww, babes, please?"
    elif sofia.isPcTooFat():
        sofia "You know we don't deliver my sweet,
            and you really ought not to be eating all that anyway.
            You are geting really big."
        if unsure:
            pc "I am aren't I. I'm so torn, I do like my food."
            sofia "I know my sweet, it isn't easy."
        else:
            pc "I am aren't I. But it feels so sexy, and I thought you liked it."
            sofia "I do, I really do, but we need to be careful now dolce."
            $ flags.set('pcThinkDiet')
    else:
        sofia "You know we don't deliver my sweet."
        pc "I know. Just my little fantasy of you turning up here with food for
            us to share. You in your outfit, me in ... less. Eating and enjoying
            ourselves together."
        if unsure:
            pc "Not that I should really, I'm fat enough as it is."
            sofia "I wouldn't say you're too fat, dolce."
            $ pc.addLim(0.2)
        else:
            sofia "That does sound wonderful. But I can't leave the diner.
                There are other hungry people besides you."
            if gsize >= 8:
                pc "I bet I'm hungrier than most of your other customers."
                sofia "I think that's a safe bet these days."
            pc "Sofia?"
            sofia "Yes my dolce?"
            pc "Do you like the idea that your wonderful food is making the whole town fatter?"
            sofia "A little, maybe, but you do realise that not everyone comes into the
                diner to eat until they can barely breathe?"
            pc "That's just me then?"
            sofia "Just you. I do like feeding you a lot my love.
                That is I like it a lot, and I like giving you extra."
            pc "I love that too."
    $ sofia.addRomance(0.1)
    return



    # Jonesing for a pizza?
    #
label .pizzaPlat:
    $ mealsize = pc.getMealSize()
    if mealsize > 10:
        pc "I'd like to order some arancini, two extra large, all the toppings, garlic bread,
            a couple of tiramisù, no, make that three
            for delivery to Joe's please."
    elif mealsize > 5:
        pc "I'd like to order some arancini, an extra large with all the toppings, garlic bread,
            a tiramisù, no, make that two
            for delivery to Joe's please."
    else:
        pc "I'd like to order an extra large with pepperoni, garlic bread,
            a tiramisù, no, make that two
            for delivery to Joe's please."
    sofia "I'm sorry [pc.name], but we don't deliver.
        You can come in to the diner though."
    pc "Oh, okay. I might just do that."
    return



    # Wrong number.
    #
label .wrongNumber:
    $ renpy.dynamic('adjArse', 'unsure')
    $ adjArse = pc.adjArse()
    $ gsize = pc.gsize
    if flirt:
        $ unsure = pc.isDietConsider()
        if gsize >= 10:
            pc "Ooops, I sat on the counter and must have caught the redial button."
            sofia "I'm surprised you are still trying to sit your gorgeous bum up there."
            pc "It isn't easy, I think it's just a habit now from when I was smaller.
                I keep forgetting how much I ... spread out."
            sofia "So if I want to hear from you more often I should fatten your ass up even more?"
            if pc.isDietImmob():
                pc "Yes, but no. We both know it got way too big."
                if flags.isSet('sofiaUnlimit'):
                    sofia "I know, but it was magnificent."
                else:
                    sofia "It was a fantastic encumberence."
            elif pc.isDiet():
                pc "It needs to get smaller, not bigger babe."
                if sofia.isPcTooFat():
                    sofia "Truer words rarely spoken."
                else:
                    sofia "I rather liked it. One of your best features."
                    pc "You didn't have to lug it around or squeeze it into chairs!"
            elif unsure:
                pc "Don't you think it's big enough already?"
                if sofia.isPcTooFat():
                    sofia "Yes, it is, and peerhaps we should do something about that.
                        I'd miss your butt dials though."
                    $ flags.set('pcThinkDiet')
                elif sofia.isPcFat():
                    sofia "It's a good size and well padded."
                else:
                    sofia "I don't know. It could still be bigger."
                    $ pc.addLim(0.5)
            else:
                pc "I'd like that."
        elif pc.gsize > 4:
            pc "Ooops, I sat on the counter and must have caught the redial button."
            sofia "Still not used to how big your [adjArse] butt is now my sweet?"
            if pc.isDiet():
                pc "Obviously not. I'm trying to slim down some."
                if sofia.isPcTooFat():
                    sofia "That might be for the best.
                        I'd miss your butt dials though."
                else:
                    sofia "I rather like it. One of your best features."
                    pc "Really? You like it? I think it's fat."
                    sofia "I'm not saying it's not fat, just that it's sexy fat."
                    $ pc.addLim(0.5)
            elif unsure:
                pc "Obviously not. I feel it might already be too big."
                if sofia.isPcTooFat():
                    sofia "I didn't want to say anything my sweet."
                    $ flags.set('pcThinkDiet')
                elif sofia.isPcFat():
                    sofia "It's a good size and well padded. I like it myself."
                else:
                    sofia "I don't know. It could still be bigger. Sexier."
                    pc "That's not helping Sofia. I don't want to be huge babe."
                    $ pc.addLim(0.5)
            else:
                pc "I do like how big it is getting."
                sofia "Good. I do too.
                    I'll have to give you extra treats so you butt dial me more often."
                pc "I'd like that."
        else:
            pc "Oh, sorry babe, I just dialed on auto-pilot."
            sofia "Don't worry, it's nice you were thinking of me."
            pc "I guess I was, wasn't I."
    # Not flirt.
    #
    elif gsize > 4:
        pc "Sorry, I butt dialed by mistake."
        sofia "Butt dialed? It's a desk phone, not a cell. Wait is your [adjArse] butt
            on the counter?"
        pc "It might be."
    else:
        pc "Sorry, I dialed by mistake."
        sofia "Okay, I'll let you get on."
    return
