#
# Steve interactions.
#
init python:
    # Random steve pet name for PC:
    #
    def stevePetName(tease=False):
        if tease and pc.gsize >= 3:
            if steve.isPcTooFat():
                return ("donut", "dumpy", "jiggles", "munchkin", "pudge", "shortstack", "squishy")[pc.random(0, 6)]
            else:
                return ("butterbuns", "cakes", "donut", "duchess", "munchkin", "peanut", "piglet")[pc.random(0, 6)]
        elif pc.gsize >= 4:
            return ("babe", "cakes", "cuteness", "donut", "foxy", "honey buns", "hotness", "munchkin", "peanut", "sexy")[pc.random(0, 9)]
        return ("babe", "cuteness", "foxy", "honeybun", "hotness", "munchkin", "sexy")[pc.random(0, 6)]

label steve:

label .atBar:
    $ renpy.dynamic('control', 'tease')
    $ control = flags.isSet('steveControl')
    $ tease = flags.isSet('steveTease')
    if steve.isNotMet():
        "
        Another customer at the bar catches your attention.
        "
        steve "Hi, you must be the new girl, I'm Steve."
        "
        You look up at him, as you're a on the short side yourself.
        He's kinda cute in a tall and lanky looking way,
        and a bit smarter looking than most of the lads here.
        "
        $ prompt = addMenuAlt("Am I into him?")
        menu:
            "[prompt]"
            "Flirt with him":
                "
                You smile back up at him, doodling in a beer puddle near
                his hand.
                "
                pc "Hi, I'm [pc.name], do you live around here?"
                steve "On the other side of town, not that it's very big."
                steve "I'd be happy to show you around, if you want."
                pc "I just might take you up on that when I've some free time."
                "
                You let your doodle get a little bigger and brush his fingers.
                He looks down at your hand, then smiles back.
                Oh {i}so subtle{/i}, girl.
                "
                steve "That would be great! Let me give you my number."
                $ steve.addRomance(1)
                "
                He flips a beermat and writes his number on the back.
                "
                pc "I'm afraid I don't have a phone at the moment, my last one broke."
                "
                For a second he looks a little disappointed.
                "
                steve "You can always call me from the phone at the garage though."
                pc "Yes, of course, silly me!"
                pc "Joe sent me for some beers, I ought to get on that. Nice meeting you Steve."
                "You turn and slide the beermat into your back pocket."

            "Be friendly":
                pc "That's me, just walked into town. [pc.name] by the way."
                steve "If you want me to show you around, I'd be happy to."
                pc "Okay, thank you. I'm just finding my feet, but I might take you up on that."
                "
                He flips a beermat and writes his number on the back.
                "
                pc "I don't have a phone at the moment, my last one broke."
                steve "No problem, call me from the garage."
                pc "Okay, thank you."
                "You put the beermat in your pocket."

        $ steve.canCall = True
        $ flags.set("steveTour")
    else:
        "
        Steve is standing at the bar, and smiles as you approach.
        "
        if steve.isRomance():
            steve "Hi beautiful!"
        else:
            steve "Hi [pc.name]!"
        call .sizeNotice from steve_at_bar_size

        if pc.randomBool(70):
            steve "Let me buy you a beer."
            $ prompt = addMenuAlt("Should I have a beer with Steve?")
            menu:
                "[prompt]"
                "Yes, have a beer":
                    pc "I'm in the middle of having a meal with Joe."
                    "
                    You point out Joe sitting in your booth,
                    and realise he's spotted the pair of you together.
                    Joe gives you a thumbs up,
                    and starts paying attention to the game.
                    "
                    pc "Though he seems to be fine with it, so yes please."
                    "
                    Steve orders two beers and hands one to you.
                    "
                    call .atBarBeer from steve_at_bar_size_beer_steve

                    pc "I should be getting back to my meal."
                    if control:
                        steve "A little restraint might help, munchkin."
                    elif tease:
                        steve "You've got a one track mind."
                    else:
                        steve "Sure, I understand."
                    if steve.isRomance():
                        $ steve.addRomance(0.1)

                "No, get back to Joe":
                    pc "Thank you, but I'm getting a round in for Joe."
        elif pc.canAfford(5):
            $ prompt = addMenuAlt("Should I buy Steve a beer?")
            menu:
                "[prompt]"
                "Yes, buy him a beer":
                    pc "Would you like a beer, with me?"
                    steve "Sure I would."
                    "
                    You buy a couple of beers and hand one to Steve.
                    "
                    $ pc.spend(5)
                    call .atBarBeer from steve_at_bar_size_beer_pc
                    pc "I should be getting back to my meal."
                    if control:
                        steve "Try not to go overboard babe."
                    elif tease:
                        steve "Don't let me get between you and more food."
                    else:
                        steve "Sure, I understand."
                    if steve.isRomance():
                        $ steve.addRomance(0.1)
                "No, get back to Joe":
                    if steve.isRomance():
                        pc "Hi handsome!"
                    else:
                        pc "Hi Steve."
        else:
            if steve.isRomance():
                pc "Hi handsome!"
            else:
                pc "Hi Steve."

    $ steve.meet()
    return

label .atBarBeer:
    "
    You take a swig, it's ice cold and refreshing.
    "
    call .chat from steve_at_bar_beer_chat
    "
    You both talk a while longer over your drinks.
    "
    $ food.add("beer")
    $ pc.eatFood(food)
    return

    # Should I diet for steve?
    #
    # Depending on choices this may:
    # - start pc dieting
    # - set the pcThinkDiet flag
    # - break up with steve
    #
label .dietChoice:
    # Ignore if already dieting.
    #
    if pc.isDiet():
        return
    $ renpy.dynamic('fat', 'tooFat', 'goalKg', 'goalLb', 'loseLb', 'period', 'steveCtrl', 'steveFa', 'unsure')
    $ gsize = pc.gsize
    $ unsure = pc.isDietConsider()
    $ flirt = steve.isRomance()
    $ fat = steve.isPcFat()
    $ tooFat = steve.isPcTooFat()
    $ steveCtrl = flags.isSet('steveControl')
    $ steveFa = flags.isSet('steveFa')
    $ dbgLog("steve.dietChoice: fat={} tooFat={} ctrl={} fa={} unsure={}".format(fat, tooFat, steveCtrl, steveFa, unsure))

    if unsure:
        $ prompt = "I am a bit bigger than I'd like,"
        if tooFat:
            if steveFa:
                $ prompt += " and Steve thinks I'm much too fat, even for a big girl."
            else:
                $ prompt += " and Steve thinks I'm too fat."
        elif fat:
            if steveFa:
                $ prompt += " and Steve thinks I'm getting a bit too fat now, even for a big girl."
            else:
                $ prompt += " and Steve thinks I'm chubby."
        else:
            $ prompt += " but Steve is okay with it."
    else:
        $ prompt = "I thought I looked okay,"
        if tooFat:
            if steveFa:
                $ prompt += " but Steve thinks I'm much too fat, even for a big girl."
            else:
                $ prompt += " but Steve thinks I'm too fat."
        elif fat:
            if steveFa:
                $ prompt += " but Steve thinks I'm getting a bit too fat now, even for a big girl."
            else:
                $ prompt += " but Steve thinks I'm chubby."
        else:
            $ prompt += " and Steve is okay with my weight."
    $ prompt += " Should I start dieting?"
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Yes, tell him":
            pc "I think I need to cut back a bit and go on a diet."
            if tooFat:
                if steveFa:
                    steve "That's probably a good idea, just to avoid any future
                        problems. You'll still a beautifully rotund goddess
                        even if you do lose a few pounds."
                    pc "Thank you, that's good to know.
                        It's for the best isn't it?"
                    if flirt:
                        $ steve.addRomance(1)
                elif gsize >= 5:
                    if flirt and steveCtrl:
                        steve "That's probably a good idea,
                            you're getting really fat, girl."
                        pc "Thank you for being honest with me babe.
                            I needed to hear that.
                            I wish I didn't like fattening things quite so much."
                        $ steve.addRomance(0.1)
                    else:
                        steve "That's probably a good idea, you're really fat."
                        pc "Way to inspire the fat girl, but I'm going to do it."
                        $ steve.addRomance(-2)
                elif gsize == 4:
                    if flirt and steveCtrl:
                        steve "That's a good idea munchkin, you're getting pretty fat."
                        pc "Thank you for being honest with me babe.
                            I needed to hear that."
                        $ steve.addRomance(0.1)
                    else:
                        steve "That's probably a good idea, you're pretty fat these days."
                        pc "That's not exactly inspirational, but I'm going to do it."
                        $ steve.addRomance(-1)
                elif flirt:
                    if steveCtrl:
                        steve "That's not a bad idea. I know you don't want to be pudgy."
                        pc "Thank you for being honest with me babe. I love you."
                        $ steve.addRomance(0.1)
                    else:
                        steve "That's not a bad idea babe."
                        pc "Okay, I had a feeling you would say that."
                        $ steve.addRomance(-0.5)
                else:
                    steve "That wouldn't be a bad idea."
                    pc "I'm fat and I need to diet. Got it."
                # Goal is Steves max pc bfp
                $ goalKg = pc.getMassForBfp(steve.pcMaxBfp) - 0.5
            elif fat:
                if steveFa:
                    steve "You're still cute as a button, but it wouldn't hurt."
                    pc "Okay. I'm not looking forward to this.
                        I do like my food."
                    if flirt:
                        $ steve.addRomance(1)
                elif flirt:
                    steve "You're still cute as a button, but it wouldn't hurt."
                    if steveCtrl:
                        pc "Okay. Thanks for helping me babe."
                        $ steve.addRomance(0.1)
                    else:
                        pc "Okay. I'm not looking forward to this."
                else:
                    steve "That wouldn't be a bad idea."
                    pc "Okay. I'm not looking forward to this."
                # Goal is Steves max pc bfp
                $ goalKg = pc.getMassForBfp(steve.pcMaxBfp) - 0.5
            else:
                if flirt:
                    steve "You look fine to me babe, but it's okay if you want to."
                    pc "I think I do."
                    $ steve.addRomance(1)
                else:
                    steve "I don't think you need to, but if you want, do it."
                    pc "I think I do."
                if pc.isDietConsider():
                    # Goal is pc's fat confidence
                    $ goalKg = pc.base + pc.fatLim - 0.5
                else:
                    # Goal is self imposed: 10% of fat up to 10kg.
                    $ goalKg = pc.weightKg - min(10.0, pc.fat * 0.1)
            $ goalLb = math.floor(goalKg * 2.2)
            $ loseLb = round(pc.weightLb) - goalLb
            $ days = pc.getDaysToDietTo(goalKg)
            $ period = roughPeriod(days)
            $ pc.dietStart(days, goalKg)
            $ prompt = "shift {:0.0f} pounds and get back to {:0.0f}. It might take {}".format(loseLb, goalLb, period)
            pc "Right, I'm going to see if I can [prompt]."
            if days > 60:
                if steveCtrl:
                    steve "I left it too long before saying anything didn't I?"
                    pc "No babe. It can't be easy knowing whether or not
                        to tell me. I'm my own worst enemy when it comes to
                        food."
                    $ steve.addRomance(0.5)
                elif steveFa:
                    steve "That seems like a lot,
                        do you really need to lose that much?"
                    pc "Maybe I'm being too harsh on myself.
                        I'll probably succumb to temptation long before I get
                        that far anyway."
                    steve "I have faith in you to do the right thing."
                    if flirt:
                        $ steve.addRomance(0.5)
                else:
                    steve "That's a lot to shift babe."
                    pc "Are you saying I can't do it?"
                    steve "Nooo, but it isn't going to be easy."
                    pc "Fine."
                    $ steve.addRomance(-2)
            else:
                if steveCtrl:
                    steve "I'll try and help as best I can."
                    pc "Thanks babe."
                    $ steve.addRomance(0.1)
                else:
                    steve "Okay babe, you'll feel better for it."
        "Yes, but don't tell him":
            if fat:
                # Goal is Steves max pc bfp
                $ goalKg = pc.getMassForBfp(steve.pcMaxBfp) - 0.5
            elif unsure:
                # Goal is pc's fat confidence
                $ goalKg = pc.base + pc.fatLim - 0.5
            else:
                # Goal is self imposed: 10% of fat up to 10kg.
                $ goalKg = pc.weightKg - min(10.0, pc.fat * 0.1)
            $ goalLb = math.floor(goalKg * 2.2)
            $ loseLb = round(pc.weightLb) - goalLb
            $ days = pc.getDaysToDietTo(goalKg)
            $ period = roughPeriod(days)
            $ pc.dietStart(days, goalKg)
            $ prompt = "shift {:0.0f} pounds and get back to {:0.0f}. It might take me {}".format(loseLb, goalLb, period)
            if steveFa:
                if tooFat:
                    "If a guy who loves big beautiful women thinks you've
                    got much too fat, then you've got a big problem!
                    Lets see if I can [prompt]."
                elif fat:
                    "If a guy who loves big beautiful women thinks you've
                    getting too fat, then you've got a problem!
                    Lets see if I can [prompt]."
                else:
                    "Steve isn't the best person to ask if you're too fat.
                    He does like his heavy girls!
                    Lets see if I can [prompt]."
            elif flirt and steveCtrl:
                "Steve's right of course, and I did ask him to remind me when
                I've overindulged. Lets see if I can [prompt]."
            else:
                "I'll show him. I'm going to see if I can [prompt]."
            if days > 60:
                "Crap, that's a long time! I'm not sure I have the willpower for that."
        "No, and don't tell him":
            if flirt:
                if steveCtrl:
                    if unsure:
                        "I know I'm too fat, and I did tell Steve to point
                        it out, and I ought to diet. Just not today."
                    else:
                        "I know I told Steve to hold me in check, but I
                        actually feel okay about myself right now.
                        I ought to diet I suppose, just not today."
                elif steveFa:
                    if unsure or tooFat:
                        "I really ought to eat less, but he's enjoyed my size
                        until now. Maybe I'll just cut back without saying
                        anything?"
                    elif fat:
                        "Steve's really been enjoying my gain so far, but
                        I suppose there are some limits.
                        I just need to be careful not to become an
                        even fatter [pc.name]."
                    else:
                        "Steve's really been enjoying my gain so far, and
                        I'm sure, like me, he'd end up appreciating an
                        even fatter [pc.name]."
                else:
                    "
                    It's not worth it.
                    Dieting makes me unhappy.
                    Is {i}he{/i} even worth it?
                    "
                    if tooFat:
                        $ steve.addRomance(-8)
                    else:
                        $ steve.addRomance(-0.5)
            else:
                "
                It's not worth it.
                Dieting makes me unhappy.
                What does it matter to me what he thinks?
                "
        "No, and tell him" if flirt and not steveCtrl:
            if unsure:
                pc "I'm not really happy with the way I look,
                    but dieting makes so unhappy babe."
                if tooFat:
                    if steveFa:
                        steve "The last thing I want is for you to be unhappy,
                            especially with your weight."
                        if flirt:
                            $ steve.addRomance(1)
                    elif pc.weightKg > sofia.weight:
                        steve "I know, but you're bigger than Sofia is now.
                            And that's saying something."
                        pc "... I am shorter than Sofia ..."
                        steve "Not that much shorter munchkin."
                        $ steve.addRomance(-10)
                    elif gsize >= 5:
                        steve "Your like twice the weight you used to be."
                        pc "... I used to be too thin ..."
                        steve "Not anymore munchkin."
                        $ steve.addRomance(-5)
                    elif gsize == 4:
                        steve "You have got fat munchkin."
                        $ steve.addRomance(-2)
                    else:
                        steve "You are on the chubby side of things munchkin."
                        $ steve.addRomance(-1)
                    steve "Please, sleep on it, and have a think.
                        You aren't happy dieting, but you also aren't happy with yourself."
                elif fat:
                    if steveFa:
                        steve "The last thing I want is for you to be unhappy,
                            especially with your weight."
                        if flirt:
                            $ steve.addRomance(1)
                    else:
                        steve "You are getting a bit podgy munchkin,
                            and I don't want you to be unhappy dieting,
                            but you also aren't happy with yourself.
                            Maybe sleep on it?"
                else:
                    steve "You're beautiful babe,
                        and you don't need to start dieting,
                        certainly not for me.
                        But, I'll support you if you want to."
                    if flirt:
                        $ steve.addRomance(1)
                    $ pc.addLim(1)
            else:
                pc "I happen to like the way I look, and I'm not starting a diet!"
                if tooFat:
                    if steveFa:
                        steve "We both like the way you look, you know that.
                            But life is getting hard for you. Isn't it?"
                        pc "I know. But I'm not really a diet kind of girl."
                        if flirt:
                            $ steve.addRomance(1)
                    elif pc.weightKg > sofia.weight:
                        steve "I know, but you're bigger than Sofia is now.
                            And that's saying something."
                        pc "... I am shorter than Sofia ..."
                        steve "Not that much shorter munchkin."
                        $ steve.addRomance(-10)
                    elif gsize >= 5:
                        steve "Your like twice the weight you used to be."
                        pc "... I used to be too thin ..."
                        steve "Not anymore munchkin."
                        $ steve.addRomance(-5)
                    elif gsize == 4:
                        steve "You have got fat though munchkin."
                        $ steve.addRomance(-2)
                    else:
                        steve "You are on the large size though munchkin."
                        $ steve.addRomance(-1)
                    steve "Please, sleep on it, and have a think."
                elif fat:
                    if steveFa:
                        steve "We both like the way you look, you know that.
                            So round and soft. But if you aren't careful
                            now things could get more difficult for you."
                        pc "I suppose you're right,
                            but I'm not really a diet kind of girl."
                        steve "Trust me, I know. Maybe sleep on it?"
                        if flirt:
                            $ steve.addRomance(1)
                    else:
                        steve "You are getting a bit podgy though munchkin,
                            but I don't want you to be unhappy dieting.
                            Maybe sleep on it?"
                else:
                    steve "You're beautiful babe,
                        and you don't need to start dieting,
                        certainly not for me.
                        But, I'd support you if you want to."
                    $ steve.addRomance(1)
                    $ pc.addLim(1)
            $ flags.set('pcThinkDiet')
        "No. I'm fed up. We need a break" if flirt and not steveCtrl:
            if unsure:
                pc "I'm not really happy with the way I look,
                    but dieting makes so unhappy.
                    I think we should take a break, from each other."
            else:
                pc "I happen to like the way I look,
                    and I'm not starting a diet!
                    I think we should take a break, from each other."
            if fat:
                steve "Your fat ass is dumping me?"
                pc "Yes!"
                steve "Fine!"
            else:
                steve "If you think that's for the best babe."
                pc "I think it is."
            $ tmp = 7 + steve.breakCount * 4
            $ steve.setBreakDays(tmp)
            $ flirt = False
        "No. I can't do this anymore. Let me eat what I want" if flirt and steveCtrl and pc.dietCount >= 6:
            pc "I know I asked you to keep my weight in check babe.
                That was my idea, and you've been a great help."
            steve "Thank you munchkin. It's been hard watching you struggle,
                but I knew it was what you wanted."
            pc "It has been a struggle, one I've repeatedly failed.
                And, well, I can't keep yoyo dieting. Not any more.
                I'm so hungry all the time these days."
            pc "I'd like you to stop, please. Stop reminding me of my
                failings. Just let me eat what I want."
            if steveFa:
                steve "Okay my sweet soft love."
                pc "Aw. We'll both be happier this way."
                if flags.isSet('steveUnlimit'):
                    # Restore Steve's unlimited condition if previously achieved.
                    $ steve.setMaxBfpByWeightKg(hardLimKg+30)
            else:
                steve "Okay."
                pc "I know, I'll probably get fatter, and that's not what you'd
                    want. And maybe you'll leave me. So be it. I just can't go
                    on living like this any more."
                steve "Okay munchkin. I understand."
                pc "That's it? \"Okay?\" I thought you'd be furious with me."
                steve "I'm not angry. This battle with your weight has been
                    wearing us both down. I love you and I just don't like seeing
                    you unhappy. If anything it's a relief."
                "
                He gives you a hug, and it feels like he means it.
                Wow. You were expecting a fight, not this.
                Well, what happens next is just down to you now.
                "
                steve "You feel so soft munchkin.
                    And I, well, against my expectations,
                    find myself liking you like this."
                pc "Really? You still find me attractive?"
                steve "I do and I still love you.
                    You've converted me to the curvy side."
                pc "We could have saved a lot of heartache if you'd realised sooner."
                steve "I know, and I'm sorry."
                call .adjExpectFa from steve_diet_choice_control_end
            $ flags.clear('steveControl')
            $ steve.addRomance(10)
            $ pc.addMood(1)
            call achievements.award('stOutCtrl') from steve_diet_choice_control_end_award
    # End menu,

    # Check for break-up.
    #
    if flirt and not steve.isRomance():
        pc "I think we should take a break, from each other."
        if steve.isPcFat():
            steve "Your fat ass is dumping me?"
            pc "Yes!"
            steve "Fine!"
        else:
            steve "If you think that's for the best babe."
            pc "I think it is."
        $ tmp = 7 + steve.breakCount * 4
        $ steve.setBreakDays(tmp)
    return

    # Adjust steve's expectations of PC size incrementally.
    #
label .adjExpectations:
    if not flags.isSet('steveFa'):
        $ steve.pcMaxBfp += 5
        if steve.pcMaxBfp > 38:
            $ steve.pcMaxBfp = 38
    if debug:
        $ tmp = pc.getBodyFatPer()
        dbg "Steve pcMaxBfp now [steve.pcMaxBfp] vs [tmp:0.2f]"
    return

    # Adjustments as Steve accepts he's an FA.
    #
label .adjExpectFa(confess=True):
    # Set steve's new max pc bfp to 580lbs, and min to 150.
    # Max romance adjusts his tooFat from 632 (g10) to 720 (g11)
    # Max romance adjusts his tooThin from 172 (g4-fat) to 147 (g3-plump)
    #
    $ steve.setMinBfpAtLeast(pc.getBodyFatPerAt(180/2.2))
    $ steve.setMaxBfpByWeightLb(720)        # 632lb to 720lb
    # $ steve.setMaxBfpAtLeast(pc.getBodyFatPerAt(305))       # 671lb
    $ flags.set('steveFa')
    if confess:
        $ flags.set('steveConfess')
    else:
        $ flags.set('steveNotConfess')
    return

    # Steve notices player character size change.
    #
label .sizeNotice:
    $ gsize = pc.gsize
    $ pcUnsure = pc.isDietConsider()
    if flags.isConsume('steveSizeU'):
        if steve.isRomance():
            call steveSize.sizeUpRom from steve_size_up_rom
        else:
            call steveSize.sizeUpPlat from steve_size_up_plat
    elif flags.isConsume('steveSizeD'):
        if steve.isRomance():
            call steveSize.sizeDownRom from steve_size_down_rom
        else:
            call steveSize.sizeDownPlat from steve_size_down_plat
    return

    # Chat with Steve
    #
label .chat:
    $ dbgLogDet("steve.chat")
    $ _return = False
    call .chatPri from steve_chat_priority
    if _return:
        return

    call steveChat from steve_chat_redirect
    return _return

    # Phone steve
    #
label .phone:
    $ dbgLogDet("steve.phone")
    call stevePhone from steve_phone_redirect
    return

    # Priority chats.
    # Returns True if he chatted, False if not.
    #
label .chatPri:
    if flags.isConsume('steveAcceptFat'):
        # Steve coming to terms with PC's weight.
        #
        steve "[pc.name] I want to apologise,
            I'm so sorry about the way I've treated you about your weight."
        pc "Um, okay, thank you."
        steve "Alicia spoke to me, gave me a bit of a dressing down really,
            and made me realise what an asshole I'd been.
            How I'd sabotaged my own happiness."
        pc "She wasn't wrong."
        steve "And I shouldn't have been trying to convince you to diet.
            You should live how you want."
        pc "Yeah."
        steve "Thing is, I've seen you around town, and each time I realise
            how much I miss you, and I was wondering if you felt the same way."
        $ prompt = addMenuAlt("Have I been missing him too?")
        menu:
            "[prompt]"
            "Yes, let me live how I want":
                pc "I've had the same longing for you too.
                    I wish things hadn't ended the way they had.
                    You're really okay with my weight?"
                steve "You are beautiful [pc.name].
                    Just as pretty now as when I first met you."
                $ pc.addLim(3)
                if pc.isDietConsider():
                    pc "And if I got fatter, not that I plan to?"
                else:
                    pc "And when I get fatter?"
                steve "As long as you are happy and healthy it won't matter to me.
                    I love you."
                pc "I love you too."
                "
                The pair of you hug, and hugging turns to kisses, and kisses
                turn to full-on snogging.
                "
                call .adjExpectFa from steve_chat_pri_accept_fat
                $ pc.addMood(10)
                $ steve.makeup()
                $ steve.addRomance(10)
            "Yes, but no fatter please":
                pc "I've had the same longing for you too.
                    I wish things hadn't ended the way they had.
                    But ..."
                steve "But what?"
                pc "But, well you know I struggle with keeping my weight down,
                    and I have to acknowledge that you've really helped me
                    to keep myself in check."
                steve "You are beautiful [pc.name].
                    Just as pretty now as when I first met you."
                pc "Thank you babe. I don't feel it sometimes.
                    And that's why I'd like you to keep reminding me
                    when I'm getting too fat."
                steve "Okay, if you're sure.
                    As long as you are happy and healthy
                    that's the important thing.
                    I love you."
                pc "I love you too."
                $ steve.setMaxBfpByWeightLb(212)                   # 194lb (g4) max 212lb (g5)
                # $ steve.setMaxBfpAtLeast(pc.getBodyFatPerAt(75))   # 165lb (g4) max 212lb (g5)
                $ flags.set('steveControl')
                $ pc.addMood(10)
                $ steve.makeup()
                $ steve.addRomance(10)
                "
                The pair of you hug, and hugging turns to kisses, and kisses
                turn to full-on snogging.
                "
                call achievements.award('stAskCtrl') from steve_chat_pri_accept_fat_ctrl
            "A little, let me live how I want":
                pc "I guess I have been thinking about what could have been.
                    You are really okay with my weight? Not going to nag me?"
                steve "As long as you are happy and healthy it won't matter to me.
                    I love you."
                pc "I ... let's see how this goes, okay?"
                steve "Okay [pc.name]. Thet's fair, and more than I likely deserve."
                call .adjExpectFa from steve_chat_pri_accept_fat_maybe
                $ pc.addMood(5)
                $ steve.addRomance(3)
            "No.":
                pc "Steve, I appreciate what you've said,
                    but I don't feel the same way about you anymore."
                steve "Oh. Okay. I understand."
                $ steve.romance = 0
        return True

    return False



label .chatKids:
    if steve.isRomance(35):
        #if not flags.
        steve "Have you ever thought about having kids?"
    return
