#
# Steve's phone.
#
label stevePhone:
    $ dbgLogDet("stevePhone")
    $ renpy.dynamic('dateable', 'done', 'flirt', 'makeup', 'pickup', 'working')
    $ dateable = cooldowns.isZero('steveDate')
    $ flirt = steve.isRomance()
    $ makeup = steve.isBreak()
    $ pickup = steve.randomPlatRomance(40, 90)
    $ working = not gt.isWeekend() and gt.isBetween(9, 18)
    # $ pickup = True
    # $ working = True
    if not pickup:
        call .noAns from steve_phone_no_ans
    else:
        if working:
            call .ansFormal from steve_phone_working
        else:
            call .ansSocial from steve_phone_social

        $ done = False
        while not done:
            $ done = True
            $ prompt = addMenuAlt("Why did I call him?")
            menu:
                "[prompt]"
                "Break up" if flirt:
                    call .breakup from steve_phone_brk
                    # Break up ends call immediately.
                    if _return:
                        return
                    $ done = False
                "Film?" if dateable and flirt:
                    call .film from steve_phone_film
                "Get back together" if makeup:
                    call .makeup from steve_phone_make_up
                    # Make up calls can end immediately.
                    if _return:
                        return
                "I just wanted to hear your voice" if flirt:
                    call .hearVoice from steve_phone_hear_voice
                "Pizza?" if dateable and flirt:
                    call .pizza from steve_phone_pizza
                "Tease him" if flirt:
                    call stevePhoneTease from steve_phone_tease
                "Wrong number":
                    call .wrongNumber from steve_phone_wrong_number
        call .hangup from steve_phone_hang_up
    return

    # No answer.
    #
label .noAns:
    if flirt and steve.randomRomance(20, 70):
        "
        You hear the phone ring but he doesn't answer.
        You feel slightly wistful, you really wanted to hear his voice.
        "
        $ steve.addRomance(0.1)
    elif working:
        if pc.randomBool(50):
            "
            You hear the engaged tone.
            He's probably on a call with a customer or someone at work.
            "
        else:
            "
            You hear the phone ring, but he doesn't answer.
            He must be busy at work.
            "
    else:
        "
        You hear the phone ring, but he doesn't answer.
        Oh well, he must be busy.
        "
    return

    # Formal answer.
    #
label .ansFormal:
    steve "Vachon's Supplies, this is Steve speaking. How can I help you?"
    $ tmp = renpy.random.choice(["a customer", "a supplier"])
    if flirt:
        pc "Hi babe!"
        steve "[pc.name] good to hear from you.
            Can we keep this short, I've got [tmp] on the other line."
    else:
        pc "Hi Steve, do you have a moment?"
        steve "[pc.name], I've got [tmp] on the other line, but sure if it's quick."
    return

    # Social answer.
    #
label .ansSocial:
    if flirt:
        steve "Hi babe!"
    else:
        steve "Hi [pc.name]."
    return

    # End call.
    #
label .hangup:
    if flirt:
        "There's a moment of silence, you've nothing more to say, but you don't want to end the call."
        steve "Are you going to hang up babe?"
        pc "Yes. No. I don't want to."
        steve "One of us is going to have to."
        if steve.randomRomance(30, 70):
            pc "I can't. I just want to stay on the line forever."
            steve "Silly thing. I'm going to hang up now."
            pc "I suppose."
            "He ends the call, and you sigh."
        else:
            pc "Take care babe."
            "You reluctantly hang up."
    else:
        pc "Bye Steve."
        steve "Bye [pc.name]."
    return



    # -------------------------------------------------------------------------
    # Phone calls.
    # -------------------------------------------------------------------------

    # Break up with Steve.
    # Return True if committed.
    #
label .breakup:
    $ renpy.dynamic('alicaWarn', 'control', 'fa', 'loveSofia', 'tooFat')
    $ aliciaWarn = not counters.isZero('aliciaStop')
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ loveSofia = sofia.isBreak() or sofia.romance + 10 > steve.romance
    $ tooFat = steve.isPcTooFat()
    $ prompt ="Do I really want to break up with Steve?"
    if tooFat:
        if fa:
            $ prompt += " He really likes fat girls, but I'm too fat now?"
        elif control:
            $ prompt += " He says I'm too fat, but I did ask him to help me lose weight."
        else:
            $ prompt += " He doesn't like fat girls."
    if loveSofia:
        $ prompt += " I've fallen for Sofia so much more."
    if aliciaWarn:
        $ prompt += " Alicia said I musn't date them both."
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Yes, I want to be with Sofia" if loveSofia:
            call .brkLoveSofia from steve_phone_brk_love_sofia
        "Yes, I know I'm too fat for you" if tooFat:
            if fa:
                # This can go one of two ways.
                #
                call .brkTooFatFa from steve_phone_brk_too_fat_fa
                if not _return:
                    return True
            else:
                call .brkTooFat from steve_phone_brk_too_fat
        "Yes, but it's not you, it's me":
            call .brkNotYou from steve_phone_brk_not_you
        "No, I don't. Why would I do that?":
            return False

    # Implement breaskup.
    #
    $ tmp = 10 + steve.breakCount * 5
    if aliciaWarn:
        $ tmp = min(60, tmp)
    else:
        $ tmp = min(21, tmp)
    $ steve.setBreakDays(tmp)
    $ steve.romance = 0
    $ gt.removeEventsWith('steve')
    $ flirt = False
    return True

    # Break so I can be with Sofia.
    #
label .brkLoveSofia:
    pc "Steve, I don't know how to best say this. I want to be honest with you."
    steve "This sounds serious. Some dark secret from your past?"
    pc "No. From now. I've. I've fallen in love with Sofia."
    if fa:
        steve "Sofia? Antonio's Sofia? The woman I lusted after?"
    else:
        steve "Sofia? Antonio's Sofia? That fat cow?"
    pc "Yes, Sofia, kind hearted Sofia."
    steve "Are you saying I'm not kind?"
    pc "No, no, you are. I just. It's all so unexpected."
    steve "Wait are you, like ..."
    pc "Into girls? A lesbian? Bisexual? I don't know what I am Steve.
        I'm confused. I've never felt this way about a woman before and
        it's hit me hard."
    steve "Did she satisfy you more than I did?"
    pc "No, this isn't about sex Steve. It's about love."
    pc "I may not know what's going on but I do know I can't keep seeing you
        both. It's not fair on anyone."
    if gsize > 4:
        steve "So your fat ass is dumping me?"
        if fa:
            steve "No wonder you got so fat so fast.
                Sofia's influence and indulgence no doubt."
        elif control:
            steve "No wonder I couldn't help you keep your weight under control.
                I was fighting against Sofia's influence."
    else:
        steve "So you're dumping me?"
    pc "I'm not doing this to hurt you Steve.
        You're a good person.
        You deserve to have someone who loves you with all their heart."
    steve "Not you?"
    pc "Not me.
        I can't.
        I hope you find someone to love you who is a better person than me."
    "
    Click.
    \nHe hung up.
    \nWell that could have gone better.
    "
    return

    # It's not you, it's me.
    # No, it's totally him.
    #
label .brkNotYou:
    pc "Steve, I don't know how to best say this. I want to be honest with you."
    steve "This sounds serious. Some dark secret from your past?"
    pc "We've talked a lot about my past.
        You know what I've been through
        and, well, I'm pretty broken as a person.
        I'm not even sure I can love you the way you love me."
    steve "Don't say that babe. You've a good soul, I know it."
    pc "I'm not so sure at all. I don't want to hurt you."
    steve "But you're going to aren't you?"
    pc "I have to so I don't hurt you more later.
        You deserve to have someone who loves you with all their heart."
    steve "And that's not you?"
    pc "No, not me. At least not yet."
    steve "Damn. Are you thinking of leaving town?"
    pc "I've got some healing to do. And this place seems to help.
        So no immediate plans, no."
    steve "Promise me you'll tell me if you do."
    pc "Yes Steve, I promise. I owe you that.
        But, right now, I can't be in a romantic relationship. I'm sorry Steve."
    pc "Steve?"
    "
    Click.
    \nHe hung up.
    \nWell that could have gone better.
    "
    return

label .brkTooFat:
    $ renpy.dynamic('diet')
    $ diet = pc.isDietConsider()
    pc "Steve, I don't know how to best say this. I want to be honest with you."
    steve "This sounds serious. Some dark secret from your past?"
    pc "No, but I know you don't like that I've put on weight since I've been here.
        You've been nagging me about it."
    steve "You have rather packed on the pounds munchkin."
    if diet:
        pc "I know I have, I'm not stupid. And it's gone too far, I know that."
    else:
        pc "I know I have, I'm not stupid.
            But you know what? I like how I look and feel with some flesh on my bones."
    pc "I know I was really skinny, no, actually underweight, when you met me.
        But is wasn't by choice.
        I couldn't afford to eat.
        It wasn't healthy."
    steve "You weren't healthy being that underweight."
    pc "So you fed me whenever you had a chance,
        then when that worked all too well you told me to cut back.
        It feels like you want to control every morsel of food that goes
        in my mouth."
    if control:
        steve "Wait up, you asked me to help you keep your weight down."
    else:
        steve "I was only trying to help you."
    pc "Maybe I like being fat. Ever thought of that?"
    if diet:
        steve "But you told me you weren't happy."
    pc "I can't live like this. Not being someone's project.
        I need to get back in control of my life, of my body."
    steve "You make me out as a monster."
    pc "No, I didn't mean it to come across like that. I'm sorry.
        I'm just frightened and lashing out, I know.
        You know how I've struggled,
        been forced by circumstance to be independant."
    pc "And I'm not ready for this.
        Not ready for a relationship.
        Not with anyone."
    pc "You deserve to be with someone who can love you with all their heart."
    steve "And that person can never be you?"
    pc "Right now, I'm to broken inside.
        I need to fix me first. Until then, no."
    "
    Click.
    \nHe hung up.
    \nWell that could have gone better.
    I didn't handle that well at all.
    "
    return

    # Too fat even for Steve's refined tastes.
    #
label .brkTooFatFa:
    $ renpy.dynamic('diet')
    $ diet = pc.isDietConsider()
    pc "Steve, I really need to talk to you."
    steve "This sounds serious."
    pc "Steve, I know you like really fat women.
        And I've really enjoyed this journey we've been on.
        I would never have imagined I could even get this big,
        let alone enjoy it."
    pc "But, well, recently the way you talk, the way you treat me,
        well I feel like I'm too big even for you now.
        Is that the case?"
    steve "I think you are beautiful, I've always said that.
        Maybe not enough."
    pc "Is it me you love, or my gains?
        Was I some project that's now complete
        and you are ready to start over with a new waif?"
    steve "No! I love you, I don't want anyone else ever."
    pc "But?"
    steve "But I worry about you.
        I see how much you struggle from day to day.
        The strain it puts on you.
        I don't want you to suffer because of my preferences."
    steve "In your heart of hearts do you even still want to gain?"
    if diet:
        pc "Maybe, I'm not sure."
        steve "See, there's the thing.
            I don't want you doing this just because you know it turns me on.
            It's your body, and your choice.
            If we weren't together what would you do?"
        pc "I don't really know."
    else:
        pc "Yes, very much so. I like being fat and sexy."
        steve "And if we weren't together, would you still want to?"
        pc "Yes, I'm sure I would.
            I like being this size.
            It's nicer being with someone who appreciates it though."
    steve "[pc.name] I feel really guilty though,
        and that's why I haven't been encouraging you like before.
        And if that came across as a lack of interest in you it
        couldn't be further from the truth."
    $ prompt = addMenuAlt("What should I do?")
    menu:
        "[prompt]"
        "He seems genuinely concerned, we should stay together":
            $ tmp = cardDecades(pc.weightLb)
            pc "I think I'm beginning to understand the conflict.
                I don't want my size to come between us."
            steve "Neither do I my love."
            pc "And I really don't need to be upset at being {i}only{/i} [tmp] pounds,
                do I?"
            steve "No, that in itself is quite an achievement my lovely shortstack."
            pc "It is, isn't it."
            steve "You carry it well my beauty."
            pc "Thank you. For the sake of us I'll try my best to keep it under control."
            steve "That would ease my mind a lot."
            pc "And you could be happy with me staying at this size then?"
            steve "Yes I'd be happy, my love."
            $ tmp = pc.adjBelly()
            pc "I hope you remember that next time you see my [tmp] naked belly."
            $ tmp = pc.adjArse()
            steve "Mmm, yes. And when I'm watching your gorgeous [tmp] ass."
            pc "Thank you babe, this has cleared the air.
                I really wondered what would happen to us.
                I've got to go, though.
                Love you."
            steve "I love you too!"
            $ steve.setMaxBfpByWeightKg(pc.weightKg+10, steve.romance)
            $ steve.addRomance(2)
            return False
        "I may want to get fatter, and I don't need his guilt" if diet:
            pass
        "I want to get fatter, and I don't need his guilt" if not diet:
            pass
    pc "I guess there's only one real way to settle this.
        We should take a break from each other."
    steve "Wait, what? That's your solution?"
    pc "If in a few weeks I'm fatter than ever,
        then you'll know it was my own gluttonous nature
        and you won't need to worry about my motivations."
    steve "Right. Do you even love me, or have I just been
        a side dish to your food obsession?"
    pc "I do love you.
        I don't want to leave you.
        But I need someone supportive of my way of life too."
    steve "Do you love me more than food though?"
    steve "[pc.name]?"
    "
    Click.
    \nHe hung up.
    \nWell that could have gone better.
    Am I so obssessed with food I couldn't answer him?
    "
    "What have I done?"
    return True



    # Visit him at home to watch a film with dinner?
    #
label .film:
    $ renpy.dynamic('sched', 'today')
    $ today = gt.hour < 18
    $ sched = gt.getEventByLabel('nwSteveHomeFilm')

    pc "So I was feeling a little lonely, and then I started to wonder ..."

    # Already booked.
    #
    if sched:
        $ tmp = gt.deltaDayStr(sched.dayNum)
        steve "I'm sorry to hear that my love.
            I don't like to think of you on your own.
            Don't forget your comming over for dinner [tmp] though.
            Around six?"
        pc "Thanks babe, that's something to look forward to."
        return

    # Too soon?
    #
    if not cooldowns.isZero('steveFilm'):
        steve "I'd love to invite you over,
            but I haven't really tidied up from last time yet."
        pc "Oh, that's a shame I could do with a cuddle.
            But I can respect you like to have the place presentable.
            I'm sorry if I left a mess."
        if steve.isRomance(50):
            steve "I haven't had a moment,
                I do need to vacuum the crumbs out of the sofa,
                and there's some spot cleaning I need to do."
            pc "Ooops, I'm sorry."
        else:
            steve "I haven't had a moment,
                and I do need to vacuum the crumbs out of the sofa."
            pc "Ah, crumbs. My bad."
        return

    # Try to book.
    #
    if today:
        $ sched = gt.scheduleOnDay('nwSteveHomeFilm', gt.dayNum, 18)
    else:
        $ sched = gt.scheduleOnDay('nwSteveHomeFilm', gt.dayNum + 1, 18)

    # Not booked.
    #
    if not sched:
        steve "I'd love to invite you over, but I'm really busy babe.
            I'm so sorry."
        pc "Oh, okay. I'll miss you."
        steve "I'll miss you too."
        return

    # Make this a choice with consequnces.
    #
    $ sched.desc = "You asked Steve to invite you over for film and take-out food."
    $ sched.rejLabel = 'nwSteveHomeFilm.reject'
    $ cooldowns.set('steveFilm', 3)
    $ cooldowns.set('steveDate', 1)

    if today:
        steve "Would you like to come round for dinner munchkin? Around six?"
        pc "I'd love to! See you this evening. Love you babe."
    else:
        steve "Would you like to come around for dinner tomorrow around six?"
        pc "That sounds wonderful. Thank you for lifting my spirits babe."
        steve "What would you like to eat? I'll order in."
        pc "I am rather partial to Chinese."
        steve "Chinese it is then!"
    return



    # Just want to hear his voice.
    #
label .hearVoice:
    pc "I just wanted to hear your voice. I was feeling a little lonely"
    steve "Me too. You're a sloppy thing at times aren't you?"
    pc "I know. I miss you."
    steve "I miss you too babe."
    $ steve.addRomance(0.1)
    $ gt.addHours(1)
    return


    # Making up.
    #
label .makeup:
    pc "Steve, I've been an idiot ..."
    if steve.isBreakCountGte(5):
        steve "I'd like to think so, but you're not making a fool of me again!"
        "He hangs up. He is right, you have been playing him for a fool"
        return True
    steve "What now?"
    pc "There was this guy, really hot guy, who I fell for, and I, well, broke it off."
    if steve.isOnBreak(10):
        steve "Yeah, he's still really angry about that. Calling you all sorts
            of names. I'd give him some space [pc.name]."
        pc "Do you think I should give him another week or so to cool off?"
        if steve.isOnBreak(17):
            sofia "Maybe. Goodbye [pc.name]."
        else:
            steve "He'll need longer than that to get over what you did to him.
                Goodbye [pc.name]."
        return True
    steve "I'm getting the picture."
    if sofia.isRomance():
        steve "Are you still dating Sofia?"
        pc "Ah. About that."
        steve "Goodbye [pc.name]."
        return True
    if flags.isSet('steveAcceptFat'):
        steve "I think, I think we need to talk face-to-face [pc.name]."
        "This sounds hopeful, doesn't it [pc.name]?"
        steve "Come and find me at the bar one evening, or I'll try and
            find you when your indulging yourself at that food truck in the
            park. And, well, we'll see where things go from there."
        pc "Thank you Steve. Until we meet next."
        steve "Take care, [pc.name]."
        if pc.gsize >= 4:
            "He hangs up. Is that a glimmer of hope in your eyes [pc.name]?
            You look down at your shape. Maybe you shouldn't be counting
            chickens just yet."
        else:
            "He hangs up. Is that a glimmer of hope in your eyes [pc.name]?"
        return True
    if tooFat:
        steve "Have you lost any weight [pc.name]?"
        pc "If I had it probably wouldn't be enough, would it?"
        steve "I thought so. Goodbye [pc.name]."
        return True

    pc "Is it a good picture?"
    if steve.isPcFat():
        steve "I like it, but some of the artist's strokes, they're a bit on the
            heavy side for me, and I'm not sure about that aspect of it."
        if pc.isDiet():
            pc "The artist in question is trying to improve and correct her past mistakes."
            steve "That's good to know."
        else:
            pc "So if those brush strokes were lighter, you'd like the picture even more?"
            steve "I think I would, yes. It would be an improvement to the overall composition."
    else:
        steve "It's certainly one I could appreciate."

    pc "I miss you so much Steve."
    steve "I miss you too ... munchkin."
    pc "Oh babes, you've no idea how much I wanted to hear you call me that silly name again."
    # Adjust romance.
    $ steve.romance = max(10, steve.romance *2 / 3)
    $ steve.addRomance(3)
    # Bring them back together.
    $ steve.makeup()
    return False


    # Fancy a pizza in the square.
    #
label .pizza:
    $ renpy.dynamic('adjBelly', 'caution', 'control', 'fa', 'sched', 'tease', 'tooFat')
    $ adjBelly = pc.adjBelly()
    $ caution = False
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ sched = gt.getEventByLabel('nwFountLunchSteve')
    $ tease = flags.isSet('steveTease')
    $ tooFat = steve.isPcTooFat()
    $ today = gt.isWeekend() and gt.hour < 12
    if today:
        pc "I really fancy a pizza for lunch babe. Shall we meet in the square?"
    else:
        pc "Do you fancy a pizza date tomorrow? Meet in the square?"

    if sched:
        $ tmp = gt.deltaDayStr(sched.dayNum)
        steve "Babe, we've already got a pizza date lined up [tmp]."
        pc "Ooops, I forgot. See you then."
        return

    if not cooldowns.isZero('stevePizza'):
        if tease:
            steve "It's not been long since our last pizza.
                Sometimes I can't tell if it's me or pizza that you want more."
            pc "Don't make me choose."
            steve "Really?"
            pc "Of course I want you more. I just like pizza too."
        else:
            steve "It's not been long since we last had pizza."
            pc "You're right, it hasn't been that long."
        return

    if tooFat:
        if control:
            steve "Remember you're supposed to be watching what you eat babe."
            pc "So, that's a no then?"
            steve "I think it would be for the best.
                I don't want to buy you pizza and then only let you have a
                couple of slices."
            pc "That would be cruel."
            return
        elif tease:
            steve "I think you've put quite enough pizza already in that
                [adjBelly] belly of yours."
            pc "Oh, does it show?"
            steve "I think you know the answer to that already, greedy girl."
            return
        elif fa:
            steve "Probably not your best idea."
            pc "Why? I really like pizza."
            steve "I know just how much you do, but we need to be careful
                that you don't get too much bigger.
                It's not good for you."
            pc "But, but ... I thought you liked me fat?"
            steve "I do, I really do. But you are a really big girl now,
                and I want you to be happy {i}and{/i} healthy."
            if pc.isDietConsider():
                pc "You're probably right. I ought to be careful."
                return
            pc "I'm healthy enough, and I {i}need{/i} pizza."
            $ caution = True
        else:
            steve "Probably not your best idea."
            pc "Why? I really like pizza."
            steve "I know, but you are getting kind of chunky babe."
            pc "I see. No pizza then?"
            steve "I'm going to pass on making you even fatter."
            return

    if today and pc.isDiet():
        steve "Hang on, I thought you were on a diet?"
        if pc.isDietRestricted():
            pc "Oh, yes. Pizza isn't really diet food is it?"
            steve "No, not really."
            pc "I wasn't thinking. Sorry."
            return
        $ tmp = ordinal(gt.hour)
        pc "I've kinda blown my diet already today, it's a bit of a cheat day."
        steve "Already? It's barely [tmp]! What am I going to do with you?"
        pc "Feed me pizza?"
        $ caution = True

    if today:
        $ sched = gt.scheduleOnDay('nwFountLunchSteve', gt.dayNum, 12, 15)
    else:
        $ sched = gt.scheduleOnDay('nwFountLunchSteve', gt.dayNum + 1, 12, 15)

    if sched == None:
        steve "Babe, I'm so sorry, I've already got plans."
        pc "Oh. Okay. Maybe another time?"
        return

    # Set up for a choice when the event triggers.
    #
    $ sched.rejLabel = 'nwFountLunchSteve.reject'
    $ sched.desc = "I asked Steve to meet up for pizza in the square."
    $ cooldowns.set('stevePizza', 2)
    $ cooldowns.set('steveDate', 1)

    if today:
        if caution:
            steve "Pizza it is then. I'll see you there munchkin."
        else:
            steve "That's a great idea! I'll meet you in the square."
    elif caution:
        steve "Pizza it is then. I'll see you tomorrow babe."
    else:
        steve "That's a great idea munchkin. See you tomorrow."
    pc "Great, I'm looking forward to it!"
    return




    # Wrong number.
    #
label .wrongNumber:
    $ renpy.dynamic('adjArse', 'control', 'fa', 'tease')
    $ control = flags.isSet('steveControl')
    $ fa = flags.isSet('steveFa')
    $ tease = flags.isSet('steveTease')
    if flirt:
        $ adjArse = pc.adjArse()
        if pc.gsize > 4:
            pc "Ooops, I sat on the counter and must have caught the redial button."
            if control:
                steve "We really need to do something about the size of that [adjArse] butt.
                    No more snacking munchkin. Promise?"
                pc "I'm tying to do my best. Really I am."
            elif tease:
                steve "I shouldn't be surprised really, should I?
                    That [adjArse] ass is bound to get you in trouble."
                pc "I didn't mean to. It just spreads out so when I sit."
                steve "I'll have to give it a good spanking later."
                pc "I ... I might like that.
                    Put your naughty girl over your knee and discipline her."
                if working:
                    steve "Babe, no teasing while I'm at work."
                    pc "You started it. Telling your naughty girl she needed to be spanked."
                    steve "Babe! Not now."
                    pc "Her fat ass wobbling and red. Your own arousal building..."
                    steve "Yes, that's why you need to stop. Right. Now."
                    pc "Is your needy girl turning you on?"
                    steve "What do you think?"
                else:
                    steve "You just wait until I can get my hands on you."
                    pc "Oh, I will sir."
                $ flags.set('steveSpank')
                $ steve.addRomance(0.1)
            elif fa:
                steve "Accidents will happen when you like your girls {alt}thick{/alt}{noalt}thicc{/noalt} I suppose."
                pc "It is nice and big isn't it?"
                steve "It's lovely [adjArse] butt, babe. I wouldn't have you any other way."
                pc "I'm glad you like it."
                $ steve.addRomance(0.1)
                $ pc.addLim(0.1)
            else:
                steve "Munchkin, you really need to be aware of how big your [adjArse] bum is getting."
                pc "I know. I just feel more clumsy these days. Sorry."
                if steve.isPcFat():
                    steve "It's okay, babe.
                        You'll feel better and more nimble if you trim down a little."
                    pc "I suppose."
                else:
                    steve "It's okay babe. Just be careful."
                    pc "I will. I'll try not to do it again."
        else:
            pc "Oh, sorry babe, I just dialed on auto-pilot."
            if tease:
                steve "You just can't stop thinking about me, can you?"
                pc "No, I guess not."
            else:
                steve "Don't worry, it's nice you were thinking of me."
                pc "I guess I was, wasn't I."
    else:
        pc "Sorry, I dialed by mistake."
        steve "Okay, I'll let you get on."
    return
