#
# Player diet choices.
#
label pcDiet:

    # Present diet options menu.
    #
    # prompt    - initial prompt
    # goalKg    - goal mass in kg
    #
    # Returns True if diet started, False otherwise.
    #
label .dietPromptMenu(prompt, goalKg):
    $ renpy.dynamic('days', 'goalLb', 'loseLb', 'period', 'result')
    $ prompt += " Should I start dieting?"
    $ goalLb = math.floor(goalKg * 2.2)
    $ loseLb = round(pc.weightLb) - goalLb
    $ days = pc.getDaysToDietTo(goalKg)
    $ period = roughPeriod(days)
    $ result = False
    $ prompt += " To get down to {:0.0f}lb I'd have to lose {:0.0f}lb which might take {}.".format(goalLb, loseLb, period)
    $ prompt = addMenuAlt(prompt)
    menu:
        "[prompt]"
        "Yes, I should diet":
            $ pc.dietStart(days, goalKg)
            $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
            $ result = True

        "No, I don't want to diet":
            pass
    return result


    # Should the player start dieting?
    # Prepares a prompt with a list of people and what they think of her.
    #
label .think:
    $ renpy.dynamic('npcList', 'regUnk', 'regThin')
    $ regUnk = reg.isMet() and pc.gsize < 8 and not reg.isRomance()
    $ regThin = not regUnk and reg.isPcThin()
    $ npcList = []
    $ tmp = 0
    if steve.isPcFat():
        $ npcList.append('Steve')
        $ tmp += 1
    if lacy.isPcFat():
        $ npcList.append('Lacy')
        $ tmp += 1
    if nicola.isPcFat():
        $ npcList.append('Nicola')
        $ tmp += 1
    if sofia.isPcFat():
        $ npcList.append('Sofia')
        $ tmp += 1
    if not regUnk and reg.isPcFat():
        $ npcList.append('Reg')
        $ tmp += 1

    if pc.isDietConsider():
        $ prompt = "I am bigger than I'd like to be"
        if tmp == 0:
            $ prompt += "."
        elif tmp == 1:
            $ prompt += ", and {} thinks I'm fat.".format(npcList[0])
        elif tmp == 2:
            $ prompt += ". {} and {} think I'm fat.".format(npcList[0], npcList[1])
        else:
            $ tmp = ", ".join(npcList[:-1])
            $ prompt += ". {}, and {} think I'm fat.".format(tmp, npcList[-1])
        if regUnk:
            $ prompt += " I don't know what Reg thinks of me."
        elif regThin:
            $ prompt += " But Reg thinks I'm too thin."
    else:
        $ prompt = "I think I look okay"
        if tmp == 0:
            $ prompt += ", but I guess not everyone thinks so."
        elif tmp == 1:
            $ prompt += ", but {} thinks I'm fat.".format(npcList[0])
        elif tmp == 2:
            $ prompt += ", but {} and {} think I'm fat.".format(npcList[0], npcList[1])
        else:
            $ tmp = ", ".join(npcList[:-1])
            $ prompt += ", but {}, and {} think I'm fat.".format(tmp, npcList[-1])
        if regUnk:
            $ prompt += " I don't know what Reg thinks of me."
        elif regThin:
            $ prompt += " Yet Reg thinks I'm too thin."
    # Falling into...

    # Player diet thoughts with prompt already set.
    # Stops if already dieting.
    # Picks a goalKg value.
    #
    # prompt    - initial prompt
    #
label .thinkPrompt:     # $prompt already set
    if pc.isDiet():
        "[prompt] But I'm already dieting so there's not much more I can do."
        return
    $ renpy.dynamic('goalKg', 'loseKg')
    if pc.isDietConsider():
        # Specific goal: reach my fatLim rounded down to a nice number of pounds
        if pc.fatLim < 20:
            $ goalKg = math.floor((pc.base + pc.fatLim - 0.5)*2.2) / 2.2
        else:
            $ goalKg = math.floor((pc.base + pc.fatLim - 0.5)*2.2/5.0) * 5.0/2.2
        $ loseKg = pc.weightKg - goalKg
    else:
        # Non-specific goal: lose 10% down to a round number of pounds
        $ loseKg = math.ceil(pc.fat * 0.1)
        if pc.fatLim < 20:
            $ goalKg = math.floor((pc.weightKg - loseKg) * 2.2) / 2.2
        else:
            $ goalKg = math.floor((pc.weightKg - loseKg) * 2.2/5.0) * 5.0/2.2
    # Falling into...

    # Player diet thoughts prompt with prompt and goalKg already set.
    #
    # prompt    - initial prompt
    # goalKg    - goal mass in kg
    #
label .goalKgPrompt:
    call .dietPromptMenu(prompt, goalKg) from pc_diet_goal_prompt
    if _return:
        pc "Right, starting today I am determined to shift some flab!"
    elif pc.isDietConsider():
        pc "I know I ought to diet, but I don't really want to."
    else:
        pc "So what if other people think I'm fat?
            I'm happy the way I am thank you."
    return