#
# Player thoughts.
#
label pcThoughts:

    # Player is exhausted.
    # Called from main when energy is zero.
    #
label .exhausted:
    if world.isHome():
        pc "I'm exhausted."
    else:
        pc "I'm exhausted, time to head home."
    return



    # Reflections in the morning.
    #
label .morning:
    if flags.isConsume('hangover'):
        pc "Uuurgh, my head hurts.
            I shouldn't have drunk so much.
            Someone get me an aspirin, stat."

    # Check if should reflect on dieting. If already dieting clear the flag.
    #
    if flags.isConsume('pcThinkDiet'):
        if not pc.isDiet():
            call pcDiet.think from pc_thoughts_morning_think_diet

    # Report any diet changes.
    #
    if flags.isConsume('dietStopGoal'):
        pc "I've actually reached my goal weight
            and I can stop dieting!
            I just need to not go crazy."
        call achievements.award('dietGoal') from pc_thoughts_morning_award_goal
        $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
    elif flags.isConsume('dietStopDays'):
        pc "I've been dieting and unhappy for so long, I give up.
            I shouldn't go crazy, but part of me wants to."
        $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')
    elif flags.isConsume('dietStopWill'):
        pc "I knew I'd never be able to keep to a diet.
            I don't have it in me.
            I shouldn't go crazy, but part of me wants to."
        $ flags.clearEach('dietStopDays', 'dietStopGoal', 'dietStopWill')

    if steve.randomRomance(0, 20):
        if sofia.randomRomance(0, 20):
            pc "What am I going to do about Steve and Sofia?
                I can't keep dating both of them.
                That's not me."
        else:
            pc "I wonder what Steve is doing now?
                He might be in the shower,
                water cascading down his back,
                waiting for me to join him ...
                [pc.name] get a grip!"
    elif sofia.randomRomance(0, 20):
        pc "I wonder what Sofia is doing now.
            Her soft body could be sprawled in bed
            just waiting to be held and kissed ...
            Get a grip [pc.name]!"
    return



    # Reflections at night.
    #
label .night:
    $ fullness = pc.getFullness()
    if pc.drunk > 6:
        $ flags.set('hangover')

    if pc.isDiet():
        if pc.drunk > 4:
            if fullness > 200:
                pc "Oh god my tummy is so stuffed it hurts and my head is woozy.
                    I'm never going to eat or drink anything ever again.
                    For a girl who's on a diet I've really blown it today.!"
                $ pc.addGreed(0.2)
            elif fullness > 150:
                pc "I'm a drunk overstuffed greedy girl
                    who can't stick to her stupid diet.
                    I hope I didn't do anything I'm going to regret."
                $ pc.addGreed(0.15)
            elif fullness > 100:
                pc "I'm a drunk stuffed greedy girl who ought to know better,
                    especially as I am supposed to be dieting!
                    I hope I didn't do anything I'm going to regret."
        else:
            if fullness > 200:
                pc "Oh god my tummy is so stuffed it hurts.
                    For a girl who's on a diet I've really blown it today!
                    I'm never going to eat so much again."
                $ pc.addGreed(0.2)
            elif fullness > 150:
                pc "I'm such an overstuffed greedy girl
                    who can't stick to her diet."
                $ pc.addGreed(0.15)
            elif fullness > 100:
                pc "I'm a stuffed greedy girl who ought to know better,
                    especially as I am supposed to be dieting!"
        if fullness < 25 or pc.meals < 3:
            pc "I hate dieting so much."
            $ pc.addMood(-1)
    elif pc.drunk > 4:
        if fullness > 200:
            pc "Oh god my tummy hurts and my head is woozy.
                I'm never going to eat or drink anything ever again."
            $ pc.addGreed(0.15)
            if pc.randomGreedStat(50, 100):
                pci "Talk about an empty promise [pc.name]."
            elif pc.isGlutton():
                pci "And if you believe that [pc.name]
                    I've a bridge in Brooklyn to sell you."
        elif fullness > 150:
            pc "I'm a drunk overstuffed greedy girl
                whose eyes are bigger than her stomach.
                I hope I didn't do anything I'm going to regret."
            $ pc.addGreed(0.1)
        elif fullness > 100:
            pc "I'm a drunk stuffed greedy girl who ought to know better.
                I hope I didn't do anything I'm going to regret."
    else:
        if fullness > 200:
            pc "Oh god my tummy hurts.
                I'm never going to eat so much again."
            $ pc.addGreed(0.15)
            if pc.randomGreedStat(50, 100):
                pci "Don't make me laugh [pc.name].
                    We both know you will."
            elif pc.isGlutton():
                pci "And if you believe that [pc.name]
                    you'll believe anything."
        elif fullness > 150:
            pc "I'm such an overstuffed greedy girl
                whose eyes are bigger than her stomach."
            $ pc.addGreed(0.1)
        elif fullness > 100:
            pc "I'm a stuffed greedy girl who ought to know better."
        elif pc.meals < 3:
            pc "I'm so hungry!
                Wait, I skipped a meal, how did that happen?
                I don't know if I am going to be able to sleep."
        elif fullness < 50:
            pc "I'm so hungry!
                I don't know if I am going to be able to sleep."

    # Romantic partners.
    #
    if flags.isConsume('mastSteve'):
        call pcActions.pleasure("Steve") from pc_thoughts_night_mast_steve
    elif flags.isConsume('mastSofia'):
        call pcActions.pleasure("Sofia") from pc_thoughts_night_mast_sofia
    elif flags.isConsume('snogSteve'):
        call pcActions.snogPillow("Steve") from pc_thoughts_night_snog_steve
    elif flags.isConsume('snogSofia'):
        call pcActions.snogPillow("Sofia") from pc_thoughts_night_snog_sofia

    return



    # Player up too late.
    # Called from main loop.
    #
label .tooLate:
    if gt.hour < 6:
        if world.isHome():
            pc "It's really late, I should sleep."
        else:
            pc "It's really late, I ought to go home."
    else:
        if world.isHome():
            pc "If I don't go to sleep now I'll be watching the dawn!"
        else:
            pc "If I don't go home now I'll be watching the dawn!"
    return
