#
# List of achievements.
#

# Defined as a series of tuples.
#
# 0 - key: which must be unique
# 1 - visible condition: None to keep hidden, or a boolean Python expression, 'True' to be visible from the start
# 2 - award condition: None for programmatic award or a boolean Python expression for automatic awards
# 3 - value: score awarded when unlocked
# 4 - name: text name of the achievement which should be unique
# 5 - text condition: description of the unlock condition
#
# NOTE: The error "TypeError: 'tuple' object is not callable" means one of these
# tuples is missing a ',' at the end.
#
define achievementsList = [
    # PC Weight.
    #
    ('nskinny', 'True', 'pc.getSize() >= 2', 10,
        "Not so skinny bitch", "Get some meat on those bones."),
    ('trim', 'True', 'gt.dayNum > 90 and pc.getMassMaxKg() < 65', 20,
        "Staying trim", "Keep your weight under control for three months."),
    ('sallyTop', 'pc.getSizeFrac() > 4.5', None, 10,
        "Don't look back", "Outgrow Sally's top."),
    ('bbw', None, None, 10,
        "BBW", "Discover you are a Big Beautiful Woman."),
    ('slide', None, None, 10,
        "Wedged", "Get stuck in the slide."),
    ('swing', None, None, 10,
        "Swing and a miss", "Break a swing"),
    ('ssbbw', None, None, 10,
        "SSBBW", "Discover you are a Super-Sized Big Beautiful Woman."),
    ('doorWide', None, None, 10,
        "Doorway filler", "Have your hips fill a doorway."),
    ('raiders', None, None, 10,
        "Raiders", "Roll downhill."),
    ('gasHard', None, None, 50,
        "Lump of lard", "Need Joe's help to get out of bed."),

    # Clothing.
    #
    ('bswim', 'True', 'pcClothes.any(ckSwimsuit)', 10,
        "Itsy-Bitzy", "Buy a swimsuit."),

    # Cooking.
    #
    ('frybfast', 'isAchievementAwarded("bfast2")', 'cookSkill.isMastered("frybfast")', 10,
        "Queen of the fry-up", "Master cooking breakfast"),

    # Diets.
    #
    ('diet1', 'True', 'pc.getDietCount() > 0', 10,
        "I hate salad", "Start a diet."),
    ('diet5', 'isAchievementAwarded("diet1")', 'pc.getDietCount() >= 5', 10,
        "No, I really hate salad", "Start five diets."),
    ('yoyo', 'isAchievementAwarded("diet5")', 'pc.getDietCount() >= 10', 20,
        "Yo-yo? I could do tricks!", "Start ten diets."),
    ('dietGoal', 'isAchievementAwarded("diet1")', None, 50,
        "I did it!", "Reach your dieting goal weight."),

    # Drinking.
    #
    ('fallingDown', None, None, 10,
        "But I get up again", "Get falling down drunk."),

    # Greed.
    #
    ('bfast2', None, None, 10,
        "My middle name is Baggins", "Have a second breakfast."),
    ('seconds', 'pc.isGreedy(20)', None, 10,
        "Seconds please", "Eat a second main at the bar."),
    ('ateWhole', None, None, 10,
        "Ate the whole thing", "Unthinkingly eat ice cream tub."),
    ('glutton', 'pc.isGreedy(80)', None, 20,
        "Insatiable glutton", "Give in to your greed."),
    ('stuffing', 'pc.isGlutton()', None, 20,
        "Orgasmically delicious", "Discover a new kink."),

    # Alicia.
    #

    # Joe.
    #
    ('regular', 'evtCounters.isGte("barVisits", 5)', 'evtCounters.isGte("barVisits", 15)', 10,
        "Norm!", "Become a regular at the bar"),
    ('joePromise', None, None, 20,
        "Empty promise", "Make Joe a promise you won't keep."),
    ('joeKept', 'flags.isSet("joePromise")', None, 50,
        "Keep your promise", "Keep your promise to Joe."),

    # Lacy.
    #

    # Reg.
    #
    ('rgFancy', 'reg.isFancy(10)', 'reg.isFancy(20)', 10,
        "Is he into me?", "Get Reg interested"),
    ('rgRom', 'pc.getSize() >= 7', 'reg.isRomance()', 10,
        "He is into me", "Romance Reg"),

    # Sofia.
    #
    ('soRom', 'True', 'sofia.isRomance()', 10,
        "That's amore!", "Romance Sofia"),
    ('soSeesaw', 'flags.isSet("sofiaSeesaw")', None, 10,
        "Hoisted", "Unbalance Sofia on the seesaw."),
    ('soOurSong', None, None, 20,
        "Our Song", "Commit musical parody."),

    # Steve.
    #
    ('stRom', 'True', 'steve.isRomance()', 10,
        "He's cute", "Romance Steve"),
    ('stRadio', None, None, 10,
        "On the radio", "Have a song dedicated to you"),
    ('stAskCtrl', 'flags.isSet("steveAcceptFat")', None, 20,
        "I need help", "Ask Steve for help."),
    ('stOutCtrl', None, None, 20,
        "Out of control", "Steve lets me eat what I want now."),
    ('stKnewIt', None, None, 20,
        "I knew it!", "Steve tells you the truth."),
    ('stMealSix', None, None, 10,
        "Meal for six", "Eat a set meal for six"),

    # Others.
    #
    # ('gameover', None, None, 50,
    #    "Game over man! Game over.", "Reach an end of the game."),
    ('pure', None, None, 10,
        "Pure of heart", "Play the game without debug mode."),
    ('cheat', None, 'cheat', 0,
        "Cheater!", "Edit settings in debug mode."),
]