#
# Achievements Screen.
#
# Like the help screen this is based of the main/resume menu and has selectable
# "tabs".
#
screen achievements():
    tag menu
    default achTab = "awards"
    use game_menu(_("Achievements"), scroll="viewport"):

        style_prefix "help"

        vbox:
            spacing 15
            # Tabs
            hbox:
                textbutton "Awards" action SetScreenVariable("achTab", "awards")
                textbutton "Pending" action SetScreenVariable("achTab", "pending")
                textbutton "Score" action SetScreenVariable("achTab", "score")
                textbutton "Help" action SetScreenVariable("achTab", "help")
                textbutton "Reset" action SetScreenVariable("achTab", "reset")

            # Content
            if achTab == "awards":
                use awardsSubScreen
            elif achTab == "pending":
                use pendingSubScreen
            elif achTab == "score":
                use scoreSubScreen
            elif achTab == "help":
                use helpSubScreen
            elif achTab == "reset":
                use resetSubScreen

    # Awarded tab.
    #
screen awardsSubScreen():
    $ achText = getAchievementsText()
    text "{size=-3}[achText]{/size}"

    # Pending tab.
    #
screen pendingSubScreen():
    $ achText = getAchievementsVisText()
    text "{size=-3}[achText]{/size}"

    # Score tab.
    #
screen scoreSubScreen():
    $ countText = "{} out of {} awarded".format(getAchievementCount(), getAchievementCountTotal())
    $ scoreText = "{} out of a possible {}".format(getAchievementScore(), getAchievementScoreTotal())
    hbox:
        label "Count"
        text countText
    hbox:
        label "Score"
        text scoreText

    # Help tab.
    #
screen helpSubScreen():
    hbox:
        label "Awards"
        vbox:
            text "\
Awarded achievements record certain points in your progress within the game \
across multiple characters for fun. \
They also give an indication of how much of the game's content you have seen."
            text "\
You are under no obligation to complete them all, and there are no prizes. \
You can't get them all in a single playthrough."
    hbox:
        label "Pending"
        text "These list achievements that you could obtain, and hints on how to get them."
    hbox:
        label "Hidden"
        text "Some achievements are hidden. You won't know about them until they are awarded."
    hbox:
        label "Score"
        text "This shows how many achievements you have unlocked. \
Each achievement has a score associated with it, depending on difficulty, \
and your total score is shown too."
    hbox:
        label "Reset"
        text "The reset feature allows you safely to clear all your achievements."

    # Reset tab.
    #
screen resetSubScreen():
    hbox:
        label "Reset Achievements"
        vbox:
            text "\
The {b}Reset{/b} button below will reset all your achievements, \
allowing them to be unlocked again. \
This action {i}cannot{/i} be reversed. \
Only press it if you are sure you want to do this! \
There will be no confirmation screen."
            textbutton "Reset" action Call("achievements.reset")
            text "\
This is safer than deleting Ren'Py's persistent store as it only affects achievements."