﻿#
# Start script.
#

# Uncomment for diagnosing pickle errors in save games.
# init python:
    # config.use_cpickle = False

# In the event of a complete load failure, begin running the main loop.
# This should be safe once the player has completed the intro.
#
define config.load_failed_label = "start.main"

# Create debug character before potential use.
#
define dbg = Character("Debug")     # The voice of debug

#
# Debug settings
#
default debug = False               # Some inline debug
default debugM = False              # All inline debug
default debugMenus = False          # Add debug to selected choice menus
default debugShow = debug           # Show the debug screen

# The game starts here.
#
label start:
    # Save game version for compatibility work.
    #
    $ version = versionMajorMinor(config.version)

    # Fans.
    #
    $ socFans.setFansMax(1327623)           # More than Bailey Peyton
    $ socFans.setIncomeMax(213/7.0)         # 30/day max
    $ socFans.setVideosMax(100)
    $ pornFans.setFansMax(28954)
    $ pornFans.setIncomeMax(226320/365)     # 620/day max
    $ pornFans.setVideosMax(100)

    # Start of player interaction.
    #
    $ lastBg = None
    $ showBg('dusty-road')

    # Accessibilty notes.
    #
    "
    Accessibility options are supported where possible in this game.
    Use the <v> key to toggle self voicing.
    Use the <a> key to open the full accessibility menu.
    Please select your options before proceeding.
    "
    if isSelfVoicing():
        "
        {b}Some notes about self-voiced play.{/b}
        \nWhen a menu of choices is available, this is announced with the
        word Menu. Use the cursor keys or other means to explore the options,
        then press the <enter> key or equivalent to select one.
        "

    # Require consent.
    #
    call .consent from start_consent
    if not consent:
        return

    # Acknowledge warnings.
    #
    call .warnings from start_warnings
    if not warningPass:
        return

    # NPC prefs.
    #
    $ antonio.pcMinBfp = pc.getBodyFatPerAt(250/2.2)
    $ antonio.pcMaxBfp = pc.getBodyFatPerAt(660/2.2)
    $ antonio.weight = 148
    $ lacy.pcMinBfp = 30
    $ lacy.pcMaxBfp = 45
    $ nicola.pcMaxBfp = pc.getBodyFatPerAt(270/2.2)
    $ nicola.setWeightLb(170)
    $ reg.pcMinBfp = pc.getBodyFatPerAt(330/2.2)
    $ reg.pcMaxBfp = pc.getBodyFatPerAt(hardLimKg + 20)
    $ sofia.pcMinBfp = 35
    $ sofia.pcMaxBfp = 64   # Sofia's own size-ish
    $ sofia.weight = 110    # 242lb
    $ steve.pcMaxBfp = 30   # 125lb (g2), increasing to 142lb (g3)
    $ steve.weight = 74     # 163lb

    # Player.
    #
    $ pc.gsizeMax = 11
    $ pc.massSoftLim = softLimKg
    $ pc.massHardLim = hardLimKg
    $ cookSkill.addRecipeDict('frybfast', 50)

    # Intialise gas parts/project
    #
    $ restockGasParts()
    $ flags.clear('joeNewProject')

    # Check achievements.
    #
    $ scanAchievementsForErrors()
    $ scanAchievementVisibility()

    # Show debug if enabled.
    #
    show screen stats
    if debugShow:
        show screen debugStats
        # $ tmp = food.listFoods()
        # dbg "[tmp]" (what_size=12)

    if isSelfVoicing():
        "
        You will have a limited amount of energy for each day's activities.
        It starts at ten each day. Once it reaches zero you will have to
        return home and sleep.
        "
        "
        Changes to your mood and money will also be spoken, as is the progress of
        time. Your character's mood is an important factor in the game.
        "
        "
        In some places there are some minor changes in wording as text to speech
        systems typically struggle with non-word vocalisations.
        "

    # Title any potential save game.
    # Eg. Erin day237 412lb v0.13
    #
    $ updateSaveName()

    # Play the intro.
    #
    call intro from start_intro
    # $ updateSaveName() - now done as soon as name is chosen.

    # Run the main game loop.
    #
label .main:
    call main from start_main

    "Game Over"
    dingo "Thank you for playing Tramp. I hope you enjoyed your journey."
    return



    # Require the player to consent.
    #
label .consent:
    menu:
        "{alt}Menu. {/alt}This game contains adult themes. Is this appropriate for you?"
        "Yes, I am over the age of 18, and over the age of consent where I live.":
            $ consent = True
        "I'm old enough, but don't want any of that":
            $ consent = False
            "
            This game is likely not for you then.
            "
            return
        "No, I'm not old enough":
            $ consent = False
            "
            Sorry, but you can't play then.
            "
            return

    menu:
        "{alt}Menu. {/alt}And you're doing this on a computer where such activity is permitted?"
        "Yes, I'm in my room on my own machine and I won't be interrupted":
            $ pass
        "I'm at work":
            call .iAmAnIdiot from consent_work
        "I'm alone on my work laptop":
            call .iAmAnIdiot from consent_work_laptop
        "I'm on a school machine":
            call .iAmAnIdiot from consent_school
        "I'm in a public library":
            call .iAmAnIdiot from consent_library
        "I'm in a public place where anyone could read my screen{alt} or hear my game{/alt}":
            call .iHaveNoShame from consent_no_shame
        "I'm conducting academic research into fetish games":
            "Really? Cool choice of subject matter expertise."
        "It's my job to review games":
            "In that case, enjoy!"
    return

    # Player has done something real stupid.
    #
label .iAmAnIdiot:
    "Not your best plan. Time to uninstall, securely delete the recycle bin,
    and clear your browser history."
    $ consent = False
    return

    # Player okay but has no shame.
    #
label .iHaveNoShame:
    "Just so long as you've thought about what you are about to do."
    "You could still just close the game."
    return



    # Show warnings and require appropriate responses.
    #
label .warnings:
    menu:
        "{alt}Menu. {/alt}You will be playing a human female character, and exploring topics
        including your own weight gain, societal pressure, relationships,
        feeding, being fed."
        "That's what I'm here for!":
            "
            That's good to know. I think your tastes can be accommodated.
            "
            $ warningPass = True
        "Actually, no":
            "
            That's fine, but the game is likely not for you.
            "
            $ warningPass = False
            return

    menu:
        "{alt}Menu. {/alt}This game is an experiment,
        is unfinished,
        and contains no visuals."
        "I'm okay with that, show me what there is":
            $ pass
        "I think I'll pass":
            "
            Okay, that's fine. At least it wasn't a huge download.
            "
            $ warningPass = False
            return

    call .veilSetting from warn_veil

    menu:
        "{alt}Menu. {/alt}Finally, the game contains a debugger, primarily for development use.
        Using the debugger may spoil some things,
        allow you to break the game,
        reveal hidden variables,
        and basically cheat."
        "Let me pop the hood and get my hands dirty{alt}. Not recommended with self-voicing{/alt}":
            call .debugHelp from warn_debug
            $ debugShow = True
            $ debug = False
            $ debugM = False
            $ debugMenus = True
        "I am pure of heart and reject these devilish tools":
            "Yours is a noble calling.
            I hope you are as good at resisting other temptations!"
            $ debugShow = False
            $ debug = False
            $ debugM = False
            $ debugMenus = False
            call achievements.award('pure') from warn_pure_award
    return



    # Debugger notice.
    #
label .debugHelp:
    "{size=+8}Warranty Void{/size}"
    """
    Click on the {b}Debug open{/b} in the top left to show debug variables.
    Click on {b}Debug close{/b} to collapse it.
    Individual lists can be clicked on to open and close them.

    When {b}Debug menus{/b} is on a debug menu will appear at the start of the
    day and be an option when choosing an action. Click to toggle this setting.
    To advance without changing anything, just choose {b}Return to game{/b}.

    With the debug variables open clicking on {b}Inline debug{/b}
    will cycle through inline debug detail settings.
    The all option is not recommended as it produces a lot of output.

    {b}Debug{/b} will also be an option in the quick menu at the bottom of the screen
    to bring up the debug menu at any time.
    """
    return



    # Sex scene control.
    #
label .veilSetting:
    menu:
        "{alt}Menu. {/alt}You may find yourself in a position to engage in sexual activity
        with other characters. There's no non-consensual sex. For consenting
        sex what do you prefer?"
        "I'd prefer a {i}fade to black{/i} approach":
            "Good to know. Your imagination can fill in the blanks.
            \n{b}Note:{/b} This is an ongoing process and not all scenes are fully gated yet."
            $ veils = True
        "Details, I want all the {i}juicy{/i} details":
            "Very well, {i}juice{/i} it is. Moist mode enabled."
            $ veils = False
    return

# EoF
