#
# Counter unit tests.
#
label testCounter:
    call .initial from test_counter_init
    call .callback from test_counter_callback
    return

    # Individual test selection.
    #
label .counterMenu:
    $ renpy.dynamic('done')
    # $ debug = True
    $ done = False
    while not done:
        $ prompt = addMenuAlt("Select test")
        menu:
            "[prompt]"
            "Init":
                # $ debug = True
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .initial from test_counter_free_init
                call rpyUnit.report from test_counter_free_init_rpt
                $ debug = False

            "Callback":
                # $ debug = True
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .callback from test_counter_free_callback
                call rpyUnit.report from test_counter_free_callback_rpt
                $ debug = False

            "Back":
                $ debug = False
                $ done = True
    return


    # -------------------------------------------------------------------------
    # Tests.
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Test initial state.
    #
label .initial:
    $ renpy.dynamic('result', 'uut')
    $ rpyUnit.startTest("testCounter", "init")
    $ uut = Counters({})
    $ assertTrue(isinstance(uut.map, renpy.python.RevertableDict), "Map should be a revertable type")
    $ assertNone(uut.cbMap)
    $ assertEquals(0, len(uut.map), "Map should be empty")

    # With callbacks
    $ uut = Counters({}, {})
    $ assertTrue(isinstance(uut.map, renpy.python.RevertableDict), "Map should be a revertable type")
    $ assertTrue(isinstance(uut.cbMap, renpy.python.RevertableDict), "Callback map should be a revertable type")
    return

    # Test callback on decAll to zero.
    #
label .callback:
    $ renpy.dynamic('cbCount', 'result', 'uut')
    $ rpyUnit.startTest("testCounter", "init")
    $ uut = Counters({}, {})
    $ cbCount = 0
    $ uut.set('testCtr', 1, 'mockCallback()')
    $ assertEquals(1, uut.get('testCtr'), "Not set to 1")
    $ uut.decAllRm()
    $ assertEquals(0, uut.get('testCtr'), "Should be zero")
    $ assertEquals(1, cbCount, "Callback didn't update cbCount")
    return

init python:
    def mockCallback():
        global cbCount
        cbCount += 1
