#
# NPC unit tests.
#
label testNpc:
    call .tooFat from test_npc_too_fat
    call .test800 from test_npc_800
    return

    # Individual test selection.
    #
label .npcMenu:
    $ renpy.dynamic('done')
    # $ debug = True
    $ done = False
    while not done:
        $ prompt = addMenuAlt("Select test")
        menu:
            "[prompt]"
            "800":
                # $ debug = True
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .test800 from test_npc_free_800
                call rpyUnit.report from test_npc_free_800_rpt
                $ debug = False

            "isPcTooFat":
                $ debug = True
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .tooFat from test_npc_free_too_fat
                call rpyUnit.report from test_npc_free_too_fat_rpt
                $ debug = False

            "Back":
                $ debug = False
                $ done = True
    return


    # -------------------------------------------------------------------------
    # Tests.
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Test npc.isPcTooFat()
    #
label .tooFat:
    $ renpy.dynamic('pcFat', 'result', 'uut')
    $ rpyUnit.startTest("testNpc", "tooFat")
    $ pcFat = pc.fat
    $ uut = Npc()
    $ uut.romance = 99
    $ uut.setMaxBfpByWeightLb(600)
    $ pc.fat = 600/2.2 - pc.base
    $ assertTrue(uut.isPcTooFat(), "At 600lbs, 99 romance pc should be tooFat")
    $ uut.romance = 100
    $ assertFalse(uut.isPcTooFat(), "At 600lbs, 100 romance pc should not be tooFat")
    $ pc.fat = 601/2.2 - pc.base
    $ assertTrue(uut.isPcTooFat(), "At 601lbs pc should be tooFat")
    $ pc.fat = pcFat
    $ pc.updateWeight()
    return

    # Find pcMaxBfp for 800 by approximation.
    #
label .test800:
    $ renpy.dynamic('kg', 'lb', 'pcFat', 'uut')
    $ rpyUnit.startTest("testNpc", "test800")
    $ pcFat = pc.fat
    $ pc.fat = 800/2.2 - pc.base
    $ pc.updateWeight()
    $ assertWithin(800, 0.1, pc.weightLb, "Player weight not 800")
    $ uut = Npc()
    $ uut.romance = 100
    call .hunt(uut, 800/2.2) from test_npc_free_800_hunt
    $ kg = _return
    $ lb = kg * 2.2
    # "Player=[pc.weightLb] NPC: kg=[kg:0.3f] lb=[lb:0.3f] pcMaxBfp=[uut.pcMaxBfp:0.3f]"
    $ assertWithin(86.2457, 0.0001, uut.pcMaxBfp, "Approximated pcMaxBfp incorrect")
    $ pc.fat = pcFat
    $ pc.updateWeight()
    return


label .hunt(uut, kg):
    $ uut.pcMaxBfp = pc.getBodyFatPerAt(kg)
    while not uut.isPcTooFat():
        $ kg -= 1
        $ uut.pcMaxBfp = pc.getBodyFatPerAt(kg)
    #dbg "testNpc.hunt: phase 1 kg=[kg:0.2f] pcMaxBfp=[uut.pcMaxBfp:0.3f]"
    while uut.isPcTooFat():
        $ kg += 0.1
        $ uut.pcMaxBfp = pc.getBodyFatPerAt(kg)
    #dbg "testNpc.hunt: phase 2 kg=[kg:0.2f] pcMaxBfp=[uut.pcMaxBfp:0.3f]"
    while not uut.isPcTooFat():
        $ kg -= 0.01
        $ uut.pcMaxBfp = pc.getBodyFatPerAt(kg)
    #dbg "testNpc.hunt: phase 3 kg=[kg:0.2f] pcMaxBfp=[uut.pcMaxBfp:0.3f]"
    return kg
