#
# Picker unit tests.
#
label testPicker:
    call .empty from test_picker_empty
    call .one from test_picker_one
    call .twoLru from test_picker_two_lru
    call .priority from test_picker_priority
    return

    # Individual test selection.
    #
label .pickerMenu:
    $ rnpy.dynamic('done')
    $ done = False
    $ debug = True
    while not done:
        $ prompt = addMenuAlt("Select test")
        menu:
            "[prompt]"
            "Empty":
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .empty from test_picker_free_empty
                call rpyUnit.report from test_picker_free_empty_rpt
            "One":
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .one from test_picker_free_one
                call rpyUnit.report from test_picker_free_one_rpt
            "Two LRU":
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .twoLru from test_picker_free_two_lru
                call rpyUnit.report from test_picker_free_two_lru_rpt
            "Priority":
                $ rpyUnit.reset()
                $ rpyUnit.setShowError(True)
                call .priority from test_picker_free_priority
                call rpyUnit.report from test_picker_free_priority_rpt
            "Back":
                $ debug = False
                $ done = True
    return


    # -------------------------------------------------------------------------
    # Tests.
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Pick from empty list.
    #
label .empty:
    $ dbgLog("testPicker.empty")
    $ renpy.dynamic('errCount', 'result')
    $ rpyUnit.startTest("testPicker", "empty")
    $ picker.start()
    $ assertNone(picker.choose(), "Empty picker should choose None")
    return

    # Pick from list of one.
    #
label .one:
    $ dbgLog("testPicker.one")
    $ renpy.dynamic('errCount', 'lru', 'result')
    $ rpyUnit.startTest("testPicker", "one")
    $ lru = []
    $ picker.start()
    $ picker.addOption('one')
    $ assertEquals(1, picker.getCount(), "One option expected")
    $ result = picker.choose(lru)
    $ assertEquals('one', result, "Can only chose \"one\"")
    $ assertEquals(1, len(lru), "LRU list should contain one entry")
    if not rpyUnit.isTestClean():
        return
    $ assertEquals('one', lru[0], "LRU list should contain \"one\"")
    return

    # Pick from list of two with LRU.
    #
label .twoLru:
    $ dbgLog("testPicker.twoLru")
    $ renpy.dynamic('errCount', 'lru', 'result')
    $ rpyUnit.startTest("testPicker", "twoLru")
    $ lru = ['one']
    $ picker.start()
    $ picker.addOption('one')
    $ picker.addOption('two')
    $ assertEquals(2, picker.getCount(), "Two options expected")
    $ result = picker.choose(lru)
    $ assertEquals('two', result, "Can only chose \"two\"")
    $ assertEquals(2, len(lru), "LRU list should contain two entries")
    if not rpyUnit.isTestClean():
        return
    $ assertEquals('two', lru[0], "LRU list should contain \"two\" in first element")

    $ picker.start()
    $ picker.addOption('one')
    $ picker.addOption('two')
    $ assertEquals(2, picker.getCount(), "Two options expected")
    $ result = picker.choose(lru)
    $ assertEquals('one', result, "Can only chose \"one\"")
    $ assertEquals(2, len(lru), "LRU list should contain two entries")
    if not rpyUnit.isTestClean():
        return
    $ assertEquals('one', lru[0], "LRU list should contain \"one\" in first element")
    return

    # Pick from list of two when priority rejects one.
    #
label .priority:
    $ dbgLog("testPicker.priority")
    $ renpy.dynamic('errCount', 'lru', 'result')
    $ rpyUnit.startTest("testPicker", "priority")
    $ picker.start()
    $ picker.addOption('one', 50, 100)
    $ picker.addOption('two', 50, 1)
    $ assertEquals(2, picker.getCount(), "Two options expected")
    $ result = picker.choose(None, 3, 1, 98)
    $ assertEquals(1, picker.countFiltered, "Priority should reduce filtered count to one")
    $ assertEquals('one', result, "Can only chose \"one\"")
    return
