#
# Utility functions for RenPy.
#
init python:

    # Update the save game name.
    # Eg. Erin day 237 412lb v0.13
    #
    def updateSaveName():
        global save_name, savePrefix
        if config.developer:
            lbStr = "{:.0f}lb".format(pc.getMass() * 2.2)
        else:
            lbStr = pc.lastWeightLb
        if savePrefix != None:
            save_name = "{:.4s}-{} day{} {} v{}".format(pc.name, savePrefix, gt.dayNum, lbStr, version)
        else:
            save_name = "{:.12s} day{} {} v{}".format(pc.name, gt.dayNum, lbStr, version)
        if debug:
            dbg("updateSaveName()={}".format(save_name))
        return


    # Utility renpy routines
    #
label util:

    # Check for a scheduled event, and either call it directly
    # or offer it as a choice if it has a non-None description.
    # If the event is rejected and it has a non-None rejLabel call that.
    #
    # Call the provided alt label if there is no event or it is rejected.
    # The alt label must be specified in full ie. global.local
    #
label .checkEventOr(altLabel=None):
    if altLabel == None:
        dbg "Util.checkEventOr called with no altLabel defined."
        dbg "[RhubarbRhubarbRhubarb]"      # Need to cause an error for a stack trace

    $ sched = gt.getEventNow()
    if sched != None:
        if sched.desc != None:
            # If there's a description, present a choice.
            #
            $ prompt = addMenuAlt(sched.desc + " Do you still want to go?")
            menu:
                "[prompt]"
                "Yes, I want to go":
                    call expression sched.evLabel from eor_accept
                "No, I don't want to go":
                    # If there's a rejection label, call it.
                    #
                    if sched.rejLabel != None:
                        call expression sched.rejLabel from eor_reject
                    else:
                        "I've changed my mind."
                    call expression altLabel from eor_reject_alt
        else:
            # Compulsory event.
            #
            call expression sched.evLabel from eor_compulsory
        $ gt.doneEvent(sched)
    else:
        call expression altLabel from eor_no_event
    return