#
# Useful functions for text.
#
init python:

    # Add indefinite article based on letter at start of start of value.
    #
    # value     - the adj/noun phrase to prefix
    # abbr      - True to handle abbreviation letters commonly pronounced
    #             with an initial 'e', such as 'eff', 'ell', 'em', 'es', and 'ex'
    #
    def aan(value, abbr=False):
        if value != None and len(value) >= 1:
            result = "a "
            first = value[0]
            if first in "aeiouAEIOU8":
                result = "an "
            if abbr and first in "flmsxFLMSX":
                result = "an "
            result += value
        else:
            result = value
        return result

    # Append two strings with a space between.
    # If either is None, return the other unchanged.
    #
    def appendNotNone(strBase, strPost):
        if strPost == None:
            return strBase
        if strBase == None:
            return strPost
        return strBase + " " + strPost

    # Concatenate a list of strings, optionally followed by a verb.
    # Uses Oxford comma.
    # Result is None if list is empty.
    #
    def commaList(strList, verbs=None, verbp=None):
        if verbs != None and verbp == None:
            verbp = verbs
        result = None
        listLen = len(strList)
        if listLen == 1:
            if verbs == None:
                result = strList[0]
            else:
                result = "{} {}".format(strList[0], verbs)
        elif listLen == 2:
            if verbs == None:
                result = "{} and {}".format(strList[0], strList[1])
            else:
                result = "{} and {} {}".format(strList[0], strList[1], verbp)
        elif listLen > 2:
            if verbs == None:
                result = "{}, and {}".format(", ".join(strList[:-1]), strList[-1])
            else:
                result = "{}, and {} {}".format(", ".join(strList[:-1]), strList[-1], verbp)
        return result

    # Is a string/unicode None or empty?
    #
    def isEmpty(str):
        if str == None:
            return True
        return len(str) == 0

    # Join two strings/sentances with a conjunction.
    # Periods are stripped from the base, the join is added, and the post
    # is forced to start with a lower case letter.
    # If either is None, return the other unchanged.
    #
    def joinNotNone(strBase, strJoin, strPost):
        if strPost == None:
            return strBase
        if strBase == None:
            return strPost
        return strBase.rstrip('.') + strJoin + " " + lowerFirst(strPost)

    # Change first letter of a string to lower case.
    # Leave the rest unchanged.
    #
    def lowerFirst(strText):
        if strText == None or len(strText) == 0:
            return strText
        return strText[0].lower() + strText[1:]

    # Replace one entry in a list with another.
    #
    def replaceEntry(strList, oldEntry, newEntry):
        if oldEntry in strList:
            idx = strList.index(oldEntry)
            strList[idx] = newEntry
