#
# Useful functions for time.
#
init python:

    # Get clock time as words.
    #
    def clockTime(hour):
        if hour == 0:
            return "midnight"
        elif hour == 12:
            return "midday"
        elif hour <= 12:
            return cardinal(hour) + " in the morning"
        elif hour <= 18:
            return cardinal(hour % 12) + " in the afternoon"
        elif hour <= 21:
            return cardinal(hour % 12) + " in the evening"
        else:
            return cardinal(hour % 12) + " at night"

    # Convert a number of days into a rough time period string.
    # Tends to round up.
    #
    def roughPeriod(days):
        if days == 1:
            period = "only a day"
        elif days == 7:
            period = "a week"
        elif days == 14:
            period = "a couple of weeks"
        elif days == 30:
            period = "a month"
        elif days == 365:
            period = "a year"
        if days < 20:
            period = "{} days".format(cardinal(days))
        elif days < 70:
            period = "{} weeks".format(cardinal(int(math.ceil(days/7.0))))
        elif days < 24 * 30:
            period = "{} months".format(cardinal(int(math.ceil(days/30.0))))
        else:
            period = "{} years".format(cardinal(int(math.ceil(days/365.0))))
        return period

    # Toggle whether a specific day of week is in a list.
    #
    def toggleDayOw(dayList, dayOw):
        if dayOw in dayList:
            dayList.remove(dayOw)
        else:
            dayList.append(dayOw)
