#
# Version information.
#
init python:
    
    # Split the version string.
    # Always returns 3 parts, unspecified parts are set to zero.
    #
    # majMinPatch - major.minor.patch string
    # Returns a list of three strings.
    #
    def versionParts(majMinPatch):
        parts = majMinPatch.split('.')
        while len(parts) < 3:
            parts.append("0")
        return parts

    # Get the major.minor part of the version string.
    # Patch level is discarded.
    #
    # majMinPatch - major.minor.patch string
    # Returns major.minor string
    # 
    def versionMajorMinor(majMinPatch):
        parts = versionParts(majMinPatch)
        major = parts[0]
        minor = parts[1]
        return major + '.' + minor
