#
# Variable definitions.
#
# Use default to mark for persistance in save games.
# Collection objects created at top level to ensure they are persisted in save games.
#
default aliciaHere = False                  # Is alicia around?
default aliciaTab = 0                       # PC's tab at the clothes store

default chat = False                        # Used to contol chat output, True when chatted
default cheat = False                       # Edited setting in debug mode
default consent = False                     # Has player agreed to the Ts and Cs?
default cost = 0                            # Tally for purchases

default eventList = []                      # Scheduled event list

default flirt = False                       # Current NPC is romantic with the player
default foodMenuMap = dict()                # Food menu map
default foodMenu = FoodMenu(foodMenuMap)    # Generic food menu
default foodMenuSeln = None                 # Last item prompt selected on a food menu
                                            # Set by the food menu screen
                                            # Used by foodMenu.addMealAcc(foodMenuSeln)

default gasStore = []                       # Additional product lines in gas shop
default gsize = 0                           # Graphical size of the PC 0..11
default gt = GameTime(eventList)            # Game date and time

default lastBg = None                       # Last background used to restore after leaving debug

default mealsize = 0                        # Size of meal PC is able to eat in "small plates"

default pickerOpts = []                     # Picker options list
default picker = Picker(pickerOpts)         # Option picker
default pornFans = FanBase()                # Porn channel fans
default prompt = None                       # Prompt for menus

default regHere = False                     # Is reg around?
default regJoint = None                     # Joint account with reg
default rnd = 0                             # For random choices, int or bool

default savePrefix = None                   # First part of save file name
default socFans = FanBase()                 # Social fans
default sofiaHere = False                   # Is sofia around?
default steveHere = False                   # Is steve around?

default tmp = None                          # General purpose temporary variable
default treat = False                       # True when PC is being treated to a meal free of charge

default unbutton = False                    # True when PC has unbuttoned her jeans

default veils = True                        # Sex sceen veil
default version = None                      # Game version number.

default warningPass = False                 # Has player agreed to the warnings?
default world = World()                     # World controlling main loop

#
# Character models.
#
default alicia = Npc()                      # The owner of the clothes shop
default antonio = Npc()                     # The owner of the diner, Sofia's dad
default lacy = Npc()                        # The waitress in the bar
default nicola = Npc()                      # The sales rep for wholesale food sales
default sofia = Npc()                       # The waitress in the diner, love interest
default reg = Npc()                         # Auto supply guy, fetish interest
default steve = Npc()                       # The forward guy in the bar, love interest

#
# Counters.
#
default countMap = dict()                           # Generic counter map
default counters = Counters(countMap)               # General purpose counters
default dayMap = dict()                             # Day counter map
default dayCounters = Counters(dayMap)              # Counters reset each day
default evtMap = dict()                             # Event counters map
default evtCounters = Counters(evtMap)              # Counters for events happening
default coolMap = dict()                            # Cooldown map
default coolCbMap = dict()                          # Cooldown callback map
default cooldowns = Counters(coolMap, coolCbMap)    # Cooldowns

#
# Decks.
#
default gasDeckList = []                            # Gas station parts deck list
default gasDeck = Deck(gasDeckList, "gasDeck")      # Gas station parts deck
default vachLunchDeckList = []                      # Vachon cafeteria deck list
default vachLunchDeck = Deck(vachLunchDeckList, "vachLunchDeck")    # Vachon cafeteria deck

#
# Flags.
#
default flagSet = set()                             # Generic flag set
default flags = Flags(flagSet)                      # General flags
default daySet  = set()                             # Day flag set
default dayFlags = Flags(daySet)                    # Flags reset at day roll over

#
# Least Recently Used lists.
#
default aliciaLru = []                      # Alicia LRU list
default dinerLru = []                       # Diner events Lru
default gasWorkLru = []                     # Gas station work LRU list
default nicolaLru = []                      # Nicola LRU list
default regLru = []                         # Reg LRU list
default regWorkLru = []                     # Reg Work LRU list
default pcLru = []                          # PC LRU list
default sofiaLru = []                       # Sofia LRU list
default steveLru = []                       # Steve LRU list
default txtLru = []                         # General purpose text LRU list

#
# Player.
#
default pc = Player()                       # The player
default pcClothesMap = dict()               # The player's clothes map
default pcClothes = Clothing(pcClothesMap)  # The player's clothes
default cookMap = dict()                    # Player cooking skill map
default cookSkill = CookSkill(cookMap)      # Player cooking skill

# EoF